#include <qtnetwork_includes.h>

#include <smoke.h>
#include <qtnetwork_smoke.h>

namespace __smokeqtnetwork {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractNetworkCache
      switch(to) {
        case 54: return (void*)(QObject*)(QAbstractNetworkCache*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)xptr;
        case 46: return (void*)(QNetworkDiskCache*)(QAbstractNetworkCache*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractSocket
      switch(to) {
        case 27: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 54: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)xptr;
        case 78: return (void*)(QUdpSocket*)(QAbstractSocket*)xptr;
        case 69: return (void*)(QSslSocket*)(QAbstractSocket*)xptr;
        case 73: return (void*)(QTcpSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 3:   //QAuthenticator
      switch(to) {
        case 3: return (void*)(QAuthenticator*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDataStream
      switch(to) {
        case 9: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 10:   //QDate
      switch(to) {
        case 10: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 11:   //QDateTime
      switch(to) {
        case 11: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 12:   //QDebug
      switch(to) {
        case 12: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 13:   //QDir
      switch(to) {
        case 13: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 14:   //QEasingCurve
      switch(to) {
        case 14: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 15:   //QEvent
      switch(to) {
        case 15: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QFtp
      switch(to) {
        case 54: return (void*)(QObject*)(QFtp*)xptr;
        case 16: return (void*)(QFtp*)xptr;
        default: return xptr;
      }
    case 18:   //QHashDummyValue
      switch(to) {
        case 18: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 19:   //QHostAddress
      switch(to) {
        case 19: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 20:   //QHostInfo
      switch(to) {
        case 20: return (void*)(QHostInfo*)xptr;
        default: return xptr;
      }
    case 21:   //QHttp
      switch(to) {
        case 54: return (void*)(QObject*)(QHttp*)xptr;
        case 21: return (void*)(QHttp*)xptr;
        default: return xptr;
      }
    case 22:   //QHttpHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)xptr;
        case 25: return (void*)(QHttpRequestHeader*)(QHttpHeader*)xptr;
        case 26: return (void*)(QHttpResponseHeader*)(QHttpHeader*)xptr;
        default: return xptr;
      }
    case 23:   //QHttpMultiPart
      switch(to) {
        case 54: return (void*)(QObject*)(QHttpMultiPart*)xptr;
        case 23: return (void*)(QHttpMultiPart*)xptr;
        default: return xptr;
      }
    case 24:   //QHttpPart
      switch(to) {
        case 24: return (void*)(QHttpPart*)xptr;
        default: return xptr;
      }
    case 25:   //QHttpRequestHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpRequestHeader*)xptr;
        case 25: return (void*)(QHttpRequestHeader*)xptr;
        default: return xptr;
      }
    case 26:   //QHttpResponseHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpResponseHeader*)xptr;
        case 26: return (void*)(QHttpResponseHeader*)xptr;
        default: return xptr;
      }
    case 27:   //QIODevice
      switch(to) {
        case 54: return (void*)(QObject*)(QIODevice*)xptr;
        case 27: return (void*)(QIODevice*)xptr;
        case 51: return (void*)(QNetworkReply*)(QIODevice*)xptr;
        case 78: return (void*)(QUdpSocket*)(QIODevice*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QIODevice*)xptr;
        case 69: return (void*)(QSslSocket*)(QIODevice*)xptr;
        case 73: return (void*)(QTcpSocket*)(QIODevice*)xptr;
        case 34: return (void*)(QLocalSocket*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 28:   //QIPv6Address
      switch(to) {
        case 28: return (void*)(QIPv6Address*)xptr;
        default: return xptr;
      }
    case 29:   //QIncompatibleFlag
      switch(to) {
        case 29: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 30:   //QLatin1String
      switch(to) {
        case 30: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 31:   //QLine
      switch(to) {
        case 31: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 32:   //QLineF
      switch(to) {
        case 32: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 33:   //QLocalServer
      switch(to) {
        case 54: return (void*)(QObject*)(QLocalServer*)xptr;
        case 33: return (void*)(QLocalServer*)xptr;
        default: return xptr;
      }
    case 34:   //QLocalSocket
      switch(to) {
        case 27: return (void*)(QIODevice*)(QLocalSocket*)xptr;
        case 54: return (void*)(QObject*)(QLocalSocket*)xptr;
        case 34: return (void*)(QLocalSocket*)xptr;
        default: return xptr;
      }
    case 35:   //QLocale
      switch(to) {
        case 35: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 36:   //QMargins
      switch(to) {
        case 36: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 37:   //QMetaObject
      switch(to) {
        case 37: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 38:   //QModelIndex
      switch(to) {
        case 38: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 39:   //QNetworkAccessManager
      switch(to) {
        case 54: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 39: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 40:   //QNetworkAddressEntry
      switch(to) {
        case 40: return (void*)(QNetworkAddressEntry*)xptr;
        default: return xptr;
      }
    case 41:   //QNetworkCacheMetaData
      switch(to) {
        case 41: return (void*)(QNetworkCacheMetaData*)xptr;
        default: return xptr;
      }
    case 42:   //QNetworkConfiguration
      switch(to) {
        case 42: return (void*)(QNetworkConfiguration*)xptr;
        default: return xptr;
      }
    case 43:   //QNetworkConfigurationManager
      switch(to) {
        case 54: return (void*)(QObject*)(QNetworkConfigurationManager*)xptr;
        case 43: return (void*)(QNetworkConfigurationManager*)xptr;
        default: return xptr;
      }
    case 44:   //QNetworkCookie
      switch(to) {
        case 44: return (void*)(QNetworkCookie*)xptr;
        default: return xptr;
      }
    case 45:   //QNetworkCookieJar
      switch(to) {
        case 54: return (void*)(QObject*)(QNetworkCookieJar*)xptr;
        case 45: return (void*)(QNetworkCookieJar*)xptr;
        default: return xptr;
      }
    case 46:   //QNetworkDiskCache
      switch(to) {
        case 1: return (void*)(QAbstractNetworkCache*)(QNetworkDiskCache*)xptr;
        case 54: return (void*)(QObject*)(QNetworkDiskCache*)xptr;
        case 46: return (void*)(QNetworkDiskCache*)xptr;
        default: return xptr;
      }
    case 47:   //QNetworkInterface
      switch(to) {
        case 47: return (void*)(QNetworkInterface*)xptr;
        default: return xptr;
      }
    case 48:   //QNetworkProxy
      switch(to) {
        case 48: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 49:   //QNetworkProxyFactory
      switch(to) {
        case 49: return (void*)(QNetworkProxyFactory*)xptr;
        default: return xptr;
      }
    case 50:   //QNetworkProxyQuery
      switch(to) {
        case 50: return (void*)(QNetworkProxyQuery*)xptr;
        default: return xptr;
      }
    case 51:   //QNetworkReply
      switch(to) {
        case 27: return (void*)(QIODevice*)(QNetworkReply*)xptr;
        case 54: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 51: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 52:   //QNetworkRequest
      switch(to) {
        case 52: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 53:   //QNetworkSession
      switch(to) {
        case 54: return (void*)(QObject*)(QNetworkSession*)xptr;
        case 53: return (void*)(QNetworkSession*)xptr;
        default: return xptr;
      }
    case 54:   //QObject
      switch(to) {
        case 54: return (void*)(QObject*)xptr;
        case 16: return (void*)(QFtp*)(QObject*)xptr;
        case 45: return (void*)(QNetworkCookieJar*)(QObject*)xptr;
        case 33: return (void*)(QLocalServer*)(QObject*)xptr;
        case 23: return (void*)(QHttpMultiPart*)(QObject*)xptr;
        case 51: return (void*)(QNetworkReply*)(QObject*)xptr;
        case 78: return (void*)(QUdpSocket*)(QObject*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)(QObject*)xptr;
        case 53: return (void*)(QNetworkSession*)(QObject*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QObject*)xptr;
        case 21: return (void*)(QHttp*)(QObject*)xptr;
        case 69: return (void*)(QSslSocket*)(QObject*)xptr;
        case 39: return (void*)(QNetworkAccessManager*)(QObject*)xptr;
        case 73: return (void*)(QTcpSocket*)(QObject*)xptr;
        case 46: return (void*)(QNetworkDiskCache*)(QObject*)xptr;
        case 72: return (void*)(QTcpServer*)(QObject*)xptr;
        case 34: return (void*)(QLocalSocket*)(QObject*)xptr;
        case 43: return (void*)(QNetworkConfigurationManager*)(QObject*)xptr;
        default: return xptr;
      }
    case 55:   //QPersistentModelIndex
      switch(to) {
        case 55: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 56:   //QPoint
      switch(to) {
        case 56: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 57:   //QPointF
      switch(to) {
        case 57: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 58:   //QRect
      switch(to) {
        case 58: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 59:   //QRectF
      switch(to) {
        case 59: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 60:   //QRegExp
      switch(to) {
        case 60: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 61:   //QSize
      switch(to) {
        case 61: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 62:   //QSizeF
      switch(to) {
        case 62: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 64:   //QSslCertificate
      switch(to) {
        case 64: return (void*)(QSslCertificate*)xptr;
        default: return xptr;
      }
    case 65:   //QSslCipher
      switch(to) {
        case 65: return (void*)(QSslCipher*)xptr;
        default: return xptr;
      }
    case 66:   //QSslConfiguration
      switch(to) {
        case 66: return (void*)(QSslConfiguration*)xptr;
        default: return xptr;
      }
    case 67:   //QSslError
      switch(to) {
        case 67: return (void*)(QSslError*)xptr;
        default: return xptr;
      }
    case 68:   //QSslKey
      switch(to) {
        case 68: return (void*)(QSslKey*)xptr;
        default: return xptr;
      }
    case 69:   //QSslSocket
      switch(to) {
        case 73: return (void*)(QTcpSocket*)(QSslSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QSslSocket*)xptr;
        case 27: return (void*)(QIODevice*)(QSslSocket*)xptr;
        case 54: return (void*)(QObject*)(QSslSocket*)xptr;
        case 69: return (void*)(QSslSocket*)xptr;
        default: return xptr;
      }
    case 70:   //QString::Null
      switch(to) {
        case 70: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 71:   //QStringRef
      switch(to) {
        case 71: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 72:   //QTcpServer
      switch(to) {
        case 54: return (void*)(QObject*)(QTcpServer*)xptr;
        case 72: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 73:   //QTcpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 27: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 54: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 73: return (void*)(QTcpSocket*)xptr;
        case 69: return (void*)(QSslSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 74:   //QTextStream
      switch(to) {
        case 74: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 75:   //QTextStreamManipulator
      switch(to) {
        case 75: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 76:   //QTime
      switch(to) {
        case 76: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 77:   //QTimerEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 77: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QUdpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QUdpSocket*)xptr;
        case 27: return (void*)(QIODevice*)(QUdpSocket*)xptr;
        case 54: return (void*)(QObject*)(QUdpSocket*)xptr;
        case 78: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 79:   //QUrl
      switch(to) {
        case 79: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 80:   //QUrlInfo
      switch(to) {
        case 80: return (void*)(QUrlInfo*)xptr;
        default: return xptr;
      }
    case 81:   //QUuid
      switch(to) {
        case 81: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 82:   //QVariant
      switch(to) {
        case 82: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 83:   //QVariantComparisonHelper
      switch(to) {
        case 83: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 84:   //sockaddr
      switch(to) {
        case 84: return (void*)(sockaddr*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    54, 0,	// 1: QObject
    27, 0,	// 3: QIODevice
    22, 0,	// 5: QHttpHeader
    1, 0,	// 7: QAbstractNetworkCache
    73, 0,	// 9: QTcpSocket
    2, 0,	// 11: QAbstractSocket
};

// These are the xenum functions for manipulating enum pointers
void xenum_QSsl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkAccessManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFtp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkConfigurationManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkConfiguration(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHttp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslCertificate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkRequest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostAddress(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkSession(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkCookie(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxyQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrlInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHttpMultiPart(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUdpSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QAbstractNetworkCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QAbstractSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QAuthenticator(Smoke::Index, void*, Smoke::Stack);
void xcall_QFtp(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostAddress(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttp(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpMultiPart(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpPart(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpRequestHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpResponseHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QIPv6Address(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAddressEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCacheMetaData(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkConfigurationManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookie(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookieJar(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkDiskCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxy(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkReply(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkSession(Smoke::Index, void*, Smoke::Stack);
void xcall_QSsl(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCertificate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCipher(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslKey(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUdpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUrlInfo(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractNetworkCache", false, 1, xcall_QAbstractNetworkCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractNetworkCache) },	//1
    { "QAbstractSocket", false, 3, xcall_QAbstractSocket, xenum_QAbstractSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractSocket) },	//2
    { "QAuthenticator", false, 0, xcall_QAuthenticator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QAuthenticator) },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//9
    { "QDate", true, 0, 0, 0, 0, 0 },	//10
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//11
    { "QDebug", true, 0, 0, 0, 0, 0 },	//12
    { "QDir", true, 0, 0, 0, 0, 0 },	//13
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//14
    { "QEvent", true, 0, 0, 0, 0, 0 },	//15
    { "QFtp", false, 1, xcall_QFtp, xenum_QFtp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QFtp) },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//18
    { "QHostAddress", false, 0, xcall_QHostAddress, xenum_QHostAddress, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostAddress) },	//19
    { "QHostInfo", false, 0, xcall_QHostInfo, xenum_QHostInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostInfo) },	//20
    { "QHttp", false, 1, xcall_QHttp, xenum_QHttp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QHttp) },	//21
    { "QHttpHeader", false, 0, xcall_QHttpHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpHeader) },	//22
    { "QHttpMultiPart", false, 1, xcall_QHttpMultiPart, xenum_QHttpMultiPart, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QHttpMultiPart) },	//23
    { "QHttpPart", false, 0, xcall_QHttpPart, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHttpPart) },	//24
    { "QHttpRequestHeader", false, 5, xcall_QHttpRequestHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpRequestHeader) },	//25
    { "QHttpResponseHeader", false, 5, xcall_QHttpResponseHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpResponseHeader) },	//26
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//27
    { "QIPv6Address", false, 0, xcall_QIPv6Address, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QIPv6Address) },	//28
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//29
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//30
    { "QLine", true, 0, 0, 0, 0, 0 },	//31
    { "QLineF", true, 0, 0, 0, 0, 0 },	//32
    { "QLocalServer", false, 1, xcall_QLocalServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalServer) },	//33
    { "QLocalSocket", false, 3, xcall_QLocalSocket, xenum_QLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalSocket) },	//34
    { "QLocale", true, 0, 0, 0, 0, 0 },	//35
    { "QMargins", true, 0, 0, 0, 0, 0 },	//36
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//37
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//38
    { "QNetworkAccessManager", false, 1, xcall_QNetworkAccessManager, xenum_QNetworkAccessManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkAccessManager) },	//39
    { "QNetworkAddressEntry", false, 0, xcall_QNetworkAddressEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkAddressEntry) },	//40
    { "QNetworkCacheMetaData", false, 0, xcall_QNetworkCacheMetaData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCacheMetaData) },	//41
    { "QNetworkConfiguration", false, 0, xcall_QNetworkConfiguration, xenum_QNetworkConfiguration, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkConfiguration) },	//42
    { "QNetworkConfigurationManager", false, 1, xcall_QNetworkConfigurationManager, xenum_QNetworkConfigurationManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkConfigurationManager) },	//43
    { "QNetworkCookie", false, 0, xcall_QNetworkCookie, xenum_QNetworkCookie, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCookie) },	//44
    { "QNetworkCookieJar", false, 1, xcall_QNetworkCookieJar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkCookieJar) },	//45
    { "QNetworkDiskCache", false, 7, xcall_QNetworkDiskCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkDiskCache) },	//46
    { "QNetworkInterface", false, 0, xcall_QNetworkInterface, xenum_QNetworkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkInterface) },	//47
    { "QNetworkProxy", false, 0, xcall_QNetworkProxy, xenum_QNetworkProxy, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxy) },	//48
    { "QNetworkProxyFactory", false, 0, xcall_QNetworkProxyFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QNetworkProxyFactory) },	//49
    { "QNetworkProxyQuery", false, 0, xcall_QNetworkProxyQuery, xenum_QNetworkProxyQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxyQuery) },	//50
    { "QNetworkReply", false, 3, xcall_QNetworkReply, xenum_QNetworkReply, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkReply) },	//51
    { "QNetworkRequest", false, 0, xcall_QNetworkRequest, xenum_QNetworkRequest, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkRequest) },	//52
    { "QNetworkSession", false, 1, xcall_QNetworkSession, xenum_QNetworkSession, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkSession) },	//53
    { "QObject", true, 0, 0, 0, 0, 0 },	//54
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//55
    { "QPoint", true, 0, 0, 0, 0, 0 },	//56
    { "QPointF", true, 0, 0, 0, 0, 0 },	//57
    { "QRect", true, 0, 0, 0, 0, 0 },	//58
    { "QRectF", true, 0, 0, 0, 0, 0 },	//59
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//60
    { "QSize", true, 0, 0, 0, 0, 0 },	//61
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//62
    { "QSsl", false, 0, xcall_QSsl, xenum_QSsl, Smoke::cf_namespace, 0 },	//63
    { "QSslCertificate", false, 0, xcall_QSslCertificate, xenum_QSslCertificate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCertificate) },	//64
    { "QSslCipher", false, 0, xcall_QSslCipher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCipher) },	//65
    { "QSslConfiguration", false, 0, xcall_QSslConfiguration, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslConfiguration) },	//66
    { "QSslError", false, 0, xcall_QSslError, xenum_QSslError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslError) },	//67
    { "QSslKey", false, 0, xcall_QSslKey, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslKey) },	//68
    { "QSslSocket", false, 9, xcall_QSslSocket, xenum_QSslSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSslSocket) },	//69
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//70
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//71
    { "QTcpServer", false, 1, xcall_QTcpServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpServer) },	//72
    { "QTcpSocket", false, 11, xcall_QTcpSocket, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpSocket) },	//73
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//74
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//75
    { "QTime", true, 0, 0, 0, 0, 0 },	//76
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QUdpSocket", false, 11, xcall_QUdpSocket, xenum_QUdpSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QUdpSocket) },	//78
    { "QUrl", true, 0, 0, 0, 0, 0 },	//79
    { "QUrlInfo", false, 0, xcall_QUrlInfo, xenum_QUrlInfo, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QUrlInfo) },	//80
    { "QUuid", true, 0, 0, 0, 0, 0 },	//81
    { "QVariant", true, 0, 0, 0, 0, 0 },	//82
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//83
    { "sockaddr", true, 0, 0, 0, 0, 0 },	//84
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractNetworkCache*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractSocket*", 2, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QAbstractSocket::NetworkLayerProtocol", 2, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSocket::SocketError", 2, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAbstractSocket::SocketOption", 2, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractSocket::SocketState", 2, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractSocket::SocketType", 2, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref },	//9
    { "QAuthenticator*", 3, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//11
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//12
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//13
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//14
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//15
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//16
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QCryptographicHash::Algorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDataStream&", 9, Smoke::t_class|Smoke::tf_ref },	//20
    { "QDate&", 10, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDateTime", 11, Smoke::t_class|Smoke::tf_stack },	//22
    { "QDateTime&", 11, Smoke::t_class|Smoke::tf_ref },	//23
    { "QDebug", 12, Smoke::t_class|Smoke::tf_stack },	//24
    { "QDir::Filter", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDir::SortFlag", 13, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "QEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<QNetworkConfiguration::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QNetworkConfigurationManager::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QNetworkInterface::InterfaceFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QNetworkProxy::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QSsl::SslOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QUdpSocket::BindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFtp*", 16, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QFtp::Command", 16, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QFtp::Error", 16, Smoke::t_enum|Smoke::tf_stack },	//69
    { "QFtp::State", 16, Smoke::t_enum|Smoke::tf_stack },	//70
    { "QFtp::TransferMode", 16, Smoke::t_enum|Smoke::tf_stack },	//71
    { "QFtp::TransferType", 16, Smoke::t_enum|Smoke::tf_stack },	//72
    { "QHash<QNetworkRequest::Attribute,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QHostAddress", 19, Smoke::t_class|Smoke::tf_stack },	//75
    { "QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref },	//76
    { "QHostAddress*", 19, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QHostAddress::SpecialAddress", 19, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QHostInfo", 20, Smoke::t_class|Smoke::tf_stack },	//79
    { "QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref },	//80
    { "QHostInfo*", 20, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QHostInfo::HostInfoError", 20, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QHttp*", 21, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QHttp::ConnectionMode", 21, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QHttp::Error", 21, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QHttp::State", 21, Smoke::t_enum|Smoke::tf_stack },	//86
    { "QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref },	//87
    { "QHttpHeader*", 22, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QHttpMultiPart*", 23, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QHttpMultiPart::ContentType", 23, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QHttpPart&", 24, Smoke::t_class|Smoke::tf_ref },	//91
    { "QHttpPart*", 24, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QHttpRequestHeader", 25, Smoke::t_class|Smoke::tf_stack },	//93
    { "QHttpRequestHeader&", 25, Smoke::t_class|Smoke::tf_ref },	//94
    { "QHttpRequestHeader*", 25, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QHttpResponseHeader", 26, Smoke::t_class|Smoke::tf_stack },	//96
    { "QHttpResponseHeader&", 26, Smoke::t_class|Smoke::tf_ref },	//97
    { "QHttpResponseHeader*", 26, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QIODevice*", 27, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QIODevice::OpenModeFlag", 27, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QIPv6Address", 28, Smoke::t_class|Smoke::tf_stack },	//102
    { "QIPv6Address*", 28, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QIncompatibleFlag", 29, Smoke::t_class|Smoke::tf_stack },	//104
    { "QIntegerForSizeof< void* >::Unsigned", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QLine&", 31, Smoke::t_class|Smoke::tf_ref },	//107
    { "QLineF&", 32, Smoke::t_class|Smoke::tf_ref },	//108
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QList<QHostAddress>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QList<QNetworkAddressEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QList<QNetworkConfiguration>", 0, Smoke::t_voidp|Smoke::tf_stack },	//112
    { "QList<QNetworkCookie>", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QList<QNetworkInterface>", 0, Smoke::t_voidp|Smoke::tf_stack },	//114
    { "QList<QNetworkProxy>", 0, Smoke::t_voidp|Smoke::tf_stack },	//115
    { "QList<QPair<QByteArray,QByteArray> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "QList<QPair<QString,QString> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//117
    { "QList<QSslCertificate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QList<QSslCipher>", 0, Smoke::t_voidp|Smoke::tf_stack },	//119
    { "QList<QSslError>", 0, Smoke::t_voidp|Smoke::tf_stack },	//120
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//121
    { "QLocalServer*", 33, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QLocalSocket*", 34, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QLocalSocket::LocalSocketError", 34, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QLocalSocket::LocalSocketState", 34, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QLocale&", 35, Smoke::t_class|Smoke::tf_ref },	//126
    { "QLocale::NumberOption", 35, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QMetaObject::Call", 37, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QMultiMap<QSsl::AlternateNameEntryType,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//129
    { "QNetworkAccessManager*", 39, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QNetworkAccessManager::NetworkAccessibility", 39, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QNetworkAccessManager::Operation", 39, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QNetworkAddressEntry&", 40, Smoke::t_class|Smoke::tf_ref },	//133
    { "QNetworkAddressEntry*", 40, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QNetworkCacheMetaData", 41, Smoke::t_class|Smoke::tf_stack },	//135
    { "QNetworkCacheMetaData&", 41, Smoke::t_class|Smoke::tf_ref },	//136
    { "QNetworkCacheMetaData*", 41, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QNetworkConfiguration", 42, Smoke::t_class|Smoke::tf_stack },	//138
    { "QNetworkConfiguration&", 42, Smoke::t_class|Smoke::tf_ref },	//139
    { "QNetworkConfiguration*", 42, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QNetworkConfiguration::BearerType", 42, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QNetworkConfiguration::Purpose", 42, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QNetworkConfiguration::StateFlag", 42, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QNetworkConfiguration::Type", 42, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QNetworkConfigurationManager*", 43, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QNetworkConfigurationManager::Capability", 43, Smoke::t_enum|Smoke::tf_stack },	//146
    { "QNetworkCookie&", 44, Smoke::t_class|Smoke::tf_ref },	//147
    { "QNetworkCookie*", 44, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QNetworkCookie::RawForm", 44, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QNetworkCookieJar*", 45, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QNetworkDiskCache*", 46, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QNetworkInterface", 47, Smoke::t_class|Smoke::tf_stack },	//152
    { "QNetworkInterface&", 47, Smoke::t_class|Smoke::tf_ref },	//153
    { "QNetworkInterface*", 47, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QNetworkInterface::InterfaceFlag", 47, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QNetworkProxy", 48, Smoke::t_class|Smoke::tf_stack },	//156
    { "QNetworkProxy&", 48, Smoke::t_class|Smoke::tf_ref },	//157
    { "QNetworkProxy*", 48, Smoke::t_class|Smoke::tf_ptr },	//158
    { "QNetworkProxy::Capability", 48, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QNetworkProxy::ProxyType", 48, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QNetworkProxyFactory*", 49, Smoke::t_class|Smoke::tf_ptr },	//161
    { "QNetworkProxyQuery&", 50, Smoke::t_class|Smoke::tf_ref },	//162
    { "QNetworkProxyQuery*", 50, Smoke::t_class|Smoke::tf_ptr },	//163
    { "QNetworkProxyQuery::QueryType", 50, Smoke::t_enum|Smoke::tf_stack },	//164
    { "QNetworkReply*", 51, Smoke::t_class|Smoke::tf_ptr },	//165
    { "QNetworkReply::NetworkError", 51, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QNetworkRequest", 52, Smoke::t_class|Smoke::tf_stack },	//167
    { "QNetworkRequest&", 52, Smoke::t_class|Smoke::tf_ref },	//168
    { "QNetworkRequest*", 52, Smoke::t_class|Smoke::tf_ptr },	//169
    { "QNetworkRequest::Attribute", 52, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QNetworkRequest::CacheLoadControl", 52, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QNetworkRequest::KnownHeaders", 52, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QNetworkRequest::LoadControl", 52, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QNetworkRequest::Priority", 52, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QNetworkSession*", 53, Smoke::t_class|Smoke::tf_ptr },	//175
    { "QNetworkSession::SessionError", 53, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QNetworkSession::State", 53, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QObject*", 54, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QObject*(*)()", 54, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QPair<QHostAddress,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//180
    { "QPoint&", 56, Smoke::t_class|Smoke::tf_ref },	//181
    { "QPointF&", 57, Smoke::t_class|Smoke::tf_ref },	//182
    { "QRect&", 58, Smoke::t_class|Smoke::tf_ref },	//183
    { "QRectF&", 59, Smoke::t_class|Smoke::tf_ref },	//184
    { "QRegExp&", 60, Smoke::t_class|Smoke::tf_ref },	//185
    { "QRegExp::PatternSyntax", 60, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QSize&", 61, Smoke::t_class|Smoke::tf_ref },	//187
    { "QSizeF&", 62, Smoke::t_class|Smoke::tf_ref },	//188
    { "QSsl::AlternateNameEntryType", 63, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QSsl::EncodingFormat", 63, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QSsl::KeyAlgorithm", 63, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QSsl::KeyType", 63, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QSsl::SslOption", 63, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QSsl::SslProtocol", 63, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QSslCertificate", 64, Smoke::t_class|Smoke::tf_stack },	//195
    { "QSslCertificate&", 64, Smoke::t_class|Smoke::tf_ref },	//196
    { "QSslCertificate*", 64, Smoke::t_class|Smoke::tf_ptr },	//197
    { "QSslCertificate::SubjectInfo", 64, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QSslCipher", 65, Smoke::t_class|Smoke::tf_stack },	//199
    { "QSslCipher&", 65, Smoke::t_class|Smoke::tf_ref },	//200
    { "QSslCipher*", 65, Smoke::t_class|Smoke::tf_ptr },	//201
    { "QSslConfiguration", 66, Smoke::t_class|Smoke::tf_stack },	//202
    { "QSslConfiguration&", 66, Smoke::t_class|Smoke::tf_ref },	//203
    { "QSslConfiguration*", 66, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QSslError", 67, Smoke::t_class|Smoke::tf_stack },	//205
    { "QSslError&", 67, Smoke::t_class|Smoke::tf_ref },	//206
    { "QSslError*", 67, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QSslError::SslError", 67, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QSslKey", 68, Smoke::t_class|Smoke::tf_stack },	//209
    { "QSslKey&", 68, Smoke::t_class|Smoke::tf_ref },	//210
    { "QSslKey*", 68, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QSslSocket*", 69, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QSslSocket::PeerVerifyMode", 69, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QSslSocket::SslMode", 69, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//215
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//216
    { "QString::Null", 70, Smoke::t_class|Smoke::tf_stack },	//217
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//219
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//220
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//221
    { "QTcpServer*", 72, Smoke::t_class|Smoke::tf_ptr },	//222
    { "QTcpSocket*", 73, Smoke::t_class|Smoke::tf_ptr },	//223
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QTextStream&", 74, Smoke::t_class|Smoke::tf_ref },	//225
    { "QTextStream&(*)(QTextStream&)", 74, Smoke::t_class|Smoke::tf_ref },	//226
    { "QTextStream::NumberFlag", 74, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QTextStreamManipulator", 75, Smoke::t_class|Smoke::tf_stack },	//228
    { "QTime&", 76, Smoke::t_class|Smoke::tf_ref },	//229
    { "QTimerEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//230
    { "QUdpSocket*", 78, Smoke::t_class|Smoke::tf_ptr },	//231
    { "QUdpSocket::BindFlag", 78, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QUrl", 79, Smoke::t_class|Smoke::tf_stack },	//233
    { "QUrl&", 79, Smoke::t_class|Smoke::tf_ref },	//234
    { "QUrl::FormattingOption", 79, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QUrlInfo", 80, Smoke::t_class|Smoke::tf_stack },	//236
    { "QUrlInfo&", 80, Smoke::t_class|Smoke::tf_ref },	//237
    { "QUrlInfo*", 80, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QUrlInfo::PermissionSpec", 80, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QUuid&", 81, Smoke::t_class|Smoke::tf_ref },	//240
    { "QVariant", 82, Smoke::t_class|Smoke::tf_stack },	//241
    { "QVariant&", 82, Smoke::t_class|Smoke::tf_ref },	//242
    { "QVariant::Type", 82, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QVariant::Type&", 82, Smoke::t_enum|Smoke::tf_ref },	//244
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//319
    { "__codecvt_result", 17, Smoke::t_enum|Smoke::tf_stack },	//320
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//321
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//322
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//323
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//324
    { "const QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//327
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QDate&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QDateTime&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QDir&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QHash<QNetworkRequest::Attribute,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QHashDummyValue&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QHttpPart&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QHttpRequestHeader&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QHttpResponseHeader&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QIPv6Address&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QLatin1String&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QLine&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QLineF&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QList<QHostAddress>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QList<QNetworkCookie>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QList<QPair<QByteArray,QByteArray> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QList<QPair<QString,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QList<QSslCertificate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QList<QSslCipher>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//351
    { "const QList<QSslError>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QLocale&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QMargins&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QMetaObject&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QMetaObject*", 37, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//356
    { "const QModelIndex&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QNetworkAddressEntry&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QNetworkCacheMetaData&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QNetworkConfiguration&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QNetworkCookie&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QNetworkInterface&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//362
    { "const QNetworkProxy&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QNetworkProxyFactory&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QNetworkProxyQuery&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QNetworkRequest&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QObject*", 54, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//367
    { "const QPair<QHostAddress,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QPersistentModelIndex&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//369
    { "const QPoint", 56, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//370
    { "const QPoint&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//371
    { "const QPointF", 57, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//372
    { "const QPointF&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const QRect&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QRectF&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QRegExp&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QRegExp*", 60, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//377
    { "const QSize", 61, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//378
    { "const QSize&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QSizeF", 62, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//380
    { "const QSizeF&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QSslCertificate&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QSslCipher&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QSslConfiguration&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QSslError&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QSslError::SslError&", 67, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QSslKey&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//388
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//391
    { "const QStringRef&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QTime&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QUrl&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QUrlInfo&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QUuid&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QVariant&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QVariant::Type", 82, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//398
    { "const QVariantComparisonHelper&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//400
    { "const sockaddr*", 84, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//401
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//402
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//403
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//404
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//405
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//406
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//407
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//408
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//409
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//410
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//411
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//412
    { "quint16", 0, Smoke::t_ushort|Smoke::tf_stack },	//413
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//414
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//415
    { "size_t", 0, Smoke::t_ulong|Smoke::tf_stack },	//416
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//417
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//418
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//419
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//420
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//421
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//422
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//423
    { "unsigned short*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//424
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//425
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//426
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//427
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//428
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//429
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//430
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    400, 0,	//1  const char*
    400, 400, 0,	//3  const char*, const char*
    400, 400, 406, 0,	//6  const char*, const char*, int
    128, 406, 429, 0,	//10  QMetaObject::Call, int, void**
    394, 0,	//14  const QUrl&
    359, 0,	//16  const QNetworkCacheMetaData&
    99, 0,	//18  QIODevice*
    178, 0,	//20  QObject*
    8, 178, 0,	//22  QAbstractSocket::SocketType, QObject*
    389, 423, 38, 0,	//25  const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    336, 423, 38, 0,	//29  const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    411, 0,	//33  long long
    406, 7, 38, 0,	//35  int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>
    6, 397, 0,	//39  QAbstractSocket::SocketOption, const QVariant&
    6, 0,	//42  QAbstractSocket::SocketOption
    406, 0,	//44  int
    363, 0,	//46  const QNetworkProxy&
    7, 0,	//48  QAbstractSocket::SocketState
    5, 0,	//50  QAbstractSocket::SocketError
    363, 10, 0,	//52  const QNetworkProxy&, QAuthenticator*
    389, 413, 100, 0,	//55  const QString&, quint16, QIODevice::OpenMode
    324, 411, 0,	//59  char*, long long
    400, 411, 0,	//62  const char*, long long
    423, 0,	//65  unsigned short
    336, 0,	//67  const QHostAddress&
    389, 0,	//69  const QString&
    389, 423, 0,	//71  const QString&, unsigned short
    336, 423, 0,	//74  const QHostAddress&, unsigned short
    406, 7, 0,	//77  int, QAbstractSocket::SocketState
    389, 413, 0,	//80  const QString&, quint16
    325, 0,	//83  const QAuthenticator&
    389, 397, 0,	//85  const QString&, const QVariant&
    389, 389, 0,	//88  const QString&, const QString&
    71, 0,	//91  QFtp::TransferMode
    389, 99, 72, 0,	//93  const QString&, QIODevice*, QFtp::TransferType
    328, 389, 72, 0,	//97  const QByteArray&, const QString&, QFtp::TransferType
    99, 389, 72, 0,	//101  QIODevice*, const QString&, QFtp::TransferType
    395, 0,	//105  const QUrlInfo&
    412, 412, 0,	//107  qint64, qint64
    406, 389, 0,	//110  int, const QString&
    406, 321, 0,	//113  int, bool
    321, 0,	//116  bool
    389, 99, 0,	//118  const QString&, QIODevice*
    328, 389, 0,	//121  const QByteArray&, const QString&
    99, 389, 0,	//124  QIODevice*, const QString&
    392, 392, 0,	//127  const QStringRef&, const QStringRef&
    422, 0,	//130  unsigned long long
    404, 0,	//132  double
    224, 406, 0,	//134  QTextCodec::ConversionFlag, int
    276, 406, 0,	//137  Qt::ImageConversionFlag, int
    400, 420, 0,	//140  const char*, unsigned int
    428, 403, 416, 0,	//143  void*, const void*, size_t
    24, 38, 0,	//147  QDebug, QFlags<QIODevice::OpenModeFlag>
    24, 385, 0,	//150  QDebug, const QSslError&
    392, 389, 0,	//153  const QStringRef&, const QString&
    379, 379, 0,	//156  const QSize&, const QSize&
    400, 328, 0,	//159  const char*, const QByteArray&
    31, 37, 0,	//162  QFile::Permission, QFlags<QFile::Permission>
    373, 373, 0,	//165  const QPointF&, const QPointF&
    404, 404, 0,	//168  double, double
    20, 188, 0,	//171  QDataStream&, QSizeF&
    328, 400, 0,	//174  const QByteArray&, const char*
    405, 0,	//177  float
    415, 0,	//179  signed char
    159, 406, 0,	//181  QNetworkProxy::Capability, int
    389, 392, 0,	//184  const QString&, const QStringRef&
    16, 0,	//187  QChar
    392, 343, 0,	//189  const QStringRef&, const QLatin1String&
    16, 16, 0,	//192  QChar, QChar
    309, 309, 0,	//195  Qt::TouchPointState, Qt::TouchPointState
    328, 0,	//198  const QByteArray&
    24, 394, 0,	//200  QDebug, const QUrl&
    217, 389, 0,	//203  QString::Null, const QString&
    20, 336, 0,	//206  QDataStream&, const QHostAddress&
    306, 306, 0,	//209  Qt::ToolBarArea, Qt::ToolBarArea
    127, 127, 0,	//212  QLocale::NumberOption, QLocale::NumberOption
    316, 316, 0,	//215  Qt::WindowType, Qt::WindowType
    404, 381, 0,	//218  double, const QSizeF&
    25, 406, 0,	//221  QDir::Filter, int
    371, 371, 0,	//224  const QPoint&, const QPoint&
    20, 375, 0,	//227  QDataStream&, const QRectF&
    284, 406, 0,	//230  Qt::KeyboardModifier, int
    303, 62, 0,	//233  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    24, 7, 0,	//236  QDebug, QAbstractSocket::SocketState
    323, 0,	//239  char
    227, 48, 0,	//241  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    24, 354, 0,	//244  QDebug, const QMargins&
    235, 406, 0,	//247  QUrl::FormattingOption, int
    31, 406, 0,	//250  QFile::Permission, int
    371, 404, 0,	//253  const QPoint&, double
    27, 35, 0,	//256  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    20, 359, 0,	//259  QDataStream&, const QNetworkCacheMetaData&
    381, 381, 0,	//262  const QSizeF&, const QSizeF&
    24, 373, 0,	//265  QDebug, const QPointF&
    410, 406, 408, 408, 0,	//268  long double, int, int*, int*
    284, 58, 0,	//273  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    24, 345, 0,	//276  QDebug, const QLineF&
    24, 331, 0,	//279  QDebug, const QDateTime&
    24, 198, 0,	//282  QDebug, QSslCertificate::SubjectInfo
    159, 159, 0,	//285  QNetworkProxy::Capability, QNetworkProxy::Capability
    232, 49, 0,	//288  QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>
    235, 235, 0,	//291  QUrl::FormattingOption, QUrl::FormattingOption
    309, 64, 0,	//294  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    276, 276, 0,	//297  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    127, 406, 0,	//300  QLocale::NumberOption, int
    402, 406, 0,	//303  const unsigned char*, int
    400, 400, 420, 0,	//306  const char*, const char*, unsigned int
    159, 44, 0,	//310  QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>
    343, 392, 0,	//313  const QLatin1String&, const QStringRef&
    267, 267, 0,	//316  Qt::DropAction, Qt::DropAction
    146, 146, 0,	//319  QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability
    24, 371, 0,	//322  QDebug, const QPoint&
    20, 126, 0,	//325  QDataStream&, QLocale&
    389, 16, 0,	//328  const QString&, QChar
    217, 217, 0,	//331  QString::Null, QString::Null
    24, 125, 0,	//334  QDebug, QLocalSocket::LocalSocketState
    402, 419, 406, 0,	//337  const unsigned char*, unsigned char*, int
    224, 224, 0,	//341  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    291, 291, 0,	//344  Qt::Orientation, Qt::Orientation
    193, 45, 0,	//347  QSsl::SslOption, QFlags<QSsl::SslOption>
    428, 416, 416, 416, 0,	//350  void*, size_t, size_t, size_t
    420, 0,	//355  unsigned int
    306, 63, 0,	//357  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    374, 374, 0,	//360  const QRect&, const QRect&
    30, 36, 0,	//363  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    326, 326, 0,	//366  const QBitArray&, const QBitArray&
    328, 328, 0,	//369  const QByteArray&, const QByteArray&
    428, 416, 0,	//372  void*, size_t
    20, 353, 0,	//375  QDataStream&, const QLocale&
    24, 333, 0,	//378  QDebug, const QEasingCurve&
    427, 0,	//381  void(*)(QtMsgType,const char*)
    357, 0,	//383  const QModelIndex&
    20, 23, 0,	//385  QDataStream&, QDateTime&
    13, 13, 0,	//388  QBool, QBool
    400, 392, 0,	//391  const char*, const QStringRef&
    306, 406, 0,	//394  Qt::ToolBarArea, int
    278, 406, 0,	//397  Qt::InputMethodHint, int
    16, 389, 0,	//400  QChar, const QString&
    218, 406, 0,	//403  QString::SectionFlag, int
    106, 406, 0,	//406  QLibrary::LoadHint, int
    20, 234, 0,	//409  QDataStream&, QUrl&
    389, 217, 0,	//412  const QString&, QString::Null
    1, 406, 0,	//415  QAbstractFileEngine::FileFlag, int
    224, 47, 0,	//418  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    278, 56, 0,	//421  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    316, 66, 0,	//424  Qt::WindowType, QFlags<Qt::WindowType>
    289, 289, 0,	//427  Qt::MouseButton, Qt::MouseButton
    324, 400, 0,	//430  char*, const char*
    245, 245, 0,	//433  Qt::AlignmentFlag, Qt::AlignmentFlag
    371, 0,	//436  const QPoint&
    267, 406, 0,	//438  Qt::DropAction, int
    20, 393, 0,	//441  QDataStream&, const QTime&
    26, 406, 0,	//444  QDir::SortFlag, int
    354, 354, 0,	//447  const QMargins&, const QMargins&
    24, 361, 0,	//450  QDebug, const QNetworkCookie&
    24, 5, 0,	//453  QDebug, QAbstractSocket::SocketError
    179, 0,	//456  QObject*(*)()
    287, 287, 0,	//458  Qt::MatchFlag, Qt::MatchFlag
    416, 0,	//461  size_t
    265, 52, 0,	//463  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    20, 220, 0,	//466  QDataStream&, QStringList&
    24, 398, 0,	//469  QDebug, const QVariant::Type
    265, 406, 0,	//472  Qt::DockWidgetArea, int
    409, 0,	//475  long
    406, 371, 0,	//477  int, const QPoint&
    20, 108, 0,	//480  QDataStream&, QLineF&
    31, 31, 0,	//483  QFile::Permission, QFile::Permission
    20, 187, 0,	//486  QDataStream&, QSize&
    369, 0,	//489  const QPersistentModelIndex&
    20, 389, 0,	//491  QDataStream&, const QString&
    20, 331, 0,	//494  QDataStream&, const QDateTime&
    367, 389, 355, 0,	//497  const QObject*, const QString&, const QMetaObject&
    218, 218, 0,	//501  QString::SectionFlag, QString::SectionFlag
    373, 404, 0,	//504  const QPointF&, double
    321, 13, 0,	//507  bool, QBool
    20, 136, 0,	//510  QDataStream&, QNetworkCacheMetaData&
    324, 400, 420, 0,	//513  char*, const char*, unsigned int
    146, 406, 0,	//517  QNetworkConfigurationManager::Capability, int
    20, 76, 0,	//520  QDataStream&, QHostAddress&
    20, 371, 0,	//523  QDataStream&, const QPoint&
    20, 242, 0,	//526  QDataStream&, QVariant&
    289, 406, 0,	//529  Qt::MouseButton, int
    373, 0,	//532  const QPointF&
    155, 43, 0,	//534  QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>
    24, 369, 0,	//537  QDebug, const QPersistentModelIndex&
    400, 400, 400, 406, 0,	//540  const char*, const char*, const char*, int
    405, 371, 0,	//545  float, const QPoint&
    291, 61, 0,	//548  Qt::Orientation, QFlags<Qt::Orientation>
    24, 362, 0,	//551  QDebug, const QNetworkInterface&
    232, 406, 0,	//554  QUdpSocket::BindFlag, int
    30, 406, 0,	//557  QEventLoop::ProcessEventsFlag, int
    375, 375, 0,	//560  const QRectF&, const QRectF&
    276, 55, 0,	//563  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    24, 124, 0,	//566  QDebug, QLocalSocket::LocalSocketError
    20, 390, 0,	//569  QDataStream&, const QStringList&
    328, 323, 0,	//572  const QByteArray&, char
    27, 27, 0,	//575  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    25, 33, 0,	//578  QDir::Filter, QFlags<QDir::Filter>
    20, 181, 0,	//581  QDataStream&, QPoint&
    381, 404, 0,	//584  const QSizeF&, double
    20, 330, 0,	//587  QDataStream&, const QDate&
    426, 0,	//590  void(*)()
    402, 406, 406, 0,	//592  const unsigned char*, int, int
    20, 344, 0,	//596  QDataStream&, const QLine&
    20, 216, 0,	//599  QDataStream&, QString&
    24, 336, 0,	//602  QDebug, const QHostAddress&
    428, 0,	//605  void*
    281, 406, 0,	//607  Qt::ItemFlag, int
    24, 332, 0,	//610  QDebug, const QDir&
    225, 226, 0,	//613  QTextStream&, QTextStream&(*)(QTextStream&)
    24, 357, 0,	//616  QDebug, const QModelIndex&
    24, 382, 0,	//619  QDebug, const QSslCertificate&
    30, 30, 0,	//622  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    326, 0,	//625  const QBitArray&
    24, 393, 0,	//627  QDebug, const QTime&
    225, 228, 0,	//630  QTextStream&, QTextStreamManipulator
    272, 54, 0,	//633  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    392, 400, 0,	//636  const QStringRef&, const char*
    78, 336, 0,	//639  QHostAddress::SpecialAddress, const QHostAddress&
    20, 12, 0,	//642  QDataStream&, QBitArray&
    416, 416, 0,	//645  size_t, size_t
    410, 406, 408, 408, 324, 416, 0,	//648  long double, int, int*, int*, char*, size_t
    24, 381, 0,	//655  QDebug, const QSizeF&
    272, 406, 0,	//658  Qt::GestureFlag, int
    323, 328, 0,	//661  char, const QByteArray&
    20, 397, 0,	//664  QDataStream&, const QVariant&
    24, 397, 0,	//667  QDebug, const QVariant&
    315, 406, 0,	//670  Qt::WindowState, int
    20, 229, 0,	//673  QDataStream&, QTime&
    24, 33, 0,	//676  QDebug, QFlags<QDir::Filter>
    284, 284, 0,	//679  Qt::KeyboardModifier, Qt::KeyboardModifier
    20, 28, 0,	//682  QDataStream&, QEasingCurve&
    404, 373, 0,	//685  double, const QPointF&
    267, 53, 0,	//688  Qt::DropAction, QFlags<Qt::DropAction>
    379, 404, 0,	//691  const QSize&, double
    24, 330, 0,	//694  QDebug, const QDate&
    25, 25, 0,	//697  QDir::Filter, QDir::Filter
    324, 416, 400, 425, 0,	//700  char*, size_t, const char*, va_list
    404, 371, 0,	//705  double, const QPoint&
    428, 406, 416, 0,	//708  void*, int, size_t
    20, 345, 0,	//712  QDataStream&, const QLineF&
    400, 406, 0,	//715  const char*, int
    414, 0,	//718  short
    101, 101, 0,	//720  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    265, 265, 0,	//723  Qt::DockWidgetArea, Qt::DockWidgetArea
    26, 34, 0,	//726  QDir::SortFlag, QFlags<QDir::SortFlag>
    155, 406, 0,	//729  QNetworkInterface::InterfaceFlag, int
    405, 405, 0,	//732  float, float
    397, 399, 0,	//735  const QVariant&, const QVariantComparisonHelper&
    106, 106, 0,	//738  QLibrary::LoadHint, QLibrary::LoadHint
    410, 406, 324, 0,	//741  long double, int, char*
    428, 416, 416, 407, 0,	//745  void*, size_t, size_t, int(*)(const void*,const void*)
    232, 232, 0,	//750  QUdpSocket::BindFlag, QUdpSocket::BindFlag
    27, 406, 0,	//753  QDirIterator::IteratorFlag, int
    278, 278, 0,	//756  Qt::InputMethodHint, Qt::InputMethodHint
    193, 406, 0,	//759  QSsl::SslOption, int
    24, 344, 0,	//762  QDebug, const QLine&
    303, 303, 0,	//765  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    309, 406, 0,	//768  Qt::TouchPointState, int
    328, 406, 0,	//771  const QByteArray&, int
    235, 50, 0,	//774  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    303, 406, 0,	//777  Qt::TextInteractionFlag, int
    315, 315, 0,	//780  Qt::WindowState, Qt::WindowState
    1, 32, 0,	//783  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    24, 386, 0,	//786  QDebug, const QSslError::SslError&
    193, 193, 0,	//789  QSsl::SslOption, QSsl::SslOption
    20, 328, 0,	//792  QDataStream&, const QByteArray&
    20, 333, 0,	//795  QDataStream&, const QEasingCurve&
    20, 394, 0,	//798  QDataStream&, const QUrl&
    24, 374, 0,	//801  QDebug, const QRect&
    26, 26, 0,	//804  QDir::SortFlag, QDir::SortFlag
    227, 406, 0,	//807  QTextStream::NumberFlag, int
    20, 183, 0,	//810  QDataStream&, QRect&
    20, 379, 0,	//813  QDataStream&, const QSize&
    20, 329, 0,	//816  QDataStream&, const QChar&
    245, 406, 0,	//819  Qt::AlignmentFlag, int
    20, 376, 0,	//822  QDataStream&, const QRegExp&
    24, 375, 0,	//825  QDebug, const QRectF&
    315, 65, 0,	//828  Qt::WindowState, QFlags<Qt::WindowState>
    281, 281, 0,	//831  Qt::ItemFlag, Qt::ItemFlag
    20, 240, 0,	//834  QDataStream&, QUuid&
    371, 406, 0,	//837  const QPoint&, int
    20, 244, 0,	//840  QDataStream&, QVariant::Type&
    397, 243, 428, 0,	//843  const QVariant&, QVariant::Type, void*
    367, 389, 377, 355, 121, 0,	//847  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    335, 335, 0,	//853  const QHashDummyValue&, const QHashDummyValue&
    20, 182, 0,	//856  QDataStream&, QPointF&
    291, 406, 0,	//859  Qt::Orientation, int
    272, 272, 0,	//862  Qt::GestureFlag, Qt::GestureFlag
    101, 38, 0,	//865  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    371, 405, 0,	//868  const QPoint&, float
    404, 379, 0,	//871  double, const QSize&
    24, 387, 0,	//874  QDebug, const QSslKey&
    13, 321, 0,	//877  QBool, bool
    20, 107, 0,	//880  QDataStream&, QLine&
    24, 379, 0,	//883  QDebug, const QSize&
    227, 227, 0,	//886  QTextStream::NumberFlag, QTextStream::NumberFlag
    289, 60, 0,	//889  Qt::MouseButton, QFlags<Qt::MouseButton>
    20, 398, 0,	//892  QDataStream&, const QVariant::Type
    281, 57, 0,	//895  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    20, 396, 0,	//898  QDataStream&, const QUuid&
    106, 39, 0,	//901  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    316, 406, 0,	//904  Qt::WindowType, int
    155, 155, 0,	//907  QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag
    20, 184, 0,	//910  QDataStream&, QRectF&
    20, 374, 0,	//913  QDataStream&, const QRect&
    287, 59, 0,	//916  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    245, 51, 0,	//919  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    24, 383, 0,	//922  QDebug, const QSslCipher&
    20, 17, 0,	//925  QDataStream&, QChar&
    20, 185, 0,	//928  QDataStream&, QRegExp&
    421, 0,	//931  unsigned long
    20, 373, 0,	//933  QDataStream&, const QPointF&
    127, 40, 0,	//936  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    20, 381, 0,	//939  QDataStream&, const QSizeF&
    218, 46, 0,	//942  QString::SectionFlag, QFlags<QString::SectionFlag>
    1, 1, 0,	//945  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    319, 400, 0,	//948  QtMsgType, const char*
    146, 42, 0,	//951  QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>
    392, 0,	//954  const QStringRef&
    101, 406, 0,	//956  QIODevice::OpenModeFlag, int
    417, 0,	//959  unsigned char
    20, 15, 0,	//961  QDataStream&, QByteArray&
    24, 367, 0,	//964  QDebug, const QObject*
    287, 406, 0,	//967  Qt::MatchFlag, int
    20, 21, 0,	//970  QDataStream&, QDate&
    20, 326, 0,	//973  QDataStream&, const QBitArray&
    419, 0,	//976  unsigned char*
    342, 0,	//978  const QIPv6Address&
    401, 0,	//980  const sockaddr*
    78, 0,	//982  QHostAddress::SpecialAddress
    336, 406, 0,	//984  const QHostAddress&, int
    368, 0,	//987  const QPair<QHostAddress,int>&
    337, 0,	//989  const QHostInfo&
    346, 0,	//991  const QList<QHostAddress>&
    82, 0,	//993  QHostInfo::HostInfoError
    389, 178, 400, 0,	//995  const QString&, QObject*, const char*
    389, 423, 178, 0,	//999  const QString&, unsigned short, QObject*
    389, 84, 423, 178, 0,	//1003  const QString&, QHttp::ConnectionMode, unsigned short, QObject*
    389, 84, 423, 0,	//1008  const QString&, QHttp::ConnectionMode, unsigned short
    223, 0,	//1012  QTcpSocket*
    389, 406, 389, 389, 0,	//1014  const QString&, int, const QString&, const QString&
    389, 99, 99, 0,	//1019  const QString&, QIODevice*, QIODevice*
    389, 328, 99, 0,	//1023  const QString&, const QByteArray&, QIODevice*
    340, 99, 99, 0,	//1027  const QHttpRequestHeader&, QIODevice*, QIODevice*
    340, 328, 99, 0,	//1031  const QHttpRequestHeader&, const QByteArray&, QIODevice*
    341, 0,	//1035  const QHttpResponseHeader&
    406, 406, 0,	//1037  int, int
    389, 413, 10, 0,	//1040  const QString&, quint16, QAuthenticator*
    352, 0,	//1044  const QList<QSslError>&
    389, 84, 0,	//1046  const QString&, QHttp::ConnectionMode
    389, 406, 0,	//1049  const QString&, int
    389, 406, 389, 0,	//1052  const QString&, int, const QString&
    389, 328, 0,	//1056  const QString&, const QByteArray&
    340, 0,	//1059  const QHttpRequestHeader&
    340, 99, 0,	//1061  const QHttpRequestHeader&, QIODevice*
    340, 328, 0,	//1064  const QHttpRequestHeader&, const QByteArray&
    338, 0,	//1067  const QHttpHeader&
    349, 0,	//1069  const QList<QPair<QString,QString> >&
    90, 178, 0,	//1071  QHttpMultiPart::ContentType, QObject*
    339, 0,	//1074  const QHttpPart&
    90, 0,	//1076  QHttpMultiPart::ContentType
    172, 397, 0,	//1078  QNetworkRequest::KnownHeaders, const QVariant&
    389, 389, 406, 406, 0,	//1081  const QString&, const QString&, int, int
    389, 389, 406, 0,	//1086  const QString&, const QString&, int
    406, 389, 406, 406, 0,	//1090  int, const QString&, int, int
    406, 389, 406, 0,	//1095  int, const QString&, int
    38, 0,	//1099  QFlags<QIODevice::OpenModeFlag>
    406, 322, 0,	//1101  int, bool*
    105, 0,	//1104  QIntegerForSizeof< void* >::Unsigned
    389, 38, 0,	//1106  const QString&, QFlags<QIODevice::OpenModeFlag>
    105, 125, 38, 0,	//1109  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>
    124, 0,	//1113  QLocalSocket::LocalSocketError
    125, 0,	//1115  QLocalSocket::LocalSocketState
    105, 125, 0,	//1117  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState
    161, 0,	//1120  QNetworkProxyFactory*
    2, 0,	//1122  QAbstractNetworkCache*
    150, 0,	//1124  QNetworkCookieJar*
    366, 0,	//1126  const QNetworkRequest&
    366, 99, 0,	//1128  const QNetworkRequest&, QIODevice*
    366, 328, 0,	//1131  const QNetworkRequest&, const QByteArray&
    366, 89, 0,	//1134  const QNetworkRequest&, QHttpMultiPart*
    366, 328, 99, 0,	//1137  const QNetworkRequest&, const QByteArray&, QIODevice*
    360, 0,	//1141  const QNetworkConfiguration&
    131, 0,	//1143  QNetworkAccessManager::NetworkAccessibility
    165, 10, 0,	//1145  QNetworkReply*, QAuthenticator*
    165, 0,	//1148  QNetworkReply*
    165, 352, 0,	//1150  QNetworkReply*, const QList<QSslError>&
    132, 366, 99, 0,	//1153  QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*
    132, 366, 0,	//1157  QNetworkAccessManager::Operation, const QNetworkRequest&
    358, 0,	//1160  const QNetworkAddressEntry&
    348, 0,	//1162  const QList<QPair<QByteArray,QByteArray> >&
    331, 0,	//1164  const QDateTime&
    334, 0,	//1166  const QHash<QNetworkRequest::Attribute,QVariant>&
    41, 0,	//1168  QFlags<QNetworkConfiguration::StateFlag>
    361, 0,	//1170  const QNetworkCookie&
    149, 0,	//1172  QNetworkCookie::RawForm
    347, 394, 0,	//1174  const QList<QNetworkCookie>&, const QUrl&
    347, 0,	//1177  const QList<QNetworkCookie>&
    362, 0,	//1179  const QNetworkInterface&
    160, 389, 423, 389, 389, 0,	//1181  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&
    160, 0,	//1187  QNetworkProxy::ProxyType
    44, 0,	//1189  QFlags<QNetworkProxy::Capability>
    160, 389, 0,	//1191  QNetworkProxy::ProxyType, const QString&
    160, 389, 423, 0,	//1194  QNetworkProxy::ProxyType, const QString&, unsigned short
    160, 389, 423, 389, 0,	//1198  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&
    365, 0,	//1203  const QNetworkProxyQuery&
    364, 0,	//1205  const QNetworkProxyFactory&
    394, 164, 0,	//1207  const QUrl&, QNetworkProxyQuery::QueryType
    389, 406, 389, 164, 0,	//1210  const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    423, 389, 164, 0,	//1215  unsigned short, const QString&, QNetworkProxyQuery::QueryType
    360, 394, 164, 0,	//1219  const QNetworkConfiguration&, const QUrl&, QNetworkProxyQuery::QueryType
    360, 389, 406, 389, 164, 0,	//1223  const QNetworkConfiguration&, const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    360, 423, 389, 164, 0,	//1229  const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType
    164, 0,	//1234  QNetworkProxyQuery::QueryType
    423, 389, 0,	//1236  unsigned short, const QString&
    360, 394, 0,	//1239  const QNetworkConfiguration&, const QUrl&
    360, 389, 406, 0,	//1242  const QNetworkConfiguration&, const QString&, int
    360, 389, 406, 389, 0,	//1246  const QNetworkConfiguration&, const QString&, int, const QString&
    360, 423, 0,	//1251  const QNetworkConfiguration&, unsigned short
    360, 423, 389, 0,	//1254  const QNetworkConfiguration&, unsigned short, const QString&
    172, 0,	//1258  QNetworkRequest::KnownHeaders
    170, 0,	//1260  QNetworkRequest::Attribute
    384, 0,	//1262  const QSslConfiguration&
    166, 0,	//1264  QNetworkReply::NetworkError
    132, 0,	//1266  QNetworkAccessManager::Operation
    166, 389, 0,	//1268  QNetworkReply::NetworkError, const QString&
    170, 397, 0,	//1271  QNetworkRequest::Attribute, const QVariant&
    174, 0,	//1274  QNetworkRequest::Priority
    360, 178, 0,	//1276  const QNetworkConfiguration&, QObject*
    177, 0,	//1279  QNetworkSession::State
    176, 0,	//1281  QNetworkSession::SessionError
    360, 321, 0,	//1283  const QNetworkConfiguration&, bool
    29, 0,	//1286  QEvent*
    178, 29, 0,	//1288  QObject*, QEvent*
    230, 0,	//1291  QTimerEvent*
    18, 0,	//1293  QChildEvent*
    99, 190, 0,	//1295  QIODevice*, QSsl::EncodingFormat
    328, 190, 0,	//1298  const QByteArray&, QSsl::EncodingFormat
    382, 0,	//1301  const QSslCertificate&
    19, 0,	//1303  QCryptographicHash::Algorithm
    198, 0,	//1305  QSslCertificate::SubjectInfo
    389, 190, 186, 0,	//1307  const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax
    389, 190, 0,	//1311  const QString&, QSsl::EncodingFormat
    389, 194, 0,	//1314  const QString&, QSsl::SslProtocol
    383, 0,	//1317  const QSslCipher&
    194, 0,	//1319  QSsl::SslProtocol
    213, 0,	//1321  QSslSocket::PeerVerifyMode
    387, 0,	//1323  const QSslKey&
    351, 0,	//1325  const QList<QSslCipher>&
    350, 0,	//1327  const QList<QSslCertificate>&
    193, 321, 0,	//1329  QSsl::SslOption, bool
    193, 0,	//1332  QSsl::SslOption
    208, 0,	//1334  QSslError::SslError
    208, 382, 0,	//1336  QSslError::SslError, const QSslCertificate&
    385, 0,	//1339  const QSslError&
    328, 191, 190, 192, 328, 0,	//1341  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    99, 191, 190, 192, 328, 0,	//1347  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    328, 191, 0,	//1353  const QByteArray&, QSsl::KeyAlgorithm
    328, 191, 190, 0,	//1356  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    328, 191, 190, 192, 0,	//1360  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    99, 191, 0,	//1365  QIODevice*, QSsl::KeyAlgorithm
    99, 191, 190, 0,	//1368  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    99, 191, 190, 192, 0,	//1372  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    389, 423, 389, 38, 0,	//1377  const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>
    389, 191, 190, 328, 0,	//1382  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&
    214, 0,	//1387  QSslSocket::SslMode
    412, 0,	//1389  qint64
    389, 423, 389, 0,	//1391  const QString&, unsigned short, const QString&
    389, 191, 0,	//1395  const QString&, QSsl::KeyAlgorithm
    389, 191, 190, 0,	//1398  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    336, 423, 49, 0,	//1402  const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>
    423, 49, 0,	//1406  unsigned short, QFlags<QUdpSocket::BindFlag>
    336, 362, 0,	//1409  const QHostAddress&, const QNetworkInterface&
    324, 411, 77, 424, 0,	//1412  char*, long long, QHostAddress*, unsigned short*
    400, 411, 336, 423, 0,	//1417  const char*, long long, const QHostAddress&, unsigned short
    328, 336, 423, 0,	//1422  const QByteArray&, const QHostAddress&, unsigned short
    324, 411, 77, 0,	//1426  char*, long long, QHostAddress*
    389, 406, 389, 389, 411, 331, 331, 321, 321, 321, 321, 321, 321, 0,	//1430  const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    394, 406, 389, 389, 411, 331, 331, 321, 321, 321, 321, 321, 321, 0,	//1444  const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    395, 395, 406, 0,	//1458  const QUrlInfo&, const QUrlInfo&, int
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Aborted",	//1
    "Accessible",	//2
    "Active",	//3
    "AddressInUseError",	//4
    "AlternativeType",	//5
    "AlwaysCache",	//6
    "AlwaysNetwork",	//7
    "Any",	//8
    "AnyIPv6",	//9
    "AnyProtocol",	//10
    "Append",	//11
    "ApplicationLevelRoaming",	//12
    "Ascii",	//13
    "AuthenticationRequiredError",	//14
    "AuthenticationReuseAttribute",	//15
    "AuthorityIssuerSerialNumberMismatch",	//16
    "AutoVerifyPeer",	//17
    "Automatic",	//18
    "Bearer2G",	//19
    "BearerBluetooth",	//20
    "BearerCDMA2000",	//21
    "BearerEthernet",	//22
    "BearerHSPA",	//23
    "BearerUnknown",	//24
    "BearerWCDMA",	//25
    "BearerWLAN",	//26
    "BearerWiMAX",	//27
    "Binary",	//28
    "BoundState",	//29
    "Broadcast",	//30
    "CacheLoadControlAttribute",	//31
    "CacheSaveControlAttribute",	//32
    "CachingCapability",	//33
    "CanBroadcast",	//34
    "CanMulticast",	//35
    "CanStartAndStopInterfaces",	//36
    "Cd",	//37
    "CertificateBlacklisted",	//38
    "CertificateExpired",	//39
    "CertificateNotYetValid",	//40
    "CertificateRejected",	//41
    "CertificateRevoked",	//42
    "CertificateSignatureFailed",	//43
    "CertificateUntrusted",	//44
    "Close",	//45
    "Closing",	//46
    "ClosingState",	//47
    "CommonName",	//48
    "ConnectToHost",	//49
    "Connected",	//50
    "ConnectedState",	//51
    "Connecting",	//52
    "ConnectingState",	//53
    "ConnectionEncryptedAttribute",	//54
    "ConnectionError",	//55
    "ConnectionModeHttp",	//56
    "ConnectionModeHttps",	//57
    "ConnectionRefused",	//58
    "ConnectionRefusedError",	//59
    "ContentAccessDenied",	//60
    "ContentDispositionHeader",	//61
    "ContentLengthHeader",	//62
    "ContentNotFoundError",	//63
    "ContentOperationNotPermittedError",	//64
    "ContentReSendError",	//65
    "ContentTypeHeader",	//66
    "CookieHeader",	//67
    "CookieLoadControlAttribute",	//68
    "CookieSaveControlAttribute",	//69
    "CountryName",	//70
    "CustomOperation",	//71
    "CustomVerbAttribute",	//72
    "DataStatistics",	//73
    "DatagramTooLargeError",	//74
    "DefaultForPlatform",	//75
    "DefaultProxy",	//76
    "Defined",	//77
    "DeleteOperation",	//78
    "Der",	//79
    "DirectConnectionRouting",	//80
    "Disconnected",	//81
    "Discovered",	//82
    "DnsEntry",	//83
    "DoNotBufferUploadDataAttribute",	//84
    "DontShareAddress",	//85
    "DownloadBufferAttribute",	//86
    "Dsa",	//87
    "EmailEntry",	//88
    "ExeGroup",	//89
    "ExeOther",	//90
    "ExeOwner",	//91
    "ForcedRoaming",	//92
    "FormDataType",	//93
    "FtpCachingProxy",	//94
    "Full",	//95
    "Get",	//96
    "GetOperation",	//97
    "HeadOperation",	//98
    "HighPriority",	//99
    "HostLookup",	//100
    "HostLookupState",	//101
    "HostNameLookupCapability",	//102
    "HostNameMismatch",	//103
    "HostNotFound",	//104
    "HostNotFoundError",	//105
    "HttpCachingProxy",	//106
    "HttpPipeliningAllowedAttribute",	//107
    "HttpPipeliningWasUsedAttribute",	//108
    "HttpProxy",	//109
    "HttpReasonPhraseAttribute",	//110
    "HttpStatusCodeAttribute",	//111
    "IPv4Protocol",	//112
    "IPv6Protocol",	//113
    "InternetAccessPoint",	//114
    "Invalid",	//115
    "InvalidCaCertificate",	//116
    "InvalidConfigurationError",	//117
    "InvalidNotAfterField",	//118
    "InvalidNotBeforeField",	//119
    "InvalidPurpose",	//120
    "InvalidResponseHeader",	//121
    "IsLoopBack",	//122
    "IsPointToPoint",	//123
    "IsRunning",	//124
    "IsUp",	//125
    "KeepAliveOption",	//126
    "LastModifiedHeader",	//127
    "List",	//128
    "ListeningCapability",	//129
    "ListeningState",	//130
    "LocalHost",	//131
    "LocalHostIPv6",	//132
    "LocalityName",	//133
    "LocationHeader",	//134
    "LoggedIn",	//135
    "Login",	//136
    "LowDelayOption",	//137
    "LowPriority",	//138
    "Manual",	//139
    "MaximumDownloadBufferSizeAttribute",	//140
    "MixedType",	//141
    "Mkdir",	//142
    "MulticastLoopbackOption",	//143
    "MulticastTtlOption",	//144
    "NameAndValueOnly",	//145
    "NetworkError",	//146
    "NetworkSessionRequired",	//147
    "NoError",	//148
    "NoPeerCertificate",	//149
    "NoProxy",	//150
    "NoSslSupport",	//151
    "None",	//152
    "NormalPriority",	//153
    "NotAccessible",	//154
    "NotAvailable",	//155
    "NotConnected",	//156
    "NotOpen",	//157
    "Null",	//158
    "OperationCanceledError",	//159
    "OperationNotSupportedError",	//160
    "Organization",	//161
    "OrganizationalUnitName",	//162
    "Passive",	//163
    "PathLengthExceeded",	//164
    "PeerClosedError",	//165
    "Pem",	//166
    "PostOperation",	//167
    "PreferCache",	//168
    "PreferNetwork",	//169
    "PrivateKey",	//170
    "PrivatePurpose",	//171
    "ProtocolFailure",	//172
    "ProtocolInvalidOperationError",	//173
    "ProtocolUnknownError",	//174
    "ProxyAuthenticationRequiredError",	//175
    "ProxyConnectionClosedError",	//176
    "ProxyConnectionRefusedError",	//177
    "ProxyConnectionTimeoutError",	//178
    "ProxyNotFoundError",	//179
    "ProxyProtocolError",	//180
    "ProxyTimeoutError",	//181
    "PublicKey",	//182
    "PublicPurpose",	//183
    "Put",	//184
    "PutOperation",	//185
    "QAbstractNetworkCache",	//186
    "QAbstractNetworkCache#",	//187
    "QAbstractSocket",	//188
    "QAbstractSocket$#",	//189
    "QAuthenticator",	//190
    "QAuthenticator#",	//191
    "QFtp",	//192
    "QFtp#",	//193
    "QHostAddress",	//194
    "QHostAddress#",	//195
    "QHostAddress$",	//196
    "QHostInfo",	//197
    "QHostInfo#",	//198
    "QHostInfo$",	//199
    "QHttp",	//200
    "QHttp#",	//201
    "QHttp$",	//202
    "QHttp$$",	//203
    "QHttp$$#",	//204
    "QHttp$$$",	//205
    "QHttp$$$#",	//206
    "QHttpHeader",	//207
    "QHttpHeader#",	//208
    "QHttpHeader$",	//209
    "QHttpMultiPart",	//210
    "QHttpMultiPart#",	//211
    "QHttpMultiPart$",	//212
    "QHttpMultiPart$#",	//213
    "QHttpPart",	//214
    "QHttpPart#",	//215
    "QHttpRequestHeader",	//216
    "QHttpRequestHeader#",	//217
    "QHttpRequestHeader$",	//218
    "QHttpRequestHeader$$",	//219
    "QHttpRequestHeader$$$",	//220
    "QHttpRequestHeader$$$$",	//221
    "QHttpResponseHeader",	//222
    "QHttpResponseHeader#",	//223
    "QHttpResponseHeader$",	//224
    "QHttpResponseHeader$$",	//225
    "QHttpResponseHeader$$$",	//226
    "QHttpResponseHeader$$$$",	//227
    "QIPv6Address",	//228
    "QIPv6Address#",	//229
    "QLocalServer",	//230
    "QLocalServer#",	//231
    "QLocalSocket",	//232
    "QLocalSocket#",	//233
    "QNetworkAccessManager",	//234
    "QNetworkAccessManager#",	//235
    "QNetworkAddressEntry",	//236
    "QNetworkAddressEntry#",	//237
    "QNetworkCacheMetaData",	//238
    "QNetworkCacheMetaData#",	//239
    "QNetworkConfiguration",	//240
    "QNetworkConfiguration#",	//241
    "QNetworkConfigurationManager",	//242
    "QNetworkConfigurationManager#",	//243
    "QNetworkCookie",	//244
    "QNetworkCookie#",	//245
    "QNetworkCookie##",	//246
    "QNetworkCookieJar",	//247
    "QNetworkCookieJar#",	//248
    "QNetworkDiskCache",	//249
    "QNetworkDiskCache#",	//250
    "QNetworkInterface",	//251
    "QNetworkInterface#",	//252
    "QNetworkProxy",	//253
    "QNetworkProxy#",	//254
    "QNetworkProxy$",	//255
    "QNetworkProxy$$",	//256
    "QNetworkProxy$$$",	//257
    "QNetworkProxy$$$$",	//258
    "QNetworkProxy$$$$$",	//259
    "QNetworkProxyFactory",	//260
    "QNetworkProxyFactory#",	//261
    "QNetworkProxyQuery",	//262
    "QNetworkProxyQuery#",	//263
    "QNetworkProxyQuery##",	//264
    "QNetworkProxyQuery##$",	//265
    "QNetworkProxyQuery#$",	//266
    "QNetworkProxyQuery#$$",	//267
    "QNetworkProxyQuery#$$$",	//268
    "QNetworkProxyQuery#$$$$",	//269
    "QNetworkProxyQuery$",	//270
    "QNetworkProxyQuery$$",	//271
    "QNetworkProxyQuery$$$",	//272
    "QNetworkProxyQuery$$$$",	//273
    "QNetworkReply",	//274
    "QNetworkReply#",	//275
    "QNetworkRequest",	//276
    "QNetworkRequest#",	//277
    "QNetworkSession",	//278
    "QNetworkSession#",	//279
    "QNetworkSession##",	//280
    "QSslCertificate",	//281
    "QSslCertificate#",	//282
    "QSslCertificate#$",	//283
    "QSslCipher",	//284
    "QSslCipher#",	//285
    "QSslCipher$$",	//286
    "QSslConfiguration",	//287
    "QSslConfiguration#",	//288
    "QSslError",	//289
    "QSslError#",	//290
    "QSslError$",	//291
    "QSslError$#",	//292
    "QSslKey",	//293
    "QSslKey#",	//294
    "QSslKey#$",	//295
    "QSslKey#$$",	//296
    "QSslKey#$$$",	//297
    "QSslKey#$$$#",	//298
    "QSslSocket",	//299
    "QSslSocket#",	//300
    "QTcpServer",	//301
    "QTcpServer#",	//302
    "QTcpSocket",	//303
    "QTcpSocket#",	//304
    "QUdpSocket",	//305
    "QUdpSocket#",	//306
    "QUrlInfo",	//307
    "QUrlInfo#",	//308
    "QUrlInfo#$$$$##$$$$$$",	//309
    "QUrlInfo$$$$$##$$$$$$",	//310
    "QtCriticalMsg",	//311
    "QtDebugMsg",	//312
    "QtFatalMsg",	//313
    "QtSystemMsg",	//314
    "QtWarningMsg",	//315
    "QueryPeer",	//316
    "RawCommand",	//317
    "ReadGroup",	//318
    "ReadOnly",	//319
    "ReadOther",	//320
    "ReadOwner",	//321
    "ReadWrite",	//322
    "Reading",	//323
    "RedirectionTargetAttribute",	//324
    "RelatedType",	//325
    "RemoteHostClosedError",	//326
    "Remove",	//327
    "Rename",	//328
    "ReuseAddressHint",	//329
    "Rmdir",	//330
    "Roaming",	//331
    "RoamingError",	//332
    "Rsa",	//333
    "SecureProtocols",	//334
    "SelfSignedCertificate",	//335
    "SelfSignedCertificateInChain",	//336
    "Sending",	//337
    "ServerNotFoundError",	//338
    "ServiceNetwork",	//339
    "ServiceSpecificPurpose",	//340
    "SessionAbortedError",	//341
    "SetCookieHeader",	//342
    "SetProxy",	//343
    "SetTransferMode",	//344
    "ShareAddress",	//345
    "SocketAccessError",	//346
    "SocketAddressNotAvailableError",	//347
    "SocketResourceError",	//348
    "SocketTimeoutError",	//349
    "Socks5Proxy",	//350
    "SourceIsFromCacheAttribute",	//351
    "SslClientMode",	//352
    "SslHandshakeFailedError",	//353
    "SslOptionDisableCompression",	//354
    "SslOptionDisableEmptyFragments",	//355
    "SslOptionDisableLegacyRenegotiation",	//356
    "SslOptionDisableServerNameIndication",	//357
    "SslOptionDisableSessionTickets",	//358
    "SslServerMode",	//359
    "SslV2",	//360
    "SslV3",	//361
    "StateOrProvinceName",	//362
    "SubjectIssuerMismatch",	//363
    "SynchronousRequestAttribute",	//364
    "SystemSessionSupport",	//365
    "TcpServer",	//366
    "TcpSocket",	//367
    "TemporaryNetworkFailureError",	//368
    "Text",	//369
    "TimeoutError",	//370
    "TlsV1",	//371
    "TlsV1SslV3",	//372
    "Truncate",	//373
    "TunnelingCapability",	//374
    "UdpSocket",	//375
    "UdpTunnelingCapability",	//376
    "UnableToDecodeIssuerPublicKey",	//377
    "UnableToDecryptCertificateSignature",	//378
    "UnableToGetIssuerCertificate",	//379
    "UnableToGetLocalIssuerCertificate",	//380
    "UnableToVerifyFirstCertificate",	//381
    "Unbuffered",	//382
    "Unconnected",	//383
    "UnconnectedState",	//384
    "Undefined",	//385
    "UnencryptedMode",	//386
    "UnexpectedClose",	//387
    "UnfinishedSocketOperationError",	//388
    "UnknownAccessibility",	//389
    "UnknownContentError",	//390
    "UnknownError",	//391
    "UnknownNetworkError",	//392
    "UnknownNetworkLayerProtocol",	//393
    "UnknownOperation",	//394
    "UnknownProtocol",	//395
    "UnknownProxyError",	//396
    "UnknownPurpose",	//397
    "UnknownSessionError",	//398
    "UnknownSocketError",	//399
    "UnknownSocketType",	//400
    "UnspecifiedError",	//401
    "UnsupportedSocketOperationError",	//402
    "UrlRequest",	//403
    "User",	//404
    "UserChoice",	//405
    "UserMax",	//406
    "VerifyNone",	//407
    "VerifyPeer",	//408
    "WriteGroup",	//409
    "WriteOnly",	//410
    "WriteOther",	//411
    "WriteOwner",	//412
    "WrongContentLength",	//413
    "_ISalnum",	//414
    "_ISalpha",	//415
    "_ISblank",	//416
    "_IScntrl",	//417
    "_ISdigit",	//418
    "_ISgraph",	//419
    "_ISlower",	//420
    "_ISprint",	//421
    "_ISpunct",	//422
    "_ISspace",	//423
    "_ISupper",	//424
    "_ISxdigit",	//425
    "__codecvt_error",	//426
    "__codecvt_noconv",	//427
    "__codecvt_ok",	//428
    "__codecvt_partial",	//429
    "abort",	//430
    "abortHostLookup",	//431
    "abortHostLookup$",	//432
    "accept",	//433
    "activeConfiguration",	//434
    "activeTime",	//435
    "addCaCertificate",	//436
    "addCaCertificate#",	//437
    "addCaCertificates",	//438
    "addCaCertificates$",	//439
    "addCaCertificates$$",	//440
    "addCaCertificates$$$",	//441
    "addCaCertificates?",	//442
    "addDefaultCaCertificate",	//443
    "addDefaultCaCertificate#",	//444
    "addDefaultCaCertificates",	//445
    "addDefaultCaCertificates$",	//446
    "addDefaultCaCertificates$$",	//447
    "addDefaultCaCertificates$$$",	//448
    "addDefaultCaCertificates?",	//449
    "addPendingConnection",	//450
    "addPendingConnection#",	//451
    "addValue",	//452
    "addValue$$",	//453
    "addressEntries",	//454
    "addresses",	//455
    "algorithm",	//456
    "allAddresses",	//457
    "allConfigurations",	//458
    "allConfigurations$",	//459
    "allCookies",	//460
    "allInterfaces",	//461
    "allValues",	//462
    "allValues$",	//463
    "alternateSubjectNames",	//464
    "append",	//465
    "append#",	//466
    "applicationProxy",	//467
    "atEnd",	//468
    "attribute",	//469
    "attribute$",	//470
    "attribute$#",	//471
    "attributes",	//472
    "authenticationMethod",	//473
    "authenticationRequired",	//474
    "authenticationRequired##",	//475
    "authenticationRequired$$#",	//476
    "bearerName",	//477
    "bearerType",	//478
    "bearerTypeName",	//479
    "bind",	//480
    "bind#$",	//481
    "bind#$$",	//482
    "bind$",	//483
    "bind$$",	//484
    "boundary",	//485
    "broadcast",	//486
    "bytesAvailable",	//487
    "bytesReceived",	//488
    "bytesToWrite",	//489
    "bytesWritten",	//490
    "caCertificates",	//491
    "cache",	//492
    "cacheDirectory",	//493
    "cacheSize",	//494
    "canReadLine",	//495
    "capabilities",	//496
    "cd",	//497
    "cd$",	//498
    "certificate",	//499
    "childEvent",	//500
    "children",	//501
    "ciphers",	//502
    "clear",	//503
    "clearPendingCommands",	//504
    "clearPendingRequests",	//505
    "close",	//506
    "closeConnection",	//507
    "closed",	//508
    "commandFinished",	//509
    "commandFinished$$",	//510
    "commandStarted",	//511
    "commandStarted$",	//512
    "configuration",	//513
    "configurationAdded",	//514
    "configurationAdded#",	//515
    "configurationChanged",	//516
    "configurationChanged#",	//517
    "configurationFromIdentifier",	//518
    "configurationFromIdentifier$",	//519
    "configurationRemoved",	//520
    "configurationRemoved#",	//521
    "connectNotify",	//522
    "connectNotify$",	//523
    "connectToHost",	//524
    "connectToHost#$",	//525
    "connectToHost#$$",	//526
    "connectToHost$",	//527
    "connectToHost$$",	//528
    "connectToHost$$$",	//529
    "connectToHostEncrypted",	//530
    "connectToHostEncrypted$$",	//531
    "connectToHostEncrypted$$$",	//532
    "connectToHostEncrypted$$$$",	//533
    "connectToHostImplementation",	//534
    "connectToHostImplementation$$",	//535
    "connectToHostImplementation$$$",	//536
    "connectToServer",	//537
    "connectToServer$",	//538
    "connectToServer$$",	//539
    "connected",	//540
    "contentLength",	//541
    "contentType",	//542
    "cookieJar",	//543
    "cookiesForUrl",	//544
    "cookiesForUrl#",	//545
    "createRequest",	//546
    "createRequest$#",	//547
    "createRequest$##",	//548
    "currentCommand",	//549
    "currentDestinationDevice",	//550
    "currentDevice",	//551
    "currentId",	//552
    "currentRequest",	//553
    "currentSourceDevice",	//554
    "customEvent",	//555
    "data",	//556
    "data#",	//557
    "dataReadProgress",	//558
    "dataReadProgress$$",	//559
    "dataSendProgress",	//560
    "dataSendProgress$$",	//561
    "dataTransferProgress",	//562
    "dataTransferProgress$$",	//563
    "defaultCaCertificates",	//564
    "defaultCiphers",	//565
    "defaultConfiguration",	//566
    "deleteResource",	//567
    "deleteResource#",	//568
    "detach",	//569
    "digest",	//570
    "digest$",	//571
    "disconnectFromHost",	//572
    "disconnectFromHostImplementation",	//573
    "disconnectFromServer",	//574
    "disconnectNotify",	//575
    "disconnectNotify$",	//576
    "disconnected",	//577
    "domain",	//578
    "done",	//579
    "done$",	//580
    "downloadProgress",	//581
    "downloadProgress$$",	//582
    "effectiveDate",	//583
    "encrypted",	//584
    "encryptedBytesAvailable",	//585
    "encryptedBytesToWrite",	//586
    "encryptedBytesWritten",	//587
    "encryptedBytesWritten$",	//588
    "encryptionMethod",	//589
    "equal",	//590
    "equal##$",	//591
    "error",	//592
    "error$",	//593
    "errorString",	//594
    "event",	//595
    "eventFilter",	//596
    "expirationDate",	//597
    "expire",	//598
    "expiryDate",	//599
    "fileMetaData",	//600
    "fileMetaData$",	//601
    "finished",	//602
    "finished#",	//603
    "flags",	//604
    "flush",	//605
    "fromData",	//606
    "fromData#",	//607
    "fromData#$",	//608
    "fromDevice",	//609
    "fromDevice#",	//610
    "fromDevice#$",	//611
    "fromName",	//612
    "fromName$",	//613
    "fromPath",	//614
    "fromPath$",	//615
    "fromPath$$",	//616
    "fromPath$$$",	//617
    "fullServerName",	//618
    "get",	//619
    "get#",	//620
    "get$",	//621
    "get$#",	//622
    "get$#$",	//623
    "greaterThan",	//624
    "greaterThan##$",	//625
    "group",	//626
    "handle",	//627
    "hardwareAddress",	//628
    "hasContentLength",	//629
    "hasContentType",	//630
    "hasKey",	//631
    "hasKey$",	//632
    "hasPendingCommands",	//633
    "hasPendingConnections",	//634
    "hasPendingDatagrams",	//635
    "hasPendingRequests",	//636
    "hasRawHeader",	//637
    "hasRawHeader#",	//638
    "head",	//639
    "head#",	//640
    "head$",	//641
    "header",	//642
    "header$",	//643
    "hostFound",	//644
    "hostName",	//645
    "humanReadableName",	//646
    "identifier",	//647
    "ignore",	//648
    "ignoreSslErrors",	//649
    "ignoreSslErrors?",	//650
    "incomingConnection",	//651
    "incomingConnection$",	//652
    "incomingConnection?",	//653
    "index",	//654
    "insert",	//655
    "insert#",	//656
    "interface",	//657
    "interfaceFromIndex",	//658
    "interfaceFromIndex$",	//659
    "interfaceFromName",	//660
    "interfaceFromName$",	//661
    "ip",	//662
    "isCachingProxy",	//663
    "isDir",	//664
    "isEncrypted",	//665
    "isExecutable",	//666
    "isFile",	//667
    "isFinished",	//668
    "isHttpOnly",	//669
    "isInSubnet",	//670
    "isInSubnet#$",	//671
    "isInSubnet?",	//672
    "isListening",	//673
    "isNull",	//674
    "isOnline",	//675
    "isOpen",	//676
    "isReadable",	//677
    "isRoamingAvailable",	//678
    "isRunning",	//679
    "isSecure",	//680
    "isSequential",	//681
    "isSessionCookie",	//682
    "isSymLink",	//683
    "isTransparentProxy",	//684
    "isValid",	//685
    "isWritable",	//686
    "issuerInfo",	//687
    "issuerInfo#",	//688
    "issuerInfo$",	//689
    "joinMulticastGroup",	//690
    "joinMulticastGroup#",	//691
    "joinMulticastGroup##",	//692
    "keyExchangeMethod",	//693
    "keys",	//694
    "lastModified",	//695
    "lastRead",	//696
    "lastResponse",	//697
    "leaveMulticastGroup",	//698
    "leaveMulticastGroup#",	//699
    "leaveMulticastGroup##",	//700
    "length",	//701
    "lessThan",	//702
    "lessThan##$",	//703
    "list",	//704
    "list$",	//705
    "listInfo",	//706
    "listInfo#",	//707
    "listen",	//708
    "listen#",	//709
    "listen#$",	//710
    "listen$",	//711
    "localAddress",	//712
    "localCertificate",	//713
    "localDomainName",	//714
    "localHostName",	//715
    "localPort",	//716
    "login",	//717
    "login$",	//718
    "login$$",	//719
    "lookupHost",	//720
    "lookupHost$#$",	//721
    "lookupId",	//722
    "majorVersion",	//723
    "manager",	//724
    "maxPendingConnections",	//725
    "maximumCacheSize",	//726
    "metaData",	//727
    "metaData#",	//728
    "metaDataChanged",	//729
    "metaObject",	//730
    "method",	//731
    "migrate",	//732
    "minorVersion",	//733
    "mkdir",	//734
    "mkdir$",	//735
    "mode",	//736
    "modeChanged",	//737
    "modeChanged$",	//738
    "multicastInterface",	//739
    "name",	//740
    "netmask",	//741
    "networkAccessible",	//742
    "networkAccessibleChanged",	//743
    "networkAccessibleChanged$",	//744
    "networkConfiguration",	//745
    "networkSessionConnected",	//746
    "newConfigurationActivated",	//747
    "newConnection",	//748
    "nextPendingConnection",	//749
    "onlineStateChanged",	//750
    "onlineStateChanged$",	//751
    "open",	//752
    "opened",	//753
    "operation",	//754
    "operator!=",	//755
    "operator!=#",	//756
    "operator!=##",	//757
    "operator!=#$",	//758
    "operator!=$",	//759
    "operator!=$#",	//760
    "operator&",	//761
    "operator&##",	//762
    "operator*",	//763
    "operator*#$",	//764
    "operator*$#",	//765
    "operator+",	//766
    "operator+##",	//767
    "operator+#$",	//768
    "operator+$#",	//769
    "operator+$$",	//770
    "operator-",	//771
    "operator-#",	//772
    "operator-##",	//773
    "operator/",	//774
    "operator/#$",	//775
    "operator<",	//776
    "operator<##",	//777
    "operator<#$",	//778
    "operator<$#",	//779
    "operator<<",	//780
    "operator<<##",	//781
    "operator<<#$",	//782
    "operator<<#?",	//783
    "operator<=",	//784
    "operator<=##",	//785
    "operator<=#$",	//786
    "operator<=$#",	//787
    "operator=",	//788
    "operator=#",	//789
    "operator=$",	//790
    "operator==",	//791
    "operator==#",	//792
    "operator==##",	//793
    "operator==#$",	//794
    "operator==$",	//795
    "operator==$#",	//796
    "operator>",	//797
    "operator>##",	//798
    "operator>#$",	//799
    "operator>$#",	//800
    "operator>=",	//801
    "operator>=##",	//802
    "operator>=#$",	//803
    "operator>=$#",	//804
    "operator>>",	//805
    "operator>>##",	//806
    "operator>>#$",	//807
    "operator>>#?",	//808
    "operator[]",	//809
    "operator[]$",	//810
    "operator^",	//811
    "operator^##",	//812
    "operator|",	//813
    "operator|##",	//814
    "operator|$$",	//815
    "option",	//816
    "option$",	//817
    "options",	//818
    "originatingObject",	//819
    "owner",	//820
    "parse",	//821
    "parse$",	//822
    "parseCookies",	//823
    "parseCookies#",	//824
    "parseLine",	//825
    "parseLine$$",	//826
    "parseSubnet",	//827
    "parseSubnet$",	//828
    "password",	//829
    "path",	//830
    "peerAddress",	//831
    "peerCertificate",	//832
    "peerCertificateChain",	//833
    "peerHostName",	//834
    "peerName",	//835
    "peerPort",	//836
    "peerVerifyDepth",	//837
    "peerVerifyError",	//838
    "peerVerifyError#",	//839
    "peerVerifyMode",	//840
    "peerVerifyName",	//841
    "pendingDatagramSize",	//842
    "permissions",	//843
    "port",	//844
    "pos",	//845
    "post",	//846
    "post##",	//847
    "post$#",	//848
    "post$##",	//849
    "preferredConfigurationChanged",	//850
    "preferredConfigurationChanged#$",	//851
    "prefixLength",	//852
    "prepare",	//853
    "prepare#",	//854
    "priority",	//855
    "privateKey",	//856
    "protocol",	//857
    "protocolString",	//858
    "protocolTag",	//859
    "proxy",	//860
    "proxyAuthenticationRequired",	//861
    "proxyAuthenticationRequired##",	//862
    "proxyFactory",	//863
    "proxyForQuery",	//864
    "proxyForQuery#",	//865
    "publicKey",	//866
    "purpose",	//867
    "put",	//868
    "put##",	//869
    "put#$",	//870
    "put#$$",	//871
    "qAcos",	//872
    "qAcos$",	//873
    "qAddPostRoutine",	//874
    "qAddPostRoutine$",	//875
    "qAppName",	//876
    "qAsin",	//877
    "qAsin$",	//878
    "qAtan",	//879
    "qAtan$",	//880
    "qAtan2",	//881
    "qAtan2$$",	//882
    "qBadAlloc",	//883
    "qCeil",	//884
    "qCeil$",	//885
    "qChecksum",	//886
    "qChecksum$$",	//887
    "qCompress",	//888
    "qCompress#",	//889
    "qCompress#$",	//890
    "qCompress$$",	//891
    "qCompress$$$",	//892
    "qCos",	//893
    "qCos$",	//894
    "qCritical",	//895
    "qDebug",	//896
    "qExp",	//897
    "qExp$",	//898
    "qFabs",	//899
    "qFabs$",	//900
    "qFastCos",	//901
    "qFastCos$",	//902
    "qFastSin",	//903
    "qFastSin$",	//904
    "qFlagLocation",	//905
    "qFlagLocation$",	//906
    "qFloor",	//907
    "qFloor$",	//908
    "qFree",	//909
    "qFree$",	//910
    "qFreeAligned",	//911
    "qFreeAligned$",	//912
    "qFuzzyCompare",	//913
    "qFuzzyCompare$$",	//914
    "qFuzzyIsNull",	//915
    "qFuzzyIsNull$",	//916
    "qHash",	//917
    "qHash#",	//918
    "qHash$",	//919
    "qInf",	//920
    "qInstallMsgHandler",	//921
    "qInstallMsgHandler$",	//922
    "qIntCast",	//923
    "qIntCast$",	//924
    "qIsFinite",	//925
    "qIsFinite$",	//926
    "qIsInf",	//927
    "qIsInf$",	//928
    "qIsNaN",	//929
    "qIsNaN$",	//930
    "qIsNull",	//931
    "qIsNull$",	//932
    "qLn",	//933
    "qLn$",	//934
    "qMalloc",	//935
    "qMalloc$",	//936
    "qMallocAligned",	//937
    "qMallocAligned$$",	//938
    "qMemCopy",	//939
    "qMemCopy$$$",	//940
    "qMemSet",	//941
    "qMemSet$$$",	//942
    "qPow",	//943
    "qPow$$",	//944
    "qQNaN",	//945
    "qRealloc",	//946
    "qRealloc$$",	//947
    "qReallocAligned",	//948
    "qReallocAligned$$$$",	//949
    "qRegisterStaticPluginInstanceFunction",	//950
    "qRegisterStaticPluginInstanceFunction#",	//951
    "qRemovePostRoutine",	//952
    "qRemovePostRoutine$",	//953
    "qRound",	//954
    "qRound$",	//955
    "qRound64",	//956
    "qRound64$",	//957
    "qSNaN",	//958
    "qSetFieldWidth",	//959
    "qSetFieldWidth$",	//960
    "qSetPadChar",	//961
    "qSetPadChar#",	//962
    "qSetRealNumberPrecision",	//963
    "qSetRealNumberPrecision$",	//964
    "qSharedBuild",	//965
    "qSin",	//966
    "qSin$",	//967
    "qSqrt",	//968
    "qSqrt$",	//969
    "qStringComparisonHelper",	//970
    "qStringComparisonHelper#$",	//971
    "qTan",	//972
    "qTan$",	//973
    "qUncompress",	//974
    "qUncompress#",	//975
    "qUncompress$$",	//976
    "qVersion",	//977
    "qWarning",	//978
    "qbswap_helper",	//979
    "qbswap_helper$$$",	//980
    "qecvt",	//981
    "qecvt$$$$",	//982
    "qecvt_r",	//983
    "qecvt_r$$$$$$",	//984
    "qfcvt",	//985
    "qfcvt$$$$",	//986
    "qfcvt_r",	//987
    "qfcvt_r$$$$$$",	//988
    "qgcvt",	//989
    "qgcvt$$$",	//990
    "qgetenv",	//991
    "qgetenv$",	//992
    "qputenv",	//993
    "qputenv$#",	//994
    "qrand",	//995
    "qsort",	//996
    "qsort$$$$",	//997
    "qsrand",	//998
    "qsrand$",	//999
    "qstrcmp",	//1000
    "qstrcmp##",	//1001
    "qstrcmp#$",	//1002
    "qstrcmp$#",	//1003
    "qstrcmp$$",	//1004
    "qstrcpy",	//1005
    "qstrcpy$$",	//1006
    "qstrdup",	//1007
    "qstrdup$",	//1008
    "qstricmp",	//1009
    "qstricmp$$",	//1010
    "qstrlen",	//1011
    "qstrlen$",	//1012
    "qstrncmp",	//1013
    "qstrncmp$$$",	//1014
    "qstrncpy",	//1015
    "qstrncpy$$$",	//1016
    "qstrnicmp",	//1017
    "qstrnicmp$$$",	//1018
    "qstrnlen",	//1019
    "qstrnlen$$",	//1020
    "qtTrId",	//1021
    "qtTrId$",	//1022
    "qtTrId$$",	//1023
    "qt_assert",	//1024
    "qt_assert$$$",	//1025
    "qt_assert_x",	//1026
    "qt_assert_x$$$$",	//1027
    "qt_check_pointer",	//1028
    "qt_check_pointer$$",	//1029
    "qt_error_string",	//1030
    "qt_error_string$",	//1031
    "qt_message_output",	//1032
    "qt_message_output$$",	//1033
    "qt_metacall",	//1034
    "qt_metacall$$?",	//1035
    "qt_metacast",	//1036
    "qt_metacast$",	//1037
    "qt_noop",	//1038
    "qt_qFindChild_helper",	//1039
    "qt_qFindChild_helper#$#",	//1040
    "qt_qFindChildren_helper",	//1041
    "qt_qFindChildren_helper#$##?",	//1042
    "queryProxy",	//1043
    "queryProxy#",	//1044
    "queryType",	//1045
    "quick_exit",	//1046
    "quick_exit$",	//1047
    "qvariant_cast_helper",	//1048
    "qvariant_cast_helper#$$",	//1049
    "qvsnprintf",	//1050
    "qvsnprintf$$$?",	//1051
    "rawCommand",	//1052
    "rawCommand$",	//1053
    "rawCommandReply",	//1054
    "rawCommandReply$$",	//1055
    "rawHeader",	//1056
    "rawHeader#",	//1057
    "rawHeaderList",	//1058
    "rawHeaderPairs",	//1059
    "rawHeaders",	//1060
    "read",	//1061
    "read$$",	//1062
    "readAll",	//1063
    "readBufferSize",	//1064
    "readData",	//1065
    "readData$$",	//1066
    "readDatagram",	//1067
    "readDatagram$$",	//1068
    "readDatagram$$#",	//1069
    "readDatagram$$#$",	//1070
    "readLineData",	//1071
    "readLineData$$",	//1072
    "readyRead",	//1073
    "readyRead#",	//1074
    "realm",	//1075
    "reasonPhrase",	//1076
    "reject",	//1077
    "remove",	//1078
    "remove#",	//1079
    "remove$",	//1080
    "removeAllValues",	//1081
    "removeAllValues$",	//1082
    "removeServer",	//1083
    "removeServer$",	//1084
    "removeValue",	//1085
    "removeValue$",	//1086
    "rename",	//1087
    "rename$$",	//1088
    "request",	//1089
    "request#",	//1090
    "request##",	//1091
    "request###",	//1092
    "requestFinished",	//1093
    "requestFinished$$",	//1094
    "requestStarted",	//1095
    "requestStarted$",	//1096
    "reset",	//1097
    "responseHeaderReceived",	//1098
    "responseHeaderReceived#",	//1099
    "rmdir",	//1100
    "rmdir$",	//1101
    "saveToDisk",	//1102
    "scopeId",	//1103
    "seek",	//1104
    "sendCustomRequest",	//1105
    "sendCustomRequest##",	//1106
    "sendCustomRequest###",	//1107
    "serialNumber",	//1108
    "serverAddress",	//1109
    "serverError",	//1110
    "serverName",	//1111
    "serverPort",	//1112
    "sessionCipher",	//1113
    "sessionProperty",	//1114
    "sessionProperty$",	//1115
    "setAddress",	//1116
    "setAddress#",	//1117
    "setAddress$",	//1118
    "setAddresses",	//1119
    "setAddresses?",	//1120
    "setAllCookies",	//1121
    "setAllCookies?",	//1122
    "setApplicationProxy",	//1123
    "setApplicationProxy#",	//1124
    "setApplicationProxyFactory",	//1125
    "setApplicationProxyFactory#",	//1126
    "setAttribute",	//1127
    "setAttribute$#",	//1128
    "setAttributes",	//1129
    "setAttributes?",	//1130
    "setBody",	//1131
    "setBody#",	//1132
    "setBodyDevice",	//1133
    "setBodyDevice#",	//1134
    "setBoundary",	//1135
    "setBoundary#",	//1136
    "setBroadcast",	//1137
    "setBroadcast#",	//1138
    "setCaCertificates",	//1139
    "setCaCertificates?",	//1140
    "setCache",	//1141
    "setCache#",	//1142
    "setCacheDirectory",	//1143
    "setCacheDirectory$",	//1144
    "setCapabilities",	//1145
    "setCapabilities$",	//1146
    "setCiphers",	//1147
    "setCiphers$",	//1148
    "setCiphers?",	//1149
    "setConfiguration",	//1150
    "setConfiguration#",	//1151
    "setContentLength",	//1152
    "setContentLength$",	//1153
    "setContentType",	//1154
    "setContentType$",	//1155
    "setCookieJar",	//1156
    "setCookieJar#",	//1157
    "setCookiesFromUrl",	//1158
    "setCookiesFromUrl?#",	//1159
    "setDefaultCaCertificates",	//1160
    "setDefaultCaCertificates?",	//1161
    "setDefaultCiphers",	//1162
    "setDefaultCiphers?",	//1163
    "setDefaultConfiguration",	//1164
    "setDefaultConfiguration#",	//1165
    "setDir",	//1166
    "setDir$",	//1167
    "setDomain",	//1168
    "setDomain$",	//1169
    "setError",	//1170
    "setError$",	//1171
    "setError$$",	//1172
    "setErrorString",	//1173
    "setErrorString$",	//1174
    "setExpirationDate",	//1175
    "setExpirationDate#",	//1176
    "setFile",	//1177
    "setFile$",	//1178
    "setFinished",	//1179
    "setFinished$",	//1180
    "setGroup",	//1181
    "setGroup$",	//1182
    "setHeader",	//1183
    "setHeader$#",	//1184
    "setHost",	//1185
    "setHost$",	//1186
    "setHost$$",	//1187
    "setHost$$$",	//1188
    "setHostName",	//1189
    "setHostName$",	//1190
    "setHttpOnly",	//1191
    "setHttpOnly$",	//1192
    "setIp",	//1193
    "setIp#",	//1194
    "setLastModified",	//1195
    "setLastModified#",	//1196
    "setLastRead",	//1197
    "setLastRead#",	//1198
    "setLocalAddress",	//1199
    "setLocalAddress#",	//1200
    "setLocalCertificate",	//1201
    "setLocalCertificate#",	//1202
    "setLocalCertificate$",	//1203
    "setLocalCertificate$$",	//1204
    "setLocalPort",	//1205
    "setLocalPort$",	//1206
    "setLookupId",	//1207
    "setLookupId$",	//1208
    "setMaxPendingConnections",	//1209
    "setMaxPendingConnections$",	//1210
    "setMaximumCacheSize",	//1211
    "setMaximumCacheSize$",	//1212
    "setMulticastInterface",	//1213
    "setMulticastInterface#",	//1214
    "setName",	//1215
    "setName#",	//1216
    "setName$",	//1217
    "setNetmask",	//1218
    "setNetmask#",	//1219
    "setNetworkAccessible",	//1220
    "setNetworkAccessible$",	//1221
    "setNetworkConfiguration",	//1222
    "setNetworkConfiguration#",	//1223
    "setOperation",	//1224
    "setOperation$",	//1225
    "setOption",	//1226
    "setOption$#",	//1227
    "setOriginatingObject",	//1228
    "setOriginatingObject#",	//1229
    "setOwner",	//1230
    "setOwner$",	//1231
    "setPassword",	//1232
    "setPassword$",	//1233
    "setPath",	//1234
    "setPath$",	//1235
    "setPeerAddress",	//1236
    "setPeerAddress#",	//1237
    "setPeerHostName",	//1238
    "setPeerHostName$",	//1239
    "setPeerName",	//1240
    "setPeerName$",	//1241
    "setPeerPort",	//1242
    "setPeerPort$",	//1243
    "setPeerVerifyDepth",	//1244
    "setPeerVerifyDepth$",	//1245
    "setPeerVerifyMode",	//1246
    "setPeerVerifyMode$",	//1247
    "setPeerVerifyName",	//1248
    "setPeerVerifyName$",	//1249
    "setPermissions",	//1250
    "setPermissions$",	//1251
    "setPort",	//1252
    "setPort$",	//1253
    "setPrefixLength",	//1254
    "setPrefixLength$",	//1255
    "setPriority",	//1256
    "setPriority$",	//1257
    "setPrivateKey",	//1258
    "setPrivateKey#",	//1259
    "setPrivateKey$",	//1260
    "setPrivateKey$$",	//1261
    "setPrivateKey$$$",	//1262
    "setPrivateKey$$$#",	//1263
    "setProtocol",	//1264
    "setProtocol$",	//1265
    "setProtocolTag",	//1266
    "setProtocolTag$",	//1267
    "setProxy",	//1268
    "setProxy#",	//1269
    "setProxy$$",	//1270
    "setProxy$$$",	//1271
    "setProxy$$$$",	//1272
    "setProxyFactory",	//1273
    "setProxyFactory#",	//1274
    "setQueryType",	//1275
    "setQueryType$",	//1276
    "setRawHeader",	//1277
    "setRawHeader##",	//1278
    "setRawHeaders",	//1279
    "setRawHeaders?",	//1280
    "setReadBufferSize",	//1281
    "setReadBufferSize$",	//1282
    "setReadable",	//1283
    "setReadable$",	//1284
    "setRequest",	//1285
    "setRequest#",	//1286
    "setRequest$$",	//1287
    "setRequest$$$",	//1288
    "setRequest$$$$",	//1289
    "setSaveToDisk",	//1290
    "setSaveToDisk$",	//1291
    "setScopeId",	//1292
    "setScopeId$",	//1293
    "setSecure",	//1294
    "setSecure$",	//1295
    "setSessionProperty",	//1296
    "setSessionProperty$#",	//1297
    "setSize",	//1298
    "setSize$",	//1299
    "setSocket",	//1300
    "setSocket#",	//1301
    "setSocketDescriptor",	//1302
    "setSocketDescriptor$",	//1303
    "setSocketDescriptor$$",	//1304
    "setSocketDescriptor$$$",	//1305
    "setSocketDescriptor?",	//1306
    "setSocketDescriptor?$",	//1307
    "setSocketDescriptor?$$",	//1308
    "setSocketError",	//1309
    "setSocketError$",	//1310
    "setSocketOption",	//1311
    "setSocketOption$#",	//1312
    "setSocketState",	//1313
    "setSocketState$",	//1314
    "setSslConfiguration",	//1315
    "setSslConfiguration#",	//1316
    "setSslOption",	//1317
    "setSslOption$$",	//1318
    "setStatusLine",	//1319
    "setStatusLine$",	//1320
    "setStatusLine$$",	//1321
    "setStatusLine$$$",	//1322
    "setStatusLine$$$$",	//1323
    "setSymLink",	//1324
    "setSymLink$",	//1325
    "setTransferMode",	//1326
    "setTransferMode$",	//1327
    "setType",	//1328
    "setType$",	//1329
    "setUrl",	//1330
    "setUrl#",	//1331
    "setUseSystemConfiguration",	//1332
    "setUseSystemConfiguration$",	//1333
    "setUser",	//1334
    "setUser$",	//1335
    "setUser$$",	//1336
    "setValid",	//1337
    "setValid$",	//1338
    "setValue",	//1339
    "setValue#",	//1340
    "setValue$$",	//1341
    "setValues",	//1342
    "setValues?",	//1343
    "setWritable",	//1344
    "setWritable$",	//1345
    "size",	//1346
    "socketDescriptor",	//1347
    "socketOption",	//1348
    "socketOption$",	//1349
    "socketType",	//1350
    "sslConfiguration",	//1351
    "sslErrors",	//1352
    "sslErrors#?",	//1353
    "sslErrors?",	//1354
    "startClientEncryption",	//1355
    "startServerEncryption",	//1356
    "state",	//1357
    "stateChanged",	//1358
    "stateChanged$",	//1359
    "staticMetaObject",	//1360
    "statusCode",	//1361
    "stop",	//1362
    "subjectInfo",	//1363
    "subjectInfo#",	//1364
    "subjectInfo$",	//1365
    "supportedBits",	//1366
    "supportedCiphers",	//1367
    "supportsSsl",	//1368
    "systemCaCertificates",	//1369
    "systemProxyForQuery",	//1370
    "systemProxyForQuery#",	//1371
    "testSslOption",	//1372
    "testSslOption$",	//1373
    "timerEvent",	//1374
    "toDer",	//1375
    "toDer#",	//1376
    "toIPv4Address",	//1377
    "toIPv6Address",	//1378
    "toPem",	//1379
    "toPem#",	//1380
    "toRawForm",	//1381
    "toRawForm$",	//1382
    "toString",	//1383
    "tr",	//1384
    "tr$",	//1385
    "tr$$",	//1386
    "tr$$$",	//1387
    "trUtf8",	//1388
    "trUtf8$",	//1389
    "trUtf8$$",	//1390
    "trUtf8$$$",	//1391
    "type",	//1392
    "updateCompleted",	//1393
    "updateConfigurations",	//1394
    "updateMetaData",	//1395
    "updateMetaData#",	//1396
    "uploadProgress",	//1397
    "uploadProgress$$",	//1398
    "url",	//1399
    "usedBits",	//1400
    "user",	//1401
    "value",	//1402
    "value$",	//1403
    "values",	//1404
    "version",	//1405
    "waitForBytesWritten",	//1406
    "waitForBytesWritten$",	//1407
    "waitForConnected",	//1408
    "waitForConnected$",	//1409
    "waitForDisconnected",	//1410
    "waitForDisconnected$",	//1411
    "waitForEncrypted",	//1412
    "waitForEncrypted$",	//1413
    "waitForNewConnection",	//1414
    "waitForNewConnection$",	//1415
    "waitForNewConnection$$",	//1416
    "waitForOpened",	//1417
    "waitForOpened$",	//1418
    "waitForReadyRead",	//1419
    "waitForReadyRead$",	//1420
    "writeData",	//1421
    "writeData$$",	//1422
    "writeDatagram",	//1423
    "writeDatagram##$",	//1424
    "writeDatagram$$#$",	//1425
    "~QAbstractNetworkCache",	//1426
    "~QAbstractSocket",	//1427
    "~QAuthenticator",	//1428
    "~QFtp",	//1429
    "~QHostAddress",	//1430
    "~QHostInfo",	//1431
    "~QHttp",	//1432
    "~QHttpHeader",	//1433
    "~QHttpMultiPart",	//1434
    "~QHttpPart",	//1435
    "~QHttpRequestHeader",	//1436
    "~QHttpResponseHeader",	//1437
    "~QIPv6Address",	//1438
    "~QLocalServer",	//1439
    "~QLocalSocket",	//1440
    "~QNetworkAccessManager",	//1441
    "~QNetworkAddressEntry",	//1442
    "~QNetworkCacheMetaData",	//1443
    "~QNetworkConfiguration",	//1444
    "~QNetworkConfigurationManager",	//1445
    "~QNetworkCookie",	//1446
    "~QNetworkCookieJar",	//1447
    "~QNetworkDiskCache",	//1448
    "~QNetworkInterface",	//1449
    "~QNetworkProxy",	//1450
    "~QNetworkProxyFactory",	//1451
    "~QNetworkProxyQuery",	//1452
    "~QNetworkReply",	//1453
    "~QNetworkRequest",	//1454
    "~QNetworkSession",	//1455
    "~QSslCertificate",	//1456
    "~QSslCipher",	//1457
    "~QSslConfiguration",	//1458
    "~QSslError",	//1459
    "~QSslKey",	//1460
    "~QSslSocket",	//1461
    "~QTcpServer",	//1462
    "~QTcpSocket",	//1463
    "~QUdpSocket",	//1464
    "~QUrlInfo",	//1465
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1 QAbstractNetworkCache::metaObject() const
    {1, 1036, 1, 1, Smoke::mf_virtual, 428, 2},	//2 QAbstractNetworkCache::qt_metacast(const char*)
    {1, 1384, 3, 2, Smoke::mf_static, 215, 3},	//3 QAbstractNetworkCache::tr(const char*, const char*)
    {1, 1388, 3, 2, Smoke::mf_static, 215, 4},	//4 QAbstractNetworkCache::trUtf8(const char*, const char*)
    {1, 1384, 6, 3, Smoke::mf_static, 215, 5},	//5 QAbstractNetworkCache::tr(const char*, const char*, int)
    {1, 1388, 6, 3, Smoke::mf_static, 215, 6},	//6 QAbstractNetworkCache::trUtf8(const char*, const char*, int)
    {1, 1034, 10, 3, Smoke::mf_virtual, 406, 7},	//7 QAbstractNetworkCache::qt_metacall(QMetaObject::Call, int, void**)
    {1, 727, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 135, 8},	//8 QAbstractNetworkCache::metaData(const QUrl&) [pure virtual]
    {1, 1395, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//9 QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData&) [pure virtual]
    {1, 556, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 99, 10},	//10 QAbstractNetworkCache::data(const QUrl&) [pure virtual]
    {1, 1078, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 321, 11},	//11 QAbstractNetworkCache::remove(const QUrl&) [pure virtual]
    {1, 494, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 411, 12},	//12 QAbstractNetworkCache::cacheSize() const [pure virtual]
    {1, 853, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 99, 13},	//13 QAbstractNetworkCache::prepare(const QNetworkCacheMetaData&) [pure virtual]
    {1, 655, 18, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//14 QAbstractNetworkCache::insert(QIODevice*) [pure virtual]
    {1, 503, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//15 QAbstractNetworkCache::clear() [pure virtual]
    {1, 186, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 2, 16},	//16 QAbstractNetworkCache::QAbstractNetworkCache(QObject*)
    {1, 1384, 1, 1, Smoke::mf_static, 215, 17},	//17 QAbstractNetworkCache::tr(const char*)
    {1, 1388, 1, 1, Smoke::mf_static, 215, 18},	//18 QAbstractNetworkCache::trUtf8(const char*)
    {1, 186, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 2, 19},	//19 QAbstractNetworkCache::QAbstractNetworkCache()
    {1, 1360, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 20},	//20 QAbstractNetworkCache::staticMetaObject() const
    {1, 1426, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 QAbstractNetworkCache::~QAbstractNetworkCache()
    {2, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//22 QAbstractSocket::metaObject() const
    {2, 1036, 1, 1, Smoke::mf_virtual, 428, 2},	//23 QAbstractSocket::qt_metacast(const char*)
    {2, 1384, 3, 2, Smoke::mf_static, 215, 3},	//24 QAbstractSocket::tr(const char*, const char*)
    {2, 1388, 3, 2, Smoke::mf_static, 215, 4},	//25 QAbstractSocket::trUtf8(const char*, const char*)
    {2, 1384, 6, 3, Smoke::mf_static, 215, 5},	//26 QAbstractSocket::tr(const char*, const char*, int)
    {2, 1388, 6, 3, Smoke::mf_static, 215, 6},	//27 QAbstractSocket::trUtf8(const char*, const char*, int)
    {2, 1034, 10, 3, Smoke::mf_virtual, 406, 7},	//28 QAbstractSocket::qt_metacall(QMetaObject::Call, int, void**)
    {2, 188, 22, 2, Smoke::mf_ctor, 3, 8},	//29 QAbstractSocket::QAbstractSocket(QAbstractSocket::SocketType, QObject*)
    {2, 524, 25, 3, 0, 0, 9},	//30 QAbstractSocket::connectToHost(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 524, 29, 3, 0, 0, 10},	//31 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 572, 0, 0, 0, 0, 11},	//32 QAbstractSocket::disconnectFromHost()
    {2, 685, 0, 0, Smoke::mf_const, 321, 12},	//33 QAbstractSocket::isValid() const
    {2, 487, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 411, 13},	//34 QAbstractSocket::bytesAvailable() const
    {2, 489, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 411, 14},	//35 QAbstractSocket::bytesToWrite() const
    {2, 495, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 321, 15},	//36 QAbstractSocket::canReadLine() const
    {2, 716, 0, 0, Smoke::mf_const, 423, 16},	//37 QAbstractSocket::localPort() const
    {2, 712, 0, 0, Smoke::mf_const, 75, 17},	//38 QAbstractSocket::localAddress() const
    {2, 836, 0, 0, Smoke::mf_const, 423, 18},	//39 QAbstractSocket::peerPort() const
    {2, 831, 0, 0, Smoke::mf_const, 75, 19},	//40 QAbstractSocket::peerAddress() const
    {2, 835, 0, 0, Smoke::mf_const, 215, 20},	//41 QAbstractSocket::peerName() const
    {2, 1064, 0, 0, Smoke::mf_const, 411, 21},	//42 QAbstractSocket::readBufferSize() const
    {2, 1281, 33, 1, 0, 0, 22},	//43 QAbstractSocket::setReadBufferSize(long long)
    {2, 430, 0, 0, 0, 0, 23},	//44 QAbstractSocket::abort()
    {2, 1347, 0, 0, Smoke::mf_const, 406, 24},	//45 QAbstractSocket::socketDescriptor() const
    {2, 1302, 35, 3, 0, 321, 25},	//46 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {2, 1311, 39, 2, 0, 0, 26},	//47 QAbstractSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {2, 1348, 42, 1, 0, 241, 27},	//48 QAbstractSocket::socketOption(QAbstractSocket::SocketOption)
    {2, 1350, 0, 0, Smoke::mf_const, 8, 28},	//49 QAbstractSocket::socketType() const
    {2, 1357, 0, 0, Smoke::mf_const, 7, 29},	//50 QAbstractSocket::state() const
    {2, 592, 0, 0, Smoke::mf_const, 5, 30},	//51 QAbstractSocket::error() const
    {2, 506, 0, 0, Smoke::mf_virtual, 0, 31},	//52 QAbstractSocket::close()
    {2, 681, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 321, 32},	//53 QAbstractSocket::isSequential() const
    {2, 468, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 321, 33},	//54 QAbstractSocket::atEnd() const
    {2, 605, 0, 0, 0, 321, 34},	//55 QAbstractSocket::flush()
    {2, 1408, 44, 1, 0, 321, 35},	//56 QAbstractSocket::waitForConnected(int)
    {2, 1419, 44, 1, Smoke::mf_virtual, 321, 36},	//57 QAbstractSocket::waitForReadyRead(int)
    {2, 1406, 44, 1, Smoke::mf_virtual, 321, 37},	//58 QAbstractSocket::waitForBytesWritten(int)
    {2, 1410, 44, 1, 0, 321, 38},	//59 QAbstractSocket::waitForDisconnected(int)
    {2, 1268, 46, 1, 0, 0, 39},	//60 QAbstractSocket::setProxy(const QNetworkProxy&)
    {2, 860, 0, 0, Smoke::mf_const, 156, 40},	//61 QAbstractSocket::proxy() const
    {2, 644, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//62 QAbstractSocket::hostFound()
    {2, 540, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//63 QAbstractSocket::connected()
    {2, 577, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//64 QAbstractSocket::disconnected()
    {2, 1358, 48, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//65 QAbstractSocket::stateChanged(QAbstractSocket::SocketState)
    {2, 592, 50, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//66 QAbstractSocket::error(QAbstractSocket::SocketError)
    {2, 861, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//67 QAbstractSocket::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {2, 534, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 47},	//68 QAbstractSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {2, 573, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//69 QAbstractSocket::disconnectFromHostImplementation()
    {2, 1065, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 411, 49},	//70 QAbstractSocket::readData(char*, long long)
    {2, 1071, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 411, 50},	//71 QAbstractSocket::readLineData(char*, long long)
    {2, 1421, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 411, 51},	//72 QAbstractSocket::writeData(const char*, long long)
    {2, 1313, 48, 1, Smoke::mf_protected, 0, 52},	//73 QAbstractSocket::setSocketState(QAbstractSocket::SocketState)
    {2, 1309, 50, 1, Smoke::mf_protected, 0, 53},	//74 QAbstractSocket::setSocketError(QAbstractSocket::SocketError)
    {2, 1205, 65, 1, Smoke::mf_protected, 0, 54},	//75 QAbstractSocket::setLocalPort(unsigned short)
    {2, 1199, 67, 1, Smoke::mf_protected, 0, 55},	//76 QAbstractSocket::setLocalAddress(const QHostAddress&)
    {2, 1242, 65, 1, Smoke::mf_protected, 0, 56},	//77 QAbstractSocket::setPeerPort(unsigned short)
    {2, 1236, 67, 1, Smoke::mf_protected, 0, 57},	//78 QAbstractSocket::setPeerAddress(const QHostAddress&)
    {2, 1240, 69, 1, Smoke::mf_protected, 0, 58},	//79 QAbstractSocket::setPeerName(const QString&)
    {2, 1384, 1, 1, Smoke::mf_static, 215, 59},	//80 QAbstractSocket::tr(const char*)
    {2, 1388, 1, 1, Smoke::mf_static, 215, 60},	//81 QAbstractSocket::trUtf8(const char*)
    {2, 524, 71, 2, 0, 0, 61},	//82 QAbstractSocket::connectToHost(const QString&, unsigned short)
    {2, 524, 74, 2, 0, 0, 62},	//83 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short)
    {2, 1302, 44, 1, 0, 321, 63},	//84 QAbstractSocket::setSocketDescriptor(int)
    {2, 1302, 77, 2, 0, 321, 64},	//85 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {2, 1408, 0, 0, 0, 321, 65},	//86 QAbstractSocket::waitForConnected()
    {2, 1419, 0, 0, 0, 321, 66},	//87 QAbstractSocket::waitForReadyRead()
    {2, 1406, 0, 0, 0, 321, 67},	//88 QAbstractSocket::waitForBytesWritten()
    {2, 1410, 0, 0, 0, 321, 68},	//89 QAbstractSocket::waitForDisconnected()
    {2, 534, 80, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 69},	//90 QAbstractSocket::connectToHostImplementation(const QString&, quint16)
    {2, 1360, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 70},	//91 QAbstractSocket::staticMetaObject() const
    {2, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 71},	//92 QAbstractSocket::TcpSocket (enum)
    {2, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 72},	//93 QAbstractSocket::UdpSocket (enum)
    {2, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 73},	//94 QAbstractSocket::UnknownSocketType (enum)
    {2, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 74},	//95 QAbstractSocket::IPv4Protocol (enum)
    {2, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 75},	//96 QAbstractSocket::IPv6Protocol (enum)
    {2, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 76},	//97 QAbstractSocket::UnknownNetworkLayerProtocol (enum)
    {2, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 77},	//98 QAbstractSocket::ConnectionRefusedError (enum)
    {2, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 78},	//99 QAbstractSocket::RemoteHostClosedError (enum)
    {2, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 79},	//100 QAbstractSocket::HostNotFoundError (enum)
    {2, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 80},	//101 QAbstractSocket::SocketAccessError (enum)
    {2, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 81},	//102 QAbstractSocket::SocketResourceError (enum)
    {2, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 82},	//103 QAbstractSocket::SocketTimeoutError (enum)
    {2, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 83},	//104 QAbstractSocket::DatagramTooLargeError (enum)
    {2, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 84},	//105 QAbstractSocket::NetworkError (enum)
    {2, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 85},	//106 QAbstractSocket::AddressInUseError (enum)
    {2, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 86},	//107 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {2, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 87},	//108 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {2, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 88},	//109 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {2, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 89},	//110 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {2, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 90},	//111 QAbstractSocket::SslHandshakeFailedError (enum)
    {2, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 91},	//112 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {2, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 92},	//113 QAbstractSocket::ProxyConnectionClosedError (enum)
    {2, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 93},	//114 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {2, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 94},	//115 QAbstractSocket::ProxyNotFoundError (enum)
    {2, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 95},	//116 QAbstractSocket::ProxyProtocolError (enum)
    {2, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 96},	//117 QAbstractSocket::UnknownSocketError (enum)
    {2, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 97},	//118 QAbstractSocket::UnconnectedState (enum)
    {2, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 98},	//119 QAbstractSocket::HostLookupState (enum)
    {2, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 99},	//120 QAbstractSocket::ConnectingState (enum)
    {2, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 100},	//121 QAbstractSocket::ConnectedState (enum)
    {2, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 101},	//122 QAbstractSocket::BoundState (enum)
    {2, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 102},	//123 QAbstractSocket::ListeningState (enum)
    {2, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 103},	//124 QAbstractSocket::ClosingState (enum)
    {2, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 104},	//125 QAbstractSocket::LowDelayOption (enum)
    {2, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 105},	//126 QAbstractSocket::KeepAliveOption (enum)
    {2, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 106},	//127 QAbstractSocket::MulticastTtlOption (enum)
    {2, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 107},	//128 QAbstractSocket::MulticastLoopbackOption (enum)
    {2, 1427, 0, 0, Smoke::mf_dtor, 0, 108 },	//129 QAbstractSocket::~QAbstractSocket()
    {3, 190, 0, 0, Smoke::mf_ctor, 10, 1},	//130 QAuthenticator::QAuthenticator()
    {3, 190, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 10, 2},	//131 QAuthenticator::QAuthenticator(const QAuthenticator&)
    {3, 788, 83, 1, 0, 9, 3},	//132 QAuthenticator::operator=(const QAuthenticator&)
    {3, 791, 83, 1, Smoke::mf_const, 321, 4},	//133 QAuthenticator::operator==(const QAuthenticator&) const
    {3, 755, 83, 1, Smoke::mf_const, 321, 5},	//134 QAuthenticator::operator!=(const QAuthenticator&) const
    {3, 1401, 0, 0, Smoke::mf_const, 215, 6},	//135 QAuthenticator::user() const
    {3, 1334, 69, 1, 0, 0, 7},	//136 QAuthenticator::setUser(const QString&)
    {3, 829, 0, 0, Smoke::mf_const, 215, 8},	//137 QAuthenticator::password() const
    {3, 1232, 69, 1, 0, 0, 9},	//138 QAuthenticator::setPassword(const QString&)
    {3, 1075, 0, 0, Smoke::mf_const, 215, 10},	//139 QAuthenticator::realm() const
    {3, 816, 69, 1, Smoke::mf_const, 241, 11},	//140 QAuthenticator::option(const QString&) const
    {3, 818, 0, 0, Smoke::mf_const, 74, 12},	//141 QAuthenticator::options() const
    {3, 1226, 85, 2, 0, 0, 13},	//142 QAuthenticator::setOption(const QString&, const QVariant&)
    {3, 674, 0, 0, Smoke::mf_const, 321, 14},	//143 QAuthenticator::isNull() const
    {3, 569, 0, 0, 0, 0, 15},	//144 QAuthenticator::detach()
    {3, 1428, 0, 0, Smoke::mf_dtor, 0, 16 },	//145 QAuthenticator::~QAuthenticator()
    {16, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//146 QFtp::metaObject() const
    {16, 1036, 1, 1, Smoke::mf_virtual, 428, 2},	//147 QFtp::qt_metacast(const char*)
    {16, 1384, 3, 2, Smoke::mf_static, 215, 3},	//148 QFtp::tr(const char*, const char*)
    {16, 1388, 3, 2, Smoke::mf_static, 215, 4},	//149 QFtp::trUtf8(const char*, const char*)
    {16, 1384, 6, 3, Smoke::mf_static, 215, 5},	//150 QFtp::tr(const char*, const char*, int)
    {16, 1388, 6, 3, Smoke::mf_static, 215, 6},	//151 QFtp::trUtf8(const char*, const char*, int)
    {16, 1034, 10, 3, Smoke::mf_virtual, 406, 7},	//152 QFtp::qt_metacall(QMetaObject::Call, int, void**)
    {16, 192, 20, 1, Smoke::mf_ctor, 67, 8},	//153 QFtp::QFtp(QObject*)
    {16, 1268, 71, 2, 0, 406, 9},	//154 QFtp::setProxy(const QString&, unsigned short)
    {16, 524, 71, 2, 0, 406, 10},	//155 QFtp::connectToHost(const QString&, unsigned short)
    {16, 717, 88, 2, 0, 406, 11},	//156 QFtp::login(const QString&, const QString&)
    {16, 506, 0, 0, 0, 406, 12},	//157 QFtp::close()
    {16, 1326, 91, 1, 0, 406, 13},	//158 QFtp::setTransferMode(QFtp::TransferMode)
    {16, 704, 69, 1, 0, 406, 14},	//159 QFtp::list(const QString&)
    {16, 497, 69, 1, 0, 406, 15},	//160 QFtp::cd(const QString&)
    {16, 619, 93, 3, 0, 406, 16},	//161 QFtp::get(const QString&, QIODevice*, QFtp::TransferType)
    {16, 868, 97, 3, 0, 406, 17},	//162 QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    {16, 868, 101, 3, 0, 406, 18},	//163 QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    {16, 1078, 69, 1, 0, 406, 19},	//164 QFtp::remove(const QString&)
    {16, 734, 69, 1, 0, 406, 20},	//165 QFtp::mkdir(const QString&)
    {16, 1100, 69, 1, 0, 406, 21},	//166 QFtp::rmdir(const QString&)
    {16, 1087, 88, 2, 0, 406, 22},	//167 QFtp::rename(const QString&, const QString&)
    {16, 1052, 69, 1, 0, 406, 23},	//168 QFtp::rawCommand(const QString&)
    {16, 487, 0, 0, Smoke::mf_const, 411, 24},	//169 QFtp::bytesAvailable() const
    {16, 1061, 59, 2, 0, 411, 25},	//170 QFtp::read(char*, long long)
    {16, 1063, 0, 0, 0, 14, 26},	//171 QFtp::readAll()
    {16, 552, 0, 0, Smoke::mf_const, 406, 27},	//172 QFtp::currentId() const
    {16, 551, 0, 0, Smoke::mf_const, 99, 28},	//173 QFtp::currentDevice() const
    {16, 549, 0, 0, Smoke::mf_const, 68, 29},	//174 QFtp::currentCommand() const
    {16, 633, 0, 0, Smoke::mf_const, 321, 30},	//175 QFtp::hasPendingCommands() const
    {16, 504, 0, 0, 0, 0, 31},	//176 QFtp::clearPendingCommands()
    {16, 1357, 0, 0, Smoke::mf_const, 70, 32},	//177 QFtp::state() const
    {16, 592, 0, 0, Smoke::mf_const, 69, 33},	//178 QFtp::error() const
    {16, 594, 0, 0, Smoke::mf_const, 215, 34},	//179 QFtp::errorString() const
    {16, 430, 0, 0, Smoke::mf_slot, 0, 35},	//180 QFtp::abort()
    {16, 1358, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//181 QFtp::stateChanged(int)
    {16, 706, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//182 QFtp::listInfo(const QUrlInfo&)
    {16, 1073, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//183 QFtp::readyRead()
    {16, 562, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//184 QFtp::dataTransferProgress(qint64, qint64)
    {16, 1054, 110, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//185 QFtp::rawCommandReply(int, const QString&)
    {16, 511, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//186 QFtp::commandStarted(int)
    {16, 509, 113, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//187 QFtp::commandFinished(int, bool)
    {16, 579, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//188 QFtp::done(bool)
    {16, 1384, 1, 1, Smoke::mf_static, 215, 44},	//189 QFtp::tr(const char*)
    {16, 1388, 1, 1, Smoke::mf_static, 215, 45},	//190 QFtp::trUtf8(const char*)
    {16, 192, 0, 0, Smoke::mf_ctor, 67, 46},	//191 QFtp::QFtp()
    {16, 524, 69, 1, 0, 406, 47},	//192 QFtp::connectToHost(const QString&)
    {16, 717, 0, 0, 0, 406, 48},	//193 QFtp::login()
    {16, 717, 69, 1, 0, 406, 49},	//194 QFtp::login(const QString&)
    {16, 704, 0, 0, 0, 406, 50},	//195 QFtp::list()
    {16, 619, 69, 1, 0, 406, 51},	//196 QFtp::get(const QString&)
    {16, 619, 118, 2, 0, 406, 52},	//197 QFtp::get(const QString&, QIODevice*)
    {16, 868, 121, 2, 0, 406, 53},	//198 QFtp::put(const QByteArray&, const QString&)
    {16, 868, 124, 2, 0, 406, 54},	//199 QFtp::put(QIODevice*, const QString&)
    {16, 1360, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 55},	//200 QFtp::staticMetaObject() const
    {16, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 56},	//201 QFtp::Unconnected (enum)
    {16, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 57},	//202 QFtp::HostLookup (enum)
    {16, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 58},	//203 QFtp::Connecting (enum)
    {16, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 59},	//204 QFtp::Connected (enum)
    {16, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 60},	//205 QFtp::LoggedIn (enum)
    {16, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 61},	//206 QFtp::Closing (enum)
    {16, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 62},	//207 QFtp::NoError (enum)
    {16, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 63},	//208 QFtp::UnknownError (enum)
    {16, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 64},	//209 QFtp::HostNotFound (enum)
    {16, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 65},	//210 QFtp::ConnectionRefused (enum)
    {16, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 66},	//211 QFtp::NotConnected (enum)
    {16, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 67},	//212 QFtp::None (enum)
    {16, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 68},	//213 QFtp::SetTransferMode (enum)
    {16, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 69},	//214 QFtp::SetProxy (enum)
    {16, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 70},	//215 QFtp::ConnectToHost (enum)
    {16, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 71},	//216 QFtp::Login (enum)
    {16, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 72},	//217 QFtp::Close (enum)
    {16, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 73},	//218 QFtp::List (enum)
    {16, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 74},	//219 QFtp::Cd (enum)
    {16, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 75},	//220 QFtp::Get (enum)
    {16, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 76},	//221 QFtp::Put (enum)
    {16, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 77},	//222 QFtp::Remove (enum)
    {16, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 78},	//223 QFtp::Mkdir (enum)
    {16, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 79},	//224 QFtp::Rmdir (enum)
    {16, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 80},	//225 QFtp::Rename (enum)
    {16, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 81},	//226 QFtp::RawCommand (enum)
    {16, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 82},	//227 QFtp::Active (enum)
    {16, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 83},	//228 QFtp::Passive (enum)
    {16, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 84},	//229 QFtp::Binary (enum)
    {16, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 85},	//230 QFtp::Ascii (enum)
    {16, 1429, 0, 0, Smoke::mf_dtor, 0, 86 },	//231 QFtp::~QFtp()
    {17, 801, 127, 2, Smoke::mf_static, 321, 1},	//232 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {17, 917, 130, 1, Smoke::mf_static, 420, 2},	//233 QGlobalSpace::qHash(unsigned long long)
    {17, 927, 132, 1, Smoke::mf_static, 321, 3},	//234 QGlobalSpace::qIsInf(double)
    {17, 813, 134, 2, Smoke::mf_static, 104, 4},	//235 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {17, 813, 137, 2, Smoke::mf_static, 104, 5},	//236 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {17, 1019, 140, 2, Smoke::mf_static, 420, 6},	//237 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {17, 939, 143, 3, Smoke::mf_static, 428, 7},	//238 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {17, 1038, 0, 0, Smoke::mf_static, 0, 8},	//239 QGlobalSpace::qt_noop()
    {17, 780, 147, 2, Smoke::mf_static, 24, 9},	//240 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {17, 780, 150, 2, Smoke::mf_static, 24, 10},	//241 QGlobalSpace::operator<<(QDebug, const QSslError&)
    {17, 791, 153, 2, Smoke::mf_static, 321, 11},	//242 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {17, 791, 156, 2, Smoke::mf_static, 321, 12},	//243 QGlobalSpace::operator==(const QSize&, const QSize&)
    {17, 766, 159, 2, Smoke::mf_static, 327, 13},	//244 QGlobalSpace::operator+(const char*, const QByteArray&)
    {17, 813, 162, 2, Smoke::mf_static, 37, 14},	//245 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {17, 1000, 159, 2, Smoke::mf_static, 406, 15},	//246 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {17, 791, 165, 2, Smoke::mf_static, 321, 16},	//247 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {17, 881, 168, 2, Smoke::mf_static, 404, 17},	//248 QGlobalSpace::qAtan2(double, double)
    {17, 805, 171, 2, Smoke::mf_static, 20, 18},	//249 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {17, 801, 174, 2, Smoke::mf_static, 321, 19},	//250 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {17, 927, 177, 1, Smoke::mf_static, 321, 20},	//251 QGlobalSpace::qIsInf(float)
    {17, 991, 1, 1, Smoke::mf_static, 14, 21},	//252 QGlobalSpace::qgetenv(const char*)
    {17, 917, 179, 1, Smoke::mf_static, 420, 22},	//253 QGlobalSpace::qHash(signed char)
    {17, 813, 181, 2, Smoke::mf_static, 104, 23},	//254 QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    {17, 791, 184, 2, Smoke::mf_static, 321, 24},	//255 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {17, 797, 159, 2, Smoke::mf_static, 321, 25},	//256 QGlobalSpace::operator>(const char*, const QByteArray&)
    {17, 923, 132, 1, Smoke::mf_static, 406, 26},	//257 QGlobalSpace::qIntCast(double)
    {17, 961, 187, 1, Smoke::mf_static, 228, 27},	//258 QGlobalSpace::qSetPadChar(QChar)
    {17, 791, 189, 2, Smoke::mf_static, 321, 28},	//259 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {17, 791, 192, 2, Smoke::mf_static, 321, 29},	//260 QGlobalSpace::operator==(QChar, QChar)
    {17, 813, 195, 2, Smoke::mf_static, 64, 30},	//261 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {17, 917, 14, 1, Smoke::mf_static, 420, 31},	//262 QGlobalSpace::qHash(const QUrl&)
    {17, 917, 198, 1, Smoke::mf_static, 420, 32},	//263 QGlobalSpace::qHash(const QByteArray&)
    {17, 780, 200, 2, Smoke::mf_static, 24, 33},	//264 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {17, 776, 192, 2, Smoke::mf_static, 321, 34},	//265 QGlobalSpace::operator<(QChar, QChar)
    {17, 801, 192, 2, Smoke::mf_static, 321, 35},	//266 QGlobalSpace::operator>=(QChar, QChar)
    {17, 755, 203, 2, Smoke::mf_static, 321, 36},	//267 QGlobalSpace::operator!=(QString::Null, const QString&)
    {17, 780, 206, 2, Smoke::mf_static, 20, 37},	//268 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {17, 776, 159, 2, Smoke::mf_static, 321, 38},	//269 QGlobalSpace::operator<(const char*, const QByteArray&)
    {17, 813, 209, 2, Smoke::mf_static, 63, 39},	//270 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {17, 1000, 3, 2, Smoke::mf_static, 406, 40},	//271 QGlobalSpace::qstrcmp(const char*, const char*)
    {17, 893, 132, 1, Smoke::mf_static, 404, 41},	//272 QGlobalSpace::qCos(double)
    {17, 813, 212, 2, Smoke::mf_static, 40, 42},	//273 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {17, 797, 192, 2, Smoke::mf_static, 321, 43},	//274 QGlobalSpace::operator>(QChar, QChar)
    {17, 813, 215, 2, Smoke::mf_static, 66, 44},	//275 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {17, 763, 218, 2, Smoke::mf_static, 380, 45},	//276 QGlobalSpace::operator*(double, const QSizeF&)
    {17, 965, 0, 0, Smoke::mf_static, 321, 46},	//277 QGlobalSpace::qSharedBuild()
    {17, 813, 221, 2, Smoke::mf_static, 104, 47},	//278 QGlobalSpace::operator|(QDir::Filter, int)
    {17, 755, 127, 2, Smoke::mf_static, 321, 48},	//279 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {17, 771, 224, 2, Smoke::mf_static, 370, 49},	//280 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {17, 780, 227, 2, Smoke::mf_static, 20, 50},	//281 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {17, 813, 230, 2, Smoke::mf_static, 104, 51},	//282 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {17, 813, 233, 2, Smoke::mf_static, 62, 52},	//283 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {17, 780, 236, 2, Smoke::mf_static, 24, 53},	//284 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    {17, 917, 239, 1, Smoke::mf_static, 420, 54},	//285 QGlobalSpace::qHash(char)
    {17, 755, 153, 2, Smoke::mf_static, 321, 55},	//286 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {17, 813, 241, 2, Smoke::mf_static, 48, 56},	//287 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {17, 780, 244, 2, Smoke::mf_static, 24, 57},	//288 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {17, 813, 247, 2, Smoke::mf_static, 104, 58},	//289 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {17, 813, 250, 2, Smoke::mf_static, 104, 59},	//290 QGlobalSpace::operator|(QFile::Permission, int)
    {17, 774, 253, 2, Smoke::mf_static, 370, 60},	//291 QGlobalSpace::operator/(const QPoint&, double)
    {17, 766, 224, 2, Smoke::mf_static, 370, 61},	//292 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {17, 813, 256, 2, Smoke::mf_static, 35, 62},	//293 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {17, 780, 259, 2, Smoke::mf_static, 20, 63},	//294 QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    {17, 771, 262, 2, Smoke::mf_static, 380, 64},	//295 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {17, 780, 265, 2, Smoke::mf_static, 24, 65},	//296 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {17, 925, 132, 1, Smoke::mf_static, 321, 66},	//297 QGlobalSpace::qIsFinite(double)
    {17, 981, 268, 4, Smoke::mf_static, 324, 67},	//298 QGlobalSpace::qecvt(long double, int, int*, int*)
    {17, 755, 174, 2, Smoke::mf_static, 321, 68},	//299 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {17, 813, 273, 2, Smoke::mf_static, 58, 69},	//300 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {17, 780, 276, 2, Smoke::mf_static, 24, 70},	//301 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {17, 780, 279, 2, Smoke::mf_static, 24, 71},	//302 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {17, 780, 282, 2, Smoke::mf_static, 24, 72},	//303 QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    {17, 813, 285, 2, Smoke::mf_static, 44, 73},	//304 QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    {17, 813, 288, 2, Smoke::mf_static, 49, 74},	//305 QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    {17, 813, 291, 2, Smoke::mf_static, 50, 75},	//306 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {17, 813, 294, 2, Smoke::mf_static, 64, 76},	//307 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {17, 766, 156, 2, Smoke::mf_static, 378, 77},	//308 QGlobalSpace::operator+(const QSize&, const QSize&)
    {17, 813, 297, 2, Smoke::mf_static, 55, 78},	//309 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {17, 1030, 44, 1, Smoke::mf_static, 215, 79},	//310 QGlobalSpace::qt_error_string(int)
    {17, 1030, 0, 0, Smoke::mf_static, 215, 80},	//311 QGlobalSpace::qt_error_string()
    {17, 766, 262, 2, Smoke::mf_static, 380, 81},	//312 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {17, 813, 300, 2, Smoke::mf_static, 104, 82},	//313 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {17, 974, 303, 2, Smoke::mf_static, 14, 83},	//314 QGlobalSpace::qUncompress(const unsigned char*, int)
    {17, 1013, 306, 3, Smoke::mf_static, 406, 84},	//315 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {17, 972, 132, 1, Smoke::mf_static, 404, 85},	//316 QGlobalSpace::qTan(double)
    {17, 813, 310, 2, Smoke::mf_static, 44, 86},	//317 QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    {17, 755, 313, 2, Smoke::mf_static, 321, 87},	//318 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {17, 959, 44, 1, Smoke::mf_static, 228, 88},	//319 QGlobalSpace::qSetFieldWidth(int)
    {17, 813, 316, 2, Smoke::mf_static, 53, 89},	//320 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {17, 813, 319, 2, Smoke::mf_static, 42, 90},	//321 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    {17, 907, 132, 1, Smoke::mf_static, 406, 91},	//322 QGlobalSpace::qFloor(double)
    {17, 780, 322, 2, Smoke::mf_static, 24, 92},	//323 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {17, 805, 325, 2, Smoke::mf_static, 20, 93},	//324 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {17, 925, 177, 1, Smoke::mf_static, 321, 94},	//325 QGlobalSpace::qIsFinite(float)
    {17, 766, 328, 2, Smoke::mf_static, 388, 95},	//326 QGlobalSpace::operator+(const QString&, QChar)
    {17, 755, 331, 2, Smoke::mf_static, 321, 96},	//327 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {17, 780, 334, 2, Smoke::mf_static, 24, 97},	//328 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    {17, 979, 337, 3, Smoke::mf_static, 0, 98},	//329 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {17, 766, 174, 2, Smoke::mf_static, 327, 99},	//330 QGlobalSpace::operator+(const QByteArray&, const char*)
    {17, 813, 341, 2, Smoke::mf_static, 47, 100},	//331 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {17, 813, 344, 2, Smoke::mf_static, 61, 101},	//332 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {17, 813, 347, 2, Smoke::mf_static, 45, 102},	//333 QGlobalSpace::operator|(QSsl::SslOption, QFlags<QSsl::SslOption>)
    {17, 948, 350, 4, Smoke::mf_static, 428, 103},	//334 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {17, 917, 355, 1, Smoke::mf_static, 420, 104},	//335 QGlobalSpace::qHash(unsigned int)
    {17, 813, 357, 2, Smoke::mf_static, 63, 105},	//336 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {17, 917, 187, 1, Smoke::mf_static, 420, 106},	//337 QGlobalSpace::qHash(QChar)
    {17, 784, 174, 2, Smoke::mf_static, 321, 107},	//338 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {17, 923, 177, 1, Smoke::mf_static, 406, 108},	//339 QGlobalSpace::qIntCast(float)
    {17, 791, 360, 2, Smoke::mf_static, 321, 109},	//340 QGlobalSpace::operator==(const QRect&, const QRect&)
    {17, 813, 363, 2, Smoke::mf_static, 36, 110},	//341 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {17, 811, 366, 2, Smoke::mf_static, 11, 111},	//342 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {17, 797, 369, 2, Smoke::mf_static, 321, 112},	//343 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {17, 946, 372, 2, Smoke::mf_static, 428, 113},	//344 QGlobalSpace::qRealloc(void*, size_t)
    {17, 917, 69, 1, Smoke::mf_static, 420, 114},	//345 QGlobalSpace::qHash(const QString&)
    {17, 780, 375, 2, Smoke::mf_static, 20, 115},	//346 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {17, 780, 378, 2, Smoke::mf_static, 24, 116},	//347 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {17, 956, 132, 1, Smoke::mf_static, 411, 117},	//348 QGlobalSpace::qRound64(double)
    {17, 921, 381, 1, Smoke::mf_static, 427, 118},	//349 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {17, 968, 132, 1, Smoke::mf_static, 404, 119},	//350 QGlobalSpace::qSqrt(double)
    {17, 917, 383, 1, Smoke::mf_static, 420, 120},	//351 QGlobalSpace::qHash(const QModelIndex&)
    {17, 901, 132, 1, Smoke::mf_static, 404, 121},	//352 QGlobalSpace::qFastCos(double)
    {17, 805, 385, 2, Smoke::mf_static, 20, 122},	//353 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {17, 791, 388, 2, Smoke::mf_static, 321, 123},	//354 QGlobalSpace::operator==(QBool, QBool)
    {17, 791, 391, 2, Smoke::mf_static, 321, 124},	//355 QGlobalSpace::operator==(const char*, const QStringRef&)
    {17, 813, 394, 2, Smoke::mf_static, 104, 125},	//356 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {17, 917, 67, 1, Smoke::mf_static, 420, 126},	//357 QGlobalSpace::qHash(const QHostAddress&)
    {17, 929, 177, 1, Smoke::mf_static, 321, 127},	//358 QGlobalSpace::qIsNaN(float)
    {17, 784, 369, 2, Smoke::mf_static, 321, 128},	//359 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {17, 905, 1, 1, Smoke::mf_static, 400, 129},	//360 QGlobalSpace::qFlagLocation(const char*)
    {17, 813, 397, 2, Smoke::mf_static, 104, 130},	//361 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {17, 929, 132, 1, Smoke::mf_static, 321, 131},	//362 QGlobalSpace::qIsNaN(double)
    {17, 766, 400, 2, Smoke::mf_static, 388, 132},	//363 QGlobalSpace::operator+(QChar, const QString&)
    {17, 813, 403, 2, Smoke::mf_static, 104, 133},	//364 QGlobalSpace::operator|(QString::SectionFlag, int)
    {17, 813, 406, 2, Smoke::mf_static, 104, 134},	//365 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {17, 805, 409, 2, Smoke::mf_static, 20, 135},	//366 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {17, 1024, 6, 3, Smoke::mf_static, 0, 136},	//367 QGlobalSpace::qt_assert(const char*, const char*, int)
    {17, 917, 33, 1, Smoke::mf_static, 420, 137},	//368 QGlobalSpace::qHash(long long)
    {17, 755, 412, 2, Smoke::mf_static, 321, 138},	//369 QGlobalSpace::operator!=(const QString&, QString::Null)
    {17, 985, 268, 4, Smoke::mf_static, 324, 139},	//370 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {17, 813, 415, 2, Smoke::mf_static, 104, 140},	//371 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {17, 813, 418, 2, Smoke::mf_static, 47, 141},	//372 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {17, 755, 189, 2, Smoke::mf_static, 321, 142},	//373 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {17, 771, 165, 2, Smoke::mf_static, 372, 143},	//374 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {17, 791, 331, 2, Smoke::mf_static, 321, 144},	//375 QGlobalSpace::operator==(QString::Null, QString::Null)
    {17, 813, 421, 2, Smoke::mf_static, 56, 145},	//376 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {17, 776, 369, 2, Smoke::mf_static, 321, 146},	//377 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {17, 813, 424, 2, Smoke::mf_static, 66, 147},	//378 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {17, 915, 177, 1, Smoke::mf_static, 321, 148},	//379 QGlobalSpace::qFuzzyIsNull(float)
    {17, 813, 427, 2, Smoke::mf_static, 60, 149},	//380 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {17, 1005, 430, 2, Smoke::mf_static, 324, 150},	//381 QGlobalSpace::qstrcpy(char*, const char*)
    {17, 917, 44, 1, Smoke::mf_static, 420, 151},	//382 QGlobalSpace::qHash(int)
    {17, 766, 165, 2, Smoke::mf_static, 372, 152},	//383 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {17, 813, 433, 2, Smoke::mf_static, 51, 153},	//384 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {17, 791, 262, 2, Smoke::mf_static, 321, 154},	//385 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {17, 771, 436, 1, Smoke::mf_static, 370, 155},	//386 QGlobalSpace::operator-(const QPoint&)
    {17, 813, 438, 2, Smoke::mf_static, 104, 156},	//387 QGlobalSpace::operator|(Qt::DropAction, int)
    {17, 780, 441, 2, Smoke::mf_static, 20, 157},	//388 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {17, 813, 444, 2, Smoke::mf_static, 104, 158},	//389 QGlobalSpace::operator|(QDir::SortFlag, int)
    {17, 897, 132, 1, Smoke::mf_static, 404, 159},	//390 QGlobalSpace::qExp(double)
    {17, 963, 44, 1, Smoke::mf_static, 228, 160},	//391 QGlobalSpace::qSetRealNumberPrecision(int)
    {17, 791, 447, 2, Smoke::mf_static, 321, 161},	//392 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {17, 933, 132, 1, Smoke::mf_static, 404, 162},	//393 QGlobalSpace::qLn(double)
    {17, 1046, 44, 1, Smoke::mf_static, 0, 163},	//394 QGlobalSpace::quick_exit(int)
    {17, 780, 450, 2, Smoke::mf_static, 24, 164},	//395 QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    {17, 780, 453, 2, Smoke::mf_static, 24, 165},	//396 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    {17, 755, 262, 2, Smoke::mf_static, 321, 166},	//397 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {17, 950, 456, 1, Smoke::mf_static, 0, 167},	//398 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {17, 886, 140, 2, Smoke::mf_static, 423, 168},	//399 QGlobalSpace::qChecksum(const char*, unsigned int)
    {17, 813, 458, 2, Smoke::mf_static, 59, 169},	//400 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {17, 935, 461, 1, Smoke::mf_static, 428, 170},	//401 QGlobalSpace::qMalloc(size_t)
    {17, 945, 0, 0, Smoke::mf_static, 404, 171},	//402 QGlobalSpace::qQNaN()
    {17, 813, 463, 2, Smoke::mf_static, 52, 172},	//403 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {17, 805, 466, 2, Smoke::mf_static, 20, 173},	//404 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {17, 993, 159, 2, Smoke::mf_static, 321, 174},	//405 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {17, 780, 469, 2, Smoke::mf_static, 24, 175},	//406 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {17, 813, 472, 2, Smoke::mf_static, 104, 176},	//407 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {17, 998, 355, 1, Smoke::mf_static, 0, 177},	//408 QGlobalSpace::qsrand(unsigned int)
    {17, 917, 475, 1, Smoke::mf_static, 420, 178},	//409 QGlobalSpace::qHash(long)
    {17, 763, 477, 2, Smoke::mf_static, 370, 179},	//410 QGlobalSpace::operator*(int, const QPoint&)
    {17, 797, 127, 2, Smoke::mf_static, 321, 180},	//411 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {17, 917, 65, 1, Smoke::mf_static, 420, 181},	//412 QGlobalSpace::qHash(unsigned short)
    {17, 805, 480, 2, Smoke::mf_static, 20, 182},	//413 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {17, 755, 165, 2, Smoke::mf_static, 321, 183},	//414 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {17, 813, 483, 2, Smoke::mf_static, 37, 184},	//415 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {17, 1017, 306, 3, Smoke::mf_static, 406, 185},	//416 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {17, 805, 486, 2, Smoke::mf_static, 20, 186},	//417 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {17, 791, 203, 2, Smoke::mf_static, 321, 187},	//418 QGlobalSpace::operator==(QString::Null, const QString&)
    {17, 791, 313, 2, Smoke::mf_static, 321, 188},	//419 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {17, 766, 369, 2, Smoke::mf_static, 327, 189},	//420 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {17, 917, 489, 1, Smoke::mf_static, 420, 190},	//421 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {17, 780, 491, 2, Smoke::mf_static, 20, 191},	//422 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {17, 780, 494, 2, Smoke::mf_static, 20, 192},	//423 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {17, 1039, 497, 3, Smoke::mf_static, 178, 193},	//424 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {17, 813, 501, 2, Smoke::mf_static, 46, 194},	//425 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {17, 774, 504, 2, Smoke::mf_static, 372, 195},	//426 QGlobalSpace::operator/(const QPointF&, double)
    {17, 755, 507, 2, Smoke::mf_static, 321, 196},	//427 QGlobalSpace::operator!=(bool, QBool)
    {17, 805, 510, 2, Smoke::mf_static, 20, 197},	//428 QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    {17, 1015, 513, 3, Smoke::mf_static, 324, 198},	//429 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {17, 813, 517, 2, Smoke::mf_static, 104, 199},	//430 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    {17, 974, 198, 1, Smoke::mf_static, 14, 200},	//431 QGlobalSpace::qUncompress(const QByteArray&)
    {17, 805, 520, 2, Smoke::mf_static, 20, 201},	//432 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {17, 780, 523, 2, Smoke::mf_static, 20, 202},	//433 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {17, 805, 526, 2, Smoke::mf_static, 20, 203},	//434 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {17, 813, 529, 2, Smoke::mf_static, 104, 204},	//435 QGlobalSpace::operator|(Qt::MouseButton, int)
    {17, 771, 532, 1, Smoke::mf_static, 372, 205},	//436 QGlobalSpace::operator-(const QPointF&)
    {17, 791, 507, 2, Smoke::mf_static, 321, 206},	//437 QGlobalSpace::operator==(bool, QBool)
    {17, 995, 0, 0, Smoke::mf_static, 406, 207},	//438 QGlobalSpace::qrand()
    {17, 813, 534, 2, Smoke::mf_static, 43, 208},	//439 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    {17, 780, 537, 2, Smoke::mf_static, 24, 209},	//440 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {17, 1026, 540, 4, Smoke::mf_static, 0, 210},	//441 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {17, 763, 545, 2, Smoke::mf_static, 370, 211},	//442 QGlobalSpace::operator*(float, const QPoint&)
    {17, 761, 366, 2, Smoke::mf_static, 11, 212},	//443 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {17, 801, 159, 2, Smoke::mf_static, 321, 213},	//444 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {17, 813, 548, 2, Smoke::mf_static, 61, 214},	//445 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {17, 780, 551, 2, Smoke::mf_static, 24, 215},	//446 QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    {17, 813, 554, 2, Smoke::mf_static, 104, 216},	//447 QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    {17, 813, 557, 2, Smoke::mf_static, 104, 217},	//448 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {17, 755, 560, 2, Smoke::mf_static, 321, 218},	//449 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {17, 895, 0, 0, Smoke::mf_static, 24, 219},	//450 QGlobalSpace::qCritical()
    {17, 813, 563, 2, Smoke::mf_static, 55, 220},	//451 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {17, 755, 159, 2, Smoke::mf_static, 321, 221},	//452 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {17, 780, 566, 2, Smoke::mf_static, 24, 222},	//453 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    {17, 755, 224, 2, Smoke::mf_static, 321, 223},	//454 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {17, 791, 560, 2, Smoke::mf_static, 321, 224},	//455 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {17, 780, 569, 2, Smoke::mf_static, 20, 225},	//456 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {17, 766, 572, 2, Smoke::mf_static, 327, 226},	//457 QGlobalSpace::operator+(const QByteArray&, char)
    {17, 813, 575, 2, Smoke::mf_static, 35, 227},	//458 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {17, 813, 578, 2, Smoke::mf_static, 33, 228},	//459 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {17, 805, 581, 2, Smoke::mf_static, 20, 229},	//460 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {17, 774, 584, 2, Smoke::mf_static, 380, 230},	//461 QGlobalSpace::operator/(const QSizeF&, double)
    {17, 780, 587, 2, Smoke::mf_static, 20, 231},	//462 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {17, 791, 224, 2, Smoke::mf_static, 321, 232},	//463 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {17, 874, 590, 1, Smoke::mf_static, 0, 233},	//464 QGlobalSpace::qAddPostRoutine(void(*)())
    {17, 888, 592, 3, Smoke::mf_static, 14, 234},	//465 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {17, 888, 303, 2, Smoke::mf_static, 14, 235},	//466 QGlobalSpace::qCompress(const unsigned char*, int)
    {17, 784, 159, 2, Smoke::mf_static, 321, 236},	//467 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {17, 903, 132, 1, Smoke::mf_static, 404, 237},	//468 QGlobalSpace::qFastSin(double)
    {17, 784, 127, 2, Smoke::mf_static, 321, 238},	//469 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {17, 780, 596, 2, Smoke::mf_static, 20, 239},	//470 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {17, 805, 599, 2, Smoke::mf_static, 20, 240},	//471 QGlobalSpace::operator>>(QDataStream&, QString&)
    {17, 876, 0, 0, Smoke::mf_static, 215, 241},	//472 QGlobalSpace::qAppName()
    {17, 977, 0, 0, Smoke::mf_static, 400, 242},	//473 QGlobalSpace::qVersion()
    {17, 780, 602, 2, Smoke::mf_static, 24, 243},	//474 QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    {17, 909, 605, 1, Smoke::mf_static, 0, 244},	//475 QGlobalSpace::qFree(void*)
    {17, 813, 607, 2, Smoke::mf_static, 104, 245},	//476 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {17, 911, 605, 1, Smoke::mf_static, 0, 246},	//477 QGlobalSpace::qFreeAligned(void*)
    {17, 791, 412, 2, Smoke::mf_static, 321, 247},	//478 QGlobalSpace::operator==(const QString&, QString::Null)
    {17, 780, 610, 2, Smoke::mf_static, 24, 248},	//479 QGlobalSpace::operator<<(QDebug, const QDir&)
    {17, 780, 613, 2, Smoke::mf_static, 225, 249},	//480 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 776, 174, 2, Smoke::mf_static, 321, 250},	//481 QGlobalSpace::operator<(const QByteArray&, const char*)
    {17, 780, 616, 2, Smoke::mf_static, 24, 251},	//482 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {17, 780, 619, 2, Smoke::mf_static, 24, 252},	//483 QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    {17, 813, 622, 2, Smoke::mf_static, 36, 253},	//484 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {17, 917, 625, 1, Smoke::mf_static, 420, 254},	//485 QGlobalSpace::qHash(const QBitArray&)
    {17, 780, 627, 2, Smoke::mf_static, 24, 255},	//486 QGlobalSpace::operator<<(QDebug, const QTime&)
    {17, 780, 630, 2, Smoke::mf_static, 225, 256},	//487 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {17, 884, 132, 1, Smoke::mf_static, 406, 257},	//488 QGlobalSpace::qCeil(double)
    {17, 755, 192, 2, Smoke::mf_static, 321, 258},	//489 QGlobalSpace::operator!=(QChar, QChar)
    {17, 813, 633, 2, Smoke::mf_static, 54, 259},	//490 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {17, 970, 636, 2, Smoke::mf_static, 321, 260},	//491 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {17, 1007, 1, 1, Smoke::mf_static, 324, 261},	//492 QGlobalSpace::qstrdup(const char*)
    {17, 791, 639, 2, Smoke::mf_static, 321, 262},	//493 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {17, 805, 642, 2, Smoke::mf_static, 20, 263},	//494 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {17, 755, 391, 2, Smoke::mf_static, 321, 264},	//495 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {17, 896, 0, 0, Smoke::mf_static, 24, 265},	//496 QGlobalSpace::qDebug()
    {17, 937, 645, 2, Smoke::mf_static, 428, 266},	//497 QGlobalSpace::qMallocAligned(size_t, size_t)
    {17, 755, 636, 2, Smoke::mf_static, 321, 267},	//498 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {17, 983, 648, 6, Smoke::mf_static, 406, 268},	//499 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {17, 943, 168, 2, Smoke::mf_static, 404, 269},	//500 QGlobalSpace::qPow(double, double)
    {17, 780, 655, 2, Smoke::mf_static, 24, 270},	//501 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {17, 813, 658, 2, Smoke::mf_static, 104, 271},	//502 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {17, 805, 613, 2, Smoke::mf_static, 225, 272},	//503 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 766, 661, 2, Smoke::mf_static, 327, 273},	//504 QGlobalSpace::operator+(char, const QByteArray&)
    {17, 791, 159, 2, Smoke::mf_static, 321, 274},	//505 QGlobalSpace::operator==(const char*, const QByteArray&)
    {17, 780, 664, 2, Smoke::mf_static, 20, 275},	//506 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {17, 771, 156, 2, Smoke::mf_static, 378, 276},	//507 QGlobalSpace::operator-(const QSize&, const QSize&)
    {17, 780, 667, 2, Smoke::mf_static, 24, 277},	//508 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {17, 813, 670, 2, Smoke::mf_static, 104, 278},	//509 QGlobalSpace::operator|(Qt::WindowState, int)
    {17, 805, 673, 2, Smoke::mf_static, 20, 279},	//510 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {17, 755, 447, 2, Smoke::mf_static, 321, 280},	//511 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {17, 780, 676, 2, Smoke::mf_static, 24, 281},	//512 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {17, 813, 679, 2, Smoke::mf_static, 58, 282},	//513 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {17, 805, 682, 2, Smoke::mf_static, 20, 283},	//514 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {17, 763, 685, 2, Smoke::mf_static, 372, 284},	//515 QGlobalSpace::operator*(double, const QPointF&)
    {17, 813, 688, 2, Smoke::mf_static, 53, 285},	//516 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {17, 791, 127, 2, Smoke::mf_static, 321, 286},	//517 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {17, 763, 691, 2, Smoke::mf_static, 378, 287},	//518 QGlobalSpace::operator*(const QSize&, double)
    {17, 780, 694, 2, Smoke::mf_static, 24, 288},	//519 QGlobalSpace::operator<<(QDebug, const QDate&)
    {17, 813, 697, 2, Smoke::mf_static, 33, 289},	//520 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {17, 1050, 700, 4, Smoke::mf_static, 406, 290},	//521 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {17, 763, 705, 2, Smoke::mf_static, 370, 291},	//522 QGlobalSpace::operator*(double, const QPoint&)
    {17, 941, 708, 3, Smoke::mf_static, 428, 292},	//523 QGlobalSpace::qMemSet(void*, int, size_t)
    {17, 780, 712, 2, Smoke::mf_static, 20, 293},	//524 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {17, 1028, 715, 2, Smoke::mf_static, 0, 294},	//525 QGlobalSpace::qt_check_pointer(const char*, int)
    {17, 917, 718, 1, Smoke::mf_static, 420, 295},	//526 QGlobalSpace::qHash(short)
    {17, 813, 720, 2, Smoke::mf_static, 38, 296},	//527 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {17, 899, 132, 1, Smoke::mf_static, 404, 297},	//528 QGlobalSpace::qFabs(double)
    {17, 813, 723, 2, Smoke::mf_static, 52, 298},	//529 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {17, 813, 726, 2, Smoke::mf_static, 34, 299},	//530 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {17, 813, 729, 2, Smoke::mf_static, 104, 300},	//531 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    {17, 1000, 369, 2, Smoke::mf_static, 406, 301},	//532 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {17, 913, 732, 2, Smoke::mf_static, 321, 302},	//533 QGlobalSpace::qFuzzyCompare(float, float)
    {17, 791, 735, 2, Smoke::mf_static, 321, 303},	//534 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {17, 813, 738, 2, Smoke::mf_static, 39, 304},	//535 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {17, 987, 648, 6, Smoke::mf_static, 406, 305},	//536 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {17, 989, 741, 3, Smoke::mf_static, 324, 306},	//537 QGlobalSpace::qgcvt(long double, int, char*)
    {17, 996, 745, 4, Smoke::mf_static, 0, 307},	//538 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {17, 872, 132, 1, Smoke::mf_static, 404, 308},	//539 QGlobalSpace::qAcos(double)
    {17, 813, 750, 2, Smoke::mf_static, 49, 309},	//540 QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    {17, 813, 753, 2, Smoke::mf_static, 104, 310},	//541 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {17, 813, 756, 2, Smoke::mf_static, 56, 311},	//542 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {17, 801, 369, 2, Smoke::mf_static, 321, 312},	//543 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {17, 813, 759, 2, Smoke::mf_static, 104, 313},	//544 QGlobalSpace::operator|(QSsl::SslOption, int)
    {17, 883, 0, 0, Smoke::mf_static, 0, 314},	//545 QGlobalSpace::qBadAlloc()
    {17, 780, 762, 2, Smoke::mf_static, 24, 315},	//546 QGlobalSpace::operator<<(QDebug, const QLine&)
    {17, 813, 765, 2, Smoke::mf_static, 62, 316},	//547 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {17, 813, 768, 2, Smoke::mf_static, 104, 317},	//548 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {17, 915, 132, 1, Smoke::mf_static, 321, 318},	//549 QGlobalSpace::qFuzzyIsNull(double)
    {17, 888, 771, 2, Smoke::mf_static, 14, 319},	//550 QGlobalSpace::qCompress(const QByteArray&, int)
    {17, 888, 198, 1, Smoke::mf_static, 14, 320},	//551 QGlobalSpace::qCompress(const QByteArray&)
    {17, 813, 774, 2, Smoke::mf_static, 50, 321},	//552 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {17, 813, 777, 2, Smoke::mf_static, 104, 322},	//553 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {17, 813, 780, 2, Smoke::mf_static, 65, 323},	//554 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {17, 813, 783, 2, Smoke::mf_static, 32, 324},	//555 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {17, 780, 786, 2, Smoke::mf_static, 24, 325},	//556 QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    {17, 813, 789, 2, Smoke::mf_static, 45, 326},	//557 QGlobalSpace::operator|(QSsl::SslOption, QSsl::SslOption)
    {17, 780, 792, 2, Smoke::mf_static, 20, 327},	//558 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {17, 780, 795, 2, Smoke::mf_static, 20, 328},	//559 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {17, 780, 798, 2, Smoke::mf_static, 20, 329},	//560 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {17, 877, 132, 1, Smoke::mf_static, 404, 330},	//561 QGlobalSpace::qAsin(double)
    {17, 780, 801, 2, Smoke::mf_static, 24, 331},	//562 QGlobalSpace::operator<<(QDebug, const QRect&)
    {17, 813, 804, 2, Smoke::mf_static, 34, 332},	//563 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {17, 755, 360, 2, Smoke::mf_static, 321, 333},	//564 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {17, 966, 132, 1, Smoke::mf_static, 404, 334},	//565 QGlobalSpace::qSin(double)
    {17, 813, 807, 2, Smoke::mf_static, 104, 335},	//566 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {17, 791, 369, 2, Smoke::mf_static, 321, 336},	//567 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {17, 805, 810, 2, Smoke::mf_static, 20, 337},	//568 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {17, 813, 366, 2, Smoke::mf_static, 11, 338},	//569 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {17, 780, 813, 2, Smoke::mf_static, 20, 339},	//570 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {17, 780, 816, 2, Smoke::mf_static, 20, 340},	//571 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {17, 813, 819, 2, Smoke::mf_static, 104, 341},	//572 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {17, 780, 822, 2, Smoke::mf_static, 20, 342},	//573 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {17, 1021, 715, 2, Smoke::mf_static, 215, 343},	//574 QGlobalSpace::qtTrId(const char*, int)
    {17, 1021, 1, 1, Smoke::mf_static, 215, 344},	//575 QGlobalSpace::qtTrId(const char*)
    {17, 780, 825, 2, Smoke::mf_static, 24, 345},	//576 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {17, 784, 192, 2, Smoke::mf_static, 321, 346},	//577 QGlobalSpace::operator<=(QChar, QChar)
    {17, 813, 828, 2, Smoke::mf_static, 65, 347},	//578 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {17, 755, 735, 2, Smoke::mf_static, 321, 348},	//579 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {17, 813, 831, 2, Smoke::mf_static, 57, 349},	//580 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {17, 805, 834, 2, Smoke::mf_static, 20, 350},	//581 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {17, 763, 837, 2, Smoke::mf_static, 370, 351},	//582 QGlobalSpace::operator*(const QPoint&, int)
    {17, 805, 840, 2, Smoke::mf_static, 20, 352},	//583 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {17, 1048, 843, 3, Smoke::mf_static, 321, 353},	//584 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {17, 774, 691, 2, Smoke::mf_static, 378, 354},	//585 QGlobalSpace::operator/(const QSize&, double)
    {17, 931, 177, 1, Smoke::mf_static, 321, 355},	//586 QGlobalSpace::qIsNull(float)
    {17, 1041, 847, 5, Smoke::mf_static, 0, 356},	//587 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {17, 791, 853, 2, Smoke::mf_static, 321, 357},	//588 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {17, 879, 132, 1, Smoke::mf_static, 404, 358},	//589 QGlobalSpace::qAtan(double)
    {17, 805, 856, 2, Smoke::mf_static, 20, 359},	//590 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {17, 813, 859, 2, Smoke::mf_static, 104, 360},	//591 QGlobalSpace::operator|(Qt::Orientation, int)
    {17, 913, 168, 2, Smoke::mf_static, 321, 361},	//592 QGlobalSpace::qFuzzyCompare(double, double)
    {17, 813, 862, 2, Smoke::mf_static, 54, 362},	//593 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {17, 763, 253, 2, Smoke::mf_static, 370, 363},	//594 QGlobalSpace::operator*(const QPoint&, double)
    {17, 813, 865, 2, Smoke::mf_static, 38, 364},	//595 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {17, 958, 0, 0, Smoke::mf_static, 404, 365},	//596 QGlobalSpace::qSNaN()
    {17, 791, 174, 2, Smoke::mf_static, 321, 366},	//597 QGlobalSpace::operator==(const QByteArray&, const char*)
    {17, 763, 584, 2, Smoke::mf_static, 380, 367},	//598 QGlobalSpace::operator*(const QSizeF&, double)
    {17, 791, 636, 2, Smoke::mf_static, 321, 368},	//599 QGlobalSpace::operator==(const QStringRef&, const char*)
    {17, 763, 868, 2, Smoke::mf_static, 370, 369},	//600 QGlobalSpace::operator*(const QPoint&, float)
    {17, 763, 871, 2, Smoke::mf_static, 378, 370},	//601 QGlobalSpace::operator*(double, const QSize&)
    {17, 776, 127, 2, Smoke::mf_static, 321, 371},	//602 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {17, 780, 874, 2, Smoke::mf_static, 24, 372},	//603 QGlobalSpace::operator<<(QDebug, const QSslKey&)
    {17, 755, 877, 2, Smoke::mf_static, 321, 373},	//604 QGlobalSpace::operator!=(QBool, bool)
    {17, 755, 156, 2, Smoke::mf_static, 321, 374},	//605 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {17, 805, 880, 2, Smoke::mf_static, 20, 375},	//606 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {17, 780, 883, 2, Smoke::mf_static, 24, 376},	//607 QGlobalSpace::operator<<(QDebug, const QSize&)
    {17, 813, 886, 2, Smoke::mf_static, 48, 377},	//608 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {17, 763, 504, 2, Smoke::mf_static, 372, 378},	//609 QGlobalSpace::operator*(const QPointF&, double)
    {17, 1009, 3, 2, Smoke::mf_static, 406, 379},	//610 QGlobalSpace::qstricmp(const char*, const char*)
    {17, 813, 889, 2, Smoke::mf_static, 60, 380},	//611 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {17, 755, 184, 2, Smoke::mf_static, 321, 381},	//612 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {17, 954, 132, 1, Smoke::mf_static, 406, 382},	//613 QGlobalSpace::qRound(double)
    {17, 920, 0, 0, Smoke::mf_static, 404, 383},	//614 QGlobalSpace::qInf()
    {17, 780, 892, 2, Smoke::mf_static, 20, 384},	//615 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {17, 813, 895, 2, Smoke::mf_static, 57, 385},	//616 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {17, 780, 898, 2, Smoke::mf_static, 20, 386},	//617 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {17, 813, 901, 2, Smoke::mf_static, 39, 387},	//618 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {17, 813, 904, 2, Smoke::mf_static, 104, 388},	//619 QGlobalSpace::operator|(Qt::WindowType, int)
    {17, 1000, 174, 2, Smoke::mf_static, 406, 389},	//620 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {17, 813, 907, 2, Smoke::mf_static, 43, 390},	//621 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    {17, 952, 590, 1, Smoke::mf_static, 0, 391},	//622 QGlobalSpace::qRemovePostRoutine(void(*)())
    {17, 805, 910, 2, Smoke::mf_static, 20, 392},	//623 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {17, 780, 913, 2, Smoke::mf_static, 20, 393},	//624 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {17, 813, 916, 2, Smoke::mf_static, 59, 394},	//625 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {17, 813, 919, 2, Smoke::mf_static, 51, 395},	//626 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {17, 978, 0, 0, Smoke::mf_static, 24, 396},	//627 QGlobalSpace::qWarning()
    {17, 1011, 1, 1, Smoke::mf_static, 420, 397},	//628 QGlobalSpace::qstrlen(const char*)
    {17, 791, 877, 2, Smoke::mf_static, 321, 398},	//629 QGlobalSpace::operator==(QBool, bool)
    {17, 780, 922, 2, Smoke::mf_static, 24, 399},	//630 QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    {17, 805, 925, 2, Smoke::mf_static, 20, 400},	//631 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {17, 805, 928, 2, Smoke::mf_static, 20, 401},	//632 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {17, 917, 931, 1, Smoke::mf_static, 420, 402},	//633 QGlobalSpace::qHash(unsigned long)
    {17, 780, 933, 2, Smoke::mf_static, 20, 403},	//634 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {17, 813, 936, 2, Smoke::mf_static, 40, 404},	//635 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {17, 780, 939, 2, Smoke::mf_static, 20, 405},	//636 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {17, 813, 942, 2, Smoke::mf_static, 46, 406},	//637 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {17, 766, 88, 2, Smoke::mf_static, 388, 407},	//638 QGlobalSpace::operator+(const QString&, const QString&)
    {17, 755, 388, 2, Smoke::mf_static, 321, 408},	//639 QGlobalSpace::operator!=(QBool, QBool)
    {17, 813, 945, 2, Smoke::mf_static, 32, 409},	//640 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {17, 1032, 948, 2, Smoke::mf_static, 0, 410},	//641 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {17, 813, 951, 2, Smoke::mf_static, 42, 411},	//642 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    {17, 917, 954, 1, Smoke::mf_static, 420, 412},	//643 QGlobalSpace::qHash(const QStringRef&)
    {17, 931, 132, 1, Smoke::mf_static, 321, 413},	//644 QGlobalSpace::qIsNull(double)
    {17, 813, 956, 2, Smoke::mf_static, 104, 414},	//645 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {17, 797, 174, 2, Smoke::mf_static, 321, 415},	//646 QGlobalSpace::operator>(const QByteArray&, const char*)
    {17, 917, 959, 1, Smoke::mf_static, 420, 416},	//647 QGlobalSpace::qHash(unsigned char)
    {17, 805, 961, 2, Smoke::mf_static, 20, 417},	//648 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {17, 780, 964, 2, Smoke::mf_static, 24, 418},	//649 QGlobalSpace::operator<<(QDebug, const QObject*)
    {17, 813, 967, 2, Smoke::mf_static, 104, 419},	//650 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {17, 755, 369, 2, Smoke::mf_static, 321, 420},	//651 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {17, 805, 970, 2, Smoke::mf_static, 20, 421},	//652 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {17, 780, 973, 2, Smoke::mf_static, 20, 422},	//653 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {17, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 409, 423},	//654 QGlobalSpace::_ISupper (enum)
    {17, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 409, 424},	//655 QGlobalSpace::_ISlower (enum)
    {17, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 409, 425},	//656 QGlobalSpace::_ISalpha (enum)
    {17, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 409, 426},	//657 QGlobalSpace::_ISdigit (enum)
    {17, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 409, 427},	//658 QGlobalSpace::_ISxdigit (enum)
    {17, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 409, 428},	//659 QGlobalSpace::_ISspace (enum)
    {17, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 409, 429},	//660 QGlobalSpace::_ISprint (enum)
    {17, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 409, 430},	//661 QGlobalSpace::_ISgraph (enum)
    {17, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 409, 431},	//662 QGlobalSpace::_ISblank (enum)
    {17, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 409, 432},	//663 QGlobalSpace::_IScntrl (enum)
    {17, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 409, 433},	//664 QGlobalSpace::_ISpunct (enum)
    {17, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 409, 434},	//665 QGlobalSpace::_ISalnum (enum)
    {17, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 319, 435},	//666 QGlobalSpace::QtDebugMsg (enum)
    {17, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 319, 436},	//667 QGlobalSpace::QtWarningMsg (enum)
    {17, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 319, 437},	//668 QGlobalSpace::QtCriticalMsg (enum)
    {17, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 319, 438},	//669 QGlobalSpace::QtFatalMsg (enum)
    {17, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 319, 439},	//670 QGlobalSpace::QtSystemMsg (enum)
    {17, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 440},	//671 QGlobalSpace::__codecvt_ok (enum)
    {17, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 441},	//672 QGlobalSpace::__codecvt_partial (enum)
    {17, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 442},	//673 QGlobalSpace::__codecvt_error (enum)
    {17, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 443},	//674 QGlobalSpace::__codecvt_noconv (enum)
    {19, 194, 0, 0, Smoke::mf_ctor, 77, 1},	//675 QHostAddress::QHostAddress()
    {19, 194, 355, 1, Smoke::mf_ctor, 77, 2},	//676 QHostAddress::QHostAddress(unsigned int)
    {19, 194, 976, 1, Smoke::mf_ctor, 77, 3},	//677 QHostAddress::QHostAddress(unsigned char*)
    {19, 194, 978, 1, Smoke::mf_ctor, 77, 4},	//678 QHostAddress::QHostAddress(const QIPv6Address&)
    {19, 194, 980, 1, Smoke::mf_ctor, 77, 5},	//679 QHostAddress::QHostAddress(const sockaddr*)
    {19, 194, 69, 1, Smoke::mf_ctor, 77, 6},	//680 QHostAddress::QHostAddress(const QString&)
    {19, 194, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 7},	//681 QHostAddress::QHostAddress(const QHostAddress&)
    {19, 194, 982, 1, Smoke::mf_ctor, 77, 8},	//682 QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    {19, 788, 67, 1, 0, 76, 9},	//683 QHostAddress::operator=(const QHostAddress&)
    {19, 788, 69, 1, 0, 76, 10},	//684 QHostAddress::operator=(const QString&)
    {19, 1116, 355, 1, 0, 0, 11},	//685 QHostAddress::setAddress(unsigned int)
    {19, 1116, 976, 1, 0, 0, 12},	//686 QHostAddress::setAddress(unsigned char*)
    {19, 1116, 978, 1, 0, 0, 13},	//687 QHostAddress::setAddress(const QIPv6Address&)
    {19, 1116, 980, 1, 0, 0, 14},	//688 QHostAddress::setAddress(const sockaddr*)
    {19, 1116, 69, 1, 0, 321, 15},	//689 QHostAddress::setAddress(const QString&)
    {19, 857, 0, 0, Smoke::mf_const, 4, 16},	//690 QHostAddress::protocol() const
    {19, 1377, 0, 0, Smoke::mf_const, 420, 17},	//691 QHostAddress::toIPv4Address() const
    {19, 1378, 0, 0, Smoke::mf_const, 102, 18},	//692 QHostAddress::toIPv6Address() const
    {19, 1383, 0, 0, Smoke::mf_const, 215, 19},	//693 QHostAddress::toString() const
    {19, 1103, 0, 0, Smoke::mf_const, 215, 20},	//694 QHostAddress::scopeId() const
    {19, 1292, 69, 1, 0, 0, 21},	//695 QHostAddress::setScopeId(const QString&)
    {19, 791, 67, 1, Smoke::mf_const, 321, 22},	//696 QHostAddress::operator==(const QHostAddress&) const
    {19, 791, 982, 1, Smoke::mf_const, 321, 23},	//697 QHostAddress::operator==(QHostAddress::SpecialAddress) const
    {19, 755, 67, 1, Smoke::mf_const, 321, 24},	//698 QHostAddress::operator!=(const QHostAddress&) const
    {19, 755, 982, 1, Smoke::mf_const, 321, 25},	//699 QHostAddress::operator!=(QHostAddress::SpecialAddress) const
    {19, 674, 0, 0, Smoke::mf_const, 321, 26},	//700 QHostAddress::isNull() const
    {19, 503, 0, 0, 0, 0, 27},	//701 QHostAddress::clear()
    {19, 670, 984, 2, Smoke::mf_const, 321, 28},	//702 QHostAddress::isInSubnet(const QHostAddress&, int) const
    {19, 670, 987, 1, Smoke::mf_const, 321, 29},	//703 QHostAddress::isInSubnet(const QPair<QHostAddress,int>&) const
    {19, 827, 69, 1, Smoke::mf_static, 180, 30},	//704 QHostAddress::parseSubnet(const QString&)
    {19, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 31},	//705 QHostAddress::Null (enum)
    {19, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 32},	//706 QHostAddress::Broadcast (enum)
    {19, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 33},	//707 QHostAddress::LocalHost (enum)
    {19, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 34},	//708 QHostAddress::LocalHostIPv6 (enum)
    {19, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 35},	//709 QHostAddress::Any (enum)
    {19, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 36},	//710 QHostAddress::AnyIPv6 (enum)
    {19, 1430, 0, 0, Smoke::mf_dtor, 0, 37 },	//711 QHostAddress::~QHostAddress()
    {20, 197, 44, 1, Smoke::mf_ctor, 81, 1},	//712 QHostInfo::QHostInfo(int)
    {20, 197, 989, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 2},	//713 QHostInfo::QHostInfo(const QHostInfo&)
    {20, 788, 989, 1, 0, 80, 3},	//714 QHostInfo::operator=(const QHostInfo&)
    {20, 645, 0, 0, Smoke::mf_const, 215, 4},	//715 QHostInfo::hostName() const
    {20, 1189, 69, 1, 0, 0, 5},	//716 QHostInfo::setHostName(const QString&)
    {20, 455, 0, 0, Smoke::mf_const, 110, 6},	//717 QHostInfo::addresses() const
    {20, 1119, 991, 1, 0, 0, 7},	//718 QHostInfo::setAddresses(const QList<QHostAddress>&)
    {20, 592, 0, 0, Smoke::mf_const, 82, 8},	//719 QHostInfo::error() const
    {20, 1170, 993, 1, 0, 0, 9},	//720 QHostInfo::setError(QHostInfo::HostInfoError)
    {20, 594, 0, 0, Smoke::mf_const, 215, 10},	//721 QHostInfo::errorString() const
    {20, 1173, 69, 1, 0, 0, 11},	//722 QHostInfo::setErrorString(const QString&)
    {20, 1207, 44, 1, 0, 0, 12},	//723 QHostInfo::setLookupId(int)
    {20, 722, 0, 0, Smoke::mf_const, 406, 13},	//724 QHostInfo::lookupId() const
    {20, 720, 995, 3, Smoke::mf_static, 406, 14},	//725 QHostInfo::lookupHost(const QString&, QObject*, const char*)
    {20, 431, 44, 1, Smoke::mf_static, 0, 15},	//726 QHostInfo::abortHostLookup(int)
    {20, 612, 69, 1, Smoke::mf_static, 79, 16},	//727 QHostInfo::fromName(const QString&)
    {20, 715, 0, 0, Smoke::mf_static, 215, 17},	//728 QHostInfo::localHostName()
    {20, 714, 0, 0, Smoke::mf_static, 215, 18},	//729 QHostInfo::localDomainName()
    {20, 197, 0, 0, Smoke::mf_ctor, 81, 19},	//730 QHostInfo::QHostInfo()
    {20, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 20},	//731 QHostInfo::NoError (enum)
    {20, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 21},	//732 QHostInfo::HostNotFound (enum)
    {20, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 22},	//733 QHostInfo::UnknownError (enum)
    {20, 1431, 0, 0, Smoke::mf_dtor, 0, 23 },	//734 QHostInfo::~QHostInfo()
    {21, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//735 QHttp::metaObject() const
    {21, 1036, 1, 1, Smoke::mf_virtual, 428, 2},	//736 QHttp::qt_metacast(const char*)
    {21, 1384, 3, 2, Smoke::mf_static, 215, 3},	//737 QHttp::tr(const char*, const char*)
    {21, 1388, 3, 2, Smoke::mf_static, 215, 4},	//738 QHttp::trUtf8(const char*, const char*)
    {21, 1384, 6, 3, Smoke::mf_static, 215, 5},	//739 QHttp::tr(const char*, const char*, int)
    {21, 1388, 6, 3, Smoke::mf_static, 215, 6},	//740 QHttp::trUtf8(const char*, const char*, int)
    {21, 1034, 10, 3, Smoke::mf_virtual, 406, 7},	//741 QHttp::qt_metacall(QMetaObject::Call, int, void**)
    {21, 200, 20, 1, Smoke::mf_ctor, 83, 8},	//742 QHttp::QHttp(QObject*)
    {21, 200, 999, 3, Smoke::mf_ctor, 83, 9},	//743 QHttp::QHttp(const QString&, unsigned short, QObject*)
    {21, 200, 1003, 4, Smoke::mf_ctor, 83, 10},	//744 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short, QObject*)
    {21, 1185, 71, 2, 0, 406, 11},	//745 QHttp::setHost(const QString&, unsigned short)
    {21, 1185, 1008, 3, 0, 406, 12},	//746 QHttp::setHost(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1300, 1012, 1, 0, 406, 13},	//747 QHttp::setSocket(QTcpSocket*)
    {21, 1334, 88, 2, 0, 406, 14},	//748 QHttp::setUser(const QString&, const QString&)
    {21, 1268, 1014, 4, 0, 406, 15},	//749 QHttp::setProxy(const QString&, int, const QString&, const QString&)
    {21, 1268, 46, 1, 0, 406, 16},	//750 QHttp::setProxy(const QNetworkProxy&)
    {21, 619, 118, 2, 0, 406, 17},	//751 QHttp::get(const QString&, QIODevice*)
    {21, 846, 1019, 3, 0, 406, 18},	//752 QHttp::post(const QString&, QIODevice*, QIODevice*)
    {21, 846, 1023, 3, 0, 406, 19},	//753 QHttp::post(const QString&, const QByteArray&, QIODevice*)
    {21, 639, 69, 1, 0, 406, 20},	//754 QHttp::head(const QString&)
    {21, 1089, 1027, 3, 0, 406, 21},	//755 QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    {21, 1089, 1031, 3, 0, 406, 22},	//756 QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    {21, 507, 0, 0, 0, 406, 23},	//757 QHttp::closeConnection()
    {21, 506, 0, 0, 0, 406, 24},	//758 QHttp::close()
    {21, 487, 0, 0, Smoke::mf_const, 411, 25},	//759 QHttp::bytesAvailable() const
    {21, 1061, 59, 2, 0, 411, 26},	//760 QHttp::read(char*, long long)
    {21, 1063, 0, 0, 0, 14, 27},	//761 QHttp::readAll()
    {21, 552, 0, 0, Smoke::mf_const, 406, 28},	//762 QHttp::currentId() const
    {21, 554, 0, 0, Smoke::mf_const, 99, 29},	//763 QHttp::currentSourceDevice() const
    {21, 550, 0, 0, Smoke::mf_const, 99, 30},	//764 QHttp::currentDestinationDevice() const
    {21, 553, 0, 0, Smoke::mf_const, 93, 31},	//765 QHttp::currentRequest() const
    {21, 697, 0, 0, Smoke::mf_const, 96, 32},	//766 QHttp::lastResponse() const
    {21, 636, 0, 0, Smoke::mf_const, 321, 33},	//767 QHttp::hasPendingRequests() const
    {21, 505, 0, 0, 0, 0, 34},	//768 QHttp::clearPendingRequests()
    {21, 1357, 0, 0, Smoke::mf_const, 86, 35},	//769 QHttp::state() const
    {21, 592, 0, 0, Smoke::mf_const, 85, 36},	//770 QHttp::error() const
    {21, 594, 0, 0, Smoke::mf_const, 215, 37},	//771 QHttp::errorString() const
    {21, 430, 0, 0, Smoke::mf_slot, 0, 38},	//772 QHttp::abort()
    {21, 649, 0, 0, Smoke::mf_slot, 0, 39},	//773 QHttp::ignoreSslErrors()
    {21, 1358, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//774 QHttp::stateChanged(int)
    {21, 1098, 1035, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//775 QHttp::responseHeaderReceived(const QHttpResponseHeader&)
    {21, 1073, 1035, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//776 QHttp::readyRead(const QHttpResponseHeader&)
    {21, 560, 1037, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//777 QHttp::dataSendProgress(int, int)
    {21, 558, 1037, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//778 QHttp::dataReadProgress(int, int)
    {21, 1095, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//779 QHttp::requestStarted(int)
    {21, 1093, 113, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//780 QHttp::requestFinished(int, bool)
    {21, 579, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//781 QHttp::done(bool)
    {21, 861, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//782 QHttp::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {21, 474, 1040, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//783 QHttp::authenticationRequired(const QString&, quint16, QAuthenticator*)
    {21, 1352, 1044, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//784 QHttp::sslErrors(const QList<QSslError>&)
    {21, 1384, 1, 1, Smoke::mf_static, 215, 51},	//785 QHttp::tr(const char*)
    {21, 1388, 1, 1, Smoke::mf_static, 215, 52},	//786 QHttp::trUtf8(const char*)
    {21, 200, 0, 0, Smoke::mf_ctor, 83, 53},	//787 QHttp::QHttp()
    {21, 200, 69, 1, Smoke::mf_ctor, 83, 54},	//788 QHttp::QHttp(const QString&)
    {21, 200, 71, 2, Smoke::mf_ctor, 83, 55},	//789 QHttp::QHttp(const QString&, unsigned short)
    {21, 200, 1046, 2, Smoke::mf_ctor, 83, 56},	//790 QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    {21, 200, 1008, 3, Smoke::mf_ctor, 83, 57},	//791 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1185, 69, 1, 0, 406, 58},	//792 QHttp::setHost(const QString&)
    {21, 1185, 1046, 2, 0, 406, 59},	//793 QHttp::setHost(const QString&, QHttp::ConnectionMode)
    {21, 1334, 69, 1, 0, 406, 60},	//794 QHttp::setUser(const QString&)
    {21, 1268, 1049, 2, 0, 406, 61},	//795 QHttp::setProxy(const QString&, int)
    {21, 1268, 1052, 3, 0, 406, 62},	//796 QHttp::setProxy(const QString&, int, const QString&)
    {21, 619, 69, 1, 0, 406, 63},	//797 QHttp::get(const QString&)
    {21, 846, 118, 2, 0, 406, 64},	//798 QHttp::post(const QString&, QIODevice*)
    {21, 846, 1056, 2, 0, 406, 65},	//799 QHttp::post(const QString&, const QByteArray&)
    {21, 1089, 1059, 1, 0, 406, 66},	//800 QHttp::request(const QHttpRequestHeader&)
    {21, 1089, 1061, 2, 0, 406, 67},	//801 QHttp::request(const QHttpRequestHeader&, QIODevice*)
    {21, 1089, 1064, 2, 0, 406, 68},	//802 QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    {21, 1360, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 69},	//803 QHttp::staticMetaObject() const
    {21, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 70},	//804 QHttp::ConnectionModeHttp (enum)
    {21, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 71},	//805 QHttp::ConnectionModeHttps (enum)
    {21, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 72},	//806 QHttp::Unconnected (enum)
    {21, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 73},	//807 QHttp::HostLookup (enum)
    {21, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 74},	//808 QHttp::Connecting (enum)
    {21, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 75},	//809 QHttp::Sending (enum)
    {21, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 76},	//810 QHttp::Reading (enum)
    {21, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 77},	//811 QHttp::Connected (enum)
    {21, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 78},	//812 QHttp::Closing (enum)
    {21, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 79},	//813 QHttp::NoError (enum)
    {21, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 80},	//814 QHttp::UnknownError (enum)
    {21, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 81},	//815 QHttp::HostNotFound (enum)
    {21, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 82},	//816 QHttp::ConnectionRefused (enum)
    {21, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 83},	//817 QHttp::UnexpectedClose (enum)
    {21, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 84},	//818 QHttp::InvalidResponseHeader (enum)
    {21, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 85},	//819 QHttp::WrongContentLength (enum)
    {21, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 86},	//820 QHttp::Aborted (enum)
    {21, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 87},	//821 QHttp::AuthenticationRequiredError (enum)
    {21, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 88},	//822 QHttp::ProxyAuthenticationRequiredError (enum)
    {21, 1432, 0, 0, Smoke::mf_dtor, 0, 89 },	//823 QHttp::~QHttp()
    {22, 207, 0, 0, Smoke::mf_ctor, 88, 1},	//824 QHttpHeader::QHttpHeader()
    {22, 207, 1067, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 2},	//825 QHttpHeader::QHttpHeader(const QHttpHeader&)
    {22, 207, 69, 1, Smoke::mf_ctor, 88, 3},	//826 QHttpHeader::QHttpHeader(const QString&)
    {22, 788, 1067, 1, 0, 87, 4},	//827 QHttpHeader::operator=(const QHttpHeader&)
    {22, 1339, 88, 2, 0, 0, 5},	//828 QHttpHeader::setValue(const QString&, const QString&)
    {22, 1342, 1069, 1, 0, 0, 6},	//829 QHttpHeader::setValues(const QList<QPair<QString,QString> >&)
    {22, 452, 88, 2, 0, 0, 7},	//830 QHttpHeader::addValue(const QString&, const QString&)
    {22, 1404, 0, 0, Smoke::mf_const, 117, 8},	//831 QHttpHeader::values() const
    {22, 631, 69, 1, Smoke::mf_const, 321, 9},	//832 QHttpHeader::hasKey(const QString&) const
    {22, 694, 0, 0, Smoke::mf_const, 219, 10},	//833 QHttpHeader::keys() const
    {22, 1402, 69, 1, Smoke::mf_const, 215, 11},	//834 QHttpHeader::value(const QString&) const
    {22, 462, 69, 1, Smoke::mf_const, 219, 12},	//835 QHttpHeader::allValues(const QString&) const
    {22, 1085, 69, 1, 0, 0, 13},	//836 QHttpHeader::removeValue(const QString&)
    {22, 1081, 69, 1, 0, 0, 14},	//837 QHttpHeader::removeAllValues(const QString&)
    {22, 629, 0, 0, Smoke::mf_const, 321, 15},	//838 QHttpHeader::hasContentLength() const
    {22, 541, 0, 0, Smoke::mf_const, 420, 16},	//839 QHttpHeader::contentLength() const
    {22, 1152, 44, 1, 0, 0, 17},	//840 QHttpHeader::setContentLength(int)
    {22, 630, 0, 0, Smoke::mf_const, 321, 18},	//841 QHttpHeader::hasContentType() const
    {22, 542, 0, 0, Smoke::mf_const, 215, 19},	//842 QHttpHeader::contentType() const
    {22, 1154, 69, 1, 0, 0, 20},	//843 QHttpHeader::setContentType(const QString&)
    {22, 1383, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 21},	//844 QHttpHeader::toString() const
    {22, 685, 0, 0, Smoke::mf_const, 321, 22},	//845 QHttpHeader::isValid() const
    {22, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 406, 23},	//846 QHttpHeader::majorVersion() const [pure virtual]
    {22, 733, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 406, 24},	//847 QHttpHeader::minorVersion() const [pure virtual]
    {22, 825, 1049, 2, Smoke::mf_protected|Smoke::mf_virtual, 321, 25},	//848 QHttpHeader::parseLine(const QString&, int)
    {22, 821, 69, 1, Smoke::mf_protected, 321, 26},	//849 QHttpHeader::parse(const QString&)
    {22, 1337, 116, 1, Smoke::mf_protected, 0, 27},	//850 QHttpHeader::setValid(bool)
    {22, 1433, 0, 0, Smoke::mf_dtor, 0, 28 },	//851 QHttpHeader::~QHttpHeader()
    {23, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//852 QHttpMultiPart::metaObject() const
    {23, 1036, 1, 1, Smoke::mf_virtual, 428, 2},	//853 QHttpMultiPart::qt_metacast(const char*)
    {23, 1384, 3, 2, Smoke::mf_static, 215, 3},	//854 QHttpMultiPart::tr(const char*, const char*)
    {23, 1388, 3, 2, Smoke::mf_static, 215, 4},	//855 QHttpMultiPart::trUtf8(const char*, const char*)
    {23, 1384, 6, 3, Smoke::mf_static, 215, 5},	//856 QHttpMultiPart::tr(const char*, const char*, int)
    {23, 1388, 6, 3, Smoke::mf_static, 215, 6},	//857 QHttpMultiPart::trUtf8(const char*, const char*, int)
    {23, 1034, 10, 3, Smoke::mf_virtual, 406, 7},	//858 QHttpMultiPart::qt_metacall(QMetaObject::Call, int, void**)
    {23, 210, 20, 1, Smoke::mf_ctor, 89, 8},	//859 QHttpMultiPart::QHttpMultiPart(QObject*)
    {23, 210, 1071, 2, Smoke::mf_ctor, 89, 9},	//860 QHttpMultiPart::QHttpMultiPart(QHttpMultiPart::ContentType, QObject*)
    {23, 465, 1074, 1, 0, 0, 10},	//861 QHttpMultiPart::append(const QHttpPart&)
    {23, 1154, 1076, 1, 0, 0, 11},	//862 QHttpMultiPart::setContentType(QHttpMultiPart::ContentType)
    {23, 485, 0, 0, Smoke::mf_const, 14, 12},	//863 QHttpMultiPart::boundary() const
    {23, 1135, 198, 1, 0, 0, 13},	//864 QHttpMultiPart::setBoundary(const QByteArray&)
    {23, 1384, 1, 1, Smoke::mf_static, 215, 14},	//865 QHttpMultiPart::tr(const char*)
    {23, 1388, 1, 1, Smoke::mf_static, 215, 15},	//866 QHttpMultiPart::trUtf8(const char*)
    {23, 210, 0, 0, Smoke::mf_ctor, 89, 16},	//867 QHttpMultiPart::QHttpMultiPart()
    {23, 210, 1076, 1, Smoke::mf_ctor, 89, 17},	//868 QHttpMultiPart::QHttpMultiPart(QHttpMultiPart::ContentType)
    {23, 1360, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 18},	//869 QHttpMultiPart::staticMetaObject() const
    {23, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 19},	//870 QHttpMultiPart::MixedType (enum)
    {23, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 20},	//871 QHttpMultiPart::RelatedType (enum)
    {23, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 21},	//872 QHttpMultiPart::FormDataType (enum)
    {23, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 22},	//873 QHttpMultiPart::AlternativeType (enum)
    {23, 1434, 0, 0, Smoke::mf_dtor, 0, 23 },	//874 QHttpMultiPart::~QHttpMultiPart()
    {24, 214, 0, 0, Smoke::mf_ctor, 92, 1},	//875 QHttpPart::QHttpPart()
    {24, 214, 1074, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 92, 2},	//876 QHttpPart::QHttpPart(const QHttpPart&)
    {24, 788, 1074, 1, 0, 91, 3},	//877 QHttpPart::operator=(const QHttpPart&)
    {24, 791, 1074, 1, Smoke::mf_const, 321, 4},	//878 QHttpPart::operator==(const QHttpPart&) const
    {24, 755, 1074, 1, Smoke::mf_const, 321, 5},	//879 QHttpPart::operator!=(const QHttpPart&) const
    {24, 1183, 1078, 2, 0, 0, 6},	//880 QHttpPart::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {24, 1277, 369, 2, 0, 0, 7},	//881 QHttpPart::setRawHeader(const QByteArray&, const QByteArray&)
    {24, 1131, 198, 1, 0, 0, 8},	//882 QHttpPart::setBody(const QByteArray&)
    {24, 1133, 18, 1, 0, 0, 9},	//883 QHttpPart::setBodyDevice(QIODevice*)
    {24, 1435, 0, 0, Smoke::mf_dtor, 0, 10 },	//884 QHttpPart::~QHttpPart()
    {25, 216, 0, 0, Smoke::mf_ctor, 95, 1},	//885 QHttpRequestHeader::QHttpRequestHeader()
    {25, 216, 1081, 4, Smoke::mf_ctor, 95, 2},	//886 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int, int)
    {25, 216, 1059, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 3},	//887 QHttpRequestHeader::QHttpRequestHeader(const QHttpRequestHeader&)
    {25, 216, 69, 1, Smoke::mf_ctor, 95, 4},	//888 QHttpRequestHeader::QHttpRequestHeader(const QString&)
    {25, 788, 1059, 1, 0, 94, 5},	//889 QHttpRequestHeader::operator=(const QHttpRequestHeader&)
    {25, 1285, 1081, 4, 0, 0, 6},	//890 QHttpRequestHeader::setRequest(const QString&, const QString&, int, int)
    {25, 731, 0, 0, Smoke::mf_const, 215, 7},	//891 QHttpRequestHeader::method() const
    {25, 830, 0, 0, Smoke::mf_const, 215, 8},	//892 QHttpRequestHeader::path() const
    {25, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 406, 9},	//893 QHttpRequestHeader::majorVersion() const
    {25, 733, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 406, 10},	//894 QHttpRequestHeader::minorVersion() const
    {25, 1383, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//895 QHttpRequestHeader::toString() const
    {25, 825, 1049, 2, Smoke::mf_protected|Smoke::mf_virtual, 321, 12},	//896 QHttpRequestHeader::parseLine(const QString&, int)
    {25, 216, 88, 2, Smoke::mf_ctor, 95, 13},	//897 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&)
    {25, 216, 1086, 3, Smoke::mf_ctor, 95, 14},	//898 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int)
    {25, 1285, 88, 2, 0, 0, 15},	//899 QHttpRequestHeader::setRequest(const QString&, const QString&)
    {25, 1285, 1086, 3, 0, 0, 16},	//900 QHttpRequestHeader::setRequest(const QString&, const QString&, int)
    {25, 1436, 0, 0, Smoke::mf_dtor, 0, 17 },	//901 QHttpRequestHeader::~QHttpRequestHeader()
    {26, 222, 0, 0, Smoke::mf_ctor, 98, 1},	//902 QHttpResponseHeader::QHttpResponseHeader()
    {26, 222, 1035, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 2},	//903 QHttpResponseHeader::QHttpResponseHeader(const QHttpResponseHeader&)
    {26, 222, 69, 1, Smoke::mf_ctor, 98, 3},	//904 QHttpResponseHeader::QHttpResponseHeader(const QString&)
    {26, 222, 1090, 4, Smoke::mf_ctor, 98, 4},	//905 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int, int)
    {26, 788, 1035, 1, 0, 97, 5},	//906 QHttpResponseHeader::operator=(const QHttpResponseHeader&)
    {26, 1319, 1090, 4, 0, 0, 6},	//907 QHttpResponseHeader::setStatusLine(int, const QString&, int, int)
    {26, 1361, 0, 0, Smoke::mf_const, 406, 7},	//908 QHttpResponseHeader::statusCode() const
    {26, 1076, 0, 0, Smoke::mf_const, 215, 8},	//909 QHttpResponseHeader::reasonPhrase() const
    {26, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 406, 9},	//910 QHttpResponseHeader::majorVersion() const
    {26, 733, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 406, 10},	//911 QHttpResponseHeader::minorVersion() const
    {26, 1383, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//912 QHttpResponseHeader::toString() const
    {26, 825, 1049, 2, Smoke::mf_protected|Smoke::mf_virtual, 321, 12},	//913 QHttpResponseHeader::parseLine(const QString&, int)
    {26, 222, 44, 1, Smoke::mf_ctor, 98, 13},	//914 QHttpResponseHeader::QHttpResponseHeader(int)
    {26, 222, 110, 2, Smoke::mf_ctor, 98, 14},	//915 QHttpResponseHeader::QHttpResponseHeader(int, const QString&)
    {26, 222, 1095, 3, Smoke::mf_ctor, 98, 15},	//916 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int)
    {26, 1319, 44, 1, 0, 0, 16},	//917 QHttpResponseHeader::setStatusLine(int)
    {26, 1319, 110, 2, 0, 0, 17},	//918 QHttpResponseHeader::setStatusLine(int, const QString&)
    {26, 1319, 1095, 3, 0, 0, 18},	//919 QHttpResponseHeader::setStatusLine(int, const QString&, int)
    {26, 1437, 0, 0, Smoke::mf_dtor, 0, 19 },	//920 QHttpResponseHeader::~QHttpResponseHeader()
    {27, 752, 1099, 1, Smoke::mf_virtual, 321, 0},	//921 QIODevice::open(QFlags<QIODevice::OpenModeFlag>)
    {27, 845, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 411, 0},	//922 QIODevice::pos() const
    {27, 1346, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 411, 0},	//923 QIODevice::size() const
    {27, 1104, 33, 1, Smoke::mf_virtual, 321, 0},	//924 QIODevice::seek(long long)
    {27, 468, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 321, 0},	//925 QIODevice::atEnd() const
    {27, 1097, 0, 0, Smoke::mf_virtual, 321, 0},	//926 QIODevice::reset()
    {27, 487, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 411, 0},	//927 QIODevice::bytesAvailable() const
    {27, 489, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 411, 0},	//928 QIODevice::bytesToWrite() const
    {27, 495, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 321, 0},	//929 QIODevice::canReadLine() const
    {27, 1419, 44, 1, Smoke::mf_virtual, 321, 0},	//930 QIODevice::waitForReadyRead(int)
    {27, 1406, 44, 1, Smoke::mf_virtual, 321, 0},	//931 QIODevice::waitForBytesWritten(int)
    {27, 1065, 59, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 411, 0},	//932 QIODevice::readData(char*, long long) [pure virtual]
    {27, 1071, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 411, 0},	//933 QIODevice::readLineData(char*, long long)
    {27, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 14},	//934 QIODevice::NotOpen (enum)
    {27, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 15},	//935 QIODevice::ReadOnly (enum)
    {27, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 16},	//936 QIODevice::WriteOnly (enum)
    {27, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 17},	//937 QIODevice::ReadWrite (enum)
    {27, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 18},	//938 QIODevice::Append (enum)
    {27, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 19},	//939 QIODevice::Truncate (enum)
    {27, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 20},	//940 QIODevice::Text (enum)
    {27, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 21},	//941 QIODevice::Unbuffered (enum)
    {28, 809, 44, 1, 0, 418, 1},	//942 QIPv6Address::operator[](int)
    {28, 809, 44, 1, Smoke::mf_const, 417, 2},	//943 QIPv6Address::operator[](int) const
    {28, 228, 0, 0, Smoke::mf_ctor, 103, 3},	//944 QIPv6Address::QIPv6Address()
    {28, 228, 978, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 4},	//945 QIPv6Address::QIPv6Address(const QIPv6Address&)
    {28, 1438, 0, 0, Smoke::mf_dtor, 0, 5 },	//946 QIPv6Address::~QIPv6Address()
    {33, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//947 QLocalServer::metaObject() const
    {33, 1036, 1, 1, Smoke::mf_virtual, 428, 2},	//948 QLocalServer::qt_metacast(const char*)
    {33, 1384, 3, 2, Smoke::mf_static, 215, 3},	//949 QLocalServer::tr(const char*, const char*)
    {33, 1388, 3, 2, Smoke::mf_static, 215, 4},	//950 QLocalServer::trUtf8(const char*, const char*)
    {33, 1384, 6, 3, Smoke::mf_static, 215, 5},	//951 QLocalServer::tr(const char*, const char*, int)
    {33, 1388, 6, 3, Smoke::mf_static, 215, 6},	//952 QLocalServer::trUtf8(const char*, const char*, int)
    {33, 1034, 10, 3, Smoke::mf_virtual, 406, 7},	//953 QLocalServer::qt_metacall(QMetaObject::Call, int, void**)
    {33, 748, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//954 QLocalServer::newConnection()
    {33, 230, 20, 1, Smoke::mf_ctor, 122, 9},	//955 QLocalServer::QLocalServer(QObject*)
    {33, 506, 0, 0, 0, 0, 10},	//956 QLocalServer::close()
    {33, 594, 0, 0, Smoke::mf_const, 215, 11},	//957 QLocalServer::errorString() const
    {33, 634, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 321, 12},	//958 QLocalServer::hasPendingConnections() const
    {33, 673, 0, 0, Smoke::mf_const, 321, 13},	//959 QLocalServer::isListening() const
    {33, 708, 69, 1, 0, 321, 14},	//960 QLocalServer::listen(const QString&)
    {33, 725, 0, 0, Smoke::mf_const, 406, 15},	//961 QLocalServer::maxPendingConnections() const
    {33, 749, 0, 0, Smoke::mf_virtual, 123, 16},	//962 QLocalServer::nextPendingConnection()
    {33, 1111, 0, 0, Smoke::mf_const, 215, 17},	//963 QLocalServer::serverName() const
    {33, 618, 0, 0, Smoke::mf_const, 215, 18},	//964 QLocalServer::fullServerName() const
    {33, 1083, 69, 1, Smoke::mf_static, 321, 19},	//965 QLocalServer::removeServer(const QString&)
    {33, 1110, 0, 0, Smoke::mf_const, 5, 20},	//966 QLocalServer::serverError() const
    {33, 1209, 44, 1, 0, 0, 21},	//967 QLocalServer::setMaxPendingConnections(int)
    {33, 1414, 1101, 2, 0, 321, 22},	//968 QLocalServer::waitForNewConnection(int, bool*)
    {33, 651, 1104, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//969 QLocalServer::incomingConnection(QIntegerForSizeof< void* >::Unsigned)
    {33, 1384, 1, 1, Smoke::mf_static, 215, 24},	//970 QLocalServer::tr(const char*)
    {33, 1388, 1, 1, Smoke::mf_static, 215, 25},	//971 QLocalServer::trUtf8(const char*)
    {33, 230, 0, 0, Smoke::mf_ctor, 122, 26},	//972 QLocalServer::QLocalServer()
    {33, 1414, 0, 0, 0, 321, 27},	//973 QLocalServer::waitForNewConnection()
    {33, 1414, 44, 1, 0, 321, 28},	//974 QLocalServer::waitForNewConnection(int)
    {33, 1360, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 29},	//975 QLocalServer::staticMetaObject() const
    {33, 1439, 0, 0, Smoke::mf_dtor, 0, 30 },	//976 QLocalServer::~QLocalServer()
    {34, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//977 QLocalSocket::metaObject() const
    {34, 1036, 1, 1, Smoke::mf_virtual, 428, 2},	//978 QLocalSocket::qt_metacast(const char*)
    {34, 1384, 3, 2, Smoke::mf_static, 215, 3},	//979 QLocalSocket::tr(const char*, const char*)
    {34, 1388, 3, 2, Smoke::mf_static, 215, 4},	//980 QLocalSocket::trUtf8(const char*, const char*)
    {34, 1384, 6, 3, Smoke::mf_static, 215, 5},	//981 QLocalSocket::tr(const char*, const char*, int)
    {34, 1388, 6, 3, Smoke::mf_static, 215, 6},	//982 QLocalSocket::trUtf8(const char*, const char*, int)
    {34, 1034, 10, 3, Smoke::mf_virtual, 406, 7},	//983 QLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {34, 232, 20, 1, Smoke::mf_ctor, 123, 8},	//984 QLocalSocket::QLocalSocket(QObject*)
    {34, 537, 1106, 2, 0, 0, 9},	//985 QLocalSocket::connectToServer(const QString&, QFlags<QIODevice::OpenModeFlag>)
    {34, 574, 0, 0, 0, 0, 10},	//986 QLocalSocket::disconnectFromServer()
    {34, 1111, 0, 0, Smoke::mf_const, 215, 11},	//987 QLocalSocket::serverName() const
    {34, 618, 0, 0, Smoke::mf_const, 215, 12},	//988 QLocalSocket::fullServerName() const
    {34, 430, 0, 0, 0, 0, 13},	//989 QLocalSocket::abort()
    {34, 681, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 321, 14},	//990 QLocalSocket::isSequential() const
    {34, 487, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 411, 15},	//991 QLocalSocket::bytesAvailable() const
    {34, 489, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 411, 16},	//992 QLocalSocket::bytesToWrite() const
    {34, 495, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 321, 17},	//993 QLocalSocket::canReadLine() const
    {34, 506, 0, 0, Smoke::mf_virtual, 0, 18},	//994 QLocalSocket::close()
    {34, 592, 0, 0, Smoke::mf_const, 124, 19},	//995 QLocalSocket::error() const
    {34, 605, 0, 0, 0, 321, 20},	//996 QLocalSocket::flush()
    {34, 685, 0, 0, Smoke::mf_const, 321, 21},	//997 QLocalSocket::isValid() const
    {34, 1064, 0, 0, Smoke::mf_const, 411, 22},	//998 QLocalSocket::readBufferSize() const
    {34, 1281, 33, 1, 0, 0, 23},	//999 QLocalSocket::setReadBufferSize(long long)
    {34, 1302, 1109, 3, 0, 321, 24},	//1000 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>)
    {34, 1347, 0, 0, Smoke::mf_const, 105, 25},	//1001 QLocalSocket::socketDescriptor() const
    {34, 1357, 0, 0, Smoke::mf_const, 125, 26},	//1002 QLocalSocket::state() const
    {34, 1406, 44, 1, Smoke::mf_virtual, 321, 27},	//1003 QLocalSocket::waitForBytesWritten(int)
    {34, 1408, 44, 1, 0, 321, 28},	//1004 QLocalSocket::waitForConnected(int)
    {34, 1410, 44, 1, 0, 321, 29},	//1005 QLocalSocket::waitForDisconnected(int)
    {34, 1419, 44, 1, Smoke::mf_virtual, 321, 30},	//1006 QLocalSocket::waitForReadyRead(int)
    {34, 540, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1007 QLocalSocket::connected()
    {34, 577, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1008 QLocalSocket::disconnected()
    {34, 592, 1113, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1009 QLocalSocket::error(QLocalSocket::LocalSocketError)
    {34, 1358, 1115, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1010 QLocalSocket::stateChanged(QLocalSocket::LocalSocketState)
    {34, 1065, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 411, 35},	//1011 QLocalSocket::readData(char*, long long)
    {34, 1421, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 411, 36},	//1012 QLocalSocket::writeData(const char*, long long)
    {34, 1384, 1, 1, Smoke::mf_static, 215, 37},	//1013 QLocalSocket::tr(const char*)
    {34, 1388, 1, 1, Smoke::mf_static, 215, 38},	//1014 QLocalSocket::trUtf8(const char*)
    {34, 232, 0, 0, Smoke::mf_ctor, 123, 39},	//1015 QLocalSocket::QLocalSocket()
    {34, 537, 69, 1, 0, 0, 40},	//1016 QLocalSocket::connectToServer(const QString&)
    {34, 1302, 1104, 1, 0, 321, 41},	//1017 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned)
    {34, 1302, 1117, 2, 0, 321, 42},	//1018 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState)
    {34, 1406, 0, 0, 0, 321, 43},	//1019 QLocalSocket::waitForBytesWritten()
    {34, 1408, 0, 0, 0, 321, 44},	//1020 QLocalSocket::waitForConnected()
    {34, 1410, 0, 0, 0, 321, 45},	//1021 QLocalSocket::waitForDisconnected()
    {34, 1419, 0, 0, 0, 321, 46},	//1022 QLocalSocket::waitForReadyRead()
    {34, 1360, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 47},	//1023 QLocalSocket::staticMetaObject() const
    {34, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 48},	//1024 QLocalSocket::ConnectionRefusedError (enum)
    {34, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 49},	//1025 QLocalSocket::PeerClosedError (enum)
    {34, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 50},	//1026 QLocalSocket::ServerNotFoundError (enum)
    {34, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 51},	//1027 QLocalSocket::SocketAccessError (enum)
    {34, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 52},	//1028 QLocalSocket::SocketResourceError (enum)
    {34, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 53},	//1029 QLocalSocket::SocketTimeoutError (enum)
    {34, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 54},	//1030 QLocalSocket::DatagramTooLargeError (enum)
    {34, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 55},	//1031 QLocalSocket::ConnectionError (enum)
    {34, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 56},	//1032 QLocalSocket::UnsupportedSocketOperationError (enum)
    {34, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 57},	//1033 QLocalSocket::UnknownSocketError (enum)
    {34, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 58},	//1034 QLocalSocket::UnconnectedState (enum)
    {34, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 59},	//1035 QLocalSocket::ConnectingState (enum)
    {34, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 60},	//1036 QLocalSocket::ConnectedState (enum)
    {34, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 61},	//1037 QLocalSocket::ClosingState (enum)
    {34, 1440, 0, 0, Smoke::mf_dtor, 0, 62 },	//1038 QLocalSocket::~QLocalSocket()
    {39, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1039 QNetworkAccessManager::metaObject() const
    {39, 1036, 1, 1, Smoke::mf_virtual, 428, 2},	//1040 QNetworkAccessManager::qt_metacast(const char*)
    {39, 1384, 3, 2, Smoke::mf_static, 215, 3},	//1041 QNetworkAccessManager::tr(const char*, const char*)
    {39, 1388, 3, 2, Smoke::mf_static, 215, 4},	//1042 QNetworkAccessManager::trUtf8(const char*, const char*)
    {39, 1384, 6, 3, Smoke::mf_static, 215, 5},	//1043 QNetworkAccessManager::tr(const char*, const char*, int)
    {39, 1388, 6, 3, Smoke::mf_static, 215, 6},	//1044 QNetworkAccessManager::trUtf8(const char*, const char*, int)
    {39, 1034, 10, 3, Smoke::mf_virtual, 406, 7},	//1045 QNetworkAccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {39, 234, 20, 1, Smoke::mf_ctor, 130, 8},	//1046 QNetworkAccessManager::QNetworkAccessManager(QObject*)
    {39, 860, 0, 0, Smoke::mf_const, 156, 9},	//1047 QNetworkAccessManager::proxy() const
    {39, 1268, 46, 1, 0, 0, 10},	//1048 QNetworkAccessManager::setProxy(const QNetworkProxy&)
    {39, 863, 0, 0, Smoke::mf_const, 161, 11},	//1049 QNetworkAccessManager::proxyFactory() const
    {39, 1273, 1120, 1, 0, 0, 12},	//1050 QNetworkAccessManager::setProxyFactory(QNetworkProxyFactory*)
    {39, 492, 0, 0, Smoke::mf_const, 2, 13},	//1051 QNetworkAccessManager::cache() const
    {39, 1141, 1122, 1, 0, 0, 14},	//1052 QNetworkAccessManager::setCache(QAbstractNetworkCache*)
    {39, 543, 0, 0, Smoke::mf_const, 150, 15},	//1053 QNetworkAccessManager::cookieJar() const
    {39, 1156, 1124, 1, 0, 0, 16},	//1054 QNetworkAccessManager::setCookieJar(QNetworkCookieJar*)
    {39, 639, 1126, 1, 0, 165, 17},	//1055 QNetworkAccessManager::head(const QNetworkRequest&)
    {39, 619, 1126, 1, 0, 165, 18},	//1056 QNetworkAccessManager::get(const QNetworkRequest&)
    {39, 846, 1128, 2, 0, 165, 19},	//1057 QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    {39, 846, 1131, 2, 0, 165, 20},	//1058 QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    {39, 846, 1134, 2, 0, 165, 21},	//1059 QNetworkAccessManager::post(const QNetworkRequest&, QHttpMultiPart*)
    {39, 868, 1128, 2, 0, 165, 22},	//1060 QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    {39, 868, 1131, 2, 0, 165, 23},	//1061 QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    {39, 868, 1134, 2, 0, 165, 24},	//1062 QNetworkAccessManager::put(const QNetworkRequest&, QHttpMultiPart*)
    {39, 567, 1126, 1, 0, 165, 25},	//1063 QNetworkAccessManager::deleteResource(const QNetworkRequest&)
    {39, 1105, 1137, 3, 0, 165, 26},	//1064 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&, QIODevice*)
    {39, 1150, 1141, 1, 0, 0, 27},	//1065 QNetworkAccessManager::setConfiguration(const QNetworkConfiguration&)
    {39, 513, 0, 0, Smoke::mf_const, 138, 28},	//1066 QNetworkAccessManager::configuration() const
    {39, 434, 0, 0, Smoke::mf_const, 138, 29},	//1067 QNetworkAccessManager::activeConfiguration() const
    {39, 1220, 1143, 1, Smoke::mf_property, 0, 30},	//1068 QNetworkAccessManager::setNetworkAccessible(QNetworkAccessManager::NetworkAccessibility)
    {39, 742, 0, 0, Smoke::mf_const|Smoke::mf_property, 131, 31},	//1069 QNetworkAccessManager::networkAccessible() const
    {39, 861, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1070 QNetworkAccessManager::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {39, 474, 1145, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1071 QNetworkAccessManager::authenticationRequired(QNetworkReply*, QAuthenticator*)
    {39, 602, 1148, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1072 QNetworkAccessManager::finished(QNetworkReply*)
    {39, 1352, 1150, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1073 QNetworkAccessManager::sslErrors(QNetworkReply*, const QList<QSslError>&)
    {39, 746, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1074 QNetworkAccessManager::networkSessionConnected()
    {39, 743, 1143, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1075 QNetworkAccessManager::networkAccessibleChanged(QNetworkAccessManager::NetworkAccessibility)
    {39, 546, 1153, 3, Smoke::mf_protected|Smoke::mf_virtual, 165, 38},	//1076 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*)
    {39, 1384, 1, 1, Smoke::mf_static, 215, 39},	//1077 QNetworkAccessManager::tr(const char*)
    {39, 1388, 1, 1, Smoke::mf_static, 215, 40},	//1078 QNetworkAccessManager::trUtf8(const char*)
    {39, 234, 0, 0, Smoke::mf_ctor, 130, 41},	//1079 QNetworkAccessManager::QNetworkAccessManager()
    {39, 1105, 1131, 2, 0, 165, 42},	//1080 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&)
    {39, 546, 1157, 2, Smoke::mf_protected, 165, 43},	//1081 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&)
    {39, 1360, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 44},	//1082 QNetworkAccessManager::staticMetaObject() const
    {39, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 45},	//1083 QNetworkAccessManager::HeadOperation (enum)
    {39, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 46},	//1084 QNetworkAccessManager::GetOperation (enum)
    {39, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 47},	//1085 QNetworkAccessManager::PutOperation (enum)
    {39, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 48},	//1086 QNetworkAccessManager::PostOperation (enum)
    {39, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 49},	//1087 QNetworkAccessManager::DeleteOperation (enum)
    {39, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 50},	//1088 QNetworkAccessManager::CustomOperation (enum)
    {39, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 51},	//1089 QNetworkAccessManager::UnknownOperation (enum)
    {39, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 52},	//1090 QNetworkAccessManager::UnknownAccessibility (enum)
    {39, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 53},	//1091 QNetworkAccessManager::NotAccessible (enum)
    {39, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 54},	//1092 QNetworkAccessManager::Accessible (enum)
    {39, 1441, 0, 0, Smoke::mf_dtor, 0, 55 },	//1093 QNetworkAccessManager::~QNetworkAccessManager()
    {40, 236, 0, 0, Smoke::mf_ctor, 134, 1},	//1094 QNetworkAddressEntry::QNetworkAddressEntry()
    {40, 236, 1160, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 134, 2},	//1095 QNetworkAddressEntry::QNetworkAddressEntry(const QNetworkAddressEntry&)
    {40, 788, 1160, 1, 0, 133, 3},	//1096 QNetworkAddressEntry::operator=(const QNetworkAddressEntry&)
    {40, 791, 1160, 1, Smoke::mf_const, 321, 4},	//1097 QNetworkAddressEntry::operator==(const QNetworkAddressEntry&) const
    {40, 755, 1160, 1, Smoke::mf_const, 321, 5},	//1098 QNetworkAddressEntry::operator!=(const QNetworkAddressEntry&) const
    {40, 662, 0, 0, Smoke::mf_const, 75, 6},	//1099 QNetworkAddressEntry::ip() const
    {40, 1193, 67, 1, 0, 0, 7},	//1100 QNetworkAddressEntry::setIp(const QHostAddress&)
    {40, 741, 0, 0, Smoke::mf_const, 75, 8},	//1101 QNetworkAddressEntry::netmask() const
    {40, 1218, 67, 1, 0, 0, 9},	//1102 QNetworkAddressEntry::setNetmask(const QHostAddress&)
    {40, 852, 0, 0, Smoke::mf_const, 406, 10},	//1103 QNetworkAddressEntry::prefixLength() const
    {40, 1254, 44, 1, 0, 0, 11},	//1104 QNetworkAddressEntry::setPrefixLength(int)
    {40, 486, 0, 0, Smoke::mf_const, 75, 12},	//1105 QNetworkAddressEntry::broadcast() const
    {40, 1137, 67, 1, 0, 0, 13},	//1106 QNetworkAddressEntry::setBroadcast(const QHostAddress&)
    {40, 1442, 0, 0, Smoke::mf_dtor, 0, 14 },	//1107 QNetworkAddressEntry::~QNetworkAddressEntry()
    {41, 238, 0, 0, Smoke::mf_ctor, 137, 1},	//1108 QNetworkCacheMetaData::QNetworkCacheMetaData()
    {41, 238, 16, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 2},	//1109 QNetworkCacheMetaData::QNetworkCacheMetaData(const QNetworkCacheMetaData&)
    {41, 788, 16, 1, 0, 136, 3},	//1110 QNetworkCacheMetaData::operator=(const QNetworkCacheMetaData&)
    {41, 791, 16, 1, Smoke::mf_const, 321, 4},	//1111 QNetworkCacheMetaData::operator==(const QNetworkCacheMetaData&) const
    {41, 755, 16, 1, Smoke::mf_const, 321, 5},	//1112 QNetworkCacheMetaData::operator!=(const QNetworkCacheMetaData&) const
    {41, 685, 0, 0, Smoke::mf_const, 321, 6},	//1113 QNetworkCacheMetaData::isValid() const
    {41, 1399, 0, 0, Smoke::mf_const, 233, 7},	//1114 QNetworkCacheMetaData::url() const
    {41, 1330, 14, 1, 0, 0, 8},	//1115 QNetworkCacheMetaData::setUrl(const QUrl&)
    {41, 1060, 0, 0, Smoke::mf_const, 116, 9},	//1116 QNetworkCacheMetaData::rawHeaders() const
    {41, 1279, 1162, 1, 0, 0, 10},	//1117 QNetworkCacheMetaData::setRawHeaders(const QList<QPair<QByteArray,QByteArray> >&)
    {41, 695, 0, 0, Smoke::mf_const, 22, 11},	//1118 QNetworkCacheMetaData::lastModified() const
    {41, 1195, 1164, 1, 0, 0, 12},	//1119 QNetworkCacheMetaData::setLastModified(const QDateTime&)
    {41, 597, 0, 0, Smoke::mf_const, 22, 13},	//1120 QNetworkCacheMetaData::expirationDate() const
    {41, 1175, 1164, 1, 0, 0, 14},	//1121 QNetworkCacheMetaData::setExpirationDate(const QDateTime&)
    {41, 1102, 0, 0, Smoke::mf_const, 321, 15},	//1122 QNetworkCacheMetaData::saveToDisk() const
    {41, 1290, 116, 1, 0, 0, 16},	//1123 QNetworkCacheMetaData::setSaveToDisk(bool)
    {41, 472, 0, 0, Smoke::mf_const, 73, 17},	//1124 QNetworkCacheMetaData::attributes() const
    {41, 1129, 1166, 1, 0, 0, 18},	//1125 QNetworkCacheMetaData::setAttributes(const QHash<QNetworkRequest::Attribute,QVariant>&)
    {41, 1443, 0, 0, Smoke::mf_dtor, 0, 19 },	//1126 QNetworkCacheMetaData::~QNetworkCacheMetaData()
    {42, 240, 0, 0, Smoke::mf_ctor, 140, 1},	//1127 QNetworkConfiguration::QNetworkConfiguration()
    {42, 240, 1141, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 140, 2},	//1128 QNetworkConfiguration::QNetworkConfiguration(const QNetworkConfiguration&)
    {42, 788, 1141, 1, 0, 139, 3},	//1129 QNetworkConfiguration::operator=(const QNetworkConfiguration&)
    {42, 791, 1141, 1, Smoke::mf_const, 321, 4},	//1130 QNetworkConfiguration::operator==(const QNetworkConfiguration&) const
    {42, 755, 1141, 1, Smoke::mf_const, 321, 5},	//1131 QNetworkConfiguration::operator!=(const QNetworkConfiguration&) const
    {42, 1357, 0, 0, Smoke::mf_const, 41, 6},	//1132 QNetworkConfiguration::state() const
    {42, 1392, 0, 0, Smoke::mf_const, 144, 7},	//1133 QNetworkConfiguration::type() const
    {42, 867, 0, 0, Smoke::mf_const, 142, 8},	//1134 QNetworkConfiguration::purpose() const
    {42, 477, 0, 0, Smoke::mf_const, 215, 9},	//1135 QNetworkConfiguration::bearerName() const
    {42, 478, 0, 0, Smoke::mf_const, 141, 10},	//1136 QNetworkConfiguration::bearerType() const
    {42, 479, 0, 0, Smoke::mf_const, 215, 11},	//1137 QNetworkConfiguration::bearerTypeName() const
    {42, 647, 0, 0, Smoke::mf_const, 215, 12},	//1138 QNetworkConfiguration::identifier() const
    {42, 678, 0, 0, Smoke::mf_const, 321, 13},	//1139 QNetworkConfiguration::isRoamingAvailable() const
    {42, 501, 0, 0, Smoke::mf_const, 112, 14},	//1140 QNetworkConfiguration::children() const
    {42, 740, 0, 0, Smoke::mf_const, 215, 15},	//1141 QNetworkConfiguration::name() const
    {42, 685, 0, 0, Smoke::mf_const, 321, 16},	//1142 QNetworkConfiguration::isValid() const
    {42, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 17},	//1143 QNetworkConfiguration::InternetAccessPoint (enum)
    {42, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 18},	//1144 QNetworkConfiguration::ServiceNetwork (enum)
    {42, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 19},	//1145 QNetworkConfiguration::UserChoice (enum)
    {42, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 20},	//1146 QNetworkConfiguration::Invalid (enum)
    {42, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 21},	//1147 QNetworkConfiguration::UnknownPurpose (enum)
    {42, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 22},	//1148 QNetworkConfiguration::PublicPurpose (enum)
    {42, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 23},	//1149 QNetworkConfiguration::PrivatePurpose (enum)
    {42, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 24},	//1150 QNetworkConfiguration::ServiceSpecificPurpose (enum)
    {42, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 25},	//1151 QNetworkConfiguration::Undefined (enum)
    {42, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 26},	//1152 QNetworkConfiguration::Defined (enum)
    {42, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 27},	//1153 QNetworkConfiguration::Discovered (enum)
    {42, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 28},	//1154 QNetworkConfiguration::Active (enum)
    {42, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 29},	//1155 QNetworkConfiguration::BearerUnknown (enum)
    {42, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 30},	//1156 QNetworkConfiguration::BearerEthernet (enum)
    {42, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 31},	//1157 QNetworkConfiguration::BearerWLAN (enum)
    {42, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 32},	//1158 QNetworkConfiguration::Bearer2G (enum)
    {42, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 33},	//1159 QNetworkConfiguration::BearerCDMA2000 (enum)
    {42, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 34},	//1160 QNetworkConfiguration::BearerWCDMA (enum)
    {42, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 35},	//1161 QNetworkConfiguration::BearerHSPA (enum)
    {42, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 36},	//1162 QNetworkConfiguration::BearerBluetooth (enum)
    {42, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 37},	//1163 QNetworkConfiguration::BearerWiMAX (enum)
    {42, 1444, 0, 0, Smoke::mf_dtor, 0, 38 },	//1164 QNetworkConfiguration::~QNetworkConfiguration()
    {43, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1165 QNetworkConfigurationManager::metaObject() const
    {43, 1036, 1, 1, Smoke::mf_virtual, 428, 2},	//1166 QNetworkConfigurationManager::qt_metacast(const char*)
    {43, 1384, 3, 2, Smoke::mf_static, 215, 3},	//1167 QNetworkConfigurationManager::tr(const char*, const char*)
    {43, 1388, 3, 2, Smoke::mf_static, 215, 4},	//1168 QNetworkConfigurationManager::trUtf8(const char*, const char*)
    {43, 1384, 6, 3, Smoke::mf_static, 215, 5},	//1169 QNetworkConfigurationManager::tr(const char*, const char*, int)
    {43, 1388, 6, 3, Smoke::mf_static, 215, 6},	//1170 QNetworkConfigurationManager::trUtf8(const char*, const char*, int)
    {43, 1034, 10, 3, Smoke::mf_virtual, 406, 7},	//1171 QNetworkConfigurationManager::qt_metacall(QMetaObject::Call, int, void**)
    {43, 242, 20, 1, Smoke::mf_ctor, 145, 8},	//1172 QNetworkConfigurationManager::QNetworkConfigurationManager(QObject*)
    {43, 496, 0, 0, Smoke::mf_const, 42, 9},	//1173 QNetworkConfigurationManager::capabilities() const
    {43, 566, 0, 0, Smoke::mf_const, 138, 10},	//1174 QNetworkConfigurationManager::defaultConfiguration() const
    {43, 458, 1168, 1, Smoke::mf_const, 112, 11},	//1175 QNetworkConfigurationManager::allConfigurations(QFlags<QNetworkConfiguration::StateFlag>) const
    {43, 518, 69, 1, Smoke::mf_const, 138, 12},	//1176 QNetworkConfigurationManager::configurationFromIdentifier(const QString&) const
    {43, 675, 0, 0, Smoke::mf_const, 321, 13},	//1177 QNetworkConfigurationManager::isOnline() const
    {43, 1394, 0, 0, Smoke::mf_slot, 0, 14},	//1178 QNetworkConfigurationManager::updateConfigurations()
    {43, 514, 1141, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1179 QNetworkConfigurationManager::configurationAdded(const QNetworkConfiguration&)
    {43, 520, 1141, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1180 QNetworkConfigurationManager::configurationRemoved(const QNetworkConfiguration&)
    {43, 516, 1141, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1181 QNetworkConfigurationManager::configurationChanged(const QNetworkConfiguration&)
    {43, 750, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1182 QNetworkConfigurationManager::onlineStateChanged(bool)
    {43, 1393, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1183 QNetworkConfigurationManager::updateCompleted()
    {43, 1384, 1, 1, Smoke::mf_static, 215, 20},	//1184 QNetworkConfigurationManager::tr(const char*)
    {43, 1388, 1, 1, Smoke::mf_static, 215, 21},	//1185 QNetworkConfigurationManager::trUtf8(const char*)
    {43, 242, 0, 0, Smoke::mf_ctor, 145, 22},	//1186 QNetworkConfigurationManager::QNetworkConfigurationManager()
    {43, 458, 0, 0, Smoke::mf_const, 112, 23},	//1187 QNetworkConfigurationManager::allConfigurations() const
    {43, 1360, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 24},	//1188 QNetworkConfigurationManager::staticMetaObject() const
    {43, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 25},	//1189 QNetworkConfigurationManager::CanStartAndStopInterfaces (enum)
    {43, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 26},	//1190 QNetworkConfigurationManager::DirectConnectionRouting (enum)
    {43, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 27},	//1191 QNetworkConfigurationManager::SystemSessionSupport (enum)
    {43, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 28},	//1192 QNetworkConfigurationManager::ApplicationLevelRoaming (enum)
    {43, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 29},	//1193 QNetworkConfigurationManager::ForcedRoaming (enum)
    {43, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 30},	//1194 QNetworkConfigurationManager::DataStatistics (enum)
    {43, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 31},	//1195 QNetworkConfigurationManager::NetworkSessionRequired (enum)
    {43, 1445, 0, 0, Smoke::mf_dtor, 0, 32 },	//1196 QNetworkConfigurationManager::~QNetworkConfigurationManager()
    {44, 244, 369, 2, Smoke::mf_ctor, 148, 1},	//1197 QNetworkCookie::QNetworkCookie(const QByteArray&, const QByteArray&)
    {44, 244, 1170, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 2},	//1198 QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    {44, 788, 1170, 1, 0, 147, 3},	//1199 QNetworkCookie::operator=(const QNetworkCookie&)
    {44, 791, 1170, 1, Smoke::mf_const, 321, 4},	//1200 QNetworkCookie::operator==(const QNetworkCookie&) const
    {44, 755, 1170, 1, Smoke::mf_const, 321, 5},	//1201 QNetworkCookie::operator!=(const QNetworkCookie&) const
    {44, 680, 0, 0, Smoke::mf_const, 321, 6},	//1202 QNetworkCookie::isSecure() const
    {44, 1294, 116, 1, 0, 0, 7},	//1203 QNetworkCookie::setSecure(bool)
    {44, 669, 0, 0, Smoke::mf_const, 321, 8},	//1204 QNetworkCookie::isHttpOnly() const
    {44, 1191, 116, 1, 0, 0, 9},	//1205 QNetworkCookie::setHttpOnly(bool)
    {44, 682, 0, 0, Smoke::mf_const, 321, 10},	//1206 QNetworkCookie::isSessionCookie() const
    {44, 597, 0, 0, Smoke::mf_const, 22, 11},	//1207 QNetworkCookie::expirationDate() const
    {44, 1175, 1164, 1, 0, 0, 12},	//1208 QNetworkCookie::setExpirationDate(const QDateTime&)
    {44, 578, 0, 0, Smoke::mf_const, 215, 13},	//1209 QNetworkCookie::domain() const
    {44, 1168, 69, 1, 0, 0, 14},	//1210 QNetworkCookie::setDomain(const QString&)
    {44, 830, 0, 0, Smoke::mf_const, 215, 15},	//1211 QNetworkCookie::path() const
    {44, 1234, 69, 1, 0, 0, 16},	//1212 QNetworkCookie::setPath(const QString&)
    {44, 740, 0, 0, Smoke::mf_const, 14, 17},	//1213 QNetworkCookie::name() const
    {44, 1215, 198, 1, 0, 0, 18},	//1214 QNetworkCookie::setName(const QByteArray&)
    {44, 1402, 0, 0, Smoke::mf_const, 14, 19},	//1215 QNetworkCookie::value() const
    {44, 1339, 198, 1, 0, 0, 20},	//1216 QNetworkCookie::setValue(const QByteArray&)
    {44, 1381, 1172, 1, Smoke::mf_const, 14, 21},	//1217 QNetworkCookie::toRawForm(QNetworkCookie::RawForm) const
    {44, 823, 198, 1, Smoke::mf_static, 113, 22},	//1218 QNetworkCookie::parseCookies(const QByteArray&)
    {44, 244, 0, 0, Smoke::mf_ctor, 148, 23},	//1219 QNetworkCookie::QNetworkCookie()
    {44, 244, 198, 1, Smoke::mf_ctor, 148, 24},	//1220 QNetworkCookie::QNetworkCookie(const QByteArray&)
    {44, 1381, 0, 0, Smoke::mf_const, 14, 25},	//1221 QNetworkCookie::toRawForm() const
    {44, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 26},	//1222 QNetworkCookie::NameAndValueOnly (enum)
    {44, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 27},	//1223 QNetworkCookie::Full (enum)
    {44, 1446, 0, 0, Smoke::mf_dtor, 0, 28 },	//1224 QNetworkCookie::~QNetworkCookie()
    {45, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1225 QNetworkCookieJar::metaObject() const
    {45, 1036, 1, 1, Smoke::mf_virtual, 428, 2},	//1226 QNetworkCookieJar::qt_metacast(const char*)
    {45, 1384, 3, 2, Smoke::mf_static, 215, 3},	//1227 QNetworkCookieJar::tr(const char*, const char*)
    {45, 1388, 3, 2, Smoke::mf_static, 215, 4},	//1228 QNetworkCookieJar::trUtf8(const char*, const char*)
    {45, 1384, 6, 3, Smoke::mf_static, 215, 5},	//1229 QNetworkCookieJar::tr(const char*, const char*, int)
    {45, 1388, 6, 3, Smoke::mf_static, 215, 6},	//1230 QNetworkCookieJar::trUtf8(const char*, const char*, int)
    {45, 1034, 10, 3, Smoke::mf_virtual, 406, 7},	//1231 QNetworkCookieJar::qt_metacall(QMetaObject::Call, int, void**)
    {45, 247, 20, 1, Smoke::mf_ctor, 150, 8},	//1232 QNetworkCookieJar::QNetworkCookieJar(QObject*)
    {45, 544, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 113, 9},	//1233 QNetworkCookieJar::cookiesForUrl(const QUrl&) const
    {45, 1158, 1174, 2, Smoke::mf_virtual, 321, 10},	//1234 QNetworkCookieJar::setCookiesFromUrl(const QList<QNetworkCookie>&, const QUrl&)
    {45, 460, 0, 0, Smoke::mf_const|Smoke::mf_protected, 113, 11},	//1235 QNetworkCookieJar::allCookies() const
    {45, 1121, 1177, 1, Smoke::mf_protected, 0, 12},	//1236 QNetworkCookieJar::setAllCookies(const QList<QNetworkCookie>&)
    {45, 1384, 1, 1, Smoke::mf_static, 215, 13},	//1237 QNetworkCookieJar::tr(const char*)
    {45, 1388, 1, 1, Smoke::mf_static, 215, 14},	//1238 QNetworkCookieJar::trUtf8(const char*)
    {45, 247, 0, 0, Smoke::mf_ctor, 150, 15},	//1239 QNetworkCookieJar::QNetworkCookieJar()
    {45, 1360, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 16},	//1240 QNetworkCookieJar::staticMetaObject() const
    {45, 1447, 0, 0, Smoke::mf_dtor, 0, 17 },	//1241 QNetworkCookieJar::~QNetworkCookieJar()
    {46, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1242 QNetworkDiskCache::metaObject() const
    {46, 1036, 1, 1, Smoke::mf_virtual, 428, 2},	//1243 QNetworkDiskCache::qt_metacast(const char*)
    {46, 1384, 3, 2, Smoke::mf_static, 215, 3},	//1244 QNetworkDiskCache::tr(const char*, const char*)
    {46, 1388, 3, 2, Smoke::mf_static, 215, 4},	//1245 QNetworkDiskCache::trUtf8(const char*, const char*)
    {46, 1384, 6, 3, Smoke::mf_static, 215, 5},	//1246 QNetworkDiskCache::tr(const char*, const char*, int)
    {46, 1388, 6, 3, Smoke::mf_static, 215, 6},	//1247 QNetworkDiskCache::trUtf8(const char*, const char*, int)
    {46, 1034, 10, 3, Smoke::mf_virtual, 406, 7},	//1248 QNetworkDiskCache::qt_metacall(QMetaObject::Call, int, void**)
    {46, 249, 20, 1, Smoke::mf_ctor, 151, 8},	//1249 QNetworkDiskCache::QNetworkDiskCache(QObject*)
    {46, 493, 0, 0, Smoke::mf_const, 215, 9},	//1250 QNetworkDiskCache::cacheDirectory() const
    {46, 1143, 69, 1, 0, 0, 10},	//1251 QNetworkDiskCache::setCacheDirectory(const QString&)
    {46, 726, 0, 0, Smoke::mf_const, 411, 11},	//1252 QNetworkDiskCache::maximumCacheSize() const
    {46, 1211, 33, 1, 0, 0, 12},	//1253 QNetworkDiskCache::setMaximumCacheSize(long long)
    {46, 494, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 411, 13},	//1254 QNetworkDiskCache::cacheSize() const
    {46, 727, 14, 1, Smoke::mf_virtual, 135, 14},	//1255 QNetworkDiskCache::metaData(const QUrl&)
    {46, 1395, 16, 1, Smoke::mf_virtual, 0, 15},	//1256 QNetworkDiskCache::updateMetaData(const QNetworkCacheMetaData&)
    {46, 556, 14, 1, Smoke::mf_virtual, 99, 16},	//1257 QNetworkDiskCache::data(const QUrl&)
    {46, 1078, 14, 1, Smoke::mf_virtual, 321, 17},	//1258 QNetworkDiskCache::remove(const QUrl&)
    {46, 853, 16, 1, Smoke::mf_virtual, 99, 18},	//1259 QNetworkDiskCache::prepare(const QNetworkCacheMetaData&)
    {46, 655, 18, 1, Smoke::mf_virtual, 0, 19},	//1260 QNetworkDiskCache::insert(QIODevice*)
    {46, 600, 69, 1, Smoke::mf_const, 135, 20},	//1261 QNetworkDiskCache::fileMetaData(const QString&) const
    {46, 503, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1262 QNetworkDiskCache::clear()
    {46, 598, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 411, 22},	//1263 QNetworkDiskCache::expire()
    {46, 1384, 1, 1, Smoke::mf_static, 215, 23},	//1264 QNetworkDiskCache::tr(const char*)
    {46, 1388, 1, 1, Smoke::mf_static, 215, 24},	//1265 QNetworkDiskCache::trUtf8(const char*)
    {46, 249, 0, 0, Smoke::mf_ctor, 151, 25},	//1266 QNetworkDiskCache::QNetworkDiskCache()
    {46, 1360, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 26},	//1267 QNetworkDiskCache::staticMetaObject() const
    {46, 1448, 0, 0, Smoke::mf_dtor, 0, 27 },	//1268 QNetworkDiskCache::~QNetworkDiskCache()
    {47, 251, 0, 0, Smoke::mf_ctor, 154, 1},	//1269 QNetworkInterface::QNetworkInterface()
    {47, 251, 1179, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 154, 2},	//1270 QNetworkInterface::QNetworkInterface(const QNetworkInterface&)
    {47, 788, 1179, 1, 0, 153, 3},	//1271 QNetworkInterface::operator=(const QNetworkInterface&)
    {47, 685, 0, 0, Smoke::mf_const, 321, 4},	//1272 QNetworkInterface::isValid() const
    {47, 654, 0, 0, Smoke::mf_const, 406, 5},	//1273 QNetworkInterface::index() const
    {47, 740, 0, 0, Smoke::mf_const, 215, 6},	//1274 QNetworkInterface::name() const
    {47, 646, 0, 0, Smoke::mf_const, 215, 7},	//1275 QNetworkInterface::humanReadableName() const
    {47, 604, 0, 0, Smoke::mf_const, 43, 8},	//1276 QNetworkInterface::flags() const
    {47, 628, 0, 0, Smoke::mf_const, 215, 9},	//1277 QNetworkInterface::hardwareAddress() const
    {47, 454, 0, 0, Smoke::mf_const, 111, 10},	//1278 QNetworkInterface::addressEntries() const
    {47, 660, 69, 1, Smoke::mf_static, 152, 11},	//1279 QNetworkInterface::interfaceFromName(const QString&)
    {47, 658, 44, 1, Smoke::mf_static, 152, 12},	//1280 QNetworkInterface::interfaceFromIndex(int)
    {47, 461, 0, 0, Smoke::mf_static, 114, 13},	//1281 QNetworkInterface::allInterfaces()
    {47, 457, 0, 0, Smoke::mf_static, 110, 14},	//1282 QNetworkInterface::allAddresses()
    {47, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 15},	//1283 QNetworkInterface::IsUp (enum)
    {47, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 16},	//1284 QNetworkInterface::IsRunning (enum)
    {47, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 17},	//1285 QNetworkInterface::CanBroadcast (enum)
    {47, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 18},	//1286 QNetworkInterface::IsLoopBack (enum)
    {47, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 19},	//1287 QNetworkInterface::IsPointToPoint (enum)
    {47, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 20},	//1288 QNetworkInterface::CanMulticast (enum)
    {47, 1449, 0, 0, Smoke::mf_dtor, 0, 21 },	//1289 QNetworkInterface::~QNetworkInterface()
    {48, 253, 0, 0, Smoke::mf_ctor, 158, 1},	//1290 QNetworkProxy::QNetworkProxy()
    {48, 253, 1181, 5, Smoke::mf_ctor, 158, 2},	//1291 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&)
    {48, 253, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 158, 3},	//1292 QNetworkProxy::QNetworkProxy(const QNetworkProxy&)
    {48, 788, 46, 1, 0, 157, 4},	//1293 QNetworkProxy::operator=(const QNetworkProxy&)
    {48, 791, 46, 1, Smoke::mf_const, 321, 5},	//1294 QNetworkProxy::operator==(const QNetworkProxy&) const
    {48, 755, 46, 1, Smoke::mf_const, 321, 6},	//1295 QNetworkProxy::operator!=(const QNetworkProxy&) const
    {48, 1328, 1187, 1, 0, 0, 7},	//1296 QNetworkProxy::setType(QNetworkProxy::ProxyType)
    {48, 1392, 0, 0, Smoke::mf_const, 160, 8},	//1297 QNetworkProxy::type() const
    {48, 1145, 1189, 1, 0, 0, 9},	//1298 QNetworkProxy::setCapabilities(QFlags<QNetworkProxy::Capability>)
    {48, 496, 0, 0, Smoke::mf_const, 44, 10},	//1299 QNetworkProxy::capabilities() const
    {48, 663, 0, 0, Smoke::mf_const, 321, 11},	//1300 QNetworkProxy::isCachingProxy() const
    {48, 684, 0, 0, Smoke::mf_const, 321, 12},	//1301 QNetworkProxy::isTransparentProxy() const
    {48, 1334, 69, 1, 0, 0, 13},	//1302 QNetworkProxy::setUser(const QString&)
    {48, 1401, 0, 0, Smoke::mf_const, 215, 14},	//1303 QNetworkProxy::user() const
    {48, 1232, 69, 1, 0, 0, 15},	//1304 QNetworkProxy::setPassword(const QString&)
    {48, 829, 0, 0, Smoke::mf_const, 215, 16},	//1305 QNetworkProxy::password() const
    {48, 1189, 69, 1, 0, 0, 17},	//1306 QNetworkProxy::setHostName(const QString&)
    {48, 645, 0, 0, Smoke::mf_const, 215, 18},	//1307 QNetworkProxy::hostName() const
    {48, 1252, 65, 1, 0, 0, 19},	//1308 QNetworkProxy::setPort(unsigned short)
    {48, 844, 0, 0, Smoke::mf_const, 423, 20},	//1309 QNetworkProxy::port() const
    {48, 1123, 46, 1, Smoke::mf_static, 0, 21},	//1310 QNetworkProxy::setApplicationProxy(const QNetworkProxy&)
    {48, 467, 0, 0, Smoke::mf_static, 156, 22},	//1311 QNetworkProxy::applicationProxy()
    {48, 253, 1187, 1, Smoke::mf_ctor, 158, 23},	//1312 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType)
    {48, 253, 1191, 2, Smoke::mf_ctor, 158, 24},	//1313 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&)
    {48, 253, 1194, 3, Smoke::mf_ctor, 158, 25},	//1314 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short)
    {48, 253, 1198, 4, Smoke::mf_ctor, 158, 26},	//1315 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&)
    {48, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 27},	//1316 QNetworkProxy::DefaultProxy (enum)
    {48, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 28},	//1317 QNetworkProxy::Socks5Proxy (enum)
    {48, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 29},	//1318 QNetworkProxy::NoProxy (enum)
    {48, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 30},	//1319 QNetworkProxy::HttpProxy (enum)
    {48, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 31},	//1320 QNetworkProxy::HttpCachingProxy (enum)
    {48, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 32},	//1321 QNetworkProxy::FtpCachingProxy (enum)
    {48, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 33},	//1322 QNetworkProxy::TunnelingCapability (enum)
    {48, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 34},	//1323 QNetworkProxy::ListeningCapability (enum)
    {48, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 35},	//1324 QNetworkProxy::UdpTunnelingCapability (enum)
    {48, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 36},	//1325 QNetworkProxy::CachingCapability (enum)
    {48, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 37},	//1326 QNetworkProxy::HostNameLookupCapability (enum)
    {48, 1450, 0, 0, Smoke::mf_dtor, 0, 38 },	//1327 QNetworkProxy::~QNetworkProxy()
    {49, 260, 0, 0, Smoke::mf_ctor, 161, 1},	//1328 QNetworkProxyFactory::QNetworkProxyFactory()
    {49, 1043, 1203, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 115, 2},	//1329 QNetworkProxyFactory::queryProxy(const QNetworkProxyQuery&) [pure virtual]
    {49, 1332, 116, 1, Smoke::mf_static, 0, 3},	//1330 QNetworkProxyFactory::setUseSystemConfiguration(bool)
    {49, 1125, 1120, 1, Smoke::mf_static, 0, 4},	//1331 QNetworkProxyFactory::setApplicationProxyFactory(QNetworkProxyFactory*)
    {49, 864, 1203, 1, Smoke::mf_static, 115, 5},	//1332 QNetworkProxyFactory::proxyForQuery(const QNetworkProxyQuery&)
    {49, 1370, 1203, 1, Smoke::mf_static, 115, 6},	//1333 QNetworkProxyFactory::systemProxyForQuery(const QNetworkProxyQuery&)
    {49, 260, 1205, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 161, 7},	//1334 QNetworkProxyFactory::QNetworkProxyFactory(const QNetworkProxyFactory&)
    {49, 1043, 0, 0, 0, 115, 8},	//1335 QNetworkProxyFactory::queryProxy()
    {49, 1370, 0, 0, Smoke::mf_static, 115, 9},	//1336 QNetworkProxyFactory::systemProxyForQuery()
    {49, 1451, 0, 0, Smoke::mf_dtor, 0, 10 },	//1337 QNetworkProxyFactory::~QNetworkProxyFactory()
    {50, 262, 0, 0, Smoke::mf_ctor, 163, 1},	//1338 QNetworkProxyQuery::QNetworkProxyQuery()
    {50, 262, 1207, 2, Smoke::mf_ctor, 163, 2},	//1339 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    {50, 262, 1210, 4, Smoke::mf_ctor, 163, 3},	//1340 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {50, 262, 1215, 3, Smoke::mf_ctor, 163, 4},	//1341 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {50, 262, 1203, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 163, 5},	//1342 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    {50, 262, 1219, 3, Smoke::mf_ctor, 163, 6},	//1343 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QUrl&, QNetworkProxyQuery::QueryType)
    {50, 262, 1223, 5, Smoke::mf_ctor, 163, 7},	//1344 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {50, 262, 1229, 4, Smoke::mf_ctor, 163, 8},	//1345 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {50, 788, 1203, 1, 0, 162, 9},	//1346 QNetworkProxyQuery::operator=(const QNetworkProxyQuery&)
    {50, 791, 1203, 1, Smoke::mf_const, 321, 10},	//1347 QNetworkProxyQuery::operator==(const QNetworkProxyQuery&) const
    {50, 755, 1203, 1, Smoke::mf_const, 321, 11},	//1348 QNetworkProxyQuery::operator!=(const QNetworkProxyQuery&) const
    {50, 1045, 0, 0, Smoke::mf_const, 164, 12},	//1349 QNetworkProxyQuery::queryType() const
    {50, 1275, 1234, 1, 0, 0, 13},	//1350 QNetworkProxyQuery::setQueryType(QNetworkProxyQuery::QueryType)
    {50, 836, 0, 0, Smoke::mf_const, 406, 14},	//1351 QNetworkProxyQuery::peerPort() const
    {50, 1242, 44, 1, 0, 0, 15},	//1352 QNetworkProxyQuery::setPeerPort(int)
    {50, 834, 0, 0, Smoke::mf_const, 215, 16},	//1353 QNetworkProxyQuery::peerHostName() const
    {50, 1238, 69, 1, 0, 0, 17},	//1354 QNetworkProxyQuery::setPeerHostName(const QString&)
    {50, 716, 0, 0, Smoke::mf_const, 406, 18},	//1355 QNetworkProxyQuery::localPort() const
    {50, 1205, 44, 1, 0, 0, 19},	//1356 QNetworkProxyQuery::setLocalPort(int)
    {50, 859, 0, 0, Smoke::mf_const, 215, 20},	//1357 QNetworkProxyQuery::protocolTag() const
    {50, 1266, 69, 1, 0, 0, 21},	//1358 QNetworkProxyQuery::setProtocolTag(const QString&)
    {50, 1399, 0, 0, Smoke::mf_const, 233, 22},	//1359 QNetworkProxyQuery::url() const
    {50, 1330, 14, 1, 0, 0, 23},	//1360 QNetworkProxyQuery::setUrl(const QUrl&)
    {50, 745, 0, 0, Smoke::mf_const, 138, 24},	//1361 QNetworkProxyQuery::networkConfiguration() const
    {50, 1222, 1141, 1, 0, 0, 25},	//1362 QNetworkProxyQuery::setNetworkConfiguration(const QNetworkConfiguration&)
    {50, 262, 14, 1, Smoke::mf_ctor, 163, 26},	//1363 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    {50, 262, 1049, 2, Smoke::mf_ctor, 163, 27},	//1364 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    {50, 262, 1052, 3, Smoke::mf_ctor, 163, 28},	//1365 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    {50, 262, 65, 1, Smoke::mf_ctor, 163, 29},	//1366 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short)
    {50, 262, 1236, 2, Smoke::mf_ctor, 163, 30},	//1367 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    {50, 262, 1239, 2, Smoke::mf_ctor, 163, 31},	//1368 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QUrl&)
    {50, 262, 1242, 3, Smoke::mf_ctor, 163, 32},	//1369 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int)
    {50, 262, 1246, 4, Smoke::mf_ctor, 163, 33},	//1370 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&)
    {50, 262, 1251, 2, Smoke::mf_ctor, 163, 34},	//1371 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short)
    {50, 262, 1254, 3, Smoke::mf_ctor, 163, 35},	//1372 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&)
    {50, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 36},	//1373 QNetworkProxyQuery::TcpSocket (enum)
    {50, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 37},	//1374 QNetworkProxyQuery::UdpSocket (enum)
    {50, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 38},	//1375 QNetworkProxyQuery::TcpServer (enum)
    {50, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 39},	//1376 QNetworkProxyQuery::UrlRequest (enum)
    {50, 1452, 0, 0, Smoke::mf_dtor, 0, 40 },	//1377 QNetworkProxyQuery::~QNetworkProxyQuery()
    {51, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1378 QNetworkReply::metaObject() const
    {51, 1036, 1, 1, Smoke::mf_virtual, 428, 2},	//1379 QNetworkReply::qt_metacast(const char*)
    {51, 1384, 3, 2, Smoke::mf_static, 215, 3},	//1380 QNetworkReply::tr(const char*, const char*)
    {51, 1388, 3, 2, Smoke::mf_static, 215, 4},	//1381 QNetworkReply::trUtf8(const char*, const char*)
    {51, 1384, 6, 3, Smoke::mf_static, 215, 5},	//1382 QNetworkReply::tr(const char*, const char*, int)
    {51, 1388, 6, 3, Smoke::mf_static, 215, 6},	//1383 QNetworkReply::trUtf8(const char*, const char*, int)
    {51, 1034, 10, 3, Smoke::mf_virtual, 406, 7},	//1384 QNetworkReply::qt_metacall(QMetaObject::Call, int, void**)
    {51, 430, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//1385 QNetworkReply::abort() [pure virtual]
    {51, 506, 0, 0, Smoke::mf_virtual, 0, 9},	//1386 QNetworkReply::close()
    {51, 681, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 321, 10},	//1387 QNetworkReply::isSequential() const
    {51, 1064, 0, 0, Smoke::mf_const, 411, 11},	//1388 QNetworkReply::readBufferSize() const
    {51, 1281, 33, 1, Smoke::mf_virtual, 0, 12},	//1389 QNetworkReply::setReadBufferSize(long long)
    {51, 724, 0, 0, Smoke::mf_const, 130, 13},	//1390 QNetworkReply::manager() const
    {51, 754, 0, 0, Smoke::mf_const, 132, 14},	//1391 QNetworkReply::operation() const
    {51, 1089, 0, 0, Smoke::mf_const, 167, 15},	//1392 QNetworkReply::request() const
    {51, 592, 0, 0, Smoke::mf_const, 166, 16},	//1393 QNetworkReply::error() const
    {51, 668, 0, 0, Smoke::mf_const, 321, 17},	//1394 QNetworkReply::isFinished() const
    {51, 679, 0, 0, Smoke::mf_const, 321, 18},	//1395 QNetworkReply::isRunning() const
    {51, 1399, 0, 0, Smoke::mf_const, 233, 19},	//1396 QNetworkReply::url() const
    {51, 642, 1258, 1, Smoke::mf_const, 241, 20},	//1397 QNetworkReply::header(QNetworkRequest::KnownHeaders) const
    {51, 637, 198, 1, Smoke::mf_const, 321, 21},	//1398 QNetworkReply::hasRawHeader(const QByteArray&) const
    {51, 1058, 0, 0, Smoke::mf_const, 109, 22},	//1399 QNetworkReply::rawHeaderList() const
    {51, 1056, 198, 1, Smoke::mf_const, 14, 23},	//1400 QNetworkReply::rawHeader(const QByteArray&) const
    {51, 1059, 0, 0, Smoke::mf_const, 348, 24},	//1401 QNetworkReply::rawHeaderPairs() const
    {51, 469, 1260, 1, Smoke::mf_const, 241, 25},	//1402 QNetworkReply::attribute(QNetworkRequest::Attribute) const
    {51, 1351, 0, 0, Smoke::mf_const, 202, 26},	//1403 QNetworkReply::sslConfiguration() const
    {51, 1315, 1262, 1, 0, 0, 27},	//1404 QNetworkReply::setSslConfiguration(const QSslConfiguration&)
    {51, 649, 1044, 1, 0, 0, 28},	//1405 QNetworkReply::ignoreSslErrors(const QList<QSslError>&)
    {51, 649, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1406 QNetworkReply::ignoreSslErrors()
    {51, 729, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1407 QNetworkReply::metaDataChanged()
    {51, 602, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1408 QNetworkReply::finished()
    {51, 592, 1264, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1409 QNetworkReply::error(QNetworkReply::NetworkError)
    {51, 1352, 1044, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1410 QNetworkReply::sslErrors(const QList<QSslError>&)
    {51, 1397, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1411 QNetworkReply::uploadProgress(qint64, qint64)
    {51, 581, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1412 QNetworkReply::downloadProgress(qint64, qint64)
    {51, 274, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 165, 36},	//1413 QNetworkReply::QNetworkReply(QObject*)
    {51, 1421, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 411, 37},	//1414 QNetworkReply::writeData(const char*, long long)
    {51, 1224, 1266, 1, Smoke::mf_protected, 0, 38},	//1415 QNetworkReply::setOperation(QNetworkAccessManager::Operation)
    {51, 1285, 1126, 1, Smoke::mf_protected, 0, 39},	//1416 QNetworkReply::setRequest(const QNetworkRequest&)
    {51, 1170, 1268, 2, Smoke::mf_protected, 0, 40},	//1417 QNetworkReply::setError(QNetworkReply::NetworkError, const QString&)
    {51, 1179, 116, 1, Smoke::mf_protected, 0, 41},	//1418 QNetworkReply::setFinished(bool)
    {51, 1330, 14, 1, Smoke::mf_protected, 0, 42},	//1419 QNetworkReply::setUrl(const QUrl&)
    {51, 1183, 1078, 2, Smoke::mf_protected, 0, 43},	//1420 QNetworkReply::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {51, 1277, 369, 2, Smoke::mf_protected, 0, 44},	//1421 QNetworkReply::setRawHeader(const QByteArray&, const QByteArray&)
    {51, 1127, 1271, 2, Smoke::mf_protected, 0, 45},	//1422 QNetworkReply::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {51, 1384, 1, 1, Smoke::mf_static, 215, 46},	//1423 QNetworkReply::tr(const char*)
    {51, 1388, 1, 1, Smoke::mf_static, 215, 47},	//1424 QNetworkReply::trUtf8(const char*)
    {51, 274, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 165, 48},	//1425 QNetworkReply::QNetworkReply()
    {51, 1360, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 49},	//1426 QNetworkReply::staticMetaObject() const
    {51, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 50},	//1427 QNetworkReply::NoError (enum)
    {51, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 51},	//1428 QNetworkReply::ConnectionRefusedError (enum)
    {51, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 52},	//1429 QNetworkReply::RemoteHostClosedError (enum)
    {51, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 53},	//1430 QNetworkReply::HostNotFoundError (enum)
    {51, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 54},	//1431 QNetworkReply::TimeoutError (enum)
    {51, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 55},	//1432 QNetworkReply::OperationCanceledError (enum)
    {51, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 56},	//1433 QNetworkReply::SslHandshakeFailedError (enum)
    {51, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 57},	//1434 QNetworkReply::TemporaryNetworkFailureError (enum)
    {51, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 58},	//1435 QNetworkReply::UnknownNetworkError (enum)
    {51, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 59},	//1436 QNetworkReply::ProxyConnectionRefusedError (enum)
    {51, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 60},	//1437 QNetworkReply::ProxyConnectionClosedError (enum)
    {51, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 61},	//1438 QNetworkReply::ProxyNotFoundError (enum)
    {51, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 62},	//1439 QNetworkReply::ProxyTimeoutError (enum)
    {51, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 63},	//1440 QNetworkReply::ProxyAuthenticationRequiredError (enum)
    {51, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 64},	//1441 QNetworkReply::UnknownProxyError (enum)
    {51, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 65},	//1442 QNetworkReply::ContentAccessDenied (enum)
    {51, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 66},	//1443 QNetworkReply::ContentOperationNotPermittedError (enum)
    {51, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 67},	//1444 QNetworkReply::ContentNotFoundError (enum)
    {51, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 68},	//1445 QNetworkReply::AuthenticationRequiredError (enum)
    {51, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 69},	//1446 QNetworkReply::ContentReSendError (enum)
    {51, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 70},	//1447 QNetworkReply::UnknownContentError (enum)
    {51, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 71},	//1448 QNetworkReply::ProtocolUnknownError (enum)
    {51, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 72},	//1449 QNetworkReply::ProtocolInvalidOperationError (enum)
    {51, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 73},	//1450 QNetworkReply::ProtocolFailure (enum)
    {51, 1453, 0, 0, Smoke::mf_dtor, 0, 74 },	//1451 QNetworkReply::~QNetworkReply()
    {52, 276, 14, 1, Smoke::mf_ctor, 169, 1},	//1452 QNetworkRequest::QNetworkRequest(const QUrl&)
    {52, 276, 1126, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 169, 2},	//1453 QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    {52, 788, 1126, 1, 0, 168, 3},	//1454 QNetworkRequest::operator=(const QNetworkRequest&)
    {52, 791, 1126, 1, Smoke::mf_const, 321, 4},	//1455 QNetworkRequest::operator==(const QNetworkRequest&) const
    {52, 755, 1126, 1, Smoke::mf_const, 321, 5},	//1456 QNetworkRequest::operator!=(const QNetworkRequest&) const
    {52, 1399, 0, 0, Smoke::mf_const, 233, 6},	//1457 QNetworkRequest::url() const
    {52, 1330, 14, 1, 0, 0, 7},	//1458 QNetworkRequest::setUrl(const QUrl&)
    {52, 642, 1258, 1, Smoke::mf_const, 241, 8},	//1459 QNetworkRequest::header(QNetworkRequest::KnownHeaders) const
    {52, 1183, 1078, 2, 0, 0, 9},	//1460 QNetworkRequest::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {52, 637, 198, 1, Smoke::mf_const, 321, 10},	//1461 QNetworkRequest::hasRawHeader(const QByteArray&) const
    {52, 1058, 0, 0, Smoke::mf_const, 109, 11},	//1462 QNetworkRequest::rawHeaderList() const
    {52, 1056, 198, 1, Smoke::mf_const, 14, 12},	//1463 QNetworkRequest::rawHeader(const QByteArray&) const
    {52, 1277, 369, 2, 0, 0, 13},	//1464 QNetworkRequest::setRawHeader(const QByteArray&, const QByteArray&)
    {52, 469, 1271, 2, Smoke::mf_const, 241, 14},	//1465 QNetworkRequest::attribute(QNetworkRequest::Attribute, const QVariant&) const
    {52, 1127, 1271, 2, 0, 0, 15},	//1466 QNetworkRequest::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {52, 1351, 0, 0, Smoke::mf_const, 202, 16},	//1467 QNetworkRequest::sslConfiguration() const
    {52, 1315, 1262, 1, 0, 0, 17},	//1468 QNetworkRequest::setSslConfiguration(const QSslConfiguration&)
    {52, 1228, 20, 1, 0, 0, 18},	//1469 QNetworkRequest::setOriginatingObject(QObject*)
    {52, 819, 0, 0, Smoke::mf_const, 178, 19},	//1470 QNetworkRequest::originatingObject() const
    {52, 855, 0, 0, Smoke::mf_const, 174, 20},	//1471 QNetworkRequest::priority() const
    {52, 1256, 1274, 1, 0, 0, 21},	//1472 QNetworkRequest::setPriority(QNetworkRequest::Priority)
    {52, 276, 0, 0, Smoke::mf_ctor, 169, 22},	//1473 QNetworkRequest::QNetworkRequest()
    {52, 469, 1260, 1, Smoke::mf_const, 241, 23},	//1474 QNetworkRequest::attribute(QNetworkRequest::Attribute) const
    {52, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 24},	//1475 QNetworkRequest::ContentTypeHeader (enum)
    {52, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 25},	//1476 QNetworkRequest::ContentLengthHeader (enum)
    {52, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 26},	//1477 QNetworkRequest::LocationHeader (enum)
    {52, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 27},	//1478 QNetworkRequest::LastModifiedHeader (enum)
    {52, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 28},	//1479 QNetworkRequest::CookieHeader (enum)
    {52, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 29},	//1480 QNetworkRequest::SetCookieHeader (enum)
    {52, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 30},	//1481 QNetworkRequest::ContentDispositionHeader (enum)
    {52, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 31},	//1482 QNetworkRequest::HttpStatusCodeAttribute (enum)
    {52, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 32},	//1483 QNetworkRequest::HttpReasonPhraseAttribute (enum)
    {52, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 33},	//1484 QNetworkRequest::RedirectionTargetAttribute (enum)
    {52, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 34},	//1485 QNetworkRequest::ConnectionEncryptedAttribute (enum)
    {52, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 35},	//1486 QNetworkRequest::CacheLoadControlAttribute (enum)
    {52, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 36},	//1487 QNetworkRequest::CacheSaveControlAttribute (enum)
    {52, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 37},	//1488 QNetworkRequest::SourceIsFromCacheAttribute (enum)
    {52, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 38},	//1489 QNetworkRequest::DoNotBufferUploadDataAttribute (enum)
    {52, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 39},	//1490 QNetworkRequest::HttpPipeliningAllowedAttribute (enum)
    {52, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 40},	//1491 QNetworkRequest::HttpPipeliningWasUsedAttribute (enum)
    {52, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 41},	//1492 QNetworkRequest::CustomVerbAttribute (enum)
    {52, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 42},	//1493 QNetworkRequest::CookieLoadControlAttribute (enum)
    {52, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 43},	//1494 QNetworkRequest::AuthenticationReuseAttribute (enum)
    {52, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 44},	//1495 QNetworkRequest::CookieSaveControlAttribute (enum)
    {52, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 45},	//1496 QNetworkRequest::MaximumDownloadBufferSizeAttribute (enum)
    {52, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 46},	//1497 QNetworkRequest::DownloadBufferAttribute (enum)
    {52, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 47},	//1498 QNetworkRequest::SynchronousRequestAttribute (enum)
    {52, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 48},	//1499 QNetworkRequest::User (enum)
    {52, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 49},	//1500 QNetworkRequest::UserMax (enum)
    {52, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 50},	//1501 QNetworkRequest::AlwaysNetwork (enum)
    {52, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 51},	//1502 QNetworkRequest::PreferNetwork (enum)
    {52, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 52},	//1503 QNetworkRequest::PreferCache (enum)
    {52, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 53},	//1504 QNetworkRequest::AlwaysCache (enum)
    {52, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 54},	//1505 QNetworkRequest::Automatic (enum)
    {52, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 55},	//1506 QNetworkRequest::Manual (enum)
    {52, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 56},	//1507 QNetworkRequest::HighPriority (enum)
    {52, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 57},	//1508 QNetworkRequest::NormalPriority (enum)
    {52, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 58},	//1509 QNetworkRequest::LowPriority (enum)
    {52, 1454, 0, 0, Smoke::mf_dtor, 0, 59 },	//1510 QNetworkRequest::~QNetworkRequest()
    {53, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1511 QNetworkSession::metaObject() const
    {53, 1036, 1, 1, Smoke::mf_virtual, 428, 2},	//1512 QNetworkSession::qt_metacast(const char*)
    {53, 1384, 3, 2, Smoke::mf_static, 215, 3},	//1513 QNetworkSession::tr(const char*, const char*)
    {53, 1388, 3, 2, Smoke::mf_static, 215, 4},	//1514 QNetworkSession::trUtf8(const char*, const char*)
    {53, 1384, 6, 3, Smoke::mf_static, 215, 5},	//1515 QNetworkSession::tr(const char*, const char*, int)
    {53, 1388, 6, 3, Smoke::mf_static, 215, 6},	//1516 QNetworkSession::trUtf8(const char*, const char*, int)
    {53, 1034, 10, 3, Smoke::mf_virtual, 406, 7},	//1517 QNetworkSession::qt_metacall(QMetaObject::Call, int, void**)
    {53, 278, 1276, 2, Smoke::mf_ctor, 175, 8},	//1518 QNetworkSession::QNetworkSession(const QNetworkConfiguration&, QObject*)
    {53, 676, 0, 0, Smoke::mf_const, 321, 9},	//1519 QNetworkSession::isOpen() const
    {53, 513, 0, 0, Smoke::mf_const, 138, 10},	//1520 QNetworkSession::configuration() const
    {53, 657, 0, 0, Smoke::mf_const, 152, 11},	//1521 QNetworkSession::interface() const
    {53, 1357, 0, 0, Smoke::mf_const, 177, 12},	//1522 QNetworkSession::state() const
    {53, 592, 0, 0, Smoke::mf_const, 176, 13},	//1523 QNetworkSession::error() const
    {53, 594, 0, 0, Smoke::mf_const, 215, 14},	//1524 QNetworkSession::errorString() const
    {53, 1114, 69, 1, Smoke::mf_const, 241, 15},	//1525 QNetworkSession::sessionProperty(const QString&) const
    {53, 1296, 85, 2, 0, 0, 16},	//1526 QNetworkSession::setSessionProperty(const QString&, const QVariant&)
    {53, 490, 0, 0, Smoke::mf_const, 422, 17},	//1527 QNetworkSession::bytesWritten() const
    {53, 488, 0, 0, Smoke::mf_const, 422, 18},	//1528 QNetworkSession::bytesReceived() const
    {53, 435, 0, 0, Smoke::mf_const, 422, 19},	//1529 QNetworkSession::activeTime() const
    {53, 1417, 44, 1, 0, 321, 20},	//1530 QNetworkSession::waitForOpened(int)
    {53, 752, 0, 0, Smoke::mf_slot, 0, 21},	//1531 QNetworkSession::open()
    {53, 506, 0, 0, Smoke::mf_slot, 0, 22},	//1532 QNetworkSession::close()
    {53, 1362, 0, 0, Smoke::mf_slot, 0, 23},	//1533 QNetworkSession::stop()
    {53, 732, 0, 0, Smoke::mf_slot, 0, 24},	//1534 QNetworkSession::migrate()
    {53, 648, 0, 0, Smoke::mf_slot, 0, 25},	//1535 QNetworkSession::ignore()
    {53, 433, 0, 0, Smoke::mf_slot, 0, 26},	//1536 QNetworkSession::accept()
    {53, 1077, 0, 0, Smoke::mf_slot, 0, 27},	//1537 QNetworkSession::reject()
    {53, 1358, 1279, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1538 QNetworkSession::stateChanged(QNetworkSession::State)
    {53, 753, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1539 QNetworkSession::opened()
    {53, 508, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1540 QNetworkSession::closed()
    {53, 592, 1281, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1541 QNetworkSession::error(QNetworkSession::SessionError)
    {53, 850, 1283, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1542 QNetworkSession::preferredConfigurationChanged(const QNetworkConfiguration&, bool)
    {53, 747, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1543 QNetworkSession::newConfigurationActivated()
    {53, 522, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1544 QNetworkSession::connectNotify(const char*)
    {53, 575, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1545 QNetworkSession::disconnectNotify(const char*)
    {53, 1384, 1, 1, Smoke::mf_static, 215, 36},	//1546 QNetworkSession::tr(const char*)
    {53, 1388, 1, 1, Smoke::mf_static, 215, 37},	//1547 QNetworkSession::trUtf8(const char*)
    {53, 278, 1141, 1, Smoke::mf_ctor, 175, 38},	//1548 QNetworkSession::QNetworkSession(const QNetworkConfiguration&)
    {53, 1417, 0, 0, 0, 321, 39},	//1549 QNetworkSession::waitForOpened()
    {53, 1360, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 40},	//1550 QNetworkSession::staticMetaObject() const
    {53, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 41},	//1551 QNetworkSession::Invalid (enum)
    {53, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 42},	//1552 QNetworkSession::NotAvailable (enum)
    {53, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 43},	//1553 QNetworkSession::Connecting (enum)
    {53, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 44},	//1554 QNetworkSession::Connected (enum)
    {53, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 45},	//1555 QNetworkSession::Closing (enum)
    {53, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 46},	//1556 QNetworkSession::Disconnected (enum)
    {53, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 47},	//1557 QNetworkSession::Roaming (enum)
    {53, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 48},	//1558 QNetworkSession::UnknownSessionError (enum)
    {53, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 49},	//1559 QNetworkSession::SessionAbortedError (enum)
    {53, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 50},	//1560 QNetworkSession::RoamingError (enum)
    {53, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 51},	//1561 QNetworkSession::OperationNotSupportedError (enum)
    {53, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 52},	//1562 QNetworkSession::InvalidConfigurationError (enum)
    {53, 1455, 0, 0, Smoke::mf_dtor, 0, 53 },	//1563 QNetworkSession::~QNetworkSession()
    {54, 595, 1286, 1, Smoke::mf_virtual, 321, 0},	//1564 QObject::event(QEvent*)
    {54, 596, 1288, 2, Smoke::mf_virtual, 321, 0},	//1565 QObject::eventFilter(QObject*, QEvent*)
    {54, 1374, 1291, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1566 QObject::timerEvent(QTimerEvent*)
    {54, 500, 1293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1567 QObject::childEvent(QChildEvent*)
    {54, 555, 1286, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1568 QObject::customEvent(QEvent*)
    {54, 522, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1569 QObject::connectNotify(const char*)
    {54, 575, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1570 QObject::disconnectNotify(const char*)
    {63, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 1},	//1571 QSsl::Rsa (enum)
    {63, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 2},	//1572 QSsl::Dsa (enum)
    {63, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 3},	//1573 QSsl::Pem (enum)
    {63, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 4},	//1574 QSsl::Der (enum)
    {63, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 5},	//1575 QSsl::SslOptionDisableEmptyFragments (enum)
    {63, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 6},	//1576 QSsl::SslOptionDisableSessionTickets (enum)
    {63, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 7},	//1577 QSsl::SslOptionDisableCompression (enum)
    {63, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 8},	//1578 QSsl::SslOptionDisableServerNameIndication (enum)
    {63, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 9},	//1579 QSsl::SslOptionDisableLegacyRenegotiation (enum)
    {63, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 10},	//1580 QSsl::SslV3 (enum)
    {63, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 11},	//1581 QSsl::SslV2 (enum)
    {63, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 12},	//1582 QSsl::TlsV1 (enum)
    {63, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 13},	//1583 QSsl::AnyProtocol (enum)
    {63, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 14},	//1584 QSsl::TlsV1SslV3 (enum)
    {63, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 15},	//1585 QSsl::SecureProtocols (enum)
    {63, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 16},	//1586 QSsl::UnknownProtocol (enum)
    {63, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 17},	//1587 QSsl::EmailEntry (enum)
    {63, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 18},	//1588 QSsl::DnsEntry (enum)
    {63, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 19},	//1589 QSsl::PrivateKey (enum)
    {63, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 20},	//1590 QSsl::PublicKey (enum)
    {64, 281, 1295, 2, Smoke::mf_ctor, 197, 1},	//1591 QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    {64, 281, 1298, 2, Smoke::mf_ctor, 197, 2},	//1592 QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    {64, 281, 1301, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 197, 3},	//1593 QSslCertificate::QSslCertificate(const QSslCertificate&)
    {64, 788, 1301, 1, 0, 196, 4},	//1594 QSslCertificate::operator=(const QSslCertificate&)
    {64, 791, 1301, 1, Smoke::mf_const, 321, 5},	//1595 QSslCertificate::operator==(const QSslCertificate&) const
    {64, 755, 1301, 1, Smoke::mf_const, 321, 6},	//1596 QSslCertificate::operator!=(const QSslCertificate&) const
    {64, 674, 0, 0, Smoke::mf_const, 321, 7},	//1597 QSslCertificate::isNull() const
    {64, 685, 0, 0, Smoke::mf_const, 321, 8},	//1598 QSslCertificate::isValid() const
    {64, 503, 0, 0, 0, 0, 9},	//1599 QSslCertificate::clear()
    {64, 1405, 0, 0, Smoke::mf_const, 14, 10},	//1600 QSslCertificate::version() const
    {64, 1108, 0, 0, Smoke::mf_const, 14, 11},	//1601 QSslCertificate::serialNumber() const
    {64, 570, 1303, 1, Smoke::mf_const, 14, 12},	//1602 QSslCertificate::digest(QCryptographicHash::Algorithm) const
    {64, 687, 1305, 1, Smoke::mf_const, 215, 13},	//1603 QSslCertificate::issuerInfo(QSslCertificate::SubjectInfo) const
    {64, 687, 198, 1, Smoke::mf_const, 215, 14},	//1604 QSslCertificate::issuerInfo(const QByteArray&) const
    {64, 1363, 1305, 1, Smoke::mf_const, 215, 15},	//1605 QSslCertificate::subjectInfo(QSslCertificate::SubjectInfo) const
    {64, 1363, 198, 1, Smoke::mf_const, 215, 16},	//1606 QSslCertificate::subjectInfo(const QByteArray&) const
    {64, 464, 0, 0, Smoke::mf_const, 129, 17},	//1607 QSslCertificate::alternateSubjectNames() const
    {64, 583, 0, 0, Smoke::mf_const, 22, 18},	//1608 QSslCertificate::effectiveDate() const
    {64, 599, 0, 0, Smoke::mf_const, 22, 19},	//1609 QSslCertificate::expiryDate() const
    {64, 866, 0, 0, Smoke::mf_const, 209, 20},	//1610 QSslCertificate::publicKey() const
    {64, 1379, 0, 0, Smoke::mf_const, 14, 21},	//1611 QSslCertificate::toPem() const
    {64, 1375, 0, 0, Smoke::mf_const, 14, 22},	//1612 QSslCertificate::toDer() const
    {64, 614, 1307, 3, Smoke::mf_static, 118, 23},	//1613 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {64, 609, 1295, 2, Smoke::mf_static, 118, 24},	//1614 QSslCertificate::fromDevice(QIODevice*, QSsl::EncodingFormat)
    {64, 606, 1298, 2, Smoke::mf_static, 118, 25},	//1615 QSslCertificate::fromData(const QByteArray&, QSsl::EncodingFormat)
    {64, 627, 0, 0, Smoke::mf_const, 421, 26},	//1616 QSslCertificate::handle() const
    {64, 281, 18, 1, Smoke::mf_ctor, 197, 27},	//1617 QSslCertificate::QSslCertificate(QIODevice*)
    {64, 281, 0, 0, Smoke::mf_ctor, 197, 28},	//1618 QSslCertificate::QSslCertificate()
    {64, 281, 198, 1, Smoke::mf_ctor, 197, 29},	//1619 QSslCertificate::QSslCertificate(const QByteArray&)
    {64, 570, 0, 0, Smoke::mf_const, 14, 30},	//1620 QSslCertificate::digest() const
    {64, 614, 69, 1, Smoke::mf_static, 118, 31},	//1621 QSslCertificate::fromPath(const QString&)
    {64, 614, 1311, 2, Smoke::mf_static, 118, 32},	//1622 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat)
    {64, 609, 18, 1, Smoke::mf_static, 118, 33},	//1623 QSslCertificate::fromDevice(QIODevice*)
    {64, 606, 198, 1, Smoke::mf_static, 118, 34},	//1624 QSslCertificate::fromData(const QByteArray&)
    {64, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 35},	//1625 QSslCertificate::Organization (enum)
    {64, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 36},	//1626 QSslCertificate::CommonName (enum)
    {64, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 37},	//1627 QSslCertificate::LocalityName (enum)
    {64, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 38},	//1628 QSslCertificate::OrganizationalUnitName (enum)
    {64, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 39},	//1629 QSslCertificate::CountryName (enum)
    {64, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 40},	//1630 QSslCertificate::StateOrProvinceName (enum)
    {64, 1456, 0, 0, Smoke::mf_dtor, 0, 41 },	//1631 QSslCertificate::~QSslCertificate()
    {65, 284, 0, 0, Smoke::mf_ctor, 201, 1},	//1632 QSslCipher::QSslCipher()
    {65, 284, 1314, 2, Smoke::mf_ctor, 201, 2},	//1633 QSslCipher::QSslCipher(const QString&, QSsl::SslProtocol)
    {65, 284, 1317, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 201, 3},	//1634 QSslCipher::QSslCipher(const QSslCipher&)
    {65, 788, 1317, 1, 0, 200, 4},	//1635 QSslCipher::operator=(const QSslCipher&)
    {65, 791, 1317, 1, Smoke::mf_const, 321, 5},	//1636 QSslCipher::operator==(const QSslCipher&) const
    {65, 755, 1317, 1, Smoke::mf_const, 321, 6},	//1637 QSslCipher::operator!=(const QSslCipher&) const
    {65, 674, 0, 0, Smoke::mf_const, 321, 7},	//1638 QSslCipher::isNull() const
    {65, 740, 0, 0, Smoke::mf_const, 215, 8},	//1639 QSslCipher::name() const
    {65, 1366, 0, 0, Smoke::mf_const, 406, 9},	//1640 QSslCipher::supportedBits() const
    {65, 1400, 0, 0, Smoke::mf_const, 406, 10},	//1641 QSslCipher::usedBits() const
    {65, 693, 0, 0, Smoke::mf_const, 215, 11},	//1642 QSslCipher::keyExchangeMethod() const
    {65, 473, 0, 0, Smoke::mf_const, 215, 12},	//1643 QSslCipher::authenticationMethod() const
    {65, 589, 0, 0, Smoke::mf_const, 215, 13},	//1644 QSslCipher::encryptionMethod() const
    {65, 858, 0, 0, Smoke::mf_const, 215, 14},	//1645 QSslCipher::protocolString() const
    {65, 857, 0, 0, Smoke::mf_const, 194, 15},	//1646 QSslCipher::protocol() const
    {65, 1457, 0, 0, Smoke::mf_dtor, 0, 16 },	//1647 QSslCipher::~QSslCipher()
    {66, 287, 0, 0, Smoke::mf_ctor, 204, 1},	//1648 QSslConfiguration::QSslConfiguration()
    {66, 287, 1262, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 204, 2},	//1649 QSslConfiguration::QSslConfiguration(const QSslConfiguration&)
    {66, 788, 1262, 1, 0, 203, 3},	//1650 QSslConfiguration::operator=(const QSslConfiguration&)
    {66, 791, 1262, 1, Smoke::mf_const, 321, 4},	//1651 QSslConfiguration::operator==(const QSslConfiguration&) const
    {66, 755, 1262, 1, Smoke::mf_const, 321, 5},	//1652 QSslConfiguration::operator!=(const QSslConfiguration&) const
    {66, 674, 0, 0, Smoke::mf_const, 321, 6},	//1653 QSslConfiguration::isNull() const
    {66, 857, 0, 0, Smoke::mf_const, 194, 7},	//1654 QSslConfiguration::protocol() const
    {66, 1264, 1319, 1, 0, 0, 8},	//1655 QSslConfiguration::setProtocol(QSsl::SslProtocol)
    {66, 840, 0, 0, Smoke::mf_const, 213, 9},	//1656 QSslConfiguration::peerVerifyMode() const
    {66, 1246, 1321, 1, 0, 0, 10},	//1657 QSslConfiguration::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {66, 837, 0, 0, Smoke::mf_const, 406, 11},	//1658 QSslConfiguration::peerVerifyDepth() const
    {66, 1244, 44, 1, 0, 0, 12},	//1659 QSslConfiguration::setPeerVerifyDepth(int)
    {66, 713, 0, 0, Smoke::mf_const, 195, 13},	//1660 QSslConfiguration::localCertificate() const
    {66, 1201, 1301, 1, 0, 0, 14},	//1661 QSslConfiguration::setLocalCertificate(const QSslCertificate&)
    {66, 832, 0, 0, Smoke::mf_const, 195, 15},	//1662 QSslConfiguration::peerCertificate() const
    {66, 833, 0, 0, Smoke::mf_const, 118, 16},	//1663 QSslConfiguration::peerCertificateChain() const
    {66, 1113, 0, 0, Smoke::mf_const, 199, 17},	//1664 QSslConfiguration::sessionCipher() const
    {66, 856, 0, 0, Smoke::mf_const, 209, 18},	//1665 QSslConfiguration::privateKey() const
    {66, 1258, 1323, 1, 0, 0, 19},	//1666 QSslConfiguration::setPrivateKey(const QSslKey&)
    {66, 502, 0, 0, Smoke::mf_const, 119, 20},	//1667 QSslConfiguration::ciphers() const
    {66, 1147, 1325, 1, 0, 0, 21},	//1668 QSslConfiguration::setCiphers(const QList<QSslCipher>&)
    {66, 491, 0, 0, Smoke::mf_const, 118, 22},	//1669 QSslConfiguration::caCertificates() const
    {66, 1139, 1327, 1, 0, 0, 23},	//1670 QSslConfiguration::setCaCertificates(const QList<QSslCertificate>&)
    {66, 1317, 1329, 2, 0, 0, 24},	//1671 QSslConfiguration::setSslOption(QSsl::SslOption, bool)
    {66, 1372, 1332, 1, Smoke::mf_const, 321, 25},	//1672 QSslConfiguration::testSslOption(QSsl::SslOption) const
    {66, 566, 0, 0, Smoke::mf_static, 202, 26},	//1673 QSslConfiguration::defaultConfiguration()
    {66, 1164, 1262, 1, Smoke::mf_static, 0, 27},	//1674 QSslConfiguration::setDefaultConfiguration(const QSslConfiguration&)
    {66, 1458, 0, 0, Smoke::mf_dtor, 0, 28 },	//1675 QSslConfiguration::~QSslConfiguration()
    {67, 289, 0, 0, Smoke::mf_ctor, 207, 1},	//1676 QSslError::QSslError()
    {67, 289, 1334, 1, Smoke::mf_ctor, 207, 2},	//1677 QSslError::QSslError(QSslError::SslError)
    {67, 289, 1336, 2, Smoke::mf_ctor, 207, 3},	//1678 QSslError::QSslError(QSslError::SslError, const QSslCertificate&)
    {67, 289, 1339, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 207, 4},	//1679 QSslError::QSslError(const QSslError&)
    {67, 788, 1339, 1, 0, 206, 5},	//1680 QSslError::operator=(const QSslError&)
    {67, 791, 1339, 1, Smoke::mf_const, 321, 6},	//1681 QSslError::operator==(const QSslError&) const
    {67, 755, 1339, 1, Smoke::mf_const, 321, 7},	//1682 QSslError::operator!=(const QSslError&) const
    {67, 592, 0, 0, Smoke::mf_const, 208, 8},	//1683 QSslError::error() const
    {67, 594, 0, 0, Smoke::mf_const, 215, 9},	//1684 QSslError::errorString() const
    {67, 499, 0, 0, Smoke::mf_const, 195, 10},	//1685 QSslError::certificate() const
    {67, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 11},	//1686 QSslError::NoError (enum)
    {67, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 12},	//1687 QSslError::UnableToGetIssuerCertificate (enum)
    {67, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 13},	//1688 QSslError::UnableToDecryptCertificateSignature (enum)
    {67, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 14},	//1689 QSslError::UnableToDecodeIssuerPublicKey (enum)
    {67, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 15},	//1690 QSslError::CertificateSignatureFailed (enum)
    {67, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 16},	//1691 QSslError::CertificateNotYetValid (enum)
    {67, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 17},	//1692 QSslError::CertificateExpired (enum)
    {67, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 18},	//1693 QSslError::InvalidNotBeforeField (enum)
    {67, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 19},	//1694 QSslError::InvalidNotAfterField (enum)
    {67, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 20},	//1695 QSslError::SelfSignedCertificate (enum)
    {67, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 21},	//1696 QSslError::SelfSignedCertificateInChain (enum)
    {67, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 22},	//1697 QSslError::UnableToGetLocalIssuerCertificate (enum)
    {67, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 23},	//1698 QSslError::UnableToVerifyFirstCertificate (enum)
    {67, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 24},	//1699 QSslError::CertificateRevoked (enum)
    {67, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 25},	//1700 QSslError::InvalidCaCertificate (enum)
    {67, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 26},	//1701 QSslError::PathLengthExceeded (enum)
    {67, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 27},	//1702 QSslError::InvalidPurpose (enum)
    {67, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 28},	//1703 QSslError::CertificateUntrusted (enum)
    {67, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 29},	//1704 QSslError::CertificateRejected (enum)
    {67, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 30},	//1705 QSslError::SubjectIssuerMismatch (enum)
    {67, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 31},	//1706 QSslError::AuthorityIssuerSerialNumberMismatch (enum)
    {67, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 32},	//1707 QSslError::NoPeerCertificate (enum)
    {67, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 33},	//1708 QSslError::HostNameMismatch (enum)
    {67, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 34},	//1709 QSslError::NoSslSupport (enum)
    {67, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 35},	//1710 QSslError::CertificateBlacklisted (enum)
    {67, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 36},	//1711 QSslError::UnspecifiedError (enum)
    {67, 1459, 0, 0, Smoke::mf_dtor, 0, 37 },	//1712 QSslError::~QSslError()
    {68, 293, 0, 0, Smoke::mf_ctor, 211, 1},	//1713 QSslKey::QSslKey()
    {68, 293, 1341, 5, Smoke::mf_ctor, 211, 2},	//1714 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {68, 293, 1347, 5, Smoke::mf_ctor, 211, 3},	//1715 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {68, 293, 1323, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 211, 4},	//1716 QSslKey::QSslKey(const QSslKey&)
    {68, 788, 1323, 1, 0, 210, 5},	//1717 QSslKey::operator=(const QSslKey&)
    {68, 674, 0, 0, Smoke::mf_const, 321, 6},	//1718 QSslKey::isNull() const
    {68, 503, 0, 0, 0, 0, 7},	//1719 QSslKey::clear()
    {68, 701, 0, 0, Smoke::mf_const, 406, 8},	//1720 QSslKey::length() const
    {68, 1392, 0, 0, Smoke::mf_const, 192, 9},	//1721 QSslKey::type() const
    {68, 456, 0, 0, Smoke::mf_const, 191, 10},	//1722 QSslKey::algorithm() const
    {68, 1379, 198, 1, Smoke::mf_const, 14, 11},	//1723 QSslKey::toPem(const QByteArray&) const
    {68, 1375, 198, 1, Smoke::mf_const, 14, 12},	//1724 QSslKey::toDer(const QByteArray&) const
    {68, 627, 0, 0, Smoke::mf_const, 421, 13},	//1725 QSslKey::handle() const
    {68, 791, 1323, 1, Smoke::mf_const, 321, 14},	//1726 QSslKey::operator==(const QSslKey&) const
    {68, 755, 1323, 1, Smoke::mf_const, 321, 15},	//1727 QSslKey::operator!=(const QSslKey&) const
    {68, 293, 1353, 2, Smoke::mf_ctor, 211, 16},	//1728 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    {68, 293, 1356, 3, Smoke::mf_ctor, 211, 17},	//1729 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {68, 293, 1360, 4, Smoke::mf_ctor, 211, 18},	//1730 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {68, 293, 1365, 2, Smoke::mf_ctor, 211, 19},	//1731 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    {68, 293, 1368, 3, Smoke::mf_ctor, 211, 20},	//1732 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {68, 293, 1372, 4, Smoke::mf_ctor, 211, 21},	//1733 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {68, 1379, 0, 0, Smoke::mf_const, 14, 22},	//1734 QSslKey::toPem() const
    {68, 1375, 0, 0, Smoke::mf_const, 14, 23},	//1735 QSslKey::toDer() const
    {68, 1460, 0, 0, Smoke::mf_dtor, 0, 24 },	//1736 QSslKey::~QSslKey()
    {69, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1737 QSslSocket::metaObject() const
    {69, 1036, 1, 1, Smoke::mf_virtual, 428, 2},	//1738 QSslSocket::qt_metacast(const char*)
    {69, 1384, 3, 2, Smoke::mf_static, 215, 3},	//1739 QSslSocket::tr(const char*, const char*)
    {69, 1388, 3, 2, Smoke::mf_static, 215, 4},	//1740 QSslSocket::trUtf8(const char*, const char*)
    {69, 1384, 6, 3, Smoke::mf_static, 215, 5},	//1741 QSslSocket::tr(const char*, const char*, int)
    {69, 1388, 6, 3, Smoke::mf_static, 215, 6},	//1742 QSslSocket::trUtf8(const char*, const char*, int)
    {69, 1034, 10, 3, Smoke::mf_virtual, 406, 7},	//1743 QSslSocket::qt_metacall(QMetaObject::Call, int, void**)
    {69, 299, 20, 1, Smoke::mf_ctor, 212, 8},	//1744 QSslSocket::QSslSocket(QObject*)
    {69, 530, 25, 3, 0, 0, 9},	//1745 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {69, 530, 1377, 4, 0, 0, 10},	//1746 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>)
    {69, 1302, 35, 3, 0, 321, 11},	//1747 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {69, 1311, 39, 2, 0, 0, 12},	//1748 QSslSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {69, 1348, 42, 1, 0, 241, 13},	//1749 QSslSocket::socketOption(QAbstractSocket::SocketOption)
    {69, 736, 0, 0, Smoke::mf_const, 214, 14},	//1750 QSslSocket::mode() const
    {69, 665, 0, 0, Smoke::mf_const, 321, 15},	//1751 QSslSocket::isEncrypted() const
    {69, 857, 0, 0, Smoke::mf_const, 194, 16},	//1752 QSslSocket::protocol() const
    {69, 1264, 1319, 1, 0, 0, 17},	//1753 QSslSocket::setProtocol(QSsl::SslProtocol)
    {69, 840, 0, 0, Smoke::mf_const, 213, 18},	//1754 QSslSocket::peerVerifyMode() const
    {69, 1246, 1321, 1, 0, 0, 19},	//1755 QSslSocket::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {69, 837, 0, 0, Smoke::mf_const, 406, 20},	//1756 QSslSocket::peerVerifyDepth() const
    {69, 1244, 44, 1, 0, 0, 21},	//1757 QSslSocket::setPeerVerifyDepth(int)
    {69, 841, 0, 0, Smoke::mf_const, 215, 22},	//1758 QSslSocket::peerVerifyName() const
    {69, 1248, 69, 1, 0, 0, 23},	//1759 QSslSocket::setPeerVerifyName(const QString&)
    {69, 487, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 411, 24},	//1760 QSslSocket::bytesAvailable() const
    {69, 489, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 411, 25},	//1761 QSslSocket::bytesToWrite() const
    {69, 495, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 321, 26},	//1762 QSslSocket::canReadLine() const
    {69, 506, 0, 0, Smoke::mf_virtual, 0, 27},	//1763 QSslSocket::close()
    {69, 468, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 321, 28},	//1764 QSslSocket::atEnd() const
    {69, 605, 0, 0, 0, 321, 29},	//1765 QSslSocket::flush()
    {69, 430, 0, 0, 0, 0, 30},	//1766 QSslSocket::abort()
    {69, 1281, 33, 1, 0, 0, 31},	//1767 QSslSocket::setReadBufferSize(long long)
    {69, 585, 0, 0, Smoke::mf_const, 411, 32},	//1768 QSslSocket::encryptedBytesAvailable() const
    {69, 586, 0, 0, Smoke::mf_const, 411, 33},	//1769 QSslSocket::encryptedBytesToWrite() const
    {69, 1351, 0, 0, Smoke::mf_const, 202, 34},	//1770 QSslSocket::sslConfiguration() const
    {69, 1315, 1262, 1, 0, 0, 35},	//1771 QSslSocket::setSslConfiguration(const QSslConfiguration&)
    {69, 1201, 1301, 1, 0, 0, 36},	//1772 QSslSocket::setLocalCertificate(const QSslCertificate&)
    {69, 1201, 1311, 2, 0, 0, 37},	//1773 QSslSocket::setLocalCertificate(const QString&, QSsl::EncodingFormat)
    {69, 713, 0, 0, Smoke::mf_const, 195, 38},	//1774 QSslSocket::localCertificate() const
    {69, 832, 0, 0, Smoke::mf_const, 195, 39},	//1775 QSslSocket::peerCertificate() const
    {69, 833, 0, 0, Smoke::mf_const, 118, 40},	//1776 QSslSocket::peerCertificateChain() const
    {69, 1113, 0, 0, Smoke::mf_const, 199, 41},	//1777 QSslSocket::sessionCipher() const
    {69, 1258, 1323, 1, 0, 0, 42},	//1778 QSslSocket::setPrivateKey(const QSslKey&)
    {69, 1258, 1382, 4, 0, 0, 43},	//1779 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&)
    {69, 856, 0, 0, Smoke::mf_const, 209, 44},	//1780 QSslSocket::privateKey() const
    {69, 502, 0, 0, Smoke::mf_const, 119, 45},	//1781 QSslSocket::ciphers() const
    {69, 1147, 1325, 1, 0, 0, 46},	//1782 QSslSocket::setCiphers(const QList<QSslCipher>&)
    {69, 1147, 69, 1, 0, 0, 47},	//1783 QSslSocket::setCiphers(const QString&)
    {69, 1162, 1325, 1, Smoke::mf_static, 0, 48},	//1784 QSslSocket::setDefaultCiphers(const QList<QSslCipher>&)
    {69, 565, 0, 0, Smoke::mf_static, 119, 49},	//1785 QSslSocket::defaultCiphers()
    {69, 1367, 0, 0, Smoke::mf_static, 119, 50},	//1786 QSslSocket::supportedCiphers()
    {69, 438, 1307, 3, 0, 321, 51},	//1787 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {69, 436, 1301, 1, 0, 0, 52},	//1788 QSslSocket::addCaCertificate(const QSslCertificate&)
    {69, 438, 1327, 1, 0, 0, 53},	//1789 QSslSocket::addCaCertificates(const QList<QSslCertificate>&)
    {69, 1139, 1327, 1, 0, 0, 54},	//1790 QSslSocket::setCaCertificates(const QList<QSslCertificate>&)
    {69, 491, 0, 0, Smoke::mf_const, 118, 55},	//1791 QSslSocket::caCertificates() const
    {69, 445, 1307, 3, Smoke::mf_static, 321, 56},	//1792 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {69, 443, 1301, 1, Smoke::mf_static, 0, 57},	//1793 QSslSocket::addDefaultCaCertificate(const QSslCertificate&)
    {69, 445, 1327, 1, Smoke::mf_static, 0, 58},	//1794 QSslSocket::addDefaultCaCertificates(const QList<QSslCertificate>&)
    {69, 1160, 1327, 1, Smoke::mf_static, 0, 59},	//1795 QSslSocket::setDefaultCaCertificates(const QList<QSslCertificate>&)
    {69, 564, 0, 0, Smoke::mf_static, 118, 60},	//1796 QSslSocket::defaultCaCertificates()
    {69, 1369, 0, 0, Smoke::mf_static, 118, 61},	//1797 QSslSocket::systemCaCertificates()
    {69, 1408, 44, 1, 0, 321, 62},	//1798 QSslSocket::waitForConnected(int)
    {69, 1412, 44, 1, 0, 321, 63},	//1799 QSslSocket::waitForEncrypted(int)
    {69, 1419, 44, 1, Smoke::mf_virtual, 321, 64},	//1800 QSslSocket::waitForReadyRead(int)
    {69, 1406, 44, 1, Smoke::mf_virtual, 321, 65},	//1801 QSslSocket::waitForBytesWritten(int)
    {69, 1410, 44, 1, 0, 321, 66},	//1802 QSslSocket::waitForDisconnected(int)
    {69, 1352, 0, 0, Smoke::mf_const, 120, 67},	//1803 QSslSocket::sslErrors() const
    {69, 1368, 0, 0, Smoke::mf_static, 321, 68},	//1804 QSslSocket::supportsSsl()
    {69, 649, 1044, 1, 0, 0, 69},	//1805 QSslSocket::ignoreSslErrors(const QList<QSslError>&)
    {69, 1355, 0, 0, Smoke::mf_slot, 0, 70},	//1806 QSslSocket::startClientEncryption()
    {69, 1356, 0, 0, Smoke::mf_slot, 0, 71},	//1807 QSslSocket::startServerEncryption()
    {69, 649, 0, 0, Smoke::mf_slot, 0, 72},	//1808 QSslSocket::ignoreSslErrors()
    {69, 584, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//1809 QSslSocket::encrypted()
    {69, 838, 1339, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//1810 QSslSocket::peerVerifyError(const QSslError&)
    {69, 1352, 1044, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//1811 QSslSocket::sslErrors(const QList<QSslError>&)
    {69, 737, 1387, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 76},	//1812 QSslSocket::modeChanged(QSslSocket::SslMode)
    {69, 587, 1389, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 77},	//1813 QSslSocket::encryptedBytesWritten(qint64)
    {69, 534, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 78},	//1814 QSslSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {69, 573, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 79},	//1815 QSslSocket::disconnectFromHostImplementation()
    {69, 1065, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 411, 80},	//1816 QSslSocket::readData(char*, long long)
    {69, 1421, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 411, 81},	//1817 QSslSocket::writeData(const char*, long long)
    {69, 1384, 1, 1, Smoke::mf_static, 215, 82},	//1818 QSslSocket::tr(const char*)
    {69, 1388, 1, 1, Smoke::mf_static, 215, 83},	//1819 QSslSocket::trUtf8(const char*)
    {69, 299, 0, 0, Smoke::mf_ctor, 212, 84},	//1820 QSslSocket::QSslSocket()
    {69, 530, 71, 2, 0, 0, 85},	//1821 QSslSocket::connectToHostEncrypted(const QString&, unsigned short)
    {69, 530, 1391, 3, 0, 0, 86},	//1822 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    {69, 1302, 44, 1, 0, 321, 87},	//1823 QSslSocket::setSocketDescriptor(int)
    {69, 1302, 77, 2, 0, 321, 88},	//1824 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {69, 1201, 69, 1, 0, 0, 89},	//1825 QSslSocket::setLocalCertificate(const QString&)
    {69, 1258, 69, 1, 0, 0, 90},	//1826 QSslSocket::setPrivateKey(const QString&)
    {69, 1258, 1395, 2, 0, 0, 91},	//1827 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm)
    {69, 1258, 1398, 3, 0, 0, 92},	//1828 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {69, 438, 69, 1, 0, 321, 93},	//1829 QSslSocket::addCaCertificates(const QString&)
    {69, 438, 1311, 2, 0, 321, 94},	//1830 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat)
    {69, 445, 69, 1, Smoke::mf_static, 321, 95},	//1831 QSslSocket::addDefaultCaCertificates(const QString&)
    {69, 445, 1311, 2, Smoke::mf_static, 321, 96},	//1832 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat)
    {69, 1408, 0, 0, 0, 321, 97},	//1833 QSslSocket::waitForConnected()
    {69, 1412, 0, 0, 0, 321, 98},	//1834 QSslSocket::waitForEncrypted()
    {69, 1419, 0, 0, 0, 321, 99},	//1835 QSslSocket::waitForReadyRead()
    {69, 1406, 0, 0, 0, 321, 100},	//1836 QSslSocket::waitForBytesWritten()
    {69, 1410, 0, 0, 0, 321, 101},	//1837 QSslSocket::waitForDisconnected()
    {69, 1360, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 102},	//1838 QSslSocket::staticMetaObject() const
    {69, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 103},	//1839 QSslSocket::UnencryptedMode (enum)
    {69, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 104},	//1840 QSslSocket::SslClientMode (enum)
    {69, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 105},	//1841 QSslSocket::SslServerMode (enum)
    {69, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 106},	//1842 QSslSocket::VerifyNone (enum)
    {69, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 107},	//1843 QSslSocket::QueryPeer (enum)
    {69, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 108},	//1844 QSslSocket::VerifyPeer (enum)
    {69, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 109},	//1845 QSslSocket::AutoVerifyPeer (enum)
    {69, 1461, 0, 0, Smoke::mf_dtor, 0, 110 },	//1846 QSslSocket::~QSslSocket()
    {72, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1847 QTcpServer::metaObject() const
    {72, 1036, 1, 1, Smoke::mf_virtual, 428, 2},	//1848 QTcpServer::qt_metacast(const char*)
    {72, 1384, 3, 2, Smoke::mf_static, 215, 3},	//1849 QTcpServer::tr(const char*, const char*)
    {72, 1388, 3, 2, Smoke::mf_static, 215, 4},	//1850 QTcpServer::trUtf8(const char*, const char*)
    {72, 1384, 6, 3, Smoke::mf_static, 215, 5},	//1851 QTcpServer::tr(const char*, const char*, int)
    {72, 1388, 6, 3, Smoke::mf_static, 215, 6},	//1852 QTcpServer::trUtf8(const char*, const char*, int)
    {72, 1034, 10, 3, Smoke::mf_virtual, 406, 7},	//1853 QTcpServer::qt_metacall(QMetaObject::Call, int, void**)
    {72, 301, 20, 1, Smoke::mf_ctor, 222, 8},	//1854 QTcpServer::QTcpServer(QObject*)
    {72, 708, 74, 2, 0, 321, 9},	//1855 QTcpServer::listen(const QHostAddress&, unsigned short)
    {72, 506, 0, 0, 0, 0, 10},	//1856 QTcpServer::close()
    {72, 673, 0, 0, Smoke::mf_const, 321, 11},	//1857 QTcpServer::isListening() const
    {72, 1209, 44, 1, 0, 0, 12},	//1858 QTcpServer::setMaxPendingConnections(int)
    {72, 725, 0, 0, Smoke::mf_const, 406, 13},	//1859 QTcpServer::maxPendingConnections() const
    {72, 1112, 0, 0, Smoke::mf_const, 423, 14},	//1860 QTcpServer::serverPort() const
    {72, 1109, 0, 0, Smoke::mf_const, 75, 15},	//1861 QTcpServer::serverAddress() const
    {72, 1347, 0, 0, Smoke::mf_const, 406, 16},	//1862 QTcpServer::socketDescriptor() const
    {72, 1302, 44, 1, 0, 321, 17},	//1863 QTcpServer::setSocketDescriptor(int)
    {72, 1414, 1101, 2, 0, 321, 18},	//1864 QTcpServer::waitForNewConnection(int, bool*)
    {72, 634, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 321, 19},	//1865 QTcpServer::hasPendingConnections() const
    {72, 749, 0, 0, Smoke::mf_virtual, 223, 20},	//1866 QTcpServer::nextPendingConnection()
    {72, 1110, 0, 0, Smoke::mf_const, 5, 21},	//1867 QTcpServer::serverError() const
    {72, 594, 0, 0, Smoke::mf_const, 215, 22},	//1868 QTcpServer::errorString() const
    {72, 1268, 46, 1, 0, 0, 23},	//1869 QTcpServer::setProxy(const QNetworkProxy&)
    {72, 860, 0, 0, Smoke::mf_const, 156, 24},	//1870 QTcpServer::proxy() const
    {72, 651, 44, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1871 QTcpServer::incomingConnection(int)
    {72, 450, 1012, 1, Smoke::mf_protected, 0, 26},	//1872 QTcpServer::addPendingConnection(QTcpSocket*)
    {72, 748, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1873 QTcpServer::newConnection()
    {72, 1384, 1, 1, Smoke::mf_static, 215, 28},	//1874 QTcpServer::tr(const char*)
    {72, 1388, 1, 1, Smoke::mf_static, 215, 29},	//1875 QTcpServer::trUtf8(const char*)
    {72, 301, 0, 0, Smoke::mf_ctor, 222, 30},	//1876 QTcpServer::QTcpServer()
    {72, 708, 0, 0, 0, 321, 31},	//1877 QTcpServer::listen()
    {72, 708, 67, 1, 0, 321, 32},	//1878 QTcpServer::listen(const QHostAddress&)
    {72, 1414, 0, 0, 0, 321, 33},	//1879 QTcpServer::waitForNewConnection()
    {72, 1414, 44, 1, 0, 321, 34},	//1880 QTcpServer::waitForNewConnection(int)
    {72, 1360, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 35},	//1881 QTcpServer::staticMetaObject() const
    {72, 1462, 0, 0, Smoke::mf_dtor, 0, 36 },	//1882 QTcpServer::~QTcpServer()
    {73, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1883 QTcpSocket::metaObject() const
    {73, 1036, 1, 1, Smoke::mf_virtual, 428, 2},	//1884 QTcpSocket::qt_metacast(const char*)
    {73, 1384, 3, 2, Smoke::mf_static, 215, 3},	//1885 QTcpSocket::tr(const char*, const char*)
    {73, 1388, 3, 2, Smoke::mf_static, 215, 4},	//1886 QTcpSocket::trUtf8(const char*, const char*)
    {73, 1384, 6, 3, Smoke::mf_static, 215, 5},	//1887 QTcpSocket::tr(const char*, const char*, int)
    {73, 1388, 6, 3, Smoke::mf_static, 215, 6},	//1888 QTcpSocket::trUtf8(const char*, const char*, int)
    {73, 1034, 10, 3, Smoke::mf_virtual, 406, 7},	//1889 QTcpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {73, 303, 20, 1, Smoke::mf_ctor, 223, 8},	//1890 QTcpSocket::QTcpSocket(QObject*)
    {73, 1384, 1, 1, Smoke::mf_static, 215, 9},	//1891 QTcpSocket::tr(const char*)
    {73, 1388, 1, 1, Smoke::mf_static, 215, 10},	//1892 QTcpSocket::trUtf8(const char*)
    {73, 303, 0, 0, Smoke::mf_ctor, 223, 11},	//1893 QTcpSocket::QTcpSocket()
    {73, 1360, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 12},	//1894 QTcpSocket::staticMetaObject() const
    {73, 1463, 0, 0, Smoke::mf_dtor, 0, 13 },	//1895 QTcpSocket::~QTcpSocket()
    {78, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1896 QUdpSocket::metaObject() const
    {78, 1036, 1, 1, Smoke::mf_virtual, 428, 2},	//1897 QUdpSocket::qt_metacast(const char*)
    {78, 1384, 3, 2, Smoke::mf_static, 215, 3},	//1898 QUdpSocket::tr(const char*, const char*)
    {78, 1388, 3, 2, Smoke::mf_static, 215, 4},	//1899 QUdpSocket::trUtf8(const char*, const char*)
    {78, 1384, 6, 3, Smoke::mf_static, 215, 5},	//1900 QUdpSocket::tr(const char*, const char*, int)
    {78, 1388, 6, 3, Smoke::mf_static, 215, 6},	//1901 QUdpSocket::trUtf8(const char*, const char*, int)
    {78, 1034, 10, 3, Smoke::mf_virtual, 406, 7},	//1902 QUdpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {78, 305, 20, 1, Smoke::mf_ctor, 231, 8},	//1903 QUdpSocket::QUdpSocket(QObject*)
    {78, 480, 74, 2, 0, 321, 9},	//1904 QUdpSocket::bind(const QHostAddress&, unsigned short)
    {78, 480, 65, 1, 0, 321, 10},	//1905 QUdpSocket::bind(unsigned short)
    {78, 480, 1402, 3, 0, 321, 11},	//1906 QUdpSocket::bind(const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>)
    {78, 480, 1406, 2, 0, 321, 12},	//1907 QUdpSocket::bind(unsigned short, QFlags<QUdpSocket::BindFlag>)
    {78, 690, 67, 1, 0, 321, 13},	//1908 QUdpSocket::joinMulticastGroup(const QHostAddress&)
    {78, 690, 1409, 2, 0, 321, 14},	//1909 QUdpSocket::joinMulticastGroup(const QHostAddress&, const QNetworkInterface&)
    {78, 698, 67, 1, 0, 321, 15},	//1910 QUdpSocket::leaveMulticastGroup(const QHostAddress&)
    {78, 698, 1409, 2, 0, 321, 16},	//1911 QUdpSocket::leaveMulticastGroup(const QHostAddress&, const QNetworkInterface&)
    {78, 739, 0, 0, Smoke::mf_const, 152, 17},	//1912 QUdpSocket::multicastInterface() const
    {78, 1213, 1179, 1, 0, 0, 18},	//1913 QUdpSocket::setMulticastInterface(const QNetworkInterface&)
    {78, 635, 0, 0, Smoke::mf_const, 321, 19},	//1914 QUdpSocket::hasPendingDatagrams() const
    {78, 842, 0, 0, Smoke::mf_const, 411, 20},	//1915 QUdpSocket::pendingDatagramSize() const
    {78, 1067, 1412, 4, 0, 411, 21},	//1916 QUdpSocket::readDatagram(char*, long long, QHostAddress*, unsigned short*)
    {78, 1423, 1417, 4, 0, 411, 22},	//1917 QUdpSocket::writeDatagram(const char*, long long, const QHostAddress&, unsigned short)
    {78, 1423, 1422, 3, 0, 411, 23},	//1918 QUdpSocket::writeDatagram(const QByteArray&, const QHostAddress&, unsigned short)
    {78, 1384, 1, 1, Smoke::mf_static, 215, 24},	//1919 QUdpSocket::tr(const char*)
    {78, 1388, 1, 1, Smoke::mf_static, 215, 25},	//1920 QUdpSocket::trUtf8(const char*)
    {78, 305, 0, 0, Smoke::mf_ctor, 231, 26},	//1921 QUdpSocket::QUdpSocket()
    {78, 480, 0, 0, 0, 321, 27},	//1922 QUdpSocket::bind()
    {78, 1067, 59, 2, 0, 411, 28},	//1923 QUdpSocket::readDatagram(char*, long long)
    {78, 1067, 1426, 3, 0, 411, 29},	//1924 QUdpSocket::readDatagram(char*, long long, QHostAddress*)
    {78, 1360, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 30},	//1925 QUdpSocket::staticMetaObject() const
    {78, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 31},	//1926 QUdpSocket::DefaultForPlatform (enum)
    {78, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 32},	//1927 QUdpSocket::ShareAddress (enum)
    {78, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 33},	//1928 QUdpSocket::DontShareAddress (enum)
    {78, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 34},	//1929 QUdpSocket::ReuseAddressHint (enum)
    {78, 1464, 0, 0, Smoke::mf_dtor, 0, 35 },	//1930 QUdpSocket::~QUdpSocket()
    {80, 307, 0, 0, Smoke::mf_ctor, 238, 1},	//1931 QUrlInfo::QUrlInfo()
    {80, 307, 105, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 238, 2},	//1932 QUrlInfo::QUrlInfo(const QUrlInfo&)
    {80, 307, 1430, 13, Smoke::mf_ctor, 238, 3},	//1933 QUrlInfo::QUrlInfo(const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {80, 307, 1444, 13, Smoke::mf_ctor, 238, 4},	//1934 QUrlInfo::QUrlInfo(const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {80, 788, 105, 1, 0, 237, 5},	//1935 QUrlInfo::operator=(const QUrlInfo&)
    {80, 1215, 69, 1, Smoke::mf_virtual, 0, 6},	//1936 QUrlInfo::setName(const QString&)
    {80, 1166, 116, 1, Smoke::mf_virtual, 0, 7},	//1937 QUrlInfo::setDir(bool)
    {80, 1177, 116, 1, Smoke::mf_virtual, 0, 8},	//1938 QUrlInfo::setFile(bool)
    {80, 1324, 116, 1, Smoke::mf_virtual, 0, 9},	//1939 QUrlInfo::setSymLink(bool)
    {80, 1230, 69, 1, Smoke::mf_virtual, 0, 10},	//1940 QUrlInfo::setOwner(const QString&)
    {80, 1181, 69, 1, Smoke::mf_virtual, 0, 11},	//1941 QUrlInfo::setGroup(const QString&)
    {80, 1298, 33, 1, Smoke::mf_virtual, 0, 12},	//1942 QUrlInfo::setSize(long long)
    {80, 1344, 116, 1, Smoke::mf_virtual, 0, 13},	//1943 QUrlInfo::setWritable(bool)
    {80, 1283, 116, 1, Smoke::mf_virtual, 0, 14},	//1944 QUrlInfo::setReadable(bool)
    {80, 1250, 44, 1, Smoke::mf_virtual, 0, 15},	//1945 QUrlInfo::setPermissions(int)
    {80, 1195, 1164, 1, Smoke::mf_virtual, 0, 16},	//1946 QUrlInfo::setLastModified(const QDateTime&)
    {80, 1197, 1164, 1, 0, 0, 17},	//1947 QUrlInfo::setLastRead(const QDateTime&)
    {80, 685, 0, 0, Smoke::mf_const, 321, 18},	//1948 QUrlInfo::isValid() const
    {80, 740, 0, 0, Smoke::mf_const, 215, 19},	//1949 QUrlInfo::name() const
    {80, 843, 0, 0, Smoke::mf_const, 406, 20},	//1950 QUrlInfo::permissions() const
    {80, 820, 0, 0, Smoke::mf_const, 215, 21},	//1951 QUrlInfo::owner() const
    {80, 626, 0, 0, Smoke::mf_const, 215, 22},	//1952 QUrlInfo::group() const
    {80, 1346, 0, 0, Smoke::mf_const, 411, 23},	//1953 QUrlInfo::size() const
    {80, 695, 0, 0, Smoke::mf_const, 22, 24},	//1954 QUrlInfo::lastModified() const
    {80, 696, 0, 0, Smoke::mf_const, 22, 25},	//1955 QUrlInfo::lastRead() const
    {80, 664, 0, 0, Smoke::mf_const, 321, 26},	//1956 QUrlInfo::isDir() const
    {80, 667, 0, 0, Smoke::mf_const, 321, 27},	//1957 QUrlInfo::isFile() const
    {80, 683, 0, 0, Smoke::mf_const, 321, 28},	//1958 QUrlInfo::isSymLink() const
    {80, 686, 0, 0, Smoke::mf_const, 321, 29},	//1959 QUrlInfo::isWritable() const
    {80, 677, 0, 0, Smoke::mf_const, 321, 30},	//1960 QUrlInfo::isReadable() const
    {80, 666, 0, 0, Smoke::mf_const, 321, 31},	//1961 QUrlInfo::isExecutable() const
    {80, 624, 1458, 3, Smoke::mf_static, 321, 32},	//1962 QUrlInfo::greaterThan(const QUrlInfo&, const QUrlInfo&, int)
    {80, 702, 1458, 3, Smoke::mf_static, 321, 33},	//1963 QUrlInfo::lessThan(const QUrlInfo&, const QUrlInfo&, int)
    {80, 590, 1458, 3, Smoke::mf_static, 321, 34},	//1964 QUrlInfo::equal(const QUrlInfo&, const QUrlInfo&, int)
    {80, 791, 105, 1, Smoke::mf_const, 321, 35},	//1965 QUrlInfo::operator==(const QUrlInfo&) const
    {80, 755, 105, 1, Smoke::mf_const, 321, 36},	//1966 QUrlInfo::operator!=(const QUrlInfo&) const
    {80, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 37},	//1967 QUrlInfo::ReadOwner (enum)
    {80, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 38},	//1968 QUrlInfo::WriteOwner (enum)
    {80, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 39},	//1969 QUrlInfo::ExeOwner (enum)
    {80, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 40},	//1970 QUrlInfo::ReadGroup (enum)
    {80, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 41},	//1971 QUrlInfo::WriteGroup (enum)
    {80, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 42},	//1972 QUrlInfo::ExeGroup (enum)
    {80, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 43},	//1973 QUrlInfo::ReadOther (enum)
    {80, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 44},	//1974 QUrlInfo::WriteOther (enum)
    {80, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 45},	//1975 QUrlInfo::ExeOther (enum)
    {80, 1465, 0, 0, Smoke::mf_dtor, 0, 46 },	//1976 QUrlInfo::~QUrlInfo()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    904,  // QHttpResponseHeader::QHttpResponseHeader(const QString&)
    914,  // QHttpResponseHeader::QHttpResponseHeader(int)
    0,
    1745,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    1822,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    0,
    279,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    318,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    327,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    373,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    397,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    414,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    449,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    454,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    489,  // QGlobalSpace::operator!=(QChar, QChar)
    511,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    564,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    579,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    605,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    639,  // QGlobalSpace::operator!=(QBool, QBool)
    651,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    267,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    286,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    299,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    498,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    604,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    369,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    427,  // QGlobalSpace::operator!=(bool, QBool)
    452,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    495,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    612,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    518,  // QGlobalSpace::operator*(const QSize&, double)
    582,  // QGlobalSpace::operator*(const QPoint&, int)
    594,  // QGlobalSpace::operator*(const QPoint&, double)
    598,  // QGlobalSpace::operator*(const QSizeF&, double)
    600,  // QGlobalSpace::operator*(const QPoint&, float)
    609,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    276,  // QGlobalSpace::operator*(double, const QSizeF&)
    410,  // QGlobalSpace::operator*(int, const QPoint&)
    442,  // QGlobalSpace::operator*(float, const QPoint&)
    515,  // QGlobalSpace::operator*(double, const QPointF&)
    522,  // QGlobalSpace::operator*(double, const QPoint&)
    601,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    292,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    308,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    312,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    383,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    420,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    330,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    363,  // QGlobalSpace::operator+(QChar, const QString&)
    457,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    244,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    326,  // QGlobalSpace::operator+(const QString&, QChar)
    504,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    386,  // QGlobalSpace::operator-(const QPoint&)
    436,  // QGlobalSpace::operator-(const QPointF&)
    0,
    280,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    295,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    374,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    507,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    291,  // QGlobalSpace::operator/(const QPoint&, double)
    426,  // QGlobalSpace::operator/(const QPointF&, double)
    461,  // QGlobalSpace::operator/(const QSizeF&, double)
    585,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    265,  // QGlobalSpace::operator<(QChar, QChar)
    377,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    602,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    241,  // QGlobalSpace::operator<<(QDebug, const QSslError&)
    264,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    268,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    281,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    288,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    294,  // QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    296,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    301,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    302,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    323,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    346,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    347,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    388,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    395,  // QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    423,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    433,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    440,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    446,  // QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    462,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    470,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    474,  // QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    479,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    480,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    482,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    483,  // QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    486,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    487,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    501,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    506,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    508,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    519,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    524,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    546,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    558,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    559,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    560,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    562,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    570,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    571,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    573,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    576,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    603,  // QGlobalSpace::operator<<(QDebug, const QSslKey&)
    607,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    617,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    624,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    630,  // QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    634,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    636,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    649,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    653,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    240,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    284,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    303,  // QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    328,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    396,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    406,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    422,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    453,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    512,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    556,  // QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    615,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    359,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    469,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    577,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    243,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    247,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    259,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    260,  // QGlobalSpace::operator==(QChar, QChar)
    340,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    354,  // QGlobalSpace::operator==(QBool, QBool)
    375,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    385,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    392,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    419,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    455,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    463,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    517,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    534,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    567,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    588,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    242,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    418,  // QGlobalSpace::operator==(QString::Null, const QString&)
    597,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    599,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    629,  // QGlobalSpace::operator==(QBool, bool)
    0,
    255,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    355,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    437,  // QGlobalSpace::operator==(bool, QBool)
    478,  // QGlobalSpace::operator==(const QString&, QString::Null)
    493,  // QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    505,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    274,  // QGlobalSpace::operator>(QChar, QChar)
    343,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    411,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    232,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    266,  // QGlobalSpace::operator>=(QChar, QChar)
    543,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    249,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    324,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    353,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    366,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    413,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    417,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    428,  // QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    432,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    434,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    460,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    494,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    503,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    510,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    514,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    568,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    581,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    590,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    606,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    623,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    631,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    632,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    648,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    652,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    471,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    583,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    235,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    236,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    245,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    254,  // QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    261,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    270,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    273,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    275,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    278,  // QGlobalSpace::operator|(QDir::Filter, int)
    282,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    283,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    287,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    289,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    290,  // QGlobalSpace::operator|(QFile::Permission, int)
    293,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    300,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    304,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    305,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    306,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    307,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    309,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    313,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    317,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    320,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    321,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    331,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    332,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    333,  // QGlobalSpace::operator|(QSsl::SslOption, QFlags<QSsl::SslOption>)
    336,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    341,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    356,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    361,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    364,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    365,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    371,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    372,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    376,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    378,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    380,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    384,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    387,  // QGlobalSpace::operator|(Qt::DropAction, int)
    389,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    400,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    403,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    407,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    415,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    425,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    430,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    435,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    439,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    445,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    447,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    448,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    451,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    458,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    459,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    476,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    484,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    490,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    502,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    509,  // QGlobalSpace::operator|(Qt::WindowState, int)
    513,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    516,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    520,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    527,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    529,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    530,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    531,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    535,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    540,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    541,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    542,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    544,  // QGlobalSpace::operator|(QSsl::SslOption, int)
    547,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    548,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    552,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    553,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    554,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    555,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    557,  // QGlobalSpace::operator|(QSsl::SslOption, QSsl::SslOption)
    563,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    566,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    572,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    578,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    580,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    591,  // QGlobalSpace::operator|(Qt::Orientation, int)
    593,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    595,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    608,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    611,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    616,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    618,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    619,  // QGlobalSpace::operator|(Qt::WindowType, int)
    621,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    625,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    626,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    635,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    637,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    640,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    642,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    645,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    650,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    533,  // QGlobalSpace::qFuzzyCompare(float, float)
    592,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    379,  // QGlobalSpace::qFuzzyIsNull(float)
    549,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    262,  // QGlobalSpace::qHash(const QUrl&)
    263,  // QGlobalSpace::qHash(const QByteArray&)
    337,  // QGlobalSpace::qHash(QChar)
    351,  // QGlobalSpace::qHash(const QModelIndex&)
    357,  // QGlobalSpace::qHash(const QHostAddress&)
    421,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    485,  // QGlobalSpace::qHash(const QBitArray&)
    643,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    233,  // QGlobalSpace::qHash(unsigned long long)
    253,  // QGlobalSpace::qHash(signed char)
    285,  // QGlobalSpace::qHash(char)
    335,  // QGlobalSpace::qHash(unsigned int)
    345,  // QGlobalSpace::qHash(const QString&)
    368,  // QGlobalSpace::qHash(long long)
    382,  // QGlobalSpace::qHash(int)
    409,  // QGlobalSpace::qHash(long)
    412,  // QGlobalSpace::qHash(unsigned short)
    526,  // QGlobalSpace::qHash(short)
    633,  // QGlobalSpace::qHash(unsigned long)
    647,  // QGlobalSpace::qHash(unsigned char)
    0,
    257,  // QGlobalSpace::qIntCast(double)
    339,  // QGlobalSpace::qIntCast(float)
    0,
    297,  // QGlobalSpace::qIsFinite(double)
    325,  // QGlobalSpace::qIsFinite(float)
    0,
    234,  // QGlobalSpace::qIsInf(double)
    251,  // QGlobalSpace::qIsInf(float)
    0,
    358,  // QGlobalSpace::qIsNaN(float)
    362,  // QGlobalSpace::qIsNaN(double)
    0,
    586,  // QGlobalSpace::qIsNull(float)
    644,  // QGlobalSpace::qIsNull(double)
    0,
    1342,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    1363,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    0,
    1339,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    1371,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short)
    0,
    1369,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int)
    1372,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&)
    0,
    1345,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1370,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&)
    0,
    1364,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    1367,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    0,
    1341,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1365,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    0,
    1198,  // QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    1220,  // QNetworkCookie::QNetworkCookie(const QByteArray&)
    0,
    198,  // QFtp::put(const QByteArray&, const QString&)
    199,  // QFtp::put(QIODevice*, const QString&)
    0,
    162,  // QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    163,  // QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    0,
    678,  // QHostAddress::QHostAddress(const QIPv6Address&)
    679,  // QHostAddress::QHostAddress(const sockaddr*)
    681,  // QHostAddress::QHostAddress(const QHostAddress&)
    0,
    676,  // QHostAddress::QHostAddress(unsigned int)
    677,  // QHostAddress::QHostAddress(unsigned char*)
    680,  // QHostAddress::QHostAddress(const QString&)
    682,  // QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    0,
    687,  // QHostAddress::setAddress(const QIPv6Address&)
    688,  // QHostAddress::setAddress(const sockaddr*)
    0,
    685,  // QHostAddress::setAddress(unsigned int)
    686,  // QHostAddress::setAddress(unsigned char*)
    689,  // QHostAddress::setAddress(const QString&)
    0,
    1593,  // QSslCertificate::QSslCertificate(const QSslCertificate&)
    1617,  // QSslCertificate::QSslCertificate(QIODevice*)
    1619,  // QSslCertificate::QSslCertificate(const QByteArray&)
    0,
    1591,  // QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    1592,  // QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    0,
    942,  // QIPv6Address::operator[](int)
    943,  // QIPv6Address::operator[](int) const
    0,
    1452,  // QNetworkRequest::QNetworkRequest(const QUrl&)
    1453,  // QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    0,
    1728,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    1731,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    0,
    1729,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    1732,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    0,
    1730,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    1733,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    0,
    1714,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    1715,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    0,
    789,  // QHttp::QHttp(const QString&, unsigned short)
    790,  // QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    0,
    798,  // QHttp::post(const QString&, QIODevice*)
    799,  // QHttp::post(const QString&, const QByteArray&)
    0,
    752,  // QHttp::post(const QString&, QIODevice*, QIODevice*)
    753,  // QHttp::post(const QString&, const QByteArray&, QIODevice*)
    0,
    801,  // QHttp::request(const QHttpRequestHeader&, QIODevice*)
    802,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    0,
    755,  // QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    756,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    0,
    745,  // QHttp::setHost(const QString&, unsigned short)
    793,  // QHttp::setHost(const QString&, QHttp::ConnectionMode)
    0,
    1057,  // QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    1058,  // QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    1059,  // QNetworkAccessManager::post(const QNetworkRequest&, QHttpMultiPart*)
    0,
    1060,  // QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    1061,  // QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    1062,  // QNetworkAccessManager::put(const QNetworkRequest&, QHttpMultiPart*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 186, 19},	// QAbstractNetworkCache::QAbstractNetworkCache
    {1, 187, 16},	// QAbstractNetworkCache::QAbstractNetworkCache#
    {1, 494, 12},	// QAbstractNetworkCache::cacheSize
    {1, 503, 15},	// QAbstractNetworkCache::clear
    {1, 557, 10},	// QAbstractNetworkCache::data#
    {1, 656, 14},	// QAbstractNetworkCache::insert#
    {1, 728, 8},	// QAbstractNetworkCache::metaData#
    {1, 730, 1},	// QAbstractNetworkCache::metaObject
    {1, 854, 13},	// QAbstractNetworkCache::prepare#
    {1, 1035, 7},	// QAbstractNetworkCache::qt_metacall$$?
    {1, 1037, 2},	// QAbstractNetworkCache::qt_metacast$
    {1, 1079, 11},	// QAbstractNetworkCache::remove#
    {1, 1360, 20},	// QAbstractNetworkCache::staticMetaObject
    {1, 1385, 17},	// QAbstractNetworkCache::tr$
    {1, 1386, 3},	// QAbstractNetworkCache::tr$$
    {1, 1387, 5},	// QAbstractNetworkCache::tr$$$
    {1, 1389, 18},	// QAbstractNetworkCache::trUtf8$
    {1, 1390, 4},	// QAbstractNetworkCache::trUtf8$$
    {1, 1391, 6},	// QAbstractNetworkCache::trUtf8$$$
    {1, 1396, 9},	// QAbstractNetworkCache::updateMetaData#
    {1, 1426, 21},	// QAbstractNetworkCache::~QAbstractNetworkCache
    {2, 4, 106},	// QAbstractSocket::AddressInUseError
    {2, 29, 122},	// QAbstractSocket::BoundState
    {2, 47, 124},	// QAbstractSocket::ClosingState
    {2, 51, 121},	// QAbstractSocket::ConnectedState
    {2, 53, 120},	// QAbstractSocket::ConnectingState
    {2, 59, 98},	// QAbstractSocket::ConnectionRefusedError
    {2, 74, 104},	// QAbstractSocket::DatagramTooLargeError
    {2, 101, 119},	// QAbstractSocket::HostLookupState
    {2, 105, 100},	// QAbstractSocket::HostNotFoundError
    {2, 112, 95},	// QAbstractSocket::IPv4Protocol
    {2, 113, 96},	// QAbstractSocket::IPv6Protocol
    {2, 126, 126},	// QAbstractSocket::KeepAliveOption
    {2, 130, 123},	// QAbstractSocket::ListeningState
    {2, 137, 125},	// QAbstractSocket::LowDelayOption
    {2, 143, 128},	// QAbstractSocket::MulticastLoopbackOption
    {2, 144, 127},	// QAbstractSocket::MulticastTtlOption
    {2, 146, 105},	// QAbstractSocket::NetworkError
    {2, 175, 110},	// QAbstractSocket::ProxyAuthenticationRequiredError
    {2, 176, 113},	// QAbstractSocket::ProxyConnectionClosedError
    {2, 177, 112},	// QAbstractSocket::ProxyConnectionRefusedError
    {2, 178, 114},	// QAbstractSocket::ProxyConnectionTimeoutError
    {2, 179, 115},	// QAbstractSocket::ProxyNotFoundError
    {2, 180, 116},	// QAbstractSocket::ProxyProtocolError
    {2, 189, 29},	// QAbstractSocket::QAbstractSocket$#
    {2, 326, 99},	// QAbstractSocket::RemoteHostClosedError
    {2, 346, 101},	// QAbstractSocket::SocketAccessError
    {2, 347, 107},	// QAbstractSocket::SocketAddressNotAvailableError
    {2, 348, 102},	// QAbstractSocket::SocketResourceError
    {2, 349, 103},	// QAbstractSocket::SocketTimeoutError
    {2, 353, 111},	// QAbstractSocket::SslHandshakeFailedError
    {2, 367, 92},	// QAbstractSocket::TcpSocket
    {2, 375, 93},	// QAbstractSocket::UdpSocket
    {2, 384, 118},	// QAbstractSocket::UnconnectedState
    {2, 388, 109},	// QAbstractSocket::UnfinishedSocketOperationError
    {2, 393, 97},	// QAbstractSocket::UnknownNetworkLayerProtocol
    {2, 399, 117},	// QAbstractSocket::UnknownSocketError
    {2, 400, 94},	// QAbstractSocket::UnknownSocketType
    {2, 402, 108},	// QAbstractSocket::UnsupportedSocketOperationError
    {2, 430, 44},	// QAbstractSocket::abort
    {2, 468, 54},	// QAbstractSocket::atEnd
    {2, 487, 34},	// QAbstractSocket::bytesAvailable
    {2, 489, 35},	// QAbstractSocket::bytesToWrite
    {2, 495, 36},	// QAbstractSocket::canReadLine
    {2, 506, 52},	// QAbstractSocket::close
    {2, 525, 83},	// QAbstractSocket::connectToHost#$
    {2, 526, 31},	// QAbstractSocket::connectToHost#$$
    {2, 528, 82},	// QAbstractSocket::connectToHost$$
    {2, 529, 30},	// QAbstractSocket::connectToHost$$$
    {2, 535, 90},	// QAbstractSocket::connectToHostImplementation$$
    {2, 536, 68},	// QAbstractSocket::connectToHostImplementation$$$
    {2, 540, 63},	// QAbstractSocket::connected
    {2, 572, 32},	// QAbstractSocket::disconnectFromHost
    {2, 573, 69},	// QAbstractSocket::disconnectFromHostImplementation
    {2, 577, 64},	// QAbstractSocket::disconnected
    {2, 592, 51},	// QAbstractSocket::error
    {2, 593, 66},	// QAbstractSocket::error$
    {2, 605, 55},	// QAbstractSocket::flush
    {2, 644, 62},	// QAbstractSocket::hostFound
    {2, 681, 53},	// QAbstractSocket::isSequential
    {2, 685, 33},	// QAbstractSocket::isValid
    {2, 712, 38},	// QAbstractSocket::localAddress
    {2, 716, 37},	// QAbstractSocket::localPort
    {2, 730, 22},	// QAbstractSocket::metaObject
    {2, 831, 40},	// QAbstractSocket::peerAddress
    {2, 835, 41},	// QAbstractSocket::peerName
    {2, 836, 39},	// QAbstractSocket::peerPort
    {2, 860, 61},	// QAbstractSocket::proxy
    {2, 862, 67},	// QAbstractSocket::proxyAuthenticationRequired##
    {2, 1035, 28},	// QAbstractSocket::qt_metacall$$?
    {2, 1037, 23},	// QAbstractSocket::qt_metacast$
    {2, 1064, 42},	// QAbstractSocket::readBufferSize
    {2, 1066, 70},	// QAbstractSocket::readData$$
    {2, 1072, 71},	// QAbstractSocket::readLineData$$
    {2, 1200, 76},	// QAbstractSocket::setLocalAddress#
    {2, 1206, 75},	// QAbstractSocket::setLocalPort$
    {2, 1237, 78},	// QAbstractSocket::setPeerAddress#
    {2, 1241, 79},	// QAbstractSocket::setPeerName$
    {2, 1243, 77},	// QAbstractSocket::setPeerPort$
    {2, 1269, 60},	// QAbstractSocket::setProxy#
    {2, 1282, 43},	// QAbstractSocket::setReadBufferSize$
    {2, 1303, 84},	// QAbstractSocket::setSocketDescriptor$
    {2, 1304, 85},	// QAbstractSocket::setSocketDescriptor$$
    {2, 1305, 46},	// QAbstractSocket::setSocketDescriptor$$$
    {2, 1310, 74},	// QAbstractSocket::setSocketError$
    {2, 1312, 47},	// QAbstractSocket::setSocketOption$#
    {2, 1314, 73},	// QAbstractSocket::setSocketState$
    {2, 1347, 45},	// QAbstractSocket::socketDescriptor
    {2, 1349, 48},	// QAbstractSocket::socketOption$
    {2, 1350, 49},	// QAbstractSocket::socketType
    {2, 1357, 50},	// QAbstractSocket::state
    {2, 1359, 65},	// QAbstractSocket::stateChanged$
    {2, 1360, 91},	// QAbstractSocket::staticMetaObject
    {2, 1385, 80},	// QAbstractSocket::tr$
    {2, 1386, 24},	// QAbstractSocket::tr$$
    {2, 1387, 26},	// QAbstractSocket::tr$$$
    {2, 1389, 81},	// QAbstractSocket::trUtf8$
    {2, 1390, 25},	// QAbstractSocket::trUtf8$$
    {2, 1391, 27},	// QAbstractSocket::trUtf8$$$
    {2, 1406, 88},	// QAbstractSocket::waitForBytesWritten
    {2, 1407, 58},	// QAbstractSocket::waitForBytesWritten$
    {2, 1408, 86},	// QAbstractSocket::waitForConnected
    {2, 1409, 56},	// QAbstractSocket::waitForConnected$
    {2, 1410, 89},	// QAbstractSocket::waitForDisconnected
    {2, 1411, 59},	// QAbstractSocket::waitForDisconnected$
    {2, 1419, 87},	// QAbstractSocket::waitForReadyRead
    {2, 1420, 57},	// QAbstractSocket::waitForReadyRead$
    {2, 1422, 72},	// QAbstractSocket::writeData$$
    {2, 1427, 129},	// QAbstractSocket::~QAbstractSocket
    {3, 190, 130},	// QAuthenticator::QAuthenticator
    {3, 191, 131},	// QAuthenticator::QAuthenticator#
    {3, 569, 144},	// QAuthenticator::detach
    {3, 674, 143},	// QAuthenticator::isNull
    {3, 756, 134},	// QAuthenticator::operator!=#
    {3, 789, 132},	// QAuthenticator::operator=#
    {3, 792, 133},	// QAuthenticator::operator==#
    {3, 817, 140},	// QAuthenticator::option$
    {3, 818, 141},	// QAuthenticator::options
    {3, 829, 137},	// QAuthenticator::password
    {3, 1075, 139},	// QAuthenticator::realm
    {3, 1227, 142},	// QAuthenticator::setOption$#
    {3, 1233, 138},	// QAuthenticator::setPassword$
    {3, 1335, 136},	// QAuthenticator::setUser$
    {3, 1401, 135},	// QAuthenticator::user
    {3, 1428, 145},	// QAuthenticator::~QAuthenticator
    {16, 3, 227},	// QFtp::Active
    {16, 13, 230},	// QFtp::Ascii
    {16, 28, 229},	// QFtp::Binary
    {16, 37, 219},	// QFtp::Cd
    {16, 45, 217},	// QFtp::Close
    {16, 46, 206},	// QFtp::Closing
    {16, 49, 215},	// QFtp::ConnectToHost
    {16, 50, 204},	// QFtp::Connected
    {16, 52, 203},	// QFtp::Connecting
    {16, 58, 210},	// QFtp::ConnectionRefused
    {16, 96, 220},	// QFtp::Get
    {16, 100, 202},	// QFtp::HostLookup
    {16, 104, 209},	// QFtp::HostNotFound
    {16, 128, 218},	// QFtp::List
    {16, 135, 205},	// QFtp::LoggedIn
    {16, 136, 216},	// QFtp::Login
    {16, 142, 223},	// QFtp::Mkdir
    {16, 148, 207},	// QFtp::NoError
    {16, 152, 212},	// QFtp::None
    {16, 156, 211},	// QFtp::NotConnected
    {16, 163, 228},	// QFtp::Passive
    {16, 184, 221},	// QFtp::Put
    {16, 192, 191},	// QFtp::QFtp
    {16, 193, 153},	// QFtp::QFtp#
    {16, 317, 226},	// QFtp::RawCommand
    {16, 327, 222},	// QFtp::Remove
    {16, 328, 225},	// QFtp::Rename
    {16, 330, 224},	// QFtp::Rmdir
    {16, 343, 214},	// QFtp::SetProxy
    {16, 344, 213},	// QFtp::SetTransferMode
    {16, 383, 201},	// QFtp::Unconnected
    {16, 391, 208},	// QFtp::UnknownError
    {16, 430, 180},	// QFtp::abort
    {16, 487, 169},	// QFtp::bytesAvailable
    {16, 498, 160},	// QFtp::cd$
    {16, 504, 176},	// QFtp::clearPendingCommands
    {16, 506, 157},	// QFtp::close
    {16, 510, 187},	// QFtp::commandFinished$$
    {16, 512, 186},	// QFtp::commandStarted$
    {16, 527, 192},	// QFtp::connectToHost$
    {16, 528, 155},	// QFtp::connectToHost$$
    {16, 549, 174},	// QFtp::currentCommand
    {16, 551, 173},	// QFtp::currentDevice
    {16, 552, 172},	// QFtp::currentId
    {16, 563, 184},	// QFtp::dataTransferProgress$$
    {16, 580, 188},	// QFtp::done$
    {16, 592, 178},	// QFtp::error
    {16, 594, 179},	// QFtp::errorString
    {16, 621, 196},	// QFtp::get$
    {16, 622, 197},	// QFtp::get$#
    {16, 623, 161},	// QFtp::get$#$
    {16, 633, 175},	// QFtp::hasPendingCommands
    {16, 704, 195},	// QFtp::list
    {16, 705, 159},	// QFtp::list$
    {16, 707, 182},	// QFtp::listInfo#
    {16, 717, 193},	// QFtp::login
    {16, 718, 194},	// QFtp::login$
    {16, 719, 156},	// QFtp::login$$
    {16, 730, 146},	// QFtp::metaObject
    {16, 735, 165},	// QFtp::mkdir$
    {16, 870, -379},	// QFtp::put#$
    {16, 871, -382},	// QFtp::put#$$
    {16, 1035, 152},	// QFtp::qt_metacall$$?
    {16, 1037, 147},	// QFtp::qt_metacast$
    {16, 1053, 168},	// QFtp::rawCommand$
    {16, 1055, 185},	// QFtp::rawCommandReply$$
    {16, 1062, 170},	// QFtp::read$$
    {16, 1063, 171},	// QFtp::readAll
    {16, 1073, 183},	// QFtp::readyRead
    {16, 1080, 164},	// QFtp::remove$
    {16, 1088, 167},	// QFtp::rename$$
    {16, 1101, 166},	// QFtp::rmdir$
    {16, 1270, 154},	// QFtp::setProxy$$
    {16, 1327, 158},	// QFtp::setTransferMode$
    {16, 1357, 177},	// QFtp::state
    {16, 1359, 181},	// QFtp::stateChanged$
    {16, 1360, 200},	// QFtp::staticMetaObject
    {16, 1385, 189},	// QFtp::tr$
    {16, 1386, 148},	// QFtp::tr$$
    {16, 1387, 150},	// QFtp::tr$$$
    {16, 1389, 190},	// QFtp::trUtf8$
    {16, 1390, 149},	// QFtp::trUtf8$$
    {16, 1391, 151},	// QFtp::trUtf8$$$
    {16, 1429, 231},	// QFtp::~QFtp
    {17, 311, 668},	// QGlobalSpace::QtCriticalMsg
    {17, 312, 666},	// QGlobalSpace::QtDebugMsg
    {17, 313, 669},	// QGlobalSpace::QtFatalMsg
    {17, 314, 670},	// QGlobalSpace::QtSystemMsg
    {17, 315, 667},	// QGlobalSpace::QtWarningMsg
    {17, 414, 665},	// QGlobalSpace::_ISalnum
    {17, 415, 656},	// QGlobalSpace::_ISalpha
    {17, 416, 662},	// QGlobalSpace::_ISblank
    {17, 417, 663},	// QGlobalSpace::_IScntrl
    {17, 418, 657},	// QGlobalSpace::_ISdigit
    {17, 419, 661},	// QGlobalSpace::_ISgraph
    {17, 420, 655},	// QGlobalSpace::_ISlower
    {17, 421, 660},	// QGlobalSpace::_ISprint
    {17, 422, 664},	// QGlobalSpace::_ISpunct
    {17, 423, 659},	// QGlobalSpace::_ISspace
    {17, 424, 654},	// QGlobalSpace::_ISupper
    {17, 425, 658},	// QGlobalSpace::_ISxdigit
    {17, 426, 673},	// QGlobalSpace::__codecvt_error
    {17, 427, 674},	// QGlobalSpace::__codecvt_noconv
    {17, 428, 671},	// QGlobalSpace::__codecvt_ok
    {17, 429, 672},	// QGlobalSpace::__codecvt_partial
    {17, 757, -7},	// QGlobalSpace::operator!=##
    {17, 758, -23},	// QGlobalSpace::operator!=#$
    {17, 760, -29},	// QGlobalSpace::operator!=$#
    {17, 762, 443},	// QGlobalSpace::operator&##
    {17, 764, -35},	// QGlobalSpace::operator*#$
    {17, 765, -42},	// QGlobalSpace::operator*$#
    {17, 767, -49},	// QGlobalSpace::operator+##
    {17, 768, -55},	// QGlobalSpace::operator+#$
    {17, 769, -59},	// QGlobalSpace::operator+$#
    {17, 770, 638},	// QGlobalSpace::operator+$$
    {17, 772, -63},	// QGlobalSpace::operator-#
    {17, 773, -66},	// QGlobalSpace::operator-##
    {17, 775, -71},	// QGlobalSpace::operator/#$
    {17, 777, -76},	// QGlobalSpace::operator<##
    {17, 778, 481},	// QGlobalSpace::operator<#$
    {17, 779, 269},	// QGlobalSpace::operator<$#
    {17, 781, -80},	// QGlobalSpace::operator<<##
    {17, 782, -131},	// QGlobalSpace::operator<<#$
    {17, 783, 456},	// QGlobalSpace::operator<<#?
    {17, 785, -143},	// QGlobalSpace::operator<=##
    {17, 786, 338},	// QGlobalSpace::operator<=#$
    {17, 787, 467},	// QGlobalSpace::operator<=$#
    {17, 793, -147},	// QGlobalSpace::operator==##
    {17, 794, -164},	// QGlobalSpace::operator==#$
    {17, 796, -170},	// QGlobalSpace::operator==$#
    {17, 798, -177},	// QGlobalSpace::operator>##
    {17, 799, 646},	// QGlobalSpace::operator>#$
    {17, 800, 256},	// QGlobalSpace::operator>$#
    {17, 802, -181},	// QGlobalSpace::operator>=##
    {17, 803, 250},	// QGlobalSpace::operator>=#$
    {17, 804, 444},	// QGlobalSpace::operator>=$#
    {17, 806, -185},	// QGlobalSpace::operator>>##
    {17, 807, -209},	// QGlobalSpace::operator>>#$
    {17, 808, 404},	// QGlobalSpace::operator>>#?
    {17, 812, 342},	// QGlobalSpace::operator^##
    {17, 814, 569},	// QGlobalSpace::operator|##
    {17, 815, -212},	// QGlobalSpace::operator|$$
    {17, 873, 539},	// QGlobalSpace::qAcos$
    {17, 875, 464},	// QGlobalSpace::qAddPostRoutine$
    {17, 876, 472},	// QGlobalSpace::qAppName
    {17, 878, 561},	// QGlobalSpace::qAsin$
    {17, 880, 589},	// QGlobalSpace::qAtan$
    {17, 882, 248},	// QGlobalSpace::qAtan2$$
    {17, 883, 545},	// QGlobalSpace::qBadAlloc
    {17, 885, 488},	// QGlobalSpace::qCeil$
    {17, 887, 399},	// QGlobalSpace::qChecksum$$
    {17, 889, 551},	// QGlobalSpace::qCompress#
    {17, 890, 550},	// QGlobalSpace::qCompress#$
    {17, 891, 466},	// QGlobalSpace::qCompress$$
    {17, 892, 465},	// QGlobalSpace::qCompress$$$
    {17, 894, 272},	// QGlobalSpace::qCos$
    {17, 895, 450},	// QGlobalSpace::qCritical
    {17, 896, 496},	// QGlobalSpace::qDebug
    {17, 898, 390},	// QGlobalSpace::qExp$
    {17, 900, 528},	// QGlobalSpace::qFabs$
    {17, 902, 352},	// QGlobalSpace::qFastCos$
    {17, 904, 468},	// QGlobalSpace::qFastSin$
    {17, 906, 360},	// QGlobalSpace::qFlagLocation$
    {17, 908, 322},	// QGlobalSpace::qFloor$
    {17, 910, 475},	// QGlobalSpace::qFree$
    {17, 912, 477},	// QGlobalSpace::qFreeAligned$
    {17, 914, -315},	// QGlobalSpace::qFuzzyCompare$$
    {17, 916, -318},	// QGlobalSpace::qFuzzyIsNull$
    {17, 918, -321},	// QGlobalSpace::qHash#
    {17, 919, -330},	// QGlobalSpace::qHash$
    {17, 920, 614},	// QGlobalSpace::qInf
    {17, 922, 349},	// QGlobalSpace::qInstallMsgHandler$
    {17, 924, -343},	// QGlobalSpace::qIntCast$
    {17, 926, -346},	// QGlobalSpace::qIsFinite$
    {17, 928, -349},	// QGlobalSpace::qIsInf$
    {17, 930, -352},	// QGlobalSpace::qIsNaN$
    {17, 932, -355},	// QGlobalSpace::qIsNull$
    {17, 934, 393},	// QGlobalSpace::qLn$
    {17, 936, 401},	// QGlobalSpace::qMalloc$
    {17, 938, 497},	// QGlobalSpace::qMallocAligned$$
    {17, 940, 238},	// QGlobalSpace::qMemCopy$$$
    {17, 942, 523},	// QGlobalSpace::qMemSet$$$
    {17, 944, 500},	// QGlobalSpace::qPow$$
    {17, 945, 402},	// QGlobalSpace::qQNaN
    {17, 947, 344},	// QGlobalSpace::qRealloc$$
    {17, 949, 334},	// QGlobalSpace::qReallocAligned$$$$
    {17, 951, 398},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {17, 953, 622},	// QGlobalSpace::qRemovePostRoutine$
    {17, 955, 613},	// QGlobalSpace::qRound$
    {17, 957, 348},	// QGlobalSpace::qRound64$
    {17, 958, 596},	// QGlobalSpace::qSNaN
    {17, 960, 319},	// QGlobalSpace::qSetFieldWidth$
    {17, 962, 258},	// QGlobalSpace::qSetPadChar#
    {17, 964, 391},	// QGlobalSpace::qSetRealNumberPrecision$
    {17, 965, 277},	// QGlobalSpace::qSharedBuild
    {17, 967, 565},	// QGlobalSpace::qSin$
    {17, 969, 350},	// QGlobalSpace::qSqrt$
    {17, 971, 491},	// QGlobalSpace::qStringComparisonHelper#$
    {17, 973, 316},	// QGlobalSpace::qTan$
    {17, 975, 431},	// QGlobalSpace::qUncompress#
    {17, 976, 314},	// QGlobalSpace::qUncompress$$
    {17, 977, 473},	// QGlobalSpace::qVersion
    {17, 978, 627},	// QGlobalSpace::qWarning
    {17, 980, 329},	// QGlobalSpace::qbswap_helper$$$
    {17, 982, 298},	// QGlobalSpace::qecvt$$$$
    {17, 984, 499},	// QGlobalSpace::qecvt_r$$$$$$
    {17, 986, 370},	// QGlobalSpace::qfcvt$$$$
    {17, 988, 536},	// QGlobalSpace::qfcvt_r$$$$$$
    {17, 990, 537},	// QGlobalSpace::qgcvt$$$
    {17, 992, 252},	// QGlobalSpace::qgetenv$
    {17, 994, 405},	// QGlobalSpace::qputenv$#
    {17, 995, 438},	// QGlobalSpace::qrand
    {17, 997, 538},	// QGlobalSpace::qsort$$$$
    {17, 999, 408},	// QGlobalSpace::qsrand$
    {17, 1001, 532},	// QGlobalSpace::qstrcmp##
    {17, 1002, 620},	// QGlobalSpace::qstrcmp#$
    {17, 1003, 246},	// QGlobalSpace::qstrcmp$#
    {17, 1004, 271},	// QGlobalSpace::qstrcmp$$
    {17, 1006, 381},	// QGlobalSpace::qstrcpy$$
    {17, 1008, 492},	// QGlobalSpace::qstrdup$
    {17, 1010, 610},	// QGlobalSpace::qstricmp$$
    {17, 1012, 628},	// QGlobalSpace::qstrlen$
    {17, 1014, 315},	// QGlobalSpace::qstrncmp$$$
    {17, 1016, 429},	// QGlobalSpace::qstrncpy$$$
    {17, 1018, 416},	// QGlobalSpace::qstrnicmp$$$
    {17, 1020, 237},	// QGlobalSpace::qstrnlen$$
    {17, 1022, 575},	// QGlobalSpace::qtTrId$
    {17, 1023, 574},	// QGlobalSpace::qtTrId$$
    {17, 1025, 367},	// QGlobalSpace::qt_assert$$$
    {17, 1027, 441},	// QGlobalSpace::qt_assert_x$$$$
    {17, 1029, 525},	// QGlobalSpace::qt_check_pointer$$
    {17, 1030, 311},	// QGlobalSpace::qt_error_string
    {17, 1031, 310},	// QGlobalSpace::qt_error_string$
    {17, 1033, 641},	// QGlobalSpace::qt_message_output$$
    {17, 1038, 239},	// QGlobalSpace::qt_noop
    {17, 1040, 424},	// QGlobalSpace::qt_qFindChild_helper#$#
    {17, 1042, 587},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {17, 1047, 394},	// QGlobalSpace::quick_exit$
    {17, 1049, 584},	// QGlobalSpace::qvariant_cast_helper#$$
    {17, 1051, 521},	// QGlobalSpace::qvsnprintf$$$?
    {19, 8, 709},	// QHostAddress::Any
    {19, 9, 710},	// QHostAddress::AnyIPv6
    {19, 30, 706},	// QHostAddress::Broadcast
    {19, 131, 707},	// QHostAddress::LocalHost
    {19, 132, 708},	// QHostAddress::LocalHostIPv6
    {19, 158, 705},	// QHostAddress::Null
    {19, 194, 675},	// QHostAddress::QHostAddress
    {19, 195, -385},	// QHostAddress::QHostAddress#
    {19, 196, -389},	// QHostAddress::QHostAddress$
    {19, 503, 701},	// QHostAddress::clear
    {19, 671, 702},	// QHostAddress::isInSubnet#$
    {19, 672, 703},	// QHostAddress::isInSubnet?
    {19, 674, 700},	// QHostAddress::isNull
    {19, 756, 698},	// QHostAddress::operator!=#
    {19, 759, 699},	// QHostAddress::operator!=$
    {19, 789, 683},	// QHostAddress::operator=#
    {19, 790, 684},	// QHostAddress::operator=$
    {19, 792, 696},	// QHostAddress::operator==#
    {19, 795, 697},	// QHostAddress::operator==$
    {19, 828, 704},	// QHostAddress::parseSubnet$
    {19, 857, 690},	// QHostAddress::protocol
    {19, 1103, 694},	// QHostAddress::scopeId
    {19, 1117, -394},	// QHostAddress::setAddress#
    {19, 1118, -397},	// QHostAddress::setAddress$
    {19, 1293, 695},	// QHostAddress::setScopeId$
    {19, 1377, 691},	// QHostAddress::toIPv4Address
    {19, 1378, 692},	// QHostAddress::toIPv6Address
    {19, 1383, 693},	// QHostAddress::toString
    {19, 1430, 711},	// QHostAddress::~QHostAddress
    {20, 104, 732},	// QHostInfo::HostNotFound
    {20, 148, 731},	// QHostInfo::NoError
    {20, 197, 730},	// QHostInfo::QHostInfo
    {20, 198, 713},	// QHostInfo::QHostInfo#
    {20, 199, 712},	// QHostInfo::QHostInfo$
    {20, 391, 733},	// QHostInfo::UnknownError
    {20, 432, 726},	// QHostInfo::abortHostLookup$
    {20, 455, 717},	// QHostInfo::addresses
    {20, 592, 719},	// QHostInfo::error
    {20, 594, 721},	// QHostInfo::errorString
    {20, 613, 727},	// QHostInfo::fromName$
    {20, 645, 715},	// QHostInfo::hostName
    {20, 714, 729},	// QHostInfo::localDomainName
    {20, 715, 728},	// QHostInfo::localHostName
    {20, 721, 725},	// QHostInfo::lookupHost$#$
    {20, 722, 724},	// QHostInfo::lookupId
    {20, 789, 714},	// QHostInfo::operator=#
    {20, 1120, 718},	// QHostInfo::setAddresses?
    {20, 1171, 720},	// QHostInfo::setError$
    {20, 1174, 722},	// QHostInfo::setErrorString$
    {20, 1190, 716},	// QHostInfo::setHostName$
    {20, 1208, 723},	// QHostInfo::setLookupId$
    {20, 1431, 734},	// QHostInfo::~QHostInfo
    {21, 1, 820},	// QHttp::Aborted
    {21, 14, 821},	// QHttp::AuthenticationRequiredError
    {21, 46, 812},	// QHttp::Closing
    {21, 50, 811},	// QHttp::Connected
    {21, 52, 808},	// QHttp::Connecting
    {21, 56, 804},	// QHttp::ConnectionModeHttp
    {21, 57, 805},	// QHttp::ConnectionModeHttps
    {21, 58, 816},	// QHttp::ConnectionRefused
    {21, 100, 807},	// QHttp::HostLookup
    {21, 104, 815},	// QHttp::HostNotFound
    {21, 121, 818},	// QHttp::InvalidResponseHeader
    {21, 148, 813},	// QHttp::NoError
    {21, 175, 822},	// QHttp::ProxyAuthenticationRequiredError
    {21, 200, 787},	// QHttp::QHttp
    {21, 201, 742},	// QHttp::QHttp#
    {21, 202, 788},	// QHttp::QHttp$
    {21, 203, -426},	// QHttp::QHttp$$
    {21, 204, 743},	// QHttp::QHttp$$#
    {21, 205, 791},	// QHttp::QHttp$$$
    {21, 206, 744},	// QHttp::QHttp$$$#
    {21, 323, 810},	// QHttp::Reading
    {21, 337, 809},	// QHttp::Sending
    {21, 383, 806},	// QHttp::Unconnected
    {21, 387, 817},	// QHttp::UnexpectedClose
    {21, 391, 814},	// QHttp::UnknownError
    {21, 413, 819},	// QHttp::WrongContentLength
    {21, 430, 772},	// QHttp::abort
    {21, 476, 783},	// QHttp::authenticationRequired$$#
    {21, 487, 759},	// QHttp::bytesAvailable
    {21, 505, 768},	// QHttp::clearPendingRequests
    {21, 506, 758},	// QHttp::close
    {21, 507, 757},	// QHttp::closeConnection
    {21, 550, 764},	// QHttp::currentDestinationDevice
    {21, 552, 762},	// QHttp::currentId
    {21, 553, 765},	// QHttp::currentRequest
    {21, 554, 763},	// QHttp::currentSourceDevice
    {21, 559, 778},	// QHttp::dataReadProgress$$
    {21, 561, 777},	// QHttp::dataSendProgress$$
    {21, 580, 781},	// QHttp::done$
    {21, 592, 770},	// QHttp::error
    {21, 594, 771},	// QHttp::errorString
    {21, 621, 797},	// QHttp::get$
    {21, 622, 751},	// QHttp::get$#
    {21, 636, 767},	// QHttp::hasPendingRequests
    {21, 641, 754},	// QHttp::head$
    {21, 649, 773},	// QHttp::ignoreSslErrors
    {21, 697, 766},	// QHttp::lastResponse
    {21, 730, 735},	// QHttp::metaObject
    {21, 848, -429},	// QHttp::post$#
    {21, 849, -432},	// QHttp::post$##
    {21, 862, 782},	// QHttp::proxyAuthenticationRequired##
    {21, 1035, 741},	// QHttp::qt_metacall$$?
    {21, 1037, 736},	// QHttp::qt_metacast$
    {21, 1062, 760},	// QHttp::read$$
    {21, 1063, 761},	// QHttp::readAll
    {21, 1074, 776},	// QHttp::readyRead#
    {21, 1090, 800},	// QHttp::request#
    {21, 1091, -435},	// QHttp::request##
    {21, 1092, -438},	// QHttp::request###
    {21, 1094, 780},	// QHttp::requestFinished$$
    {21, 1096, 779},	// QHttp::requestStarted$
    {21, 1099, 775},	// QHttp::responseHeaderReceived#
    {21, 1186, 792},	// QHttp::setHost$
    {21, 1187, -441},	// QHttp::setHost$$
    {21, 1188, 746},	// QHttp::setHost$$$
    {21, 1269, 750},	// QHttp::setProxy#
    {21, 1270, 795},	// QHttp::setProxy$$
    {21, 1271, 796},	// QHttp::setProxy$$$
    {21, 1272, 749},	// QHttp::setProxy$$$$
    {21, 1301, 747},	// QHttp::setSocket#
    {21, 1335, 794},	// QHttp::setUser$
    {21, 1336, 748},	// QHttp::setUser$$
    {21, 1354, 784},	// QHttp::sslErrors?
    {21, 1357, 769},	// QHttp::state
    {21, 1359, 774},	// QHttp::stateChanged$
    {21, 1360, 803},	// QHttp::staticMetaObject
    {21, 1385, 785},	// QHttp::tr$
    {21, 1386, 737},	// QHttp::tr$$
    {21, 1387, 739},	// QHttp::tr$$$
    {21, 1389, 786},	// QHttp::trUtf8$
    {21, 1390, 738},	// QHttp::trUtf8$$
    {21, 1391, 740},	// QHttp::trUtf8$$$
    {21, 1432, 823},	// QHttp::~QHttp
    {22, 207, 824},	// QHttpHeader::QHttpHeader
    {22, 208, 825},	// QHttpHeader::QHttpHeader#
    {22, 209, 826},	// QHttpHeader::QHttpHeader$
    {22, 453, 830},	// QHttpHeader::addValue$$
    {22, 463, 835},	// QHttpHeader::allValues$
    {22, 541, 839},	// QHttpHeader::contentLength
    {22, 542, 842},	// QHttpHeader::contentType
    {22, 629, 838},	// QHttpHeader::hasContentLength
    {22, 630, 841},	// QHttpHeader::hasContentType
    {22, 632, 832},	// QHttpHeader::hasKey$
    {22, 685, 845},	// QHttpHeader::isValid
    {22, 694, 833},	// QHttpHeader::keys
    {22, 723, 846},	// QHttpHeader::majorVersion
    {22, 733, 847},	// QHttpHeader::minorVersion
    {22, 789, 827},	// QHttpHeader::operator=#
    {22, 822, 849},	// QHttpHeader::parse$
    {22, 826, 848},	// QHttpHeader::parseLine$$
    {22, 1082, 837},	// QHttpHeader::removeAllValues$
    {22, 1086, 836},	// QHttpHeader::removeValue$
    {22, 1153, 840},	// QHttpHeader::setContentLength$
    {22, 1155, 843},	// QHttpHeader::setContentType$
    {22, 1338, 850},	// QHttpHeader::setValid$
    {22, 1341, 828},	// QHttpHeader::setValue$$
    {22, 1343, 829},	// QHttpHeader::setValues?
    {22, 1383, 844},	// QHttpHeader::toString
    {22, 1403, 834},	// QHttpHeader::value$
    {22, 1404, 831},	// QHttpHeader::values
    {22, 1433, 851},	// QHttpHeader::~QHttpHeader
    {23, 5, 873},	// QHttpMultiPart::AlternativeType
    {23, 93, 872},	// QHttpMultiPart::FormDataType
    {23, 141, 870},	// QHttpMultiPart::MixedType
    {23, 210, 867},	// QHttpMultiPart::QHttpMultiPart
    {23, 211, 859},	// QHttpMultiPart::QHttpMultiPart#
    {23, 212, 868},	// QHttpMultiPart::QHttpMultiPart$
    {23, 213, 860},	// QHttpMultiPart::QHttpMultiPart$#
    {23, 325, 871},	// QHttpMultiPart::RelatedType
    {23, 466, 861},	// QHttpMultiPart::append#
    {23, 485, 863},	// QHttpMultiPart::boundary
    {23, 730, 852},	// QHttpMultiPart::metaObject
    {23, 1035, 858},	// QHttpMultiPart::qt_metacall$$?
    {23, 1037, 853},	// QHttpMultiPart::qt_metacast$
    {23, 1136, 864},	// QHttpMultiPart::setBoundary#
    {23, 1155, 862},	// QHttpMultiPart::setContentType$
    {23, 1360, 869},	// QHttpMultiPart::staticMetaObject
    {23, 1385, 865},	// QHttpMultiPart::tr$
    {23, 1386, 854},	// QHttpMultiPart::tr$$
    {23, 1387, 856},	// QHttpMultiPart::tr$$$
    {23, 1389, 866},	// QHttpMultiPart::trUtf8$
    {23, 1390, 855},	// QHttpMultiPart::trUtf8$$
    {23, 1391, 857},	// QHttpMultiPart::trUtf8$$$
    {23, 1434, 874},	// QHttpMultiPart::~QHttpMultiPart
    {24, 214, 875},	// QHttpPart::QHttpPart
    {24, 215, 876},	// QHttpPart::QHttpPart#
    {24, 756, 879},	// QHttpPart::operator!=#
    {24, 789, 877},	// QHttpPart::operator=#
    {24, 792, 878},	// QHttpPart::operator==#
    {24, 1132, 882},	// QHttpPart::setBody#
    {24, 1134, 883},	// QHttpPart::setBodyDevice#
    {24, 1184, 880},	// QHttpPart::setHeader$#
    {24, 1278, 881},	// QHttpPart::setRawHeader##
    {24, 1435, 884},	// QHttpPart::~QHttpPart
    {25, 216, 885},	// QHttpRequestHeader::QHttpRequestHeader
    {25, 217, 887},	// QHttpRequestHeader::QHttpRequestHeader#
    {25, 218, 888},	// QHttpRequestHeader::QHttpRequestHeader$
    {25, 219, 897},	// QHttpRequestHeader::QHttpRequestHeader$$
    {25, 220, 898},	// QHttpRequestHeader::QHttpRequestHeader$$$
    {25, 221, 886},	// QHttpRequestHeader::QHttpRequestHeader$$$$
    {25, 723, 893},	// QHttpRequestHeader::majorVersion
    {25, 731, 891},	// QHttpRequestHeader::method
    {25, 733, 894},	// QHttpRequestHeader::minorVersion
    {25, 789, 889},	// QHttpRequestHeader::operator=#
    {25, 826, 896},	// QHttpRequestHeader::parseLine$$
    {25, 830, 892},	// QHttpRequestHeader::path
    {25, 1287, 899},	// QHttpRequestHeader::setRequest$$
    {25, 1288, 900},	// QHttpRequestHeader::setRequest$$$
    {25, 1289, 890},	// QHttpRequestHeader::setRequest$$$$
    {25, 1383, 895},	// QHttpRequestHeader::toString
    {25, 1436, 901},	// QHttpRequestHeader::~QHttpRequestHeader
    {26, 222, 902},	// QHttpResponseHeader::QHttpResponseHeader
    {26, 223, 903},	// QHttpResponseHeader::QHttpResponseHeader#
    {26, 224, -1},	// QHttpResponseHeader::QHttpResponseHeader$
    {26, 225, 915},	// QHttpResponseHeader::QHttpResponseHeader$$
    {26, 226, 916},	// QHttpResponseHeader::QHttpResponseHeader$$$
    {26, 227, 905},	// QHttpResponseHeader::QHttpResponseHeader$$$$
    {26, 723, 910},	// QHttpResponseHeader::majorVersion
    {26, 733, 911},	// QHttpResponseHeader::minorVersion
    {26, 789, 906},	// QHttpResponseHeader::operator=#
    {26, 826, 913},	// QHttpResponseHeader::parseLine$$
    {26, 1076, 909},	// QHttpResponseHeader::reasonPhrase
    {26, 1320, 917},	// QHttpResponseHeader::setStatusLine$
    {26, 1321, 918},	// QHttpResponseHeader::setStatusLine$$
    {26, 1322, 919},	// QHttpResponseHeader::setStatusLine$$$
    {26, 1323, 907},	// QHttpResponseHeader::setStatusLine$$$$
    {26, 1361, 908},	// QHttpResponseHeader::statusCode
    {26, 1383, 912},	// QHttpResponseHeader::toString
    {26, 1437, 920},	// QHttpResponseHeader::~QHttpResponseHeader
    {28, 228, 944},	// QIPv6Address::QIPv6Address
    {28, 229, 945},	// QIPv6Address::QIPv6Address#
    {28, 810, -408},	// QIPv6Address::operator[]$
    {28, 1438, 946},	// QIPv6Address::~QIPv6Address
    {33, 230, 972},	// QLocalServer::QLocalServer
    {33, 231, 955},	// QLocalServer::QLocalServer#
    {33, 506, 956},	// QLocalServer::close
    {33, 594, 957},	// QLocalServer::errorString
    {33, 618, 964},	// QLocalServer::fullServerName
    {33, 634, 958},	// QLocalServer::hasPendingConnections
    {33, 653, 969},	// QLocalServer::incomingConnection?
    {33, 673, 959},	// QLocalServer::isListening
    {33, 711, 960},	// QLocalServer::listen$
    {33, 725, 961},	// QLocalServer::maxPendingConnections
    {33, 730, 947},	// QLocalServer::metaObject
    {33, 748, 954},	// QLocalServer::newConnection
    {33, 749, 962},	// QLocalServer::nextPendingConnection
    {33, 1035, 953},	// QLocalServer::qt_metacall$$?
    {33, 1037, 948},	// QLocalServer::qt_metacast$
    {33, 1084, 965},	// QLocalServer::removeServer$
    {33, 1110, 966},	// QLocalServer::serverError
    {33, 1111, 963},	// QLocalServer::serverName
    {33, 1210, 967},	// QLocalServer::setMaxPendingConnections$
    {33, 1360, 975},	// QLocalServer::staticMetaObject
    {33, 1385, 970},	// QLocalServer::tr$
    {33, 1386, 949},	// QLocalServer::tr$$
    {33, 1387, 951},	// QLocalServer::tr$$$
    {33, 1389, 971},	// QLocalServer::trUtf8$
    {33, 1390, 950},	// QLocalServer::trUtf8$$
    {33, 1391, 952},	// QLocalServer::trUtf8$$$
    {33, 1414, 973},	// QLocalServer::waitForNewConnection
    {33, 1415, 974},	// QLocalServer::waitForNewConnection$
    {33, 1416, 968},	// QLocalServer::waitForNewConnection$$
    {33, 1439, 976},	// QLocalServer::~QLocalServer
    {34, 47, 1037},	// QLocalSocket::ClosingState
    {34, 51, 1036},	// QLocalSocket::ConnectedState
    {34, 53, 1035},	// QLocalSocket::ConnectingState
    {34, 55, 1031},	// QLocalSocket::ConnectionError
    {34, 59, 1024},	// QLocalSocket::ConnectionRefusedError
    {34, 74, 1030},	// QLocalSocket::DatagramTooLargeError
    {34, 165, 1025},	// QLocalSocket::PeerClosedError
    {34, 232, 1015},	// QLocalSocket::QLocalSocket
    {34, 233, 984},	// QLocalSocket::QLocalSocket#
    {34, 338, 1026},	// QLocalSocket::ServerNotFoundError
    {34, 346, 1027},	// QLocalSocket::SocketAccessError
    {34, 348, 1028},	// QLocalSocket::SocketResourceError
    {34, 349, 1029},	// QLocalSocket::SocketTimeoutError
    {34, 384, 1034},	// QLocalSocket::UnconnectedState
    {34, 399, 1033},	// QLocalSocket::UnknownSocketError
    {34, 402, 1032},	// QLocalSocket::UnsupportedSocketOperationError
    {34, 430, 989},	// QLocalSocket::abort
    {34, 487, 991},	// QLocalSocket::bytesAvailable
    {34, 489, 992},	// QLocalSocket::bytesToWrite
    {34, 495, 993},	// QLocalSocket::canReadLine
    {34, 506, 994},	// QLocalSocket::close
    {34, 538, 1016},	// QLocalSocket::connectToServer$
    {34, 539, 985},	// QLocalSocket::connectToServer$$
    {34, 540, 1007},	// QLocalSocket::connected
    {34, 574, 986},	// QLocalSocket::disconnectFromServer
    {34, 577, 1008},	// QLocalSocket::disconnected
    {34, 592, 995},	// QLocalSocket::error
    {34, 593, 1009},	// QLocalSocket::error$
    {34, 605, 996},	// QLocalSocket::flush
    {34, 618, 988},	// QLocalSocket::fullServerName
    {34, 681, 990},	// QLocalSocket::isSequential
    {34, 685, 997},	// QLocalSocket::isValid
    {34, 730, 977},	// QLocalSocket::metaObject
    {34, 1035, 983},	// QLocalSocket::qt_metacall$$?
    {34, 1037, 978},	// QLocalSocket::qt_metacast$
    {34, 1064, 998},	// QLocalSocket::readBufferSize
    {34, 1066, 1011},	// QLocalSocket::readData$$
    {34, 1111, 987},	// QLocalSocket::serverName
    {34, 1282, 999},	// QLocalSocket::setReadBufferSize$
    {34, 1306, 1017},	// QLocalSocket::setSocketDescriptor?
    {34, 1307, 1018},	// QLocalSocket::setSocketDescriptor?$
    {34, 1308, 1000},	// QLocalSocket::setSocketDescriptor?$$
    {34, 1347, 1001},	// QLocalSocket::socketDescriptor
    {34, 1357, 1002},	// QLocalSocket::state
    {34, 1359, 1010},	// QLocalSocket::stateChanged$
    {34, 1360, 1023},	// QLocalSocket::staticMetaObject
    {34, 1385, 1013},	// QLocalSocket::tr$
    {34, 1386, 979},	// QLocalSocket::tr$$
    {34, 1387, 981},	// QLocalSocket::tr$$$
    {34, 1389, 1014},	// QLocalSocket::trUtf8$
    {34, 1390, 980},	// QLocalSocket::trUtf8$$
    {34, 1391, 982},	// QLocalSocket::trUtf8$$$
    {34, 1406, 1019},	// QLocalSocket::waitForBytesWritten
    {34, 1407, 1003},	// QLocalSocket::waitForBytesWritten$
    {34, 1408, 1020},	// QLocalSocket::waitForConnected
    {34, 1409, 1004},	// QLocalSocket::waitForConnected$
    {34, 1410, 1021},	// QLocalSocket::waitForDisconnected
    {34, 1411, 1005},	// QLocalSocket::waitForDisconnected$
    {34, 1419, 1022},	// QLocalSocket::waitForReadyRead
    {34, 1420, 1006},	// QLocalSocket::waitForReadyRead$
    {34, 1422, 1012},	// QLocalSocket::writeData$$
    {34, 1440, 1038},	// QLocalSocket::~QLocalSocket
    {39, 2, 1092},	// QNetworkAccessManager::Accessible
    {39, 71, 1088},	// QNetworkAccessManager::CustomOperation
    {39, 78, 1087},	// QNetworkAccessManager::DeleteOperation
    {39, 97, 1084},	// QNetworkAccessManager::GetOperation
    {39, 98, 1083},	// QNetworkAccessManager::HeadOperation
    {39, 154, 1091},	// QNetworkAccessManager::NotAccessible
    {39, 167, 1086},	// QNetworkAccessManager::PostOperation
    {39, 185, 1085},	// QNetworkAccessManager::PutOperation
    {39, 234, 1079},	// QNetworkAccessManager::QNetworkAccessManager
    {39, 235, 1046},	// QNetworkAccessManager::QNetworkAccessManager#
    {39, 389, 1090},	// QNetworkAccessManager::UnknownAccessibility
    {39, 394, 1089},	// QNetworkAccessManager::UnknownOperation
    {39, 434, 1067},	// QNetworkAccessManager::activeConfiguration
    {39, 475, 1071},	// QNetworkAccessManager::authenticationRequired##
    {39, 492, 1051},	// QNetworkAccessManager::cache
    {39, 513, 1066},	// QNetworkAccessManager::configuration
    {39, 543, 1053},	// QNetworkAccessManager::cookieJar
    {39, 547, 1081},	// QNetworkAccessManager::createRequest$#
    {39, 548, 1076},	// QNetworkAccessManager::createRequest$##
    {39, 568, 1063},	// QNetworkAccessManager::deleteResource#
    {39, 603, 1072},	// QNetworkAccessManager::finished#
    {39, 620, 1056},	// QNetworkAccessManager::get#
    {39, 640, 1055},	// QNetworkAccessManager::head#
    {39, 730, 1039},	// QNetworkAccessManager::metaObject
    {39, 742, 1069},	// QNetworkAccessManager::networkAccessible
    {39, 744, 1075},	// QNetworkAccessManager::networkAccessibleChanged$
    {39, 746, 1074},	// QNetworkAccessManager::networkSessionConnected
    {39, 847, -444},	// QNetworkAccessManager::post##
    {39, 860, 1047},	// QNetworkAccessManager::proxy
    {39, 862, 1070},	// QNetworkAccessManager::proxyAuthenticationRequired##
    {39, 863, 1049},	// QNetworkAccessManager::proxyFactory
    {39, 869, -448},	// QNetworkAccessManager::put##
    {39, 1035, 1045},	// QNetworkAccessManager::qt_metacall$$?
    {39, 1037, 1040},	// QNetworkAccessManager::qt_metacast$
    {39, 1106, 1080},	// QNetworkAccessManager::sendCustomRequest##
    {39, 1107, 1064},	// QNetworkAccessManager::sendCustomRequest###
    {39, 1142, 1052},	// QNetworkAccessManager::setCache#
    {39, 1151, 1065},	// QNetworkAccessManager::setConfiguration#
    {39, 1157, 1054},	// QNetworkAccessManager::setCookieJar#
    {39, 1221, 1068},	// QNetworkAccessManager::setNetworkAccessible$
    {39, 1269, 1048},	// QNetworkAccessManager::setProxy#
    {39, 1274, 1050},	// QNetworkAccessManager::setProxyFactory#
    {39, 1353, 1073},	// QNetworkAccessManager::sslErrors#?
    {39, 1360, 1082},	// QNetworkAccessManager::staticMetaObject
    {39, 1385, 1077},	// QNetworkAccessManager::tr$
    {39, 1386, 1041},	// QNetworkAccessManager::tr$$
    {39, 1387, 1043},	// QNetworkAccessManager::tr$$$
    {39, 1389, 1078},	// QNetworkAccessManager::trUtf8$
    {39, 1390, 1042},	// QNetworkAccessManager::trUtf8$$
    {39, 1391, 1044},	// QNetworkAccessManager::trUtf8$$$
    {39, 1441, 1093},	// QNetworkAccessManager::~QNetworkAccessManager
    {40, 236, 1094},	// QNetworkAddressEntry::QNetworkAddressEntry
    {40, 237, 1095},	// QNetworkAddressEntry::QNetworkAddressEntry#
    {40, 486, 1105},	// QNetworkAddressEntry::broadcast
    {40, 662, 1099},	// QNetworkAddressEntry::ip
    {40, 741, 1101},	// QNetworkAddressEntry::netmask
    {40, 756, 1098},	// QNetworkAddressEntry::operator!=#
    {40, 789, 1096},	// QNetworkAddressEntry::operator=#
    {40, 792, 1097},	// QNetworkAddressEntry::operator==#
    {40, 852, 1103},	// QNetworkAddressEntry::prefixLength
    {40, 1138, 1106},	// QNetworkAddressEntry::setBroadcast#
    {40, 1194, 1100},	// QNetworkAddressEntry::setIp#
    {40, 1219, 1102},	// QNetworkAddressEntry::setNetmask#
    {40, 1255, 1104},	// QNetworkAddressEntry::setPrefixLength$
    {40, 1442, 1107},	// QNetworkAddressEntry::~QNetworkAddressEntry
    {41, 238, 1108},	// QNetworkCacheMetaData::QNetworkCacheMetaData
    {41, 239, 1109},	// QNetworkCacheMetaData::QNetworkCacheMetaData#
    {41, 472, 1124},	// QNetworkCacheMetaData::attributes
    {41, 597, 1120},	// QNetworkCacheMetaData::expirationDate
    {41, 685, 1113},	// QNetworkCacheMetaData::isValid
    {41, 695, 1118},	// QNetworkCacheMetaData::lastModified
    {41, 756, 1112},	// QNetworkCacheMetaData::operator!=#
    {41, 789, 1110},	// QNetworkCacheMetaData::operator=#
    {41, 792, 1111},	// QNetworkCacheMetaData::operator==#
    {41, 1060, 1116},	// QNetworkCacheMetaData::rawHeaders
    {41, 1102, 1122},	// QNetworkCacheMetaData::saveToDisk
    {41, 1130, 1125},	// QNetworkCacheMetaData::setAttributes?
    {41, 1176, 1121},	// QNetworkCacheMetaData::setExpirationDate#
    {41, 1196, 1119},	// QNetworkCacheMetaData::setLastModified#
    {41, 1280, 1117},	// QNetworkCacheMetaData::setRawHeaders?
    {41, 1291, 1123},	// QNetworkCacheMetaData::setSaveToDisk$
    {41, 1331, 1115},	// QNetworkCacheMetaData::setUrl#
    {41, 1399, 1114},	// QNetworkCacheMetaData::url
    {41, 1443, 1126},	// QNetworkCacheMetaData::~QNetworkCacheMetaData
    {42, 3, 1154},	// QNetworkConfiguration::Active
    {42, 19, 1158},	// QNetworkConfiguration::Bearer2G
    {42, 20, 1162},	// QNetworkConfiguration::BearerBluetooth
    {42, 21, 1159},	// QNetworkConfiguration::BearerCDMA2000
    {42, 22, 1156},	// QNetworkConfiguration::BearerEthernet
    {42, 23, 1161},	// QNetworkConfiguration::BearerHSPA
    {42, 24, 1155},	// QNetworkConfiguration::BearerUnknown
    {42, 25, 1160},	// QNetworkConfiguration::BearerWCDMA
    {42, 26, 1157},	// QNetworkConfiguration::BearerWLAN
    {42, 27, 1163},	// QNetworkConfiguration::BearerWiMAX
    {42, 77, 1152},	// QNetworkConfiguration::Defined
    {42, 82, 1153},	// QNetworkConfiguration::Discovered
    {42, 114, 1143},	// QNetworkConfiguration::InternetAccessPoint
    {42, 115, 1146},	// QNetworkConfiguration::Invalid
    {42, 171, 1149},	// QNetworkConfiguration::PrivatePurpose
    {42, 183, 1148},	// QNetworkConfiguration::PublicPurpose
    {42, 240, 1127},	// QNetworkConfiguration::QNetworkConfiguration
    {42, 241, 1128},	// QNetworkConfiguration::QNetworkConfiguration#
    {42, 339, 1144},	// QNetworkConfiguration::ServiceNetwork
    {42, 340, 1150},	// QNetworkConfiguration::ServiceSpecificPurpose
    {42, 385, 1151},	// QNetworkConfiguration::Undefined
    {42, 397, 1147},	// QNetworkConfiguration::UnknownPurpose
    {42, 405, 1145},	// QNetworkConfiguration::UserChoice
    {42, 477, 1135},	// QNetworkConfiguration::bearerName
    {42, 478, 1136},	// QNetworkConfiguration::bearerType
    {42, 479, 1137},	// QNetworkConfiguration::bearerTypeName
    {42, 501, 1140},	// QNetworkConfiguration::children
    {42, 647, 1138},	// QNetworkConfiguration::identifier
    {42, 678, 1139},	// QNetworkConfiguration::isRoamingAvailable
    {42, 685, 1142},	// QNetworkConfiguration::isValid
    {42, 740, 1141},	// QNetworkConfiguration::name
    {42, 756, 1131},	// QNetworkConfiguration::operator!=#
    {42, 789, 1129},	// QNetworkConfiguration::operator=#
    {42, 792, 1130},	// QNetworkConfiguration::operator==#
    {42, 867, 1134},	// QNetworkConfiguration::purpose
    {42, 1357, 1132},	// QNetworkConfiguration::state
    {42, 1392, 1133},	// QNetworkConfiguration::type
    {42, 1444, 1164},	// QNetworkConfiguration::~QNetworkConfiguration
    {43, 12, 1192},	// QNetworkConfigurationManager::ApplicationLevelRoaming
    {43, 36, 1189},	// QNetworkConfigurationManager::CanStartAndStopInterfaces
    {43, 73, 1194},	// QNetworkConfigurationManager::DataStatistics
    {43, 80, 1190},	// QNetworkConfigurationManager::DirectConnectionRouting
    {43, 92, 1193},	// QNetworkConfigurationManager::ForcedRoaming
    {43, 147, 1195},	// QNetworkConfigurationManager::NetworkSessionRequired
    {43, 242, 1186},	// QNetworkConfigurationManager::QNetworkConfigurationManager
    {43, 243, 1172},	// QNetworkConfigurationManager::QNetworkConfigurationManager#
    {43, 365, 1191},	// QNetworkConfigurationManager::SystemSessionSupport
    {43, 458, 1187},	// QNetworkConfigurationManager::allConfigurations
    {43, 459, 1175},	// QNetworkConfigurationManager::allConfigurations$
    {43, 496, 1173},	// QNetworkConfigurationManager::capabilities
    {43, 515, 1179},	// QNetworkConfigurationManager::configurationAdded#
    {43, 517, 1181},	// QNetworkConfigurationManager::configurationChanged#
    {43, 519, 1176},	// QNetworkConfigurationManager::configurationFromIdentifier$
    {43, 521, 1180},	// QNetworkConfigurationManager::configurationRemoved#
    {43, 566, 1174},	// QNetworkConfigurationManager::defaultConfiguration
    {43, 675, 1177},	// QNetworkConfigurationManager::isOnline
    {43, 730, 1165},	// QNetworkConfigurationManager::metaObject
    {43, 751, 1182},	// QNetworkConfigurationManager::onlineStateChanged$
    {43, 1035, 1171},	// QNetworkConfigurationManager::qt_metacall$$?
    {43, 1037, 1166},	// QNetworkConfigurationManager::qt_metacast$
    {43, 1360, 1188},	// QNetworkConfigurationManager::staticMetaObject
    {43, 1385, 1184},	// QNetworkConfigurationManager::tr$
    {43, 1386, 1167},	// QNetworkConfigurationManager::tr$$
    {43, 1387, 1169},	// QNetworkConfigurationManager::tr$$$
    {43, 1389, 1185},	// QNetworkConfigurationManager::trUtf8$
    {43, 1390, 1168},	// QNetworkConfigurationManager::trUtf8$$
    {43, 1391, 1170},	// QNetworkConfigurationManager::trUtf8$$$
    {43, 1393, 1183},	// QNetworkConfigurationManager::updateCompleted
    {43, 1394, 1178},	// QNetworkConfigurationManager::updateConfigurations
    {43, 1445, 1196},	// QNetworkConfigurationManager::~QNetworkConfigurationManager
    {44, 95, 1223},	// QNetworkCookie::Full
    {44, 145, 1222},	// QNetworkCookie::NameAndValueOnly
    {44, 244, 1219},	// QNetworkCookie::QNetworkCookie
    {44, 245, -376},	// QNetworkCookie::QNetworkCookie#
    {44, 246, 1197},	// QNetworkCookie::QNetworkCookie##
    {44, 578, 1209},	// QNetworkCookie::domain
    {44, 597, 1207},	// QNetworkCookie::expirationDate
    {44, 669, 1204},	// QNetworkCookie::isHttpOnly
    {44, 680, 1202},	// QNetworkCookie::isSecure
    {44, 682, 1206},	// QNetworkCookie::isSessionCookie
    {44, 740, 1213},	// QNetworkCookie::name
    {44, 756, 1201},	// QNetworkCookie::operator!=#
    {44, 789, 1199},	// QNetworkCookie::operator=#
    {44, 792, 1200},	// QNetworkCookie::operator==#
    {44, 824, 1218},	// QNetworkCookie::parseCookies#
    {44, 830, 1211},	// QNetworkCookie::path
    {44, 1169, 1210},	// QNetworkCookie::setDomain$
    {44, 1176, 1208},	// QNetworkCookie::setExpirationDate#
    {44, 1192, 1205},	// QNetworkCookie::setHttpOnly$
    {44, 1216, 1214},	// QNetworkCookie::setName#
    {44, 1235, 1212},	// QNetworkCookie::setPath$
    {44, 1295, 1203},	// QNetworkCookie::setSecure$
    {44, 1340, 1216},	// QNetworkCookie::setValue#
    {44, 1381, 1221},	// QNetworkCookie::toRawForm
    {44, 1382, 1217},	// QNetworkCookie::toRawForm$
    {44, 1402, 1215},	// QNetworkCookie::value
    {44, 1446, 1224},	// QNetworkCookie::~QNetworkCookie
    {45, 247, 1239},	// QNetworkCookieJar::QNetworkCookieJar
    {45, 248, 1232},	// QNetworkCookieJar::QNetworkCookieJar#
    {45, 460, 1235},	// QNetworkCookieJar::allCookies
    {45, 545, 1233},	// QNetworkCookieJar::cookiesForUrl#
    {45, 730, 1225},	// QNetworkCookieJar::metaObject
    {45, 1035, 1231},	// QNetworkCookieJar::qt_metacall$$?
    {45, 1037, 1226},	// QNetworkCookieJar::qt_metacast$
    {45, 1122, 1236},	// QNetworkCookieJar::setAllCookies?
    {45, 1159, 1234},	// QNetworkCookieJar::setCookiesFromUrl?#
    {45, 1360, 1240},	// QNetworkCookieJar::staticMetaObject
    {45, 1385, 1237},	// QNetworkCookieJar::tr$
    {45, 1386, 1227},	// QNetworkCookieJar::tr$$
    {45, 1387, 1229},	// QNetworkCookieJar::tr$$$
    {45, 1389, 1238},	// QNetworkCookieJar::trUtf8$
    {45, 1390, 1228},	// QNetworkCookieJar::trUtf8$$
    {45, 1391, 1230},	// QNetworkCookieJar::trUtf8$$$
    {45, 1447, 1241},	// QNetworkCookieJar::~QNetworkCookieJar
    {46, 249, 1266},	// QNetworkDiskCache::QNetworkDiskCache
    {46, 250, 1249},	// QNetworkDiskCache::QNetworkDiskCache#
    {46, 493, 1250},	// QNetworkDiskCache::cacheDirectory
    {46, 494, 1254},	// QNetworkDiskCache::cacheSize
    {46, 503, 1262},	// QNetworkDiskCache::clear
    {46, 557, 1257},	// QNetworkDiskCache::data#
    {46, 598, 1263},	// QNetworkDiskCache::expire
    {46, 601, 1261},	// QNetworkDiskCache::fileMetaData$
    {46, 656, 1260},	// QNetworkDiskCache::insert#
    {46, 726, 1252},	// QNetworkDiskCache::maximumCacheSize
    {46, 728, 1255},	// QNetworkDiskCache::metaData#
    {46, 730, 1242},	// QNetworkDiskCache::metaObject
    {46, 854, 1259},	// QNetworkDiskCache::prepare#
    {46, 1035, 1248},	// QNetworkDiskCache::qt_metacall$$?
    {46, 1037, 1243},	// QNetworkDiskCache::qt_metacast$
    {46, 1079, 1258},	// QNetworkDiskCache::remove#
    {46, 1144, 1251},	// QNetworkDiskCache::setCacheDirectory$
    {46, 1212, 1253},	// QNetworkDiskCache::setMaximumCacheSize$
    {46, 1360, 1267},	// QNetworkDiskCache::staticMetaObject
    {46, 1385, 1264},	// QNetworkDiskCache::tr$
    {46, 1386, 1244},	// QNetworkDiskCache::tr$$
    {46, 1387, 1246},	// QNetworkDiskCache::tr$$$
    {46, 1389, 1265},	// QNetworkDiskCache::trUtf8$
    {46, 1390, 1245},	// QNetworkDiskCache::trUtf8$$
    {46, 1391, 1247},	// QNetworkDiskCache::trUtf8$$$
    {46, 1396, 1256},	// QNetworkDiskCache::updateMetaData#
    {46, 1448, 1268},	// QNetworkDiskCache::~QNetworkDiskCache
    {47, 34, 1285},	// QNetworkInterface::CanBroadcast
    {47, 35, 1288},	// QNetworkInterface::CanMulticast
    {47, 122, 1286},	// QNetworkInterface::IsLoopBack
    {47, 123, 1287},	// QNetworkInterface::IsPointToPoint
    {47, 124, 1284},	// QNetworkInterface::IsRunning
    {47, 125, 1283},	// QNetworkInterface::IsUp
    {47, 251, 1269},	// QNetworkInterface::QNetworkInterface
    {47, 252, 1270},	// QNetworkInterface::QNetworkInterface#
    {47, 454, 1278},	// QNetworkInterface::addressEntries
    {47, 457, 1282},	// QNetworkInterface::allAddresses
    {47, 461, 1281},	// QNetworkInterface::allInterfaces
    {47, 604, 1276},	// QNetworkInterface::flags
    {47, 628, 1277},	// QNetworkInterface::hardwareAddress
    {47, 646, 1275},	// QNetworkInterface::humanReadableName
    {47, 654, 1273},	// QNetworkInterface::index
    {47, 659, 1280},	// QNetworkInterface::interfaceFromIndex$
    {47, 661, 1279},	// QNetworkInterface::interfaceFromName$
    {47, 685, 1272},	// QNetworkInterface::isValid
    {47, 740, 1274},	// QNetworkInterface::name
    {47, 789, 1271},	// QNetworkInterface::operator=#
    {47, 1449, 1289},	// QNetworkInterface::~QNetworkInterface
    {48, 33, 1325},	// QNetworkProxy::CachingCapability
    {48, 76, 1316},	// QNetworkProxy::DefaultProxy
    {48, 94, 1321},	// QNetworkProxy::FtpCachingProxy
    {48, 102, 1326},	// QNetworkProxy::HostNameLookupCapability
    {48, 106, 1320},	// QNetworkProxy::HttpCachingProxy
    {48, 109, 1319},	// QNetworkProxy::HttpProxy
    {48, 129, 1323},	// QNetworkProxy::ListeningCapability
    {48, 150, 1318},	// QNetworkProxy::NoProxy
    {48, 253, 1290},	// QNetworkProxy::QNetworkProxy
    {48, 254, 1292},	// QNetworkProxy::QNetworkProxy#
    {48, 255, 1312},	// QNetworkProxy::QNetworkProxy$
    {48, 256, 1313},	// QNetworkProxy::QNetworkProxy$$
    {48, 257, 1314},	// QNetworkProxy::QNetworkProxy$$$
    {48, 258, 1315},	// QNetworkProxy::QNetworkProxy$$$$
    {48, 259, 1291},	// QNetworkProxy::QNetworkProxy$$$$$
    {48, 350, 1317},	// QNetworkProxy::Socks5Proxy
    {48, 374, 1322},	// QNetworkProxy::TunnelingCapability
    {48, 376, 1324},	// QNetworkProxy::UdpTunnelingCapability
    {48, 467, 1311},	// QNetworkProxy::applicationProxy
    {48, 496, 1299},	// QNetworkProxy::capabilities
    {48, 645, 1307},	// QNetworkProxy::hostName
    {48, 663, 1300},	// QNetworkProxy::isCachingProxy
    {48, 684, 1301},	// QNetworkProxy::isTransparentProxy
    {48, 756, 1295},	// QNetworkProxy::operator!=#
    {48, 789, 1293},	// QNetworkProxy::operator=#
    {48, 792, 1294},	// QNetworkProxy::operator==#
    {48, 829, 1305},	// QNetworkProxy::password
    {48, 844, 1309},	// QNetworkProxy::port
    {48, 1124, 1310},	// QNetworkProxy::setApplicationProxy#
    {48, 1146, 1298},	// QNetworkProxy::setCapabilities$
    {48, 1190, 1306},	// QNetworkProxy::setHostName$
    {48, 1233, 1304},	// QNetworkProxy::setPassword$
    {48, 1253, 1308},	// QNetworkProxy::setPort$
    {48, 1329, 1296},	// QNetworkProxy::setType$
    {48, 1335, 1302},	// QNetworkProxy::setUser$
    {48, 1392, 1297},	// QNetworkProxy::type
    {48, 1401, 1303},	// QNetworkProxy::user
    {48, 1450, 1327},	// QNetworkProxy::~QNetworkProxy
    {49, 260, 1328},	// QNetworkProxyFactory::QNetworkProxyFactory
    {49, 261, 1334},	// QNetworkProxyFactory::QNetworkProxyFactory#
    {49, 865, 1332},	// QNetworkProxyFactory::proxyForQuery#
    {49, 1043, 1335},	// QNetworkProxyFactory::queryProxy
    {49, 1044, 1329},	// QNetworkProxyFactory::queryProxy#
    {49, 1126, 1331},	// QNetworkProxyFactory::setApplicationProxyFactory#
    {49, 1333, 1330},	// QNetworkProxyFactory::setUseSystemConfiguration$
    {49, 1370, 1336},	// QNetworkProxyFactory::systemProxyForQuery
    {49, 1371, 1333},	// QNetworkProxyFactory::systemProxyForQuery#
    {49, 1451, 1337},	// QNetworkProxyFactory::~QNetworkProxyFactory
    {50, 262, 1338},	// QNetworkProxyQuery::QNetworkProxyQuery
    {50, 263, -358},	// QNetworkProxyQuery::QNetworkProxyQuery#
    {50, 264, 1368},	// QNetworkProxyQuery::QNetworkProxyQuery##
    {50, 265, 1343},	// QNetworkProxyQuery::QNetworkProxyQuery##$
    {50, 266, -361},	// QNetworkProxyQuery::QNetworkProxyQuery#$
    {50, 267, -364},	// QNetworkProxyQuery::QNetworkProxyQuery#$$
    {50, 268, -367},	// QNetworkProxyQuery::QNetworkProxyQuery#$$$
    {50, 269, 1344},	// QNetworkProxyQuery::QNetworkProxyQuery#$$$$
    {50, 270, 1366},	// QNetworkProxyQuery::QNetworkProxyQuery$
    {50, 271, -370},	// QNetworkProxyQuery::QNetworkProxyQuery$$
    {50, 272, -373},	// QNetworkProxyQuery::QNetworkProxyQuery$$$
    {50, 273, 1340},	// QNetworkProxyQuery::QNetworkProxyQuery$$$$
    {50, 366, 1375},	// QNetworkProxyQuery::TcpServer
    {50, 367, 1373},	// QNetworkProxyQuery::TcpSocket
    {50, 375, 1374},	// QNetworkProxyQuery::UdpSocket
    {50, 403, 1376},	// QNetworkProxyQuery::UrlRequest
    {50, 716, 1355},	// QNetworkProxyQuery::localPort
    {50, 745, 1361},	// QNetworkProxyQuery::networkConfiguration
    {50, 756, 1348},	// QNetworkProxyQuery::operator!=#
    {50, 789, 1346},	// QNetworkProxyQuery::operator=#
    {50, 792, 1347},	// QNetworkProxyQuery::operator==#
    {50, 834, 1353},	// QNetworkProxyQuery::peerHostName
    {50, 836, 1351},	// QNetworkProxyQuery::peerPort
    {50, 859, 1357},	// QNetworkProxyQuery::protocolTag
    {50, 1045, 1349},	// QNetworkProxyQuery::queryType
    {50, 1206, 1356},	// QNetworkProxyQuery::setLocalPort$
    {50, 1223, 1362},	// QNetworkProxyQuery::setNetworkConfiguration#
    {50, 1239, 1354},	// QNetworkProxyQuery::setPeerHostName$
    {50, 1243, 1352},	// QNetworkProxyQuery::setPeerPort$
    {50, 1267, 1358},	// QNetworkProxyQuery::setProtocolTag$
    {50, 1276, 1350},	// QNetworkProxyQuery::setQueryType$
    {50, 1331, 1360},	// QNetworkProxyQuery::setUrl#
    {50, 1399, 1359},	// QNetworkProxyQuery::url
    {50, 1452, 1377},	// QNetworkProxyQuery::~QNetworkProxyQuery
    {51, 14, 1445},	// QNetworkReply::AuthenticationRequiredError
    {51, 59, 1428},	// QNetworkReply::ConnectionRefusedError
    {51, 60, 1442},	// QNetworkReply::ContentAccessDenied
    {51, 63, 1444},	// QNetworkReply::ContentNotFoundError
    {51, 64, 1443},	// QNetworkReply::ContentOperationNotPermittedError
    {51, 65, 1446},	// QNetworkReply::ContentReSendError
    {51, 105, 1430},	// QNetworkReply::HostNotFoundError
    {51, 148, 1427},	// QNetworkReply::NoError
    {51, 159, 1432},	// QNetworkReply::OperationCanceledError
    {51, 172, 1450},	// QNetworkReply::ProtocolFailure
    {51, 173, 1449},	// QNetworkReply::ProtocolInvalidOperationError
    {51, 174, 1448},	// QNetworkReply::ProtocolUnknownError
    {51, 175, 1440},	// QNetworkReply::ProxyAuthenticationRequiredError
    {51, 176, 1437},	// QNetworkReply::ProxyConnectionClosedError
    {51, 177, 1436},	// QNetworkReply::ProxyConnectionRefusedError
    {51, 179, 1438},	// QNetworkReply::ProxyNotFoundError
    {51, 181, 1439},	// QNetworkReply::ProxyTimeoutError
    {51, 274, 1425},	// QNetworkReply::QNetworkReply
    {51, 275, 1413},	// QNetworkReply::QNetworkReply#
    {51, 326, 1429},	// QNetworkReply::RemoteHostClosedError
    {51, 353, 1433},	// QNetworkReply::SslHandshakeFailedError
    {51, 368, 1434},	// QNetworkReply::TemporaryNetworkFailureError
    {51, 370, 1431},	// QNetworkReply::TimeoutError
    {51, 390, 1447},	// QNetworkReply::UnknownContentError
    {51, 392, 1435},	// QNetworkReply::UnknownNetworkError
    {51, 396, 1441},	// QNetworkReply::UnknownProxyError
    {51, 430, 1385},	// QNetworkReply::abort
    {51, 470, 1402},	// QNetworkReply::attribute$
    {51, 506, 1386},	// QNetworkReply::close
    {51, 582, 1412},	// QNetworkReply::downloadProgress$$
    {51, 592, 1393},	// QNetworkReply::error
    {51, 593, 1409},	// QNetworkReply::error$
    {51, 602, 1408},	// QNetworkReply::finished
    {51, 638, 1398},	// QNetworkReply::hasRawHeader#
    {51, 643, 1397},	// QNetworkReply::header$
    {51, 649, 1406},	// QNetworkReply::ignoreSslErrors
    {51, 650, 1405},	// QNetworkReply::ignoreSslErrors?
    {51, 668, 1394},	// QNetworkReply::isFinished
    {51, 679, 1395},	// QNetworkReply::isRunning
    {51, 681, 1387},	// QNetworkReply::isSequential
    {51, 724, 1390},	// QNetworkReply::manager
    {51, 729, 1407},	// QNetworkReply::metaDataChanged
    {51, 730, 1378},	// QNetworkReply::metaObject
    {51, 754, 1391},	// QNetworkReply::operation
    {51, 1035, 1384},	// QNetworkReply::qt_metacall$$?
    {51, 1037, 1379},	// QNetworkReply::qt_metacast$
    {51, 1057, 1400},	// QNetworkReply::rawHeader#
    {51, 1058, 1399},	// QNetworkReply::rawHeaderList
    {51, 1059, 1401},	// QNetworkReply::rawHeaderPairs
    {51, 1064, 1388},	// QNetworkReply::readBufferSize
    {51, 1089, 1392},	// QNetworkReply::request
    {51, 1128, 1422},	// QNetworkReply::setAttribute$#
    {51, 1172, 1417},	// QNetworkReply::setError$$
    {51, 1180, 1418},	// QNetworkReply::setFinished$
    {51, 1184, 1420},	// QNetworkReply::setHeader$#
    {51, 1225, 1415},	// QNetworkReply::setOperation$
    {51, 1278, 1421},	// QNetworkReply::setRawHeader##
    {51, 1282, 1389},	// QNetworkReply::setReadBufferSize$
    {51, 1286, 1416},	// QNetworkReply::setRequest#
    {51, 1316, 1404},	// QNetworkReply::setSslConfiguration#
    {51, 1331, 1419},	// QNetworkReply::setUrl#
    {51, 1351, 1403},	// QNetworkReply::sslConfiguration
    {51, 1354, 1410},	// QNetworkReply::sslErrors?
    {51, 1360, 1426},	// QNetworkReply::staticMetaObject
    {51, 1385, 1423},	// QNetworkReply::tr$
    {51, 1386, 1380},	// QNetworkReply::tr$$
    {51, 1387, 1382},	// QNetworkReply::tr$$$
    {51, 1389, 1424},	// QNetworkReply::trUtf8$
    {51, 1390, 1381},	// QNetworkReply::trUtf8$$
    {51, 1391, 1383},	// QNetworkReply::trUtf8$$$
    {51, 1398, 1411},	// QNetworkReply::uploadProgress$$
    {51, 1399, 1396},	// QNetworkReply::url
    {51, 1422, 1414},	// QNetworkReply::writeData$$
    {51, 1453, 1451},	// QNetworkReply::~QNetworkReply
    {52, 6, 1504},	// QNetworkRequest::AlwaysCache
    {52, 7, 1501},	// QNetworkRequest::AlwaysNetwork
    {52, 15, 1494},	// QNetworkRequest::AuthenticationReuseAttribute
    {52, 18, 1505},	// QNetworkRequest::Automatic
    {52, 31, 1486},	// QNetworkRequest::CacheLoadControlAttribute
    {52, 32, 1487},	// QNetworkRequest::CacheSaveControlAttribute
    {52, 54, 1485},	// QNetworkRequest::ConnectionEncryptedAttribute
    {52, 61, 1481},	// QNetworkRequest::ContentDispositionHeader
    {52, 62, 1476},	// QNetworkRequest::ContentLengthHeader
    {52, 66, 1475},	// QNetworkRequest::ContentTypeHeader
    {52, 67, 1479},	// QNetworkRequest::CookieHeader
    {52, 68, 1493},	// QNetworkRequest::CookieLoadControlAttribute
    {52, 69, 1495},	// QNetworkRequest::CookieSaveControlAttribute
    {52, 72, 1492},	// QNetworkRequest::CustomVerbAttribute
    {52, 84, 1489},	// QNetworkRequest::DoNotBufferUploadDataAttribute
    {52, 86, 1497},	// QNetworkRequest::DownloadBufferAttribute
    {52, 99, 1507},	// QNetworkRequest::HighPriority
    {52, 107, 1490},	// QNetworkRequest::HttpPipeliningAllowedAttribute
    {52, 108, 1491},	// QNetworkRequest::HttpPipeliningWasUsedAttribute
    {52, 110, 1483},	// QNetworkRequest::HttpReasonPhraseAttribute
    {52, 111, 1482},	// QNetworkRequest::HttpStatusCodeAttribute
    {52, 127, 1478},	// QNetworkRequest::LastModifiedHeader
    {52, 134, 1477},	// QNetworkRequest::LocationHeader
    {52, 138, 1509},	// QNetworkRequest::LowPriority
    {52, 139, 1506},	// QNetworkRequest::Manual
    {52, 140, 1496},	// QNetworkRequest::MaximumDownloadBufferSizeAttribute
    {52, 153, 1508},	// QNetworkRequest::NormalPriority
    {52, 168, 1503},	// QNetworkRequest::PreferCache
    {52, 169, 1502},	// QNetworkRequest::PreferNetwork
    {52, 276, 1473},	// QNetworkRequest::QNetworkRequest
    {52, 277, -411},	// QNetworkRequest::QNetworkRequest#
    {52, 324, 1484},	// QNetworkRequest::RedirectionTargetAttribute
    {52, 342, 1480},	// QNetworkRequest::SetCookieHeader
    {52, 351, 1488},	// QNetworkRequest::SourceIsFromCacheAttribute
    {52, 364, 1498},	// QNetworkRequest::SynchronousRequestAttribute
    {52, 404, 1499},	// QNetworkRequest::User
    {52, 406, 1500},	// QNetworkRequest::UserMax
    {52, 470, 1474},	// QNetworkRequest::attribute$
    {52, 471, 1465},	// QNetworkRequest::attribute$#
    {52, 638, 1461},	// QNetworkRequest::hasRawHeader#
    {52, 643, 1459},	// QNetworkRequest::header$
    {52, 756, 1456},	// QNetworkRequest::operator!=#
    {52, 789, 1454},	// QNetworkRequest::operator=#
    {52, 792, 1455},	// QNetworkRequest::operator==#
    {52, 819, 1470},	// QNetworkRequest::originatingObject
    {52, 855, 1471},	// QNetworkRequest::priority
    {52, 1057, 1463},	// QNetworkRequest::rawHeader#
    {52, 1058, 1462},	// QNetworkRequest::rawHeaderList
    {52, 1128, 1466},	// QNetworkRequest::setAttribute$#
    {52, 1184, 1460},	// QNetworkRequest::setHeader$#
    {52, 1229, 1469},	// QNetworkRequest::setOriginatingObject#
    {52, 1257, 1472},	// QNetworkRequest::setPriority$
    {52, 1278, 1464},	// QNetworkRequest::setRawHeader##
    {52, 1316, 1468},	// QNetworkRequest::setSslConfiguration#
    {52, 1331, 1458},	// QNetworkRequest::setUrl#
    {52, 1351, 1467},	// QNetworkRequest::sslConfiguration
    {52, 1399, 1457},	// QNetworkRequest::url
    {52, 1454, 1510},	// QNetworkRequest::~QNetworkRequest
    {53, 46, 1555},	// QNetworkSession::Closing
    {53, 50, 1554},	// QNetworkSession::Connected
    {53, 52, 1553},	// QNetworkSession::Connecting
    {53, 81, 1556},	// QNetworkSession::Disconnected
    {53, 115, 1551},	// QNetworkSession::Invalid
    {53, 117, 1562},	// QNetworkSession::InvalidConfigurationError
    {53, 155, 1552},	// QNetworkSession::NotAvailable
    {53, 160, 1561},	// QNetworkSession::OperationNotSupportedError
    {53, 279, 1548},	// QNetworkSession::QNetworkSession#
    {53, 280, 1518},	// QNetworkSession::QNetworkSession##
    {53, 331, 1557},	// QNetworkSession::Roaming
    {53, 332, 1560},	// QNetworkSession::RoamingError
    {53, 341, 1559},	// QNetworkSession::SessionAbortedError
    {53, 398, 1558},	// QNetworkSession::UnknownSessionError
    {53, 433, 1536},	// QNetworkSession::accept
    {53, 435, 1529},	// QNetworkSession::activeTime
    {53, 488, 1528},	// QNetworkSession::bytesReceived
    {53, 490, 1527},	// QNetworkSession::bytesWritten
    {53, 506, 1532},	// QNetworkSession::close
    {53, 508, 1540},	// QNetworkSession::closed
    {53, 513, 1520},	// QNetworkSession::configuration
    {53, 523, 1544},	// QNetworkSession::connectNotify$
    {53, 576, 1545},	// QNetworkSession::disconnectNotify$
    {53, 592, 1523},	// QNetworkSession::error
    {53, 593, 1541},	// QNetworkSession::error$
    {53, 594, 1524},	// QNetworkSession::errorString
    {53, 648, 1535},	// QNetworkSession::ignore
    {53, 657, 1521},	// QNetworkSession::interface
    {53, 676, 1519},	// QNetworkSession::isOpen
    {53, 730, 1511},	// QNetworkSession::metaObject
    {53, 732, 1534},	// QNetworkSession::migrate
    {53, 747, 1543},	// QNetworkSession::newConfigurationActivated
    {53, 752, 1531},	// QNetworkSession::open
    {53, 753, 1539},	// QNetworkSession::opened
    {53, 851, 1542},	// QNetworkSession::preferredConfigurationChanged#$
    {53, 1035, 1517},	// QNetworkSession::qt_metacall$$?
    {53, 1037, 1512},	// QNetworkSession::qt_metacast$
    {53, 1077, 1537},	// QNetworkSession::reject
    {53, 1115, 1525},	// QNetworkSession::sessionProperty$
    {53, 1297, 1526},	// QNetworkSession::setSessionProperty$#
    {53, 1357, 1522},	// QNetworkSession::state
    {53, 1359, 1538},	// QNetworkSession::stateChanged$
    {53, 1360, 1550},	// QNetworkSession::staticMetaObject
    {53, 1362, 1533},	// QNetworkSession::stop
    {53, 1385, 1546},	// QNetworkSession::tr$
    {53, 1386, 1513},	// QNetworkSession::tr$$
    {53, 1387, 1515},	// QNetworkSession::tr$$$
    {53, 1389, 1547},	// QNetworkSession::trUtf8$
    {53, 1390, 1514},	// QNetworkSession::trUtf8$$
    {53, 1391, 1516},	// QNetworkSession::trUtf8$$$
    {53, 1417, 1549},	// QNetworkSession::waitForOpened
    {53, 1418, 1530},	// QNetworkSession::waitForOpened$
    {53, 1455, 1563},	// QNetworkSession::~QNetworkSession
    {63, 10, 1583},	// QSsl::AnyProtocol
    {63, 79, 1574},	// QSsl::Der
    {63, 83, 1588},	// QSsl::DnsEntry
    {63, 87, 1572},	// QSsl::Dsa
    {63, 88, 1587},	// QSsl::EmailEntry
    {63, 166, 1573},	// QSsl::Pem
    {63, 170, 1589},	// QSsl::PrivateKey
    {63, 182, 1590},	// QSsl::PublicKey
    {63, 333, 1571},	// QSsl::Rsa
    {63, 334, 1585},	// QSsl::SecureProtocols
    {63, 354, 1577},	// QSsl::SslOptionDisableCompression
    {63, 355, 1575},	// QSsl::SslOptionDisableEmptyFragments
    {63, 356, 1579},	// QSsl::SslOptionDisableLegacyRenegotiation
    {63, 357, 1578},	// QSsl::SslOptionDisableServerNameIndication
    {63, 358, 1576},	// QSsl::SslOptionDisableSessionTickets
    {63, 360, 1581},	// QSsl::SslV2
    {63, 361, 1580},	// QSsl::SslV3
    {63, 371, 1582},	// QSsl::TlsV1
    {63, 372, 1584},	// QSsl::TlsV1SslV3
    {63, 395, 1586},	// QSsl::UnknownProtocol
    {64, 48, 1626},	// QSslCertificate::CommonName
    {64, 70, 1629},	// QSslCertificate::CountryName
    {64, 133, 1627},	// QSslCertificate::LocalityName
    {64, 161, 1625},	// QSslCertificate::Organization
    {64, 162, 1628},	// QSslCertificate::OrganizationalUnitName
    {64, 281, 1618},	// QSslCertificate::QSslCertificate
    {64, 282, -401},	// QSslCertificate::QSslCertificate#
    {64, 283, -405},	// QSslCertificate::QSslCertificate#$
    {64, 362, 1630},	// QSslCertificate::StateOrProvinceName
    {64, 464, 1607},	// QSslCertificate::alternateSubjectNames
    {64, 503, 1599},	// QSslCertificate::clear
    {64, 570, 1620},	// QSslCertificate::digest
    {64, 571, 1602},	// QSslCertificate::digest$
    {64, 583, 1608},	// QSslCertificate::effectiveDate
    {64, 599, 1609},	// QSslCertificate::expiryDate
    {64, 607, 1624},	// QSslCertificate::fromData#
    {64, 608, 1615},	// QSslCertificate::fromData#$
    {64, 610, 1623},	// QSslCertificate::fromDevice#
    {64, 611, 1614},	// QSslCertificate::fromDevice#$
    {64, 615, 1621},	// QSslCertificate::fromPath$
    {64, 616, 1622},	// QSslCertificate::fromPath$$
    {64, 617, 1613},	// QSslCertificate::fromPath$$$
    {64, 627, 1616},	// QSslCertificate::handle
    {64, 674, 1597},	// QSslCertificate::isNull
    {64, 685, 1598},	// QSslCertificate::isValid
    {64, 688, 1604},	// QSslCertificate::issuerInfo#
    {64, 689, 1603},	// QSslCertificate::issuerInfo$
    {64, 756, 1596},	// QSslCertificate::operator!=#
    {64, 789, 1594},	// QSslCertificate::operator=#
    {64, 792, 1595},	// QSslCertificate::operator==#
    {64, 866, 1610},	// QSslCertificate::publicKey
    {64, 1108, 1601},	// QSslCertificate::serialNumber
    {64, 1364, 1606},	// QSslCertificate::subjectInfo#
    {64, 1365, 1605},	// QSslCertificate::subjectInfo$
    {64, 1375, 1612},	// QSslCertificate::toDer
    {64, 1379, 1611},	// QSslCertificate::toPem
    {64, 1405, 1600},	// QSslCertificate::version
    {64, 1456, 1631},	// QSslCertificate::~QSslCertificate
    {65, 284, 1632},	// QSslCipher::QSslCipher
    {65, 285, 1634},	// QSslCipher::QSslCipher#
    {65, 286, 1633},	// QSslCipher::QSslCipher$$
    {65, 473, 1643},	// QSslCipher::authenticationMethod
    {65, 589, 1644},	// QSslCipher::encryptionMethod
    {65, 674, 1638},	// QSslCipher::isNull
    {65, 693, 1642},	// QSslCipher::keyExchangeMethod
    {65, 740, 1639},	// QSslCipher::name
    {65, 756, 1637},	// QSslCipher::operator!=#
    {65, 789, 1635},	// QSslCipher::operator=#
    {65, 792, 1636},	// QSslCipher::operator==#
    {65, 857, 1646},	// QSslCipher::protocol
    {65, 858, 1645},	// QSslCipher::protocolString
    {65, 1366, 1640},	// QSslCipher::supportedBits
    {65, 1400, 1641},	// QSslCipher::usedBits
    {65, 1457, 1647},	// QSslCipher::~QSslCipher
    {66, 287, 1648},	// QSslConfiguration::QSslConfiguration
    {66, 288, 1649},	// QSslConfiguration::QSslConfiguration#
    {66, 491, 1669},	// QSslConfiguration::caCertificates
    {66, 502, 1667},	// QSslConfiguration::ciphers
    {66, 566, 1673},	// QSslConfiguration::defaultConfiguration
    {66, 674, 1653},	// QSslConfiguration::isNull
    {66, 713, 1660},	// QSslConfiguration::localCertificate
    {66, 756, 1652},	// QSslConfiguration::operator!=#
    {66, 789, 1650},	// QSslConfiguration::operator=#
    {66, 792, 1651},	// QSslConfiguration::operator==#
    {66, 832, 1662},	// QSslConfiguration::peerCertificate
    {66, 833, 1663},	// QSslConfiguration::peerCertificateChain
    {66, 837, 1658},	// QSslConfiguration::peerVerifyDepth
    {66, 840, 1656},	// QSslConfiguration::peerVerifyMode
    {66, 856, 1665},	// QSslConfiguration::privateKey
    {66, 857, 1654},	// QSslConfiguration::protocol
    {66, 1113, 1664},	// QSslConfiguration::sessionCipher
    {66, 1140, 1670},	// QSslConfiguration::setCaCertificates?
    {66, 1149, 1668},	// QSslConfiguration::setCiphers?
    {66, 1165, 1674},	// QSslConfiguration::setDefaultConfiguration#
    {66, 1202, 1661},	// QSslConfiguration::setLocalCertificate#
    {66, 1245, 1659},	// QSslConfiguration::setPeerVerifyDepth$
    {66, 1247, 1657},	// QSslConfiguration::setPeerVerifyMode$
    {66, 1259, 1666},	// QSslConfiguration::setPrivateKey#
    {66, 1265, 1655},	// QSslConfiguration::setProtocol$
    {66, 1318, 1671},	// QSslConfiguration::setSslOption$$
    {66, 1373, 1672},	// QSslConfiguration::testSslOption$
    {66, 1458, 1675},	// QSslConfiguration::~QSslConfiguration
    {67, 16, 1706},	// QSslError::AuthorityIssuerSerialNumberMismatch
    {67, 38, 1710},	// QSslError::CertificateBlacklisted
    {67, 39, 1692},	// QSslError::CertificateExpired
    {67, 40, 1691},	// QSslError::CertificateNotYetValid
    {67, 41, 1704},	// QSslError::CertificateRejected
    {67, 42, 1699},	// QSslError::CertificateRevoked
    {67, 43, 1690},	// QSslError::CertificateSignatureFailed
    {67, 44, 1703},	// QSslError::CertificateUntrusted
    {67, 103, 1708},	// QSslError::HostNameMismatch
    {67, 116, 1700},	// QSslError::InvalidCaCertificate
    {67, 118, 1694},	// QSslError::InvalidNotAfterField
    {67, 119, 1693},	// QSslError::InvalidNotBeforeField
    {67, 120, 1702},	// QSslError::InvalidPurpose
    {67, 148, 1686},	// QSslError::NoError
    {67, 149, 1707},	// QSslError::NoPeerCertificate
    {67, 151, 1709},	// QSslError::NoSslSupport
    {67, 164, 1701},	// QSslError::PathLengthExceeded
    {67, 289, 1676},	// QSslError::QSslError
    {67, 290, 1679},	// QSslError::QSslError#
    {67, 291, 1677},	// QSslError::QSslError$
    {67, 292, 1678},	// QSslError::QSslError$#
    {67, 335, 1695},	// QSslError::SelfSignedCertificate
    {67, 336, 1696},	// QSslError::SelfSignedCertificateInChain
    {67, 363, 1705},	// QSslError::SubjectIssuerMismatch
    {67, 377, 1689},	// QSslError::UnableToDecodeIssuerPublicKey
    {67, 378, 1688},	// QSslError::UnableToDecryptCertificateSignature
    {67, 379, 1687},	// QSslError::UnableToGetIssuerCertificate
    {67, 380, 1697},	// QSslError::UnableToGetLocalIssuerCertificate
    {67, 381, 1698},	// QSslError::UnableToVerifyFirstCertificate
    {67, 401, 1711},	// QSslError::UnspecifiedError
    {67, 499, 1685},	// QSslError::certificate
    {67, 592, 1683},	// QSslError::error
    {67, 594, 1684},	// QSslError::errorString
    {67, 756, 1682},	// QSslError::operator!=#
    {67, 789, 1680},	// QSslError::operator=#
    {67, 792, 1681},	// QSslError::operator==#
    {67, 1459, 1712},	// QSslError::~QSslError
    {68, 293, 1713},	// QSslKey::QSslKey
    {68, 294, 1716},	// QSslKey::QSslKey#
    {68, 295, -414},	// QSslKey::QSslKey#$
    {68, 296, -417},	// QSslKey::QSslKey#$$
    {68, 297, -420},	// QSslKey::QSslKey#$$$
    {68, 298, -423},	// QSslKey::QSslKey#$$$#
    {68, 456, 1722},	// QSslKey::algorithm
    {68, 503, 1719},	// QSslKey::clear
    {68, 627, 1725},	// QSslKey::handle
    {68, 674, 1718},	// QSslKey::isNull
    {68, 701, 1720},	// QSslKey::length
    {68, 756, 1727},	// QSslKey::operator!=#
    {68, 789, 1717},	// QSslKey::operator=#
    {68, 792, 1726},	// QSslKey::operator==#
    {68, 1375, 1735},	// QSslKey::toDer
    {68, 1376, 1724},	// QSslKey::toDer#
    {68, 1379, 1734},	// QSslKey::toPem
    {68, 1380, 1723},	// QSslKey::toPem#
    {68, 1392, 1721},	// QSslKey::type
    {68, 1460, 1736},	// QSslKey::~QSslKey
    {69, 17, 1845},	// QSslSocket::AutoVerifyPeer
    {69, 299, 1820},	// QSslSocket::QSslSocket
    {69, 300, 1744},	// QSslSocket::QSslSocket#
    {69, 316, 1843},	// QSslSocket::QueryPeer
    {69, 352, 1840},	// QSslSocket::SslClientMode
    {69, 359, 1841},	// QSslSocket::SslServerMode
    {69, 386, 1839},	// QSslSocket::UnencryptedMode
    {69, 407, 1842},	// QSslSocket::VerifyNone
    {69, 408, 1844},	// QSslSocket::VerifyPeer
    {69, 430, 1766},	// QSslSocket::abort
    {69, 437, 1788},	// QSslSocket::addCaCertificate#
    {69, 439, 1829},	// QSslSocket::addCaCertificates$
    {69, 440, 1830},	// QSslSocket::addCaCertificates$$
    {69, 441, 1787},	// QSslSocket::addCaCertificates$$$
    {69, 442, 1789},	// QSslSocket::addCaCertificates?
    {69, 444, 1793},	// QSslSocket::addDefaultCaCertificate#
    {69, 446, 1831},	// QSslSocket::addDefaultCaCertificates$
    {69, 447, 1832},	// QSslSocket::addDefaultCaCertificates$$
    {69, 448, 1792},	// QSslSocket::addDefaultCaCertificates$$$
    {69, 449, 1794},	// QSslSocket::addDefaultCaCertificates?
    {69, 468, 1764},	// QSslSocket::atEnd
    {69, 487, 1760},	// QSslSocket::bytesAvailable
    {69, 489, 1761},	// QSslSocket::bytesToWrite
    {69, 491, 1791},	// QSslSocket::caCertificates
    {69, 495, 1762},	// QSslSocket::canReadLine
    {69, 502, 1781},	// QSslSocket::ciphers
    {69, 506, 1763},	// QSslSocket::close
    {69, 531, 1821},	// QSslSocket::connectToHostEncrypted$$
    {69, 532, -4},	// QSslSocket::connectToHostEncrypted$$$
    {69, 533, 1746},	// QSslSocket::connectToHostEncrypted$$$$
    {69, 536, 1814},	// QSslSocket::connectToHostImplementation$$$
    {69, 564, 1796},	// QSslSocket::defaultCaCertificates
    {69, 565, 1785},	// QSslSocket::defaultCiphers
    {69, 573, 1815},	// QSslSocket::disconnectFromHostImplementation
    {69, 584, 1809},	// QSslSocket::encrypted
    {69, 585, 1768},	// QSslSocket::encryptedBytesAvailable
    {69, 586, 1769},	// QSslSocket::encryptedBytesToWrite
    {69, 588, 1813},	// QSslSocket::encryptedBytesWritten$
    {69, 605, 1765},	// QSslSocket::flush
    {69, 649, 1808},	// QSslSocket::ignoreSslErrors
    {69, 650, 1805},	// QSslSocket::ignoreSslErrors?
    {69, 665, 1751},	// QSslSocket::isEncrypted
    {69, 713, 1774},	// QSslSocket::localCertificate
    {69, 730, 1737},	// QSslSocket::metaObject
    {69, 736, 1750},	// QSslSocket::mode
    {69, 738, 1812},	// QSslSocket::modeChanged$
    {69, 832, 1775},	// QSslSocket::peerCertificate
    {69, 833, 1776},	// QSslSocket::peerCertificateChain
    {69, 837, 1756},	// QSslSocket::peerVerifyDepth
    {69, 839, 1810},	// QSslSocket::peerVerifyError#
    {69, 840, 1754},	// QSslSocket::peerVerifyMode
    {69, 841, 1758},	// QSslSocket::peerVerifyName
    {69, 856, 1780},	// QSslSocket::privateKey
    {69, 857, 1752},	// QSslSocket::protocol
    {69, 1035, 1743},	// QSslSocket::qt_metacall$$?
    {69, 1037, 1738},	// QSslSocket::qt_metacast$
    {69, 1066, 1816},	// QSslSocket::readData$$
    {69, 1113, 1777},	// QSslSocket::sessionCipher
    {69, 1140, 1790},	// QSslSocket::setCaCertificates?
    {69, 1148, 1783},	// QSslSocket::setCiphers$
    {69, 1149, 1782},	// QSslSocket::setCiphers?
    {69, 1161, 1795},	// QSslSocket::setDefaultCaCertificates?
    {69, 1163, 1784},	// QSslSocket::setDefaultCiphers?
    {69, 1202, 1772},	// QSslSocket::setLocalCertificate#
    {69, 1203, 1825},	// QSslSocket::setLocalCertificate$
    {69, 1204, 1773},	// QSslSocket::setLocalCertificate$$
    {69, 1245, 1757},	// QSslSocket::setPeerVerifyDepth$
    {69, 1247, 1755},	// QSslSocket::setPeerVerifyMode$
    {69, 1249, 1759},	// QSslSocket::setPeerVerifyName$
    {69, 1259, 1778},	// QSslSocket::setPrivateKey#
    {69, 1260, 1826},	// QSslSocket::setPrivateKey$
    {69, 1261, 1827},	// QSslSocket::setPrivateKey$$
    {69, 1262, 1828},	// QSslSocket::setPrivateKey$$$
    {69, 1263, 1779},	// QSslSocket::setPrivateKey$$$#
    {69, 1265, 1753},	// QSslSocket::setProtocol$
    {69, 1282, 1767},	// QSslSocket::setReadBufferSize$
    {69, 1303, 1823},	// QSslSocket::setSocketDescriptor$
    {69, 1304, 1824},	// QSslSocket::setSocketDescriptor$$
    {69, 1305, 1747},	// QSslSocket::setSocketDescriptor$$$
    {69, 1312, 1748},	// QSslSocket::setSocketOption$#
    {69, 1316, 1771},	// QSslSocket::setSslConfiguration#
    {69, 1349, 1749},	// QSslSocket::socketOption$
    {69, 1351, 1770},	// QSslSocket::sslConfiguration
    {69, 1352, 1803},	// QSslSocket::sslErrors
    {69, 1354, 1811},	// QSslSocket::sslErrors?
    {69, 1355, 1806},	// QSslSocket::startClientEncryption
    {69, 1356, 1807},	// QSslSocket::startServerEncryption
    {69, 1360, 1838},	// QSslSocket::staticMetaObject
    {69, 1367, 1786},	// QSslSocket::supportedCiphers
    {69, 1368, 1804},	// QSslSocket::supportsSsl
    {69, 1369, 1797},	// QSslSocket::systemCaCertificates
    {69, 1385, 1818},	// QSslSocket::tr$
    {69, 1386, 1739},	// QSslSocket::tr$$
    {69, 1387, 1741},	// QSslSocket::tr$$$
    {69, 1389, 1819},	// QSslSocket::trUtf8$
    {69, 1390, 1740},	// QSslSocket::trUtf8$$
    {69, 1391, 1742},	// QSslSocket::trUtf8$$$
    {69, 1406, 1836},	// QSslSocket::waitForBytesWritten
    {69, 1407, 1801},	// QSslSocket::waitForBytesWritten$
    {69, 1408, 1833},	// QSslSocket::waitForConnected
    {69, 1409, 1798},	// QSslSocket::waitForConnected$
    {69, 1410, 1837},	// QSslSocket::waitForDisconnected
    {69, 1411, 1802},	// QSslSocket::waitForDisconnected$
    {69, 1412, 1834},	// QSslSocket::waitForEncrypted
    {69, 1413, 1799},	// QSslSocket::waitForEncrypted$
    {69, 1419, 1835},	// QSslSocket::waitForReadyRead
    {69, 1420, 1800},	// QSslSocket::waitForReadyRead$
    {69, 1422, 1817},	// QSslSocket::writeData$$
    {69, 1461, 1846},	// QSslSocket::~QSslSocket
    {72, 301, 1876},	// QTcpServer::QTcpServer
    {72, 302, 1854},	// QTcpServer::QTcpServer#
    {72, 451, 1872},	// QTcpServer::addPendingConnection#
    {72, 506, 1856},	// QTcpServer::close
    {72, 594, 1868},	// QTcpServer::errorString
    {72, 634, 1865},	// QTcpServer::hasPendingConnections
    {72, 652, 1871},	// QTcpServer::incomingConnection$
    {72, 673, 1857},	// QTcpServer::isListening
    {72, 708, 1877},	// QTcpServer::listen
    {72, 709, 1878},	// QTcpServer::listen#
    {72, 710, 1855},	// QTcpServer::listen#$
    {72, 725, 1859},	// QTcpServer::maxPendingConnections
    {72, 730, 1847},	// QTcpServer::metaObject
    {72, 748, 1873},	// QTcpServer::newConnection
    {72, 749, 1866},	// QTcpServer::nextPendingConnection
    {72, 860, 1870},	// QTcpServer::proxy
    {72, 1035, 1853},	// QTcpServer::qt_metacall$$?
    {72, 1037, 1848},	// QTcpServer::qt_metacast$
    {72, 1109, 1861},	// QTcpServer::serverAddress
    {72, 1110, 1867},	// QTcpServer::serverError
    {72, 1112, 1860},	// QTcpServer::serverPort
    {72, 1210, 1858},	// QTcpServer::setMaxPendingConnections$
    {72, 1269, 1869},	// QTcpServer::setProxy#
    {72, 1303, 1863},	// QTcpServer::setSocketDescriptor$
    {72, 1347, 1862},	// QTcpServer::socketDescriptor
    {72, 1360, 1881},	// QTcpServer::staticMetaObject
    {72, 1385, 1874},	// QTcpServer::tr$
    {72, 1386, 1849},	// QTcpServer::tr$$
    {72, 1387, 1851},	// QTcpServer::tr$$$
    {72, 1389, 1875},	// QTcpServer::trUtf8$
    {72, 1390, 1850},	// QTcpServer::trUtf8$$
    {72, 1391, 1852},	// QTcpServer::trUtf8$$$
    {72, 1414, 1879},	// QTcpServer::waitForNewConnection
    {72, 1415, 1880},	// QTcpServer::waitForNewConnection$
    {72, 1416, 1864},	// QTcpServer::waitForNewConnection$$
    {72, 1462, 1882},	// QTcpServer::~QTcpServer
    {73, 303, 1893},	// QTcpSocket::QTcpSocket
    {73, 304, 1890},	// QTcpSocket::QTcpSocket#
    {73, 730, 1883},	// QTcpSocket::metaObject
    {73, 1035, 1889},	// QTcpSocket::qt_metacall$$?
    {73, 1037, 1884},	// QTcpSocket::qt_metacast$
    {73, 1360, 1894},	// QTcpSocket::staticMetaObject
    {73, 1385, 1891},	// QTcpSocket::tr$
    {73, 1386, 1885},	// QTcpSocket::tr$$
    {73, 1387, 1887},	// QTcpSocket::tr$$$
    {73, 1389, 1892},	// QTcpSocket::trUtf8$
    {73, 1390, 1886},	// QTcpSocket::trUtf8$$
    {73, 1391, 1888},	// QTcpSocket::trUtf8$$$
    {73, 1463, 1895},	// QTcpSocket::~QTcpSocket
    {78, 75, 1926},	// QUdpSocket::DefaultForPlatform
    {78, 85, 1928},	// QUdpSocket::DontShareAddress
    {78, 305, 1921},	// QUdpSocket::QUdpSocket
    {78, 306, 1903},	// QUdpSocket::QUdpSocket#
    {78, 329, 1929},	// QUdpSocket::ReuseAddressHint
    {78, 345, 1927},	// QUdpSocket::ShareAddress
    {78, 480, 1922},	// QUdpSocket::bind
    {78, 481, 1904},	// QUdpSocket::bind#$
    {78, 482, 1906},	// QUdpSocket::bind#$$
    {78, 483, 1905},	// QUdpSocket::bind$
    {78, 484, 1907},	// QUdpSocket::bind$$
    {78, 635, 1914},	// QUdpSocket::hasPendingDatagrams
    {78, 691, 1908},	// QUdpSocket::joinMulticastGroup#
    {78, 692, 1909},	// QUdpSocket::joinMulticastGroup##
    {78, 699, 1910},	// QUdpSocket::leaveMulticastGroup#
    {78, 700, 1911},	// QUdpSocket::leaveMulticastGroup##
    {78, 730, 1896},	// QUdpSocket::metaObject
    {78, 739, 1912},	// QUdpSocket::multicastInterface
    {78, 842, 1915},	// QUdpSocket::pendingDatagramSize
    {78, 1035, 1902},	// QUdpSocket::qt_metacall$$?
    {78, 1037, 1897},	// QUdpSocket::qt_metacast$
    {78, 1068, 1923},	// QUdpSocket::readDatagram$$
    {78, 1069, 1924},	// QUdpSocket::readDatagram$$#
    {78, 1070, 1916},	// QUdpSocket::readDatagram$$#$
    {78, 1214, 1913},	// QUdpSocket::setMulticastInterface#
    {78, 1360, 1925},	// QUdpSocket::staticMetaObject
    {78, 1385, 1919},	// QUdpSocket::tr$
    {78, 1386, 1898},	// QUdpSocket::tr$$
    {78, 1387, 1900},	// QUdpSocket::tr$$$
    {78, 1389, 1920},	// QUdpSocket::trUtf8$
    {78, 1390, 1899},	// QUdpSocket::trUtf8$$
    {78, 1391, 1901},	// QUdpSocket::trUtf8$$$
    {78, 1424, 1918},	// QUdpSocket::writeDatagram##$
    {78, 1425, 1917},	// QUdpSocket::writeDatagram$$#$
    {78, 1464, 1930},	// QUdpSocket::~QUdpSocket
    {80, 89, 1972},	// QUrlInfo::ExeGroup
    {80, 90, 1975},	// QUrlInfo::ExeOther
    {80, 91, 1969},	// QUrlInfo::ExeOwner
    {80, 307, 1931},	// QUrlInfo::QUrlInfo
    {80, 308, 1932},	// QUrlInfo::QUrlInfo#
    {80, 309, 1934},	// QUrlInfo::QUrlInfo#$$$$##$$$$$$
    {80, 310, 1933},	// QUrlInfo::QUrlInfo$$$$$##$$$$$$
    {80, 318, 1970},	// QUrlInfo::ReadGroup
    {80, 320, 1973},	// QUrlInfo::ReadOther
    {80, 321, 1967},	// QUrlInfo::ReadOwner
    {80, 409, 1971},	// QUrlInfo::WriteGroup
    {80, 411, 1974},	// QUrlInfo::WriteOther
    {80, 412, 1968},	// QUrlInfo::WriteOwner
    {80, 591, 1964},	// QUrlInfo::equal##$
    {80, 625, 1962},	// QUrlInfo::greaterThan##$
    {80, 626, 1952},	// QUrlInfo::group
    {80, 664, 1956},	// QUrlInfo::isDir
    {80, 666, 1961},	// QUrlInfo::isExecutable
    {80, 667, 1957},	// QUrlInfo::isFile
    {80, 677, 1960},	// QUrlInfo::isReadable
    {80, 683, 1958},	// QUrlInfo::isSymLink
    {80, 685, 1948},	// QUrlInfo::isValid
    {80, 686, 1959},	// QUrlInfo::isWritable
    {80, 695, 1954},	// QUrlInfo::lastModified
    {80, 696, 1955},	// QUrlInfo::lastRead
    {80, 703, 1963},	// QUrlInfo::lessThan##$
    {80, 740, 1949},	// QUrlInfo::name
    {80, 756, 1966},	// QUrlInfo::operator!=#
    {80, 789, 1935},	// QUrlInfo::operator=#
    {80, 792, 1965},	// QUrlInfo::operator==#
    {80, 820, 1951},	// QUrlInfo::owner
    {80, 843, 1950},	// QUrlInfo::permissions
    {80, 1167, 1937},	// QUrlInfo::setDir$
    {80, 1178, 1938},	// QUrlInfo::setFile$
    {80, 1182, 1941},	// QUrlInfo::setGroup$
    {80, 1196, 1946},	// QUrlInfo::setLastModified#
    {80, 1198, 1947},	// QUrlInfo::setLastRead#
    {80, 1217, 1936},	// QUrlInfo::setName$
    {80, 1231, 1940},	// QUrlInfo::setOwner$
    {80, 1251, 1945},	// QUrlInfo::setPermissions$
    {80, 1284, 1944},	// QUrlInfo::setReadable$
    {80, 1299, 1942},	// QUrlInfo::setSize$
    {80, 1325, 1939},	// QUrlInfo::setSymLink$
    {80, 1345, 1943},	// QUrlInfo::setWritable$
    {80, 1346, 1953},	// QUrlInfo::size
    {80, 1465, 1976},	// QUrlInfo::~QUrlInfo
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtnetwork_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtnetwork_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtnetwork_Smoke = new Smoke(
        "qtnetwork",
        __smokeqtnetwork::classes, 84,
        __smokeqtnetwork::methods, 1977,
        __smokeqtnetwork::methodMaps, 1624,
        __smokeqtnetwork::methodNames, 1465,
        __smokeqtnetwork::types, 430,
        __smokeqtnetwork::inheritanceList,
        __smokeqtnetwork::argumentList,
        __smokeqtnetwork::ambiguousMethodList,
        __smokeqtnetwork::cast );
    initialized = true;
}

void delete_qtnetwork_Smoke() { delete qtnetwork_Smoke; }

}
