#include <qtwebkit_includes.h>

#include <smoke.h>
#include <qtwebkit_smoke.h>

namespace __smokeqtwebkit {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAction
      switch(to) {
        case 1: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDateTime
      switch(to) {
        case 8: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 12: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIcon
      switch(to) {
        case 18: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 19:   //QIncompatibleFlag
      switch(to) {
        case 19: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 20:   //QInputMethodEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 20: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QKeyEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 21: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QMenu
      switch(to) {
        case 22: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 23:   //QMetaObject
      switch(to) {
        case 23: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 24:   //QMouseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 24: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QMoveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 25: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QNetworkAccessManager
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 26: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 27:   //QNetworkReply
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 27: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 28:   //QNetworkRequest
      switch(to) {
        case 28: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 29:   //QObject
      switch(to) {
        case 29: return (void*)(QObject*)xptr;
        case 77: return (void*)(QWebView*)(QObject*)xptr;
        case 54: return (void*)(QWebFrame*)(QObject*)xptr;
        case 60: return (void*)(QWebPage*)(QObject*)xptr;
        case 69: return (void*)(QWebPluginFactory*)(QObject*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)(QObject*)xptr;
        case 59: return (void*)(QWebInspector*)(QObject*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEngine
      switch(to) {
        case 30: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 31:   //QPaintEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 31: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QPainter
      switch(to) {
        case 32: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 33:   //QPalette
      switch(to) {
        case 33: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 34:   //QPixmap
      switch(to) {
        case 34: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 35:   //QPoint
      switch(to) {
        case 35: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 36:   //QPrinter
      switch(to) {
        case 36: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 37:   //QRect
      switch(to) {
        case 37: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 38:   //QRegExp
      switch(to) {
        case 38: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 39:   //QRegion
      switch(to) {
        case 39: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 40:   //QResizeEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 40: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QShowEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 41: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QSize
      switch(to) {
        case 42: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 43:   //QStyle
      switch(to) {
        case 43: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 44:   //QTabletEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 44: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QTimerEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 45: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QUndoStack
      switch(to) {
        case 46: return (void*)(QUndoStack*)xptr;
        default: return xptr;
      }
    case 47:   //QUrl
      switch(to) {
        case 47: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 48:   //QVariant
      switch(to) {
        case 48: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 49:   //QWebDatabase
      switch(to) {
        case 49: return (void*)(QWebDatabase*)xptr;
        default: return xptr;
      }
    case 50:   //QWebElement
      switch(to) {
        case 50: return (void*)(QWebElement*)xptr;
        default: return xptr;
      }
    case 51:   //QWebElementCollection
      switch(to) {
        case 51: return (void*)(QWebElementCollection*)xptr;
        default: return xptr;
      }
    case 52:   //QWebElementCollection::const_iterator
      switch(to) {
        case 52: return (void*)(QWebElementCollection::const_iterator*)xptr;
        default: return xptr;
      }
    case 53:   //QWebElementCollection::iterator
      switch(to) {
        case 53: return (void*)(QWebElementCollection::iterator*)xptr;
        default: return xptr;
      }
    case 54:   //QWebFrame
      switch(to) {
        case 29: return (void*)(QObject*)(QWebFrame*)xptr;
        case 54: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 55:   //QWebHistory
      switch(to) {
        case 55: return (void*)(QWebHistory*)xptr;
        default: return xptr;
      }
    case 56:   //QWebHistoryInterface
      switch(to) {
        case 29: return (void*)(QObject*)(QWebHistoryInterface*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)xptr;
        default: return xptr;
      }
    case 57:   //QWebHistoryItem
      switch(to) {
        case 57: return (void*)(QWebHistoryItem*)xptr;
        default: return xptr;
      }
    case 58:   //QWebHitTestResult
      switch(to) {
        case 58: return (void*)(QWebHitTestResult*)xptr;
        default: return xptr;
      }
    case 59:   //QWebInspector
      switch(to) {
        case 79: return (void*)(QWidget*)(QWebInspector*)xptr;
        case 29: return (void*)(QObject*)(QWebInspector*)xptr;
        case 59: return (void*)(QWebInspector*)xptr;
        default: return xptr;
      }
    case 60:   //QWebPage
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPage*)xptr;
        case 60: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 61:   //QWebPage::ChooseMultipleFilesExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        default: return xptr;
      }
    case 62:   //QWebPage::ChooseMultipleFilesExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        default: return xptr;
      }
    case 63:   //QWebPage::ErrorPageExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ErrorPageExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)xptr;
        default: return xptr;
      }
    case 64:   //QWebPage::ErrorPageExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        default: return xptr;
      }
    case 65:   //QWebPage::ExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 66:   //QWebPage::ExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 67:   //QWebPage::ViewportAttributes
      switch(to) {
        case 67: return (void*)(QWebPage::ViewportAttributes*)xptr;
        default: return xptr;
      }
    case 68:   //QWebPagePrivate
      switch(to) {
        case 68: return (void*)(QWebPagePrivate*)xptr;
        default: return xptr;
      }
    case 69:   //QWebPluginFactory
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPluginFactory*)xptr;
        case 69: return (void*)(QWebPluginFactory*)xptr;
        default: return xptr;
      }
    case 70:   //QWebPluginFactory::ExtensionOption
      switch(to) {
        case 70: return (void*)(QWebPluginFactory::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 71:   //QWebPluginFactory::ExtensionReturn
      switch(to) {
        case 71: return (void*)(QWebPluginFactory::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 72:   //QWebPluginFactory::MimeType
      switch(to) {
        case 72: return (void*)(QWebPluginFactory::MimeType*)xptr;
        default: return xptr;
      }
    case 73:   //QWebPluginFactory::Plugin
      switch(to) {
        case 73: return (void*)(QWebPluginFactory::Plugin*)xptr;
        default: return xptr;
      }
    case 74:   //QWebSecurityOrigin
      switch(to) {
        case 74: return (void*)(QWebSecurityOrigin*)xptr;
        default: return xptr;
      }
    case 75:   //QWebSettings
      switch(to) {
        case 75: return (void*)(QWebSettings*)xptr;
        default: return xptr;
      }
    case 76:   //QWebSettingsPrivate
      switch(to) {
        case 76: return (void*)(QWebSettingsPrivate*)xptr;
        default: return xptr;
      }
    case 77:   //QWebView
      switch(to) {
        case 79: return (void*)(QWidget*)(QWebView*)xptr;
        case 29: return (void*)(QObject*)(QWebView*)xptr;
        case 77: return (void*)(QWebView*)xptr;
        default: return xptr;
      }
    case 78:   //QWheelEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 78: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QWidget
      switch(to) {
        case 29: return (void*)(QObject*)(QWidget*)xptr;
        case 79: return (void*)(QWidget*)xptr;
        case 77: return (void*)(QWebView*)(QWidget*)xptr;
        case 59: return (void*)(QWebInspector*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    29, 0,	// 1: QObject
    79, 0,	// 3: QWidget
    65, 0,	// 5: QWebPage::ExtensionOption
    66, 0,	// 7: QWebPage::ExtensionReturn
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebElement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPluginFactory(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__const_iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebFrame(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHitTestResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebInspector(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ViewportAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__MimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSecurityOrigin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAction", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIcon", true, 0, 0, 0, 0, 0 },	//18
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//19
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QMenu", true, 0, 0, 0, 0, 0 },	//22
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//23
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//26
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//27
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//28
    { "QObject", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//30
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QPainter", true, 0, 0, 0, 0, 0 },	//32
    { "QPalette", true, 0, 0, 0, 0, 0 },	//33
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//34
    { "QPoint", true, 0, 0, 0, 0, 0 },	//35
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//36
    { "QRect", true, 0, 0, 0, 0, 0 },	//37
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//38
    { "QRegion", true, 0, 0, 0, 0, 0 },	//39
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QSize", true, 0, 0, 0, 0, 0 },	//42
    { "QStyle", true, 0, 0, 0, 0, 0 },	//43
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QUndoStack", true, 0, 0, 0, 0, 0 },	//46
    { "QUrl", true, 0, 0, 0, 0, 0 },	//47
    { "QVariant", true, 0, 0, 0, 0, 0 },	//48
    { "QWebDatabase", false, 0, xcall_QWebDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebDatabase) },	//49
    { "QWebElement", false, 0, xcall_QWebElement, xenum_QWebElement, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElement) },	//50
    { "QWebElementCollection", false, 0, xcall_QWebElementCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection) },	//51
    { "QWebElementCollection::const_iterator", false, 0, xcall_QWebElementCollection__const_iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::const_iterator) },	//52
    { "QWebElementCollection::iterator", false, 0, xcall_QWebElementCollection__iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::iterator) },	//53
    { "QWebFrame", false, 1, xcall_QWebFrame, xenum_QWebFrame, Smoke::cf_virtual, sizeof(QWebFrame) },	//54
    { "QWebHistory", false, 0, xcall_QWebHistory, 0, 0, sizeof(QWebHistory) },	//55
    { "QWebHistoryInterface", false, 1, xcall_QWebHistoryInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebHistoryInterface) },	//56
    { "QWebHistoryItem", false, 0, xcall_QWebHistoryItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHistoryItem) },	//57
    { "QWebHitTestResult", false, 0, xcall_QWebHitTestResult, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHitTestResult) },	//58
    { "QWebInspector", false, 3, xcall_QWebInspector, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebInspector) },	//59
    { "QWebPage", false, 1, xcall_QWebPage, xenum_QWebPage, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPage) },	//60
    { "QWebPage::ChooseMultipleFilesExtensionOption", false, 5, xcall_QWebPage__ChooseMultipleFilesExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionOption) },	//61
    { "QWebPage::ChooseMultipleFilesExtensionReturn", false, 7, xcall_QWebPage__ChooseMultipleFilesExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionReturn) },	//62
    { "QWebPage::ErrorPageExtensionOption", false, 5, xcall_QWebPage__ErrorPageExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionOption) },	//63
    { "QWebPage::ErrorPageExtensionReturn", false, 7, xcall_QWebPage__ErrorPageExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionReturn) },	//64
    { "QWebPage::ExtensionOption", false, 0, xcall_QWebPage__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionOption) },	//65
    { "QWebPage::ExtensionReturn", false, 0, xcall_QWebPage__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionReturn) },	//66
    { "QWebPage::ViewportAttributes", false, 0, xcall_QWebPage__ViewportAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ViewportAttributes) },	//67
    { "QWebPagePrivate", true, 0, 0, 0, 0, 0 },	//68
    { "QWebPluginFactory", false, 1, xcall_QWebPluginFactory, xenum_QWebPluginFactory, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPluginFactory) },	//69
    { "QWebPluginFactory::ExtensionOption", false, 0, xcall_QWebPluginFactory__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionOption) },	//70
    { "QWebPluginFactory::ExtensionReturn", false, 0, xcall_QWebPluginFactory__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionReturn) },	//71
    { "QWebPluginFactory::MimeType", false, 0, xcall_QWebPluginFactory__MimeType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::MimeType) },	//72
    { "QWebPluginFactory::Plugin", false, 0, xcall_QWebPluginFactory__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::Plugin) },	//73
    { "QWebSecurityOrigin", false, 0, xcall_QWebSecurityOrigin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebSecurityOrigin) },	//74
    { "QWebSettings", false, 0, xcall_QWebSettings, xenum_QWebSettings, 0, sizeof(QWebSettings) },	//75
    { "QWebSettingsPrivate", true, 0, 0, 0, 0, 0 },	//76
    { "QWebView", false, 3, xcall_QWebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebView) },	//77
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QWidget", true, 0, 0, 0, 0, 0 },	//79
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//4
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDateTime", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//15
    { "QFlags<QWebPage::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//17
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QIcon", 18, Smoke::t_class|Smoke::tf_stack },	//20
    { "QIncompatibleFlag", 19, Smoke::t_class|Smoke::tf_stack },	//21
    { "QInputMethodEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QKeyEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QList<QWebDatabase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//24
    { "QList<QWebElement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "QList<QWebFrame*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//26
    { "QList<QWebHistoryItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//28
    { "QList<QWebPluginFactory::Plugin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "QList<QWebSecurityOrigin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//30
    { "QMenu*", 22, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QMetaObject::Call", 23, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QMouseEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QMoveEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "QNetworkAccessManager*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QNetworkAccessManager::Operation", 26, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QNetworkReply*", 27, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QNetworkRequest", 28, Smoke::t_class|Smoke::tf_stack },	//39
    { "QObject*", 29, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "QPaintEngine*", 30, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QPaintEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QPainter*", 32, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QPainter::RenderHint", 32, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QPalette", 33, Smoke::t_class|Smoke::tf_stack },	//46
    { "QPixmap", 34, Smoke::t_class|Smoke::tf_stack },	//47
    { "QPoint", 35, Smoke::t_class|Smoke::tf_stack },	//48
    { "QPrinter*", 36, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QRect", 37, Smoke::t_class|Smoke::tf_stack },	//50
    { "QRegExp&", 38, Smoke::t_class|Smoke::tf_ref },	//51
    { "QResizeEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QScriptEngine::ValueOwnership", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "QShowEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QSize", 42, Smoke::t_class|Smoke::tf_stack },	//55
    { "QSsl::AlternateNameEntryType", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "QSsl::EncodingFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QSsl::KeyAlgorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QSsl::KeyType", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QSsl::SslOption", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "QSsl::SslProtocol", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//63
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//64
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//65
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//66
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//67
    { "QStyle&", 43, Smoke::t_class|Smoke::tf_ref },	//68
    { "QTabletEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QTimerEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QUndoStack*", 46, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QUrl", 47, Smoke::t_class|Smoke::tf_stack },	//72
    { "QUrl&", 47, Smoke::t_class|Smoke::tf_ref },	//73
    { "QVariant", 48, Smoke::t_class|Smoke::tf_stack },	//74
    { "QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref },	//75
    { "QWebDatabase*", 49, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QWebElement", 50, Smoke::t_class|Smoke::tf_stack },	//77
    { "QWebElement&", 50, Smoke::t_class|Smoke::tf_ref },	//78
    { "QWebElement*", 50, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QWebElement::StyleResolveStrategy", 50, Smoke::t_enum|Smoke::tf_stack },	//80
    { "QWebElementCollection", 51, Smoke::t_class|Smoke::tf_stack },	//81
    { "QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref },	//82
    { "QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QWebElementCollection::const_iterator", 52, Smoke::t_class|Smoke::tf_stack },	//84
    { "QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref },	//85
    { "QWebElementCollection::const_iterator*", 52, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QWebElementCollection::iterator", 53, Smoke::t_class|Smoke::tf_stack },	//87
    { "QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref },	//88
    { "QWebElementCollection::iterator*", 53, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QWebFrame*", 54, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QWebFrame::RenderLayer", 54, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QWebHistory*", 55, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QWebHistoryInterface*", 56, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QWebHistoryItem", 57, Smoke::t_class|Smoke::tf_stack },	//94
    { "QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref },	//95
    { "QWebHistoryItem*", 57, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QWebHitTestResult", 58, Smoke::t_class|Smoke::tf_stack },	//97
    { "QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref },	//98
    { "QWebHitTestResult*", 58, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QWebInspector*", 59, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QWebPage*", 60, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QWebPage::ChooseMultipleFilesExtensionOption*", 61, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QWebPage::ChooseMultipleFilesExtensionReturn*", 62, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QWebPage::ErrorDomain", 60, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QWebPage::ErrorPageExtensionOption*", 63, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QWebPage::ErrorPageExtensionReturn*", 64, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QWebPage::Extension", 60, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QWebPage::ExtensionReturn*", 66, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QWebPage::Feature", 60, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QWebPage::FindFlag", 60, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QWebPage::LinkDelegationPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QWebPage::NavigationType", 60, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QWebPage::PermissionPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QWebPage::ViewportAttributes", 67, Smoke::t_class|Smoke::tf_stack },	//115
    { "QWebPage::ViewportAttributes&", 67, Smoke::t_class|Smoke::tf_ref },	//116
    { "QWebPage::ViewportAttributes*", 67, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QWebPage::WebAction", 60, Smoke::t_enum|Smoke::tf_stack },	//118
    { "QWebPage::WebWindowType", 60, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QWebPagePrivate*", 68, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QWebPluginFactory*", 69, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QWebPluginFactory::Extension", 69, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QWebPluginFactory::ExtensionOption*", 70, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QWebPluginFactory::ExtensionReturn*", 71, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QWebPluginFactory::MimeType*", 72, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QWebPluginFactory::Plugin*", 73, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QWebSecurityOrigin", 74, Smoke::t_class|Smoke::tf_stack },	//127
    { "QWebSecurityOrigin&", 74, Smoke::t_class|Smoke::tf_ref },	//128
    { "QWebSecurityOrigin*", 74, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QWebSettings*", 75, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QWebSettings::FontFamily", 75, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QWebSettings::FontSize", 75, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QWebSettings::WebAttribute", 75, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QWebSettings::WebGraphic", 75, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QWebSettingsPrivate*", 76, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QWebView*", 77, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QWheelEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QWidget*", 79, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//212
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//214
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//215
    { "__codecvt_result", 16, Smoke::t_enum|Smoke::tf_stack },	//216
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//217
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QMetaObject&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QMetaObject*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//222
    { "const QNetworkRequest&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QPalette&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QPixmap&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QPoint&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QRect&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QRegExp&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QRegion&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QSize&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//233
    { "const QUrl&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QVariant&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QWebElement", 50, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//237
    { "const QWebElement&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//240
    { "const QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QWebPage::ChooseMultipleFilesExtensionOption&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QWebPage::ChooseMultipleFilesExtensionReturn&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QWebPage::ErrorPageExtensionOption&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QWebPage::ErrorPageExtensionReturn&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QWebPage::ExtensionOption&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//250
    { "const QWebPage::ExtensionReturn&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QWebPage::ViewportAttributes&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QWebPluginFactory::ExtensionOption&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QWebPluginFactory::ExtensionOption*", 70, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//254
    { "const QWebPluginFactory::ExtensionReturn&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QWebPluginFactory::MimeType&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QWebPluginFactory::Plugin&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QWebSecurityOrigin&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//259
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//260
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//261
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//262
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//263
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//264
    { "quint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//265
    { "std::bidirectional_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//266
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//267
    { "std::random_access_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//268
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//269
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//270
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//271
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//272
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    14, 0,	//1  QEvent*
    40, 14, 0,	//3  QObject*, QEvent*
    70, 0,	//6  QTimerEvent*
    5, 0,	//8  QChildEvent*
    259, 0,	//10  const char*
    236, 0,	//12  const QWebDatabase&
    238, 0,	//14  const QWebElement&
    231, 0,	//16  const QString&
    231, 231, 0,	//18  const QString&, const QString&
    231, 231, 231, 0,	//21  const QString&, const QString&, const QString&
    231, 80, 0,	//25  const QString&, QWebElement::StyleResolveStrategy
    44, 0,	//28  QPainter*
    44, 227, 0,	//30  QPainter*, const QRect&
    238, 231, 0,	//33  const QWebElement&, const QString&
    239, 0,	//36  const QWebElementCollection&
    262, 0,	//38  int
    240, 262, 0,	//40  const QWebElementCollection*, int
    241, 0,	//43  const QWebElementCollection::const_iterator&
    84, 0,	//45  QWebElementCollection::const_iterator
    242, 0,	//47  const QWebElementCollection::iterator&
    87, 0,	//49  QWebElementCollection::iterator
    259, 259, 0,	//51  const char*, const char*
    259, 259, 262, 0,	//54  const char*, const char*, int
    32, 262, 271, 0,	//58  QMetaObject::Call, int, void**
    234, 0,	//62  const QUrl&
    223, 37, 218, 0,	//64  const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&
    231, 234, 0,	//68  const QString&, const QUrl&
    218, 231, 234, 0,	//71  const QByteArray&, const QString&, const QUrl&
    231, 40, 0,	//75  const QString&, QObject*
    231, 40, 53, 0,	//78  const QString&, QObject*, QScriptEngine::ValueOwnership
    185, 0,	//82  Qt::Orientation
    185, 189, 0,	//84  Qt::Orientation, Qt::ScrollBarPolicy
    185, 262, 0,	//87  Qt::Orientation, int
    262, 262, 0,	//90  int, int
    226, 0,	//93  const QPoint&
    44, 229, 0,	//95  QPainter*, const QRegion&
    44, 91, 229, 0,	//98  QPainter*, QWebFrame::RenderLayer, const QRegion&
    261, 0,	//102  double
    49, 0,	//104  QPrinter*
    230, 0,	//106  const QSize&
    217, 0,	//108  bool
    223, 0,	//110  const QNetworkRequest&
    223, 37, 0,	//112  const QNetworkRequest&, QNetworkAccessManager::Operation
    218, 0,	//115  const QByteArray&
    218, 231, 0,	//117  const QByteArray&, const QString&
    44, 91, 0,	//120  QPainter*, QWebFrame::RenderLayer
    243, 0,	//123  const QWebHistoryItem&
    40, 0,	//125  QObject*
    93, 0,	//127  QWebHistoryInterface*
    235, 0,	//129  const QVariant&
    244, 0,	//131  const QWebHitTestResult&
    138, 0,	//133  QWidget*
    101, 0,	//135  QWebPage*
    52, 0,	//137  QResizeEvent*
    54, 0,	//139  QShowEvent*
    19, 0,	//141  QHideEvent*
    6, 0,	//143  QCloseEvent*
    36, 0,	//145  QNetworkAccessManager*
    121, 0,	//147  QWebPluginFactory*
    118, 0,	//149  QWebPage::WebAction
    118, 217, 0,	//151  QWebPage::WebAction, bool
    227, 0,	//154  const QRect&
    173, 0,	//156  Qt::InputMethodQuery
    231, 16, 0,	//158  const QString&, QFlags<QWebPage::FindFlag>
    112, 0,	//161  QWebPage::LinkDelegationPolicy
    224, 0,	//163  const QPalette&
    7, 0,	//165  QContextMenuEvent*
    90, 110, 114, 0,	//167  QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy
    107, 250, 109, 0,	//171  QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*
    107, 0,	//175  QWebPage::Extension
    90, 0,	//177  QWebFrame*
    262, 262, 227, 0,	//179  int, int, const QRect&
    38, 0,	//183  QNetworkReply*
    90, 62, 0,	//185  QWebFrame*, QString
    129, 265, 0,	//188  QWebSecurityOrigin*, quint64
    90, 96, 0,	//191  QWebFrame*, QWebHistoryItem*
    90, 110, 0,	//194  QWebFrame*, QWebPage::Feature
    119, 0,	//197  QWebPage::WebWindowType
    231, 234, 232, 232, 0,	//199  const QString&, const QUrl&, const QStringList&, const QStringList&
    90, 223, 113, 0,	//204  QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType
    90, 231, 0,	//208  QWebFrame*, const QString&
    90, 231, 231, 64, 0,	//211  QWebFrame*, const QString&, const QString&, QString*
    231, 262, 231, 0,	//216  const QString&, int, const QString&
    107, 250, 0,	//220  QWebPage::Extension, const QWebPage::ExtensionOption*
    245, 0,	//223  const QWebPage::ChooseMultipleFilesExtensionOption&
    232, 0,	//225  const QStringList&
    246, 0,	//227  const QWebPage::ChooseMultipleFilesExtensionReturn&
    247, 0,	//229  const QWebPage::ErrorPageExtensionOption&
    104, 0,	//231  QWebPage::ErrorDomain
    248, 0,	//233  const QWebPage::ErrorPageExtensionReturn&
    249, 0,	//235  const QWebPage::ExtensionOption&
    251, 0,	//237  const QWebPage::ExtensionReturn&
    252, 0,	//239  const QWebPage::ViewportAttributes&
    122, 254, 124, 0,	//241  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*
    122, 0,	//245  QWebPluginFactory::Extension
    122, 254, 0,	//247  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*
    253, 0,	//250  const QWebPluginFactory::ExtensionOption&
    255, 0,	//252  const QWebPluginFactory::ExtensionReturn&
    256, 0,	//254  const QWebPluginFactory::MimeType&
    257, 0,	//256  const QWebPluginFactory::Plugin&
    220, 0,	//258  const QList<QWebPluginFactory::MimeType>&
    264, 0,	//260  long long
    258, 0,	//262  const QWebSecurityOrigin&
    131, 231, 0,	//264  QWebSettings::FontFamily, const QString&
    131, 0,	//267  QWebSettings::FontFamily
    132, 262, 0,	//269  QWebSettings::FontSize, int
    132, 0,	//272  QWebSettings::FontSize
    133, 217, 0,	//274  QWebSettings::WebAttribute, bool
    133, 0,	//277  QWebSettings::WebAttribute
    134, 225, 0,	//279  QWebSettings::WebGraphic, const QPixmap&
    134, 0,	//282  QWebSettings::WebGraphic
    262, 262, 262, 0,	//284  int, int, int
    15, 0,	//288  QFlags<QPainter::RenderHint>
    45, 217, 0,	//290  QPainter::RenderHint, bool
    43, 0,	//293  QPaintEvent*
    33, 0,	//295  QMouseEvent*
    137, 0,	//297  QWheelEvent*
    23, 0,	//299  QKeyEvent*
    9, 0,	//301  QDragEnterEvent*
    10, 0,	//303  QDragLeaveEvent*
    11, 0,	//305  QDragMoveEvent*
    13, 0,	//307  QDropEvent*
    18, 0,	//309  QFocusEvent*
    22, 0,	//311  QInputMethodEvent*
    45, 0,	//313  QPainter::RenderHint
    34, 0,	//315  QMoveEvent*
    69, 0,	//317  QTabletEvent*
    2, 0,	//319  QActionEvent*
    215, 0,	//321  _XEvent*
    41, 0,	//323  QPaintDevice::PaintDeviceMetric
    68, 0,	//325  QStyle&
    219, 0,	//327  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceleratedCompositingEnabled",	//1
    "AlignCenter",	//2
    "AlignJustified",	//3
    "AlignLeft",	//4
    "AlignRight",	//5
    "AllLayers",	//6
    "AutoLoadImages",	//7
    "Back",	//8
    "CascadedStyle",	//9
    "ChooseMultipleFilesExtension",	//10
    "ChooseMultipleFilesExtensionOption",	//11
    "ChooseMultipleFilesExtensionOption#",	//12
    "ChooseMultipleFilesExtensionReturn",	//13
    "ChooseMultipleFilesExtensionReturn#",	//14
    "ComputedStyle",	//15
    "ContentsLayer",	//16
    "Copy",	//17
    "CopyImageToClipboard",	//18
    "CopyImageUrlToClipboard",	//19
    "CopyLinkToClipboard",	//20
    "CursiveFont",	//21
    "Cut",	//22
    "DefaultFixedFontSize",	//23
    "DefaultFontSize",	//24
    "DefaultFrameIconGraphic",	//25
    "DelegateAllLinks",	//26
    "DelegateExternalLinks",	//27
    "DeleteButtonGraphic",	//28
    "DeleteEndOfWord",	//29
    "DeleteStartOfWord",	//30
    "DeveloperExtrasEnabled",	//31
    "DnsPrefetchEnabled",	//32
    "DontDelegateLinks",	//33
    "DownloadImageToDisk",	//34
    "DownloadLinkToDisk",	//35
    "DrawChildren",	//36
    "DrawWindowBackground",	//37
    "ErrorPageExtension",	//38
    "ErrorPageExtensionOption",	//39
    "ErrorPageExtensionOption#",	//40
    "ErrorPageExtensionReturn",	//41
    "ErrorPageExtensionReturn#",	//42
    "ExtensionOption",	//43
    "ExtensionOption#",	//44
    "ExtensionReturn",	//45
    "ExtensionReturn#",	//46
    "FantasyFont",	//47
    "FindBackward",	//48
    "FindCaseSensitively",	//49
    "FindWrapsAroundDocument",	//50
    "FixedFont",	//51
    "Forward",	//52
    "FrameFlatteningEnabled",	//53
    "Geolocation",	//54
    "HighlightAllOccurrences",	//55
    "Http",	//56
    "HyperlinkAuditingEnabled",	//57
    "IgnoreMask",	//58
    "Indent",	//59
    "InlineStyle",	//60
    "InputSpeechButtonGraphic",	//61
    "InsertLineSeparator",	//62
    "InsertOrderedList",	//63
    "InsertParagraphSeparator",	//64
    "InsertUnorderedList",	//65
    "InspectElement",	//66
    "JavaEnabled",	//67
    "JavascriptCanAccessClipboard",	//68
    "JavascriptCanCloseWindows",	//69
    "JavascriptCanOpenWindows",	//70
    "JavascriptEnabled",	//71
    "LinksIncludedInFocusChain",	//72
    "LocalContentCanAccessFileUrls",	//73
    "LocalContentCanAccessRemoteUrls",	//74
    "LocalStorageDatabaseEnabled",	//75
    "LocalStorageEnabled",	//76
    "MimeType",	//77
    "MimeType#",	//78
    "MinimumFontSize",	//79
    "MinimumLogicalFontSize",	//80
    "MissingImageGraphic",	//81
    "MissingPluginGraphic",	//82
    "MoveToEndOfBlock",	//83
    "MoveToEndOfDocument",	//84
    "MoveToEndOfLine",	//85
    "MoveToNextChar",	//86
    "MoveToNextLine",	//87
    "MoveToNextWord",	//88
    "MoveToPreviousChar",	//89
    "MoveToPreviousLine",	//90
    "MoveToPreviousWord",	//91
    "MoveToStartOfBlock",	//92
    "MoveToStartOfDocument",	//93
    "MoveToStartOfLine",	//94
    "NavigationTypeBackOrForward",	//95
    "NavigationTypeFormResubmitted",	//96
    "NavigationTypeFormSubmitted",	//97
    "NavigationTypeLinkClicked",	//98
    "NavigationTypeOther",	//99
    "NavigationTypeReload",	//100
    "NoWebAction",	//101
    "Notifications",	//102
    "OfflineStorageDatabaseEnabled",	//103
    "OfflineWebApplicationCacheEnabled",	//104
    "OpenFrameInNewWindow",	//105
    "OpenImageInNewWindow",	//106
    "OpenLink",	//107
    "OpenLinkInNewWindow",	//108
    "Outdent",	//109
    "PanIconLayer",	//110
    "Paste",	//111
    "PasteAndMatchStyle",	//112
    "PermissionDeniedByUser",	//113
    "PermissionGrantedByUser",	//114
    "PermissionUnknown",	//115
    "Plugin",	//116
    "Plugin#",	//117
    "PluginsEnabled",	//118
    "PrintElementBackgrounds",	//119
    "PrivateBrowsingEnabled",	//120
    "QWebDatabase",	//121
    "QWebDatabase#",	//122
    "QWebElement",	//123
    "QWebElement#",	//124
    "QWebElementCollection",	//125
    "QWebElementCollection#",	//126
    "QWebElementCollection#$",	//127
    "QWebHistoryInterface",	//128
    "QWebHistoryInterface#",	//129
    "QWebHistoryItem",	//130
    "QWebHistoryItem#",	//131
    "QWebHitTestResult",	//132
    "QWebHitTestResult#",	//133
    "QWebInspector",	//134
    "QWebInspector#",	//135
    "QWebPage",	//136
    "QWebPage#",	//137
    "QWebPluginFactory",	//138
    "QWebPluginFactory#",	//139
    "QWebSecurityOrigin",	//140
    "QWebSecurityOrigin#",	//141
    "QWebView",	//142
    "QWebView#",	//143
    "QtCriticalMsg",	//144
    "QtDebugMsg",	//145
    "QtFatalMsg",	//146
    "QtNetwork",	//147
    "QtSystemMsg",	//148
    "QtWarningMsg",	//149
    "Redo",	//150
    "Reload",	//151
    "ReloadAndBypassCache",	//152
    "RemoveFormat",	//153
    "SansSerifFont",	//154
    "ScrollBarLayer",	//155
    "SearchCancelButtonGraphic",	//156
    "SearchCancelButtonPressedGraphic",	//157
    "SelectAll",	//158
    "SelectEndOfBlock",	//159
    "SelectEndOfDocument",	//160
    "SelectEndOfLine",	//161
    "SelectNextChar",	//162
    "SelectNextLine",	//163
    "SelectNextWord",	//164
    "SelectPreviousChar",	//165
    "SelectPreviousLine",	//166
    "SelectPreviousWord",	//167
    "SelectStartOfBlock",	//168
    "SelectStartOfDocument",	//169
    "SelectStartOfLine",	//170
    "SerifFont",	//171
    "SetTextDirectionDefault",	//172
    "SetTextDirectionLeftToRight",	//173
    "SetTextDirectionRightToLeft",	//174
    "SiteSpecificQuirksEnabled",	//175
    "SpatialNavigationEnabled",	//176
    "StandardFont",	//177
    "Stop",	//178
    "StopScheduledPageRefresh",	//179
    "TextAreaSizeGripCornerGraphic",	//180
    "TiledBackingStoreEnabled",	//181
    "ToggleBold",	//182
    "ToggleItalic",	//183
    "ToggleStrikethrough",	//184
    "ToggleSubscript",	//185
    "ToggleSuperscript",	//186
    "ToggleUnderline",	//187
    "Undo",	//188
    "ViewportAttributes",	//189
    "ViewportAttributes#",	//190
    "WebActionCount",	//191
    "WebBrowserWindow",	//192
    "WebGLEnabled",	//193
    "WebKit",	//194
    "WebModalDialog",	//195
    "XSSAuditingEnabled",	//196
    "ZoomTextOnly",	//197
    "_ISalnum",	//198
    "_ISalpha",	//199
    "_ISblank",	//200
    "_IScntrl",	//201
    "_ISdigit",	//202
    "_ISgraph",	//203
    "_ISlower",	//204
    "_ISprint",	//205
    "_ISpunct",	//206
    "_ISspace",	//207
    "_ISupper",	//208
    "_ISxdigit",	//209
    "__codecvt_error",	//210
    "__codecvt_noconv",	//211
    "__codecvt_ok",	//212
    "__codecvt_partial",	//213
    "acceptNavigationRequest",	//214
    "acceptNavigationRequest##$",	//215
    "action",	//216
    "action$",	//217
    "actionEvent",	//218
    "addClass",	//219
    "addClass$",	//220
    "addHistoryEntry",	//221
    "addHistoryEntry$",	//222
    "addLocalScheme",	//223
    "addLocalScheme$",	//224
    "addToJavaScriptWindowObject",	//225
    "addToJavaScriptWindowObject$#",	//226
    "addToJavaScriptWindowObject$#$",	//227
    "allOrigins",	//228
    "alternateText",	//229
    "append",	//230
    "append#",	//231
    "appendInside",	//232
    "appendInside#",	//233
    "appendInside$",	//234
    "appendOutside",	//235
    "appendOutside#",	//236
    "appendOutside$",	//237
    "applicationCacheQuotaExceeded",	//238
    "applicationCacheQuotaExceeded#$",	//239
    "at",	//240
    "at$",	//241
    "attribute",	//242
    "attribute$",	//243
    "attribute$$",	//244
    "attributeNS",	//245
    "attributeNS$$",	//246
    "attributeNS$$$",	//247
    "attributeNames",	//248
    "attributeNames$",	//249
    "back",	//250
    "backItem",	//251
    "backItems",	//252
    "backItems$",	//253
    "baseUrl",	//254
    "begin",	//255
    "boundingRect",	//256
    "bytesReceived",	//257
    "canGoBack",	//258
    "canGoForward",	//259
    "changeEvent",	//260
    "changeEvent#",	//261
    "childEvent",	//262
    "childFrames",	//263
    "chooseFile",	//264
    "chooseFile#$",	//265
    "classes",	//266
    "clear",	//267
    "clearIconDatabase",	//268
    "clearMemoryCaches",	//269
    "clone",	//270
    "closeEvent",	//271
    "closeEvent#",	//272
    "connectNotify",	//273
    "constBegin",	//274
    "constEnd",	//275
    "const_iterator",	//276
    "const_iterator#",	//277
    "const_iterator#$",	//278
    "content",	//279
    "contentType",	//280
    "contentsChanged",	//281
    "contentsSize",	//282
    "contentsSizeChanged",	//283
    "contentsSizeChanged#",	//284
    "contextMenuEvent",	//285
    "contextMenuEvent#",	//286
    "count",	//287
    "create",	//288
    "create$#??",	//289
    "createPlugin",	//290
    "createPlugin$#??",	//291
    "createStandardContextMenu",	//292
    "createWindow",	//293
    "createWindow$",	//294
    "currentFrame",	//295
    "currentItem",	//296
    "currentItemIndex",	//297
    "customEvent",	//298
    "databaseQuota",	//299
    "databaseQuotaExceeded",	//300
    "databaseQuotaExceeded#$",	//301
    "databaseUsage",	//302
    "databases",	//303
    "defaultInterface",	//304
    "defaultTextEncoding",	//305
    "description",	//306
    "devType",	//307
    "devicePixelRatio",	//308
    "disconnectNotify",	//309
    "displayName",	//310
    "document",	//311
    "documentElement",	//312
    "domain",	//313
    "downloadRequested",	//314
    "downloadRequested#",	//315
    "dragEnterEvent",	//316
    "dragEnterEvent#",	//317
    "dragLeaveEvent",	//318
    "dragLeaveEvent#",	//319
    "dragMoveEvent",	//320
    "dragMoveEvent#",	//321
    "dropEvent",	//322
    "dropEvent#",	//323
    "element",	//324
    "enablePersistentStorage",	//325
    "enablePersistentStorage$",	//326
    "enabledChange",	//327
    "encloseContentsWith",	//328
    "encloseContentsWith#",	//329
    "encloseContentsWith$",	//330
    "encloseWith",	//331
    "encloseWith#",	//332
    "encloseWith$",	//333
    "enclosingBlockElement",	//334
    "encoding",	//335
    "end",	//336
    "enterEvent",	//337
    "error",	//338
    "errorString",	//339
    "evaluateJavaScript",	//340
    "evaluateJavaScript$",	//341
    "event",	//342
    "event#",	//343
    "eventFilter",	//344
    "expectedSize",	//345
    "extension",	//346
    "extension$",	//347
    "extension$#",	//348
    "extension$##",	//349
    "featurePermissionRequestCanceled",	//350
    "featurePermissionRequestCanceled#$",	//351
    "featurePermissionRequested",	//352
    "featurePermissionRequested#$",	//353
    "fileExtensions",	//354
    "fileName",	//355
    "fileNames",	//356
    "findAll",	//357
    "findAll$",	//358
    "findAllElements",	//359
    "findAllElements$",	//360
    "findFirst",	//361
    "findFirst$",	//362
    "findFirstElement",	//363
    "findFirstElement$",	//364
    "findText",	//365
    "findText$",	//366
    "findText$$",	//367
    "first",	//368
    "firstChild",	//369
    "focusInEvent",	//370
    "focusInEvent#",	//371
    "focusNextPrevChild",	//372
    "focusNextPrevChild$",	//373
    "focusOutEvent",	//374
    "focusOutEvent#",	//375
    "fontChange",	//376
    "fontFamily",	//377
    "fontFamily$",	//378
    "fontSize",	//379
    "fontSize$",	//380
    "forward",	//381
    "forwardItem",	//382
    "forwardItems",	//383
    "forwardItems$",	//384
    "forwardUnsupportedContent",	//385
    "frame",	//386
    "frameAt",	//387
    "frameAt#",	//388
    "frameCreated",	//389
    "frameCreated#",	//390
    "frameName",	//391
    "geometry",	//392
    "geometryChangeRequested",	//393
    "geometryChangeRequested#",	//394
    "globalSettings",	//395
    "goToItem",	//396
    "goToItem#",	//397
    "handle",	//398
    "hasAttribute",	//399
    "hasAttribute$",	//400
    "hasAttributeNS",	//401
    "hasAttributeNS$$",	//402
    "hasAttributes",	//403
    "hasClass",	//404
    "hasClass$",	//405
    "hasFocus",	//406
    "hasSelection",	//407
    "heightForWidth",	//408
    "hideEvent",	//409
    "hideEvent#",	//410
    "history",	//411
    "historyContains",	//412
    "historyContains$",	//413
    "hitTestContent",	//414
    "hitTestContent#",	//415
    "host",	//416
    "icon",	//417
    "iconChanged",	//418
    "iconDatabasePath",	//419
    "iconForUrl",	//420
    "iconForUrl#",	//421
    "imageUrl",	//422
    "initialLayoutCompleted",	//423
    "initialScaleFactor",	//424
    "inputMethodEvent",	//425
    "inputMethodEvent#",	//426
    "inputMethodQuery",	//427
    "inputMethodQuery$",	//428
    "isContentEditable",	//429
    "isContentSelected",	//430
    "isModified",	//431
    "isNull",	//432
    "isUserScalable",	//433
    "isValid",	//434
    "itemAt",	//435
    "itemAt$",	//436
    "items",	//437
    "iterator",	//438
    "iterator#",	//439
    "iterator#$",	//440
    "javaScriptAlert",	//441
    "javaScriptAlert#$",	//442
    "javaScriptConfirm",	//443
    "javaScriptConfirm#$",	//444
    "javaScriptConsoleMessage",	//445
    "javaScriptConsoleMessage$$$",	//446
    "javaScriptPrompt",	//447
    "javaScriptPrompt#$$$",	//448
    "javaScriptWindowObjectCleared",	//449
    "keyPressEvent",	//450
    "keyPressEvent#",	//451
    "keyReleaseEvent",	//452
    "keyReleaseEvent#",	//453
    "languageChange",	//454
    "last",	//455
    "lastChild",	//456
    "lastVisited",	//457
    "leaveEvent",	//458
    "linkClicked",	//459
    "linkClicked#",	//460
    "linkDelegationPolicy",	//461
    "linkElement",	//462
    "linkHovered",	//463
    "linkHovered$$$",	//464
    "linkTargetFrame",	//465
    "linkText",	//466
    "linkTitle",	//467
    "linkUrl",	//468
    "load",	//469
    "load#",	//470
    "load#$",	//471
    "load#$#",	//472
    "loadFinished",	//473
    "loadFinished$",	//474
    "loadProgress",	//475
    "loadProgress$",	//476
    "loadStarted",	//477
    "localName",	//478
    "localSchemes",	//479
    "localStoragePath",	//480
    "mainFrame",	//481
    "maximumItemCount",	//482
    "maximumPagesInCache",	//483
    "maximumScaleFactor",	//484
    "menuBarVisibilityChangeRequested",	//485
    "menuBarVisibilityChangeRequested$",	//486
    "metaData",	//487
    "metaObject",	//488
    "metric",	//489
    "microFocusChanged",	//490
    "mimeTypes",	//491
    "minimumScaleFactor",	//492
    "minimumSizeHint",	//493
    "mouseDoubleClickEvent",	//494
    "mouseDoubleClickEvent#",	//495
    "mouseMoveEvent",	//496
    "mouseMoveEvent#",	//497
    "mousePressEvent",	//498
    "mousePressEvent#",	//499
    "mouseReleaseEvent",	//500
    "mouseReleaseEvent#",	//501
    "moveEvent",	//502
    "name",	//503
    "namespaceUri",	//504
    "networkAccessManager",	//505
    "nextSibling",	//506
    "offlineStorageDefaultQuota",	//507
    "offlineStoragePath",	//508
    "offlineWebApplicationCachePath",	//509
    "offlineWebApplicationCacheQuota",	//510
    "operator!=",	//511
    "operator!=#",	//512
    "operator*",	//513
    "operator+",	//514
    "operator+#",	//515
    "operator+$",	//516
    "operator++",	//517
    "operator++$",	//518
    "operator+=",	//519
    "operator+=#",	//520
    "operator+=$",	//521
    "operator-",	//522
    "operator-#",	//523
    "operator-$",	//524
    "operator--",	//525
    "operator--$",	//526
    "operator-=",	//527
    "operator-=$",	//528
    "operator<",	//529
    "operator<#",	//530
    "operator<=",	//531
    "operator<=#",	//532
    "operator=",	//533
    "operator=#",	//534
    "operator==",	//535
    "operator==#",	//536
    "operator>",	//537
    "operator>#",	//538
    "operator>=",	//539
    "operator>=#",	//540
    "operator[]",	//541
    "operator[]$",	//542
    "origin",	//543
    "originalUrl",	//544
    "page",	//545
    "pageAction",	//546
    "pageAction$",	//547
    "pageChanged",	//548
    "paintEngine",	//549
    "paintEvent",	//550
    "paintEvent#",	//551
    "palette",	//552
    "paletteChange",	//553
    "parent",	//554
    "parentFrame",	//555
    "pixmap",	//556
    "pluginFactory",	//557
    "plugins",	//558
    "port",	//559
    "pos",	//560
    "preferredContentsSize",	//561
    "prefix",	//562
    "prependInside",	//563
    "prependInside#",	//564
    "prependInside$",	//565
    "prependOutside",	//566
    "prependOutside#",	//567
    "prependOutside$",	//568
    "previousSibling",	//569
    "print",	//570
    "print#",	//571
    "printRequested",	//572
    "printRequested#",	//573
    "provisionalLoad",	//574
    "qt_metacall",	//575
    "qt_metacall$$?",	//576
    "qt_metacast",	//577
    "qt_metacast$",	//578
    "refreshPlugins",	//579
    "reload",	//580
    "removeAllChildren",	//581
    "removeAllDatabases",	//582
    "removeAttribute",	//583
    "removeAttribute$",	//584
    "removeAttributeNS",	//585
    "removeAttributeNS$$",	//586
    "removeClass",	//587
    "removeClass$",	//588
    "removeDatabase",	//589
    "removeDatabase#",	//590
    "removeFromDocument",	//591
    "removeLocalScheme",	//592
    "removeLocalScheme$",	//593
    "render",	//594
    "render#",	//595
    "render##",	//596
    "render#$",	//597
    "render#$#",	//598
    "renderHints",	//599
    "renderTreeDump",	//600
    "repaintRequested",	//601
    "repaintRequested#",	//602
    "replace",	//603
    "replace#",	//604
    "replace$",	//605
    "requestedUrl",	//606
    "resetAttribute",	//607
    "resetAttribute$",	//608
    "resetFontFamily",	//609
    "resetFontFamily$",	//610
    "resetFontSize",	//611
    "resetFontSize$",	//612
    "resizeEvent",	//613
    "resizeEvent#",	//614
    "restoreFrameStateRequested",	//615
    "restoreFrameStateRequested#",	//616
    "saveFrameStateRequested",	//617
    "saveFrameStateRequested##",	//618
    "scheme",	//619
    "scroll",	//620
    "scroll$$",	//621
    "scrollBarGeometry",	//622
    "scrollBarGeometry$",	//623
    "scrollBarMaximum",	//624
    "scrollBarMaximum$",	//625
    "scrollBarMinimum",	//626
    "scrollBarMinimum$",	//627
    "scrollBarPolicy",	//628
    "scrollBarPolicy$",	//629
    "scrollBarValue",	//630
    "scrollBarValue$",	//631
    "scrollPosition",	//632
    "scrollRequested",	//633
    "scrollRequested$$#",	//634
    "scrollToAnchor",	//635
    "scrollToAnchor$",	//636
    "securityOrigin",	//637
    "selectedHtml",	//638
    "selectedText",	//639
    "selectionChanged",	//640
    "setActualVisibleContentRect",	//641
    "setActualVisibleContentRect#",	//642
    "setApplicationCacheQuota",	//643
    "setApplicationCacheQuota$",	//644
    "setAttribute",	//645
    "setAttribute$$",	//646
    "setAttributeNS",	//647
    "setAttributeNS$$$",	//648
    "setBaseUrl",	//649
    "setBaseUrl#",	//650
    "setContent",	//651
    "setContent#",	//652
    "setContent#$",	//653
    "setContent#$#",	//654
    "setContentEditable",	//655
    "setContentEditable$",	//656
    "setContentType",	//657
    "setContentType$",	//658
    "setDatabaseQuota",	//659
    "setDatabaseQuota$",	//660
    "setDefaultInterface",	//661
    "setDefaultInterface#",	//662
    "setDefaultTextEncoding",	//663
    "setDefaultTextEncoding$",	//664
    "setDescription",	//665
    "setDescription$",	//666
    "setDomain",	//667
    "setDomain$",	//668
    "setEncoding",	//669
    "setEncoding$",	//670
    "setError",	//671
    "setError$",	//672
    "setErrorString",	//673
    "setErrorString$",	//674
    "setFeaturePermission",	//675
    "setFeaturePermission#$$",	//676
    "setFileExtensions",	//677
    "setFileExtensions?",	//678
    "setFileNames",	//679
    "setFileNames?",	//680
    "setFocus",	//681
    "setFontFamily",	//682
    "setFontFamily$$",	//683
    "setFontSize",	//684
    "setFontSize$$",	//685
    "setForwardUnsupportedContent",	//686
    "setForwardUnsupportedContent$",	//687
    "setFrame",	//688
    "setFrame#",	//689
    "setHtml",	//690
    "setHtml$",	//691
    "setHtml$#",	//692
    "setIconDatabasePath",	//693
    "setIconDatabasePath$",	//694
    "setInnerXml",	//695
    "setInnerXml$",	//696
    "setLinkDelegationPolicy",	//697
    "setLinkDelegationPolicy$",	//698
    "setLocalStoragePath",	//699
    "setLocalStoragePath$",	//700
    "setMaximumItemCount",	//701
    "setMaximumItemCount$",	//702
    "setMaximumPagesInCache",	//703
    "setMaximumPagesInCache$",	//704
    "setMimeTypes",	//705
    "setMimeTypes?",	//706
    "setName",	//707
    "setName$",	//708
    "setNetworkAccessManager",	//709
    "setNetworkAccessManager#",	//710
    "setObjectCacheCapacities",	//711
    "setObjectCacheCapacities$$$",	//712
    "setOfflineStorageDefaultQuota",	//713
    "setOfflineStorageDefaultQuota$",	//714
    "setOfflineStoragePath",	//715
    "setOfflineStoragePath$",	//716
    "setOfflineWebApplicationCachePath",	//717
    "setOfflineWebApplicationCachePath$",	//718
    "setOfflineWebApplicationCacheQuota",	//719
    "setOfflineWebApplicationCacheQuota$",	//720
    "setOuterXml",	//721
    "setOuterXml$",	//722
    "setPage",	//723
    "setPage#",	//724
    "setPalette",	//725
    "setPalette#",	//726
    "setParentFrame",	//727
    "setParentFrame#",	//728
    "setPlainText",	//729
    "setPlainText$",	//730
    "setPluginFactory",	//731
    "setPluginFactory#",	//732
    "setPreferredContentsSize",	//733
    "setPreferredContentsSize#",	//734
    "setRenderHint",	//735
    "setRenderHint$",	//736
    "setRenderHint$$",	//737
    "setRenderHints",	//738
    "setRenderHints$",	//739
    "setScrollBarPolicy",	//740
    "setScrollBarPolicy$$",	//741
    "setScrollBarValue",	//742
    "setScrollBarValue$$",	//743
    "setScrollPosition",	//744
    "setScrollPosition#",	//745
    "setStyleProperty",	//746
    "setStyleProperty$$",	//747
    "setSuggestedFileNames",	//748
    "setSuggestedFileNames?",	//749
    "setTextSizeMultiplier",	//750
    "setTextSizeMultiplier$",	//751
    "setUrl",	//752
    "setUrl#",	//753
    "setUserData",	//754
    "setUserData#",	//755
    "setUserStyleSheetUrl",	//756
    "setUserStyleSheetUrl#",	//757
    "setView",	//758
    "setView#",	//759
    "setViewportSize",	//760
    "setViewportSize#",	//761
    "setVisible",	//762
    "setWebGraphic",	//763
    "setWebGraphic$#",	//764
    "setZoomFactor",	//765
    "setZoomFactor$",	//766
    "settings",	//767
    "shouldInterruptJavaScript",	//768
    "showEvent",	//769
    "showEvent#",	//770
    "size",	//771
    "sizeHint",	//772
    "staticMetaObject",	//773
    "statusBarMessage",	//774
    "statusBarMessage$",	//775
    "statusBarVisibilityChangeRequested",	//776
    "statusBarVisibilityChangeRequested$",	//777
    "stop",	//778
    "styleChange",	//779
    "styleProperty",	//780
    "styleProperty$$",	//781
    "suggestedFileNames",	//782
    "supportedContentTypes",	//783
    "supportsContentType",	//784
    "supportsContentType$",	//785
    "supportsExtension",	//786
    "supportsExtension$",	//787
    "swallowContextMenuEvent",	//788
    "swallowContextMenuEvent#",	//789
    "tabletEvent",	//790
    "tagName",	//791
    "takeFromDocument",	//792
    "testAttribute",	//793
    "testAttribute$",	//794
    "textSizeMultiplier",	//795
    "timerEvent",	//796
    "title",	//797
    "titleChanged",	//798
    "titleChanged$",	//799
    "toHtml",	//800
    "toInnerXml",	//801
    "toList",	//802
    "toOuterXml",	//803
    "toPlainText",	//804
    "toggleClass",	//805
    "toggleClass$",	//806
    "toolBarVisibilityChangeRequested",	//807
    "toolBarVisibilityChangeRequested$",	//808
    "totalBytes",	//809
    "tr",	//810
    "tr$",	//811
    "tr$$",	//812
    "tr$$$",	//813
    "trUtf8",	//814
    "trUtf8$",	//815
    "trUtf8$$",	//816
    "trUtf8$$$",	//817
    "triggerAction",	//818
    "triggerAction$",	//819
    "triggerAction$$",	//820
    "triggerPageAction",	//821
    "triggerPageAction$",	//822
    "triggerPageAction$$",	//823
    "undoStack",	//824
    "unsupportedContent",	//825
    "unsupportedContent#",	//826
    "updatePositionDependentActions",	//827
    "updatePositionDependentActions#",	//828
    "url",	//829
    "urlChanged",	//830
    "urlChanged#",	//831
    "userAgentForUrl",	//832
    "userAgentForUrl#",	//833
    "userData",	//834
    "userStyleSheetUrl",	//835
    "view",	//836
    "viewportAttributesForSize",	//837
    "viewportAttributesForSize#",	//838
    "viewportChangeRequested",	//839
    "viewportSize",	//840
    "webFrame",	//841
    "webGraphic",	//842
    "webGraphic$",	//843
    "wheelEvent",	//844
    "wheelEvent#",	//845
    "windowActivationChange",	//846
    "windowCloseRequested",	//847
    "x11Event",	//848
    "zoomFactor",	//849
    "~ChooseMultipleFilesExtensionOption",	//850
    "~ChooseMultipleFilesExtensionReturn",	//851
    "~ErrorPageExtensionOption",	//852
    "~ErrorPageExtensionReturn",	//853
    "~ExtensionOption",	//854
    "~ExtensionReturn",	//855
    "~MimeType",	//856
    "~Plugin",	//857
    "~QWebDatabase",	//858
    "~QWebElement",	//859
    "~QWebElementCollection",	//860
    "~QWebHistoryInterface",	//861
    "~QWebHistoryItem",	//862
    "~QWebHitTestResult",	//863
    "~QWebInspector",	//864
    "~QWebPage",	//865
    "~QWebPluginFactory",	//866
    "~QWebSecurityOrigin",	//867
    "~QWebView",	//868
    "~ViewportAttributes",	//869
    "~const_iterator",	//870
    "~iterator",	//871
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {16, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 1},	//1 QGlobalSpace::_ISupper (enum)
    {16, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 2},	//2 QGlobalSpace::_ISlower (enum)
    {16, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 3},	//3 QGlobalSpace::_ISalpha (enum)
    {16, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 4},	//4 QGlobalSpace::_ISdigit (enum)
    {16, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 5},	//5 QGlobalSpace::_ISxdigit (enum)
    {16, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 6},	//6 QGlobalSpace::_ISspace (enum)
    {16, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 7},	//7 QGlobalSpace::_ISprint (enum)
    {16, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 8},	//8 QGlobalSpace::_ISgraph (enum)
    {16, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 9},	//9 QGlobalSpace::_ISblank (enum)
    {16, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 10},	//10 QGlobalSpace::_IScntrl (enum)
    {16, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 11},	//11 QGlobalSpace::_ISpunct (enum)
    {16, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 12},	//12 QGlobalSpace::_ISalnum (enum)
    {16, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 13},	//13 QGlobalSpace::QtDebugMsg (enum)
    {16, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 14},	//14 QGlobalSpace::QtWarningMsg (enum)
    {16, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 15},	//15 QGlobalSpace::QtCriticalMsg (enum)
    {16, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 16},	//16 QGlobalSpace::QtFatalMsg (enum)
    {16, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 17},	//17 QGlobalSpace::QtSystemMsg (enum)
    {16, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 18},	//18 QGlobalSpace::__codecvt_ok (enum)
    {16, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 19},	//19 QGlobalSpace::__codecvt_partial (enum)
    {16, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 20},	//20 QGlobalSpace::__codecvt_error (enum)
    {16, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 21},	//21 QGlobalSpace::__codecvt_noconv (enum)
    {29, 342, 1, 1, Smoke::mf_virtual, 217, 0},	//22 QObject::event(QEvent*)
    {29, 344, 3, 2, Smoke::mf_virtual, 217, 0},	//23 QObject::eventFilter(QObject*, QEvent*)
    {29, 796, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//24 QObject::timerEvent(QTimerEvent*)
    {29, 262, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//25 QObject::childEvent(QChildEvent*)
    {29, 298, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//26 QObject::customEvent(QEvent*)
    {29, 273, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//27 QObject::connectNotify(const char*)
    {29, 309, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//28 QObject::disconnectNotify(const char*)
    {49, 121, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 1},	//29 QWebDatabase::QWebDatabase(const QWebDatabase&)
    {49, 533, 12, 1, 0, 75, 2},	//30 QWebDatabase::operator=(const QWebDatabase&)
    {49, 503, 0, 0, Smoke::mf_const, 62, 3},	//31 QWebDatabase::name() const
    {49, 310, 0, 0, Smoke::mf_const, 62, 4},	//32 QWebDatabase::displayName() const
    {49, 345, 0, 0, Smoke::mf_const, 264, 5},	//33 QWebDatabase::expectedSize() const
    {49, 771, 0, 0, Smoke::mf_const, 264, 6},	//34 QWebDatabase::size() const
    {49, 355, 0, 0, Smoke::mf_const, 62, 7},	//35 QWebDatabase::fileName() const
    {49, 543, 0, 0, Smoke::mf_const, 127, 8},	//36 QWebDatabase::origin() const
    {49, 589, 12, 1, Smoke::mf_static, 0, 9},	//37 QWebDatabase::removeDatabase(const QWebDatabase&)
    {49, 582, 0, 0, Smoke::mf_static, 0, 10},	//38 QWebDatabase::removeAllDatabases()
    {49, 858, 0, 0, Smoke::mf_dtor, 0, 11 },	//39 QWebDatabase::~QWebDatabase()
    {50, 123, 0, 0, Smoke::mf_ctor, 79, 1},	//40 QWebElement::QWebElement()
    {50, 123, 14, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 79, 2},	//41 QWebElement::QWebElement(const QWebElement&)
    {50, 533, 14, 1, 0, 78, 3},	//42 QWebElement::operator=(const QWebElement&)
    {50, 535, 14, 1, Smoke::mf_const, 217, 4},	//43 QWebElement::operator==(const QWebElement&) const
    {50, 511, 14, 1, Smoke::mf_const, 217, 5},	//44 QWebElement::operator!=(const QWebElement&) const
    {50, 432, 0, 0, Smoke::mf_const, 217, 6},	//45 QWebElement::isNull() const
    {50, 357, 16, 1, Smoke::mf_const, 81, 7},	//46 QWebElement::findAll(const QString&) const
    {50, 361, 16, 1, Smoke::mf_const, 77, 8},	//47 QWebElement::findFirst(const QString&) const
    {50, 729, 16, 1, 0, 0, 9},	//48 QWebElement::setPlainText(const QString&)
    {50, 804, 0, 0, Smoke::mf_const, 62, 10},	//49 QWebElement::toPlainText() const
    {50, 721, 16, 1, 0, 0, 11},	//50 QWebElement::setOuterXml(const QString&)
    {50, 803, 0, 0, Smoke::mf_const, 62, 12},	//51 QWebElement::toOuterXml() const
    {50, 695, 16, 1, 0, 0, 13},	//52 QWebElement::setInnerXml(const QString&)
    {50, 801, 0, 0, Smoke::mf_const, 62, 14},	//53 QWebElement::toInnerXml() const
    {50, 645, 18, 2, 0, 0, 15},	//54 QWebElement::setAttribute(const QString&, const QString&)
    {50, 647, 21, 3, 0, 0, 16},	//55 QWebElement::setAttributeNS(const QString&, const QString&, const QString&)
    {50, 242, 18, 2, Smoke::mf_const, 62, 17},	//56 QWebElement::attribute(const QString&, const QString&) const
    {50, 245, 21, 3, Smoke::mf_const, 62, 18},	//57 QWebElement::attributeNS(const QString&, const QString&, const QString&) const
    {50, 399, 16, 1, Smoke::mf_const, 217, 19},	//58 QWebElement::hasAttribute(const QString&) const
    {50, 401, 18, 2, Smoke::mf_const, 217, 20},	//59 QWebElement::hasAttributeNS(const QString&, const QString&) const
    {50, 583, 16, 1, 0, 0, 21},	//60 QWebElement::removeAttribute(const QString&)
    {50, 585, 18, 2, 0, 0, 22},	//61 QWebElement::removeAttributeNS(const QString&, const QString&)
    {50, 403, 0, 0, Smoke::mf_const, 217, 23},	//62 QWebElement::hasAttributes() const
    {50, 248, 16, 1, Smoke::mf_const, 65, 24},	//63 QWebElement::attributeNames(const QString&) const
    {50, 266, 0, 0, Smoke::mf_const, 65, 25},	//64 QWebElement::classes() const
    {50, 404, 16, 1, Smoke::mf_const, 217, 26},	//65 QWebElement::hasClass(const QString&) const
    {50, 219, 16, 1, 0, 0, 27},	//66 QWebElement::addClass(const QString&)
    {50, 587, 16, 1, 0, 0, 28},	//67 QWebElement::removeClass(const QString&)
    {50, 805, 16, 1, 0, 0, 29},	//68 QWebElement::toggleClass(const QString&)
    {50, 406, 0, 0, Smoke::mf_const, 217, 30},	//69 QWebElement::hasFocus() const
    {50, 681, 0, 0, 0, 0, 31},	//70 QWebElement::setFocus()
    {50, 392, 0, 0, Smoke::mf_const, 50, 32},	//71 QWebElement::geometry() const
    {50, 791, 0, 0, Smoke::mf_const, 62, 33},	//72 QWebElement::tagName() const
    {50, 562, 0, 0, Smoke::mf_const, 62, 34},	//73 QWebElement::prefix() const
    {50, 478, 0, 0, Smoke::mf_const, 62, 35},	//74 QWebElement::localName() const
    {50, 504, 0, 0, Smoke::mf_const, 62, 36},	//75 QWebElement::namespaceUri() const
    {50, 554, 0, 0, Smoke::mf_const, 77, 37},	//76 QWebElement::parent() const
    {50, 369, 0, 0, Smoke::mf_const, 77, 38},	//77 QWebElement::firstChild() const
    {50, 456, 0, 0, Smoke::mf_const, 77, 39},	//78 QWebElement::lastChild() const
    {50, 506, 0, 0, Smoke::mf_const, 77, 40},	//79 QWebElement::nextSibling() const
    {50, 569, 0, 0, Smoke::mf_const, 77, 41},	//80 QWebElement::previousSibling() const
    {50, 311, 0, 0, Smoke::mf_const, 77, 42},	//81 QWebElement::document() const
    {50, 841, 0, 0, Smoke::mf_const, 90, 43},	//82 QWebElement::webFrame() const
    {50, 232, 16, 1, 0, 0, 44},	//83 QWebElement::appendInside(const QString&)
    {50, 232, 14, 1, 0, 0, 45},	//84 QWebElement::appendInside(const QWebElement&)
    {50, 563, 16, 1, 0, 0, 46},	//85 QWebElement::prependInside(const QString&)
    {50, 563, 14, 1, 0, 0, 47},	//86 QWebElement::prependInside(const QWebElement&)
    {50, 235, 16, 1, 0, 0, 48},	//87 QWebElement::appendOutside(const QString&)
    {50, 235, 14, 1, 0, 0, 49},	//88 QWebElement::appendOutside(const QWebElement&)
    {50, 566, 16, 1, 0, 0, 50},	//89 QWebElement::prependOutside(const QString&)
    {50, 566, 14, 1, 0, 0, 51},	//90 QWebElement::prependOutside(const QWebElement&)
    {50, 328, 14, 1, 0, 0, 52},	//91 QWebElement::encloseContentsWith(const QWebElement&)
    {50, 328, 16, 1, 0, 0, 53},	//92 QWebElement::encloseContentsWith(const QString&)
    {50, 331, 16, 1, 0, 0, 54},	//93 QWebElement::encloseWith(const QString&)
    {50, 331, 14, 1, 0, 0, 55},	//94 QWebElement::encloseWith(const QWebElement&)
    {50, 603, 16, 1, 0, 0, 56},	//95 QWebElement::replace(const QString&)
    {50, 603, 14, 1, 0, 0, 57},	//96 QWebElement::replace(const QWebElement&)
    {50, 270, 0, 0, Smoke::mf_const, 77, 58},	//97 QWebElement::clone() const
    {50, 792, 0, 0, 0, 78, 59},	//98 QWebElement::takeFromDocument()
    {50, 591, 0, 0, 0, 0, 60},	//99 QWebElement::removeFromDocument()
    {50, 581, 0, 0, 0, 0, 61},	//100 QWebElement::removeAllChildren()
    {50, 340, 16, 1, 0, 74, 62},	//101 QWebElement::evaluateJavaScript(const QString&)
    {50, 780, 25, 2, Smoke::mf_const, 62, 63},	//102 QWebElement::styleProperty(const QString&, QWebElement::StyleResolveStrategy) const
    {50, 746, 18, 2, 0, 0, 64},	//103 QWebElement::setStyleProperty(const QString&, const QString&)
    {50, 594, 28, 1, 0, 0, 65},	//104 QWebElement::render(QPainter*)
    {50, 594, 30, 2, 0, 0, 66},	//105 QWebElement::render(QPainter*, const QRect&)
    {50, 242, 16, 1, Smoke::mf_const, 62, 67},	//106 QWebElement::attribute(const QString&) const
    {50, 245, 18, 2, Smoke::mf_const, 62, 68},	//107 QWebElement::attributeNS(const QString&, const QString&) const
    {50, 248, 0, 0, Smoke::mf_const, 65, 69},	//108 QWebElement::attributeNames() const
    {50, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 70},	//109 QWebElement::InlineStyle (enum)
    {50, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 71},	//110 QWebElement::CascadedStyle (enum)
    {50, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 72},	//111 QWebElement::ComputedStyle (enum)
    {50, 859, 0, 0, Smoke::mf_dtor, 0, 73 },	//112 QWebElement::~QWebElement()
    {51, 125, 0, 0, Smoke::mf_ctor, 83, 1},	//113 QWebElementCollection::QWebElementCollection()
    {51, 125, 33, 2, Smoke::mf_ctor, 83, 2},	//114 QWebElementCollection::QWebElementCollection(const QWebElement&, const QString&)
    {51, 125, 36, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 83, 3},	//115 QWebElementCollection::QWebElementCollection(const QWebElementCollection&)
    {51, 533, 36, 1, 0, 82, 4},	//116 QWebElementCollection::operator=(const QWebElementCollection&)
    {51, 514, 36, 1, Smoke::mf_const, 81, 5},	//117 QWebElementCollection::operator+(const QWebElementCollection&) const
    {51, 519, 36, 1, 0, 82, 6},	//118 QWebElementCollection::operator+=(const QWebElementCollection&)
    {51, 230, 36, 1, 0, 0, 7},	//119 QWebElementCollection::append(const QWebElementCollection&)
    {51, 287, 0, 0, Smoke::mf_const, 262, 8},	//120 QWebElementCollection::count() const
    {51, 240, 38, 1, Smoke::mf_const, 77, 9},	//121 QWebElementCollection::at(int) const
    {51, 541, 38, 1, Smoke::mf_const, 77, 10},	//122 QWebElementCollection::operator[](int) const
    {51, 368, 0, 0, Smoke::mf_const, 77, 11},	//123 QWebElementCollection::first() const
    {51, 455, 0, 0, Smoke::mf_const, 77, 12},	//124 QWebElementCollection::last() const
    {51, 802, 0, 0, Smoke::mf_const, 25, 13},	//125 QWebElementCollection::toList() const
    {51, 255, 0, 0, Smoke::mf_const, 84, 14},	//126 QWebElementCollection::begin() const
    {51, 336, 0, 0, Smoke::mf_const, 84, 15},	//127 QWebElementCollection::end() const
    {51, 274, 0, 0, Smoke::mf_const, 84, 16},	//128 QWebElementCollection::constBegin() const
    {51, 275, 0, 0, Smoke::mf_const, 84, 17},	//129 QWebElementCollection::constEnd() const
    {51, 255, 0, 0, 0, 87, 18},	//130 QWebElementCollection::begin()
    {51, 336, 0, 0, 0, 87, 19},	//131 QWebElementCollection::end()
    {51, 860, 0, 0, Smoke::mf_dtor, 0, 20 },	//132 QWebElementCollection::~QWebElementCollection()
    {52, 276, 40, 2, Smoke::mf_ctor, 86, 1},	//133 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection*, int)
    {52, 276, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 2},	//134 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection::const_iterator&)
    {52, 513, 0, 0, Smoke::mf_const, 237, 3},	//135 QWebElementCollection::const_iterator::operator*() const
    {52, 535, 43, 1, Smoke::mf_const, 217, 4},	//136 QWebElementCollection::const_iterator::operator==(const QWebElementCollection::const_iterator&) const
    {52, 511, 43, 1, Smoke::mf_const, 217, 5},	//137 QWebElementCollection::const_iterator::operator!=(const QWebElementCollection::const_iterator&) const
    {52, 529, 43, 1, Smoke::mf_const, 217, 6},	//138 QWebElementCollection::const_iterator::operator<(const QWebElementCollection::const_iterator&) const
    {52, 531, 43, 1, Smoke::mf_const, 217, 7},	//139 QWebElementCollection::const_iterator::operator<=(const QWebElementCollection::const_iterator&) const
    {52, 537, 43, 1, Smoke::mf_const, 217, 8},	//140 QWebElementCollection::const_iterator::operator>(const QWebElementCollection::const_iterator&) const
    {52, 539, 43, 1, Smoke::mf_const, 217, 9},	//141 QWebElementCollection::const_iterator::operator>=(const QWebElementCollection::const_iterator&) const
    {52, 517, 0, 0, 0, 85, 10},	//142 QWebElementCollection::const_iterator::operator++()
    {52, 517, 38, 1, 0, 84, 11},	//143 QWebElementCollection::const_iterator::operator++(int)
    {52, 525, 0, 0, 0, 85, 12},	//144 QWebElementCollection::const_iterator::operator--()
    {52, 525, 38, 1, 0, 84, 13},	//145 QWebElementCollection::const_iterator::operator--(int)
    {52, 519, 38, 1, 0, 85, 14},	//146 QWebElementCollection::const_iterator::operator+=(int)
    {52, 527, 38, 1, 0, 85, 15},	//147 QWebElementCollection::const_iterator::operator-=(int)
    {52, 514, 38, 1, Smoke::mf_const, 84, 16},	//148 QWebElementCollection::const_iterator::operator+(int) const
    {52, 522, 38, 1, Smoke::mf_const, 84, 17},	//149 QWebElementCollection::const_iterator::operator-(int) const
    {52, 522, 45, 1, Smoke::mf_const, 262, 18},	//150 QWebElementCollection::const_iterator::operator-(QWebElementCollection::const_iterator) const
    {52, 870, 0, 0, Smoke::mf_dtor, 0, 19 },	//151 QWebElementCollection::const_iterator::~const_iterator()
    {53, 438, 40, 2, Smoke::mf_ctor, 89, 1},	//152 QWebElementCollection::iterator::iterator(const QWebElementCollection*, int)
    {53, 438, 47, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 89, 2},	//153 QWebElementCollection::iterator::iterator(const QWebElementCollection::iterator&)
    {53, 513, 0, 0, Smoke::mf_const, 77, 3},	//154 QWebElementCollection::iterator::operator*() const
    {53, 535, 47, 1, Smoke::mf_const, 217, 4},	//155 QWebElementCollection::iterator::operator==(const QWebElementCollection::iterator&) const
    {53, 511, 47, 1, Smoke::mf_const, 217, 5},	//156 QWebElementCollection::iterator::operator!=(const QWebElementCollection::iterator&) const
    {53, 529, 47, 1, Smoke::mf_const, 217, 6},	//157 QWebElementCollection::iterator::operator<(const QWebElementCollection::iterator&) const
    {53, 531, 47, 1, Smoke::mf_const, 217, 7},	//158 QWebElementCollection::iterator::operator<=(const QWebElementCollection::iterator&) const
    {53, 537, 47, 1, Smoke::mf_const, 217, 8},	//159 QWebElementCollection::iterator::operator>(const QWebElementCollection::iterator&) const
    {53, 539, 47, 1, Smoke::mf_const, 217, 9},	//160 QWebElementCollection::iterator::operator>=(const QWebElementCollection::iterator&) const
    {53, 517, 0, 0, 0, 88, 10},	//161 QWebElementCollection::iterator::operator++()
    {53, 517, 38, 1, 0, 87, 11},	//162 QWebElementCollection::iterator::operator++(int)
    {53, 525, 0, 0, 0, 88, 12},	//163 QWebElementCollection::iterator::operator--()
    {53, 525, 38, 1, 0, 87, 13},	//164 QWebElementCollection::iterator::operator--(int)
    {53, 519, 38, 1, 0, 88, 14},	//165 QWebElementCollection::iterator::operator+=(int)
    {53, 527, 38, 1, 0, 88, 15},	//166 QWebElementCollection::iterator::operator-=(int)
    {53, 514, 38, 1, Smoke::mf_const, 87, 16},	//167 QWebElementCollection::iterator::operator+(int) const
    {53, 522, 38, 1, Smoke::mf_const, 87, 17},	//168 QWebElementCollection::iterator::operator-(int) const
    {53, 522, 49, 1, Smoke::mf_const, 262, 18},	//169 QWebElementCollection::iterator::operator-(QWebElementCollection::iterator) const
    {53, 871, 0, 0, Smoke::mf_dtor, 0, 19 },	//170 QWebElementCollection::iterator::~iterator()
    {54, 488, 0, 0, Smoke::mf_const, 222, 1},	//171 QWebFrame::metaObject() const
    {54, 577, 10, 1, 0, 270, 2},	//172 QWebFrame::qt_metacast(const char*)
    {54, 810, 51, 2, Smoke::mf_static, 62, 3},	//173 QWebFrame::tr(const char*, const char*)
    {54, 814, 51, 2, Smoke::mf_static, 62, 4},	//174 QWebFrame::trUtf8(const char*, const char*)
    {54, 810, 54, 3, Smoke::mf_static, 62, 5},	//175 QWebFrame::tr(const char*, const char*, int)
    {54, 814, 54, 3, Smoke::mf_static, 62, 6},	//176 QWebFrame::trUtf8(const char*, const char*, int)
    {54, 575, 58, 3, 0, 262, 7},	//177 QWebFrame::qt_metacall(QMetaObject::Call, int, void**)
    {54, 545, 0, 0, Smoke::mf_const, 101, 8},	//178 QWebFrame::page() const
    {54, 469, 62, 1, 0, 0, 9},	//179 QWebFrame::load(const QUrl&)
    {54, 469, 64, 3, 0, 0, 10},	//180 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {54, 690, 68, 2, 0, 0, 11},	//181 QWebFrame::setHtml(const QString&, const QUrl&)
    {54, 651, 71, 3, 0, 0, 12},	//182 QWebFrame::setContent(const QByteArray&, const QString&, const QUrl&)
    {54, 225, 75, 2, 0, 0, 13},	//183 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*)
    {54, 225, 78, 3, 0, 0, 14},	//184 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*, QScriptEngine::ValueOwnership)
    {54, 800, 0, 0, Smoke::mf_const, 62, 15},	//185 QWebFrame::toHtml() const
    {54, 804, 0, 0, Smoke::mf_const, 62, 16},	//186 QWebFrame::toPlainText() const
    {54, 600, 0, 0, Smoke::mf_const, 62, 17},	//187 QWebFrame::renderTreeDump() const
    {54, 797, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 18},	//188 QWebFrame::title() const
    {54, 752, 62, 1, Smoke::mf_property, 0, 19},	//189 QWebFrame::setUrl(const QUrl&)
    {54, 829, 0, 0, Smoke::mf_const|Smoke::mf_property, 72, 20},	//190 QWebFrame::url() const
    {54, 606, 0, 0, Smoke::mf_const|Smoke::mf_property, 72, 21},	//191 QWebFrame::requestedUrl() const
    {54, 254, 0, 0, Smoke::mf_const|Smoke::mf_property, 72, 22},	//192 QWebFrame::baseUrl() const
    {54, 417, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 23},	//193 QWebFrame::icon() const
    {54, 487, 0, 0, Smoke::mf_const, 35, 24},	//194 QWebFrame::metaData() const
    {54, 391, 0, 0, Smoke::mf_const, 62, 25},	//195 QWebFrame::frameName() const
    {54, 555, 0, 0, Smoke::mf_const, 90, 26},	//196 QWebFrame::parentFrame() const
    {54, 263, 0, 0, Smoke::mf_const, 26, 27},	//197 QWebFrame::childFrames() const
    {54, 628, 82, 1, Smoke::mf_const, 189, 28},	//198 QWebFrame::scrollBarPolicy(Qt::Orientation) const
    {54, 740, 84, 2, 0, 0, 29},	//199 QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)
    {54, 742, 87, 2, 0, 0, 30},	//200 QWebFrame::setScrollBarValue(Qt::Orientation, int)
    {54, 630, 82, 1, Smoke::mf_const, 262, 31},	//201 QWebFrame::scrollBarValue(Qt::Orientation) const
    {54, 626, 82, 1, Smoke::mf_const, 262, 32},	//202 QWebFrame::scrollBarMinimum(Qt::Orientation) const
    {54, 624, 82, 1, Smoke::mf_const, 262, 33},	//203 QWebFrame::scrollBarMaximum(Qt::Orientation) const
    {54, 622, 82, 1, Smoke::mf_const, 50, 34},	//204 QWebFrame::scrollBarGeometry(Qt::Orientation) const
    {54, 620, 90, 2, 0, 0, 35},	//205 QWebFrame::scroll(int, int)
    {54, 632, 0, 0, Smoke::mf_const|Smoke::mf_property, 48, 36},	//206 QWebFrame::scrollPosition() const
    {54, 744, 93, 1, Smoke::mf_property, 0, 37},	//207 QWebFrame::setScrollPosition(const QPoint&)
    {54, 635, 16, 1, 0, 0, 38},	//208 QWebFrame::scrollToAnchor(const QString&)
    {54, 594, 28, 1, 0, 0, 39},	//209 QWebFrame::render(QPainter*)
    {54, 594, 95, 2, 0, 0, 40},	//210 QWebFrame::render(QPainter*, const QRegion&)
    {54, 594, 98, 3, 0, 0, 41},	//211 QWebFrame::render(QPainter*, QWebFrame::RenderLayer, const QRegion&)
    {54, 750, 102, 1, 0, 0, 42},	//212 QWebFrame::setTextSizeMultiplier(double)
    {54, 795, 0, 0, Smoke::mf_const, 261, 43},	//213 QWebFrame::textSizeMultiplier() const
    {54, 849, 0, 0, Smoke::mf_const, 261, 44},	//214 QWebFrame::zoomFactor() const
    {54, 765, 102, 1, 0, 0, 45},	//215 QWebFrame::setZoomFactor(double)
    {54, 406, 0, 0, Smoke::mf_const|Smoke::mf_property, 217, 46},	//216 QWebFrame::hasFocus() const
    {54, 681, 0, 0, 0, 0, 47},	//217 QWebFrame::setFocus()
    {54, 560, 0, 0, Smoke::mf_const, 48, 48},	//218 QWebFrame::pos() const
    {54, 392, 0, 0, Smoke::mf_const, 50, 49},	//219 QWebFrame::geometry() const
    {54, 282, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 50},	//220 QWebFrame::contentsSize() const
    {54, 312, 0, 0, Smoke::mf_const, 77, 51},	//221 QWebFrame::documentElement() const
    {54, 359, 16, 1, Smoke::mf_const, 81, 52},	//222 QWebFrame::findAllElements(const QString&) const
    {54, 363, 16, 1, Smoke::mf_const, 77, 53},	//223 QWebFrame::findFirstElement(const QString&) const
    {54, 414, 93, 1, Smoke::mf_const, 97, 54},	//224 QWebFrame::hitTestContent(const QPoint&) const
    {54, 342, 1, 1, 0, 217, 55},	//225 QWebFrame::event(QEvent*)
    {54, 637, 0, 0, Smoke::mf_const, 127, 56},	//226 QWebFrame::securityOrigin() const
    {54, 340, 16, 1, Smoke::mf_slot, 74, 57},	//227 QWebFrame::evaluateJavaScript(const QString&)
    {54, 570, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 58},	//228 QWebFrame::print(QPrinter*) const
    {54, 449, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//229 QWebFrame::javaScriptWindowObjectCleared()
    {54, 574, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//230 QWebFrame::provisionalLoad()
    {54, 798, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//231 QWebFrame::titleChanged(const QString&)
    {54, 830, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//232 QWebFrame::urlChanged(const QUrl&)
    {54, 423, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//233 QWebFrame::initialLayoutCompleted()
    {54, 418, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//234 QWebFrame::iconChanged()
    {54, 283, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//235 QWebFrame::contentsSizeChanged(const QSize&)
    {54, 477, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//236 QWebFrame::loadStarted()
    {54, 473, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//237 QWebFrame::loadFinished(bool)
    {54, 548, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//238 QWebFrame::pageChanged()
    {54, 810, 10, 1, Smoke::mf_static, 62, 69},	//239 QWebFrame::tr(const char*)
    {54, 814, 10, 1, Smoke::mf_static, 62, 70},	//240 QWebFrame::trUtf8(const char*)
    {54, 469, 110, 1, 0, 0, 71},	//241 QWebFrame::load(const QNetworkRequest&)
    {54, 469, 112, 2, 0, 0, 72},	//242 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {54, 690, 16, 1, 0, 0, 73},	//243 QWebFrame::setHtml(const QString&)
    {54, 651, 115, 1, 0, 0, 74},	//244 QWebFrame::setContent(const QByteArray&)
    {54, 651, 117, 2, 0, 0, 75},	//245 QWebFrame::setContent(const QByteArray&, const QString&)
    {54, 594, 120, 2, 0, 0, 76},	//246 QWebFrame::render(QPainter*, QWebFrame::RenderLayer)
    {54, 773, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 221, 77},	//247 QWebFrame::staticMetaObject() const
    {54, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 78},	//248 QWebFrame::ContentsLayer (enum)
    {54, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 79},	//249 QWebFrame::ScrollBarLayer (enum)
    {54, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 80},	//250 QWebFrame::PanIconLayer (enum)
    {54, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 81},	//251 QWebFrame::AllLayers (enum)
    {55, 267, 0, 0, 0, 0, 1},	//252 QWebHistory::clear()
    {55, 437, 0, 0, Smoke::mf_const, 27, 2},	//253 QWebHistory::items() const
    {55, 252, 38, 1, Smoke::mf_const, 27, 3},	//254 QWebHistory::backItems(int) const
    {55, 383, 38, 1, Smoke::mf_const, 27, 4},	//255 QWebHistory::forwardItems(int) const
    {55, 258, 0, 0, Smoke::mf_const, 217, 5},	//256 QWebHistory::canGoBack() const
    {55, 259, 0, 0, Smoke::mf_const, 217, 6},	//257 QWebHistory::canGoForward() const
    {55, 250, 0, 0, 0, 0, 7},	//258 QWebHistory::back()
    {55, 381, 0, 0, 0, 0, 8},	//259 QWebHistory::forward()
    {55, 396, 123, 1, 0, 0, 9},	//260 QWebHistory::goToItem(const QWebHistoryItem&)
    {55, 251, 0, 0, Smoke::mf_const, 94, 10},	//261 QWebHistory::backItem() const
    {55, 296, 0, 0, Smoke::mf_const, 94, 11},	//262 QWebHistory::currentItem() const
    {55, 382, 0, 0, Smoke::mf_const, 94, 12},	//263 QWebHistory::forwardItem() const
    {55, 435, 38, 1, Smoke::mf_const, 94, 13},	//264 QWebHistory::itemAt(int) const
    {55, 297, 0, 0, Smoke::mf_const, 262, 14},	//265 QWebHistory::currentItemIndex() const
    {55, 287, 0, 0, Smoke::mf_const, 262, 15},	//266 QWebHistory::count() const
    {55, 482, 0, 0, Smoke::mf_const, 262, 16},	//267 QWebHistory::maximumItemCount() const
    {55, 701, 38, 1, 0, 0, 17},	//268 QWebHistory::setMaximumItemCount(int)
    {56, 488, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 222, 1},	//269 QWebHistoryInterface::metaObject() const
    {56, 577, 10, 1, Smoke::mf_virtual, 270, 2},	//270 QWebHistoryInterface::qt_metacast(const char*)
    {56, 810, 51, 2, Smoke::mf_static, 62, 3},	//271 QWebHistoryInterface::tr(const char*, const char*)
    {56, 814, 51, 2, Smoke::mf_static, 62, 4},	//272 QWebHistoryInterface::trUtf8(const char*, const char*)
    {56, 810, 54, 3, Smoke::mf_static, 62, 5},	//273 QWebHistoryInterface::tr(const char*, const char*, int)
    {56, 814, 54, 3, Smoke::mf_static, 62, 6},	//274 QWebHistoryInterface::trUtf8(const char*, const char*, int)
    {56, 575, 58, 3, Smoke::mf_virtual, 262, 7},	//275 QWebHistoryInterface::qt_metacall(QMetaObject::Call, int, void**)
    {56, 128, 125, 1, Smoke::mf_ctor, 93, 8},	//276 QWebHistoryInterface::QWebHistoryInterface(QObject*)
    {56, 661, 127, 1, Smoke::mf_static, 0, 9},	//277 QWebHistoryInterface::setDefaultInterface(QWebHistoryInterface*)
    {56, 304, 0, 0, Smoke::mf_static, 93, 10},	//278 QWebHistoryInterface::defaultInterface()
    {56, 412, 16, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 217, 11},	//279 QWebHistoryInterface::historyContains(const QString&) const [pure virtual]
    {56, 221, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//280 QWebHistoryInterface::addHistoryEntry(const QString&) [pure virtual]
    {56, 810, 10, 1, Smoke::mf_static, 62, 13},	//281 QWebHistoryInterface::tr(const char*)
    {56, 814, 10, 1, Smoke::mf_static, 62, 14},	//282 QWebHistoryInterface::trUtf8(const char*)
    {56, 128, 0, 0, Smoke::mf_ctor, 93, 15},	//283 QWebHistoryInterface::QWebHistoryInterface()
    {56, 773, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 221, 16},	//284 QWebHistoryInterface::staticMetaObject() const
    {56, 861, 0, 0, Smoke::mf_dtor, 0, 17 },	//285 QWebHistoryInterface::~QWebHistoryInterface()
    {57, 130, 123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 1},	//286 QWebHistoryItem::QWebHistoryItem(const QWebHistoryItem&)
    {57, 533, 123, 1, 0, 95, 2},	//287 QWebHistoryItem::operator=(const QWebHistoryItem&)
    {57, 544, 0, 0, Smoke::mf_const, 72, 3},	//288 QWebHistoryItem::originalUrl() const
    {57, 829, 0, 0, Smoke::mf_const, 72, 4},	//289 QWebHistoryItem::url() const
    {57, 797, 0, 0, Smoke::mf_const, 62, 5},	//290 QWebHistoryItem::title() const
    {57, 457, 0, 0, Smoke::mf_const, 8, 6},	//291 QWebHistoryItem::lastVisited() const
    {57, 417, 0, 0, Smoke::mf_const, 20, 7},	//292 QWebHistoryItem::icon() const
    {57, 834, 0, 0, Smoke::mf_const, 74, 8},	//293 QWebHistoryItem::userData() const
    {57, 754, 129, 1, 0, 0, 9},	//294 QWebHistoryItem::setUserData(const QVariant&)
    {57, 434, 0, 0, Smoke::mf_const, 217, 10},	//295 QWebHistoryItem::isValid() const
    {57, 862, 0, 0, Smoke::mf_dtor, 0, 11 },	//296 QWebHistoryItem::~QWebHistoryItem()
    {58, 132, 0, 0, Smoke::mf_ctor, 99, 1},	//297 QWebHitTestResult::QWebHitTestResult()
    {58, 132, 131, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 2},	//298 QWebHitTestResult::QWebHitTestResult(const QWebHitTestResult&)
    {58, 533, 131, 1, 0, 98, 3},	//299 QWebHitTestResult::operator=(const QWebHitTestResult&)
    {58, 432, 0, 0, Smoke::mf_const, 217, 4},	//300 QWebHitTestResult::isNull() const
    {58, 560, 0, 0, Smoke::mf_const, 48, 5},	//301 QWebHitTestResult::pos() const
    {58, 256, 0, 0, Smoke::mf_const, 50, 6},	//302 QWebHitTestResult::boundingRect() const
    {58, 334, 0, 0, Smoke::mf_const, 77, 7},	//303 QWebHitTestResult::enclosingBlockElement() const
    {58, 797, 0, 0, Smoke::mf_const, 62, 8},	//304 QWebHitTestResult::title() const
    {58, 466, 0, 0, Smoke::mf_const, 62, 9},	//305 QWebHitTestResult::linkText() const
    {58, 468, 0, 0, Smoke::mf_const, 72, 10},	//306 QWebHitTestResult::linkUrl() const
    {58, 467, 0, 0, Smoke::mf_const, 72, 11},	//307 QWebHitTestResult::linkTitle() const
    {58, 465, 0, 0, Smoke::mf_const, 90, 12},	//308 QWebHitTestResult::linkTargetFrame() const
    {58, 462, 0, 0, Smoke::mf_const, 77, 13},	//309 QWebHitTestResult::linkElement() const
    {58, 229, 0, 0, Smoke::mf_const, 62, 14},	//310 QWebHitTestResult::alternateText() const
    {58, 422, 0, 0, Smoke::mf_const, 72, 15},	//311 QWebHitTestResult::imageUrl() const
    {58, 556, 0, 0, Smoke::mf_const, 47, 16},	//312 QWebHitTestResult::pixmap() const
    {58, 429, 0, 0, Smoke::mf_const, 217, 17},	//313 QWebHitTestResult::isContentEditable() const
    {58, 430, 0, 0, Smoke::mf_const, 217, 18},	//314 QWebHitTestResult::isContentSelected() const
    {58, 324, 0, 0, Smoke::mf_const, 77, 19},	//315 QWebHitTestResult::element() const
    {58, 386, 0, 0, Smoke::mf_const, 90, 20},	//316 QWebHitTestResult::frame() const
    {58, 863, 0, 0, Smoke::mf_dtor, 0, 21 },	//317 QWebHitTestResult::~QWebHitTestResult()
    {59, 488, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 222, 1},	//318 QWebInspector::metaObject() const
    {59, 577, 10, 1, Smoke::mf_virtual, 270, 2},	//319 QWebInspector::qt_metacast(const char*)
    {59, 810, 51, 2, Smoke::mf_static, 62, 3},	//320 QWebInspector::tr(const char*, const char*)
    {59, 814, 51, 2, Smoke::mf_static, 62, 4},	//321 QWebInspector::trUtf8(const char*, const char*)
    {59, 810, 54, 3, Smoke::mf_static, 62, 5},	//322 QWebInspector::tr(const char*, const char*, int)
    {59, 814, 54, 3, Smoke::mf_static, 62, 6},	//323 QWebInspector::trUtf8(const char*, const char*, int)
    {59, 575, 58, 3, Smoke::mf_virtual, 262, 7},	//324 QWebInspector::qt_metacall(QMetaObject::Call, int, void**)
    {59, 134, 133, 1, Smoke::mf_ctor, 100, 8},	//325 QWebInspector::QWebInspector(QWidget*)
    {59, 723, 135, 1, 0, 0, 9},	//326 QWebInspector::setPage(QWebPage*)
    {59, 545, 0, 0, Smoke::mf_const, 101, 10},	//327 QWebInspector::page() const
    {59, 772, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 55, 11},	//328 QWebInspector::sizeHint() const
    {59, 342, 1, 1, Smoke::mf_virtual, 217, 12},	//329 QWebInspector::event(QEvent*)
    {59, 613, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//330 QWebInspector::resizeEvent(QResizeEvent*)
    {59, 769, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//331 QWebInspector::showEvent(QShowEvent*)
    {59, 409, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//332 QWebInspector::hideEvent(QHideEvent*)
    {59, 271, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//333 QWebInspector::closeEvent(QCloseEvent*)
    {59, 810, 10, 1, Smoke::mf_static, 62, 17},	//334 QWebInspector::tr(const char*)
    {59, 814, 10, 1, Smoke::mf_static, 62, 18},	//335 QWebInspector::trUtf8(const char*)
    {59, 134, 0, 0, Smoke::mf_ctor, 100, 19},	//336 QWebInspector::QWebInspector()
    {59, 773, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 221, 20},	//337 QWebInspector::staticMetaObject() const
    {59, 864, 0, 0, Smoke::mf_dtor, 0, 21 },	//338 QWebInspector::~QWebInspector()
    {60, 488, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 222, 1},	//339 QWebPage::metaObject() const
    {60, 577, 10, 1, Smoke::mf_virtual, 270, 2},	//340 QWebPage::qt_metacast(const char*)
    {60, 810, 51, 2, Smoke::mf_static, 62, 3},	//341 QWebPage::tr(const char*, const char*)
    {60, 814, 51, 2, Smoke::mf_static, 62, 4},	//342 QWebPage::trUtf8(const char*, const char*)
    {60, 810, 54, 3, Smoke::mf_static, 62, 5},	//343 QWebPage::tr(const char*, const char*, int)
    {60, 814, 54, 3, Smoke::mf_static, 62, 6},	//344 QWebPage::trUtf8(const char*, const char*, int)
    {60, 575, 58, 3, Smoke::mf_virtual, 262, 7},	//345 QWebPage::qt_metacall(QMetaObject::Call, int, void**)
    {60, 136, 125, 1, Smoke::mf_ctor, 101, 8},	//346 QWebPage::QWebPage(QObject*)
    {60, 481, 0, 0, Smoke::mf_const, 90, 9},	//347 QWebPage::mainFrame() const
    {60, 295, 0, 0, Smoke::mf_const, 90, 10},	//348 QWebPage::currentFrame() const
    {60, 387, 93, 1, Smoke::mf_const, 90, 11},	//349 QWebPage::frameAt(const QPoint&) const
    {60, 411, 0, 0, Smoke::mf_const, 92, 12},	//350 QWebPage::history() const
    {60, 767, 0, 0, Smoke::mf_const, 130, 13},	//351 QWebPage::settings() const
    {60, 758, 133, 1, 0, 0, 14},	//352 QWebPage::setView(QWidget*)
    {60, 836, 0, 0, Smoke::mf_const, 138, 15},	//353 QWebPage::view() const
    {60, 431, 0, 0, Smoke::mf_const|Smoke::mf_property, 217, 16},	//354 QWebPage::isModified() const
    {60, 824, 0, 0, Smoke::mf_const, 71, 17},	//355 QWebPage::undoStack() const
    {60, 709, 145, 1, 0, 0, 18},	//356 QWebPage::setNetworkAccessManager(QNetworkAccessManager*)
    {60, 505, 0, 0, Smoke::mf_const, 36, 19},	//357 QWebPage::networkAccessManager() const
    {60, 731, 147, 1, 0, 0, 20},	//358 QWebPage::setPluginFactory(QWebPluginFactory*)
    {60, 557, 0, 0, Smoke::mf_const, 121, 21},	//359 QWebPage::pluginFactory() const
    {60, 809, 0, 0, Smoke::mf_const, 269, 22},	//360 QWebPage::totalBytes() const
    {60, 257, 0, 0, Smoke::mf_const, 269, 23},	//361 QWebPage::bytesReceived() const
    {60, 407, 0, 0, Smoke::mf_const|Smoke::mf_property, 217, 24},	//362 QWebPage::hasSelection() const
    {60, 639, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 25},	//363 QWebPage::selectedText() const
    {60, 638, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 26},	//364 QWebPage::selectedHtml() const
    {60, 216, 149, 1, Smoke::mf_const, 1, 27},	//365 QWebPage::action(QWebPage::WebAction) const
    {60, 818, 151, 2, Smoke::mf_virtual, 0, 28},	//366 QWebPage::triggerAction(QWebPage::WebAction, bool)
    {60, 840, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 29},	//367 QWebPage::viewportSize() const
    {60, 760, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 30},	//368 QWebPage::setViewportSize(const QSize&) const
    {60, 837, 106, 1, Smoke::mf_const, 115, 31},	//369 QWebPage::viewportAttributesForSize(const QSize&) const
    {60, 561, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 32},	//370 QWebPage::preferredContentsSize() const
    {60, 733, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 33},	//371 QWebPage::setPreferredContentsSize(const QSize&) const
    {60, 641, 154, 1, Smoke::mf_const, 0, 34},	//372 QWebPage::setActualVisibleContentRect(const QRect&) const
    {60, 342, 1, 1, Smoke::mf_virtual, 217, 35},	//373 QWebPage::event(QEvent*)
    {60, 372, 108, 1, 0, 217, 36},	//374 QWebPage::focusNextPrevChild(bool)
    {60, 427, 156, 1, Smoke::mf_const, 74, 37},	//375 QWebPage::inputMethodQuery(Qt::InputMethodQuery) const
    {60, 365, 158, 2, 0, 217, 38},	//376 QWebPage::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {60, 686, 108, 1, Smoke::mf_property, 0, 39},	//377 QWebPage::setForwardUnsupportedContent(bool)
    {60, 385, 0, 0, Smoke::mf_const|Smoke::mf_property, 217, 40},	//378 QWebPage::forwardUnsupportedContent() const
    {60, 697, 161, 1, Smoke::mf_property, 0, 41},	//379 QWebPage::setLinkDelegationPolicy(QWebPage::LinkDelegationPolicy)
    {60, 461, 0, 0, Smoke::mf_const|Smoke::mf_property, 112, 42},	//380 QWebPage::linkDelegationPolicy() const
    {60, 725, 163, 1, Smoke::mf_property, 0, 43},	//381 QWebPage::setPalette(const QPalette&)
    {60, 552, 0, 0, Smoke::mf_const|Smoke::mf_property, 46, 44},	//382 QWebPage::palette() const
    {60, 655, 108, 1, Smoke::mf_property, 0, 45},	//383 QWebPage::setContentEditable(bool)
    {60, 429, 0, 0, Smoke::mf_const|Smoke::mf_property, 217, 46},	//384 QWebPage::isContentEditable() const
    {60, 788, 165, 1, 0, 217, 47},	//385 QWebPage::swallowContextMenuEvent(QContextMenuEvent*)
    {60, 827, 93, 1, 0, 0, 48},	//386 QWebPage::updatePositionDependentActions(const QPoint&)
    {60, 292, 0, 0, 0, 31, 49},	//387 QWebPage::createStandardContextMenu()
    {60, 675, 167, 3, 0, 0, 50},	//388 QWebPage::setFeaturePermission(QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy)
    {60, 783, 0, 0, Smoke::mf_const, 65, 51},	//389 QWebPage::supportedContentTypes() const
    {60, 784, 16, 1, Smoke::mf_const, 217, 52},	//390 QWebPage::supportsContentType(const QString&) const
    {60, 346, 171, 3, Smoke::mf_virtual, 217, 53},	//391 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*)
    {60, 786, 175, 1, Smoke::mf_const|Smoke::mf_virtual, 217, 54},	//392 QWebPage::supportsExtension(QWebPage::Extension) const
    {60, 398, 0, 0, Smoke::mf_const, 120, 55},	//393 QWebPage::handle() const
    {60, 768, 0, 0, Smoke::mf_slot, 217, 56},	//394 QWebPage::shouldInterruptJavaScript()
    {60, 477, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//395 QWebPage::loadStarted()
    {60, 475, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//396 QWebPage::loadProgress(int)
    {60, 473, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//397 QWebPage::loadFinished(bool)
    {60, 463, 21, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//398 QWebPage::linkHovered(const QString&, const QString&, const QString&)
    {60, 774, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//399 QWebPage::statusBarMessage(const QString&)
    {60, 640, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//400 QWebPage::selectionChanged()
    {60, 389, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//401 QWebPage::frameCreated(QWebFrame*)
    {60, 393, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//402 QWebPage::geometryChangeRequested(const QRect&)
    {60, 601, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//403 QWebPage::repaintRequested(const QRect&)
    {60, 633, 179, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//404 QWebPage::scrollRequested(int, int, const QRect&)
    {60, 847, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//405 QWebPage::windowCloseRequested()
    {60, 572, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//406 QWebPage::printRequested(QWebFrame*)
    {60, 459, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//407 QWebPage::linkClicked(const QUrl&)
    {60, 807, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//408 QWebPage::toolBarVisibilityChangeRequested(bool)
    {60, 776, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//409 QWebPage::statusBarVisibilityChangeRequested(bool)
    {60, 485, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//410 QWebPage::menuBarVisibilityChangeRequested(bool)
    {60, 825, 183, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//411 QWebPage::unsupportedContent(QNetworkReply*)
    {60, 314, 110, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//412 QWebPage::downloadRequested(const QNetworkRequest&)
    {60, 490, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//413 QWebPage::microFocusChanged()
    {60, 281, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 76},	//414 QWebPage::contentsChanged()
    {60, 300, 185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 77},	//415 QWebPage::databaseQuotaExceeded(QWebFrame*, QString)
    {60, 238, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 78},	//416 QWebPage::applicationCacheQuotaExceeded(QWebSecurityOrigin*, quint64)
    {60, 617, 191, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//417 QWebPage::saveFrameStateRequested(QWebFrame*, QWebHistoryItem*)
    {60, 615, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 80},	//418 QWebPage::restoreFrameStateRequested(QWebFrame*)
    {60, 839, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//419 QWebPage::viewportChangeRequested()
    {60, 352, 194, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//420 QWebPage::featurePermissionRequested(QWebFrame*, QWebPage::Feature)
    {60, 350, 194, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//421 QWebPage::featurePermissionRequestCanceled(QWebFrame*, QWebPage::Feature)
    {60, 293, 197, 1, Smoke::mf_protected|Smoke::mf_virtual, 101, 84},	//422 QWebPage::createWindow(QWebPage::WebWindowType)
    {60, 290, 199, 4, Smoke::mf_protected|Smoke::mf_virtual, 40, 85},	//423 QWebPage::createPlugin(const QString&, const QUrl&, const QStringList&, const QStringList&)
    {60, 214, 204, 3, Smoke::mf_protected|Smoke::mf_virtual, 217, 86},	//424 QWebPage::acceptNavigationRequest(QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType)
    {60, 264, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 62, 87},	//425 QWebPage::chooseFile(QWebFrame*, const QString&)
    {60, 441, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 88},	//426 QWebPage::javaScriptAlert(QWebFrame*, const QString&)
    {60, 443, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 217, 89},	//427 QWebPage::javaScriptConfirm(QWebFrame*, const QString&)
    {60, 447, 211, 4, Smoke::mf_protected|Smoke::mf_virtual, 217, 90},	//428 QWebPage::javaScriptPrompt(QWebFrame*, const QString&, const QString&, QString*)
    {60, 445, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 91},	//429 QWebPage::javaScriptConsoleMessage(const QString&, int, const QString&)
    {60, 832, 62, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 62, 92},	//430 QWebPage::userAgentForUrl(const QUrl&) const
    {60, 810, 10, 1, Smoke::mf_static, 62, 93},	//431 QWebPage::tr(const char*)
    {60, 814, 10, 1, Smoke::mf_static, 62, 94},	//432 QWebPage::trUtf8(const char*)
    {60, 136, 0, 0, Smoke::mf_ctor, 101, 95},	//433 QWebPage::QWebPage()
    {60, 818, 149, 1, 0, 0, 96},	//434 QWebPage::triggerAction(QWebPage::WebAction)
    {60, 365, 16, 1, 0, 217, 97},	//435 QWebPage::findText(const QString&)
    {60, 346, 175, 1, 0, 217, 98},	//436 QWebPage::extension(QWebPage::Extension)
    {60, 346, 220, 2, 0, 217, 99},	//437 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*)
    {60, 773, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 221, 100},	//438 QWebPage::staticMetaObject() const
    {60, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 101},	//439 QWebPage::NavigationTypeLinkClicked (enum)
    {60, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 102},	//440 QWebPage::NavigationTypeFormSubmitted (enum)
    {60, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 103},	//441 QWebPage::NavigationTypeBackOrForward (enum)
    {60, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 104},	//442 QWebPage::NavigationTypeReload (enum)
    {60, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 105},	//443 QWebPage::NavigationTypeFormResubmitted (enum)
    {60, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 106},	//444 QWebPage::NavigationTypeOther (enum)
    {60, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 107},	//445 QWebPage::NoWebAction (enum)
    {60, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 108},	//446 QWebPage::OpenLink (enum)
    {60, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 109},	//447 QWebPage::OpenLinkInNewWindow (enum)
    {60, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 110},	//448 QWebPage::OpenFrameInNewWindow (enum)
    {60, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 111},	//449 QWebPage::DownloadLinkToDisk (enum)
    {60, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 112},	//450 QWebPage::CopyLinkToClipboard (enum)
    {60, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 113},	//451 QWebPage::OpenImageInNewWindow (enum)
    {60, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 114},	//452 QWebPage::DownloadImageToDisk (enum)
    {60, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 115},	//453 QWebPage::CopyImageToClipboard (enum)
    {60, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 116},	//454 QWebPage::Back (enum)
    {60, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 117},	//455 QWebPage::Forward (enum)
    {60, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 118},	//456 QWebPage::Stop (enum)
    {60, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 119},	//457 QWebPage::Reload (enum)
    {60, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 120},	//458 QWebPage::Cut (enum)
    {60, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 121},	//459 QWebPage::Copy (enum)
    {60, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 122},	//460 QWebPage::Paste (enum)
    {60, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 123},	//461 QWebPage::Undo (enum)
    {60, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 124},	//462 QWebPage::Redo (enum)
    {60, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 125},	//463 QWebPage::MoveToNextChar (enum)
    {60, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 126},	//464 QWebPage::MoveToPreviousChar (enum)
    {60, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 127},	//465 QWebPage::MoveToNextWord (enum)
    {60, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 128},	//466 QWebPage::MoveToPreviousWord (enum)
    {60, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 129},	//467 QWebPage::MoveToNextLine (enum)
    {60, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 130},	//468 QWebPage::MoveToPreviousLine (enum)
    {60, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 131},	//469 QWebPage::MoveToStartOfLine (enum)
    {60, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 132},	//470 QWebPage::MoveToEndOfLine (enum)
    {60, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 133},	//471 QWebPage::MoveToStartOfBlock (enum)
    {60, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 134},	//472 QWebPage::MoveToEndOfBlock (enum)
    {60, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 135},	//473 QWebPage::MoveToStartOfDocument (enum)
    {60, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 136},	//474 QWebPage::MoveToEndOfDocument (enum)
    {60, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 137},	//475 QWebPage::SelectNextChar (enum)
    {60, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 138},	//476 QWebPage::SelectPreviousChar (enum)
    {60, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 139},	//477 QWebPage::SelectNextWord (enum)
    {60, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 140},	//478 QWebPage::SelectPreviousWord (enum)
    {60, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 141},	//479 QWebPage::SelectNextLine (enum)
    {60, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 142},	//480 QWebPage::SelectPreviousLine (enum)
    {60, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 143},	//481 QWebPage::SelectStartOfLine (enum)
    {60, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 144},	//482 QWebPage::SelectEndOfLine (enum)
    {60, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 145},	//483 QWebPage::SelectStartOfBlock (enum)
    {60, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 146},	//484 QWebPage::SelectEndOfBlock (enum)
    {60, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 147},	//485 QWebPage::SelectStartOfDocument (enum)
    {60, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 148},	//486 QWebPage::SelectEndOfDocument (enum)
    {60, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 149},	//487 QWebPage::DeleteStartOfWord (enum)
    {60, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 150},	//488 QWebPage::DeleteEndOfWord (enum)
    {60, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 151},	//489 QWebPage::SetTextDirectionDefault (enum)
    {60, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 152},	//490 QWebPage::SetTextDirectionLeftToRight (enum)
    {60, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 153},	//491 QWebPage::SetTextDirectionRightToLeft (enum)
    {60, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 154},	//492 QWebPage::ToggleBold (enum)
    {60, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 155},	//493 QWebPage::ToggleItalic (enum)
    {60, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 156},	//494 QWebPage::ToggleUnderline (enum)
    {60, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 157},	//495 QWebPage::InspectElement (enum)
    {60, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 158},	//496 QWebPage::InsertParagraphSeparator (enum)
    {60, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 159},	//497 QWebPage::InsertLineSeparator (enum)
    {60, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 160},	//498 QWebPage::SelectAll (enum)
    {60, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 161},	//499 QWebPage::ReloadAndBypassCache (enum)
    {60, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 162},	//500 QWebPage::PasteAndMatchStyle (enum)
    {60, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 163},	//501 QWebPage::RemoveFormat (enum)
    {60, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 164},	//502 QWebPage::ToggleStrikethrough (enum)
    {60, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 165},	//503 QWebPage::ToggleSubscript (enum)
    {60, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 166},	//504 QWebPage::ToggleSuperscript (enum)
    {60, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 167},	//505 QWebPage::InsertUnorderedList (enum)
    {60, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 168},	//506 QWebPage::InsertOrderedList (enum)
    {60, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 169},	//507 QWebPage::Indent (enum)
    {60, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 170},	//508 QWebPage::Outdent (enum)
    {60, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 171},	//509 QWebPage::AlignCenter (enum)
    {60, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 172},	//510 QWebPage::AlignJustified (enum)
    {60, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 173},	//511 QWebPage::AlignLeft (enum)
    {60, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 174},	//512 QWebPage::AlignRight (enum)
    {60, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 175},	//513 QWebPage::StopScheduledPageRefresh (enum)
    {60, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 176},	//514 QWebPage::CopyImageUrlToClipboard (enum)
    {60, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 177},	//515 QWebPage::WebActionCount (enum)
    {60, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 178},	//516 QWebPage::FindBackward (enum)
    {60, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 179},	//517 QWebPage::FindCaseSensitively (enum)
    {60, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 180},	//518 QWebPage::FindWrapsAroundDocument (enum)
    {60, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 181},	//519 QWebPage::HighlightAllOccurrences (enum)
    {60, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 182},	//520 QWebPage::DontDelegateLinks (enum)
    {60, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 183},	//521 QWebPage::DelegateExternalLinks (enum)
    {60, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 184},	//522 QWebPage::DelegateAllLinks (enum)
    {60, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 185},	//523 QWebPage::WebBrowserWindow (enum)
    {60, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 186},	//524 QWebPage::WebModalDialog (enum)
    {60, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 187},	//525 QWebPage::PermissionUnknown (enum)
    {60, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 188},	//526 QWebPage::PermissionGrantedByUser (enum)
    {60, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 189},	//527 QWebPage::PermissionDeniedByUser (enum)
    {60, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 190},	//528 QWebPage::Notifications (enum)
    {60, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 191},	//529 QWebPage::Geolocation (enum)
    {60, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 192},	//530 QWebPage::ChooseMultipleFilesExtension (enum)
    {60, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 193},	//531 QWebPage::ErrorPageExtension (enum)
    {60, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 194},	//532 QWebPage::QtNetwork (enum)
    {60, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 195},	//533 QWebPage::Http (enum)
    {60, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 196},	//534 QWebPage::WebKit (enum)
    {60, 865, 0, 0, Smoke::mf_dtor, 0, 197 },	//535 QWebPage::~QWebPage()
    {61, 11, 0, 0, Smoke::mf_ctor, 102, 1},	//536 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption()
    {61, 11, 223, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 2},	//537 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption(const QWebPage::ChooseMultipleFilesExtensionOption&)
    {61, 555, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 90, 3},	//538 QWebPage::ChooseMultipleFilesExtensionOption::parentFrame() const
    {61, 727, 177, 1, Smoke::mf_attribute, 0, 4},	//539 QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame(QWebFrame*)
    {61, 782, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 66, 5},	//540 QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames() const
    {61, 748, 225, 1, Smoke::mf_attribute, 0, 6},	//541 QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames(const QStringList&)
    {61, 850, 0, 0, Smoke::mf_dtor, 0, 7 },	//542 QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption()
    {62, 13, 0, 0, Smoke::mf_ctor, 103, 1},	//543 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn()
    {62, 13, 227, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 2},	//544 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn(const QWebPage::ChooseMultipleFilesExtensionReturn&)
    {62, 356, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 66, 3},	//545 QWebPage::ChooseMultipleFilesExtensionReturn::fileNames() const
    {62, 679, 225, 1, Smoke::mf_attribute, 0, 4},	//546 QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames(const QStringList&)
    {62, 851, 0, 0, Smoke::mf_dtor, 0, 5 },	//547 QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn()
    {63, 39, 0, 0, Smoke::mf_ctor, 105, 1},	//548 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption()
    {63, 39, 229, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 105, 2},	//549 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption(const QWebPage::ErrorPageExtensionOption&)
    {63, 829, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 73, 3},	//550 QWebPage::ErrorPageExtensionOption::url() const
    {63, 752, 62, 1, Smoke::mf_attribute, 0, 4},	//551 QWebPage::ErrorPageExtensionOption::setUrl(const QUrl&)
    {63, 386, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 90, 5},	//552 QWebPage::ErrorPageExtensionOption::frame() const
    {63, 688, 177, 1, Smoke::mf_attribute, 0, 6},	//553 QWebPage::ErrorPageExtensionOption::setFrame(QWebFrame*)
    {63, 313, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 104, 7},	//554 QWebPage::ErrorPageExtensionOption::domain() const
    {63, 667, 231, 1, Smoke::mf_attribute, 0, 8},	//555 QWebPage::ErrorPageExtensionOption::setDomain(QWebPage::ErrorDomain)
    {63, 338, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 262, 9},	//556 QWebPage::ErrorPageExtensionOption::error() const
    {63, 671, 38, 1, Smoke::mf_attribute, 0, 10},	//557 QWebPage::ErrorPageExtensionOption::setError(int)
    {63, 339, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 11},	//558 QWebPage::ErrorPageExtensionOption::errorString() const
    {63, 673, 16, 1, Smoke::mf_attribute, 0, 12},	//559 QWebPage::ErrorPageExtensionOption::setErrorString(const QString&)
    {63, 852, 0, 0, Smoke::mf_dtor, 0, 13 },	//560 QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption()
    {64, 41, 0, 0, Smoke::mf_ctor, 106, 1},	//561 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn()
    {64, 41, 233, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 106, 2},	//562 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn(const QWebPage::ErrorPageExtensionReturn&)
    {64, 280, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 3},	//563 QWebPage::ErrorPageExtensionReturn::contentType() const
    {64, 657, 16, 1, Smoke::mf_attribute, 0, 4},	//564 QWebPage::ErrorPageExtensionReturn::setContentType(const QString&)
    {64, 335, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 5},	//565 QWebPage::ErrorPageExtensionReturn::encoding() const
    {64, 669, 16, 1, Smoke::mf_attribute, 0, 6},	//566 QWebPage::ErrorPageExtensionReturn::setEncoding(const QString&)
    {64, 254, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 73, 7},	//567 QWebPage::ErrorPageExtensionReturn::baseUrl() const
    {64, 649, 62, 1, Smoke::mf_attribute, 0, 8},	//568 QWebPage::ErrorPageExtensionReturn::setBaseUrl(const QUrl&)
    {64, 279, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 4, 9},	//569 QWebPage::ErrorPageExtensionReturn::content() const
    {64, 651, 115, 1, Smoke::mf_attribute, 0, 10},	//570 QWebPage::ErrorPageExtensionReturn::setContent(const QByteArray&)
    {64, 853, 0, 0, Smoke::mf_dtor, 0, 11 },	//571 QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn()
    {65, 43, 0, 0, Smoke::mf_ctor, 108, 1},	//572 QWebPage::ExtensionOption::ExtensionOption()
    {65, 43, 235, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 108, 2},	//573 QWebPage::ExtensionOption::ExtensionOption(const QWebPage::ExtensionOption&)
    {65, 854, 0, 0, Smoke::mf_dtor, 0, 3 },	//574 QWebPage::ExtensionOption::~ExtensionOption()
    {66, 45, 0, 0, Smoke::mf_ctor, 109, 1},	//575 QWebPage::ExtensionReturn::ExtensionReturn()
    {66, 45, 237, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 109, 2},	//576 QWebPage::ExtensionReturn::ExtensionReturn(const QWebPage::ExtensionReturn&)
    {66, 855, 0, 0, Smoke::mf_dtor, 0, 3 },	//577 QWebPage::ExtensionReturn::~ExtensionReturn()
    {67, 189, 0, 0, Smoke::mf_ctor, 117, 1},	//578 QWebPage::ViewportAttributes::ViewportAttributes()
    {67, 189, 239, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 2},	//579 QWebPage::ViewportAttributes::ViewportAttributes(const QWebPage::ViewportAttributes&)
    {67, 533, 239, 1, 0, 116, 3},	//580 QWebPage::ViewportAttributes::operator=(const QWebPage::ViewportAttributes&)
    {67, 424, 0, 0, Smoke::mf_const, 261, 4},	//581 QWebPage::ViewportAttributes::initialScaleFactor() const
    {67, 492, 0, 0, Smoke::mf_const, 261, 5},	//582 QWebPage::ViewportAttributes::minimumScaleFactor() const
    {67, 484, 0, 0, Smoke::mf_const, 261, 6},	//583 QWebPage::ViewportAttributes::maximumScaleFactor() const
    {67, 308, 0, 0, Smoke::mf_const, 261, 7},	//584 QWebPage::ViewportAttributes::devicePixelRatio() const
    {67, 433, 0, 0, Smoke::mf_const, 217, 8},	//585 QWebPage::ViewportAttributes::isUserScalable() const
    {67, 434, 0, 0, Smoke::mf_const, 217, 9},	//586 QWebPage::ViewportAttributes::isValid() const
    {67, 771, 0, 0, Smoke::mf_const, 55, 10},	//587 QWebPage::ViewportAttributes::size() const
    {67, 869, 0, 0, Smoke::mf_dtor, 0, 11 },	//588 QWebPage::ViewportAttributes::~ViewportAttributes()
    {69, 488, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 222, 1},	//589 QWebPluginFactory::metaObject() const
    {69, 577, 10, 1, Smoke::mf_virtual, 270, 2},	//590 QWebPluginFactory::qt_metacast(const char*)
    {69, 810, 51, 2, Smoke::mf_static, 62, 3},	//591 QWebPluginFactory::tr(const char*, const char*)
    {69, 814, 51, 2, Smoke::mf_static, 62, 4},	//592 QWebPluginFactory::trUtf8(const char*, const char*)
    {69, 810, 54, 3, Smoke::mf_static, 62, 5},	//593 QWebPluginFactory::tr(const char*, const char*, int)
    {69, 814, 54, 3, Smoke::mf_static, 62, 6},	//594 QWebPluginFactory::trUtf8(const char*, const char*, int)
    {69, 575, 58, 3, Smoke::mf_virtual, 262, 7},	//595 QWebPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {69, 138, 125, 1, Smoke::mf_ctor, 121, 8},	//596 QWebPluginFactory::QWebPluginFactory(QObject*)
    {69, 558, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 29, 9},	//597 QWebPluginFactory::plugins() const [pure virtual]
    {69, 579, 0, 0, Smoke::mf_virtual, 0, 10},	//598 QWebPluginFactory::refreshPlugins()
    {69, 288, 199, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 40, 11},	//599 QWebPluginFactory::create(const QString&, const QUrl&, const QStringList&, const QStringList&) const [pure virtual]
    {69, 346, 241, 3, Smoke::mf_virtual, 217, 12},	//600 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*)
    {69, 786, 245, 1, Smoke::mf_const|Smoke::mf_virtual, 217, 13},	//601 QWebPluginFactory::supportsExtension(QWebPluginFactory::Extension) const
    {69, 810, 10, 1, Smoke::mf_static, 62, 14},	//602 QWebPluginFactory::tr(const char*)
    {69, 814, 10, 1, Smoke::mf_static, 62, 15},	//603 QWebPluginFactory::trUtf8(const char*)
    {69, 138, 0, 0, Smoke::mf_ctor, 121, 16},	//604 QWebPluginFactory::QWebPluginFactory()
    {69, 346, 245, 1, 0, 217, 17},	//605 QWebPluginFactory::extension(QWebPluginFactory::Extension)
    {69, 346, 247, 2, 0, 217, 18},	//606 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*)
    {69, 773, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 221, 19},	//607 QWebPluginFactory::staticMetaObject() const
    {69, 866, 0, 0, Smoke::mf_dtor, 0, 20 },	//608 QWebPluginFactory::~QWebPluginFactory()
    {70, 43, 0, 0, Smoke::mf_ctor, 123, 1},	//609 QWebPluginFactory::ExtensionOption::ExtensionOption()
    {70, 43, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 2},	//610 QWebPluginFactory::ExtensionOption::ExtensionOption(const QWebPluginFactory::ExtensionOption&)
    {70, 854, 0, 0, Smoke::mf_dtor, 0, 3 },	//611 QWebPluginFactory::ExtensionOption::~ExtensionOption()
    {71, 45, 0, 0, Smoke::mf_ctor, 124, 1},	//612 QWebPluginFactory::ExtensionReturn::ExtensionReturn()
    {71, 45, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 124, 2},	//613 QWebPluginFactory::ExtensionReturn::ExtensionReturn(const QWebPluginFactory::ExtensionReturn&)
    {71, 855, 0, 0, Smoke::mf_dtor, 0, 3 },	//614 QWebPluginFactory::ExtensionReturn::~ExtensionReturn()
    {72, 535, 254, 1, Smoke::mf_const, 217, 1},	//615 QWebPluginFactory::MimeType::operator==(const QWebPluginFactory::MimeType&) const
    {72, 511, 254, 1, Smoke::mf_const, 217, 2},	//616 QWebPluginFactory::MimeType::operator!=(const QWebPluginFactory::MimeType&) const
    {72, 77, 0, 0, Smoke::mf_ctor, 125, 3},	//617 QWebPluginFactory::MimeType::MimeType()
    {72, 77, 254, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 125, 4},	//618 QWebPluginFactory::MimeType::MimeType(const QWebPluginFactory::MimeType&)
    {72, 503, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 5},	//619 QWebPluginFactory::MimeType::name() const
    {72, 707, 16, 1, Smoke::mf_attribute, 0, 6},	//620 QWebPluginFactory::MimeType::setName(const QString&)
    {72, 306, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 7},	//621 QWebPluginFactory::MimeType::description() const
    {72, 665, 16, 1, Smoke::mf_attribute, 0, 8},	//622 QWebPluginFactory::MimeType::setDescription(const QString&)
    {72, 354, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 66, 9},	//623 QWebPluginFactory::MimeType::fileExtensions() const
    {72, 677, 225, 1, Smoke::mf_attribute, 0, 10},	//624 QWebPluginFactory::MimeType::setFileExtensions(const QStringList&)
    {72, 856, 0, 0, Smoke::mf_dtor, 0, 11 },	//625 QWebPluginFactory::MimeType::~MimeType()
    {73, 116, 0, 0, Smoke::mf_ctor, 126, 1},	//626 QWebPluginFactory::Plugin::Plugin()
    {73, 116, 256, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 126, 2},	//627 QWebPluginFactory::Plugin::Plugin(const QWebPluginFactory::Plugin&)
    {73, 503, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 3},	//628 QWebPluginFactory::Plugin::name() const
    {73, 707, 16, 1, Smoke::mf_attribute, 0, 4},	//629 QWebPluginFactory::Plugin::setName(const QString&)
    {73, 306, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 5},	//630 QWebPluginFactory::Plugin::description() const
    {73, 665, 16, 1, Smoke::mf_attribute, 0, 6},	//631 QWebPluginFactory::Plugin::setDescription(const QString&)
    {73, 491, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 28, 7},	//632 QWebPluginFactory::Plugin::mimeTypes() const
    {73, 705, 258, 1, Smoke::mf_attribute, 0, 8},	//633 QWebPluginFactory::Plugin::setMimeTypes(const QList<QWebPluginFactory::MimeType>&)
    {73, 857, 0, 0, Smoke::mf_dtor, 0, 9 },	//634 QWebPluginFactory::Plugin::~Plugin()
    {74, 228, 0, 0, Smoke::mf_static, 30, 1},	//635 QWebSecurityOrigin::allOrigins()
    {74, 223, 16, 1, Smoke::mf_static, 0, 2},	//636 QWebSecurityOrigin::addLocalScheme(const QString&)
    {74, 592, 16, 1, Smoke::mf_static, 0, 3},	//637 QWebSecurityOrigin::removeLocalScheme(const QString&)
    {74, 479, 0, 0, Smoke::mf_static, 65, 4},	//638 QWebSecurityOrigin::localSchemes()
    {74, 619, 0, 0, Smoke::mf_const, 62, 5},	//639 QWebSecurityOrigin::scheme() const
    {74, 416, 0, 0, Smoke::mf_const, 62, 6},	//640 QWebSecurityOrigin::host() const
    {74, 559, 0, 0, Smoke::mf_const, 262, 7},	//641 QWebSecurityOrigin::port() const
    {74, 302, 0, 0, Smoke::mf_const, 264, 8},	//642 QWebSecurityOrigin::databaseUsage() const
    {74, 299, 0, 0, Smoke::mf_const, 264, 9},	//643 QWebSecurityOrigin::databaseQuota() const
    {74, 659, 260, 1, 0, 0, 10},	//644 QWebSecurityOrigin::setDatabaseQuota(long long)
    {74, 643, 260, 1, 0, 0, 11},	//645 QWebSecurityOrigin::setApplicationCacheQuota(long long)
    {74, 303, 0, 0, Smoke::mf_const, 24, 12},	//646 QWebSecurityOrigin::databases() const
    {74, 140, 262, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 13},	//647 QWebSecurityOrigin::QWebSecurityOrigin(const QWebSecurityOrigin&)
    {74, 533, 262, 1, 0, 128, 14},	//648 QWebSecurityOrigin::operator=(const QWebSecurityOrigin&)
    {74, 867, 0, 0, Smoke::mf_dtor, 0, 15 },	//649 QWebSecurityOrigin::~QWebSecurityOrigin()
    {75, 395, 0, 0, Smoke::mf_static, 130, 1},	//650 QWebSettings::globalSettings()
    {75, 682, 264, 2, 0, 0, 2},	//651 QWebSettings::setFontFamily(QWebSettings::FontFamily, const QString&)
    {75, 377, 267, 1, Smoke::mf_const, 62, 3},	//652 QWebSettings::fontFamily(QWebSettings::FontFamily) const
    {75, 609, 267, 1, 0, 0, 4},	//653 QWebSettings::resetFontFamily(QWebSettings::FontFamily)
    {75, 684, 269, 2, 0, 0, 5},	//654 QWebSettings::setFontSize(QWebSettings::FontSize, int)
    {75, 379, 272, 1, Smoke::mf_const, 262, 6},	//655 QWebSettings::fontSize(QWebSettings::FontSize) const
    {75, 611, 272, 1, 0, 0, 7},	//656 QWebSettings::resetFontSize(QWebSettings::FontSize)
    {75, 645, 274, 2, 0, 0, 8},	//657 QWebSettings::setAttribute(QWebSettings::WebAttribute, bool)
    {75, 793, 277, 1, Smoke::mf_const, 217, 9},	//658 QWebSettings::testAttribute(QWebSettings::WebAttribute) const
    {75, 607, 277, 1, 0, 0, 10},	//659 QWebSettings::resetAttribute(QWebSettings::WebAttribute)
    {75, 756, 62, 1, 0, 0, 11},	//660 QWebSettings::setUserStyleSheetUrl(const QUrl&)
    {75, 835, 0, 0, Smoke::mf_const, 72, 12},	//661 QWebSettings::userStyleSheetUrl() const
    {75, 663, 16, 1, 0, 0, 13},	//662 QWebSettings::setDefaultTextEncoding(const QString&)
    {75, 305, 0, 0, Smoke::mf_const, 62, 14},	//663 QWebSettings::defaultTextEncoding() const
    {75, 693, 16, 1, Smoke::mf_static, 0, 15},	//664 QWebSettings::setIconDatabasePath(const QString&)
    {75, 419, 0, 0, Smoke::mf_static, 62, 16},	//665 QWebSettings::iconDatabasePath()
    {75, 268, 0, 0, Smoke::mf_static, 0, 17},	//666 QWebSettings::clearIconDatabase()
    {75, 420, 62, 1, Smoke::mf_static, 20, 18},	//667 QWebSettings::iconForUrl(const QUrl&)
    {75, 763, 279, 2, Smoke::mf_static, 0, 19},	//668 QWebSettings::setWebGraphic(QWebSettings::WebGraphic, const QPixmap&)
    {75, 842, 282, 1, Smoke::mf_static, 47, 20},	//669 QWebSettings::webGraphic(QWebSettings::WebGraphic)
    {75, 703, 38, 1, Smoke::mf_static, 0, 21},	//670 QWebSettings::setMaximumPagesInCache(int)
    {75, 483, 0, 0, Smoke::mf_static, 262, 22},	//671 QWebSettings::maximumPagesInCache()
    {75, 711, 284, 3, Smoke::mf_static, 0, 23},	//672 QWebSettings::setObjectCacheCapacities(int, int, int)
    {75, 715, 16, 1, Smoke::mf_static, 0, 24},	//673 QWebSettings::setOfflineStoragePath(const QString&)
    {75, 508, 0, 0, Smoke::mf_static, 62, 25},	//674 QWebSettings::offlineStoragePath()
    {75, 713, 260, 1, Smoke::mf_static, 0, 26},	//675 QWebSettings::setOfflineStorageDefaultQuota(long long)
    {75, 507, 0, 0, Smoke::mf_static, 264, 27},	//676 QWebSettings::offlineStorageDefaultQuota()
    {75, 717, 16, 1, Smoke::mf_static, 0, 28},	//677 QWebSettings::setOfflineWebApplicationCachePath(const QString&)
    {75, 509, 0, 0, Smoke::mf_static, 62, 29},	//678 QWebSettings::offlineWebApplicationCachePath()
    {75, 719, 260, 1, Smoke::mf_static, 0, 30},	//679 QWebSettings::setOfflineWebApplicationCacheQuota(long long)
    {75, 510, 0, 0, Smoke::mf_static, 264, 31},	//680 QWebSettings::offlineWebApplicationCacheQuota()
    {75, 699, 16, 1, 0, 0, 32},	//681 QWebSettings::setLocalStoragePath(const QString&)
    {75, 480, 0, 0, Smoke::mf_const, 62, 33},	//682 QWebSettings::localStoragePath() const
    {75, 269, 0, 0, Smoke::mf_static, 0, 34},	//683 QWebSettings::clearMemoryCaches()
    {75, 325, 16, 1, Smoke::mf_static, 0, 35},	//684 QWebSettings::enablePersistentStorage(const QString&)
    {75, 398, 0, 0, Smoke::mf_const, 135, 36},	//685 QWebSettings::handle() const
    {75, 325, 0, 0, Smoke::mf_static, 0, 37},	//686 QWebSettings::enablePersistentStorage()
    {75, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 38},	//687 QWebSettings::StandardFont (enum)
    {75, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 39},	//688 QWebSettings::FixedFont (enum)
    {75, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 40},	//689 QWebSettings::SerifFont (enum)
    {75, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 41},	//690 QWebSettings::SansSerifFont (enum)
    {75, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 42},	//691 QWebSettings::CursiveFont (enum)
    {75, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 43},	//692 QWebSettings::FantasyFont (enum)
    {75, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 44},	//693 QWebSettings::AutoLoadImages (enum)
    {75, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 45},	//694 QWebSettings::JavascriptEnabled (enum)
    {75, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 46},	//695 QWebSettings::JavaEnabled (enum)
    {75, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 47},	//696 QWebSettings::PluginsEnabled (enum)
    {75, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 48},	//697 QWebSettings::PrivateBrowsingEnabled (enum)
    {75, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 49},	//698 QWebSettings::JavascriptCanOpenWindows (enum)
    {75, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 50},	//699 QWebSettings::JavascriptCanAccessClipboard (enum)
    {75, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 51},	//700 QWebSettings::DeveloperExtrasEnabled (enum)
    {75, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 52},	//701 QWebSettings::LinksIncludedInFocusChain (enum)
    {75, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 53},	//702 QWebSettings::ZoomTextOnly (enum)
    {75, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 54},	//703 QWebSettings::PrintElementBackgrounds (enum)
    {75, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 55},	//704 QWebSettings::OfflineStorageDatabaseEnabled (enum)
    {75, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 56},	//705 QWebSettings::OfflineWebApplicationCacheEnabled (enum)
    {75, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 57},	//706 QWebSettings::LocalStorageEnabled (enum)
    {75, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 58},	//707 QWebSettings::LocalStorageDatabaseEnabled (enum)
    {75, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 59},	//708 QWebSettings::LocalContentCanAccessRemoteUrls (enum)
    {75, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 60},	//709 QWebSettings::DnsPrefetchEnabled (enum)
    {75, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 61},	//710 QWebSettings::XSSAuditingEnabled (enum)
    {75, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 62},	//711 QWebSettings::AcceleratedCompositingEnabled (enum)
    {75, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 63},	//712 QWebSettings::SpatialNavigationEnabled (enum)
    {75, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 64},	//713 QWebSettings::LocalContentCanAccessFileUrls (enum)
    {75, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 65},	//714 QWebSettings::TiledBackingStoreEnabled (enum)
    {75, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 66},	//715 QWebSettings::FrameFlatteningEnabled (enum)
    {75, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 67},	//716 QWebSettings::SiteSpecificQuirksEnabled (enum)
    {75, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 68},	//717 QWebSettings::JavascriptCanCloseWindows (enum)
    {75, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 69},	//718 QWebSettings::WebGLEnabled (enum)
    {75, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 70},	//719 QWebSettings::HyperlinkAuditingEnabled (enum)
    {75, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 71},	//720 QWebSettings::MissingImageGraphic (enum)
    {75, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 72},	//721 QWebSettings::MissingPluginGraphic (enum)
    {75, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 73},	//722 QWebSettings::DefaultFrameIconGraphic (enum)
    {75, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 74},	//723 QWebSettings::TextAreaSizeGripCornerGraphic (enum)
    {75, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 75},	//724 QWebSettings::DeleteButtonGraphic (enum)
    {75, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 76},	//725 QWebSettings::InputSpeechButtonGraphic (enum)
    {75, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 77},	//726 QWebSettings::SearchCancelButtonGraphic (enum)
    {75, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 78},	//727 QWebSettings::SearchCancelButtonPressedGraphic (enum)
    {75, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 79},	//728 QWebSettings::MinimumFontSize (enum)
    {75, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 80},	//729 QWebSettings::MinimumLogicalFontSize (enum)
    {75, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 81},	//730 QWebSettings::DefaultFontSize (enum)
    {75, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 82},	//731 QWebSettings::DefaultFixedFontSize (enum)
    {77, 488, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 222, 1},	//732 QWebView::metaObject() const
    {77, 577, 10, 1, Smoke::mf_virtual, 270, 2},	//733 QWebView::qt_metacast(const char*)
    {77, 810, 51, 2, Smoke::mf_static, 62, 3},	//734 QWebView::tr(const char*, const char*)
    {77, 814, 51, 2, Smoke::mf_static, 62, 4},	//735 QWebView::trUtf8(const char*, const char*)
    {77, 810, 54, 3, Smoke::mf_static, 62, 5},	//736 QWebView::tr(const char*, const char*, int)
    {77, 814, 54, 3, Smoke::mf_static, 62, 6},	//737 QWebView::trUtf8(const char*, const char*, int)
    {77, 575, 58, 3, Smoke::mf_virtual, 262, 7},	//738 QWebView::qt_metacall(QMetaObject::Call, int, void**)
    {77, 142, 133, 1, Smoke::mf_ctor, 136, 8},	//739 QWebView::QWebView(QWidget*)
    {77, 545, 0, 0, Smoke::mf_const, 101, 9},	//740 QWebView::page() const
    {77, 723, 135, 1, 0, 0, 10},	//741 QWebView::setPage(QWebPage*)
    {77, 469, 62, 1, 0, 0, 11},	//742 QWebView::load(const QUrl&)
    {77, 469, 64, 3, 0, 0, 12},	//743 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {77, 690, 68, 2, 0, 0, 13},	//744 QWebView::setHtml(const QString&, const QUrl&)
    {77, 651, 71, 3, 0, 0, 14},	//745 QWebView::setContent(const QByteArray&, const QString&, const QUrl&)
    {77, 411, 0, 0, Smoke::mf_const, 92, 15},	//746 QWebView::history() const
    {77, 767, 0, 0, Smoke::mf_const, 130, 16},	//747 QWebView::settings() const
    {77, 797, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 17},	//748 QWebView::title() const
    {77, 752, 62, 1, Smoke::mf_property, 0, 18},	//749 QWebView::setUrl(const QUrl&)
    {77, 829, 0, 0, Smoke::mf_const|Smoke::mf_property, 72, 19},	//750 QWebView::url() const
    {77, 417, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 20},	//751 QWebView::icon() const
    {77, 407, 0, 0, Smoke::mf_const|Smoke::mf_property, 217, 21},	//752 QWebView::hasSelection() const
    {77, 639, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 22},	//753 QWebView::selectedText() const
    {77, 638, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 23},	//754 QWebView::selectedHtml() const
    {77, 546, 149, 1, Smoke::mf_const, 1, 24},	//755 QWebView::pageAction(QWebPage::WebAction) const
    {77, 821, 151, 2, 0, 0, 25},	//756 QWebView::triggerPageAction(QWebPage::WebAction, bool)
    {77, 431, 0, 0, Smoke::mf_const|Smoke::mf_property, 217, 26},	//757 QWebView::isModified() const
    {77, 427, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 74, 27},	//758 QWebView::inputMethodQuery(Qt::InputMethodQuery) const
    {77, 772, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 55, 28},	//759 QWebView::sizeHint() const
    {77, 849, 0, 0, Smoke::mf_const, 261, 29},	//760 QWebView::zoomFactor() const
    {77, 765, 102, 1, 0, 0, 30},	//761 QWebView::setZoomFactor(double)
    {77, 750, 102, 1, 0, 0, 31},	//762 QWebView::setTextSizeMultiplier(double)
    {77, 795, 0, 0, Smoke::mf_const, 261, 32},	//763 QWebView::textSizeMultiplier() const
    {77, 599, 0, 0, Smoke::mf_const, 15, 33},	//764 QWebView::renderHints() const
    {77, 738, 288, 1, 0, 0, 34},	//765 QWebView::setRenderHints(QFlags<QPainter::RenderHint>)
    {77, 735, 290, 2, 0, 0, 35},	//766 QWebView::setRenderHint(QPainter::RenderHint, bool)
    {77, 365, 158, 2, 0, 217, 36},	//767 QWebView::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {77, 342, 1, 1, Smoke::mf_virtual, 217, 37},	//768 QWebView::event(QEvent*)
    {77, 778, 0, 0, Smoke::mf_slot, 0, 38},	//769 QWebView::stop()
    {77, 250, 0, 0, Smoke::mf_slot, 0, 39},	//770 QWebView::back()
    {77, 381, 0, 0, Smoke::mf_slot, 0, 40},	//771 QWebView::forward()
    {77, 580, 0, 0, Smoke::mf_slot, 0, 41},	//772 QWebView::reload()
    {77, 570, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 42},	//773 QWebView::print(QPrinter*) const
    {77, 477, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//774 QWebView::loadStarted()
    {77, 475, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//775 QWebView::loadProgress(int)
    {77, 473, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//776 QWebView::loadFinished(bool)
    {77, 798, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//777 QWebView::titleChanged(const QString&)
    {77, 774, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//778 QWebView::statusBarMessage(const QString&)
    {77, 459, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//779 QWebView::linkClicked(const QUrl&)
    {77, 640, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//780 QWebView::selectionChanged()
    {77, 418, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//781 QWebView::iconChanged()
    {77, 830, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//782 QWebView::urlChanged(const QUrl&)
    {77, 613, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//783 QWebView::resizeEvent(QResizeEvent*)
    {77, 550, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//784 QWebView::paintEvent(QPaintEvent*)
    {77, 293, 197, 1, Smoke::mf_protected|Smoke::mf_virtual, 136, 54},	//785 QWebView::createWindow(QWebPage::WebWindowType)
    {77, 260, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//786 QWebView::changeEvent(QEvent*)
    {77, 496, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//787 QWebView::mouseMoveEvent(QMouseEvent*)
    {77, 498, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//788 QWebView::mousePressEvent(QMouseEvent*)
    {77, 494, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//789 QWebView::mouseDoubleClickEvent(QMouseEvent*)
    {77, 500, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//790 QWebView::mouseReleaseEvent(QMouseEvent*)
    {77, 285, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//791 QWebView::contextMenuEvent(QContextMenuEvent*)
    {77, 844, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//792 QWebView::wheelEvent(QWheelEvent*)
    {77, 450, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//793 QWebView::keyPressEvent(QKeyEvent*)
    {77, 452, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//794 QWebView::keyReleaseEvent(QKeyEvent*)
    {77, 316, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//795 QWebView::dragEnterEvent(QDragEnterEvent*)
    {77, 318, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//796 QWebView::dragLeaveEvent(QDragLeaveEvent*)
    {77, 320, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//797 QWebView::dragMoveEvent(QDragMoveEvent*)
    {77, 322, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//798 QWebView::dropEvent(QDropEvent*)
    {77, 370, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//799 QWebView::focusInEvent(QFocusEvent*)
    {77, 374, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//800 QWebView::focusOutEvent(QFocusEvent*)
    {77, 425, 311, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//801 QWebView::inputMethodEvent(QInputMethodEvent*)
    {77, 372, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 217, 71},	//802 QWebView::focusNextPrevChild(bool)
    {77, 810, 10, 1, Smoke::mf_static, 62, 72},	//803 QWebView::tr(const char*)
    {77, 814, 10, 1, Smoke::mf_static, 62, 73},	//804 QWebView::trUtf8(const char*)
    {77, 142, 0, 0, Smoke::mf_ctor, 136, 74},	//805 QWebView::QWebView()
    {77, 469, 110, 1, 0, 0, 75},	//806 QWebView::load(const QNetworkRequest&)
    {77, 469, 112, 2, 0, 0, 76},	//807 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {77, 690, 16, 1, 0, 0, 77},	//808 QWebView::setHtml(const QString&)
    {77, 651, 115, 1, 0, 0, 78},	//809 QWebView::setContent(const QByteArray&)
    {77, 651, 117, 2, 0, 0, 79},	//810 QWebView::setContent(const QByteArray&, const QString&)
    {77, 821, 149, 1, 0, 0, 80},	//811 QWebView::triggerPageAction(QWebPage::WebAction)
    {77, 735, 313, 1, 0, 0, 81},	//812 QWebView::setRenderHint(QPainter::RenderHint)
    {77, 365, 16, 1, 0, 217, 82},	//813 QWebView::findText(const QString&)
    {77, 773, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 221, 83},	//814 QWebView::staticMetaObject() const
    {77, 868, 0, 0, Smoke::mf_dtor, 0, 84 },	//815 QWebView::~QWebView()
    {79, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 262, 0},	//816 QWidget::devType() const
    {79, 762, 108, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//817 QWidget::setVisible(bool)
    {79, 493, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 55, 0},	//818 QWidget::minimumSizeHint() const
    {79, 408, 38, 1, Smoke::mf_const|Smoke::mf_virtual, 262, 0},	//819 QWidget::heightForWidth(int) const
    {79, 549, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 0},	//820 QWidget::paintEngine() const
    {79, 498, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//821 QWidget::mousePressEvent(QMouseEvent*)
    {79, 500, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//822 QWidget::mouseReleaseEvent(QMouseEvent*)
    {79, 494, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//823 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {79, 496, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//824 QWidget::mouseMoveEvent(QMouseEvent*)
    {79, 844, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//825 QWidget::wheelEvent(QWheelEvent*)
    {79, 450, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//826 QWidget::keyPressEvent(QKeyEvent*)
    {79, 452, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//827 QWidget::keyReleaseEvent(QKeyEvent*)
    {79, 370, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//828 QWidget::focusInEvent(QFocusEvent*)
    {79, 374, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//829 QWidget::focusOutEvent(QFocusEvent*)
    {79, 337, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//830 QWidget::enterEvent(QEvent*)
    {79, 458, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//831 QWidget::leaveEvent(QEvent*)
    {79, 550, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//832 QWidget::paintEvent(QPaintEvent*)
    {79, 502, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//833 QWidget::moveEvent(QMoveEvent*)
    {79, 271, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//834 QWidget::closeEvent(QCloseEvent*)
    {79, 285, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//835 QWidget::contextMenuEvent(QContextMenuEvent*)
    {79, 790, 317, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//836 QWidget::tabletEvent(QTabletEvent*)
    {79, 218, 319, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//837 QWidget::actionEvent(QActionEvent*)
    {79, 316, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//838 QWidget::dragEnterEvent(QDragEnterEvent*)
    {79, 320, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//839 QWidget::dragMoveEvent(QDragMoveEvent*)
    {79, 318, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//840 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {79, 322, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//841 QWidget::dropEvent(QDropEvent*)
    {79, 769, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//842 QWidget::showEvent(QShowEvent*)
    {79, 409, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//843 QWidget::hideEvent(QHideEvent*)
    {79, 848, 321, 1, Smoke::mf_protected|Smoke::mf_virtual, 217, 0},	//844 QWidget::x11Event(_XEvent*)
    {79, 260, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//845 QWidget::changeEvent(QEvent*)
    {79, 489, 323, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 262, 0},	//846 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {79, 425, 311, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//847 QWidget::inputMethodEvent(QInputMethodEvent*)
    {79, 427, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 74, 0},	//848 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {79, 372, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 217, 0},	//849 QWidget::focusNextPrevChild(bool)
    {79, 779, 325, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//850 QWidget::styleChange(QStyle&)
    {79, 327, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//851 QWidget::enabledChange(bool)
    {79, 553, 163, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//852 QWidget::paletteChange(const QPalette&)
    {79, 376, 327, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//853 QWidget::fontChange(const QFont&)
    {79, 846, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//854 QWidget::windowActivationChange(bool)
    {79, 454, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//855 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    126,  // QWebElementCollection::begin() const
    130,  // QWebElementCollection::begin()
    0,
    127,  // QWebElementCollection::end() const
    131,  // QWebElementCollection::end()
    0,
    742,  // QWebView::load(const QUrl&)
    806,  // QWebView::load(const QNetworkRequest&)
    0,
    179,  // QWebFrame::load(const QUrl&)
    241,  // QWebFrame::load(const QNetworkRequest&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 144, 15},	// QGlobalSpace::QtCriticalMsg
    {16, 145, 13},	// QGlobalSpace::QtDebugMsg
    {16, 146, 16},	// QGlobalSpace::QtFatalMsg
    {16, 148, 17},	// QGlobalSpace::QtSystemMsg
    {16, 149, 14},	// QGlobalSpace::QtWarningMsg
    {16, 198, 12},	// QGlobalSpace::_ISalnum
    {16, 199, 3},	// QGlobalSpace::_ISalpha
    {16, 200, 9},	// QGlobalSpace::_ISblank
    {16, 201, 10},	// QGlobalSpace::_IScntrl
    {16, 202, 4},	// QGlobalSpace::_ISdigit
    {16, 203, 8},	// QGlobalSpace::_ISgraph
    {16, 204, 2},	// QGlobalSpace::_ISlower
    {16, 205, 7},	// QGlobalSpace::_ISprint
    {16, 206, 11},	// QGlobalSpace::_ISpunct
    {16, 207, 6},	// QGlobalSpace::_ISspace
    {16, 208, 1},	// QGlobalSpace::_ISupper
    {16, 209, 5},	// QGlobalSpace::_ISxdigit
    {16, 210, 20},	// QGlobalSpace::__codecvt_error
    {16, 211, 21},	// QGlobalSpace::__codecvt_noconv
    {16, 212, 18},	// QGlobalSpace::__codecvt_ok
    {16, 213, 19},	// QGlobalSpace::__codecvt_partial
    {49, 122, 29},	// QWebDatabase::QWebDatabase#
    {49, 310, 32},	// QWebDatabase::displayName
    {49, 345, 33},	// QWebDatabase::expectedSize
    {49, 355, 35},	// QWebDatabase::fileName
    {49, 503, 31},	// QWebDatabase::name
    {49, 534, 30},	// QWebDatabase::operator=#
    {49, 543, 36},	// QWebDatabase::origin
    {49, 582, 38},	// QWebDatabase::removeAllDatabases
    {49, 590, 37},	// QWebDatabase::removeDatabase#
    {49, 771, 34},	// QWebDatabase::size
    {49, 858, 39},	// QWebDatabase::~QWebDatabase
    {50, 9, 110},	// QWebElement::CascadedStyle
    {50, 15, 111},	// QWebElement::ComputedStyle
    {50, 60, 109},	// QWebElement::InlineStyle
    {50, 123, 40},	// QWebElement::QWebElement
    {50, 124, 41},	// QWebElement::QWebElement#
    {50, 220, 66},	// QWebElement::addClass$
    {50, 233, 84},	// QWebElement::appendInside#
    {50, 234, 83},	// QWebElement::appendInside$
    {50, 236, 88},	// QWebElement::appendOutside#
    {50, 237, 87},	// QWebElement::appendOutside$
    {50, 243, 106},	// QWebElement::attribute$
    {50, 244, 56},	// QWebElement::attribute$$
    {50, 246, 107},	// QWebElement::attributeNS$$
    {50, 247, 57},	// QWebElement::attributeNS$$$
    {50, 248, 108},	// QWebElement::attributeNames
    {50, 249, 63},	// QWebElement::attributeNames$
    {50, 266, 64},	// QWebElement::classes
    {50, 270, 97},	// QWebElement::clone
    {50, 311, 81},	// QWebElement::document
    {50, 329, 91},	// QWebElement::encloseContentsWith#
    {50, 330, 92},	// QWebElement::encloseContentsWith$
    {50, 332, 94},	// QWebElement::encloseWith#
    {50, 333, 93},	// QWebElement::encloseWith$
    {50, 341, 101},	// QWebElement::evaluateJavaScript$
    {50, 358, 46},	// QWebElement::findAll$
    {50, 362, 47},	// QWebElement::findFirst$
    {50, 369, 77},	// QWebElement::firstChild
    {50, 392, 71},	// QWebElement::geometry
    {50, 400, 58},	// QWebElement::hasAttribute$
    {50, 402, 59},	// QWebElement::hasAttributeNS$$
    {50, 403, 62},	// QWebElement::hasAttributes
    {50, 405, 65},	// QWebElement::hasClass$
    {50, 406, 69},	// QWebElement::hasFocus
    {50, 432, 45},	// QWebElement::isNull
    {50, 456, 78},	// QWebElement::lastChild
    {50, 478, 74},	// QWebElement::localName
    {50, 504, 75},	// QWebElement::namespaceUri
    {50, 506, 79},	// QWebElement::nextSibling
    {50, 512, 44},	// QWebElement::operator!=#
    {50, 534, 42},	// QWebElement::operator=#
    {50, 536, 43},	// QWebElement::operator==#
    {50, 554, 76},	// QWebElement::parent
    {50, 562, 73},	// QWebElement::prefix
    {50, 564, 86},	// QWebElement::prependInside#
    {50, 565, 85},	// QWebElement::prependInside$
    {50, 567, 90},	// QWebElement::prependOutside#
    {50, 568, 89},	// QWebElement::prependOutside$
    {50, 569, 80},	// QWebElement::previousSibling
    {50, 581, 100},	// QWebElement::removeAllChildren
    {50, 584, 60},	// QWebElement::removeAttribute$
    {50, 586, 61},	// QWebElement::removeAttributeNS$$
    {50, 588, 67},	// QWebElement::removeClass$
    {50, 591, 99},	// QWebElement::removeFromDocument
    {50, 595, 104},	// QWebElement::render#
    {50, 596, 105},	// QWebElement::render##
    {50, 604, 96},	// QWebElement::replace#
    {50, 605, 95},	// QWebElement::replace$
    {50, 646, 54},	// QWebElement::setAttribute$$
    {50, 648, 55},	// QWebElement::setAttributeNS$$$
    {50, 681, 70},	// QWebElement::setFocus
    {50, 696, 52},	// QWebElement::setInnerXml$
    {50, 722, 50},	// QWebElement::setOuterXml$
    {50, 730, 48},	// QWebElement::setPlainText$
    {50, 747, 103},	// QWebElement::setStyleProperty$$
    {50, 781, 102},	// QWebElement::styleProperty$$
    {50, 791, 72},	// QWebElement::tagName
    {50, 792, 98},	// QWebElement::takeFromDocument
    {50, 801, 53},	// QWebElement::toInnerXml
    {50, 803, 51},	// QWebElement::toOuterXml
    {50, 804, 49},	// QWebElement::toPlainText
    {50, 806, 68},	// QWebElement::toggleClass$
    {50, 841, 82},	// QWebElement::webFrame
    {50, 859, 112},	// QWebElement::~QWebElement
    {51, 125, 113},	// QWebElementCollection::QWebElementCollection
    {51, 126, 115},	// QWebElementCollection::QWebElementCollection#
    {51, 127, 114},	// QWebElementCollection::QWebElementCollection#$
    {51, 231, 119},	// QWebElementCollection::append#
    {51, 241, 121},	// QWebElementCollection::at$
    {51, 255, -1},	// QWebElementCollection::begin
    {51, 274, 128},	// QWebElementCollection::constBegin
    {51, 275, 129},	// QWebElementCollection::constEnd
    {51, 287, 120},	// QWebElementCollection::count
    {51, 336, -4},	// QWebElementCollection::end
    {51, 368, 123},	// QWebElementCollection::first
    {51, 455, 124},	// QWebElementCollection::last
    {51, 515, 117},	// QWebElementCollection::operator+#
    {51, 520, 118},	// QWebElementCollection::operator+=#
    {51, 534, 116},	// QWebElementCollection::operator=#
    {51, 542, 122},	// QWebElementCollection::operator[]$
    {51, 802, 125},	// QWebElementCollection::toList
    {51, 860, 132},	// QWebElementCollection::~QWebElementCollection
    {52, 277, 134},	// QWebElementCollection::const_iterator::const_iterator#
    {52, 278, 133},	// QWebElementCollection::const_iterator::const_iterator#$
    {52, 512, 137},	// QWebElementCollection::const_iterator::operator!=#
    {52, 513, 135},	// QWebElementCollection::const_iterator::operator*
    {52, 516, 148},	// QWebElementCollection::const_iterator::operator+$
    {52, 517, 142},	// QWebElementCollection::const_iterator::operator++
    {52, 518, 143},	// QWebElementCollection::const_iterator::operator++$
    {52, 521, 146},	// QWebElementCollection::const_iterator::operator+=$
    {52, 523, 150},	// QWebElementCollection::const_iterator::operator-#
    {52, 524, 149},	// QWebElementCollection::const_iterator::operator-$
    {52, 525, 144},	// QWebElementCollection::const_iterator::operator--
    {52, 526, 145},	// QWebElementCollection::const_iterator::operator--$
    {52, 528, 147},	// QWebElementCollection::const_iterator::operator-=$
    {52, 530, 138},	// QWebElementCollection::const_iterator::operator<#
    {52, 532, 139},	// QWebElementCollection::const_iterator::operator<=#
    {52, 536, 136},	// QWebElementCollection::const_iterator::operator==#
    {52, 538, 140},	// QWebElementCollection::const_iterator::operator>#
    {52, 540, 141},	// QWebElementCollection::const_iterator::operator>=#
    {52, 870, 151},	// QWebElementCollection::const_iterator::~const_iterator
    {53, 439, 153},	// QWebElementCollection::iterator::iterator#
    {53, 440, 152},	// QWebElementCollection::iterator::iterator#$
    {53, 512, 156},	// QWebElementCollection::iterator::operator!=#
    {53, 513, 154},	// QWebElementCollection::iterator::operator*
    {53, 516, 167},	// QWebElementCollection::iterator::operator+$
    {53, 517, 161},	// QWebElementCollection::iterator::operator++
    {53, 518, 162},	// QWebElementCollection::iterator::operator++$
    {53, 521, 165},	// QWebElementCollection::iterator::operator+=$
    {53, 523, 169},	// QWebElementCollection::iterator::operator-#
    {53, 524, 168},	// QWebElementCollection::iterator::operator-$
    {53, 525, 163},	// QWebElementCollection::iterator::operator--
    {53, 526, 164},	// QWebElementCollection::iterator::operator--$
    {53, 528, 166},	// QWebElementCollection::iterator::operator-=$
    {53, 530, 157},	// QWebElementCollection::iterator::operator<#
    {53, 532, 158},	// QWebElementCollection::iterator::operator<=#
    {53, 536, 155},	// QWebElementCollection::iterator::operator==#
    {53, 538, 159},	// QWebElementCollection::iterator::operator>#
    {53, 540, 160},	// QWebElementCollection::iterator::operator>=#
    {53, 871, 170},	// QWebElementCollection::iterator::~iterator
    {54, 6, 251},	// QWebFrame::AllLayers
    {54, 16, 248},	// QWebFrame::ContentsLayer
    {54, 110, 250},	// QWebFrame::PanIconLayer
    {54, 155, 249},	// QWebFrame::ScrollBarLayer
    {54, 226, 183},	// QWebFrame::addToJavaScriptWindowObject$#
    {54, 227, 184},	// QWebFrame::addToJavaScriptWindowObject$#$
    {54, 254, 192},	// QWebFrame::baseUrl
    {54, 263, 197},	// QWebFrame::childFrames
    {54, 282, 220},	// QWebFrame::contentsSize
    {54, 284, 235},	// QWebFrame::contentsSizeChanged#
    {54, 312, 221},	// QWebFrame::documentElement
    {54, 341, 227},	// QWebFrame::evaluateJavaScript$
    {54, 343, 225},	// QWebFrame::event#
    {54, 360, 222},	// QWebFrame::findAllElements$
    {54, 364, 223},	// QWebFrame::findFirstElement$
    {54, 391, 195},	// QWebFrame::frameName
    {54, 392, 219},	// QWebFrame::geometry
    {54, 406, 216},	// QWebFrame::hasFocus
    {54, 415, 224},	// QWebFrame::hitTestContent#
    {54, 417, 193},	// QWebFrame::icon
    {54, 418, 234},	// QWebFrame::iconChanged
    {54, 423, 233},	// QWebFrame::initialLayoutCompleted
    {54, 449, 229},	// QWebFrame::javaScriptWindowObjectCleared
    {54, 470, -10},	// QWebFrame::load#
    {54, 471, 242},	// QWebFrame::load#$
    {54, 472, 180},	// QWebFrame::load#$#
    {54, 474, 237},	// QWebFrame::loadFinished$
    {54, 477, 236},	// QWebFrame::loadStarted
    {54, 487, 194},	// QWebFrame::metaData
    {54, 488, 171},	// QWebFrame::metaObject
    {54, 545, 178},	// QWebFrame::page
    {54, 548, 238},	// QWebFrame::pageChanged
    {54, 555, 196},	// QWebFrame::parentFrame
    {54, 560, 218},	// QWebFrame::pos
    {54, 571, 228},	// QWebFrame::print#
    {54, 574, 230},	// QWebFrame::provisionalLoad
    {54, 576, 177},	// QWebFrame::qt_metacall$$?
    {54, 578, 172},	// QWebFrame::qt_metacast$
    {54, 595, 209},	// QWebFrame::render#
    {54, 596, 210},	// QWebFrame::render##
    {54, 597, 246},	// QWebFrame::render#$
    {54, 598, 211},	// QWebFrame::render#$#
    {54, 600, 187},	// QWebFrame::renderTreeDump
    {54, 606, 191},	// QWebFrame::requestedUrl
    {54, 621, 205},	// QWebFrame::scroll$$
    {54, 623, 204},	// QWebFrame::scrollBarGeometry$
    {54, 625, 203},	// QWebFrame::scrollBarMaximum$
    {54, 627, 202},	// QWebFrame::scrollBarMinimum$
    {54, 629, 198},	// QWebFrame::scrollBarPolicy$
    {54, 631, 201},	// QWebFrame::scrollBarValue$
    {54, 632, 206},	// QWebFrame::scrollPosition
    {54, 636, 208},	// QWebFrame::scrollToAnchor$
    {54, 637, 226},	// QWebFrame::securityOrigin
    {54, 652, 244},	// QWebFrame::setContent#
    {54, 653, 245},	// QWebFrame::setContent#$
    {54, 654, 182},	// QWebFrame::setContent#$#
    {54, 681, 217},	// QWebFrame::setFocus
    {54, 691, 243},	// QWebFrame::setHtml$
    {54, 692, 181},	// QWebFrame::setHtml$#
    {54, 741, 199},	// QWebFrame::setScrollBarPolicy$$
    {54, 743, 200},	// QWebFrame::setScrollBarValue$$
    {54, 745, 207},	// QWebFrame::setScrollPosition#
    {54, 751, 212},	// QWebFrame::setTextSizeMultiplier$
    {54, 753, 189},	// QWebFrame::setUrl#
    {54, 766, 215},	// QWebFrame::setZoomFactor$
    {54, 773, 247},	// QWebFrame::staticMetaObject
    {54, 795, 213},	// QWebFrame::textSizeMultiplier
    {54, 797, 188},	// QWebFrame::title
    {54, 799, 231},	// QWebFrame::titleChanged$
    {54, 800, 185},	// QWebFrame::toHtml
    {54, 804, 186},	// QWebFrame::toPlainText
    {54, 811, 239},	// QWebFrame::tr$
    {54, 812, 173},	// QWebFrame::tr$$
    {54, 813, 175},	// QWebFrame::tr$$$
    {54, 815, 240},	// QWebFrame::trUtf8$
    {54, 816, 174},	// QWebFrame::trUtf8$$
    {54, 817, 176},	// QWebFrame::trUtf8$$$
    {54, 829, 190},	// QWebFrame::url
    {54, 831, 232},	// QWebFrame::urlChanged#
    {54, 849, 214},	// QWebFrame::zoomFactor
    {55, 250, 258},	// QWebHistory::back
    {55, 251, 261},	// QWebHistory::backItem
    {55, 253, 254},	// QWebHistory::backItems$
    {55, 258, 256},	// QWebHistory::canGoBack
    {55, 259, 257},	// QWebHistory::canGoForward
    {55, 267, 252},	// QWebHistory::clear
    {55, 287, 266},	// QWebHistory::count
    {55, 296, 262},	// QWebHistory::currentItem
    {55, 297, 265},	// QWebHistory::currentItemIndex
    {55, 381, 259},	// QWebHistory::forward
    {55, 382, 263},	// QWebHistory::forwardItem
    {55, 384, 255},	// QWebHistory::forwardItems$
    {55, 397, 260},	// QWebHistory::goToItem#
    {55, 436, 264},	// QWebHistory::itemAt$
    {55, 437, 253},	// QWebHistory::items
    {55, 482, 267},	// QWebHistory::maximumItemCount
    {55, 702, 268},	// QWebHistory::setMaximumItemCount$
    {56, 128, 283},	// QWebHistoryInterface::QWebHistoryInterface
    {56, 129, 276},	// QWebHistoryInterface::QWebHistoryInterface#
    {56, 222, 280},	// QWebHistoryInterface::addHistoryEntry$
    {56, 304, 278},	// QWebHistoryInterface::defaultInterface
    {56, 413, 279},	// QWebHistoryInterface::historyContains$
    {56, 488, 269},	// QWebHistoryInterface::metaObject
    {56, 576, 275},	// QWebHistoryInterface::qt_metacall$$?
    {56, 578, 270},	// QWebHistoryInterface::qt_metacast$
    {56, 662, 277},	// QWebHistoryInterface::setDefaultInterface#
    {56, 773, 284},	// QWebHistoryInterface::staticMetaObject
    {56, 811, 281},	// QWebHistoryInterface::tr$
    {56, 812, 271},	// QWebHistoryInterface::tr$$
    {56, 813, 273},	// QWebHistoryInterface::tr$$$
    {56, 815, 282},	// QWebHistoryInterface::trUtf8$
    {56, 816, 272},	// QWebHistoryInterface::trUtf8$$
    {56, 817, 274},	// QWebHistoryInterface::trUtf8$$$
    {56, 861, 285},	// QWebHistoryInterface::~QWebHistoryInterface
    {57, 131, 286},	// QWebHistoryItem::QWebHistoryItem#
    {57, 417, 292},	// QWebHistoryItem::icon
    {57, 434, 295},	// QWebHistoryItem::isValid
    {57, 457, 291},	// QWebHistoryItem::lastVisited
    {57, 534, 287},	// QWebHistoryItem::operator=#
    {57, 544, 288},	// QWebHistoryItem::originalUrl
    {57, 755, 294},	// QWebHistoryItem::setUserData#
    {57, 797, 290},	// QWebHistoryItem::title
    {57, 829, 289},	// QWebHistoryItem::url
    {57, 834, 293},	// QWebHistoryItem::userData
    {57, 862, 296},	// QWebHistoryItem::~QWebHistoryItem
    {58, 132, 297},	// QWebHitTestResult::QWebHitTestResult
    {58, 133, 298},	// QWebHitTestResult::QWebHitTestResult#
    {58, 229, 310},	// QWebHitTestResult::alternateText
    {58, 256, 302},	// QWebHitTestResult::boundingRect
    {58, 324, 315},	// QWebHitTestResult::element
    {58, 334, 303},	// QWebHitTestResult::enclosingBlockElement
    {58, 386, 316},	// QWebHitTestResult::frame
    {58, 422, 311},	// QWebHitTestResult::imageUrl
    {58, 429, 313},	// QWebHitTestResult::isContentEditable
    {58, 430, 314},	// QWebHitTestResult::isContentSelected
    {58, 432, 300},	// QWebHitTestResult::isNull
    {58, 462, 309},	// QWebHitTestResult::linkElement
    {58, 465, 308},	// QWebHitTestResult::linkTargetFrame
    {58, 466, 305},	// QWebHitTestResult::linkText
    {58, 467, 307},	// QWebHitTestResult::linkTitle
    {58, 468, 306},	// QWebHitTestResult::linkUrl
    {58, 534, 299},	// QWebHitTestResult::operator=#
    {58, 556, 312},	// QWebHitTestResult::pixmap
    {58, 560, 301},	// QWebHitTestResult::pos
    {58, 797, 304},	// QWebHitTestResult::title
    {58, 863, 317},	// QWebHitTestResult::~QWebHitTestResult
    {59, 134, 336},	// QWebInspector::QWebInspector
    {59, 135, 325},	// QWebInspector::QWebInspector#
    {59, 272, 333},	// QWebInspector::closeEvent#
    {59, 343, 329},	// QWebInspector::event#
    {59, 410, 332},	// QWebInspector::hideEvent#
    {59, 488, 318},	// QWebInspector::metaObject
    {59, 545, 327},	// QWebInspector::page
    {59, 576, 324},	// QWebInspector::qt_metacall$$?
    {59, 578, 319},	// QWebInspector::qt_metacast$
    {59, 614, 330},	// QWebInspector::resizeEvent#
    {59, 724, 326},	// QWebInspector::setPage#
    {59, 770, 331},	// QWebInspector::showEvent#
    {59, 772, 328},	// QWebInspector::sizeHint
    {59, 773, 337},	// QWebInspector::staticMetaObject
    {59, 811, 334},	// QWebInspector::tr$
    {59, 812, 320},	// QWebInspector::tr$$
    {59, 813, 322},	// QWebInspector::tr$$$
    {59, 815, 335},	// QWebInspector::trUtf8$
    {59, 816, 321},	// QWebInspector::trUtf8$$
    {59, 817, 323},	// QWebInspector::trUtf8$$$
    {59, 864, 338},	// QWebInspector::~QWebInspector
    {60, 2, 509},	// QWebPage::AlignCenter
    {60, 3, 510},	// QWebPage::AlignJustified
    {60, 4, 511},	// QWebPage::AlignLeft
    {60, 5, 512},	// QWebPage::AlignRight
    {60, 8, 454},	// QWebPage::Back
    {60, 10, 530},	// QWebPage::ChooseMultipleFilesExtension
    {60, 17, 459},	// QWebPage::Copy
    {60, 18, 453},	// QWebPage::CopyImageToClipboard
    {60, 19, 514},	// QWebPage::CopyImageUrlToClipboard
    {60, 20, 450},	// QWebPage::CopyLinkToClipboard
    {60, 22, 458},	// QWebPage::Cut
    {60, 26, 522},	// QWebPage::DelegateAllLinks
    {60, 27, 521},	// QWebPage::DelegateExternalLinks
    {60, 29, 488},	// QWebPage::DeleteEndOfWord
    {60, 30, 487},	// QWebPage::DeleteStartOfWord
    {60, 33, 520},	// QWebPage::DontDelegateLinks
    {60, 34, 452},	// QWebPage::DownloadImageToDisk
    {60, 35, 449},	// QWebPage::DownloadLinkToDisk
    {60, 38, 531},	// QWebPage::ErrorPageExtension
    {60, 48, 516},	// QWebPage::FindBackward
    {60, 49, 517},	// QWebPage::FindCaseSensitively
    {60, 50, 518},	// QWebPage::FindWrapsAroundDocument
    {60, 52, 455},	// QWebPage::Forward
    {60, 54, 529},	// QWebPage::Geolocation
    {60, 55, 519},	// QWebPage::HighlightAllOccurrences
    {60, 56, 533},	// QWebPage::Http
    {60, 59, 507},	// QWebPage::Indent
    {60, 62, 497},	// QWebPage::InsertLineSeparator
    {60, 63, 506},	// QWebPage::InsertOrderedList
    {60, 64, 496},	// QWebPage::InsertParagraphSeparator
    {60, 65, 505},	// QWebPage::InsertUnorderedList
    {60, 66, 495},	// QWebPage::InspectElement
    {60, 83, 472},	// QWebPage::MoveToEndOfBlock
    {60, 84, 474},	// QWebPage::MoveToEndOfDocument
    {60, 85, 470},	// QWebPage::MoveToEndOfLine
    {60, 86, 463},	// QWebPage::MoveToNextChar
    {60, 87, 467},	// QWebPage::MoveToNextLine
    {60, 88, 465},	// QWebPage::MoveToNextWord
    {60, 89, 464},	// QWebPage::MoveToPreviousChar
    {60, 90, 468},	// QWebPage::MoveToPreviousLine
    {60, 91, 466},	// QWebPage::MoveToPreviousWord
    {60, 92, 471},	// QWebPage::MoveToStartOfBlock
    {60, 93, 473},	// QWebPage::MoveToStartOfDocument
    {60, 94, 469},	// QWebPage::MoveToStartOfLine
    {60, 95, 441},	// QWebPage::NavigationTypeBackOrForward
    {60, 96, 443},	// QWebPage::NavigationTypeFormResubmitted
    {60, 97, 440},	// QWebPage::NavigationTypeFormSubmitted
    {60, 98, 439},	// QWebPage::NavigationTypeLinkClicked
    {60, 99, 444},	// QWebPage::NavigationTypeOther
    {60, 100, 442},	// QWebPage::NavigationTypeReload
    {60, 101, 445},	// QWebPage::NoWebAction
    {60, 102, 528},	// QWebPage::Notifications
    {60, 105, 448},	// QWebPage::OpenFrameInNewWindow
    {60, 106, 451},	// QWebPage::OpenImageInNewWindow
    {60, 107, 446},	// QWebPage::OpenLink
    {60, 108, 447},	// QWebPage::OpenLinkInNewWindow
    {60, 109, 508},	// QWebPage::Outdent
    {60, 111, 460},	// QWebPage::Paste
    {60, 112, 500},	// QWebPage::PasteAndMatchStyle
    {60, 113, 527},	// QWebPage::PermissionDeniedByUser
    {60, 114, 526},	// QWebPage::PermissionGrantedByUser
    {60, 115, 525},	// QWebPage::PermissionUnknown
    {60, 136, 433},	// QWebPage::QWebPage
    {60, 137, 346},	// QWebPage::QWebPage#
    {60, 147, 532},	// QWebPage::QtNetwork
    {60, 150, 462},	// QWebPage::Redo
    {60, 151, 457},	// QWebPage::Reload
    {60, 152, 499},	// QWebPage::ReloadAndBypassCache
    {60, 153, 501},	// QWebPage::RemoveFormat
    {60, 158, 498},	// QWebPage::SelectAll
    {60, 159, 484},	// QWebPage::SelectEndOfBlock
    {60, 160, 486},	// QWebPage::SelectEndOfDocument
    {60, 161, 482},	// QWebPage::SelectEndOfLine
    {60, 162, 475},	// QWebPage::SelectNextChar
    {60, 163, 479},	// QWebPage::SelectNextLine
    {60, 164, 477},	// QWebPage::SelectNextWord
    {60, 165, 476},	// QWebPage::SelectPreviousChar
    {60, 166, 480},	// QWebPage::SelectPreviousLine
    {60, 167, 478},	// QWebPage::SelectPreviousWord
    {60, 168, 483},	// QWebPage::SelectStartOfBlock
    {60, 169, 485},	// QWebPage::SelectStartOfDocument
    {60, 170, 481},	// QWebPage::SelectStartOfLine
    {60, 172, 489},	// QWebPage::SetTextDirectionDefault
    {60, 173, 490},	// QWebPage::SetTextDirectionLeftToRight
    {60, 174, 491},	// QWebPage::SetTextDirectionRightToLeft
    {60, 178, 456},	// QWebPage::Stop
    {60, 179, 513},	// QWebPage::StopScheduledPageRefresh
    {60, 182, 492},	// QWebPage::ToggleBold
    {60, 183, 493},	// QWebPage::ToggleItalic
    {60, 184, 502},	// QWebPage::ToggleStrikethrough
    {60, 185, 503},	// QWebPage::ToggleSubscript
    {60, 186, 504},	// QWebPage::ToggleSuperscript
    {60, 187, 494},	// QWebPage::ToggleUnderline
    {60, 188, 461},	// QWebPage::Undo
    {60, 191, 515},	// QWebPage::WebActionCount
    {60, 192, 523},	// QWebPage::WebBrowserWindow
    {60, 194, 534},	// QWebPage::WebKit
    {60, 195, 524},	// QWebPage::WebModalDialog
    {60, 215, 424},	// QWebPage::acceptNavigationRequest##$
    {60, 217, 365},	// QWebPage::action$
    {60, 239, 416},	// QWebPage::applicationCacheQuotaExceeded#$
    {60, 257, 361},	// QWebPage::bytesReceived
    {60, 265, 425},	// QWebPage::chooseFile#$
    {60, 281, 414},	// QWebPage::contentsChanged
    {60, 291, 423},	// QWebPage::createPlugin$#??
    {60, 292, 387},	// QWebPage::createStandardContextMenu
    {60, 294, 422},	// QWebPage::createWindow$
    {60, 295, 348},	// QWebPage::currentFrame
    {60, 301, 415},	// QWebPage::databaseQuotaExceeded#$
    {60, 315, 412},	// QWebPage::downloadRequested#
    {60, 343, 373},	// QWebPage::event#
    {60, 347, 436},	// QWebPage::extension$
    {60, 348, 437},	// QWebPage::extension$#
    {60, 349, 391},	// QWebPage::extension$##
    {60, 351, 421},	// QWebPage::featurePermissionRequestCanceled#$
    {60, 353, 420},	// QWebPage::featurePermissionRequested#$
    {60, 366, 435},	// QWebPage::findText$
    {60, 367, 376},	// QWebPage::findText$$
    {60, 373, 374},	// QWebPage::focusNextPrevChild$
    {60, 385, 378},	// QWebPage::forwardUnsupportedContent
    {60, 388, 349},	// QWebPage::frameAt#
    {60, 390, 401},	// QWebPage::frameCreated#
    {60, 394, 402},	// QWebPage::geometryChangeRequested#
    {60, 398, 393},	// QWebPage::handle
    {60, 407, 362},	// QWebPage::hasSelection
    {60, 411, 350},	// QWebPage::history
    {60, 428, 375},	// QWebPage::inputMethodQuery$
    {60, 429, 384},	// QWebPage::isContentEditable
    {60, 431, 354},	// QWebPage::isModified
    {60, 442, 426},	// QWebPage::javaScriptAlert#$
    {60, 444, 427},	// QWebPage::javaScriptConfirm#$
    {60, 446, 429},	// QWebPage::javaScriptConsoleMessage$$$
    {60, 448, 428},	// QWebPage::javaScriptPrompt#$$$
    {60, 460, 407},	// QWebPage::linkClicked#
    {60, 461, 380},	// QWebPage::linkDelegationPolicy
    {60, 464, 398},	// QWebPage::linkHovered$$$
    {60, 474, 397},	// QWebPage::loadFinished$
    {60, 476, 396},	// QWebPage::loadProgress$
    {60, 477, 395},	// QWebPage::loadStarted
    {60, 481, 347},	// QWebPage::mainFrame
    {60, 486, 410},	// QWebPage::menuBarVisibilityChangeRequested$
    {60, 488, 339},	// QWebPage::metaObject
    {60, 490, 413},	// QWebPage::microFocusChanged
    {60, 505, 357},	// QWebPage::networkAccessManager
    {60, 552, 382},	// QWebPage::palette
    {60, 557, 359},	// QWebPage::pluginFactory
    {60, 561, 370},	// QWebPage::preferredContentsSize
    {60, 573, 406},	// QWebPage::printRequested#
    {60, 576, 345},	// QWebPage::qt_metacall$$?
    {60, 578, 340},	// QWebPage::qt_metacast$
    {60, 602, 403},	// QWebPage::repaintRequested#
    {60, 616, 418},	// QWebPage::restoreFrameStateRequested#
    {60, 618, 417},	// QWebPage::saveFrameStateRequested##
    {60, 634, 404},	// QWebPage::scrollRequested$$#
    {60, 638, 364},	// QWebPage::selectedHtml
    {60, 639, 363},	// QWebPage::selectedText
    {60, 640, 400},	// QWebPage::selectionChanged
    {60, 642, 372},	// QWebPage::setActualVisibleContentRect#
    {60, 656, 383},	// QWebPage::setContentEditable$
    {60, 676, 388},	// QWebPage::setFeaturePermission#$$
    {60, 687, 377},	// QWebPage::setForwardUnsupportedContent$
    {60, 698, 379},	// QWebPage::setLinkDelegationPolicy$
    {60, 710, 356},	// QWebPage::setNetworkAccessManager#
    {60, 726, 381},	// QWebPage::setPalette#
    {60, 732, 358},	// QWebPage::setPluginFactory#
    {60, 734, 371},	// QWebPage::setPreferredContentsSize#
    {60, 759, 352},	// QWebPage::setView#
    {60, 761, 368},	// QWebPage::setViewportSize#
    {60, 767, 351},	// QWebPage::settings
    {60, 768, 394},	// QWebPage::shouldInterruptJavaScript
    {60, 773, 438},	// QWebPage::staticMetaObject
    {60, 775, 399},	// QWebPage::statusBarMessage$
    {60, 777, 409},	// QWebPage::statusBarVisibilityChangeRequested$
    {60, 783, 389},	// QWebPage::supportedContentTypes
    {60, 785, 390},	// QWebPage::supportsContentType$
    {60, 787, 392},	// QWebPage::supportsExtension$
    {60, 789, 385},	// QWebPage::swallowContextMenuEvent#
    {60, 808, 408},	// QWebPage::toolBarVisibilityChangeRequested$
    {60, 809, 360},	// QWebPage::totalBytes
    {60, 811, 431},	// QWebPage::tr$
    {60, 812, 341},	// QWebPage::tr$$
    {60, 813, 343},	// QWebPage::tr$$$
    {60, 815, 432},	// QWebPage::trUtf8$
    {60, 816, 342},	// QWebPage::trUtf8$$
    {60, 817, 344},	// QWebPage::trUtf8$$$
    {60, 819, 434},	// QWebPage::triggerAction$
    {60, 820, 366},	// QWebPage::triggerAction$$
    {60, 824, 355},	// QWebPage::undoStack
    {60, 826, 411},	// QWebPage::unsupportedContent#
    {60, 828, 386},	// QWebPage::updatePositionDependentActions#
    {60, 833, 430},	// QWebPage::userAgentForUrl#
    {60, 836, 353},	// QWebPage::view
    {60, 838, 369},	// QWebPage::viewportAttributesForSize#
    {60, 839, 419},	// QWebPage::viewportChangeRequested
    {60, 840, 367},	// QWebPage::viewportSize
    {60, 847, 405},	// QWebPage::windowCloseRequested
    {60, 865, 535},	// QWebPage::~QWebPage
    {61, 11, 536},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption
    {61, 12, 537},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption#
    {61, 555, 538},	// QWebPage::ChooseMultipleFilesExtensionOption::parentFrame
    {61, 728, 539},	// QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame#
    {61, 749, 541},	// QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames?
    {61, 782, 540},	// QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames
    {61, 850, 542},	// QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption
    {62, 13, 543},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn
    {62, 14, 544},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn#
    {62, 356, 545},	// QWebPage::ChooseMultipleFilesExtensionReturn::fileNames
    {62, 680, 546},	// QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames?
    {62, 851, 547},	// QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn
    {63, 39, 548},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption
    {63, 40, 549},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption#
    {63, 313, 554},	// QWebPage::ErrorPageExtensionOption::domain
    {63, 338, 556},	// QWebPage::ErrorPageExtensionOption::error
    {63, 339, 558},	// QWebPage::ErrorPageExtensionOption::errorString
    {63, 386, 552},	// QWebPage::ErrorPageExtensionOption::frame
    {63, 668, 555},	// QWebPage::ErrorPageExtensionOption::setDomain$
    {63, 672, 557},	// QWebPage::ErrorPageExtensionOption::setError$
    {63, 674, 559},	// QWebPage::ErrorPageExtensionOption::setErrorString$
    {63, 689, 553},	// QWebPage::ErrorPageExtensionOption::setFrame#
    {63, 753, 551},	// QWebPage::ErrorPageExtensionOption::setUrl#
    {63, 829, 550},	// QWebPage::ErrorPageExtensionOption::url
    {63, 852, 560},	// QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption
    {64, 41, 561},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn
    {64, 42, 562},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn#
    {64, 254, 567},	// QWebPage::ErrorPageExtensionReturn::baseUrl
    {64, 279, 569},	// QWebPage::ErrorPageExtensionReturn::content
    {64, 280, 563},	// QWebPage::ErrorPageExtensionReturn::contentType
    {64, 335, 565},	// QWebPage::ErrorPageExtensionReturn::encoding
    {64, 650, 568},	// QWebPage::ErrorPageExtensionReturn::setBaseUrl#
    {64, 652, 570},	// QWebPage::ErrorPageExtensionReturn::setContent#
    {64, 658, 564},	// QWebPage::ErrorPageExtensionReturn::setContentType$
    {64, 670, 566},	// QWebPage::ErrorPageExtensionReturn::setEncoding$
    {64, 853, 571},	// QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn
    {65, 43, 572},	// QWebPage::ExtensionOption::ExtensionOption
    {65, 44, 573},	// QWebPage::ExtensionOption::ExtensionOption#
    {65, 854, 574},	// QWebPage::ExtensionOption::~ExtensionOption
    {66, 45, 575},	// QWebPage::ExtensionReturn::ExtensionReturn
    {66, 46, 576},	// QWebPage::ExtensionReturn::ExtensionReturn#
    {66, 855, 577},	// QWebPage::ExtensionReturn::~ExtensionReturn
    {67, 189, 578},	// QWebPage::ViewportAttributes::ViewportAttributes
    {67, 190, 579},	// QWebPage::ViewportAttributes::ViewportAttributes#
    {67, 308, 584},	// QWebPage::ViewportAttributes::devicePixelRatio
    {67, 424, 581},	// QWebPage::ViewportAttributes::initialScaleFactor
    {67, 433, 585},	// QWebPage::ViewportAttributes::isUserScalable
    {67, 434, 586},	// QWebPage::ViewportAttributes::isValid
    {67, 484, 583},	// QWebPage::ViewportAttributes::maximumScaleFactor
    {67, 492, 582},	// QWebPage::ViewportAttributes::minimumScaleFactor
    {67, 534, 580},	// QWebPage::ViewportAttributes::operator=#
    {67, 771, 587},	// QWebPage::ViewportAttributes::size
    {67, 869, 588},	// QWebPage::ViewportAttributes::~ViewportAttributes
    {69, 138, 604},	// QWebPluginFactory::QWebPluginFactory
    {69, 139, 596},	// QWebPluginFactory::QWebPluginFactory#
    {69, 289, 599},	// QWebPluginFactory::create$#??
    {69, 347, 605},	// QWebPluginFactory::extension$
    {69, 348, 606},	// QWebPluginFactory::extension$#
    {69, 349, 600},	// QWebPluginFactory::extension$##
    {69, 488, 589},	// QWebPluginFactory::metaObject
    {69, 558, 597},	// QWebPluginFactory::plugins
    {69, 576, 595},	// QWebPluginFactory::qt_metacall$$?
    {69, 578, 590},	// QWebPluginFactory::qt_metacast$
    {69, 579, 598},	// QWebPluginFactory::refreshPlugins
    {69, 773, 607},	// QWebPluginFactory::staticMetaObject
    {69, 787, 601},	// QWebPluginFactory::supportsExtension$
    {69, 811, 602},	// QWebPluginFactory::tr$
    {69, 812, 591},	// QWebPluginFactory::tr$$
    {69, 813, 593},	// QWebPluginFactory::tr$$$
    {69, 815, 603},	// QWebPluginFactory::trUtf8$
    {69, 816, 592},	// QWebPluginFactory::trUtf8$$
    {69, 817, 594},	// QWebPluginFactory::trUtf8$$$
    {69, 866, 608},	// QWebPluginFactory::~QWebPluginFactory
    {70, 43, 609},	// QWebPluginFactory::ExtensionOption::ExtensionOption
    {70, 44, 610},	// QWebPluginFactory::ExtensionOption::ExtensionOption#
    {70, 854, 611},	// QWebPluginFactory::ExtensionOption::~ExtensionOption
    {71, 45, 612},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn
    {71, 46, 613},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn#
    {71, 855, 614},	// QWebPluginFactory::ExtensionReturn::~ExtensionReturn
    {72, 77, 617},	// QWebPluginFactory::MimeType::MimeType
    {72, 78, 618},	// QWebPluginFactory::MimeType::MimeType#
    {72, 306, 621},	// QWebPluginFactory::MimeType::description
    {72, 354, 623},	// QWebPluginFactory::MimeType::fileExtensions
    {72, 503, 619},	// QWebPluginFactory::MimeType::name
    {72, 512, 616},	// QWebPluginFactory::MimeType::operator!=#
    {72, 536, 615},	// QWebPluginFactory::MimeType::operator==#
    {72, 666, 622},	// QWebPluginFactory::MimeType::setDescription$
    {72, 678, 624},	// QWebPluginFactory::MimeType::setFileExtensions?
    {72, 708, 620},	// QWebPluginFactory::MimeType::setName$
    {72, 856, 625},	// QWebPluginFactory::MimeType::~MimeType
    {73, 116, 626},	// QWebPluginFactory::Plugin::Plugin
    {73, 117, 627},	// QWebPluginFactory::Plugin::Plugin#
    {73, 306, 630},	// QWebPluginFactory::Plugin::description
    {73, 491, 632},	// QWebPluginFactory::Plugin::mimeTypes
    {73, 503, 628},	// QWebPluginFactory::Plugin::name
    {73, 666, 631},	// QWebPluginFactory::Plugin::setDescription$
    {73, 706, 633},	// QWebPluginFactory::Plugin::setMimeTypes?
    {73, 708, 629},	// QWebPluginFactory::Plugin::setName$
    {73, 857, 634},	// QWebPluginFactory::Plugin::~Plugin
    {74, 141, 647},	// QWebSecurityOrigin::QWebSecurityOrigin#
    {74, 224, 636},	// QWebSecurityOrigin::addLocalScheme$
    {74, 228, 635},	// QWebSecurityOrigin::allOrigins
    {74, 299, 643},	// QWebSecurityOrigin::databaseQuota
    {74, 302, 642},	// QWebSecurityOrigin::databaseUsage
    {74, 303, 646},	// QWebSecurityOrigin::databases
    {74, 416, 640},	// QWebSecurityOrigin::host
    {74, 479, 638},	// QWebSecurityOrigin::localSchemes
    {74, 534, 648},	// QWebSecurityOrigin::operator=#
    {74, 559, 641},	// QWebSecurityOrigin::port
    {74, 593, 637},	// QWebSecurityOrigin::removeLocalScheme$
    {74, 619, 639},	// QWebSecurityOrigin::scheme
    {74, 644, 645},	// QWebSecurityOrigin::setApplicationCacheQuota$
    {74, 660, 644},	// QWebSecurityOrigin::setDatabaseQuota$
    {74, 867, 649},	// QWebSecurityOrigin::~QWebSecurityOrigin
    {75, 1, 711},	// QWebSettings::AcceleratedCompositingEnabled
    {75, 7, 693},	// QWebSettings::AutoLoadImages
    {75, 21, 691},	// QWebSettings::CursiveFont
    {75, 23, 731},	// QWebSettings::DefaultFixedFontSize
    {75, 24, 730},	// QWebSettings::DefaultFontSize
    {75, 25, 722},	// QWebSettings::DefaultFrameIconGraphic
    {75, 28, 724},	// QWebSettings::DeleteButtonGraphic
    {75, 31, 700},	// QWebSettings::DeveloperExtrasEnabled
    {75, 32, 709},	// QWebSettings::DnsPrefetchEnabled
    {75, 47, 692},	// QWebSettings::FantasyFont
    {75, 51, 688},	// QWebSettings::FixedFont
    {75, 53, 715},	// QWebSettings::FrameFlatteningEnabled
    {75, 57, 719},	// QWebSettings::HyperlinkAuditingEnabled
    {75, 61, 725},	// QWebSettings::InputSpeechButtonGraphic
    {75, 67, 695},	// QWebSettings::JavaEnabled
    {75, 68, 699},	// QWebSettings::JavascriptCanAccessClipboard
    {75, 69, 717},	// QWebSettings::JavascriptCanCloseWindows
    {75, 70, 698},	// QWebSettings::JavascriptCanOpenWindows
    {75, 71, 694},	// QWebSettings::JavascriptEnabled
    {75, 72, 701},	// QWebSettings::LinksIncludedInFocusChain
    {75, 73, 713},	// QWebSettings::LocalContentCanAccessFileUrls
    {75, 74, 708},	// QWebSettings::LocalContentCanAccessRemoteUrls
    {75, 75, 707},	// QWebSettings::LocalStorageDatabaseEnabled
    {75, 76, 706},	// QWebSettings::LocalStorageEnabled
    {75, 79, 728},	// QWebSettings::MinimumFontSize
    {75, 80, 729},	// QWebSettings::MinimumLogicalFontSize
    {75, 81, 720},	// QWebSettings::MissingImageGraphic
    {75, 82, 721},	// QWebSettings::MissingPluginGraphic
    {75, 103, 704},	// QWebSettings::OfflineStorageDatabaseEnabled
    {75, 104, 705},	// QWebSettings::OfflineWebApplicationCacheEnabled
    {75, 118, 696},	// QWebSettings::PluginsEnabled
    {75, 119, 703},	// QWebSettings::PrintElementBackgrounds
    {75, 120, 697},	// QWebSettings::PrivateBrowsingEnabled
    {75, 154, 690},	// QWebSettings::SansSerifFont
    {75, 156, 726},	// QWebSettings::SearchCancelButtonGraphic
    {75, 157, 727},	// QWebSettings::SearchCancelButtonPressedGraphic
    {75, 171, 689},	// QWebSettings::SerifFont
    {75, 175, 716},	// QWebSettings::SiteSpecificQuirksEnabled
    {75, 176, 712},	// QWebSettings::SpatialNavigationEnabled
    {75, 177, 687},	// QWebSettings::StandardFont
    {75, 180, 723},	// QWebSettings::TextAreaSizeGripCornerGraphic
    {75, 181, 714},	// QWebSettings::TiledBackingStoreEnabled
    {75, 193, 718},	// QWebSettings::WebGLEnabled
    {75, 196, 710},	// QWebSettings::XSSAuditingEnabled
    {75, 197, 702},	// QWebSettings::ZoomTextOnly
    {75, 268, 666},	// QWebSettings::clearIconDatabase
    {75, 269, 683},	// QWebSettings::clearMemoryCaches
    {75, 305, 663},	// QWebSettings::defaultTextEncoding
    {75, 325, 686},	// QWebSettings::enablePersistentStorage
    {75, 326, 684},	// QWebSettings::enablePersistentStorage$
    {75, 378, 652},	// QWebSettings::fontFamily$
    {75, 380, 655},	// QWebSettings::fontSize$
    {75, 395, 650},	// QWebSettings::globalSettings
    {75, 398, 685},	// QWebSettings::handle
    {75, 419, 665},	// QWebSettings::iconDatabasePath
    {75, 421, 667},	// QWebSettings::iconForUrl#
    {75, 480, 682},	// QWebSettings::localStoragePath
    {75, 483, 671},	// QWebSettings::maximumPagesInCache
    {75, 507, 676},	// QWebSettings::offlineStorageDefaultQuota
    {75, 508, 674},	// QWebSettings::offlineStoragePath
    {75, 509, 678},	// QWebSettings::offlineWebApplicationCachePath
    {75, 510, 680},	// QWebSettings::offlineWebApplicationCacheQuota
    {75, 608, 659},	// QWebSettings::resetAttribute$
    {75, 610, 653},	// QWebSettings::resetFontFamily$
    {75, 612, 656},	// QWebSettings::resetFontSize$
    {75, 646, 657},	// QWebSettings::setAttribute$$
    {75, 664, 662},	// QWebSettings::setDefaultTextEncoding$
    {75, 683, 651},	// QWebSettings::setFontFamily$$
    {75, 685, 654},	// QWebSettings::setFontSize$$
    {75, 694, 664},	// QWebSettings::setIconDatabasePath$
    {75, 700, 681},	// QWebSettings::setLocalStoragePath$
    {75, 704, 670},	// QWebSettings::setMaximumPagesInCache$
    {75, 712, 672},	// QWebSettings::setObjectCacheCapacities$$$
    {75, 714, 675},	// QWebSettings::setOfflineStorageDefaultQuota$
    {75, 716, 673},	// QWebSettings::setOfflineStoragePath$
    {75, 718, 677},	// QWebSettings::setOfflineWebApplicationCachePath$
    {75, 720, 679},	// QWebSettings::setOfflineWebApplicationCacheQuota$
    {75, 757, 660},	// QWebSettings::setUserStyleSheetUrl#
    {75, 764, 668},	// QWebSettings::setWebGraphic$#
    {75, 794, 658},	// QWebSettings::testAttribute$
    {75, 835, 661},	// QWebSettings::userStyleSheetUrl
    {75, 843, 669},	// QWebSettings::webGraphic$
    {77, 142, 805},	// QWebView::QWebView
    {77, 143, 739},	// QWebView::QWebView#
    {77, 250, 770},	// QWebView::back
    {77, 261, 786},	// QWebView::changeEvent#
    {77, 286, 791},	// QWebView::contextMenuEvent#
    {77, 294, 785},	// QWebView::createWindow$
    {77, 317, 795},	// QWebView::dragEnterEvent#
    {77, 319, 796},	// QWebView::dragLeaveEvent#
    {77, 321, 797},	// QWebView::dragMoveEvent#
    {77, 323, 798},	// QWebView::dropEvent#
    {77, 343, 768},	// QWebView::event#
    {77, 366, 813},	// QWebView::findText$
    {77, 367, 767},	// QWebView::findText$$
    {77, 371, 799},	// QWebView::focusInEvent#
    {77, 373, 802},	// QWebView::focusNextPrevChild$
    {77, 375, 800},	// QWebView::focusOutEvent#
    {77, 381, 771},	// QWebView::forward
    {77, 407, 752},	// QWebView::hasSelection
    {77, 411, 746},	// QWebView::history
    {77, 417, 751},	// QWebView::icon
    {77, 418, 781},	// QWebView::iconChanged
    {77, 426, 801},	// QWebView::inputMethodEvent#
    {77, 428, 758},	// QWebView::inputMethodQuery$
    {77, 431, 757},	// QWebView::isModified
    {77, 451, 793},	// QWebView::keyPressEvent#
    {77, 453, 794},	// QWebView::keyReleaseEvent#
    {77, 460, 779},	// QWebView::linkClicked#
    {77, 470, -7},	// QWebView::load#
    {77, 471, 807},	// QWebView::load#$
    {77, 472, 743},	// QWebView::load#$#
    {77, 474, 776},	// QWebView::loadFinished$
    {77, 476, 775},	// QWebView::loadProgress$
    {77, 477, 774},	// QWebView::loadStarted
    {77, 488, 732},	// QWebView::metaObject
    {77, 495, 789},	// QWebView::mouseDoubleClickEvent#
    {77, 497, 787},	// QWebView::mouseMoveEvent#
    {77, 499, 788},	// QWebView::mousePressEvent#
    {77, 501, 790},	// QWebView::mouseReleaseEvent#
    {77, 545, 740},	// QWebView::page
    {77, 547, 755},	// QWebView::pageAction$
    {77, 551, 784},	// QWebView::paintEvent#
    {77, 571, 773},	// QWebView::print#
    {77, 576, 738},	// QWebView::qt_metacall$$?
    {77, 578, 733},	// QWebView::qt_metacast$
    {77, 580, 772},	// QWebView::reload
    {77, 599, 764},	// QWebView::renderHints
    {77, 614, 783},	// QWebView::resizeEvent#
    {77, 638, 754},	// QWebView::selectedHtml
    {77, 639, 753},	// QWebView::selectedText
    {77, 640, 780},	// QWebView::selectionChanged
    {77, 652, 809},	// QWebView::setContent#
    {77, 653, 810},	// QWebView::setContent#$
    {77, 654, 745},	// QWebView::setContent#$#
    {77, 691, 808},	// QWebView::setHtml$
    {77, 692, 744},	// QWebView::setHtml$#
    {77, 724, 741},	// QWebView::setPage#
    {77, 736, 812},	// QWebView::setRenderHint$
    {77, 737, 766},	// QWebView::setRenderHint$$
    {77, 739, 765},	// QWebView::setRenderHints$
    {77, 751, 762},	// QWebView::setTextSizeMultiplier$
    {77, 753, 749},	// QWebView::setUrl#
    {77, 766, 761},	// QWebView::setZoomFactor$
    {77, 767, 747},	// QWebView::settings
    {77, 772, 759},	// QWebView::sizeHint
    {77, 773, 814},	// QWebView::staticMetaObject
    {77, 775, 778},	// QWebView::statusBarMessage$
    {77, 778, 769},	// QWebView::stop
    {77, 795, 763},	// QWebView::textSizeMultiplier
    {77, 797, 748},	// QWebView::title
    {77, 799, 777},	// QWebView::titleChanged$
    {77, 811, 803},	// QWebView::tr$
    {77, 812, 734},	// QWebView::tr$$
    {77, 813, 736},	// QWebView::tr$$$
    {77, 815, 804},	// QWebView::trUtf8$
    {77, 816, 735},	// QWebView::trUtf8$$
    {77, 817, 737},	// QWebView::trUtf8$$$
    {77, 822, 811},	// QWebView::triggerPageAction$
    {77, 823, 756},	// QWebView::triggerPageAction$$
    {77, 829, 750},	// QWebView::url
    {77, 831, 782},	// QWebView::urlChanged#
    {77, 845, 792},	// QWebView::wheelEvent#
    {77, 849, 760},	// QWebView::zoomFactor
    {77, 868, 815},	// QWebView::~QWebView
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtwebkit_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtwebkit_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtwebkit_Smoke = new Smoke(
        "qtwebkit",
        __smokeqtwebkit::classes, 79,
        __smokeqtwebkit::methods, 856,
        __smokeqtwebkit::methodMaps, 805,
        __smokeqtwebkit::methodNames, 871,
        __smokeqtwebkit::types, 272,
        __smokeqtwebkit::inheritanceList,
        __smokeqtwebkit::argumentList,
        __smokeqtwebkit::ambiguousMethodList,
        __smokeqtwebkit::cast );
    initialized = true;
}

void delete_qtwebkit_Smoke() { delete qtwebkit_Smoke; }

}
