#include <qtxml_includes.h>

#include <smoke.h>
#include <qtxml_smoke.h>

namespace __smokeqtxml {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBitArray
      switch(to) {
        case 1: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 2:   //QBool
      switch(to) {
        case 2: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 3:   //QByteArray
      switch(to) {
        case 3: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 4:   //QChar
      switch(to) {
        case 4: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 5:   //QDataStream
      switch(to) {
        case 5: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 6:   //QDate
      switch(to) {
        case 6: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 7:   //QDateTime
      switch(to) {
        case 7: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 8:   //QDebug
      switch(to) {
        case 8: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 9:   //QDir
      switch(to) {
        case 9: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 10:   //QDomAttr
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomAttr*)xptr;
        case 10: return (void*)(QDomAttr*)xptr;
        default: return xptr;
      }
    case 11:   //QDomCDATASection
      switch(to) {
        case 27: return (void*)(QDomText*)(QDomCDATASection*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomCDATASection*)xptr;
        case 22: return (void*)(QDomNode*)(QDomCDATASection*)xptr;
        case 11: return (void*)(QDomCDATASection*)xptr;
        default: return xptr;
      }
    case 12:   //QDomCharacterData
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomCharacterData*)xptr;
        case 12: return (void*)(QDomCharacterData*)xptr;
        case 27: return (void*)(QDomText*)(QDomCharacterData*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomCharacterData*)xptr;
        case 13: return (void*)(QDomComment*)(QDomCharacterData*)xptr;
        default: return xptr;
      }
    case 13:   //QDomComment
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomComment*)xptr;
        case 22: return (void*)(QDomNode*)(QDomComment*)xptr;
        case 13: return (void*)(QDomComment*)xptr;
        default: return xptr;
      }
    case 14:   //QDomDocument
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 14: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 15:   //QDomDocumentFragment
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentFragment*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)xptr;
        default: return xptr;
      }
    case 16:   //QDomDocumentType
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentType*)xptr;
        case 16: return (void*)(QDomDocumentType*)xptr;
        default: return xptr;
      }
    case 17:   //QDomElement
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 17: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 18:   //QDomEntity
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntity*)xptr;
        case 18: return (void*)(QDomEntity*)xptr;
        default: return xptr;
      }
    case 19:   //QDomEntityReference
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntityReference*)xptr;
        case 19: return (void*)(QDomEntityReference*)xptr;
        default: return xptr;
      }
    case 20:   //QDomImplementation
      switch(to) {
        case 20: return (void*)(QDomImplementation*)xptr;
        default: return xptr;
      }
    case 21:   //QDomNamedNodeMap
      switch(to) {
        case 21: return (void*)(QDomNamedNodeMap*)xptr;
        default: return xptr;
      }
    case 22:   //QDomNode
      switch(to) {
        case 22: return (void*)(QDomNode*)xptr;
        case 27: return (void*)(QDomText*)(QDomNode*)xptr;
        case 25: return (void*)(QDomNotation*)(QDomNode*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)(QDomNode*)xptr;
        case 17: return (void*)(QDomElement*)(QDomNode*)xptr;
        case 10: return (void*)(QDomAttr*)(QDomNode*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomNode*)xptr;
        case 18: return (void*)(QDomEntity*)(QDomNode*)xptr;
        case 16: return (void*)(QDomDocumentType*)(QDomNode*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomNode*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)(QDomNode*)xptr;
        case 13: return (void*)(QDomComment*)(QDomNode*)xptr;
        case 19: return (void*)(QDomEntityReference*)(QDomNode*)xptr;
        case 14: return (void*)(QDomDocument*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 23:   //QDomNodeList
      switch(to) {
        case 23: return (void*)(QDomNodeList*)xptr;
        default: return xptr;
      }
    case 24:   //QDomNodePrivate
      switch(to) {
        case 24: return (void*)(QDomNodePrivate*)xptr;
        default: return xptr;
      }
    case 25:   //QDomNotation
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomNotation*)xptr;
        case 25: return (void*)(QDomNotation*)xptr;
        default: return xptr;
      }
    case 26:   //QDomProcessingInstruction
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomProcessingInstruction*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)xptr;
        default: return xptr;
      }
    case 27:   //QDomText
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomText*)xptr;
        case 22: return (void*)(QDomNode*)(QDomText*)xptr;
        case 27: return (void*)(QDomText*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomText*)xptr;
        default: return xptr;
      }
    case 28:   //QEasingCurve
      switch(to) {
        case 28: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 30:   //QHashDummyValue
      switch(to) {
        case 30: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 31:   //QIODevice
      switch(to) {
        case 40: return (void*)(QObject*)(QIODevice*)xptr;
        case 31: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 32:   //QIncompatibleFlag
      switch(to) {
        case 32: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 33:   //QLatin1String
      switch(to) {
        case 33: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 34:   //QLine
      switch(to) {
        case 34: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 35:   //QLineF
      switch(to) {
        case 35: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 36:   //QLocale
      switch(to) {
        case 36: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 37:   //QMargins
      switch(to) {
        case 37: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 38:   //QMetaObject
      switch(to) {
        case 38: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 39:   //QModelIndex
      switch(to) {
        case 39: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 40:   //QObject
      switch(to) {
        case 40: return (void*)(QObject*)xptr;
        default: return xptr;
      }
    case 41:   //QPersistentModelIndex
      switch(to) {
        case 41: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 42:   //QPoint
      switch(to) {
        case 42: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 43:   //QPointF
      switch(to) {
        case 43: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 44:   //QRect
      switch(to) {
        case 44: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 45:   //QRectF
      switch(to) {
        case 45: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 46:   //QRegExp
      switch(to) {
        case 46: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 47:   //QSize
      switch(to) {
        case 47: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 48:   //QSizeF
      switch(to) {
        case 48: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 49:   //QString::Null
      switch(to) {
        case 49: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 50:   //QStringRef
      switch(to) {
        case 50: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 51:   //QTextCodec
      switch(to) {
        case 51: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 52:   //QTextStream
      switch(to) {
        case 52: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 53:   //QTextStreamManipulator
      switch(to) {
        case 53: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QUrl
      switch(to) {
        case 55: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 56:   //QUuid
      switch(to) {
        case 56: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 57:   //QVariant
      switch(to) {
        case 57: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 58:   //QVariantComparisonHelper
      switch(to) {
        case 58: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 59:   //QXmlAttributes
      switch(to) {
        case 59: return (void*)(QXmlAttributes*)xptr;
        default: return xptr;
      }
    case 60:   //QXmlContentHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlContentHandler*)xptr;
        default: return xptr;
      }
    case 61:   //QXmlDTDHandler
      switch(to) {
        case 61: return (void*)(QXmlDTDHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDTDHandler*)xptr;
        default: return xptr;
      }
    case 62:   //QXmlDeclHandler
      switch(to) {
        case 62: return (void*)(QXmlDeclHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDeclHandler*)xptr;
        default: return xptr;
      }
    case 63:   //QXmlDefaultHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)(QXmlDefaultHandler*)xptr;
        case 65: return (void*)(QXmlErrorHandler*)(QXmlDefaultHandler*)xptr;
        case 61: return (void*)(QXmlDTDHandler*)(QXmlDefaultHandler*)xptr;
        case 64: return (void*)(QXmlEntityResolver*)(QXmlDefaultHandler*)xptr;
        case 67: return (void*)(QXmlLexicalHandler*)(QXmlDefaultHandler*)xptr;
        case 62: return (void*)(QXmlDeclHandler*)(QXmlDefaultHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)xptr;
        default: return xptr;
      }
    case 64:   //QXmlEntityResolver
      switch(to) {
        case 64: return (void*)(QXmlEntityResolver*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlEntityResolver*)xptr;
        default: return xptr;
      }
    case 65:   //QXmlErrorHandler
      switch(to) {
        case 65: return (void*)(QXmlErrorHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlErrorHandler*)xptr;
        default: return xptr;
      }
    case 66:   //QXmlInputSource
      switch(to) {
        case 66: return (void*)(QXmlInputSource*)xptr;
        default: return xptr;
      }
    case 67:   //QXmlLexicalHandler
      switch(to) {
        case 67: return (void*)(QXmlLexicalHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlLexicalHandler*)xptr;
        default: return xptr;
      }
    case 68:   //QXmlLocator
      switch(to) {
        case 68: return (void*)(QXmlLocator*)xptr;
        default: return xptr;
      }
    case 69:   //QXmlNamespaceSupport
      switch(to) {
        case 69: return (void*)(QXmlNamespaceSupport*)xptr;
        default: return xptr;
      }
    case 70:   //QXmlParseException
      switch(to) {
        case 70: return (void*)(QXmlParseException*)xptr;
        default: return xptr;
      }
    case 71:   //QXmlReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)(QXmlReader*)xptr;
        default: return xptr;
      }
    case 72:   //QXmlSimpleReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)(QXmlSimpleReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)xptr;
        default: return xptr;
      }
    case 73:   //QXmlStreamAttribute
      switch(to) {
        case 73: return (void*)(QXmlStreamAttribute*)xptr;
        default: return xptr;
      }
    case 74:   //QXmlStreamAttributes
      switch(to) {
        case 74: return (void*)(QXmlStreamAttributes*)xptr;
        default: return xptr;
      }
    case 75:   //QXmlStreamReader
      switch(to) {
        case 75: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    case 76:   //QXmlStreamWriter
      switch(to) {
        case 76: return (void*)(QXmlStreamWriter*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    22, 0,	// 1: QDomNode
    27, 0,	// 3: QDomText
    12, 0,	// 5: QDomCharacterData
    60, 65, 61, 64, 67, 62, 0,	// 7: QXmlContentHandler, QXmlErrorHandler, QXmlDTDHandler, QXmlEntityResolver, QXmlLexicalHandler, QXmlDeclHandler
    71, 0,	// 14: QXmlReader
};

// These are the xenum functions for manipulating enum pointers
void xenum_QDomImplementation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomNode(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDomAttr(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCDATASection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCharacterData(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomComment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentFragment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntityReference(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomImplementation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNamedNodeMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNode(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNodeList(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNotation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomProcessingInstruction(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomText(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlContentHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDTDHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDeclHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDefaultHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlEntityResolver(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlErrorHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlInputSource(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLexicalHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLocator(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlNamespaceSupport(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlParseException(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlSimpleReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlStreamWriter(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//1
    { "QBool", true, 0, 0, 0, 0, 0 },	//2
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//3
    { "QChar", true, 0, 0, 0, 0, 0 },	//4
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//5
    { "QDate", true, 0, 0, 0, 0, 0 },	//6
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//7
    { "QDebug", true, 0, 0, 0, 0, 0 },	//8
    { "QDir", true, 0, 0, 0, 0, 0 },	//9
    { "QDomAttr", false, 1, xcall_QDomAttr, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomAttr) },	//10
    { "QDomCDATASection", false, 3, xcall_QDomCDATASection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCDATASection) },	//11
    { "QDomCharacterData", false, 1, xcall_QDomCharacterData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCharacterData) },	//12
    { "QDomComment", false, 5, xcall_QDomComment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomComment) },	//13
    { "QDomDocument", false, 1, xcall_QDomDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocument) },	//14
    { "QDomDocumentFragment", false, 1, xcall_QDomDocumentFragment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentFragment) },	//15
    { "QDomDocumentType", false, 1, xcall_QDomDocumentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentType) },	//16
    { "QDomElement", false, 1, xcall_QDomElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomElement) },	//17
    { "QDomEntity", false, 1, xcall_QDomEntity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntity) },	//18
    { "QDomEntityReference", false, 1, xcall_QDomEntityReference, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntityReference) },	//19
    { "QDomImplementation", false, 0, xcall_QDomImplementation, xenum_QDomImplementation, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomImplementation) },	//20
    { "QDomNamedNodeMap", false, 0, xcall_QDomNamedNodeMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNamedNodeMap) },	//21
    { "QDomNode", false, 0, xcall_QDomNode, xenum_QDomNode, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNode) },	//22
    { "QDomNodeList", false, 0, xcall_QDomNodeList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNodeList) },	//23
    { "QDomNodePrivate", true, 0, 0, 0, 0, 0 },	//24
    { "QDomNotation", false, 1, xcall_QDomNotation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNotation) },	//25
    { "QDomProcessingInstruction", false, 1, xcall_QDomProcessingInstruction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomProcessingInstruction) },	//26
    { "QDomText", false, 5, xcall_QDomText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomText) },	//27
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//28
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//29
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//30
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//31
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//32
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//33
    { "QLine", true, 0, 0, 0, 0, 0 },	//34
    { "QLineF", true, 0, 0, 0, 0, 0 },	//35
    { "QLocale", true, 0, 0, 0, 0, 0 },	//36
    { "QMargins", true, 0, 0, 0, 0, 0 },	//37
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//38
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//39
    { "QObject", true, 0, 0, 0, 0, 0 },	//40
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//41
    { "QPoint", true, 0, 0, 0, 0, 0 },	//42
    { "QPointF", true, 0, 0, 0, 0, 0 },	//43
    { "QRect", true, 0, 0, 0, 0, 0 },	//44
    { "QRectF", true, 0, 0, 0, 0, 0 },	//45
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//46
    { "QSize", true, 0, 0, 0, 0, 0 },	//47
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//48
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//49
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//50
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//51
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//52
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QUrl", true, 0, 0, 0, 0, 0 },	//55
    { "QUuid", true, 0, 0, 0, 0, 0 },	//56
    { "QVariant", true, 0, 0, 0, 0, 0 },	//57
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//58
    { "QXmlAttributes", false, 0, xcall_QXmlAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlAttributes) },	//59
    { "QXmlContentHandler", false, 0, xcall_QXmlContentHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlContentHandler) },	//60
    { "QXmlDTDHandler", false, 0, xcall_QXmlDTDHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDTDHandler) },	//61
    { "QXmlDeclHandler", false, 0, xcall_QXmlDeclHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDeclHandler) },	//62
    { "QXmlDefaultHandler", false, 7, xcall_QXmlDefaultHandler, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlDefaultHandler) },	//63
    { "QXmlEntityResolver", false, 0, xcall_QXmlEntityResolver, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlEntityResolver) },	//64
    { "QXmlErrorHandler", false, 0, xcall_QXmlErrorHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlErrorHandler) },	//65
    { "QXmlInputSource", false, 0, xcall_QXmlInputSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlInputSource) },	//66
    { "QXmlLexicalHandler", false, 0, xcall_QXmlLexicalHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLexicalHandler) },	//67
    { "QXmlLocator", false, 0, xcall_QXmlLocator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLocator) },	//68
    { "QXmlNamespaceSupport", false, 0, xcall_QXmlNamespaceSupport, 0, Smoke::cf_constructor, sizeof(QXmlNamespaceSupport) },	//69
    { "QXmlParseException", false, 0, xcall_QXmlParseException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QXmlParseException) },	//70
    { "QXmlReader", false, 0, xcall_QXmlReader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlReader) },	//71
    { "QXmlSimpleReader", false, 14, xcall_QXmlSimpleReader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlSimpleReader) },	//72
    { "QXmlStreamAttribute", true, 0, 0, 0, 0, 0 },	//73
    { "QXmlStreamAttributes", true, 0, 0, 0, 0, 0 },	//74
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//75
    { "QXmlStreamWriter", false, 0, xcall_QXmlStreamWriter, 0, Smoke::cf_constructor, sizeof(QXmlStreamWriter) },	//76
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 1, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 2, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 3, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 3, Smoke::t_class|Smoke::tf_ref },	//6
    { "QByteArray*", 3, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QChar", 4, Smoke::t_class|Smoke::tf_stack },	//8
    { "QChar&", 4, Smoke::t_class|Smoke::tf_ref },	//9
    { "QDataStream&", 5, Smoke::t_class|Smoke::tf_ref },	//10
    { "QDate&", 6, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDateTime&", 7, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "QDir::Filter", 9, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QDir::SortFlag", 9, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QDomAttr", 10, Smoke::t_class|Smoke::tf_stack },	//17
    { "QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref },	//18
    { "QDomAttr*", 10, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QDomCDATASection", 11, Smoke::t_class|Smoke::tf_stack },	//20
    { "QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDomCDATASection*", 11, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QDomCharacterData", 12, Smoke::t_class|Smoke::tf_stack },	//23
    { "QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref },	//24
    { "QDomCharacterData*", 12, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QDomComment", 13, Smoke::t_class|Smoke::tf_stack },	//26
    { "QDomComment&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDomComment*", 13, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDomDocument", 14, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDomDocument*", 14, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDomDocumentFragment", 15, Smoke::t_class|Smoke::tf_stack },	//32
    { "QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDomDocumentFragment*", 15, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDomDocumentType", 16, Smoke::t_class|Smoke::tf_stack },	//35
    { "QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref },	//36
    { "QDomDocumentType*", 16, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDomElement", 17, Smoke::t_class|Smoke::tf_stack },	//38
    { "QDomElement&", 17, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDomElement*", 17, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QDomEntity", 18, Smoke::t_class|Smoke::tf_stack },	//41
    { "QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref },	//42
    { "QDomEntity*", 18, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDomEntityReference", 19, Smoke::t_class|Smoke::tf_stack },	//44
    { "QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref },	//45
    { "QDomEntityReference*", 19, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QDomImplementation", 20, Smoke::t_class|Smoke::tf_stack },	//47
    { "QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref },	//48
    { "QDomImplementation*", 20, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDomImplementation::InvalidDataPolicy", 20, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QDomNamedNodeMap", 21, Smoke::t_class|Smoke::tf_stack },	//51
    { "QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref },	//52
    { "QDomNamedNodeMap*", 21, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QDomNode", 22, Smoke::t_class|Smoke::tf_stack },	//54
    { "QDomNode&", 22, Smoke::t_class|Smoke::tf_ref },	//55
    { "QDomNode*", 22, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDomNode::EncodingPolicy", 22, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QDomNode::NodeType", 22, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QDomNodeList", 23, Smoke::t_class|Smoke::tf_stack },	//59
    { "QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref },	//60
    { "QDomNodeList*", 23, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QDomNodePrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QDomNotation", 25, Smoke::t_class|Smoke::tf_stack },	//63
    { "QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref },	//64
    { "QDomNotation*", 25, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QDomProcessingInstruction", 26, Smoke::t_class|Smoke::tf_stack },	//66
    { "QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref },	//67
    { "QDomProcessingInstruction*", 26, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QDomText", 27, Smoke::t_class|Smoke::tf_stack },	//69
    { "QDomText&", 27, Smoke::t_class|Smoke::tf_ref },	//70
    { "QDomText*", 27, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref },	//72
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QIODevice*", 31, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QIODevice::OpenModeFlag", 31, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QIncompatibleFlag", 32, Smoke::t_class|Smoke::tf_stack },	//106
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QLine&", 34, Smoke::t_class|Smoke::tf_ref },	//108
    { "QLineF&", 35, Smoke::t_class|Smoke::tf_ref },	//109
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//110
    { "QLocale&", 36, Smoke::t_class|Smoke::tf_ref },	//111
    { "QLocale::NumberOption", 36, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QObject*", 40, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QObject*(*)()", 40, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QPoint&", 42, Smoke::t_class|Smoke::tf_ref },	//115
    { "QPointF&", 43, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRect&", 44, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRectF&", 45, Smoke::t_class|Smoke::tf_ref },	//118
    { "QRegExp&", 46, Smoke::t_class|Smoke::tf_ref },	//119
    { "QSize&", 47, Smoke::t_class|Smoke::tf_ref },	//120
    { "QSizeF&", 48, Smoke::t_class|Smoke::tf_ref },	//121
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//122
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//123
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//124
    { "QString::Null", 49, Smoke::t_class|Smoke::tf_stack },	//125
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//128
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//129
    { "QTextCodec*", 51, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QTextCodec::ConversionFlag", 51, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QTextStream&", 52, Smoke::t_class|Smoke::tf_ref },	//132
    { "QTextStream&(*)(QTextStream&)", 52, Smoke::t_class|Smoke::tf_ref },	//133
    { "QTextStream::NumberFlag", 52, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QTextStreamManipulator", 53, Smoke::t_class|Smoke::tf_stack },	//135
    { "QTime&", 54, Smoke::t_class|Smoke::tf_ref },	//136
    { "QUrl&", 55, Smoke::t_class|Smoke::tf_ref },	//137
    { "QUrl::FormattingOption", 55, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QUuid&", 56, Smoke::t_class|Smoke::tf_ref },	//139
    { "QVariant&", 57, Smoke::t_class|Smoke::tf_ref },	//140
    { "QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QVariant::Type&", 57, Smoke::t_enum|Smoke::tf_ref },	//142
    { "QXmlAttributes*", 59, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QXmlContentHandler*", 60, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QXmlDTDHandler*", 61, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QXmlDeclHandler*", 62, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QXmlDefaultHandler*", 63, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QXmlEntityResolver*", 64, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QXmlErrorHandler*", 65, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QXmlInputSource*&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_ptr },	//151
    { "QXmlLexicalHandler*", 67, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QXmlLocator*", 68, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QXmlNamespaceSupport*", 69, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QXmlParseException*", 70, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QXmlReader*", 71, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QXmlSimpleReader*", 72, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QXmlStreamWriter*", 76, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtMsgType", 29, Smoke::t_enum|Smoke::tf_stack },	//233
    { "__codecvt_result", 29, Smoke::t_enum|Smoke::tf_stack },	//234
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//235
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//236
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//237
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//238
    { "const QBitArray&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QByteArray", 3, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//240
    { "const QByteArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QChar&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QDate&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QDateTime&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QDir&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QDomComment&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QDomElement&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QDomNode&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QDomText&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QHashDummyValue&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QLatin1String&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QLine&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QLineF&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QLocale&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QMargins&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QMetaObject&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QModelIndex&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QObject*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//272
    { "const QPersistentModelIndex&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QPoint", 42, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//274
    { "const QPoint&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QPointF", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//276
    { "const QPointF&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QRect&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QRectF&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QRegExp&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QRegExp*", 46, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//281
    { "const QSize", 47, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//282
    { "const QSize&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QSizeF", 48, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//284
    { "const QSizeF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//286
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//289
    { "const QStringRef&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QUrl&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QUuid&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QVariant&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//295
    { "const QVariantComparisonHelper&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QXmlAttributes&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QXmlContentHandler&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QXmlDTDHandler&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QXmlDeclHandler&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const QXmlEntityResolver&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QXmlErrorHandler&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QXmlInputSource&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//304
    { "const QXmlLexicalHandler&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QXmlLocator&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QXmlParseException&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QXmlReader&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QXmlStreamAttribute&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QXmlStreamAttributes&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QXmlStreamReader&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//312
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//313
    { "const unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack|Smoke::tf_const },	//314
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//315
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//316
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//317
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//318
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//319
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//320
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//321
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//322
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//323
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//324
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//325
    { "size_t", 0, Smoke::t_ulong|Smoke::tf_stack },	//326
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//327
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//328
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//329
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//330
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//331
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//332
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//333
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//334
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//335
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//336
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//337
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    246, 0,	//1  const QDomAttr&
    287, 0,	//3  const QString&
    247, 0,	//5  const QDomCDATASection&
    248, 0,	//7  const QDomCharacterData&
    330, 330, 0,	//9  unsigned long, unsigned long
    330, 287, 0,	//12  unsigned long, const QString&
    330, 330, 287, 0,	//15  unsigned long, unsigned long, const QString&
    249, 0,	//19  const QDomComment&
    252, 0,	//21  const QDomDocumentType&
    250, 0,	//23  const QDomDocument&
    287, 287, 0,	//25  const QString&, const QString&
    258, 235, 0,	//28  const QDomNode&, bool
    241, 235, 124, 320, 320, 0,	//31  const QByteArray&, bool, QString*, int*, int*
    287, 235, 124, 320, 320, 0,	//37  const QString&, bool, QString*, int*, int*
    104, 235, 124, 320, 320, 0,	//43  QIODevice*, bool, QString*, int*, int*
    150, 235, 124, 320, 320, 0,	//49  QXmlInputSource*, bool, QString*, int*, int*
    241, 124, 320, 320, 0,	//55  const QByteArray&, QString*, int*, int*
    287, 124, 320, 320, 0,	//60  const QString&, QString*, int*, int*
    104, 124, 320, 320, 0,	//65  QIODevice*, QString*, int*, int*
    150, 156, 124, 320, 320, 0,	//70  QXmlInputSource*, QXmlReader*, QString*, int*, int*
    318, 0,	//76  int
    241, 235, 0,	//78  const QByteArray&, bool
    241, 235, 124, 0,	//81  const QByteArray&, bool, QString*
    241, 235, 124, 320, 0,	//85  const QByteArray&, bool, QString*, int*
    287, 235, 0,	//90  const QString&, bool
    287, 235, 124, 0,	//93  const QString&, bool, QString*
    287, 235, 124, 320, 0,	//97  const QString&, bool, QString*, int*
    104, 235, 0,	//102  QIODevice*, bool
    104, 235, 124, 0,	//105  QIODevice*, bool, QString*
    104, 235, 124, 320, 0,	//109  QIODevice*, bool, QString*, int*
    150, 235, 0,	//114  QXmlInputSource*, bool
    150, 235, 124, 0,	//117  QXmlInputSource*, bool, QString*
    150, 235, 124, 320, 0,	//121  QXmlInputSource*, bool, QString*, int*
    241, 0,	//126  const QByteArray&
    241, 124, 0,	//128  const QByteArray&, QString*
    241, 124, 320, 0,	//131  const QByteArray&, QString*, int*
    287, 124, 0,	//135  const QString&, QString*
    287, 124, 320, 0,	//138  const QString&, QString*, int*
    104, 0,	//142  QIODevice*
    104, 124, 0,	//144  QIODevice*, QString*
    104, 124, 320, 0,	//147  QIODevice*, QString*, int*
    150, 156, 0,	//151  QXmlInputSource*, QXmlReader*
    150, 156, 124, 0,	//154  QXmlInputSource*, QXmlReader*, QString*
    150, 156, 124, 320, 0,	//158  QXmlInputSource*, QXmlReader*, QString*, int*
    251, 0,	//163  const QDomDocumentFragment&
    253, 0,	//165  const QDomElement&
    287, 323, 0,	//167  const QString&, long long
    287, 331, 0,	//170  const QString&, unsigned long long
    287, 318, 0,	//173  const QString&, int
    287, 329, 0,	//176  const QString&, unsigned int
    287, 317, 0,	//179  const QString&, float
    287, 316, 0,	//182  const QString&, double
    286, 287, 287, 0,	//185  const QString, const QString&, const QString&
    286, 287, 318, 0,	//189  const QString, const QString&, int
    286, 287, 329, 0,	//193  const QString, const QString&, unsigned int
    286, 287, 323, 0,	//197  const QString, const QString&, long long
    286, 287, 331, 0,	//201  const QString, const QString&, unsigned long long
    286, 287, 316, 0,	//205  const QString, const QString&, double
    286, 287, 0,	//209  const QString, const QString&
    254, 0,	//212  const QDomEntity&
    255, 0,	//214  const QDomEntityReference&
    256, 0,	//216  const QDomImplementation&
    287, 287, 287, 0,	//218  const QString&, const QString&, const QString&
    287, 287, 252, 0,	//222  const QString&, const QString&, const QDomDocumentType&
    50, 0,	//226  QDomImplementation::InvalidDataPolicy
    257, 0,	//228  const QDomNamedNodeMap&
    258, 0,	//230  const QDomNode&
    258, 258, 0,	//232  const QDomNode&, const QDomNode&
    235, 0,	//235  bool
    132, 318, 0,	//237  QTextStream&, int
    132, 318, 57, 0,	//240  QTextStream&, int, QDomNode::EncodingPolicy
    62, 0,	//244  QDomNodePrivate*
    259, 0,	//246  const QDomNodeList&
    260, 0,	//248  const QDomNotation&
    261, 0,	//250  const QDomProcessingInstruction&
    262, 0,	//252  const QDomText&
    290, 290, 0,	//254  const QStringRef&, const QStringRef&
    331, 0,	//257  unsigned long long
    316, 0,	//259  double
    131, 318, 0,	//261  QTextCodec::ConversionFlag, int
    190, 318, 0,	//264  Qt::ImageConversionFlag, int
    312, 329, 0,	//267  const char*, unsigned int
    336, 315, 326, 0,	//270  void*, const void*, size_t
    13, 81, 0,	//274  QDebug, QFlags<QIODevice::OpenModeFlag>
    290, 287, 0,	//277  const QStringRef&, const QString&
    283, 283, 0,	//280  const QSize&, const QSize&
    312, 241, 0,	//283  const char*, const QByteArray&
    74, 80, 0,	//286  QFile::Permission, QFlags<QFile::Permission>
    277, 277, 0,	//289  const QPointF&, const QPointF&
    316, 316, 0,	//292  double, double
    10, 121, 0,	//295  QDataStream&, QSizeF&
    241, 312, 0,	//298  const QByteArray&, const char*
    317, 0,	//301  float
    312, 0,	//303  const char*
    325, 0,	//305  signed char
    287, 290, 0,	//307  const QString&, const QStringRef&
    8, 0,	//310  QChar
    290, 265, 0,	//312  const QStringRef&, const QLatin1String&
    8, 8, 0,	//315  QChar, QChar
    223, 223, 0,	//318  Qt::TouchPointState, Qt::TouchPointState
    292, 0,	//321  const QUrl&
    13, 292, 0,	//323  QDebug, const QUrl&
    125, 287, 0,	//326  QString::Null, const QString&
    220, 220, 0,	//329  Qt::ToolBarArea, Qt::ToolBarArea
    312, 312, 0,	//332  const char*, const char*
    112, 112, 0,	//335  QLocale::NumberOption, QLocale::NumberOption
    230, 230, 0,	//338  Qt::WindowType, Qt::WindowType
    316, 285, 0,	//341  double, const QSizeF&
    14, 318, 0,	//344  QDir::Filter, int
    132, 258, 0,	//347  QTextStream&, const QDomNode&
    275, 275, 0,	//350  const QPoint&, const QPoint&
    10, 279, 0,	//353  QDataStream&, const QRectF&
    198, 318, 0,	//356  Qt::KeyboardModifier, int
    217, 99, 0,	//359  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    237, 0,	//362  char
    134, 86, 0,	//364  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    13, 269, 0,	//367  QDebug, const QMargins&
    138, 318, 0,	//370  QUrl::FormattingOption, int
    74, 318, 0,	//373  QFile::Permission, int
    275, 316, 0,	//376  const QPoint&, double
    16, 78, 0,	//379  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    285, 285, 0,	//382  const QSizeF&, const QSizeF&
    13, 277, 0,	//385  QDebug, const QPointF&
    322, 318, 320, 320, 0,	//388  long double, int, int*, int*
    198, 95, 0,	//393  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    13, 267, 0,	//396  QDebug, const QLineF&
    13, 244, 0,	//399  QDebug, const QDateTime&
    138, 138, 0,	//402  QUrl::FormattingOption, QUrl::FormattingOption
    223, 101, 0,	//405  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    190, 190, 0,	//408  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    112, 318, 0,	//411  QLocale::NumberOption, int
    313, 318, 0,	//414  const unsigned char*, int
    312, 312, 329, 0,	//417  const char*, const char*, unsigned int
    265, 290, 0,	//421  const QLatin1String&, const QStringRef&
    181, 181, 0,	//424  Qt::DropAction, Qt::DropAction
    13, 275, 0,	//427  QDebug, const QPoint&
    10, 111, 0,	//430  QDataStream&, QLocale&
    287, 8, 0,	//433  const QString&, QChar
    125, 125, 0,	//436  QString::Null, QString::Null
    313, 328, 318, 0,	//439  const unsigned char*, unsigned char*, int
    131, 131, 0,	//443  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    205, 205, 0,	//446  Qt::Orientation, Qt::Orientation
    336, 326, 326, 326, 0,	//449  void*, size_t, size_t, size_t
    329, 0,	//454  unsigned int
    220, 100, 0,	//456  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    278, 278, 0,	//459  const QRect&, const QRect&
    73, 79, 0,	//462  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    239, 239, 0,	//465  const QBitArray&, const QBitArray&
    241, 241, 0,	//468  const QByteArray&, const QByteArray&
    336, 326, 0,	//471  void*, size_t
    10, 268, 0,	//474  QDataStream&, const QLocale&
    13, 263, 0,	//477  QDebug, const QEasingCurve&
    335, 0,	//480  void(*)(QtMsgType,const char*)
    271, 0,	//482  const QModelIndex&
    10, 12, 0,	//484  QDataStream&, QDateTime&
    4, 4, 0,	//487  QBool, QBool
    312, 290, 0,	//490  const char*, const QStringRef&
    220, 318, 0,	//493  Qt::ToolBarArea, int
    192, 318, 0,	//496  Qt::InputMethodHint, int
    8, 287, 0,	//499  QChar, const QString&
    126, 318, 0,	//502  QString::SectionFlag, int
    107, 318, 0,	//505  QLibrary::LoadHint, int
    10, 137, 0,	//508  QDataStream&, QUrl&
    312, 312, 318, 0,	//511  const char*, const char*, int
    323, 0,	//515  long long
    287, 125, 0,	//517  const QString&, QString::Null
    1, 318, 0,	//520  QAbstractFileEngine::FileFlag, int
    131, 85, 0,	//523  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    192, 93, 0,	//526  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    230, 103, 0,	//529  Qt::WindowType, QFlags<Qt::WindowType>
    203, 203, 0,	//532  Qt::MouseButton, Qt::MouseButton
    238, 312, 0,	//535  char*, const char*
    159, 159, 0,	//538  Qt::AlignmentFlag, Qt::AlignmentFlag
    275, 0,	//541  const QPoint&
    181, 318, 0,	//543  Qt::DropAction, int
    10, 291, 0,	//546  QDataStream&, const QTime&
    15, 318, 0,	//549  QDir::SortFlag, int
    269, 269, 0,	//552  const QMargins&, const QMargins&
    114, 0,	//555  QObject*(*)()
    201, 201, 0,	//557  Qt::MatchFlag, Qt::MatchFlag
    326, 0,	//560  size_t
    179, 89, 0,	//562  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    10, 128, 0,	//565  QDataStream&, QStringList&
    13, 295, 0,	//568  QDebug, const QVariant::Type
    179, 318, 0,	//571  Qt::DockWidgetArea, int
    321, 0,	//574  long
    318, 275, 0,	//576  int, const QPoint&
    332, 0,	//579  unsigned short
    10, 109, 0,	//581  QDataStream&, QLineF&
    74, 74, 0,	//584  QFile::Permission, QFile::Permission
    10, 120, 0,	//587  QDataStream&, QSize&
    273, 0,	//590  const QPersistentModelIndex&
    10, 287, 0,	//592  QDataStream&, const QString&
    10, 244, 0,	//595  QDataStream&, const QDateTime&
    272, 287, 270, 0,	//598  const QObject*, const QString&, const QMetaObject&
    126, 126, 0,	//602  QString::SectionFlag, QString::SectionFlag
    277, 316, 0,	//605  const QPointF&, double
    235, 4, 0,	//608  bool, QBool
    238, 312, 329, 0,	//611  char*, const char*, unsigned int
    10, 275, 0,	//615  QDataStream&, const QPoint&
    10, 140, 0,	//618  QDataStream&, QVariant&
    203, 318, 0,	//621  Qt::MouseButton, int
    277, 0,	//624  const QPointF&
    13, 273, 0,	//626  QDebug, const QPersistentModelIndex&
    312, 312, 312, 318, 0,	//629  const char*, const char*, const char*, int
    317, 275, 0,	//634  float, const QPoint&
    205, 98, 0,	//637  Qt::Orientation, QFlags<Qt::Orientation>
    73, 318, 0,	//640  QEventLoop::ProcessEventsFlag, int
    279, 279, 0,	//643  const QRectF&, const QRectF&
    190, 92, 0,	//646  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    10, 288, 0,	//649  QDataStream&, const QStringList&
    241, 237, 0,	//652  const QByteArray&, char
    16, 16, 0,	//655  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    14, 76, 0,	//658  QDir::Filter, QFlags<QDir::Filter>
    10, 115, 0,	//661  QDataStream&, QPoint&
    285, 316, 0,	//664  const QSizeF&, double
    10, 243, 0,	//667  QDataStream&, const QDate&
    334, 0,	//670  void(*)()
    313, 318, 318, 0,	//672  const unsigned char*, int, int
    10, 266, 0,	//676  QDataStream&, const QLine&
    10, 123, 0,	//679  QDataStream&, QString&
    336, 0,	//682  void*
    195, 318, 0,	//684  Qt::ItemFlag, int
    13, 245, 0,	//687  QDebug, const QDir&
    132, 133, 0,	//690  QTextStream&, QTextStream&(*)(QTextStream&)
    13, 271, 0,	//693  QDebug, const QModelIndex&
    73, 73, 0,	//696  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    239, 0,	//699  const QBitArray&
    13, 291, 0,	//701  QDebug, const QTime&
    132, 135, 0,	//704  QTextStream&, QTextStreamManipulator
    186, 91, 0,	//707  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    290, 312, 0,	//710  const QStringRef&, const char*
    10, 3, 0,	//713  QDataStream&, QBitArray&
    326, 326, 0,	//716  size_t, size_t
    322, 318, 320, 320, 238, 326, 0,	//719  long double, int, int*, int*, char*, size_t
    13, 285, 0,	//726  QDebug, const QSizeF&
    186, 318, 0,	//729  Qt::GestureFlag, int
    237, 241, 0,	//732  char, const QByteArray&
    10, 294, 0,	//735  QDataStream&, const QVariant&
    13, 294, 0,	//738  QDebug, const QVariant&
    229, 318, 0,	//741  Qt::WindowState, int
    10, 136, 0,	//744  QDataStream&, QTime&
    13, 76, 0,	//747  QDebug, QFlags<QDir::Filter>
    198, 198, 0,	//750  Qt::KeyboardModifier, Qt::KeyboardModifier
    10, 72, 0,	//753  QDataStream&, QEasingCurve&
    316, 277, 0,	//756  double, const QPointF&
    181, 90, 0,	//759  Qt::DropAction, QFlags<Qt::DropAction>
    283, 316, 0,	//762  const QSize&, double
    13, 243, 0,	//765  QDebug, const QDate&
    14, 14, 0,	//768  QDir::Filter, QDir::Filter
    238, 326, 312, 333, 0,	//771  char*, size_t, const char*, va_list
    316, 275, 0,	//776  double, const QPoint&
    336, 318, 326, 0,	//779  void*, int, size_t
    10, 267, 0,	//783  QDataStream&, const QLineF&
    312, 318, 0,	//786  const char*, int
    324, 0,	//789  short
    105, 105, 0,	//791  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    179, 179, 0,	//794  Qt::DockWidgetArea, Qt::DockWidgetArea
    15, 77, 0,	//797  QDir::SortFlag, QFlags<QDir::SortFlag>
    317, 317, 0,	//800  float, float
    294, 296, 0,	//803  const QVariant&, const QVariantComparisonHelper&
    107, 107, 0,	//806  QLibrary::LoadHint, QLibrary::LoadHint
    322, 318, 238, 0,	//809  long double, int, char*
    336, 326, 326, 319, 0,	//813  void*, size_t, size_t, int(*)(const void*,const void*)
    16, 318, 0,	//818  QDirIterator::IteratorFlag, int
    192, 192, 0,	//821  Qt::InputMethodHint, Qt::InputMethodHint
    13, 266, 0,	//824  QDebug, const QLine&
    217, 217, 0,	//827  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    223, 318, 0,	//830  Qt::TouchPointState, int
    241, 318, 0,	//833  const QByteArray&, int
    138, 87, 0,	//836  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    217, 318, 0,	//839  Qt::TextInteractionFlag, int
    229, 229, 0,	//842  Qt::WindowState, Qt::WindowState
    1, 75, 0,	//845  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    10, 241, 0,	//848  QDataStream&, const QByteArray&
    10, 263, 0,	//851  QDataStream&, const QEasingCurve&
    10, 292, 0,	//854  QDataStream&, const QUrl&
    13, 278, 0,	//857  QDebug, const QRect&
    15, 15, 0,	//860  QDir::SortFlag, QDir::SortFlag
    134, 318, 0,	//863  QTextStream::NumberFlag, int
    10, 117, 0,	//866  QDataStream&, QRect&
    10, 283, 0,	//869  QDataStream&, const QSize&
    10, 242, 0,	//872  QDataStream&, const QChar&
    159, 318, 0,	//875  Qt::AlignmentFlag, int
    10, 280, 0,	//878  QDataStream&, const QRegExp&
    13, 279, 0,	//881  QDebug, const QRectF&
    229, 102, 0,	//884  Qt::WindowState, QFlags<Qt::WindowState>
    195, 195, 0,	//887  Qt::ItemFlag, Qt::ItemFlag
    10, 139, 0,	//890  QDataStream&, QUuid&
    275, 318, 0,	//893  const QPoint&, int
    10, 142, 0,	//896  QDataStream&, QVariant::Type&
    294, 141, 336, 0,	//899  const QVariant&, QVariant::Type, void*
    272, 287, 281, 270, 110, 0,	//903  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    264, 264, 0,	//909  const QHashDummyValue&, const QHashDummyValue&
    10, 116, 0,	//912  QDataStream&, QPointF&
    205, 318, 0,	//915  Qt::Orientation, int
    186, 186, 0,	//918  Qt::GestureFlag, Qt::GestureFlag
    105, 81, 0,	//921  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    275, 317, 0,	//924  const QPoint&, float
    316, 283, 0,	//927  double, const QSize&
    4, 235, 0,	//930  QBool, bool
    10, 108, 0,	//933  QDataStream&, QLine&
    13, 283, 0,	//936  QDebug, const QSize&
    134, 134, 0,	//939  QTextStream::NumberFlag, QTextStream::NumberFlag
    203, 97, 0,	//942  Qt::MouseButton, QFlags<Qt::MouseButton>
    10, 295, 0,	//945  QDataStream&, const QVariant::Type
    195, 94, 0,	//948  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    10, 293, 0,	//951  QDataStream&, const QUuid&
    107, 82, 0,	//954  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    230, 318, 0,	//957  Qt::WindowType, int
    10, 118, 0,	//960  QDataStream&, QRectF&
    10, 278, 0,	//963  QDataStream&, const QRect&
    201, 96, 0,	//966  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    159, 88, 0,	//969  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    10, 9, 0,	//972  QDataStream&, QChar&
    10, 119, 0,	//975  QDataStream&, QRegExp&
    330, 0,	//978  unsigned long
    10, 277, 0,	//980  QDataStream&, const QPointF&
    112, 83, 0,	//983  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    10, 285, 0,	//986  QDataStream&, const QSizeF&
    126, 84, 0,	//989  QString::SectionFlag, QFlags<QString::SectionFlag>
    1, 1, 0,	//992  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    233, 312, 0,	//995  QtMsgType, const char*
    290, 0,	//998  const QStringRef&
    105, 318, 0,	//1000  QIODevice::OpenModeFlag, int
    327, 0,	//1003  unsigned char
    10, 6, 0,	//1005  QDataStream&, QByteArray&
    13, 272, 0,	//1008  QDebug, const QObject*
    201, 318, 0,	//1011  Qt::MatchFlag, int
    10, 11, 0,	//1014  QDataStream&, QDate&
    10, 239, 0,	//1017  QDataStream&, const QBitArray&
    265, 0,	//1020  const QLatin1String&
    287, 287, 287, 287, 0,	//1022  const QString&, const QString&, const QString&, const QString&
    297, 0,	//1027  const QXmlAttributes&
    153, 0,	//1029  QXmlLocator*
    287, 287, 287, 297, 0,	//1031  const QString&, const QString&, const QString&, const QXmlAttributes&
    298, 0,	//1036  const QXmlContentHandler&
    299, 0,	//1038  const QXmlDTDHandler&
    287, 287, 287, 287, 287, 0,	//1040  const QString&, const QString&, const QString&, const QString&, const QString&
    300, 0,	//1046  const QXmlDeclHandler&
    307, 0,	//1048  const QXmlParseException&
    287, 287, 151, 0,	//1050  const QString&, const QString&, QXmlInputSource*&
    301, 0,	//1054  const QXmlEntityResolver&
    302, 0,	//1056  const QXmlErrorHandler&
    303, 0,	//1058  const QXmlInputSource&
    305, 0,	//1060  const QXmlLexicalHandler&
    306, 0,	//1062  const QXmlLocator&
    287, 123, 123, 0,	//1064  const QString&, QString&, QString&
    287, 235, 123, 123, 0,	//1068  const QString&, bool, QString&, QString&
    287, 318, 318, 287, 287, 0,	//1073  const QString&, int, int, const QString&, const QString&
    287, 318, 318, 0,	//1079  const QString&, int, int
    287, 318, 318, 287, 0,	//1083  const QString&, int, int, const QString&
    287, 236, 0,	//1088  const QString&, bool*
    287, 336, 0,	//1091  const QString&, void*
    148, 0,	//1094  QXmlEntityResolver*
    145, 0,	//1096  QXmlDTDHandler*
    144, 0,	//1098  QXmlContentHandler*
    149, 0,	//1100  QXmlErrorHandler*
    152, 0,	//1102  QXmlLexicalHandler*
    146, 0,	//1104  QXmlDeclHandler*
    304, 0,	//1106  const QXmlInputSource*
    308, 0,	//1108  const QXmlReader&
    304, 235, 0,	//1110  const QXmlInputSource*, bool
    7, 0,	//1113  QByteArray*
    124, 0,	//1115  QString*
    130, 0,	//1117  QTextCodec*
    309, 0,	//1119  const QXmlStreamAttribute&
    310, 0,	//1121  const QXmlStreamAttributes&
    311, 0,	//1123  const QXmlStreamReader&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceptInvalidChars",	//1
    "AttributeNode",	//2
    "BaseNode",	//3
    "CDATASectionNode",	//4
    "CharacterDataNode",	//5
    "CommentNode",	//6
    "DTDHandler",	//7
    "DocumentFragmentNode",	//8
    "DocumentNode",	//9
    "DocumentTypeNode",	//10
    "DropInvalidChars",	//11
    "ElementNode",	//12
    "EncodingFromDocument",	//13
    "EncodingFromTextStream",	//14
    "EndOfData",	//15
    "EndOfDocument",	//16
    "EntityNode",	//17
    "EntityReferenceNode",	//18
    "NotationNode",	//19
    "ProcessingInstructionNode",	//20
    "QDomAttr",	//21
    "QDomAttr#",	//22
    "QDomCDATASection",	//23
    "QDomCDATASection#",	//24
    "QDomCharacterData",	//25
    "QDomCharacterData#",	//26
    "QDomComment",	//27
    "QDomComment#",	//28
    "QDomDocument",	//29
    "QDomDocument#",	//30
    "QDomDocument$",	//31
    "QDomDocumentFragment",	//32
    "QDomDocumentFragment#",	//33
    "QDomDocumentType",	//34
    "QDomDocumentType#",	//35
    "QDomElement",	//36
    "QDomElement#",	//37
    "QDomEntity",	//38
    "QDomEntity#",	//39
    "QDomEntityReference",	//40
    "QDomEntityReference#",	//41
    "QDomImplementation",	//42
    "QDomImplementation#",	//43
    "QDomNamedNodeMap",	//44
    "QDomNamedNodeMap#",	//45
    "QDomNode",	//46
    "QDomNode#",	//47
    "QDomNodeList",	//48
    "QDomNodeList#",	//49
    "QDomNotation",	//50
    "QDomNotation#",	//51
    "QDomProcessingInstruction",	//52
    "QDomProcessingInstruction#",	//53
    "QDomText",	//54
    "QDomText#",	//55
    "QXmlAttributes",	//56
    "QXmlAttributes#",	//57
    "QXmlContentHandler",	//58
    "QXmlContentHandler#",	//59
    "QXmlDTDHandler",	//60
    "QXmlDTDHandler#",	//61
    "QXmlDeclHandler",	//62
    "QXmlDeclHandler#",	//63
    "QXmlDefaultHandler",	//64
    "QXmlEntityResolver",	//65
    "QXmlEntityResolver#",	//66
    "QXmlErrorHandler",	//67
    "QXmlErrorHandler#",	//68
    "QXmlInputSource",	//69
    "QXmlInputSource#",	//70
    "QXmlLexicalHandler",	//71
    "QXmlLexicalHandler#",	//72
    "QXmlLocator",	//73
    "QXmlLocator#",	//74
    "QXmlNamespaceSupport",	//75
    "QXmlParseException",	//76
    "QXmlParseException#",	//77
    "QXmlParseException$",	//78
    "QXmlParseException$$",	//79
    "QXmlParseException$$$",	//80
    "QXmlParseException$$$$",	//81
    "QXmlParseException$$$$$",	//82
    "QXmlReader",	//83
    "QXmlReader#",	//84
    "QXmlSimpleReader",	//85
    "QXmlStreamWriter",	//86
    "QXmlStreamWriter#",	//87
    "QXmlStreamWriter$",	//88
    "QtCriticalMsg",	//89
    "QtDebugMsg",	//90
    "QtFatalMsg",	//91
    "QtSystemMsg",	//92
    "QtWarningMsg",	//93
    "ReturnNullNode",	//94
    "TextNode",	//95
    "_ISalnum",	//96
    "_ISalpha",	//97
    "_ISblank",	//98
    "_IScntrl",	//99
    "_ISdigit",	//100
    "_ISgraph",	//101
    "_ISlower",	//102
    "_ISprint",	//103
    "_ISpunct",	//104
    "_ISspace",	//105
    "_ISupper",	//106
    "_ISxdigit",	//107
    "__codecvt_error",	//108
    "__codecvt_noconv",	//109
    "__codecvt_ok",	//110
    "__codecvt_partial",	//111
    "append",	//112
    "append$$$$",	//113
    "appendChild",	//114
    "appendChild#",	//115
    "appendData",	//116
    "appendData$",	//117
    "at",	//118
    "at$",	//119
    "attribute",	//120
    "attribute$",	//121
    "attribute$$",	//122
    "attributeDecl",	//123
    "attributeDecl$$$$$",	//124
    "attributeNS",	//125
    "attributeNS$$",	//126
    "attributeNS$$$",	//127
    "attributeNode",	//128
    "attributeNode$",	//129
    "attributeNodeNS",	//130
    "attributeNodeNS$$",	//131
    "attributes",	//132
    "autoFormatting",	//133
    "autoFormattingIndent",	//134
    "characters",	//135
    "characters$",	//136
    "childNodes",	//137
    "clear",	//138
    "cloneNode",	//139
    "cloneNode$",	//140
    "codec",	//141
    "columnNumber",	//142
    "comment",	//143
    "comment$",	//144
    "contains",	//145
    "contains$",	//146
    "contentHandler",	//147
    "count",	//148
    "createAttribute",	//149
    "createAttribute$",	//150
    "createAttributeNS",	//151
    "createAttributeNS$$",	//152
    "createCDATASection",	//153
    "createCDATASection$",	//154
    "createComment",	//155
    "createComment$",	//156
    "createDocument",	//157
    "createDocument$$#",	//158
    "createDocumentFragment",	//159
    "createDocumentType",	//160
    "createDocumentType$$$",	//161
    "createElement",	//162
    "createElement$",	//163
    "createElementNS",	//164
    "createElementNS$$",	//165
    "createEntityReference",	//166
    "createEntityReference$",	//167
    "createProcessingInstruction",	//168
    "createProcessingInstruction$$",	//169
    "createTextNode",	//170
    "createTextNode$",	//171
    "data",	//172
    "declHandler",	//173
    "deleteData",	//174
    "deleteData$$",	//175
    "device",	//176
    "doctype",	//177
    "documentElement",	//178
    "elementById",	//179
    "elementById$",	//180
    "elementsByTagName",	//181
    "elementsByTagName$",	//182
    "elementsByTagNameNS",	//183
    "elementsByTagNameNS$$",	//184
    "endCDATA",	//185
    "endDTD",	//186
    "endDocument",	//187
    "endElement",	//188
    "endElement$$$",	//189
    "endEntity",	//190
    "endEntity$",	//191
    "endPrefixMapping",	//192
    "endPrefixMapping$",	//193
    "entities",	//194
    "entityResolver",	//195
    "error",	//196
    "error#",	//197
    "errorHandler",	//198
    "errorString",	//199
    "externalEntityDecl",	//200
    "externalEntityDecl$$$",	//201
    "fatalError",	//202
    "fatalError#",	//203
    "feature",	//204
    "feature$",	//205
    "feature$$",	//206
    "fetchData",	//207
    "firstChild",	//208
    "firstChildElement",	//209
    "firstChildElement$",	//210
    "fromRawData",	//211
    "fromRawData#",	//212
    "fromRawData#$",	//213
    "hasAttribute",	//214
    "hasAttribute$",	//215
    "hasAttributeNS",	//216
    "hasAttributeNS$$",	//217
    "hasAttributes",	//218
    "hasChildNodes",	//219
    "hasError",	//220
    "hasFeature",	//221
    "hasFeature$",	//222
    "hasFeature$$",	//223
    "hasProperty",	//224
    "hasProperty$",	//225
    "ignorableWhitespace",	//226
    "ignorableWhitespace$",	//227
    "impl",	//228
    "implementation",	//229
    "importNode",	//230
    "importNode#$",	//231
    "index",	//232
    "index#",	//233
    "index$",	//234
    "index$$",	//235
    "insertAfter",	//236
    "insertAfter##",	//237
    "insertBefore",	//238
    "insertBefore##",	//239
    "insertData",	//240
    "insertData$$",	//241
    "internalEntityDecl",	//242
    "internalEntityDecl$$",	//243
    "internalSubset",	//244
    "invalidDataPolicy",	//245
    "isAttr",	//246
    "isCDATASection",	//247
    "isCharacterData",	//248
    "isComment",	//249
    "isDocument",	//250
    "isDocumentFragment",	//251
    "isDocumentType",	//252
    "isElement",	//253
    "isEmpty",	//254
    "isEntity",	//255
    "isEntityReference",	//256
    "isNotation",	//257
    "isNull",	//258
    "isProcessingInstruction",	//259
    "isSupported",	//260
    "isSupported$$",	//261
    "isText",	//262
    "item",	//263
    "item$",	//264
    "lastChild",	//265
    "lastChildElement",	//266
    "lastChildElement$",	//267
    "length",	//268
    "lexicalHandler",	//269
    "lineNumber",	//270
    "localName",	//271
    "localName$",	//272
    "message",	//273
    "name",	//274
    "namedItem",	//275
    "namedItem$",	//276
    "namedItemNS",	//277
    "namedItemNS$$",	//278
    "namespaceURI",	//279
    "next",	//280
    "nextSibling",	//281
    "nextSiblingElement",	//282
    "nextSiblingElement$",	//283
    "nodeName",	//284
    "nodeType",	//285
    "nodeValue",	//286
    "normalize",	//287
    "notationDecl",	//288
    "notationDecl$$$",	//289
    "notationName",	//290
    "notations",	//291
    "operator!=",	//292
    "operator!=#",	//293
    "operator!=##",	//294
    "operator!=#$",	//295
    "operator!=$#",	//296
    "operator&",	//297
    "operator&##",	//298
    "operator*",	//299
    "operator*#$",	//300
    "operator*$#",	//301
    "operator+",	//302
    "operator+##",	//303
    "operator+#$",	//304
    "operator+$#",	//305
    "operator+$$",	//306
    "operator-",	//307
    "operator-#",	//308
    "operator-##",	//309
    "operator/",	//310
    "operator/#$",	//311
    "operator<",	//312
    "operator<##",	//313
    "operator<#$",	//314
    "operator<$#",	//315
    "operator<<",	//316
    "operator<<##",	//317
    "operator<<#$",	//318
    "operator<<#?",	//319
    "operator<=",	//320
    "operator<=##",	//321
    "operator<=#$",	//322
    "operator<=$#",	//323
    "operator=",	//324
    "operator=#",	//325
    "operator==",	//326
    "operator==#",	//327
    "operator==##",	//328
    "operator==#$",	//329
    "operator==$#",	//330
    "operator>",	//331
    "operator>##",	//332
    "operator>#$",	//333
    "operator>$#",	//334
    "operator>=",	//335
    "operator>=##",	//336
    "operator>=#$",	//337
    "operator>=$#",	//338
    "operator>>",	//339
    "operator>>##",	//340
    "operator>>#$",	//341
    "operator>>#?",	//342
    "operator^",	//343
    "operator^##",	//344
    "operator|",	//345
    "operator|##",	//346
    "operator|$$",	//347
    "ownerDocument",	//348
    "ownerElement",	//349
    "parentNode",	//350
    "parse",	//351
    "parse#",	//352
    "parse#$",	//353
    "parseContinue",	//354
    "popContext",	//355
    "prefix",	//356
    "prefix$",	//357
    "prefixes",	//358
    "prefixes$",	//359
    "previousSibling",	//360
    "previousSiblingElement",	//361
    "previousSiblingElement$",	//362
    "processName",	//363
    "processName$$$$",	//364
    "processingInstruction",	//365
    "processingInstruction$$",	//366
    "property",	//367
    "property$",	//368
    "property$$",	//369
    "publicId",	//370
    "pushContext",	//371
    "qAcos",	//372
    "qAcos$",	//373
    "qAddPostRoutine",	//374
    "qAddPostRoutine$",	//375
    "qAppName",	//376
    "qAsin",	//377
    "qAsin$",	//378
    "qAtan",	//379
    "qAtan$",	//380
    "qAtan2",	//381
    "qAtan2$$",	//382
    "qBadAlloc",	//383
    "qCeil",	//384
    "qCeil$",	//385
    "qChecksum",	//386
    "qChecksum$$",	//387
    "qCompress",	//388
    "qCompress#",	//389
    "qCompress#$",	//390
    "qCompress$$",	//391
    "qCompress$$$",	//392
    "qCos",	//393
    "qCos$",	//394
    "qCritical",	//395
    "qDebug",	//396
    "qExp",	//397
    "qExp$",	//398
    "qFabs",	//399
    "qFabs$",	//400
    "qFastCos",	//401
    "qFastCos$",	//402
    "qFastSin",	//403
    "qFastSin$",	//404
    "qFlagLocation",	//405
    "qFlagLocation$",	//406
    "qFloor",	//407
    "qFloor$",	//408
    "qFree",	//409
    "qFree$",	//410
    "qFreeAligned",	//411
    "qFreeAligned$",	//412
    "qFuzzyCompare",	//413
    "qFuzzyCompare$$",	//414
    "qFuzzyIsNull",	//415
    "qFuzzyIsNull$",	//416
    "qHash",	//417
    "qHash#",	//418
    "qHash$",	//419
    "qInf",	//420
    "qInstallMsgHandler",	//421
    "qInstallMsgHandler$",	//422
    "qIntCast",	//423
    "qIntCast$",	//424
    "qIsFinite",	//425
    "qIsFinite$",	//426
    "qIsInf",	//427
    "qIsInf$",	//428
    "qIsNaN",	//429
    "qIsNaN$",	//430
    "qIsNull",	//431
    "qIsNull$",	//432
    "qLn",	//433
    "qLn$",	//434
    "qMalloc",	//435
    "qMalloc$",	//436
    "qMallocAligned",	//437
    "qMallocAligned$$",	//438
    "qMemCopy",	//439
    "qMemCopy$$$",	//440
    "qMemSet",	//441
    "qMemSet$$$",	//442
    "qName",	//443
    "qName$",	//444
    "qPow",	//445
    "qPow$$",	//446
    "qQNaN",	//447
    "qRealloc",	//448
    "qRealloc$$",	//449
    "qReallocAligned",	//450
    "qReallocAligned$$$$",	//451
    "qRegisterStaticPluginInstanceFunction",	//452
    "qRegisterStaticPluginInstanceFunction#",	//453
    "qRemovePostRoutine",	//454
    "qRemovePostRoutine$",	//455
    "qRound",	//456
    "qRound$",	//457
    "qRound64",	//458
    "qRound64$",	//459
    "qSNaN",	//460
    "qSetFieldWidth",	//461
    "qSetFieldWidth$",	//462
    "qSetPadChar",	//463
    "qSetPadChar#",	//464
    "qSetRealNumberPrecision",	//465
    "qSetRealNumberPrecision$",	//466
    "qSharedBuild",	//467
    "qSin",	//468
    "qSin$",	//469
    "qSqrt",	//470
    "qSqrt$",	//471
    "qStringComparisonHelper",	//472
    "qStringComparisonHelper#$",	//473
    "qTan",	//474
    "qTan$",	//475
    "qUncompress",	//476
    "qUncompress#",	//477
    "qUncompress$$",	//478
    "qVersion",	//479
    "qWarning",	//480
    "qbswap_helper",	//481
    "qbswap_helper$$$",	//482
    "qecvt",	//483
    "qecvt$$$$",	//484
    "qecvt_r",	//485
    "qecvt_r$$$$$$",	//486
    "qfcvt",	//487
    "qfcvt$$$$",	//488
    "qfcvt_r",	//489
    "qfcvt_r$$$$$$",	//490
    "qgcvt",	//491
    "qgcvt$$$",	//492
    "qgetenv",	//493
    "qgetenv$",	//494
    "qputenv",	//495
    "qputenv$#",	//496
    "qrand",	//497
    "qsort",	//498
    "qsort$$$$",	//499
    "qsrand",	//500
    "qsrand$",	//501
    "qstrcmp",	//502
    "qstrcmp##",	//503
    "qstrcmp#$",	//504
    "qstrcmp$#",	//505
    "qstrcmp$$",	//506
    "qstrcpy",	//507
    "qstrcpy$$",	//508
    "qstrdup",	//509
    "qstrdup$",	//510
    "qstricmp",	//511
    "qstricmp$$",	//512
    "qstrlen",	//513
    "qstrlen$",	//514
    "qstrncmp",	//515
    "qstrncmp$$$",	//516
    "qstrncpy",	//517
    "qstrncpy$$$",	//518
    "qstrnicmp",	//519
    "qstrnicmp$$$",	//520
    "qstrnlen",	//521
    "qstrnlen$$",	//522
    "qtTrId",	//523
    "qtTrId$",	//524
    "qtTrId$$",	//525
    "qt_assert",	//526
    "qt_assert$$$",	//527
    "qt_assert_x",	//528
    "qt_assert_x$$$$",	//529
    "qt_check_pointer",	//530
    "qt_check_pointer$$",	//531
    "qt_error_string",	//532
    "qt_error_string$",	//533
    "qt_message_output",	//534
    "qt_message_output$$",	//535
    "qt_noop",	//536
    "qt_qFindChild_helper",	//537
    "qt_qFindChild_helper#$#",	//538
    "qt_qFindChildren_helper",	//539
    "qt_qFindChildren_helper#$##?",	//540
    "quick_exit",	//541
    "quick_exit$",	//542
    "qvariant_cast_helper",	//543
    "qvariant_cast_helper#$$",	//544
    "qvsnprintf",	//545
    "qvsnprintf$$$?",	//546
    "removeAttribute",	//547
    "removeAttribute$",	//548
    "removeAttributeNS",	//549
    "removeAttributeNS$$",	//550
    "removeAttributeNode",	//551
    "removeAttributeNode#",	//552
    "removeChild",	//553
    "removeChild#",	//554
    "removeNamedItem",	//555
    "removeNamedItem$",	//556
    "removeNamedItemNS",	//557
    "removeNamedItemNS$$",	//558
    "replaceChild",	//559
    "replaceChild##",	//560
    "replaceData",	//561
    "replaceData$$$",	//562
    "reset",	//563
    "resolveEntity",	//564
    "resolveEntity$$#",	//565
    "save",	//566
    "save#$",	//567
    "save#$$",	//568
    "setAttribute",	//569
    "setAttribute$$",	//570
    "setAttributeNS",	//571
    "setAttributeNS$$$",	//572
    "setAttributeNode",	//573
    "setAttributeNode#",	//574
    "setAttributeNodeNS",	//575
    "setAttributeNodeNS#",	//576
    "setAutoFormatting",	//577
    "setAutoFormatting$",	//578
    "setAutoFormattingIndent",	//579
    "setAutoFormattingIndent$",	//580
    "setCodec",	//581
    "setCodec#",	//582
    "setCodec$",	//583
    "setContent",	//584
    "setContent#",	//585
    "setContent##",	//586
    "setContent##$",	//587
    "setContent##$$",	//588
    "setContent##$$$",	//589
    "setContent#$",	//590
    "setContent#$$",	//591
    "setContent#$$$",	//592
    "setContent#$$$$",	//593
    "setContent$",	//594
    "setContent$$",	//595
    "setContent$$$",	//596
    "setContent$$$$",	//597
    "setContent$$$$$",	//598
    "setContentHandler",	//599
    "setContentHandler#",	//600
    "setDTDHandler",	//601
    "setDTDHandler#",	//602
    "setData",	//603
    "setData#",	//604
    "setData$",	//605
    "setDeclHandler",	//606
    "setDeclHandler#",	//607
    "setDevice",	//608
    "setDevice#",	//609
    "setDocumentLocator",	//610
    "setDocumentLocator#",	//611
    "setEntityResolver",	//612
    "setEntityResolver#",	//613
    "setErrorHandler",	//614
    "setErrorHandler#",	//615
    "setFeature",	//616
    "setFeature$$",	//617
    "setImpl",	//618
    "setImpl#",	//619
    "setInvalidDataPolicy",	//620
    "setInvalidDataPolicy$",	//621
    "setLexicalHandler",	//622
    "setLexicalHandler#",	//623
    "setNamedItem",	//624
    "setNamedItem#",	//625
    "setNamedItemNS",	//626
    "setNamedItemNS#",	//627
    "setNodeValue",	//628
    "setNodeValue$",	//629
    "setPrefix",	//630
    "setPrefix$",	//631
    "setPrefix$$",	//632
    "setProperty",	//633
    "setProperty$$",	//634
    "setTagName",	//635
    "setTagName$",	//636
    "setValue",	//637
    "setValue$",	//638
    "size",	//639
    "skippedEntity",	//640
    "skippedEntity$",	//641
    "specified",	//642
    "splitName",	//643
    "splitName$$$",	//644
    "splitText",	//645
    "splitText$",	//646
    "startCDATA",	//647
    "startDTD",	//648
    "startDTD$$$",	//649
    "startDocument",	//650
    "startElement",	//651
    "startElement$$$#",	//652
    "startEntity",	//653
    "startEntity$",	//654
    "startPrefixMapping",	//655
    "startPrefixMapping$$",	//656
    "substringData",	//657
    "substringData$$",	//658
    "systemId",	//659
    "tagName",	//660
    "target",	//661
    "text",	//662
    "toAttr",	//663
    "toByteArray",	//664
    "toByteArray$",	//665
    "toCDATASection",	//666
    "toCharacterData",	//667
    "toComment",	//668
    "toDocument",	//669
    "toDocumentFragment",	//670
    "toDocumentType",	//671
    "toElement",	//672
    "toEntity",	//673
    "toEntityReference",	//674
    "toNotation",	//675
    "toProcessingInstruction",	//676
    "toString",	//677
    "toString$",	//678
    "toText",	//679
    "type",	//680
    "type$",	//681
    "type$$",	//682
    "unparsedEntityDecl",	//683
    "unparsedEntityDecl$$$$",	//684
    "uri",	//685
    "uri$",	//686
    "value",	//687
    "value#",	//688
    "value$",	//689
    "value$$",	//690
    "warning",	//691
    "warning#",	//692
    "writeAttribute",	//693
    "writeAttribute#",	//694
    "writeAttribute$$",	//695
    "writeAttribute$$$",	//696
    "writeAttributes",	//697
    "writeAttributes#",	//698
    "writeCDATA",	//699
    "writeCDATA$",	//700
    "writeCharacters",	//701
    "writeCharacters$",	//702
    "writeComment",	//703
    "writeComment$",	//704
    "writeCurrentToken",	//705
    "writeCurrentToken#",	//706
    "writeDTD",	//707
    "writeDTD$",	//708
    "writeDefaultNamespace",	//709
    "writeDefaultNamespace$",	//710
    "writeEmptyElement",	//711
    "writeEmptyElement$",	//712
    "writeEmptyElement$$",	//713
    "writeEndDocument",	//714
    "writeEndElement",	//715
    "writeEntityReference",	//716
    "writeEntityReference$",	//717
    "writeNamespace",	//718
    "writeNamespace$",	//719
    "writeNamespace$$",	//720
    "writeProcessingInstruction",	//721
    "writeProcessingInstruction$",	//722
    "writeProcessingInstruction$$",	//723
    "writeStartDocument",	//724
    "writeStartDocument$",	//725
    "writeStartDocument$$",	//726
    "writeStartElement",	//727
    "writeStartElement$",	//728
    "writeStartElement$$",	//729
    "writeTextElement",	//730
    "writeTextElement$$",	//731
    "writeTextElement$$$",	//732
    "~QDomAttr",	//733
    "~QDomCDATASection",	//734
    "~QDomCharacterData",	//735
    "~QDomComment",	//736
    "~QDomDocument",	//737
    "~QDomDocumentFragment",	//738
    "~QDomDocumentType",	//739
    "~QDomElement",	//740
    "~QDomEntity",	//741
    "~QDomEntityReference",	//742
    "~QDomImplementation",	//743
    "~QDomNamedNodeMap",	//744
    "~QDomNode",	//745
    "~QDomNodeList",	//746
    "~QDomNotation",	//747
    "~QDomProcessingInstruction",	//748
    "~QDomText",	//749
    "~QXmlAttributes",	//750
    "~QXmlContentHandler",	//751
    "~QXmlDTDHandler",	//752
    "~QXmlDeclHandler",	//753
    "~QXmlDefaultHandler",	//754
    "~QXmlEntityResolver",	//755
    "~QXmlErrorHandler",	//756
    "~QXmlInputSource",	//757
    "~QXmlLexicalHandler",	//758
    "~QXmlLocator",	//759
    "~QXmlNamespaceSupport",	//760
    "~QXmlParseException",	//761
    "~QXmlReader",	//762
    "~QXmlSimpleReader",	//763
    "~QXmlStreamWriter",	//764
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {10, 21, 0, 0, Smoke::mf_ctor, 19, 1},	//1 QDomAttr::QDomAttr()
    {10, 21, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 2},	//2 QDomAttr::QDomAttr(const QDomAttr&)
    {10, 324, 1, 1, 0, 18, 3},	//3 QDomAttr::operator=(const QDomAttr&)
    {10, 274, 0, 0, Smoke::mf_const, 122, 4},	//4 QDomAttr::name() const
    {10, 642, 0, 0, Smoke::mf_const, 235, 5},	//5 QDomAttr::specified() const
    {10, 349, 0, 0, Smoke::mf_const, 38, 6},	//6 QDomAttr::ownerElement() const
    {10, 687, 0, 0, Smoke::mf_const, 122, 7},	//7 QDomAttr::value() const
    {10, 637, 3, 1, 0, 0, 8},	//8 QDomAttr::setValue(const QString&)
    {10, 285, 0, 0, Smoke::mf_const, 58, 9},	//9 QDomAttr::nodeType() const
    {10, 733, 0, 0, Smoke::mf_dtor, 0, 10 },	//10 QDomAttr::~QDomAttr()
    {11, 23, 0, 0, Smoke::mf_ctor, 22, 1},	//11 QDomCDATASection::QDomCDATASection()
    {11, 23, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//12 QDomCDATASection::QDomCDATASection(const QDomCDATASection&)
    {11, 324, 5, 1, 0, 21, 3},	//13 QDomCDATASection::operator=(const QDomCDATASection&)
    {11, 285, 0, 0, Smoke::mf_const, 58, 4},	//14 QDomCDATASection::nodeType() const
    {11, 734, 0, 0, Smoke::mf_dtor, 0, 5 },	//15 QDomCDATASection::~QDomCDATASection()
    {12, 25, 0, 0, Smoke::mf_ctor, 25, 1},	//16 QDomCharacterData::QDomCharacterData()
    {12, 25, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//17 QDomCharacterData::QDomCharacterData(const QDomCharacterData&)
    {12, 324, 7, 1, 0, 24, 3},	//18 QDomCharacterData::operator=(const QDomCharacterData&)
    {12, 657, 9, 2, 0, 122, 4},	//19 QDomCharacterData::substringData(unsigned long, unsigned long)
    {12, 116, 3, 1, 0, 0, 5},	//20 QDomCharacterData::appendData(const QString&)
    {12, 240, 12, 2, 0, 0, 6},	//21 QDomCharacterData::insertData(unsigned long, const QString&)
    {12, 174, 9, 2, 0, 0, 7},	//22 QDomCharacterData::deleteData(unsigned long, unsigned long)
    {12, 561, 15, 3, 0, 0, 8},	//23 QDomCharacterData::replaceData(unsigned long, unsigned long, const QString&)
    {12, 268, 0, 0, Smoke::mf_const, 329, 9},	//24 QDomCharacterData::length() const
    {12, 172, 0, 0, Smoke::mf_const, 122, 10},	//25 QDomCharacterData::data() const
    {12, 603, 3, 1, 0, 0, 11},	//26 QDomCharacterData::setData(const QString&)
    {12, 285, 0, 0, Smoke::mf_const, 58, 12},	//27 QDomCharacterData::nodeType() const
    {12, 735, 0, 0, Smoke::mf_dtor, 0, 13 },	//28 QDomCharacterData::~QDomCharacterData()
    {13, 27, 0, 0, Smoke::mf_ctor, 28, 1},	//29 QDomComment::QDomComment()
    {13, 27, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//30 QDomComment::QDomComment(const QDomComment&)
    {13, 324, 19, 1, 0, 27, 3},	//31 QDomComment::operator=(const QDomComment&)
    {13, 285, 0, 0, Smoke::mf_const, 58, 4},	//32 QDomComment::nodeType() const
    {13, 736, 0, 0, Smoke::mf_dtor, 0, 5 },	//33 QDomComment::~QDomComment()
    {14, 29, 0, 0, Smoke::mf_ctor, 31, 1},	//34 QDomDocument::QDomDocument()
    {14, 29, 3, 1, Smoke::mf_ctor, 31, 2},	//35 QDomDocument::QDomDocument(const QString&)
    {14, 29, 21, 1, Smoke::mf_ctor, 31, 3},	//36 QDomDocument::QDomDocument(const QDomDocumentType&)
    {14, 29, 23, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//37 QDomDocument::QDomDocument(const QDomDocument&)
    {14, 324, 23, 1, 0, 30, 5},	//38 QDomDocument::operator=(const QDomDocument&)
    {14, 162, 3, 1, 0, 38, 6},	//39 QDomDocument::createElement(const QString&)
    {14, 159, 0, 0, 0, 32, 7},	//40 QDomDocument::createDocumentFragment()
    {14, 170, 3, 1, 0, 69, 8},	//41 QDomDocument::createTextNode(const QString&)
    {14, 155, 3, 1, 0, 26, 9},	//42 QDomDocument::createComment(const QString&)
    {14, 153, 3, 1, 0, 20, 10},	//43 QDomDocument::createCDATASection(const QString&)
    {14, 168, 25, 2, 0, 66, 11},	//44 QDomDocument::createProcessingInstruction(const QString&, const QString&)
    {14, 149, 3, 1, 0, 17, 12},	//45 QDomDocument::createAttribute(const QString&)
    {14, 166, 3, 1, 0, 44, 13},	//46 QDomDocument::createEntityReference(const QString&)
    {14, 181, 3, 1, Smoke::mf_const, 59, 14},	//47 QDomDocument::elementsByTagName(const QString&) const
    {14, 230, 28, 2, 0, 54, 15},	//48 QDomDocument::importNode(const QDomNode&, bool)
    {14, 164, 25, 2, 0, 38, 16},	//49 QDomDocument::createElementNS(const QString&, const QString&)
    {14, 151, 25, 2, 0, 17, 17},	//50 QDomDocument::createAttributeNS(const QString&, const QString&)
    {14, 183, 25, 2, 0, 59, 18},	//51 QDomDocument::elementsByTagNameNS(const QString&, const QString&)
    {14, 179, 3, 1, 0, 38, 19},	//52 QDomDocument::elementById(const QString&)
    {14, 177, 0, 0, Smoke::mf_const, 35, 20},	//53 QDomDocument::doctype() const
    {14, 229, 0, 0, Smoke::mf_const, 47, 21},	//54 QDomDocument::implementation() const
    {14, 178, 0, 0, Smoke::mf_const, 38, 22},	//55 QDomDocument::documentElement() const
    {14, 285, 0, 0, Smoke::mf_const, 58, 23},	//56 QDomDocument::nodeType() const
    {14, 584, 31, 5, 0, 235, 24},	//57 QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    {14, 584, 37, 5, 0, 235, 25},	//58 QDomDocument::setContent(const QString&, bool, QString*, int*, int*)
    {14, 584, 43, 5, 0, 235, 26},	//59 QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    {14, 584, 49, 5, 0, 235, 27},	//60 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    {14, 584, 55, 4, 0, 235, 28},	//61 QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    {14, 584, 60, 4, 0, 235, 29},	//62 QDomDocument::setContent(const QString&, QString*, int*, int*)
    {14, 584, 65, 4, 0, 235, 30},	//63 QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    {14, 584, 70, 5, 0, 235, 31},	//64 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*, int*)
    {14, 677, 76, 1, Smoke::mf_const, 122, 32},	//65 QDomDocument::toString(int) const
    {14, 664, 76, 1, Smoke::mf_const, 5, 33},	//66 QDomDocument::toByteArray(int) const
    {14, 584, 78, 2, 0, 235, 34},	//67 QDomDocument::setContent(const QByteArray&, bool)
    {14, 584, 81, 3, 0, 235, 35},	//68 QDomDocument::setContent(const QByteArray&, bool, QString*)
    {14, 584, 85, 4, 0, 235, 36},	//69 QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    {14, 584, 90, 2, 0, 235, 37},	//70 QDomDocument::setContent(const QString&, bool)
    {14, 584, 93, 3, 0, 235, 38},	//71 QDomDocument::setContent(const QString&, bool, QString*)
    {14, 584, 97, 4, 0, 235, 39},	//72 QDomDocument::setContent(const QString&, bool, QString*, int*)
    {14, 584, 102, 2, 0, 235, 40},	//73 QDomDocument::setContent(QIODevice*, bool)
    {14, 584, 105, 3, 0, 235, 41},	//74 QDomDocument::setContent(QIODevice*, bool, QString*)
    {14, 584, 109, 4, 0, 235, 42},	//75 QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    {14, 584, 114, 2, 0, 235, 43},	//76 QDomDocument::setContent(QXmlInputSource*, bool)
    {14, 584, 117, 3, 0, 235, 44},	//77 QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    {14, 584, 121, 4, 0, 235, 45},	//78 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    {14, 584, 126, 1, 0, 235, 46},	//79 QDomDocument::setContent(const QByteArray&)
    {14, 584, 128, 2, 0, 235, 47},	//80 QDomDocument::setContent(const QByteArray&, QString*)
    {14, 584, 131, 3, 0, 235, 48},	//81 QDomDocument::setContent(const QByteArray&, QString*, int*)
    {14, 584, 3, 1, 0, 235, 49},	//82 QDomDocument::setContent(const QString&)
    {14, 584, 135, 2, 0, 235, 50},	//83 QDomDocument::setContent(const QString&, QString*)
    {14, 584, 138, 3, 0, 235, 51},	//84 QDomDocument::setContent(const QString&, QString*, int*)
    {14, 584, 142, 1, 0, 235, 52},	//85 QDomDocument::setContent(QIODevice*)
    {14, 584, 144, 2, 0, 235, 53},	//86 QDomDocument::setContent(QIODevice*, QString*)
    {14, 584, 147, 3, 0, 235, 54},	//87 QDomDocument::setContent(QIODevice*, QString*, int*)
    {14, 584, 151, 2, 0, 235, 55},	//88 QDomDocument::setContent(QXmlInputSource*, QXmlReader*)
    {14, 584, 154, 3, 0, 235, 56},	//89 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*)
    {14, 584, 158, 4, 0, 235, 57},	//90 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*)
    {14, 677, 0, 0, Smoke::mf_const, 122, 58},	//91 QDomDocument::toString() const
    {14, 664, 0, 0, Smoke::mf_const, 5, 59},	//92 QDomDocument::toByteArray() const
    {14, 737, 0, 0, Smoke::mf_dtor, 0, 60 },	//93 QDomDocument::~QDomDocument()
    {15, 32, 0, 0, Smoke::mf_ctor, 34, 1},	//94 QDomDocumentFragment::QDomDocumentFragment()
    {15, 32, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//95 QDomDocumentFragment::QDomDocumentFragment(const QDomDocumentFragment&)
    {15, 324, 163, 1, 0, 33, 3},	//96 QDomDocumentFragment::operator=(const QDomDocumentFragment&)
    {15, 285, 0, 0, Smoke::mf_const, 58, 4},	//97 QDomDocumentFragment::nodeType() const
    {15, 738, 0, 0, Smoke::mf_dtor, 0, 5 },	//98 QDomDocumentFragment::~QDomDocumentFragment()
    {16, 34, 0, 0, Smoke::mf_ctor, 37, 1},	//99 QDomDocumentType::QDomDocumentType()
    {16, 34, 21, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 2},	//100 QDomDocumentType::QDomDocumentType(const QDomDocumentType&)
    {16, 324, 21, 1, 0, 36, 3},	//101 QDomDocumentType::operator=(const QDomDocumentType&)
    {16, 274, 0, 0, Smoke::mf_const, 122, 4},	//102 QDomDocumentType::name() const
    {16, 194, 0, 0, Smoke::mf_const, 51, 5},	//103 QDomDocumentType::entities() const
    {16, 291, 0, 0, Smoke::mf_const, 51, 6},	//104 QDomDocumentType::notations() const
    {16, 370, 0, 0, Smoke::mf_const, 122, 7},	//105 QDomDocumentType::publicId() const
    {16, 659, 0, 0, Smoke::mf_const, 122, 8},	//106 QDomDocumentType::systemId() const
    {16, 244, 0, 0, Smoke::mf_const, 122, 9},	//107 QDomDocumentType::internalSubset() const
    {16, 285, 0, 0, Smoke::mf_const, 58, 10},	//108 QDomDocumentType::nodeType() const
    {16, 739, 0, 0, Smoke::mf_dtor, 0, 11 },	//109 QDomDocumentType::~QDomDocumentType()
    {17, 36, 0, 0, Smoke::mf_ctor, 40, 1},	//110 QDomElement::QDomElement()
    {17, 36, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 2},	//111 QDomElement::QDomElement(const QDomElement&)
    {17, 324, 165, 1, 0, 39, 3},	//112 QDomElement::operator=(const QDomElement&)
    {17, 120, 25, 2, Smoke::mf_const, 122, 4},	//113 QDomElement::attribute(const QString&, const QString&) const
    {17, 569, 25, 2, 0, 0, 5},	//114 QDomElement::setAttribute(const QString&, const QString&)
    {17, 569, 167, 2, 0, 0, 6},	//115 QDomElement::setAttribute(const QString&, long long)
    {17, 569, 170, 2, 0, 0, 7},	//116 QDomElement::setAttribute(const QString&, unsigned long long)
    {17, 569, 173, 2, 0, 0, 8},	//117 QDomElement::setAttribute(const QString&, int)
    {17, 569, 176, 2, 0, 0, 9},	//118 QDomElement::setAttribute(const QString&, unsigned int)
    {17, 569, 179, 2, 0, 0, 10},	//119 QDomElement::setAttribute(const QString&, float)
    {17, 569, 182, 2, 0, 0, 11},	//120 QDomElement::setAttribute(const QString&, double)
    {17, 547, 3, 1, 0, 0, 12},	//121 QDomElement::removeAttribute(const QString&)
    {17, 128, 3, 1, 0, 17, 13},	//122 QDomElement::attributeNode(const QString&)
    {17, 573, 1, 1, 0, 17, 14},	//123 QDomElement::setAttributeNode(const QDomAttr&)
    {17, 551, 1, 1, 0, 17, 15},	//124 QDomElement::removeAttributeNode(const QDomAttr&)
    {17, 181, 3, 1, Smoke::mf_const, 59, 16},	//125 QDomElement::elementsByTagName(const QString&) const
    {17, 214, 3, 1, Smoke::mf_const, 235, 17},	//126 QDomElement::hasAttribute(const QString&) const
    {17, 125, 185, 3, Smoke::mf_const, 122, 18},	//127 QDomElement::attributeNS(const QString, const QString&, const QString&) const
    {17, 571, 185, 3, 0, 0, 19},	//128 QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    {17, 571, 189, 3, 0, 0, 20},	//129 QDomElement::setAttributeNS(const QString, const QString&, int)
    {17, 571, 193, 3, 0, 0, 21},	//130 QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    {17, 571, 197, 3, 0, 0, 22},	//131 QDomElement::setAttributeNS(const QString, const QString&, long long)
    {17, 571, 201, 3, 0, 0, 23},	//132 QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    {17, 571, 205, 3, 0, 0, 24},	//133 QDomElement::setAttributeNS(const QString, const QString&, double)
    {17, 549, 25, 2, 0, 0, 25},	//134 QDomElement::removeAttributeNS(const QString&, const QString&)
    {17, 130, 25, 2, 0, 17, 26},	//135 QDomElement::attributeNodeNS(const QString&, const QString&)
    {17, 575, 1, 1, 0, 17, 27},	//136 QDomElement::setAttributeNodeNS(const QDomAttr&)
    {17, 183, 25, 2, Smoke::mf_const, 59, 28},	//137 QDomElement::elementsByTagNameNS(const QString&, const QString&) const
    {17, 216, 25, 2, Smoke::mf_const, 235, 29},	//138 QDomElement::hasAttributeNS(const QString&, const QString&) const
    {17, 660, 0, 0, Smoke::mf_const, 122, 30},	//139 QDomElement::tagName() const
    {17, 635, 3, 1, 0, 0, 31},	//140 QDomElement::setTagName(const QString&)
    {17, 132, 0, 0, Smoke::mf_const, 51, 32},	//141 QDomElement::attributes() const
    {17, 285, 0, 0, Smoke::mf_const, 58, 33},	//142 QDomElement::nodeType() const
    {17, 662, 0, 0, Smoke::mf_const, 122, 34},	//143 QDomElement::text() const
    {17, 120, 3, 1, Smoke::mf_const, 122, 35},	//144 QDomElement::attribute(const QString&) const
    {17, 125, 209, 2, Smoke::mf_const, 122, 36},	//145 QDomElement::attributeNS(const QString, const QString&) const
    {17, 740, 0, 0, Smoke::mf_dtor, 0, 37 },	//146 QDomElement::~QDomElement()
    {18, 38, 0, 0, Smoke::mf_ctor, 43, 1},	//147 QDomEntity::QDomEntity()
    {18, 38, 212, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 2},	//148 QDomEntity::QDomEntity(const QDomEntity&)
    {18, 324, 212, 1, 0, 42, 3},	//149 QDomEntity::operator=(const QDomEntity&)
    {18, 370, 0, 0, Smoke::mf_const, 122, 4},	//150 QDomEntity::publicId() const
    {18, 659, 0, 0, Smoke::mf_const, 122, 5},	//151 QDomEntity::systemId() const
    {18, 290, 0, 0, Smoke::mf_const, 122, 6},	//152 QDomEntity::notationName() const
    {18, 285, 0, 0, Smoke::mf_const, 58, 7},	//153 QDomEntity::nodeType() const
    {18, 741, 0, 0, Smoke::mf_dtor, 0, 8 },	//154 QDomEntity::~QDomEntity()
    {19, 40, 0, 0, Smoke::mf_ctor, 46, 1},	//155 QDomEntityReference::QDomEntityReference()
    {19, 40, 214, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 2},	//156 QDomEntityReference::QDomEntityReference(const QDomEntityReference&)
    {19, 324, 214, 1, 0, 45, 3},	//157 QDomEntityReference::operator=(const QDomEntityReference&)
    {19, 285, 0, 0, Smoke::mf_const, 58, 4},	//158 QDomEntityReference::nodeType() const
    {19, 742, 0, 0, Smoke::mf_dtor, 0, 5 },	//159 QDomEntityReference::~QDomEntityReference()
    {20, 42, 0, 0, Smoke::mf_ctor, 49, 1},	//160 QDomImplementation::QDomImplementation()
    {20, 42, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 2},	//161 QDomImplementation::QDomImplementation(const QDomImplementation&)
    {20, 324, 216, 1, 0, 48, 3},	//162 QDomImplementation::operator=(const QDomImplementation&)
    {20, 326, 216, 1, Smoke::mf_const, 235, 4},	//163 QDomImplementation::operator==(const QDomImplementation&) const
    {20, 292, 216, 1, Smoke::mf_const, 235, 5},	//164 QDomImplementation::operator!=(const QDomImplementation&) const
    {20, 221, 25, 2, Smoke::mf_const, 235, 6},	//165 QDomImplementation::hasFeature(const QString&, const QString&) const
    {20, 160, 218, 3, 0, 35, 7},	//166 QDomImplementation::createDocumentType(const QString&, const QString&, const QString&)
    {20, 157, 222, 3, 0, 29, 8},	//167 QDomImplementation::createDocument(const QString&, const QString&, const QDomDocumentType&)
    {20, 245, 0, 0, Smoke::mf_static, 50, 9},	//168 QDomImplementation::invalidDataPolicy()
    {20, 620, 226, 1, Smoke::mf_static, 0, 10},	//169 QDomImplementation::setInvalidDataPolicy(QDomImplementation::InvalidDataPolicy)
    {20, 258, 0, 0, 0, 235, 11},	//170 QDomImplementation::isNull()
    {20, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 12},	//171 QDomImplementation::AcceptInvalidChars (enum)
    {20, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 13},	//172 QDomImplementation::DropInvalidChars (enum)
    {20, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 14},	//173 QDomImplementation::ReturnNullNode (enum)
    {20, 743, 0, 0, Smoke::mf_dtor, 0, 15 },	//174 QDomImplementation::~QDomImplementation()
    {21, 44, 0, 0, Smoke::mf_ctor, 53, 1},	//175 QDomNamedNodeMap::QDomNamedNodeMap()
    {21, 44, 228, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 2},	//176 QDomNamedNodeMap::QDomNamedNodeMap(const QDomNamedNodeMap&)
    {21, 324, 228, 1, 0, 52, 3},	//177 QDomNamedNodeMap::operator=(const QDomNamedNodeMap&)
    {21, 326, 228, 1, Smoke::mf_const, 235, 4},	//178 QDomNamedNodeMap::operator==(const QDomNamedNodeMap&) const
    {21, 292, 228, 1, Smoke::mf_const, 235, 5},	//179 QDomNamedNodeMap::operator!=(const QDomNamedNodeMap&) const
    {21, 275, 3, 1, Smoke::mf_const, 54, 6},	//180 QDomNamedNodeMap::namedItem(const QString&) const
    {21, 624, 230, 1, 0, 54, 7},	//181 QDomNamedNodeMap::setNamedItem(const QDomNode&)
    {21, 555, 3, 1, 0, 54, 8},	//182 QDomNamedNodeMap::removeNamedItem(const QString&)
    {21, 263, 76, 1, Smoke::mf_const, 54, 9},	//183 QDomNamedNodeMap::item(int) const
    {21, 277, 25, 2, Smoke::mf_const, 54, 10},	//184 QDomNamedNodeMap::namedItemNS(const QString&, const QString&) const
    {21, 626, 230, 1, 0, 54, 11},	//185 QDomNamedNodeMap::setNamedItemNS(const QDomNode&)
    {21, 557, 25, 2, 0, 54, 12},	//186 QDomNamedNodeMap::removeNamedItemNS(const QString&, const QString&)
    {21, 268, 0, 0, Smoke::mf_const, 329, 13},	//187 QDomNamedNodeMap::length() const
    {21, 148, 0, 0, Smoke::mf_const, 318, 14},	//188 QDomNamedNodeMap::count() const
    {21, 639, 0, 0, Smoke::mf_const, 318, 15},	//189 QDomNamedNodeMap::size() const
    {21, 254, 0, 0, Smoke::mf_const, 235, 16},	//190 QDomNamedNodeMap::isEmpty() const
    {21, 145, 3, 1, Smoke::mf_const, 235, 17},	//191 QDomNamedNodeMap::contains(const QString&) const
    {21, 744, 0, 0, Smoke::mf_dtor, 0, 18 },	//192 QDomNamedNodeMap::~QDomNamedNodeMap()
    {22, 46, 0, 0, Smoke::mf_ctor, 56, 1},	//193 QDomNode::QDomNode()
    {22, 46, 230, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 2},	//194 QDomNode::QDomNode(const QDomNode&)
    {22, 324, 230, 1, 0, 55, 3},	//195 QDomNode::operator=(const QDomNode&)
    {22, 326, 230, 1, Smoke::mf_const, 235, 4},	//196 QDomNode::operator==(const QDomNode&) const
    {22, 292, 230, 1, Smoke::mf_const, 235, 5},	//197 QDomNode::operator!=(const QDomNode&) const
    {22, 238, 232, 2, 0, 54, 6},	//198 QDomNode::insertBefore(const QDomNode&, const QDomNode&)
    {22, 236, 232, 2, 0, 54, 7},	//199 QDomNode::insertAfter(const QDomNode&, const QDomNode&)
    {22, 559, 232, 2, 0, 54, 8},	//200 QDomNode::replaceChild(const QDomNode&, const QDomNode&)
    {22, 553, 230, 1, 0, 54, 9},	//201 QDomNode::removeChild(const QDomNode&)
    {22, 114, 230, 1, 0, 54, 10},	//202 QDomNode::appendChild(const QDomNode&)
    {22, 219, 0, 0, Smoke::mf_const, 235, 11},	//203 QDomNode::hasChildNodes() const
    {22, 139, 235, 1, Smoke::mf_const, 54, 12},	//204 QDomNode::cloneNode(bool) const
    {22, 287, 0, 0, 0, 0, 13},	//205 QDomNode::normalize()
    {22, 260, 25, 2, Smoke::mf_const, 235, 14},	//206 QDomNode::isSupported(const QString&, const QString&) const
    {22, 284, 0, 0, Smoke::mf_const, 122, 15},	//207 QDomNode::nodeName() const
    {22, 285, 0, 0, Smoke::mf_const, 58, 16},	//208 QDomNode::nodeType() const
    {22, 350, 0, 0, Smoke::mf_const, 54, 17},	//209 QDomNode::parentNode() const
    {22, 137, 0, 0, Smoke::mf_const, 59, 18},	//210 QDomNode::childNodes() const
    {22, 208, 0, 0, Smoke::mf_const, 54, 19},	//211 QDomNode::firstChild() const
    {22, 265, 0, 0, Smoke::mf_const, 54, 20},	//212 QDomNode::lastChild() const
    {22, 360, 0, 0, Smoke::mf_const, 54, 21},	//213 QDomNode::previousSibling() const
    {22, 281, 0, 0, Smoke::mf_const, 54, 22},	//214 QDomNode::nextSibling() const
    {22, 132, 0, 0, Smoke::mf_const, 51, 23},	//215 QDomNode::attributes() const
    {22, 348, 0, 0, Smoke::mf_const, 29, 24},	//216 QDomNode::ownerDocument() const
    {22, 279, 0, 0, Smoke::mf_const, 122, 25},	//217 QDomNode::namespaceURI() const
    {22, 271, 0, 0, Smoke::mf_const, 122, 26},	//218 QDomNode::localName() const
    {22, 218, 0, 0, Smoke::mf_const, 235, 27},	//219 QDomNode::hasAttributes() const
    {22, 286, 0, 0, Smoke::mf_const, 122, 28},	//220 QDomNode::nodeValue() const
    {22, 628, 3, 1, 0, 0, 29},	//221 QDomNode::setNodeValue(const QString&)
    {22, 356, 0, 0, Smoke::mf_const, 122, 30},	//222 QDomNode::prefix() const
    {22, 630, 3, 1, 0, 0, 31},	//223 QDomNode::setPrefix(const QString&)
    {22, 246, 0, 0, Smoke::mf_const, 235, 32},	//224 QDomNode::isAttr() const
    {22, 247, 0, 0, Smoke::mf_const, 235, 33},	//225 QDomNode::isCDATASection() const
    {22, 251, 0, 0, Smoke::mf_const, 235, 34},	//226 QDomNode::isDocumentFragment() const
    {22, 250, 0, 0, Smoke::mf_const, 235, 35},	//227 QDomNode::isDocument() const
    {22, 252, 0, 0, Smoke::mf_const, 235, 36},	//228 QDomNode::isDocumentType() const
    {22, 253, 0, 0, Smoke::mf_const, 235, 37},	//229 QDomNode::isElement() const
    {22, 256, 0, 0, Smoke::mf_const, 235, 38},	//230 QDomNode::isEntityReference() const
    {22, 262, 0, 0, Smoke::mf_const, 235, 39},	//231 QDomNode::isText() const
    {22, 255, 0, 0, Smoke::mf_const, 235, 40},	//232 QDomNode::isEntity() const
    {22, 257, 0, 0, Smoke::mf_const, 235, 41},	//233 QDomNode::isNotation() const
    {22, 259, 0, 0, Smoke::mf_const, 235, 42},	//234 QDomNode::isProcessingInstruction() const
    {22, 248, 0, 0, Smoke::mf_const, 235, 43},	//235 QDomNode::isCharacterData() const
    {22, 249, 0, 0, Smoke::mf_const, 235, 44},	//236 QDomNode::isComment() const
    {22, 275, 3, 1, Smoke::mf_const, 54, 45},	//237 QDomNode::namedItem(const QString&) const
    {22, 258, 0, 0, Smoke::mf_const, 235, 46},	//238 QDomNode::isNull() const
    {22, 138, 0, 0, 0, 0, 47},	//239 QDomNode::clear()
    {22, 663, 0, 0, Smoke::mf_const, 17, 48},	//240 QDomNode::toAttr() const
    {22, 666, 0, 0, Smoke::mf_const, 20, 49},	//241 QDomNode::toCDATASection() const
    {22, 670, 0, 0, Smoke::mf_const, 32, 50},	//242 QDomNode::toDocumentFragment() const
    {22, 669, 0, 0, Smoke::mf_const, 29, 51},	//243 QDomNode::toDocument() const
    {22, 671, 0, 0, Smoke::mf_const, 35, 52},	//244 QDomNode::toDocumentType() const
    {22, 672, 0, 0, Smoke::mf_const, 38, 53},	//245 QDomNode::toElement() const
    {22, 674, 0, 0, Smoke::mf_const, 44, 54},	//246 QDomNode::toEntityReference() const
    {22, 679, 0, 0, Smoke::mf_const, 69, 55},	//247 QDomNode::toText() const
    {22, 673, 0, 0, Smoke::mf_const, 41, 56},	//248 QDomNode::toEntity() const
    {22, 675, 0, 0, Smoke::mf_const, 63, 57},	//249 QDomNode::toNotation() const
    {22, 676, 0, 0, Smoke::mf_const, 66, 58},	//250 QDomNode::toProcessingInstruction() const
    {22, 667, 0, 0, Smoke::mf_const, 23, 59},	//251 QDomNode::toCharacterData() const
    {22, 668, 0, 0, Smoke::mf_const, 26, 60},	//252 QDomNode::toComment() const
    {22, 566, 237, 2, Smoke::mf_const, 0, 61},	//253 QDomNode::save(QTextStream&, int) const
    {22, 566, 240, 3, Smoke::mf_const, 0, 62},	//254 QDomNode::save(QTextStream&, int, QDomNode::EncodingPolicy) const
    {22, 209, 3, 1, Smoke::mf_const, 38, 63},	//255 QDomNode::firstChildElement(const QString&) const
    {22, 266, 3, 1, Smoke::mf_const, 38, 64},	//256 QDomNode::lastChildElement(const QString&) const
    {22, 361, 3, 1, Smoke::mf_const, 38, 65},	//257 QDomNode::previousSiblingElement(const QString&) const
    {22, 282, 3, 1, Smoke::mf_const, 38, 66},	//258 QDomNode::nextSiblingElement(const QString&) const
    {22, 270, 0, 0, Smoke::mf_const, 318, 67},	//259 QDomNode::lineNumber() const
    {22, 142, 0, 0, Smoke::mf_const, 318, 68},	//260 QDomNode::columnNumber() const
    {22, 139, 0, 0, Smoke::mf_const, 54, 69},	//261 QDomNode::cloneNode() const
    {22, 209, 0, 0, Smoke::mf_const, 38, 70},	//262 QDomNode::firstChildElement() const
    {22, 266, 0, 0, Smoke::mf_const, 38, 71},	//263 QDomNode::lastChildElement() const
    {22, 361, 0, 0, Smoke::mf_const, 38, 72},	//264 QDomNode::previousSiblingElement() const
    {22, 282, 0, 0, Smoke::mf_const, 38, 73},	//265 QDomNode::nextSiblingElement() const
    {22, 228, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 62, 74},	//266 QDomNode::impl() const
    {22, 618, 244, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 75},	//267 QDomNode::setImpl(QDomNodePrivate*)
    {22, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 76},	//268 QDomNode::ElementNode (enum)
    {22, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 77},	//269 QDomNode::AttributeNode (enum)
    {22, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 78},	//270 QDomNode::TextNode (enum)
    {22, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 79},	//271 QDomNode::CDATASectionNode (enum)
    {22, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 80},	//272 QDomNode::EntityReferenceNode (enum)
    {22, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 81},	//273 QDomNode::EntityNode (enum)
    {22, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 82},	//274 QDomNode::ProcessingInstructionNode (enum)
    {22, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 83},	//275 QDomNode::CommentNode (enum)
    {22, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 84},	//276 QDomNode::DocumentNode (enum)
    {22, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 85},	//277 QDomNode::DocumentTypeNode (enum)
    {22, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 86},	//278 QDomNode::DocumentFragmentNode (enum)
    {22, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 87},	//279 QDomNode::NotationNode (enum)
    {22, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 88},	//280 QDomNode::BaseNode (enum)
    {22, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 89},	//281 QDomNode::CharacterDataNode (enum)
    {22, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 90},	//282 QDomNode::EncodingFromDocument (enum)
    {22, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 91},	//283 QDomNode::EncodingFromTextStream (enum)
    {22, 745, 0, 0, Smoke::mf_dtor, 0, 92 },	//284 QDomNode::~QDomNode()
    {23, 48, 0, 0, Smoke::mf_ctor, 61, 1},	//285 QDomNodeList::QDomNodeList()
    {23, 48, 246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 2},	//286 QDomNodeList::QDomNodeList(const QDomNodeList&)
    {23, 324, 246, 1, 0, 60, 3},	//287 QDomNodeList::operator=(const QDomNodeList&)
    {23, 326, 246, 1, Smoke::mf_const, 235, 4},	//288 QDomNodeList::operator==(const QDomNodeList&) const
    {23, 292, 246, 1, Smoke::mf_const, 235, 5},	//289 QDomNodeList::operator!=(const QDomNodeList&) const
    {23, 263, 76, 1, Smoke::mf_const, 54, 6},	//290 QDomNodeList::item(int) const
    {23, 118, 76, 1, Smoke::mf_const, 54, 7},	//291 QDomNodeList::at(int) const
    {23, 268, 0, 0, Smoke::mf_const, 329, 8},	//292 QDomNodeList::length() const
    {23, 148, 0, 0, Smoke::mf_const, 318, 9},	//293 QDomNodeList::count() const
    {23, 639, 0, 0, Smoke::mf_const, 318, 10},	//294 QDomNodeList::size() const
    {23, 254, 0, 0, Smoke::mf_const, 235, 11},	//295 QDomNodeList::isEmpty() const
    {23, 746, 0, 0, Smoke::mf_dtor, 0, 12 },	//296 QDomNodeList::~QDomNodeList()
    {25, 50, 0, 0, Smoke::mf_ctor, 65, 1},	//297 QDomNotation::QDomNotation()
    {25, 50, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//298 QDomNotation::QDomNotation(const QDomNotation&)
    {25, 324, 248, 1, 0, 64, 3},	//299 QDomNotation::operator=(const QDomNotation&)
    {25, 370, 0, 0, Smoke::mf_const, 122, 4},	//300 QDomNotation::publicId() const
    {25, 659, 0, 0, Smoke::mf_const, 122, 5},	//301 QDomNotation::systemId() const
    {25, 285, 0, 0, Smoke::mf_const, 58, 6},	//302 QDomNotation::nodeType() const
    {25, 747, 0, 0, Smoke::mf_dtor, 0, 7 },	//303 QDomNotation::~QDomNotation()
    {26, 52, 0, 0, Smoke::mf_ctor, 68, 1},	//304 QDomProcessingInstruction::QDomProcessingInstruction()
    {26, 52, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 2},	//305 QDomProcessingInstruction::QDomProcessingInstruction(const QDomProcessingInstruction&)
    {26, 324, 250, 1, 0, 67, 3},	//306 QDomProcessingInstruction::operator=(const QDomProcessingInstruction&)
    {26, 661, 0, 0, Smoke::mf_const, 122, 4},	//307 QDomProcessingInstruction::target() const
    {26, 172, 0, 0, Smoke::mf_const, 122, 5},	//308 QDomProcessingInstruction::data() const
    {26, 603, 3, 1, 0, 0, 6},	//309 QDomProcessingInstruction::setData(const QString&)
    {26, 285, 0, 0, Smoke::mf_const, 58, 7},	//310 QDomProcessingInstruction::nodeType() const
    {26, 748, 0, 0, Smoke::mf_dtor, 0, 8 },	//311 QDomProcessingInstruction::~QDomProcessingInstruction()
    {27, 54, 0, 0, Smoke::mf_ctor, 71, 1},	//312 QDomText::QDomText()
    {27, 54, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 2},	//313 QDomText::QDomText(const QDomText&)
    {27, 324, 252, 1, 0, 70, 3},	//314 QDomText::operator=(const QDomText&)
    {27, 645, 76, 1, 0, 69, 4},	//315 QDomText::splitText(int)
    {27, 285, 0, 0, Smoke::mf_const, 58, 5},	//316 QDomText::nodeType() const
    {27, 749, 0, 0, Smoke::mf_dtor, 0, 6 },	//317 QDomText::~QDomText()
    {29, 335, 254, 2, Smoke::mf_static, 235, 1},	//318 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {29, 417, 257, 1, Smoke::mf_static, 329, 2},	//319 QGlobalSpace::qHash(unsigned long long)
    {29, 427, 259, 1, Smoke::mf_static, 235, 3},	//320 QGlobalSpace::qIsInf(double)
    {29, 345, 261, 2, Smoke::mf_static, 106, 4},	//321 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {29, 345, 264, 2, Smoke::mf_static, 106, 5},	//322 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {29, 521, 267, 2, Smoke::mf_static, 329, 6},	//323 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {29, 439, 270, 3, Smoke::mf_static, 336, 7},	//324 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {29, 536, 0, 0, Smoke::mf_static, 0, 8},	//325 QGlobalSpace::qt_noop()
    {29, 316, 274, 2, Smoke::mf_static, 13, 9},	//326 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {29, 326, 277, 2, Smoke::mf_static, 235, 10},	//327 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {29, 326, 280, 2, Smoke::mf_static, 235, 11},	//328 QGlobalSpace::operator==(const QSize&, const QSize&)
    {29, 302, 283, 2, Smoke::mf_static, 240, 12},	//329 QGlobalSpace::operator+(const char*, const QByteArray&)
    {29, 345, 286, 2, Smoke::mf_static, 80, 13},	//330 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {29, 502, 283, 2, Smoke::mf_static, 318, 14},	//331 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {29, 326, 289, 2, Smoke::mf_static, 235, 15},	//332 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {29, 381, 292, 2, Smoke::mf_static, 316, 16},	//333 QGlobalSpace::qAtan2(double, double)
    {29, 339, 295, 2, Smoke::mf_static, 10, 17},	//334 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {29, 335, 298, 2, Smoke::mf_static, 235, 18},	//335 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {29, 427, 301, 1, Smoke::mf_static, 235, 19},	//336 QGlobalSpace::qIsInf(float)
    {29, 493, 303, 1, Smoke::mf_static, 5, 20},	//337 QGlobalSpace::qgetenv(const char*)
    {29, 417, 305, 1, Smoke::mf_static, 329, 21},	//338 QGlobalSpace::qHash(signed char)
    {29, 326, 307, 2, Smoke::mf_static, 235, 22},	//339 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {29, 331, 283, 2, Smoke::mf_static, 235, 23},	//340 QGlobalSpace::operator>(const char*, const QByteArray&)
    {29, 423, 259, 1, Smoke::mf_static, 318, 24},	//341 QGlobalSpace::qIntCast(double)
    {29, 463, 310, 1, Smoke::mf_static, 135, 25},	//342 QGlobalSpace::qSetPadChar(QChar)
    {29, 326, 312, 2, Smoke::mf_static, 235, 26},	//343 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {29, 326, 315, 2, Smoke::mf_static, 235, 27},	//344 QGlobalSpace::operator==(QChar, QChar)
    {29, 345, 318, 2, Smoke::mf_static, 101, 28},	//345 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {29, 417, 321, 1, Smoke::mf_static, 329, 29},	//346 QGlobalSpace::qHash(const QUrl&)
    {29, 417, 126, 1, Smoke::mf_static, 329, 30},	//347 QGlobalSpace::qHash(const QByteArray&)
    {29, 316, 323, 2, Smoke::mf_static, 13, 31},	//348 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {29, 312, 315, 2, Smoke::mf_static, 235, 32},	//349 QGlobalSpace::operator<(QChar, QChar)
    {29, 335, 315, 2, Smoke::mf_static, 235, 33},	//350 QGlobalSpace::operator>=(QChar, QChar)
    {29, 292, 326, 2, Smoke::mf_static, 235, 34},	//351 QGlobalSpace::operator!=(QString::Null, const QString&)
    {29, 312, 283, 2, Smoke::mf_static, 235, 35},	//352 QGlobalSpace::operator<(const char*, const QByteArray&)
    {29, 345, 329, 2, Smoke::mf_static, 100, 36},	//353 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {29, 502, 332, 2, Smoke::mf_static, 318, 37},	//354 QGlobalSpace::qstrcmp(const char*, const char*)
    {29, 393, 259, 1, Smoke::mf_static, 316, 38},	//355 QGlobalSpace::qCos(double)
    {29, 345, 335, 2, Smoke::mf_static, 83, 39},	//356 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {29, 331, 315, 2, Smoke::mf_static, 235, 40},	//357 QGlobalSpace::operator>(QChar, QChar)
    {29, 345, 338, 2, Smoke::mf_static, 103, 41},	//358 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {29, 299, 341, 2, Smoke::mf_static, 284, 42},	//359 QGlobalSpace::operator*(double, const QSizeF&)
    {29, 467, 0, 0, Smoke::mf_static, 235, 43},	//360 QGlobalSpace::qSharedBuild()
    {29, 345, 344, 2, Smoke::mf_static, 106, 44},	//361 QGlobalSpace::operator|(QDir::Filter, int)
    {29, 292, 254, 2, Smoke::mf_static, 235, 45},	//362 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {29, 316, 347, 2, Smoke::mf_static, 132, 46},	//363 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {29, 307, 350, 2, Smoke::mf_static, 274, 47},	//364 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {29, 316, 353, 2, Smoke::mf_static, 10, 48},	//365 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {29, 345, 356, 2, Smoke::mf_static, 106, 49},	//366 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {29, 345, 359, 2, Smoke::mf_static, 99, 50},	//367 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {29, 417, 362, 1, Smoke::mf_static, 329, 51},	//368 QGlobalSpace::qHash(char)
    {29, 292, 277, 2, Smoke::mf_static, 235, 52},	//369 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {29, 345, 364, 2, Smoke::mf_static, 86, 53},	//370 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {29, 316, 367, 2, Smoke::mf_static, 13, 54},	//371 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {29, 345, 370, 2, Smoke::mf_static, 106, 55},	//372 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {29, 345, 373, 2, Smoke::mf_static, 106, 56},	//373 QGlobalSpace::operator|(QFile::Permission, int)
    {29, 310, 376, 2, Smoke::mf_static, 274, 57},	//374 QGlobalSpace::operator/(const QPoint&, double)
    {29, 302, 350, 2, Smoke::mf_static, 274, 58},	//375 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {29, 345, 379, 2, Smoke::mf_static, 78, 59},	//376 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {29, 307, 382, 2, Smoke::mf_static, 284, 60},	//377 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {29, 316, 385, 2, Smoke::mf_static, 13, 61},	//378 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {29, 425, 259, 1, Smoke::mf_static, 235, 62},	//379 QGlobalSpace::qIsFinite(double)
    {29, 483, 388, 4, Smoke::mf_static, 238, 63},	//380 QGlobalSpace::qecvt(long double, int, int*, int*)
    {29, 292, 298, 2, Smoke::mf_static, 235, 64},	//381 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {29, 345, 393, 2, Smoke::mf_static, 95, 65},	//382 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {29, 316, 396, 2, Smoke::mf_static, 13, 66},	//383 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {29, 316, 399, 2, Smoke::mf_static, 13, 67},	//384 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {29, 345, 402, 2, Smoke::mf_static, 87, 68},	//385 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {29, 345, 405, 2, Smoke::mf_static, 101, 69},	//386 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {29, 302, 280, 2, Smoke::mf_static, 282, 70},	//387 QGlobalSpace::operator+(const QSize&, const QSize&)
    {29, 345, 408, 2, Smoke::mf_static, 92, 71},	//388 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {29, 532, 76, 1, Smoke::mf_static, 122, 72},	//389 QGlobalSpace::qt_error_string(int)
    {29, 532, 0, 0, Smoke::mf_static, 122, 73},	//390 QGlobalSpace::qt_error_string()
    {29, 302, 382, 2, Smoke::mf_static, 284, 74},	//391 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {29, 345, 411, 2, Smoke::mf_static, 106, 75},	//392 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {29, 476, 414, 2, Smoke::mf_static, 5, 76},	//393 QGlobalSpace::qUncompress(const unsigned char*, int)
    {29, 515, 417, 3, Smoke::mf_static, 318, 77},	//394 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {29, 474, 259, 1, Smoke::mf_static, 316, 78},	//395 QGlobalSpace::qTan(double)
    {29, 292, 421, 2, Smoke::mf_static, 235, 79},	//396 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {29, 461, 76, 1, Smoke::mf_static, 135, 80},	//397 QGlobalSpace::qSetFieldWidth(int)
    {29, 345, 424, 2, Smoke::mf_static, 90, 81},	//398 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {29, 407, 259, 1, Smoke::mf_static, 318, 82},	//399 QGlobalSpace::qFloor(double)
    {29, 316, 427, 2, Smoke::mf_static, 13, 83},	//400 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {29, 339, 430, 2, Smoke::mf_static, 10, 84},	//401 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {29, 425, 301, 1, Smoke::mf_static, 235, 85},	//402 QGlobalSpace::qIsFinite(float)
    {29, 302, 433, 2, Smoke::mf_static, 286, 86},	//403 QGlobalSpace::operator+(const QString&, QChar)
    {29, 292, 436, 2, Smoke::mf_static, 235, 87},	//404 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {29, 481, 439, 3, Smoke::mf_static, 0, 88},	//405 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {29, 302, 298, 2, Smoke::mf_static, 240, 89},	//406 QGlobalSpace::operator+(const QByteArray&, const char*)
    {29, 345, 443, 2, Smoke::mf_static, 85, 90},	//407 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {29, 345, 446, 2, Smoke::mf_static, 98, 91},	//408 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {29, 450, 449, 4, Smoke::mf_static, 336, 92},	//409 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {29, 417, 454, 1, Smoke::mf_static, 329, 93},	//410 QGlobalSpace::qHash(unsigned int)
    {29, 345, 456, 2, Smoke::mf_static, 100, 94},	//411 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {29, 417, 310, 1, Smoke::mf_static, 329, 95},	//412 QGlobalSpace::qHash(QChar)
    {29, 320, 298, 2, Smoke::mf_static, 235, 96},	//413 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {29, 423, 301, 1, Smoke::mf_static, 318, 97},	//414 QGlobalSpace::qIntCast(float)
    {29, 326, 459, 2, Smoke::mf_static, 235, 98},	//415 QGlobalSpace::operator==(const QRect&, const QRect&)
    {29, 345, 462, 2, Smoke::mf_static, 79, 99},	//416 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {29, 343, 465, 2, Smoke::mf_static, 2, 100},	//417 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {29, 331, 468, 2, Smoke::mf_static, 235, 101},	//418 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {29, 448, 471, 2, Smoke::mf_static, 336, 102},	//419 QGlobalSpace::qRealloc(void*, size_t)
    {29, 417, 3, 1, Smoke::mf_static, 329, 103},	//420 QGlobalSpace::qHash(const QString&)
    {29, 316, 474, 2, Smoke::mf_static, 10, 104},	//421 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {29, 316, 477, 2, Smoke::mf_static, 13, 105},	//422 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {29, 458, 259, 1, Smoke::mf_static, 323, 106},	//423 QGlobalSpace::qRound64(double)
    {29, 421, 480, 1, Smoke::mf_static, 335, 107},	//424 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {29, 470, 259, 1, Smoke::mf_static, 316, 108},	//425 QGlobalSpace::qSqrt(double)
    {29, 417, 482, 1, Smoke::mf_static, 329, 109},	//426 QGlobalSpace::qHash(const QModelIndex&)
    {29, 401, 259, 1, Smoke::mf_static, 316, 110},	//427 QGlobalSpace::qFastCos(double)
    {29, 339, 484, 2, Smoke::mf_static, 10, 111},	//428 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {29, 326, 487, 2, Smoke::mf_static, 235, 112},	//429 QGlobalSpace::operator==(QBool, QBool)
    {29, 326, 490, 2, Smoke::mf_static, 235, 113},	//430 QGlobalSpace::operator==(const char*, const QStringRef&)
    {29, 345, 493, 2, Smoke::mf_static, 106, 114},	//431 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {29, 429, 301, 1, Smoke::mf_static, 235, 115},	//432 QGlobalSpace::qIsNaN(float)
    {29, 320, 468, 2, Smoke::mf_static, 235, 116},	//433 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {29, 405, 303, 1, Smoke::mf_static, 312, 117},	//434 QGlobalSpace::qFlagLocation(const char*)
    {29, 345, 496, 2, Smoke::mf_static, 106, 118},	//435 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {29, 429, 259, 1, Smoke::mf_static, 235, 119},	//436 QGlobalSpace::qIsNaN(double)
    {29, 302, 499, 2, Smoke::mf_static, 286, 120},	//437 QGlobalSpace::operator+(QChar, const QString&)
    {29, 345, 502, 2, Smoke::mf_static, 106, 121},	//438 QGlobalSpace::operator|(QString::SectionFlag, int)
    {29, 345, 505, 2, Smoke::mf_static, 106, 122},	//439 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {29, 339, 508, 2, Smoke::mf_static, 10, 123},	//440 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {29, 526, 511, 3, Smoke::mf_static, 0, 124},	//441 QGlobalSpace::qt_assert(const char*, const char*, int)
    {29, 417, 515, 1, Smoke::mf_static, 329, 125},	//442 QGlobalSpace::qHash(long long)
    {29, 292, 517, 2, Smoke::mf_static, 235, 126},	//443 QGlobalSpace::operator!=(const QString&, QString::Null)
    {29, 487, 388, 4, Smoke::mf_static, 238, 127},	//444 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {29, 345, 520, 2, Smoke::mf_static, 106, 128},	//445 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {29, 345, 523, 2, Smoke::mf_static, 85, 129},	//446 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {29, 292, 312, 2, Smoke::mf_static, 235, 130},	//447 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {29, 307, 289, 2, Smoke::mf_static, 276, 131},	//448 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {29, 326, 436, 2, Smoke::mf_static, 235, 132},	//449 QGlobalSpace::operator==(QString::Null, QString::Null)
    {29, 345, 526, 2, Smoke::mf_static, 93, 133},	//450 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {29, 312, 468, 2, Smoke::mf_static, 235, 134},	//451 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {29, 345, 529, 2, Smoke::mf_static, 103, 135},	//452 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {29, 415, 301, 1, Smoke::mf_static, 235, 136},	//453 QGlobalSpace::qFuzzyIsNull(float)
    {29, 345, 532, 2, Smoke::mf_static, 97, 137},	//454 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {29, 507, 535, 2, Smoke::mf_static, 238, 138},	//455 QGlobalSpace::qstrcpy(char*, const char*)
    {29, 417, 76, 1, Smoke::mf_static, 329, 139},	//456 QGlobalSpace::qHash(int)
    {29, 302, 289, 2, Smoke::mf_static, 276, 140},	//457 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {29, 345, 538, 2, Smoke::mf_static, 88, 141},	//458 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {29, 326, 382, 2, Smoke::mf_static, 235, 142},	//459 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {29, 307, 541, 1, Smoke::mf_static, 274, 143},	//460 QGlobalSpace::operator-(const QPoint&)
    {29, 345, 543, 2, Smoke::mf_static, 106, 144},	//461 QGlobalSpace::operator|(Qt::DropAction, int)
    {29, 316, 546, 2, Smoke::mf_static, 10, 145},	//462 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {29, 345, 549, 2, Smoke::mf_static, 106, 146},	//463 QGlobalSpace::operator|(QDir::SortFlag, int)
    {29, 397, 259, 1, Smoke::mf_static, 316, 147},	//464 QGlobalSpace::qExp(double)
    {29, 465, 76, 1, Smoke::mf_static, 135, 148},	//465 QGlobalSpace::qSetRealNumberPrecision(int)
    {29, 326, 552, 2, Smoke::mf_static, 235, 149},	//466 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {29, 433, 259, 1, Smoke::mf_static, 316, 150},	//467 QGlobalSpace::qLn(double)
    {29, 541, 76, 1, Smoke::mf_static, 0, 151},	//468 QGlobalSpace::quick_exit(int)
    {29, 292, 382, 2, Smoke::mf_static, 235, 152},	//469 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {29, 452, 555, 1, Smoke::mf_static, 0, 153},	//470 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {29, 386, 267, 2, Smoke::mf_static, 332, 154},	//471 QGlobalSpace::qChecksum(const char*, unsigned int)
    {29, 345, 557, 2, Smoke::mf_static, 96, 155},	//472 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {29, 435, 560, 1, Smoke::mf_static, 336, 156},	//473 QGlobalSpace::qMalloc(size_t)
    {29, 447, 0, 0, Smoke::mf_static, 316, 157},	//474 QGlobalSpace::qQNaN()
    {29, 345, 562, 2, Smoke::mf_static, 89, 158},	//475 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {29, 339, 565, 2, Smoke::mf_static, 10, 159},	//476 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {29, 495, 283, 2, Smoke::mf_static, 235, 160},	//477 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {29, 316, 568, 2, Smoke::mf_static, 13, 161},	//478 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {29, 345, 571, 2, Smoke::mf_static, 106, 162},	//479 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {29, 500, 454, 1, Smoke::mf_static, 0, 163},	//480 QGlobalSpace::qsrand(unsigned int)
    {29, 417, 574, 1, Smoke::mf_static, 329, 164},	//481 QGlobalSpace::qHash(long)
    {29, 299, 576, 2, Smoke::mf_static, 274, 165},	//482 QGlobalSpace::operator*(int, const QPoint&)
    {29, 331, 254, 2, Smoke::mf_static, 235, 166},	//483 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {29, 417, 579, 1, Smoke::mf_static, 329, 167},	//484 QGlobalSpace::qHash(unsigned short)
    {29, 339, 581, 2, Smoke::mf_static, 10, 168},	//485 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {29, 292, 289, 2, Smoke::mf_static, 235, 169},	//486 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {29, 345, 584, 2, Smoke::mf_static, 80, 170},	//487 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {29, 519, 417, 3, Smoke::mf_static, 318, 171},	//488 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {29, 339, 587, 2, Smoke::mf_static, 10, 172},	//489 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {29, 326, 326, 2, Smoke::mf_static, 235, 173},	//490 QGlobalSpace::operator==(QString::Null, const QString&)
    {29, 326, 421, 2, Smoke::mf_static, 235, 174},	//491 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {29, 302, 468, 2, Smoke::mf_static, 240, 175},	//492 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {29, 417, 590, 1, Smoke::mf_static, 329, 176},	//493 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {29, 316, 592, 2, Smoke::mf_static, 10, 177},	//494 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {29, 316, 595, 2, Smoke::mf_static, 10, 178},	//495 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {29, 537, 598, 3, Smoke::mf_static, 113, 179},	//496 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {29, 345, 602, 2, Smoke::mf_static, 84, 180},	//497 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {29, 310, 605, 2, Smoke::mf_static, 276, 181},	//498 QGlobalSpace::operator/(const QPointF&, double)
    {29, 292, 608, 2, Smoke::mf_static, 235, 182},	//499 QGlobalSpace::operator!=(bool, QBool)
    {29, 517, 611, 3, Smoke::mf_static, 238, 183},	//500 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {29, 476, 126, 1, Smoke::mf_static, 5, 184},	//501 QGlobalSpace::qUncompress(const QByteArray&)
    {29, 316, 615, 2, Smoke::mf_static, 10, 185},	//502 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {29, 339, 618, 2, Smoke::mf_static, 10, 186},	//503 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {29, 345, 621, 2, Smoke::mf_static, 106, 187},	//504 QGlobalSpace::operator|(Qt::MouseButton, int)
    {29, 307, 624, 1, Smoke::mf_static, 276, 188},	//505 QGlobalSpace::operator-(const QPointF&)
    {29, 326, 608, 2, Smoke::mf_static, 235, 189},	//506 QGlobalSpace::operator==(bool, QBool)
    {29, 497, 0, 0, Smoke::mf_static, 318, 190},	//507 QGlobalSpace::qrand()
    {29, 316, 626, 2, Smoke::mf_static, 13, 191},	//508 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {29, 528, 629, 4, Smoke::mf_static, 0, 192},	//509 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {29, 299, 634, 2, Smoke::mf_static, 274, 193},	//510 QGlobalSpace::operator*(float, const QPoint&)
    {29, 297, 465, 2, Smoke::mf_static, 2, 194},	//511 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {29, 335, 283, 2, Smoke::mf_static, 235, 195},	//512 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {29, 345, 637, 2, Smoke::mf_static, 98, 196},	//513 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {29, 345, 640, 2, Smoke::mf_static, 106, 197},	//514 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {29, 292, 643, 2, Smoke::mf_static, 235, 198},	//515 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {29, 395, 0, 0, Smoke::mf_static, 13, 199},	//516 QGlobalSpace::qCritical()
    {29, 345, 646, 2, Smoke::mf_static, 92, 200},	//517 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {29, 292, 283, 2, Smoke::mf_static, 235, 201},	//518 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {29, 292, 350, 2, Smoke::mf_static, 235, 202},	//519 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {29, 326, 643, 2, Smoke::mf_static, 235, 203},	//520 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {29, 316, 649, 2, Smoke::mf_static, 10, 204},	//521 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {29, 302, 652, 2, Smoke::mf_static, 240, 205},	//522 QGlobalSpace::operator+(const QByteArray&, char)
    {29, 345, 655, 2, Smoke::mf_static, 78, 206},	//523 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {29, 345, 658, 2, Smoke::mf_static, 76, 207},	//524 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {29, 339, 661, 2, Smoke::mf_static, 10, 208},	//525 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {29, 310, 664, 2, Smoke::mf_static, 284, 209},	//526 QGlobalSpace::operator/(const QSizeF&, double)
    {29, 316, 667, 2, Smoke::mf_static, 10, 210},	//527 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {29, 326, 350, 2, Smoke::mf_static, 235, 211},	//528 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {29, 374, 670, 1, Smoke::mf_static, 0, 212},	//529 QGlobalSpace::qAddPostRoutine(void(*)())
    {29, 388, 672, 3, Smoke::mf_static, 5, 213},	//530 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {29, 388, 414, 2, Smoke::mf_static, 5, 214},	//531 QGlobalSpace::qCompress(const unsigned char*, int)
    {29, 320, 283, 2, Smoke::mf_static, 235, 215},	//532 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {29, 403, 259, 1, Smoke::mf_static, 316, 216},	//533 QGlobalSpace::qFastSin(double)
    {29, 320, 254, 2, Smoke::mf_static, 235, 217},	//534 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {29, 316, 676, 2, Smoke::mf_static, 10, 218},	//535 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {29, 339, 679, 2, Smoke::mf_static, 10, 219},	//536 QGlobalSpace::operator>>(QDataStream&, QString&)
    {29, 376, 0, 0, Smoke::mf_static, 122, 220},	//537 QGlobalSpace::qAppName()
    {29, 479, 0, 0, Smoke::mf_static, 312, 221},	//538 QGlobalSpace::qVersion()
    {29, 409, 682, 1, Smoke::mf_static, 0, 222},	//539 QGlobalSpace::qFree(void*)
    {29, 345, 684, 2, Smoke::mf_static, 106, 223},	//540 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {29, 411, 682, 1, Smoke::mf_static, 0, 224},	//541 QGlobalSpace::qFreeAligned(void*)
    {29, 326, 517, 2, Smoke::mf_static, 235, 225},	//542 QGlobalSpace::operator==(const QString&, QString::Null)
    {29, 316, 687, 2, Smoke::mf_static, 13, 226},	//543 QGlobalSpace::operator<<(QDebug, const QDir&)
    {29, 316, 690, 2, Smoke::mf_static, 132, 227},	//544 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 312, 298, 2, Smoke::mf_static, 235, 228},	//545 QGlobalSpace::operator<(const QByteArray&, const char*)
    {29, 316, 693, 2, Smoke::mf_static, 13, 229},	//546 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {29, 345, 696, 2, Smoke::mf_static, 79, 230},	//547 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {29, 417, 699, 1, Smoke::mf_static, 329, 231},	//548 QGlobalSpace::qHash(const QBitArray&)
    {29, 316, 701, 2, Smoke::mf_static, 13, 232},	//549 QGlobalSpace::operator<<(QDebug, const QTime&)
    {29, 316, 704, 2, Smoke::mf_static, 132, 233},	//550 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {29, 384, 259, 1, Smoke::mf_static, 318, 234},	//551 QGlobalSpace::qCeil(double)
    {29, 292, 315, 2, Smoke::mf_static, 235, 235},	//552 QGlobalSpace::operator!=(QChar, QChar)
    {29, 345, 707, 2, Smoke::mf_static, 91, 236},	//553 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {29, 472, 710, 2, Smoke::mf_static, 235, 237},	//554 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {29, 509, 303, 1, Smoke::mf_static, 238, 238},	//555 QGlobalSpace::qstrdup(const char*)
    {29, 339, 713, 2, Smoke::mf_static, 10, 239},	//556 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {29, 292, 490, 2, Smoke::mf_static, 235, 240},	//557 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {29, 396, 0, 0, Smoke::mf_static, 13, 241},	//558 QGlobalSpace::qDebug()
    {29, 437, 716, 2, Smoke::mf_static, 336, 242},	//559 QGlobalSpace::qMallocAligned(size_t, size_t)
    {29, 292, 710, 2, Smoke::mf_static, 235, 243},	//560 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {29, 485, 719, 6, Smoke::mf_static, 318, 244},	//561 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {29, 445, 292, 2, Smoke::mf_static, 316, 245},	//562 QGlobalSpace::qPow(double, double)
    {29, 316, 726, 2, Smoke::mf_static, 13, 246},	//563 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {29, 345, 729, 2, Smoke::mf_static, 106, 247},	//564 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {29, 339, 690, 2, Smoke::mf_static, 132, 248},	//565 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 302, 732, 2, Smoke::mf_static, 240, 249},	//566 QGlobalSpace::operator+(char, const QByteArray&)
    {29, 326, 283, 2, Smoke::mf_static, 235, 250},	//567 QGlobalSpace::operator==(const char*, const QByteArray&)
    {29, 316, 735, 2, Smoke::mf_static, 10, 251},	//568 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {29, 307, 280, 2, Smoke::mf_static, 282, 252},	//569 QGlobalSpace::operator-(const QSize&, const QSize&)
    {29, 316, 738, 2, Smoke::mf_static, 13, 253},	//570 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {29, 345, 741, 2, Smoke::mf_static, 106, 254},	//571 QGlobalSpace::operator|(Qt::WindowState, int)
    {29, 339, 744, 2, Smoke::mf_static, 10, 255},	//572 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {29, 292, 552, 2, Smoke::mf_static, 235, 256},	//573 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {29, 316, 747, 2, Smoke::mf_static, 13, 257},	//574 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {29, 345, 750, 2, Smoke::mf_static, 95, 258},	//575 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {29, 339, 753, 2, Smoke::mf_static, 10, 259},	//576 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {29, 299, 756, 2, Smoke::mf_static, 276, 260},	//577 QGlobalSpace::operator*(double, const QPointF&)
    {29, 345, 759, 2, Smoke::mf_static, 90, 261},	//578 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {29, 326, 254, 2, Smoke::mf_static, 235, 262},	//579 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {29, 299, 762, 2, Smoke::mf_static, 282, 263},	//580 QGlobalSpace::operator*(const QSize&, double)
    {29, 316, 765, 2, Smoke::mf_static, 13, 264},	//581 QGlobalSpace::operator<<(QDebug, const QDate&)
    {29, 345, 768, 2, Smoke::mf_static, 76, 265},	//582 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {29, 545, 771, 4, Smoke::mf_static, 318, 266},	//583 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {29, 299, 776, 2, Smoke::mf_static, 274, 267},	//584 QGlobalSpace::operator*(double, const QPoint&)
    {29, 441, 779, 3, Smoke::mf_static, 336, 268},	//585 QGlobalSpace::qMemSet(void*, int, size_t)
    {29, 316, 783, 2, Smoke::mf_static, 10, 269},	//586 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {29, 530, 786, 2, Smoke::mf_static, 0, 270},	//587 QGlobalSpace::qt_check_pointer(const char*, int)
    {29, 417, 789, 1, Smoke::mf_static, 329, 271},	//588 QGlobalSpace::qHash(short)
    {29, 345, 791, 2, Smoke::mf_static, 81, 272},	//589 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {29, 399, 259, 1, Smoke::mf_static, 316, 273},	//590 QGlobalSpace::qFabs(double)
    {29, 345, 794, 2, Smoke::mf_static, 89, 274},	//591 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {29, 345, 797, 2, Smoke::mf_static, 77, 275},	//592 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {29, 502, 468, 2, Smoke::mf_static, 318, 276},	//593 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {29, 413, 800, 2, Smoke::mf_static, 235, 277},	//594 QGlobalSpace::qFuzzyCompare(float, float)
    {29, 326, 803, 2, Smoke::mf_static, 235, 278},	//595 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {29, 345, 806, 2, Smoke::mf_static, 82, 279},	//596 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {29, 489, 719, 6, Smoke::mf_static, 318, 280},	//597 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {29, 491, 809, 3, Smoke::mf_static, 238, 281},	//598 QGlobalSpace::qgcvt(long double, int, char*)
    {29, 498, 813, 4, Smoke::mf_static, 0, 282},	//599 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {29, 372, 259, 1, Smoke::mf_static, 316, 283},	//600 QGlobalSpace::qAcos(double)
    {29, 345, 818, 2, Smoke::mf_static, 106, 284},	//601 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {29, 345, 821, 2, Smoke::mf_static, 93, 285},	//602 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {29, 335, 468, 2, Smoke::mf_static, 235, 286},	//603 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {29, 383, 0, 0, Smoke::mf_static, 0, 287},	//604 QGlobalSpace::qBadAlloc()
    {29, 316, 824, 2, Smoke::mf_static, 13, 288},	//605 QGlobalSpace::operator<<(QDebug, const QLine&)
    {29, 345, 827, 2, Smoke::mf_static, 99, 289},	//606 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {29, 345, 830, 2, Smoke::mf_static, 106, 290},	//607 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {29, 415, 259, 1, Smoke::mf_static, 235, 291},	//608 QGlobalSpace::qFuzzyIsNull(double)
    {29, 388, 833, 2, Smoke::mf_static, 5, 292},	//609 QGlobalSpace::qCompress(const QByteArray&, int)
    {29, 388, 126, 1, Smoke::mf_static, 5, 293},	//610 QGlobalSpace::qCompress(const QByteArray&)
    {29, 345, 836, 2, Smoke::mf_static, 87, 294},	//611 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {29, 345, 839, 2, Smoke::mf_static, 106, 295},	//612 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {29, 345, 842, 2, Smoke::mf_static, 102, 296},	//613 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {29, 345, 845, 2, Smoke::mf_static, 75, 297},	//614 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {29, 316, 848, 2, Smoke::mf_static, 10, 298},	//615 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {29, 316, 851, 2, Smoke::mf_static, 10, 299},	//616 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {29, 316, 854, 2, Smoke::mf_static, 10, 300},	//617 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {29, 377, 259, 1, Smoke::mf_static, 316, 301},	//618 QGlobalSpace::qAsin(double)
    {29, 316, 857, 2, Smoke::mf_static, 13, 302},	//619 QGlobalSpace::operator<<(QDebug, const QRect&)
    {29, 345, 860, 2, Smoke::mf_static, 77, 303},	//620 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {29, 292, 459, 2, Smoke::mf_static, 235, 304},	//621 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {29, 468, 259, 1, Smoke::mf_static, 316, 305},	//622 QGlobalSpace::qSin(double)
    {29, 345, 863, 2, Smoke::mf_static, 106, 306},	//623 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {29, 326, 468, 2, Smoke::mf_static, 235, 307},	//624 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {29, 339, 866, 2, Smoke::mf_static, 10, 308},	//625 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {29, 345, 465, 2, Smoke::mf_static, 2, 309},	//626 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {29, 316, 869, 2, Smoke::mf_static, 10, 310},	//627 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {29, 316, 872, 2, Smoke::mf_static, 10, 311},	//628 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {29, 345, 875, 2, Smoke::mf_static, 106, 312},	//629 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {29, 316, 878, 2, Smoke::mf_static, 10, 313},	//630 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {29, 523, 786, 2, Smoke::mf_static, 122, 314},	//631 QGlobalSpace::qtTrId(const char*, int)
    {29, 523, 303, 1, Smoke::mf_static, 122, 315},	//632 QGlobalSpace::qtTrId(const char*)
    {29, 316, 881, 2, Smoke::mf_static, 13, 316},	//633 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {29, 320, 315, 2, Smoke::mf_static, 235, 317},	//634 QGlobalSpace::operator<=(QChar, QChar)
    {29, 345, 884, 2, Smoke::mf_static, 102, 318},	//635 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {29, 292, 803, 2, Smoke::mf_static, 235, 319},	//636 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {29, 345, 887, 2, Smoke::mf_static, 94, 320},	//637 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {29, 339, 890, 2, Smoke::mf_static, 10, 321},	//638 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {29, 299, 893, 2, Smoke::mf_static, 274, 322},	//639 QGlobalSpace::operator*(const QPoint&, int)
    {29, 339, 896, 2, Smoke::mf_static, 10, 323},	//640 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {29, 543, 899, 3, Smoke::mf_static, 235, 324},	//641 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {29, 310, 762, 2, Smoke::mf_static, 282, 325},	//642 QGlobalSpace::operator/(const QSize&, double)
    {29, 431, 301, 1, Smoke::mf_static, 235, 326},	//643 QGlobalSpace::qIsNull(float)
    {29, 539, 903, 5, Smoke::mf_static, 0, 327},	//644 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {29, 326, 909, 2, Smoke::mf_static, 235, 328},	//645 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {29, 379, 259, 1, Smoke::mf_static, 316, 329},	//646 QGlobalSpace::qAtan(double)
    {29, 339, 912, 2, Smoke::mf_static, 10, 330},	//647 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {29, 345, 915, 2, Smoke::mf_static, 106, 331},	//648 QGlobalSpace::operator|(Qt::Orientation, int)
    {29, 413, 292, 2, Smoke::mf_static, 235, 332},	//649 QGlobalSpace::qFuzzyCompare(double, double)
    {29, 345, 918, 2, Smoke::mf_static, 91, 333},	//650 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {29, 299, 376, 2, Smoke::mf_static, 274, 334},	//651 QGlobalSpace::operator*(const QPoint&, double)
    {29, 345, 921, 2, Smoke::mf_static, 81, 335},	//652 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {29, 460, 0, 0, Smoke::mf_static, 316, 336},	//653 QGlobalSpace::qSNaN()
    {29, 326, 298, 2, Smoke::mf_static, 235, 337},	//654 QGlobalSpace::operator==(const QByteArray&, const char*)
    {29, 299, 664, 2, Smoke::mf_static, 284, 338},	//655 QGlobalSpace::operator*(const QSizeF&, double)
    {29, 326, 710, 2, Smoke::mf_static, 235, 339},	//656 QGlobalSpace::operator==(const QStringRef&, const char*)
    {29, 299, 924, 2, Smoke::mf_static, 274, 340},	//657 QGlobalSpace::operator*(const QPoint&, float)
    {29, 299, 927, 2, Smoke::mf_static, 282, 341},	//658 QGlobalSpace::operator*(double, const QSize&)
    {29, 312, 254, 2, Smoke::mf_static, 235, 342},	//659 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {29, 292, 930, 2, Smoke::mf_static, 235, 343},	//660 QGlobalSpace::operator!=(QBool, bool)
    {29, 292, 280, 2, Smoke::mf_static, 235, 344},	//661 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {29, 339, 933, 2, Smoke::mf_static, 10, 345},	//662 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {29, 316, 936, 2, Smoke::mf_static, 13, 346},	//663 QGlobalSpace::operator<<(QDebug, const QSize&)
    {29, 345, 939, 2, Smoke::mf_static, 86, 347},	//664 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {29, 299, 605, 2, Smoke::mf_static, 276, 348},	//665 QGlobalSpace::operator*(const QPointF&, double)
    {29, 511, 332, 2, Smoke::mf_static, 318, 349},	//666 QGlobalSpace::qstricmp(const char*, const char*)
    {29, 345, 942, 2, Smoke::mf_static, 97, 350},	//667 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {29, 292, 307, 2, Smoke::mf_static, 235, 351},	//668 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {29, 456, 259, 1, Smoke::mf_static, 318, 352},	//669 QGlobalSpace::qRound(double)
    {29, 420, 0, 0, Smoke::mf_static, 316, 353},	//670 QGlobalSpace::qInf()
    {29, 316, 945, 2, Smoke::mf_static, 10, 354},	//671 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {29, 345, 948, 2, Smoke::mf_static, 94, 355},	//672 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {29, 316, 951, 2, Smoke::mf_static, 10, 356},	//673 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {29, 345, 954, 2, Smoke::mf_static, 82, 357},	//674 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {29, 345, 957, 2, Smoke::mf_static, 106, 358},	//675 QGlobalSpace::operator|(Qt::WindowType, int)
    {29, 502, 298, 2, Smoke::mf_static, 318, 359},	//676 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {29, 454, 670, 1, Smoke::mf_static, 0, 360},	//677 QGlobalSpace::qRemovePostRoutine(void(*)())
    {29, 339, 960, 2, Smoke::mf_static, 10, 361},	//678 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {29, 316, 963, 2, Smoke::mf_static, 10, 362},	//679 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {29, 345, 966, 2, Smoke::mf_static, 96, 363},	//680 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {29, 345, 969, 2, Smoke::mf_static, 88, 364},	//681 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {29, 480, 0, 0, Smoke::mf_static, 13, 365},	//682 QGlobalSpace::qWarning()
    {29, 513, 303, 1, Smoke::mf_static, 329, 366},	//683 QGlobalSpace::qstrlen(const char*)
    {29, 326, 930, 2, Smoke::mf_static, 235, 367},	//684 QGlobalSpace::operator==(QBool, bool)
    {29, 339, 972, 2, Smoke::mf_static, 10, 368},	//685 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {29, 339, 975, 2, Smoke::mf_static, 10, 369},	//686 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {29, 417, 978, 1, Smoke::mf_static, 329, 370},	//687 QGlobalSpace::qHash(unsigned long)
    {29, 316, 980, 2, Smoke::mf_static, 10, 371},	//688 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {29, 345, 983, 2, Smoke::mf_static, 83, 372},	//689 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {29, 316, 986, 2, Smoke::mf_static, 10, 373},	//690 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {29, 345, 989, 2, Smoke::mf_static, 84, 374},	//691 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {29, 302, 25, 2, Smoke::mf_static, 286, 375},	//692 QGlobalSpace::operator+(const QString&, const QString&)
    {29, 292, 487, 2, Smoke::mf_static, 235, 376},	//693 QGlobalSpace::operator!=(QBool, QBool)
    {29, 345, 992, 2, Smoke::mf_static, 75, 377},	//694 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {29, 534, 995, 2, Smoke::mf_static, 0, 378},	//695 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {29, 417, 998, 1, Smoke::mf_static, 329, 379},	//696 QGlobalSpace::qHash(const QStringRef&)
    {29, 431, 259, 1, Smoke::mf_static, 235, 380},	//697 QGlobalSpace::qIsNull(double)
    {29, 345, 1000, 2, Smoke::mf_static, 106, 381},	//698 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {29, 331, 298, 2, Smoke::mf_static, 235, 382},	//699 QGlobalSpace::operator>(const QByteArray&, const char*)
    {29, 417, 1003, 1, Smoke::mf_static, 329, 383},	//700 QGlobalSpace::qHash(unsigned char)
    {29, 339, 1005, 2, Smoke::mf_static, 10, 384},	//701 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {29, 316, 1008, 2, Smoke::mf_static, 13, 385},	//702 QGlobalSpace::operator<<(QDebug, const QObject*)
    {29, 345, 1011, 2, Smoke::mf_static, 106, 386},	//703 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {29, 292, 468, 2, Smoke::mf_static, 235, 387},	//704 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {29, 339, 1014, 2, Smoke::mf_static, 10, 388},	//705 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {29, 316, 1017, 2, Smoke::mf_static, 10, 389},	//706 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {29, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 390},	//707 QGlobalSpace::_ISupper (enum)
    {29, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 391},	//708 QGlobalSpace::_ISlower (enum)
    {29, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 392},	//709 QGlobalSpace::_ISalpha (enum)
    {29, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 393},	//710 QGlobalSpace::_ISdigit (enum)
    {29, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 394},	//711 QGlobalSpace::_ISxdigit (enum)
    {29, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 395},	//712 QGlobalSpace::_ISspace (enum)
    {29, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 396},	//713 QGlobalSpace::_ISprint (enum)
    {29, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 397},	//714 QGlobalSpace::_ISgraph (enum)
    {29, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 398},	//715 QGlobalSpace::_ISblank (enum)
    {29, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 399},	//716 QGlobalSpace::_IScntrl (enum)
    {29, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 400},	//717 QGlobalSpace::_ISpunct (enum)
    {29, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 401},	//718 QGlobalSpace::_ISalnum (enum)
    {29, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 402},	//719 QGlobalSpace::QtDebugMsg (enum)
    {29, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 403},	//720 QGlobalSpace::QtWarningMsg (enum)
    {29, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 404},	//721 QGlobalSpace::QtCriticalMsg (enum)
    {29, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 405},	//722 QGlobalSpace::QtFatalMsg (enum)
    {29, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 406},	//723 QGlobalSpace::QtSystemMsg (enum)
    {29, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 407},	//724 QGlobalSpace::__codecvt_ok (enum)
    {29, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 408},	//725 QGlobalSpace::__codecvt_partial (enum)
    {29, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 409},	//726 QGlobalSpace::__codecvt_error (enum)
    {29, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 410},	//727 QGlobalSpace::__codecvt_noconv (enum)
    {59, 56, 0, 0, Smoke::mf_ctor, 143, 1},	//728 QXmlAttributes::QXmlAttributes()
    {59, 232, 3, 1, Smoke::mf_const, 318, 2},	//729 QXmlAttributes::index(const QString&) const
    {59, 232, 1020, 1, Smoke::mf_const, 318, 3},	//730 QXmlAttributes::index(const QLatin1String&) const
    {59, 232, 25, 2, Smoke::mf_const, 318, 4},	//731 QXmlAttributes::index(const QString&, const QString&) const
    {59, 268, 0, 0, Smoke::mf_const, 318, 5},	//732 QXmlAttributes::length() const
    {59, 148, 0, 0, Smoke::mf_const, 318, 6},	//733 QXmlAttributes::count() const
    {59, 271, 76, 1, Smoke::mf_const, 122, 7},	//734 QXmlAttributes::localName(int) const
    {59, 443, 76, 1, Smoke::mf_const, 122, 8},	//735 QXmlAttributes::qName(int) const
    {59, 685, 76, 1, Smoke::mf_const, 122, 9},	//736 QXmlAttributes::uri(int) const
    {59, 680, 76, 1, Smoke::mf_const, 122, 10},	//737 QXmlAttributes::type(int) const
    {59, 680, 3, 1, Smoke::mf_const, 122, 11},	//738 QXmlAttributes::type(const QString&) const
    {59, 680, 25, 2, Smoke::mf_const, 122, 12},	//739 QXmlAttributes::type(const QString&, const QString&) const
    {59, 687, 76, 1, Smoke::mf_const, 122, 13},	//740 QXmlAttributes::value(int) const
    {59, 687, 3, 1, Smoke::mf_const, 122, 14},	//741 QXmlAttributes::value(const QString&) const
    {59, 687, 1020, 1, Smoke::mf_const, 122, 15},	//742 QXmlAttributes::value(const QLatin1String&) const
    {59, 687, 25, 2, Smoke::mf_const, 122, 16},	//743 QXmlAttributes::value(const QString&, const QString&) const
    {59, 138, 0, 0, 0, 0, 17},	//744 QXmlAttributes::clear()
    {59, 112, 1022, 4, 0, 0, 18},	//745 QXmlAttributes::append(const QString&, const QString&, const QString&, const QString&)
    {59, 56, 1027, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 19},	//746 QXmlAttributes::QXmlAttributes(const QXmlAttributes&)
    {59, 750, 0, 0, Smoke::mf_dtor, 0, 20 },	//747 QXmlAttributes::~QXmlAttributes()
    {60, 610, 1029, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//748 QXmlContentHandler::setDocumentLocator(QXmlLocator*) [pure virtual]
    {60, 650, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 2},	//749 QXmlContentHandler::startDocument() [pure virtual]
    {60, 187, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 3},	//750 QXmlContentHandler::endDocument() [pure virtual]
    {60, 655, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 4},	//751 QXmlContentHandler::startPrefixMapping(const QString&, const QString&) [pure virtual]
    {60, 192, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 5},	//752 QXmlContentHandler::endPrefixMapping(const QString&) [pure virtual]
    {60, 651, 1031, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 6},	//753 QXmlContentHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&) [pure virtual]
    {60, 188, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 7},	//754 QXmlContentHandler::endElement(const QString&, const QString&, const QString&) [pure virtual]
    {60, 135, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 8},	//755 QXmlContentHandler::characters(const QString&) [pure virtual]
    {60, 226, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 9},	//756 QXmlContentHandler::ignorableWhitespace(const QString&) [pure virtual]
    {60, 365, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 10},	//757 QXmlContentHandler::processingInstruction(const QString&, const QString&) [pure virtual]
    {60, 640, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 11},	//758 QXmlContentHandler::skippedEntity(const QString&) [pure virtual]
    {60, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 12},	//759 QXmlContentHandler::errorString() const [pure virtual]
    {60, 58, 0, 0, Smoke::mf_ctor, 144, 13},	//760 QXmlContentHandler::QXmlContentHandler()
    {60, 58, 1036, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 14},	//761 QXmlContentHandler::QXmlContentHandler(const QXmlContentHandler&)
    {60, 751, 0, 0, Smoke::mf_dtor, 0, 15 },	//762 QXmlContentHandler::~QXmlContentHandler()
    {61, 288, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//763 QXmlDTDHandler::notationDecl(const QString&, const QString&, const QString&) [pure virtual]
    {61, 683, 1022, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 2},	//764 QXmlDTDHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {61, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 3},	//765 QXmlDTDHandler::errorString() const [pure virtual]
    {61, 60, 0, 0, Smoke::mf_ctor, 145, 4},	//766 QXmlDTDHandler::QXmlDTDHandler()
    {61, 60, 1038, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 5},	//767 QXmlDTDHandler::QXmlDTDHandler(const QXmlDTDHandler&)
    {61, 752, 0, 0, Smoke::mf_dtor, 0, 6 },	//768 QXmlDTDHandler::~QXmlDTDHandler()
    {62, 123, 1040, 5, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//769 QXmlDeclHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {62, 242, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 2},	//770 QXmlDeclHandler::internalEntityDecl(const QString&, const QString&) [pure virtual]
    {62, 200, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 3},	//771 QXmlDeclHandler::externalEntityDecl(const QString&, const QString&, const QString&) [pure virtual]
    {62, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//772 QXmlDeclHandler::errorString() const [pure virtual]
    {62, 62, 0, 0, Smoke::mf_ctor, 146, 5},	//773 QXmlDeclHandler::QXmlDeclHandler()
    {62, 62, 1046, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 6},	//774 QXmlDeclHandler::QXmlDeclHandler(const QXmlDeclHandler&)
    {62, 753, 0, 0, Smoke::mf_dtor, 0, 7 },	//775 QXmlDeclHandler::~QXmlDeclHandler()
    {63, 64, 0, 0, Smoke::mf_ctor, 147, 1},	//776 QXmlDefaultHandler::QXmlDefaultHandler()
    {63, 610, 1029, 1, Smoke::mf_virtual, 0, 2},	//777 QXmlDefaultHandler::setDocumentLocator(QXmlLocator*)
    {63, 650, 0, 0, Smoke::mf_virtual, 235, 3},	//778 QXmlDefaultHandler::startDocument()
    {63, 187, 0, 0, Smoke::mf_virtual, 235, 4},	//779 QXmlDefaultHandler::endDocument()
    {63, 655, 25, 2, Smoke::mf_virtual, 235, 5},	//780 QXmlDefaultHandler::startPrefixMapping(const QString&, const QString&)
    {63, 192, 3, 1, Smoke::mf_virtual, 235, 6},	//781 QXmlDefaultHandler::endPrefixMapping(const QString&)
    {63, 651, 1031, 4, Smoke::mf_virtual, 235, 7},	//782 QXmlDefaultHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&)
    {63, 188, 218, 3, Smoke::mf_virtual, 235, 8},	//783 QXmlDefaultHandler::endElement(const QString&, const QString&, const QString&)
    {63, 135, 3, 1, Smoke::mf_virtual, 235, 9},	//784 QXmlDefaultHandler::characters(const QString&)
    {63, 226, 3, 1, Smoke::mf_virtual, 235, 10},	//785 QXmlDefaultHandler::ignorableWhitespace(const QString&)
    {63, 365, 25, 2, Smoke::mf_virtual, 235, 11},	//786 QXmlDefaultHandler::processingInstruction(const QString&, const QString&)
    {63, 640, 3, 1, Smoke::mf_virtual, 235, 12},	//787 QXmlDefaultHandler::skippedEntity(const QString&)
    {63, 691, 1048, 1, Smoke::mf_virtual, 235, 13},	//788 QXmlDefaultHandler::warning(const QXmlParseException&)
    {63, 196, 1048, 1, Smoke::mf_virtual, 235, 14},	//789 QXmlDefaultHandler::error(const QXmlParseException&)
    {63, 202, 1048, 1, Smoke::mf_virtual, 235, 15},	//790 QXmlDefaultHandler::fatalError(const QXmlParseException&)
    {63, 288, 218, 3, Smoke::mf_virtual, 235, 16},	//791 QXmlDefaultHandler::notationDecl(const QString&, const QString&, const QString&)
    {63, 683, 1022, 4, Smoke::mf_virtual, 235, 17},	//792 QXmlDefaultHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&)
    {63, 564, 1050, 3, Smoke::mf_virtual, 235, 18},	//793 QXmlDefaultHandler::resolveEntity(const QString&, const QString&, QXmlInputSource*&)
    {63, 648, 218, 3, Smoke::mf_virtual, 235, 19},	//794 QXmlDefaultHandler::startDTD(const QString&, const QString&, const QString&)
    {63, 186, 0, 0, Smoke::mf_virtual, 235, 20},	//795 QXmlDefaultHandler::endDTD()
    {63, 653, 3, 1, Smoke::mf_virtual, 235, 21},	//796 QXmlDefaultHandler::startEntity(const QString&)
    {63, 190, 3, 1, Smoke::mf_virtual, 235, 22},	//797 QXmlDefaultHandler::endEntity(const QString&)
    {63, 647, 0, 0, Smoke::mf_virtual, 235, 23},	//798 QXmlDefaultHandler::startCDATA()
    {63, 185, 0, 0, Smoke::mf_virtual, 235, 24},	//799 QXmlDefaultHandler::endCDATA()
    {63, 143, 3, 1, Smoke::mf_virtual, 235, 25},	//800 QXmlDefaultHandler::comment(const QString&)
    {63, 123, 1040, 5, Smoke::mf_virtual, 235, 26},	//801 QXmlDefaultHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&)
    {63, 242, 25, 2, Smoke::mf_virtual, 235, 27},	//802 QXmlDefaultHandler::internalEntityDecl(const QString&, const QString&)
    {63, 200, 218, 3, Smoke::mf_virtual, 235, 28},	//803 QXmlDefaultHandler::externalEntityDecl(const QString&, const QString&, const QString&)
    {63, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 29},	//804 QXmlDefaultHandler::errorString() const
    {63, 754, 0, 0, Smoke::mf_dtor, 0, 30 },	//805 QXmlDefaultHandler::~QXmlDefaultHandler()
    {64, 564, 1050, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//806 QXmlEntityResolver::resolveEntity(const QString&, const QString&, QXmlInputSource*&) [pure virtual]
    {64, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 2},	//807 QXmlEntityResolver::errorString() const [pure virtual]
    {64, 65, 0, 0, Smoke::mf_ctor, 148, 3},	//808 QXmlEntityResolver::QXmlEntityResolver()
    {64, 65, 1054, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 4},	//809 QXmlEntityResolver::QXmlEntityResolver(const QXmlEntityResolver&)
    {64, 755, 0, 0, Smoke::mf_dtor, 0, 5 },	//810 QXmlEntityResolver::~QXmlEntityResolver()
    {65, 691, 1048, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//811 QXmlErrorHandler::warning(const QXmlParseException&) [pure virtual]
    {65, 196, 1048, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 2},	//812 QXmlErrorHandler::error(const QXmlParseException&) [pure virtual]
    {65, 202, 1048, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 3},	//813 QXmlErrorHandler::fatalError(const QXmlParseException&) [pure virtual]
    {65, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//814 QXmlErrorHandler::errorString() const [pure virtual]
    {65, 67, 0, 0, Smoke::mf_ctor, 149, 5},	//815 QXmlErrorHandler::QXmlErrorHandler()
    {65, 67, 1056, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 6},	//816 QXmlErrorHandler::QXmlErrorHandler(const QXmlErrorHandler&)
    {65, 756, 0, 0, Smoke::mf_dtor, 0, 7 },	//817 QXmlErrorHandler::~QXmlErrorHandler()
    {66, 69, 0, 0, Smoke::mf_ctor, 150, 1},	//818 QXmlInputSource::QXmlInputSource()
    {66, 69, 142, 1, Smoke::mf_ctor, 150, 2},	//819 QXmlInputSource::QXmlInputSource(QIODevice*)
    {66, 603, 3, 1, Smoke::mf_virtual, 0, 3},	//820 QXmlInputSource::setData(const QString&)
    {66, 603, 126, 1, Smoke::mf_virtual, 0, 4},	//821 QXmlInputSource::setData(const QByteArray&)
    {66, 207, 0, 0, Smoke::mf_virtual, 0, 5},	//822 QXmlInputSource::fetchData()
    {66, 172, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 6},	//823 QXmlInputSource::data() const
    {66, 280, 0, 0, Smoke::mf_virtual, 8, 7},	//824 QXmlInputSource::next()
    {66, 563, 0, 0, Smoke::mf_virtual, 0, 8},	//825 QXmlInputSource::reset()
    {66, 211, 78, 2, Smoke::mf_protected|Smoke::mf_virtual, 122, 9},	//826 QXmlInputSource::fromRawData(const QByteArray&, bool)
    {66, 69, 1058, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 10},	//827 QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    {66, 211, 126, 1, Smoke::mf_protected, 122, 11},	//828 QXmlInputSource::fromRawData(const QByteArray&)
    {66, 15, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 314, 12},	//829 QXmlInputSource::EndOfData() const
    {66, 16, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 314, 13},	//830 QXmlInputSource::EndOfDocument() const
    {66, 757, 0, 0, Smoke::mf_dtor, 0, 14 },	//831 QXmlInputSource::~QXmlInputSource()
    {67, 648, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//832 QXmlLexicalHandler::startDTD(const QString&, const QString&, const QString&) [pure virtual]
    {67, 186, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 2},	//833 QXmlLexicalHandler::endDTD() [pure virtual]
    {67, 653, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 3},	//834 QXmlLexicalHandler::startEntity(const QString&) [pure virtual]
    {67, 190, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 4},	//835 QXmlLexicalHandler::endEntity(const QString&) [pure virtual]
    {67, 647, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 5},	//836 QXmlLexicalHandler::startCDATA() [pure virtual]
    {67, 185, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 6},	//837 QXmlLexicalHandler::endCDATA() [pure virtual]
    {67, 143, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 7},	//838 QXmlLexicalHandler::comment(const QString&) [pure virtual]
    {67, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 8},	//839 QXmlLexicalHandler::errorString() const [pure virtual]
    {67, 71, 0, 0, Smoke::mf_ctor, 152, 9},	//840 QXmlLexicalHandler::QXmlLexicalHandler()
    {67, 71, 1060, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 10},	//841 QXmlLexicalHandler::QXmlLexicalHandler(const QXmlLexicalHandler&)
    {67, 758, 0, 0, Smoke::mf_dtor, 0, 11 },	//842 QXmlLexicalHandler::~QXmlLexicalHandler()
    {68, 73, 0, 0, Smoke::mf_ctor, 153, 1},	//843 QXmlLocator::QXmlLocator()
    {68, 142, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 318, 2},	//844 QXmlLocator::columnNumber() const [pure virtual]
    {68, 270, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 318, 3},	//845 QXmlLocator::lineNumber() const [pure virtual]
    {68, 73, 1062, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 153, 4},	//846 QXmlLocator::QXmlLocator(const QXmlLocator&)
    {68, 759, 0, 0, Smoke::mf_dtor, 0, 5 },	//847 QXmlLocator::~QXmlLocator()
    {69, 75, 0, 0, Smoke::mf_ctor, 154, 1},	//848 QXmlNamespaceSupport::QXmlNamespaceSupport()
    {69, 630, 25, 2, 0, 0, 2},	//849 QXmlNamespaceSupport::setPrefix(const QString&, const QString&)
    {69, 356, 3, 1, Smoke::mf_const, 122, 3},	//850 QXmlNamespaceSupport::prefix(const QString&) const
    {69, 685, 3, 1, Smoke::mf_const, 122, 4},	//851 QXmlNamespaceSupport::uri(const QString&) const
    {69, 643, 1064, 3, Smoke::mf_const, 0, 5},	//852 QXmlNamespaceSupport::splitName(const QString&, QString&, QString&) const
    {69, 363, 1068, 4, Smoke::mf_const, 0, 6},	//853 QXmlNamespaceSupport::processName(const QString&, bool, QString&, QString&) const
    {69, 358, 0, 0, Smoke::mf_const, 127, 7},	//854 QXmlNamespaceSupport::prefixes() const
    {69, 358, 3, 1, Smoke::mf_const, 127, 8},	//855 QXmlNamespaceSupport::prefixes(const QString&) const
    {69, 371, 0, 0, 0, 0, 9},	//856 QXmlNamespaceSupport::pushContext()
    {69, 355, 0, 0, 0, 0, 10},	//857 QXmlNamespaceSupport::popContext()
    {69, 563, 0, 0, 0, 0, 11},	//858 QXmlNamespaceSupport::reset()
    {69, 760, 0, 0, Smoke::mf_dtor, 0, 12 },	//859 QXmlNamespaceSupport::~QXmlNamespaceSupport()
    {70, 76, 1073, 5, Smoke::mf_ctor, 155, 1},	//860 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&, const QString&)
    {70, 76, 1048, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 155, 2},	//861 QXmlParseException::QXmlParseException(const QXmlParseException&)
    {70, 142, 0, 0, Smoke::mf_const, 318, 3},	//862 QXmlParseException::columnNumber() const
    {70, 270, 0, 0, Smoke::mf_const, 318, 4},	//863 QXmlParseException::lineNumber() const
    {70, 370, 0, 0, Smoke::mf_const, 122, 5},	//864 QXmlParseException::publicId() const
    {70, 659, 0, 0, Smoke::mf_const, 122, 6},	//865 QXmlParseException::systemId() const
    {70, 273, 0, 0, Smoke::mf_const, 122, 7},	//866 QXmlParseException::message() const
    {70, 76, 0, 0, Smoke::mf_ctor, 155, 8},	//867 QXmlParseException::QXmlParseException()
    {70, 76, 3, 1, Smoke::mf_ctor, 155, 9},	//868 QXmlParseException::QXmlParseException(const QString&)
    {70, 76, 173, 2, Smoke::mf_ctor, 155, 10},	//869 QXmlParseException::QXmlParseException(const QString&, int)
    {70, 76, 1079, 3, Smoke::mf_ctor, 155, 11},	//870 QXmlParseException::QXmlParseException(const QString&, int, int)
    {70, 76, 1083, 4, Smoke::mf_ctor, 155, 12},	//871 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&)
    {70, 761, 0, 0, Smoke::mf_dtor, 0, 13 },	//872 QXmlParseException::~QXmlParseException()
    {71, 204, 1088, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//873 QXmlReader::feature(const QString&, bool*) const [pure virtual]
    {71, 616, 90, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//874 QXmlReader::setFeature(const QString&, bool) [pure virtual]
    {71, 221, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 3},	//875 QXmlReader::hasFeature(const QString&) const [pure virtual]
    {71, 367, 1088, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 336, 4},	//876 QXmlReader::property(const QString&, bool*) const [pure virtual]
    {71, 633, 1091, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//877 QXmlReader::setProperty(const QString&, void*) [pure virtual]
    {71, 224, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 6},	//878 QXmlReader::hasProperty(const QString&) const [pure virtual]
    {71, 612, 1094, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//879 QXmlReader::setEntityResolver(QXmlEntityResolver*) [pure virtual]
    {71, 195, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 8},	//880 QXmlReader::entityResolver() const [pure virtual]
    {71, 601, 1096, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//881 QXmlReader::setDTDHandler(QXmlDTDHandler*) [pure virtual]
    {71, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 145, 10},	//882 QXmlReader::DTDHandler() const [pure virtual]
    {71, 599, 1098, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//883 QXmlReader::setContentHandler(QXmlContentHandler*) [pure virtual]
    {71, 147, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 144, 12},	//884 QXmlReader::contentHandler() const [pure virtual]
    {71, 614, 1100, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//885 QXmlReader::setErrorHandler(QXmlErrorHandler*) [pure virtual]
    {71, 198, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 149, 14},	//886 QXmlReader::errorHandler() const [pure virtual]
    {71, 622, 1102, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//887 QXmlReader::setLexicalHandler(QXmlLexicalHandler*) [pure virtual]
    {71, 269, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 152, 16},	//888 QXmlReader::lexicalHandler() const [pure virtual]
    {71, 606, 1104, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//889 QXmlReader::setDeclHandler(QXmlDeclHandler*) [pure virtual]
    {71, 173, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 18},	//890 QXmlReader::declHandler() const [pure virtual]
    {71, 351, 1058, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 19},	//891 QXmlReader::parse(const QXmlInputSource&) [pure virtual]
    {71, 351, 1106, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 20},	//892 QXmlReader::parse(const QXmlInputSource*) [pure virtual]
    {71, 83, 0, 0, Smoke::mf_ctor, 156, 21},	//893 QXmlReader::QXmlReader()
    {71, 83, 1108, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 22},	//894 QXmlReader::QXmlReader(const QXmlReader&)
    {71, 204, 3, 1, Smoke::mf_const, 235, 23},	//895 QXmlReader::feature(const QString&) const
    {71, 367, 3, 1, Smoke::mf_const, 336, 24},	//896 QXmlReader::property(const QString&) const
    {71, 762, 0, 0, Smoke::mf_dtor, 0, 25 },	//897 QXmlReader::~QXmlReader()
    {72, 85, 0, 0, Smoke::mf_ctor, 157, 1},	//898 QXmlSimpleReader::QXmlSimpleReader()
    {72, 204, 1088, 2, Smoke::mf_const|Smoke::mf_virtual, 235, 2},	//899 QXmlSimpleReader::feature(const QString&, bool*) const
    {72, 616, 90, 2, Smoke::mf_virtual, 0, 3},	//900 QXmlSimpleReader::setFeature(const QString&, bool)
    {72, 221, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 235, 4},	//901 QXmlSimpleReader::hasFeature(const QString&) const
    {72, 367, 1088, 2, Smoke::mf_const|Smoke::mf_virtual, 336, 5},	//902 QXmlSimpleReader::property(const QString&, bool*) const
    {72, 633, 1091, 2, Smoke::mf_virtual, 0, 6},	//903 QXmlSimpleReader::setProperty(const QString&, void*)
    {72, 224, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 235, 7},	//904 QXmlSimpleReader::hasProperty(const QString&) const
    {72, 612, 1094, 1, Smoke::mf_virtual, 0, 8},	//905 QXmlSimpleReader::setEntityResolver(QXmlEntityResolver*)
    {72, 195, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 148, 9},	//906 QXmlSimpleReader::entityResolver() const
    {72, 601, 1096, 1, Smoke::mf_virtual, 0, 10},	//907 QXmlSimpleReader::setDTDHandler(QXmlDTDHandler*)
    {72, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 11},	//908 QXmlSimpleReader::DTDHandler() const
    {72, 599, 1098, 1, Smoke::mf_virtual, 0, 12},	//909 QXmlSimpleReader::setContentHandler(QXmlContentHandler*)
    {72, 147, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 144, 13},	//910 QXmlSimpleReader::contentHandler() const
    {72, 614, 1100, 1, Smoke::mf_virtual, 0, 14},	//911 QXmlSimpleReader::setErrorHandler(QXmlErrorHandler*)
    {72, 198, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 149, 15},	//912 QXmlSimpleReader::errorHandler() const
    {72, 622, 1102, 1, Smoke::mf_virtual, 0, 16},	//913 QXmlSimpleReader::setLexicalHandler(QXmlLexicalHandler*)
    {72, 269, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 152, 17},	//914 QXmlSimpleReader::lexicalHandler() const
    {72, 606, 1104, 1, Smoke::mf_virtual, 0, 18},	//915 QXmlSimpleReader::setDeclHandler(QXmlDeclHandler*)
    {72, 173, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 146, 19},	//916 QXmlSimpleReader::declHandler() const
    {72, 351, 1058, 1, Smoke::mf_virtual, 235, 20},	//917 QXmlSimpleReader::parse(const QXmlInputSource&)
    {72, 351, 1106, 1, Smoke::mf_virtual, 235, 21},	//918 QXmlSimpleReader::parse(const QXmlInputSource*)
    {72, 351, 1110, 2, Smoke::mf_virtual, 235, 22},	//919 QXmlSimpleReader::parse(const QXmlInputSource*, bool)
    {72, 354, 0, 0, Smoke::mf_virtual, 235, 23},	//920 QXmlSimpleReader::parseContinue()
    {72, 204, 3, 1, Smoke::mf_const, 235, 24},	//921 QXmlSimpleReader::feature(const QString&) const
    {72, 367, 3, 1, Smoke::mf_const, 336, 25},	//922 QXmlSimpleReader::property(const QString&) const
    {72, 763, 0, 0, Smoke::mf_dtor, 0, 26 },	//923 QXmlSimpleReader::~QXmlSimpleReader()
    {76, 86, 0, 0, Smoke::mf_ctor, 158, 1},	//924 QXmlStreamWriter::QXmlStreamWriter()
    {76, 86, 142, 1, Smoke::mf_ctor, 158, 2},	//925 QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    {76, 86, 1113, 1, Smoke::mf_ctor, 158, 3},	//926 QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    {76, 86, 1115, 1, Smoke::mf_ctor, 158, 4},	//927 QXmlStreamWriter::QXmlStreamWriter(QString*)
    {76, 608, 142, 1, 0, 0, 5},	//928 QXmlStreamWriter::setDevice(QIODevice*)
    {76, 176, 0, 0, Smoke::mf_const, 104, 6},	//929 QXmlStreamWriter::device() const
    {76, 581, 1117, 1, 0, 0, 7},	//930 QXmlStreamWriter::setCodec(QTextCodec*)
    {76, 581, 303, 1, 0, 0, 8},	//931 QXmlStreamWriter::setCodec(const char*)
    {76, 141, 0, 0, Smoke::mf_const, 130, 9},	//932 QXmlStreamWriter::codec() const
    {76, 577, 235, 1, 0, 0, 10},	//933 QXmlStreamWriter::setAutoFormatting(bool)
    {76, 133, 0, 0, Smoke::mf_const, 235, 11},	//934 QXmlStreamWriter::autoFormatting() const
    {76, 579, 76, 1, 0, 0, 12},	//935 QXmlStreamWriter::setAutoFormattingIndent(int)
    {76, 134, 0, 0, Smoke::mf_const, 318, 13},	//936 QXmlStreamWriter::autoFormattingIndent() const
    {76, 693, 25, 2, 0, 0, 14},	//937 QXmlStreamWriter::writeAttribute(const QString&, const QString&)
    {76, 693, 218, 3, 0, 0, 15},	//938 QXmlStreamWriter::writeAttribute(const QString&, const QString&, const QString&)
    {76, 693, 1119, 1, 0, 0, 16},	//939 QXmlStreamWriter::writeAttribute(const QXmlStreamAttribute&)
    {76, 697, 1121, 1, 0, 0, 17},	//940 QXmlStreamWriter::writeAttributes(const QXmlStreamAttributes&)
    {76, 699, 3, 1, 0, 0, 18},	//941 QXmlStreamWriter::writeCDATA(const QString&)
    {76, 701, 3, 1, 0, 0, 19},	//942 QXmlStreamWriter::writeCharacters(const QString&)
    {76, 703, 3, 1, 0, 0, 20},	//943 QXmlStreamWriter::writeComment(const QString&)
    {76, 707, 3, 1, 0, 0, 21},	//944 QXmlStreamWriter::writeDTD(const QString&)
    {76, 711, 3, 1, 0, 0, 22},	//945 QXmlStreamWriter::writeEmptyElement(const QString&)
    {76, 711, 25, 2, 0, 0, 23},	//946 QXmlStreamWriter::writeEmptyElement(const QString&, const QString&)
    {76, 730, 25, 2, 0, 0, 24},	//947 QXmlStreamWriter::writeTextElement(const QString&, const QString&)
    {76, 730, 218, 3, 0, 0, 25},	//948 QXmlStreamWriter::writeTextElement(const QString&, const QString&, const QString&)
    {76, 714, 0, 0, 0, 0, 26},	//949 QXmlStreamWriter::writeEndDocument()
    {76, 715, 0, 0, 0, 0, 27},	//950 QXmlStreamWriter::writeEndElement()
    {76, 716, 3, 1, 0, 0, 28},	//951 QXmlStreamWriter::writeEntityReference(const QString&)
    {76, 718, 25, 2, 0, 0, 29},	//952 QXmlStreamWriter::writeNamespace(const QString&, const QString&)
    {76, 709, 3, 1, 0, 0, 30},	//953 QXmlStreamWriter::writeDefaultNamespace(const QString&)
    {76, 721, 25, 2, 0, 0, 31},	//954 QXmlStreamWriter::writeProcessingInstruction(const QString&, const QString&)
    {76, 724, 0, 0, 0, 0, 32},	//955 QXmlStreamWriter::writeStartDocument()
    {76, 724, 3, 1, 0, 0, 33},	//956 QXmlStreamWriter::writeStartDocument(const QString&)
    {76, 724, 90, 2, 0, 0, 34},	//957 QXmlStreamWriter::writeStartDocument(const QString&, bool)
    {76, 727, 3, 1, 0, 0, 35},	//958 QXmlStreamWriter::writeStartElement(const QString&)
    {76, 727, 25, 2, 0, 0, 36},	//959 QXmlStreamWriter::writeStartElement(const QString&, const QString&)
    {76, 705, 1123, 1, 0, 0, 37},	//960 QXmlStreamWriter::writeCurrentToken(const QXmlStreamReader&)
    {76, 220, 0, 0, Smoke::mf_const, 235, 38},	//961 QXmlStreamWriter::hasError() const
    {76, 718, 3, 1, 0, 0, 39},	//962 QXmlStreamWriter::writeNamespace(const QString&)
    {76, 721, 3, 1, 0, 0, 40},	//963 QXmlStreamWriter::writeProcessingInstruction(const QString&)
    {76, 764, 0, 0, Smoke::mf_dtor, 0, 41 },	//964 QXmlStreamWriter::~QXmlStreamWriter()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    737,  // QXmlAttributes::type(int) const
    738,  // QXmlAttributes::type(const QString&) const
    0,
    740,  // QXmlAttributes::value(int) const
    741,  // QXmlAttributes::value(const QString&) const
    0,
    925,  // QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    926,  // QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    0,
    819,  // QXmlInputSource::QXmlInputSource(QIODevice*)
    827,  // QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    0,
    362,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    396,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    404,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    447,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    469,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    486,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    515,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    519,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    552,  // QGlobalSpace::operator!=(QChar, QChar)
    573,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    621,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    636,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    661,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    693,  // QGlobalSpace::operator!=(QBool, QBool)
    704,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    351,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    369,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    381,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    560,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    660,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    443,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    499,  // QGlobalSpace::operator!=(bool, QBool)
    518,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    557,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    668,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    580,  // QGlobalSpace::operator*(const QSize&, double)
    639,  // QGlobalSpace::operator*(const QPoint&, int)
    651,  // QGlobalSpace::operator*(const QPoint&, double)
    655,  // QGlobalSpace::operator*(const QSizeF&, double)
    657,  // QGlobalSpace::operator*(const QPoint&, float)
    665,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    359,  // QGlobalSpace::operator*(double, const QSizeF&)
    482,  // QGlobalSpace::operator*(int, const QPoint&)
    510,  // QGlobalSpace::operator*(float, const QPoint&)
    577,  // QGlobalSpace::operator*(double, const QPointF&)
    584,  // QGlobalSpace::operator*(double, const QPoint&)
    658,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    375,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    387,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    391,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    457,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    492,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    406,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    437,  // QGlobalSpace::operator+(QChar, const QString&)
    522,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    329,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    403,  // QGlobalSpace::operator+(const QString&, QChar)
    566,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    460,  // QGlobalSpace::operator-(const QPoint&)
    505,  // QGlobalSpace::operator-(const QPointF&)
    0,
    364,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    377,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    448,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    569,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    374,  // QGlobalSpace::operator/(const QPoint&, double)
    498,  // QGlobalSpace::operator/(const QPointF&, double)
    526,  // QGlobalSpace::operator/(const QSizeF&, double)
    642,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    349,  // QGlobalSpace::operator<(QChar, QChar)
    451,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    659,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    348,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    363,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    365,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    371,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    378,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    383,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    384,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    400,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    421,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    422,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    462,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    495,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    502,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    508,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    527,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    535,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    543,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    544,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    546,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    549,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    550,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    563,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    568,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    570,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    581,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    586,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    605,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    615,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    616,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    617,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    619,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    627,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    628,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    630,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    633,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    663,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    673,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    679,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    688,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    690,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    702,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    706,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    326,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    478,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    494,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    574,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    671,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    433,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    534,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    634,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    328,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    332,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    343,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    344,  // QGlobalSpace::operator==(QChar, QChar)
    415,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    429,  // QGlobalSpace::operator==(QBool, QBool)
    449,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    459,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    466,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    491,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    520,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    528,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    579,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    595,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    624,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    645,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    327,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    490,  // QGlobalSpace::operator==(QString::Null, const QString&)
    654,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    656,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    684,  // QGlobalSpace::operator==(QBool, bool)
    0,
    339,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    430,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    506,  // QGlobalSpace::operator==(bool, QBool)
    542,  // QGlobalSpace::operator==(const QString&, QString::Null)
    567,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    357,  // QGlobalSpace::operator>(QChar, QChar)
    418,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    483,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    318,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    350,  // QGlobalSpace::operator>=(QChar, QChar)
    603,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    334,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    401,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    428,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    440,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    485,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    489,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    503,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    525,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    556,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    565,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    572,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    576,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    625,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    638,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    647,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    662,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    678,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    685,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    686,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    701,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    705,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    536,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    640,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    321,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    322,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    330,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    345,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    353,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    356,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    358,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    361,  // QGlobalSpace::operator|(QDir::Filter, int)
    366,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    367,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    370,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    372,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    373,  // QGlobalSpace::operator|(QFile::Permission, int)
    376,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    382,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    385,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    386,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    388,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    392,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    398,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    407,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    408,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    411,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    416,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    431,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    435,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    438,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    439,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    445,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    446,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    450,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    452,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    454,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    458,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    461,  // QGlobalSpace::operator|(Qt::DropAction, int)
    463,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    472,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    475,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    479,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    487,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    497,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    504,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    513,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    514,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    517,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    523,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    524,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    540,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    547,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    553,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    564,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    571,  // QGlobalSpace::operator|(Qt::WindowState, int)
    575,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    578,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    582,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    589,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    591,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    592,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    596,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    601,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    602,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    606,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    607,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    611,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    612,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    613,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    614,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    620,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    623,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    629,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    635,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    637,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    648,  // QGlobalSpace::operator|(Qt::Orientation, int)
    650,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    652,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    664,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    667,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    672,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    674,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    675,  // QGlobalSpace::operator|(Qt::WindowType, int)
    680,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    681,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    689,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    691,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    694,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    698,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    703,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    594,  // QGlobalSpace::qFuzzyCompare(float, float)
    649,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    453,  // QGlobalSpace::qFuzzyIsNull(float)
    608,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    346,  // QGlobalSpace::qHash(const QUrl&)
    347,  // QGlobalSpace::qHash(const QByteArray&)
    412,  // QGlobalSpace::qHash(QChar)
    426,  // QGlobalSpace::qHash(const QModelIndex&)
    493,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    548,  // QGlobalSpace::qHash(const QBitArray&)
    696,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    319,  // QGlobalSpace::qHash(unsigned long long)
    338,  // QGlobalSpace::qHash(signed char)
    368,  // QGlobalSpace::qHash(char)
    410,  // QGlobalSpace::qHash(unsigned int)
    420,  // QGlobalSpace::qHash(const QString&)
    442,  // QGlobalSpace::qHash(long long)
    456,  // QGlobalSpace::qHash(int)
    481,  // QGlobalSpace::qHash(long)
    484,  // QGlobalSpace::qHash(unsigned short)
    588,  // QGlobalSpace::qHash(short)
    687,  // QGlobalSpace::qHash(unsigned long)
    700,  // QGlobalSpace::qHash(unsigned char)
    0,
    341,  // QGlobalSpace::qIntCast(double)
    414,  // QGlobalSpace::qIntCast(float)
    0,
    379,  // QGlobalSpace::qIsFinite(double)
    402,  // QGlobalSpace::qIsFinite(float)
    0,
    320,  // QGlobalSpace::qIsInf(double)
    336,  // QGlobalSpace::qIsInf(float)
    0,
    432,  // QGlobalSpace::qIsNaN(float)
    436,  // QGlobalSpace::qIsNaN(double)
    0,
    643,  // QGlobalSpace::qIsNull(float)
    697,  // QGlobalSpace::qIsNull(double)
    0,
    917,  // QXmlSimpleReader::parse(const QXmlInputSource&)
    918,  // QXmlSimpleReader::parse(const QXmlInputSource*)
    0,
    114,  // QDomElement::setAttribute(const QString&, const QString&)
    115,  // QDomElement::setAttribute(const QString&, long long)
    116,  // QDomElement::setAttribute(const QString&, unsigned long long)
    117,  // QDomElement::setAttribute(const QString&, int)
    118,  // QDomElement::setAttribute(const QString&, unsigned int)
    119,  // QDomElement::setAttribute(const QString&, float)
    120,  // QDomElement::setAttribute(const QString&, double)
    0,
    128,  // QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    129,  // QDomElement::setAttributeNS(const QString, const QString&, int)
    130,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    131,  // QDomElement::setAttributeNS(const QString, const QString&, long long)
    132,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    133,  // QDomElement::setAttributeNS(const QString, const QString&, double)
    0,
    891,  // QXmlReader::parse(const QXmlInputSource&)
    892,  // QXmlReader::parse(const QXmlInputSource*)
    0,
    36,  // QDomDocument::QDomDocument(const QDomDocumentType&)
    37,  // QDomDocument::QDomDocument(const QDomDocument&)
    0,
    79,  // QDomDocument::setContent(const QByteArray&)
    85,  // QDomDocument::setContent(QIODevice*)
    0,
    67,  // QDomDocument::setContent(const QByteArray&, bool)
    73,  // QDomDocument::setContent(QIODevice*, bool)
    76,  // QDomDocument::setContent(QXmlInputSource*, bool)
    80,  // QDomDocument::setContent(const QByteArray&, QString*)
    86,  // QDomDocument::setContent(QIODevice*, QString*)
    0,
    68,  // QDomDocument::setContent(const QByteArray&, bool, QString*)
    74,  // QDomDocument::setContent(QIODevice*, bool, QString*)
    77,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    81,  // QDomDocument::setContent(const QByteArray&, QString*, int*)
    87,  // QDomDocument::setContent(QIODevice*, QString*, int*)
    0,
    61,  // QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    63,  // QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    69,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    75,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    78,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    0,
    57,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    59,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    60,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    0,
    70,  // QDomDocument::setContent(const QString&, bool)
    83,  // QDomDocument::setContent(const QString&, QString*)
    0,
    71,  // QDomDocument::setContent(const QString&, bool, QString*)
    84,  // QDomDocument::setContent(const QString&, QString*, int*)
    0,
    62,  // QDomDocument::setContent(const QString&, QString*, int*, int*)
    72,  // QDomDocument::setContent(const QString&, bool, QString*, int*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {10, 21, 1},	// QDomAttr::QDomAttr
    {10, 22, 2},	// QDomAttr::QDomAttr#
    {10, 274, 4},	// QDomAttr::name
    {10, 285, 9},	// QDomAttr::nodeType
    {10, 325, 3},	// QDomAttr::operator=#
    {10, 349, 6},	// QDomAttr::ownerElement
    {10, 638, 8},	// QDomAttr::setValue$
    {10, 642, 5},	// QDomAttr::specified
    {10, 687, 7},	// QDomAttr::value
    {10, 733, 10},	// QDomAttr::~QDomAttr
    {11, 23, 11},	// QDomCDATASection::QDomCDATASection
    {11, 24, 12},	// QDomCDATASection::QDomCDATASection#
    {11, 285, 14},	// QDomCDATASection::nodeType
    {11, 325, 13},	// QDomCDATASection::operator=#
    {11, 734, 15},	// QDomCDATASection::~QDomCDATASection
    {12, 25, 16},	// QDomCharacterData::QDomCharacterData
    {12, 26, 17},	// QDomCharacterData::QDomCharacterData#
    {12, 117, 20},	// QDomCharacterData::appendData$
    {12, 172, 25},	// QDomCharacterData::data
    {12, 175, 22},	// QDomCharacterData::deleteData$$
    {12, 241, 21},	// QDomCharacterData::insertData$$
    {12, 268, 24},	// QDomCharacterData::length
    {12, 285, 27},	// QDomCharacterData::nodeType
    {12, 325, 18},	// QDomCharacterData::operator=#
    {12, 562, 23},	// QDomCharacterData::replaceData$$$
    {12, 605, 26},	// QDomCharacterData::setData$
    {12, 658, 19},	// QDomCharacterData::substringData$$
    {12, 735, 28},	// QDomCharacterData::~QDomCharacterData
    {13, 27, 29},	// QDomComment::QDomComment
    {13, 28, 30},	// QDomComment::QDomComment#
    {13, 285, 32},	// QDomComment::nodeType
    {13, 325, 31},	// QDomComment::operator=#
    {13, 736, 33},	// QDomComment::~QDomComment
    {14, 29, 34},	// QDomDocument::QDomDocument
    {14, 30, -352},	// QDomDocument::QDomDocument#
    {14, 31, 35},	// QDomDocument::QDomDocument$
    {14, 150, 45},	// QDomDocument::createAttribute$
    {14, 152, 50},	// QDomDocument::createAttributeNS$$
    {14, 154, 43},	// QDomDocument::createCDATASection$
    {14, 156, 42},	// QDomDocument::createComment$
    {14, 159, 40},	// QDomDocument::createDocumentFragment
    {14, 163, 39},	// QDomDocument::createElement$
    {14, 165, 49},	// QDomDocument::createElementNS$$
    {14, 167, 46},	// QDomDocument::createEntityReference$
    {14, 169, 44},	// QDomDocument::createProcessingInstruction$$
    {14, 171, 41},	// QDomDocument::createTextNode$
    {14, 177, 53},	// QDomDocument::doctype
    {14, 178, 55},	// QDomDocument::documentElement
    {14, 180, 52},	// QDomDocument::elementById$
    {14, 182, 47},	// QDomDocument::elementsByTagName$
    {14, 184, 51},	// QDomDocument::elementsByTagNameNS$$
    {14, 229, 54},	// QDomDocument::implementation
    {14, 231, 48},	// QDomDocument::importNode#$
    {14, 285, 56},	// QDomDocument::nodeType
    {14, 325, 38},	// QDomDocument::operator=#
    {14, 585, -355},	// QDomDocument::setContent#
    {14, 586, 88},	// QDomDocument::setContent##
    {14, 587, 89},	// QDomDocument::setContent##$
    {14, 588, 90},	// QDomDocument::setContent##$$
    {14, 589, 64},	// QDomDocument::setContent##$$$
    {14, 590, -358},	// QDomDocument::setContent#$
    {14, 591, -364},	// QDomDocument::setContent#$$
    {14, 592, -370},	// QDomDocument::setContent#$$$
    {14, 593, -376},	// QDomDocument::setContent#$$$$
    {14, 594, 82},	// QDomDocument::setContent$
    {14, 595, -380},	// QDomDocument::setContent$$
    {14, 596, -383},	// QDomDocument::setContent$$$
    {14, 597, -386},	// QDomDocument::setContent$$$$
    {14, 598, 58},	// QDomDocument::setContent$$$$$
    {14, 664, 92},	// QDomDocument::toByteArray
    {14, 665, 66},	// QDomDocument::toByteArray$
    {14, 677, 91},	// QDomDocument::toString
    {14, 678, 65},	// QDomDocument::toString$
    {14, 737, 93},	// QDomDocument::~QDomDocument
    {15, 32, 94},	// QDomDocumentFragment::QDomDocumentFragment
    {15, 33, 95},	// QDomDocumentFragment::QDomDocumentFragment#
    {15, 285, 97},	// QDomDocumentFragment::nodeType
    {15, 325, 96},	// QDomDocumentFragment::operator=#
    {15, 738, 98},	// QDomDocumentFragment::~QDomDocumentFragment
    {16, 34, 99},	// QDomDocumentType::QDomDocumentType
    {16, 35, 100},	// QDomDocumentType::QDomDocumentType#
    {16, 194, 103},	// QDomDocumentType::entities
    {16, 244, 107},	// QDomDocumentType::internalSubset
    {16, 274, 102},	// QDomDocumentType::name
    {16, 285, 108},	// QDomDocumentType::nodeType
    {16, 291, 104},	// QDomDocumentType::notations
    {16, 325, 101},	// QDomDocumentType::operator=#
    {16, 370, 105},	// QDomDocumentType::publicId
    {16, 659, 106},	// QDomDocumentType::systemId
    {16, 739, 109},	// QDomDocumentType::~QDomDocumentType
    {17, 36, 110},	// QDomElement::QDomElement
    {17, 37, 111},	// QDomElement::QDomElement#
    {17, 121, 144},	// QDomElement::attribute$
    {17, 122, 113},	// QDomElement::attribute$$
    {17, 126, 145},	// QDomElement::attributeNS$$
    {17, 127, 127},	// QDomElement::attributeNS$$$
    {17, 129, 122},	// QDomElement::attributeNode$
    {17, 131, 135},	// QDomElement::attributeNodeNS$$
    {17, 132, 141},	// QDomElement::attributes
    {17, 182, 125},	// QDomElement::elementsByTagName$
    {17, 184, 137},	// QDomElement::elementsByTagNameNS$$
    {17, 215, 126},	// QDomElement::hasAttribute$
    {17, 217, 138},	// QDomElement::hasAttributeNS$$
    {17, 285, 142},	// QDomElement::nodeType
    {17, 325, 112},	// QDomElement::operator=#
    {17, 548, 121},	// QDomElement::removeAttribute$
    {17, 550, 134},	// QDomElement::removeAttributeNS$$
    {17, 552, 124},	// QDomElement::removeAttributeNode#
    {17, 570, -334},	// QDomElement::setAttribute$$
    {17, 572, -342},	// QDomElement::setAttributeNS$$$
    {17, 574, 123},	// QDomElement::setAttributeNode#
    {17, 576, 136},	// QDomElement::setAttributeNodeNS#
    {17, 636, 140},	// QDomElement::setTagName$
    {17, 660, 139},	// QDomElement::tagName
    {17, 662, 143},	// QDomElement::text
    {17, 740, 146},	// QDomElement::~QDomElement
    {18, 38, 147},	// QDomEntity::QDomEntity
    {18, 39, 148},	// QDomEntity::QDomEntity#
    {18, 285, 153},	// QDomEntity::nodeType
    {18, 290, 152},	// QDomEntity::notationName
    {18, 325, 149},	// QDomEntity::operator=#
    {18, 370, 150},	// QDomEntity::publicId
    {18, 659, 151},	// QDomEntity::systemId
    {18, 741, 154},	// QDomEntity::~QDomEntity
    {19, 40, 155},	// QDomEntityReference::QDomEntityReference
    {19, 41, 156},	// QDomEntityReference::QDomEntityReference#
    {19, 285, 158},	// QDomEntityReference::nodeType
    {19, 325, 157},	// QDomEntityReference::operator=#
    {19, 742, 159},	// QDomEntityReference::~QDomEntityReference
    {20, 1, 171},	// QDomImplementation::AcceptInvalidChars
    {20, 11, 172},	// QDomImplementation::DropInvalidChars
    {20, 42, 160},	// QDomImplementation::QDomImplementation
    {20, 43, 161},	// QDomImplementation::QDomImplementation#
    {20, 94, 173},	// QDomImplementation::ReturnNullNode
    {20, 158, 167},	// QDomImplementation::createDocument$$#
    {20, 161, 166},	// QDomImplementation::createDocumentType$$$
    {20, 223, 165},	// QDomImplementation::hasFeature$$
    {20, 245, 168},	// QDomImplementation::invalidDataPolicy
    {20, 258, 170},	// QDomImplementation::isNull
    {20, 293, 164},	// QDomImplementation::operator!=#
    {20, 325, 162},	// QDomImplementation::operator=#
    {20, 327, 163},	// QDomImplementation::operator==#
    {20, 621, 169},	// QDomImplementation::setInvalidDataPolicy$
    {20, 743, 174},	// QDomImplementation::~QDomImplementation
    {21, 44, 175},	// QDomNamedNodeMap::QDomNamedNodeMap
    {21, 45, 176},	// QDomNamedNodeMap::QDomNamedNodeMap#
    {21, 146, 191},	// QDomNamedNodeMap::contains$
    {21, 148, 188},	// QDomNamedNodeMap::count
    {21, 254, 190},	// QDomNamedNodeMap::isEmpty
    {21, 264, 183},	// QDomNamedNodeMap::item$
    {21, 268, 187},	// QDomNamedNodeMap::length
    {21, 276, 180},	// QDomNamedNodeMap::namedItem$
    {21, 278, 184},	// QDomNamedNodeMap::namedItemNS$$
    {21, 293, 179},	// QDomNamedNodeMap::operator!=#
    {21, 325, 177},	// QDomNamedNodeMap::operator=#
    {21, 327, 178},	// QDomNamedNodeMap::operator==#
    {21, 556, 182},	// QDomNamedNodeMap::removeNamedItem$
    {21, 558, 186},	// QDomNamedNodeMap::removeNamedItemNS$$
    {21, 625, 181},	// QDomNamedNodeMap::setNamedItem#
    {21, 627, 185},	// QDomNamedNodeMap::setNamedItemNS#
    {21, 639, 189},	// QDomNamedNodeMap::size
    {21, 744, 192},	// QDomNamedNodeMap::~QDomNamedNodeMap
    {22, 2, 269},	// QDomNode::AttributeNode
    {22, 3, 280},	// QDomNode::BaseNode
    {22, 4, 271},	// QDomNode::CDATASectionNode
    {22, 5, 281},	// QDomNode::CharacterDataNode
    {22, 6, 275},	// QDomNode::CommentNode
    {22, 8, 278},	// QDomNode::DocumentFragmentNode
    {22, 9, 276},	// QDomNode::DocumentNode
    {22, 10, 277},	// QDomNode::DocumentTypeNode
    {22, 12, 268},	// QDomNode::ElementNode
    {22, 13, 282},	// QDomNode::EncodingFromDocument
    {22, 14, 283},	// QDomNode::EncodingFromTextStream
    {22, 17, 273},	// QDomNode::EntityNode
    {22, 18, 272},	// QDomNode::EntityReferenceNode
    {22, 19, 279},	// QDomNode::NotationNode
    {22, 20, 274},	// QDomNode::ProcessingInstructionNode
    {22, 46, 193},	// QDomNode::QDomNode
    {22, 47, 194},	// QDomNode::QDomNode#
    {22, 95, 270},	// QDomNode::TextNode
    {22, 115, 202},	// QDomNode::appendChild#
    {22, 132, 215},	// QDomNode::attributes
    {22, 137, 210},	// QDomNode::childNodes
    {22, 138, 239},	// QDomNode::clear
    {22, 139, 261},	// QDomNode::cloneNode
    {22, 140, 204},	// QDomNode::cloneNode$
    {22, 142, 260},	// QDomNode::columnNumber
    {22, 208, 211},	// QDomNode::firstChild
    {22, 209, 262},	// QDomNode::firstChildElement
    {22, 210, 255},	// QDomNode::firstChildElement$
    {22, 218, 219},	// QDomNode::hasAttributes
    {22, 219, 203},	// QDomNode::hasChildNodes
    {22, 228, 266},	// QDomNode::impl
    {22, 237, 199},	// QDomNode::insertAfter##
    {22, 239, 198},	// QDomNode::insertBefore##
    {22, 246, 224},	// QDomNode::isAttr
    {22, 247, 225},	// QDomNode::isCDATASection
    {22, 248, 235},	// QDomNode::isCharacterData
    {22, 249, 236},	// QDomNode::isComment
    {22, 250, 227},	// QDomNode::isDocument
    {22, 251, 226},	// QDomNode::isDocumentFragment
    {22, 252, 228},	// QDomNode::isDocumentType
    {22, 253, 229},	// QDomNode::isElement
    {22, 255, 232},	// QDomNode::isEntity
    {22, 256, 230},	// QDomNode::isEntityReference
    {22, 257, 233},	// QDomNode::isNotation
    {22, 258, 238},	// QDomNode::isNull
    {22, 259, 234},	// QDomNode::isProcessingInstruction
    {22, 261, 206},	// QDomNode::isSupported$$
    {22, 262, 231},	// QDomNode::isText
    {22, 265, 212},	// QDomNode::lastChild
    {22, 266, 263},	// QDomNode::lastChildElement
    {22, 267, 256},	// QDomNode::lastChildElement$
    {22, 270, 259},	// QDomNode::lineNumber
    {22, 271, 218},	// QDomNode::localName
    {22, 276, 237},	// QDomNode::namedItem$
    {22, 279, 217},	// QDomNode::namespaceURI
    {22, 281, 214},	// QDomNode::nextSibling
    {22, 282, 265},	// QDomNode::nextSiblingElement
    {22, 283, 258},	// QDomNode::nextSiblingElement$
    {22, 284, 207},	// QDomNode::nodeName
    {22, 285, 208},	// QDomNode::nodeType
    {22, 286, 220},	// QDomNode::nodeValue
    {22, 287, 205},	// QDomNode::normalize
    {22, 293, 197},	// QDomNode::operator!=#
    {22, 325, 195},	// QDomNode::operator=#
    {22, 327, 196},	// QDomNode::operator==#
    {22, 348, 216},	// QDomNode::ownerDocument
    {22, 350, 209},	// QDomNode::parentNode
    {22, 356, 222},	// QDomNode::prefix
    {22, 360, 213},	// QDomNode::previousSibling
    {22, 361, 264},	// QDomNode::previousSiblingElement
    {22, 362, 257},	// QDomNode::previousSiblingElement$
    {22, 554, 201},	// QDomNode::removeChild#
    {22, 560, 200},	// QDomNode::replaceChild##
    {22, 567, 253},	// QDomNode::save#$
    {22, 568, 254},	// QDomNode::save#$$
    {22, 619, 267},	// QDomNode::setImpl#
    {22, 629, 221},	// QDomNode::setNodeValue$
    {22, 631, 223},	// QDomNode::setPrefix$
    {22, 663, 240},	// QDomNode::toAttr
    {22, 666, 241},	// QDomNode::toCDATASection
    {22, 667, 251},	// QDomNode::toCharacterData
    {22, 668, 252},	// QDomNode::toComment
    {22, 669, 243},	// QDomNode::toDocument
    {22, 670, 242},	// QDomNode::toDocumentFragment
    {22, 671, 244},	// QDomNode::toDocumentType
    {22, 672, 245},	// QDomNode::toElement
    {22, 673, 248},	// QDomNode::toEntity
    {22, 674, 246},	// QDomNode::toEntityReference
    {22, 675, 249},	// QDomNode::toNotation
    {22, 676, 250},	// QDomNode::toProcessingInstruction
    {22, 679, 247},	// QDomNode::toText
    {22, 745, 284},	// QDomNode::~QDomNode
    {23, 48, 285},	// QDomNodeList::QDomNodeList
    {23, 49, 286},	// QDomNodeList::QDomNodeList#
    {23, 119, 291},	// QDomNodeList::at$
    {23, 148, 293},	// QDomNodeList::count
    {23, 254, 295},	// QDomNodeList::isEmpty
    {23, 264, 290},	// QDomNodeList::item$
    {23, 268, 292},	// QDomNodeList::length
    {23, 293, 289},	// QDomNodeList::operator!=#
    {23, 325, 287},	// QDomNodeList::operator=#
    {23, 327, 288},	// QDomNodeList::operator==#
    {23, 639, 294},	// QDomNodeList::size
    {23, 746, 296},	// QDomNodeList::~QDomNodeList
    {25, 50, 297},	// QDomNotation::QDomNotation
    {25, 51, 298},	// QDomNotation::QDomNotation#
    {25, 285, 302},	// QDomNotation::nodeType
    {25, 325, 299},	// QDomNotation::operator=#
    {25, 370, 300},	// QDomNotation::publicId
    {25, 659, 301},	// QDomNotation::systemId
    {25, 747, 303},	// QDomNotation::~QDomNotation
    {26, 52, 304},	// QDomProcessingInstruction::QDomProcessingInstruction
    {26, 53, 305},	// QDomProcessingInstruction::QDomProcessingInstruction#
    {26, 172, 308},	// QDomProcessingInstruction::data
    {26, 285, 310},	// QDomProcessingInstruction::nodeType
    {26, 325, 306},	// QDomProcessingInstruction::operator=#
    {26, 605, 309},	// QDomProcessingInstruction::setData$
    {26, 661, 307},	// QDomProcessingInstruction::target
    {26, 748, 311},	// QDomProcessingInstruction::~QDomProcessingInstruction
    {27, 54, 312},	// QDomText::QDomText
    {27, 55, 313},	// QDomText::QDomText#
    {27, 285, 316},	// QDomText::nodeType
    {27, 325, 314},	// QDomText::operator=#
    {27, 646, 315},	// QDomText::splitText$
    {27, 749, 317},	// QDomText::~QDomText
    {29, 89, 721},	// QGlobalSpace::QtCriticalMsg
    {29, 90, 719},	// QGlobalSpace::QtDebugMsg
    {29, 91, 722},	// QGlobalSpace::QtFatalMsg
    {29, 92, 723},	// QGlobalSpace::QtSystemMsg
    {29, 93, 720},	// QGlobalSpace::QtWarningMsg
    {29, 96, 718},	// QGlobalSpace::_ISalnum
    {29, 97, 709},	// QGlobalSpace::_ISalpha
    {29, 98, 715},	// QGlobalSpace::_ISblank
    {29, 99, 716},	// QGlobalSpace::_IScntrl
    {29, 100, 710},	// QGlobalSpace::_ISdigit
    {29, 101, 714},	// QGlobalSpace::_ISgraph
    {29, 102, 708},	// QGlobalSpace::_ISlower
    {29, 103, 713},	// QGlobalSpace::_ISprint
    {29, 104, 717},	// QGlobalSpace::_ISpunct
    {29, 105, 712},	// QGlobalSpace::_ISspace
    {29, 106, 707},	// QGlobalSpace::_ISupper
    {29, 107, 711},	// QGlobalSpace::_ISxdigit
    {29, 108, 726},	// QGlobalSpace::__codecvt_error
    {29, 109, 727},	// QGlobalSpace::__codecvt_noconv
    {29, 110, 724},	// QGlobalSpace::__codecvt_ok
    {29, 111, 725},	// QGlobalSpace::__codecvt_partial
    {29, 294, -13},	// QGlobalSpace::operator!=##
    {29, 295, -29},	// QGlobalSpace::operator!=#$
    {29, 296, -35},	// QGlobalSpace::operator!=$#
    {29, 298, 511},	// QGlobalSpace::operator&##
    {29, 300, -41},	// QGlobalSpace::operator*#$
    {29, 301, -48},	// QGlobalSpace::operator*$#
    {29, 303, -55},	// QGlobalSpace::operator+##
    {29, 304, -61},	// QGlobalSpace::operator+#$
    {29, 305, -65},	// QGlobalSpace::operator+$#
    {29, 306, 692},	// QGlobalSpace::operator+$$
    {29, 308, -69},	// QGlobalSpace::operator-#
    {29, 309, -72},	// QGlobalSpace::operator-##
    {29, 311, -77},	// QGlobalSpace::operator/#$
    {29, 313, -82},	// QGlobalSpace::operator<##
    {29, 314, 545},	// QGlobalSpace::operator<#$
    {29, 315, 352},	// QGlobalSpace::operator<$#
    {29, 317, -86},	// QGlobalSpace::operator<<##
    {29, 318, -129},	// QGlobalSpace::operator<<#$
    {29, 319, 521},	// QGlobalSpace::operator<<#?
    {29, 321, -135},	// QGlobalSpace::operator<=##
    {29, 322, 413},	// QGlobalSpace::operator<=#$
    {29, 323, 532},	// QGlobalSpace::operator<=$#
    {29, 328, -139},	// QGlobalSpace::operator==##
    {29, 329, -156},	// QGlobalSpace::operator==#$
    {29, 330, -162},	// QGlobalSpace::operator==$#
    {29, 332, -168},	// QGlobalSpace::operator>##
    {29, 333, 699},	// QGlobalSpace::operator>#$
    {29, 334, 340},	// QGlobalSpace::operator>$#
    {29, 336, -172},	// QGlobalSpace::operator>=##
    {29, 337, 335},	// QGlobalSpace::operator>=#$
    {29, 338, 512},	// QGlobalSpace::operator>=$#
    {29, 340, -176},	// QGlobalSpace::operator>>##
    {29, 341, -198},	// QGlobalSpace::operator>>#$
    {29, 342, 476},	// QGlobalSpace::operator>>#?
    {29, 344, 417},	// QGlobalSpace::operator^##
    {29, 346, 626},	// QGlobalSpace::operator|##
    {29, 347, -201},	// QGlobalSpace::operator|$$
    {29, 373, 600},	// QGlobalSpace::qAcos$
    {29, 375, 529},	// QGlobalSpace::qAddPostRoutine$
    {29, 376, 537},	// QGlobalSpace::qAppName
    {29, 378, 618},	// QGlobalSpace::qAsin$
    {29, 380, 646},	// QGlobalSpace::qAtan$
    {29, 382, 333},	// QGlobalSpace::qAtan2$$
    {29, 383, 604},	// QGlobalSpace::qBadAlloc
    {29, 385, 551},	// QGlobalSpace::qCeil$
    {29, 387, 471},	// QGlobalSpace::qChecksum$$
    {29, 389, 610},	// QGlobalSpace::qCompress#
    {29, 390, 609},	// QGlobalSpace::qCompress#$
    {29, 391, 531},	// QGlobalSpace::qCompress$$
    {29, 392, 530},	// QGlobalSpace::qCompress$$$
    {29, 394, 355},	// QGlobalSpace::qCos$
    {29, 395, 516},	// QGlobalSpace::qCritical
    {29, 396, 558},	// QGlobalSpace::qDebug
    {29, 398, 464},	// QGlobalSpace::qExp$
    {29, 400, 590},	// QGlobalSpace::qFabs$
    {29, 402, 427},	// QGlobalSpace::qFastCos$
    {29, 404, 533},	// QGlobalSpace::qFastSin$
    {29, 406, 434},	// QGlobalSpace::qFlagLocation$
    {29, 408, 399},	// QGlobalSpace::qFloor$
    {29, 410, 539},	// QGlobalSpace::qFree$
    {29, 412, 541},	// QGlobalSpace::qFreeAligned$
    {29, 414, -289},	// QGlobalSpace::qFuzzyCompare$$
    {29, 416, -292},	// QGlobalSpace::qFuzzyIsNull$
    {29, 418, -295},	// QGlobalSpace::qHash#
    {29, 419, -303},	// QGlobalSpace::qHash$
    {29, 420, 670},	// QGlobalSpace::qInf
    {29, 422, 424},	// QGlobalSpace::qInstallMsgHandler$
    {29, 424, -316},	// QGlobalSpace::qIntCast$
    {29, 426, -319},	// QGlobalSpace::qIsFinite$
    {29, 428, -322},	// QGlobalSpace::qIsInf$
    {29, 430, -325},	// QGlobalSpace::qIsNaN$
    {29, 432, -328},	// QGlobalSpace::qIsNull$
    {29, 434, 467},	// QGlobalSpace::qLn$
    {29, 436, 473},	// QGlobalSpace::qMalloc$
    {29, 438, 559},	// QGlobalSpace::qMallocAligned$$
    {29, 440, 324},	// QGlobalSpace::qMemCopy$$$
    {29, 442, 585},	// QGlobalSpace::qMemSet$$$
    {29, 446, 562},	// QGlobalSpace::qPow$$
    {29, 447, 474},	// QGlobalSpace::qQNaN
    {29, 449, 419},	// QGlobalSpace::qRealloc$$
    {29, 451, 409},	// QGlobalSpace::qReallocAligned$$$$
    {29, 453, 470},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {29, 455, 677},	// QGlobalSpace::qRemovePostRoutine$
    {29, 457, 669},	// QGlobalSpace::qRound$
    {29, 459, 423},	// QGlobalSpace::qRound64$
    {29, 460, 653},	// QGlobalSpace::qSNaN
    {29, 462, 397},	// QGlobalSpace::qSetFieldWidth$
    {29, 464, 342},	// QGlobalSpace::qSetPadChar#
    {29, 466, 465},	// QGlobalSpace::qSetRealNumberPrecision$
    {29, 467, 360},	// QGlobalSpace::qSharedBuild
    {29, 469, 622},	// QGlobalSpace::qSin$
    {29, 471, 425},	// QGlobalSpace::qSqrt$
    {29, 473, 554},	// QGlobalSpace::qStringComparisonHelper#$
    {29, 475, 395},	// QGlobalSpace::qTan$
    {29, 477, 501},	// QGlobalSpace::qUncompress#
    {29, 478, 393},	// QGlobalSpace::qUncompress$$
    {29, 479, 538},	// QGlobalSpace::qVersion
    {29, 480, 682},	// QGlobalSpace::qWarning
    {29, 482, 405},	// QGlobalSpace::qbswap_helper$$$
    {29, 484, 380},	// QGlobalSpace::qecvt$$$$
    {29, 486, 561},	// QGlobalSpace::qecvt_r$$$$$$
    {29, 488, 444},	// QGlobalSpace::qfcvt$$$$
    {29, 490, 597},	// QGlobalSpace::qfcvt_r$$$$$$
    {29, 492, 598},	// QGlobalSpace::qgcvt$$$
    {29, 494, 337},	// QGlobalSpace::qgetenv$
    {29, 496, 477},	// QGlobalSpace::qputenv$#
    {29, 497, 507},	// QGlobalSpace::qrand
    {29, 499, 599},	// QGlobalSpace::qsort$$$$
    {29, 501, 480},	// QGlobalSpace::qsrand$
    {29, 503, 593},	// QGlobalSpace::qstrcmp##
    {29, 504, 676},	// QGlobalSpace::qstrcmp#$
    {29, 505, 331},	// QGlobalSpace::qstrcmp$#
    {29, 506, 354},	// QGlobalSpace::qstrcmp$$
    {29, 508, 455},	// QGlobalSpace::qstrcpy$$
    {29, 510, 555},	// QGlobalSpace::qstrdup$
    {29, 512, 666},	// QGlobalSpace::qstricmp$$
    {29, 514, 683},	// QGlobalSpace::qstrlen$
    {29, 516, 394},	// QGlobalSpace::qstrncmp$$$
    {29, 518, 500},	// QGlobalSpace::qstrncpy$$$
    {29, 520, 488},	// QGlobalSpace::qstrnicmp$$$
    {29, 522, 323},	// QGlobalSpace::qstrnlen$$
    {29, 524, 632},	// QGlobalSpace::qtTrId$
    {29, 525, 631},	// QGlobalSpace::qtTrId$$
    {29, 527, 441},	// QGlobalSpace::qt_assert$$$
    {29, 529, 509},	// QGlobalSpace::qt_assert_x$$$$
    {29, 531, 587},	// QGlobalSpace::qt_check_pointer$$
    {29, 532, 390},	// QGlobalSpace::qt_error_string
    {29, 533, 389},	// QGlobalSpace::qt_error_string$
    {29, 535, 695},	// QGlobalSpace::qt_message_output$$
    {29, 536, 325},	// QGlobalSpace::qt_noop
    {29, 538, 496},	// QGlobalSpace::qt_qFindChild_helper#$#
    {29, 540, 644},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {29, 542, 468},	// QGlobalSpace::quick_exit$
    {29, 544, 641},	// QGlobalSpace::qvariant_cast_helper#$$
    {29, 546, 583},	// QGlobalSpace::qvsnprintf$$$?
    {59, 56, 728},	// QXmlAttributes::QXmlAttributes
    {59, 57, 746},	// QXmlAttributes::QXmlAttributes#
    {59, 113, 745},	// QXmlAttributes::append$$$$
    {59, 138, 744},	// QXmlAttributes::clear
    {59, 148, 733},	// QXmlAttributes::count
    {59, 233, 730},	// QXmlAttributes::index#
    {59, 234, 729},	// QXmlAttributes::index$
    {59, 235, 731},	// QXmlAttributes::index$$
    {59, 268, 732},	// QXmlAttributes::length
    {59, 272, 734},	// QXmlAttributes::localName$
    {59, 444, 735},	// QXmlAttributes::qName$
    {59, 681, -1},	// QXmlAttributes::type$
    {59, 682, 739},	// QXmlAttributes::type$$
    {59, 686, 736},	// QXmlAttributes::uri$
    {59, 688, 742},	// QXmlAttributes::value#
    {59, 689, -4},	// QXmlAttributes::value$
    {59, 690, 743},	// QXmlAttributes::value$$
    {59, 750, 747},	// QXmlAttributes::~QXmlAttributes
    {60, 58, 760},	// QXmlContentHandler::QXmlContentHandler
    {60, 59, 761},	// QXmlContentHandler::QXmlContentHandler#
    {60, 136, 755},	// QXmlContentHandler::characters$
    {60, 187, 750},	// QXmlContentHandler::endDocument
    {60, 189, 754},	// QXmlContentHandler::endElement$$$
    {60, 193, 752},	// QXmlContentHandler::endPrefixMapping$
    {60, 199, 759},	// QXmlContentHandler::errorString
    {60, 227, 756},	// QXmlContentHandler::ignorableWhitespace$
    {60, 366, 757},	// QXmlContentHandler::processingInstruction$$
    {60, 611, 748},	// QXmlContentHandler::setDocumentLocator#
    {60, 641, 758},	// QXmlContentHandler::skippedEntity$
    {60, 650, 749},	// QXmlContentHandler::startDocument
    {60, 652, 753},	// QXmlContentHandler::startElement$$$#
    {60, 656, 751},	// QXmlContentHandler::startPrefixMapping$$
    {60, 751, 762},	// QXmlContentHandler::~QXmlContentHandler
    {61, 60, 766},	// QXmlDTDHandler::QXmlDTDHandler
    {61, 61, 767},	// QXmlDTDHandler::QXmlDTDHandler#
    {61, 199, 765},	// QXmlDTDHandler::errorString
    {61, 289, 763},	// QXmlDTDHandler::notationDecl$$$
    {61, 684, 764},	// QXmlDTDHandler::unparsedEntityDecl$$$$
    {61, 752, 768},	// QXmlDTDHandler::~QXmlDTDHandler
    {62, 62, 773},	// QXmlDeclHandler::QXmlDeclHandler
    {62, 63, 774},	// QXmlDeclHandler::QXmlDeclHandler#
    {62, 124, 769},	// QXmlDeclHandler::attributeDecl$$$$$
    {62, 199, 772},	// QXmlDeclHandler::errorString
    {62, 201, 771},	// QXmlDeclHandler::externalEntityDecl$$$
    {62, 243, 770},	// QXmlDeclHandler::internalEntityDecl$$
    {62, 753, 775},	// QXmlDeclHandler::~QXmlDeclHandler
    {63, 64, 776},	// QXmlDefaultHandler::QXmlDefaultHandler
    {63, 124, 801},	// QXmlDefaultHandler::attributeDecl$$$$$
    {63, 136, 784},	// QXmlDefaultHandler::characters$
    {63, 144, 800},	// QXmlDefaultHandler::comment$
    {63, 185, 799},	// QXmlDefaultHandler::endCDATA
    {63, 186, 795},	// QXmlDefaultHandler::endDTD
    {63, 187, 779},	// QXmlDefaultHandler::endDocument
    {63, 189, 783},	// QXmlDefaultHandler::endElement$$$
    {63, 191, 797},	// QXmlDefaultHandler::endEntity$
    {63, 193, 781},	// QXmlDefaultHandler::endPrefixMapping$
    {63, 197, 789},	// QXmlDefaultHandler::error#
    {63, 199, 804},	// QXmlDefaultHandler::errorString
    {63, 201, 803},	// QXmlDefaultHandler::externalEntityDecl$$$
    {63, 203, 790},	// QXmlDefaultHandler::fatalError#
    {63, 227, 785},	// QXmlDefaultHandler::ignorableWhitespace$
    {63, 243, 802},	// QXmlDefaultHandler::internalEntityDecl$$
    {63, 289, 791},	// QXmlDefaultHandler::notationDecl$$$
    {63, 366, 786},	// QXmlDefaultHandler::processingInstruction$$
    {63, 565, 793},	// QXmlDefaultHandler::resolveEntity$$#
    {63, 611, 777},	// QXmlDefaultHandler::setDocumentLocator#
    {63, 641, 787},	// QXmlDefaultHandler::skippedEntity$
    {63, 647, 798},	// QXmlDefaultHandler::startCDATA
    {63, 649, 794},	// QXmlDefaultHandler::startDTD$$$
    {63, 650, 778},	// QXmlDefaultHandler::startDocument
    {63, 652, 782},	// QXmlDefaultHandler::startElement$$$#
    {63, 654, 796},	// QXmlDefaultHandler::startEntity$
    {63, 656, 780},	// QXmlDefaultHandler::startPrefixMapping$$
    {63, 684, 792},	// QXmlDefaultHandler::unparsedEntityDecl$$$$
    {63, 692, 788},	// QXmlDefaultHandler::warning#
    {63, 754, 805},	// QXmlDefaultHandler::~QXmlDefaultHandler
    {64, 65, 808},	// QXmlEntityResolver::QXmlEntityResolver
    {64, 66, 809},	// QXmlEntityResolver::QXmlEntityResolver#
    {64, 199, 807},	// QXmlEntityResolver::errorString
    {64, 565, 806},	// QXmlEntityResolver::resolveEntity$$#
    {64, 755, 810},	// QXmlEntityResolver::~QXmlEntityResolver
    {65, 67, 815},	// QXmlErrorHandler::QXmlErrorHandler
    {65, 68, 816},	// QXmlErrorHandler::QXmlErrorHandler#
    {65, 197, 812},	// QXmlErrorHandler::error#
    {65, 199, 814},	// QXmlErrorHandler::errorString
    {65, 203, 813},	// QXmlErrorHandler::fatalError#
    {65, 692, 811},	// QXmlErrorHandler::warning#
    {65, 756, 817},	// QXmlErrorHandler::~QXmlErrorHandler
    {66, 15, 829},	// QXmlInputSource::EndOfData
    {66, 16, 830},	// QXmlInputSource::EndOfDocument
    {66, 69, 818},	// QXmlInputSource::QXmlInputSource
    {66, 70, -10},	// QXmlInputSource::QXmlInputSource#
    {66, 172, 823},	// QXmlInputSource::data
    {66, 207, 822},	// QXmlInputSource::fetchData
    {66, 212, 828},	// QXmlInputSource::fromRawData#
    {66, 213, 826},	// QXmlInputSource::fromRawData#$
    {66, 280, 824},	// QXmlInputSource::next
    {66, 563, 825},	// QXmlInputSource::reset
    {66, 604, 821},	// QXmlInputSource::setData#
    {66, 605, 820},	// QXmlInputSource::setData$
    {66, 757, 831},	// QXmlInputSource::~QXmlInputSource
    {67, 71, 840},	// QXmlLexicalHandler::QXmlLexicalHandler
    {67, 72, 841},	// QXmlLexicalHandler::QXmlLexicalHandler#
    {67, 144, 838},	// QXmlLexicalHandler::comment$
    {67, 185, 837},	// QXmlLexicalHandler::endCDATA
    {67, 186, 833},	// QXmlLexicalHandler::endDTD
    {67, 191, 835},	// QXmlLexicalHandler::endEntity$
    {67, 199, 839},	// QXmlLexicalHandler::errorString
    {67, 647, 836},	// QXmlLexicalHandler::startCDATA
    {67, 649, 832},	// QXmlLexicalHandler::startDTD$$$
    {67, 654, 834},	// QXmlLexicalHandler::startEntity$
    {67, 758, 842},	// QXmlLexicalHandler::~QXmlLexicalHandler
    {68, 73, 843},	// QXmlLocator::QXmlLocator
    {68, 74, 846},	// QXmlLocator::QXmlLocator#
    {68, 142, 844},	// QXmlLocator::columnNumber
    {68, 270, 845},	// QXmlLocator::lineNumber
    {68, 759, 847},	// QXmlLocator::~QXmlLocator
    {69, 75, 848},	// QXmlNamespaceSupport::QXmlNamespaceSupport
    {69, 355, 857},	// QXmlNamespaceSupport::popContext
    {69, 357, 850},	// QXmlNamespaceSupport::prefix$
    {69, 358, 854},	// QXmlNamespaceSupport::prefixes
    {69, 359, 855},	// QXmlNamespaceSupport::prefixes$
    {69, 364, 853},	// QXmlNamespaceSupport::processName$$$$
    {69, 371, 856},	// QXmlNamespaceSupport::pushContext
    {69, 563, 858},	// QXmlNamespaceSupport::reset
    {69, 632, 849},	// QXmlNamespaceSupport::setPrefix$$
    {69, 644, 852},	// QXmlNamespaceSupport::splitName$$$
    {69, 686, 851},	// QXmlNamespaceSupport::uri$
    {69, 760, 859},	// QXmlNamespaceSupport::~QXmlNamespaceSupport
    {70, 76, 867},	// QXmlParseException::QXmlParseException
    {70, 77, 861},	// QXmlParseException::QXmlParseException#
    {70, 78, 868},	// QXmlParseException::QXmlParseException$
    {70, 79, 869},	// QXmlParseException::QXmlParseException$$
    {70, 80, 870},	// QXmlParseException::QXmlParseException$$$
    {70, 81, 871},	// QXmlParseException::QXmlParseException$$$$
    {70, 82, 860},	// QXmlParseException::QXmlParseException$$$$$
    {70, 142, 862},	// QXmlParseException::columnNumber
    {70, 270, 863},	// QXmlParseException::lineNumber
    {70, 273, 866},	// QXmlParseException::message
    {70, 370, 864},	// QXmlParseException::publicId
    {70, 659, 865},	// QXmlParseException::systemId
    {70, 761, 872},	// QXmlParseException::~QXmlParseException
    {71, 7, 882},	// QXmlReader::DTDHandler
    {71, 83, 893},	// QXmlReader::QXmlReader
    {71, 84, 894},	// QXmlReader::QXmlReader#
    {71, 147, 884},	// QXmlReader::contentHandler
    {71, 173, 890},	// QXmlReader::declHandler
    {71, 195, 880},	// QXmlReader::entityResolver
    {71, 198, 886},	// QXmlReader::errorHandler
    {71, 205, 895},	// QXmlReader::feature$
    {71, 206, 873},	// QXmlReader::feature$$
    {71, 222, 875},	// QXmlReader::hasFeature$
    {71, 225, 878},	// QXmlReader::hasProperty$
    {71, 269, 888},	// QXmlReader::lexicalHandler
    {71, 352, -349},	// QXmlReader::parse#
    {71, 368, 896},	// QXmlReader::property$
    {71, 369, 876},	// QXmlReader::property$$
    {71, 600, 883},	// QXmlReader::setContentHandler#
    {71, 602, 881},	// QXmlReader::setDTDHandler#
    {71, 607, 889},	// QXmlReader::setDeclHandler#
    {71, 613, 879},	// QXmlReader::setEntityResolver#
    {71, 615, 885},	// QXmlReader::setErrorHandler#
    {71, 617, 874},	// QXmlReader::setFeature$$
    {71, 623, 887},	// QXmlReader::setLexicalHandler#
    {71, 634, 877},	// QXmlReader::setProperty$$
    {71, 762, 897},	// QXmlReader::~QXmlReader
    {72, 7, 908},	// QXmlSimpleReader::DTDHandler
    {72, 85, 898},	// QXmlSimpleReader::QXmlSimpleReader
    {72, 147, 910},	// QXmlSimpleReader::contentHandler
    {72, 173, 916},	// QXmlSimpleReader::declHandler
    {72, 195, 906},	// QXmlSimpleReader::entityResolver
    {72, 198, 912},	// QXmlSimpleReader::errorHandler
    {72, 205, 921},	// QXmlSimpleReader::feature$
    {72, 206, 899},	// QXmlSimpleReader::feature$$
    {72, 222, 901},	// QXmlSimpleReader::hasFeature$
    {72, 225, 904},	// QXmlSimpleReader::hasProperty$
    {72, 269, 914},	// QXmlSimpleReader::lexicalHandler
    {72, 352, -331},	// QXmlSimpleReader::parse#
    {72, 353, 919},	// QXmlSimpleReader::parse#$
    {72, 354, 920},	// QXmlSimpleReader::parseContinue
    {72, 368, 922},	// QXmlSimpleReader::property$
    {72, 369, 902},	// QXmlSimpleReader::property$$
    {72, 600, 909},	// QXmlSimpleReader::setContentHandler#
    {72, 602, 907},	// QXmlSimpleReader::setDTDHandler#
    {72, 607, 915},	// QXmlSimpleReader::setDeclHandler#
    {72, 613, 905},	// QXmlSimpleReader::setEntityResolver#
    {72, 615, 911},	// QXmlSimpleReader::setErrorHandler#
    {72, 617, 900},	// QXmlSimpleReader::setFeature$$
    {72, 623, 913},	// QXmlSimpleReader::setLexicalHandler#
    {72, 634, 903},	// QXmlSimpleReader::setProperty$$
    {72, 763, 923},	// QXmlSimpleReader::~QXmlSimpleReader
    {76, 86, 924},	// QXmlStreamWriter::QXmlStreamWriter
    {76, 87, -7},	// QXmlStreamWriter::QXmlStreamWriter#
    {76, 88, 927},	// QXmlStreamWriter::QXmlStreamWriter$
    {76, 133, 934},	// QXmlStreamWriter::autoFormatting
    {76, 134, 936},	// QXmlStreamWriter::autoFormattingIndent
    {76, 141, 932},	// QXmlStreamWriter::codec
    {76, 176, 929},	// QXmlStreamWriter::device
    {76, 220, 961},	// QXmlStreamWriter::hasError
    {76, 578, 933},	// QXmlStreamWriter::setAutoFormatting$
    {76, 580, 935},	// QXmlStreamWriter::setAutoFormattingIndent$
    {76, 582, 930},	// QXmlStreamWriter::setCodec#
    {76, 583, 931},	// QXmlStreamWriter::setCodec$
    {76, 609, 928},	// QXmlStreamWriter::setDevice#
    {76, 694, 939},	// QXmlStreamWriter::writeAttribute#
    {76, 695, 937},	// QXmlStreamWriter::writeAttribute$$
    {76, 696, 938},	// QXmlStreamWriter::writeAttribute$$$
    {76, 698, 940},	// QXmlStreamWriter::writeAttributes#
    {76, 700, 941},	// QXmlStreamWriter::writeCDATA$
    {76, 702, 942},	// QXmlStreamWriter::writeCharacters$
    {76, 704, 943},	// QXmlStreamWriter::writeComment$
    {76, 706, 960},	// QXmlStreamWriter::writeCurrentToken#
    {76, 708, 944},	// QXmlStreamWriter::writeDTD$
    {76, 710, 953},	// QXmlStreamWriter::writeDefaultNamespace$
    {76, 712, 945},	// QXmlStreamWriter::writeEmptyElement$
    {76, 713, 946},	// QXmlStreamWriter::writeEmptyElement$$
    {76, 714, 949},	// QXmlStreamWriter::writeEndDocument
    {76, 715, 950},	// QXmlStreamWriter::writeEndElement
    {76, 717, 951},	// QXmlStreamWriter::writeEntityReference$
    {76, 719, 962},	// QXmlStreamWriter::writeNamespace$
    {76, 720, 952},	// QXmlStreamWriter::writeNamespace$$
    {76, 722, 963},	// QXmlStreamWriter::writeProcessingInstruction$
    {76, 723, 954},	// QXmlStreamWriter::writeProcessingInstruction$$
    {76, 724, 955},	// QXmlStreamWriter::writeStartDocument
    {76, 725, 956},	// QXmlStreamWriter::writeStartDocument$
    {76, 726, 957},	// QXmlStreamWriter::writeStartDocument$$
    {76, 728, 958},	// QXmlStreamWriter::writeStartElement$
    {76, 729, 959},	// QXmlStreamWriter::writeStartElement$$
    {76, 731, 947},	// QXmlStreamWriter::writeTextElement$$
    {76, 732, 948},	// QXmlStreamWriter::writeTextElement$$$
    {76, 764, 964},	// QXmlStreamWriter::~QXmlStreamWriter
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtxml_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtxml_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtxml_Smoke = new Smoke(
        "qtxml",
        __smokeqtxml::classes, 76,
        __smokeqtxml::methods, 965,
        __smokeqtxml::methodMaps, 675,
        __smokeqtxml::methodNames, 764,
        __smokeqtxml::types, 337,
        __smokeqtxml::inheritanceList,
        __smokeqtxml::argumentList,
        __smokeqtxml::ambiguousMethodList,
        __smokeqtxml::cast );
    initialized = true;
}

void delete_qtxml_Smoke() { delete qtxml_Smoke; }

}
